'use strict'

const require$$0$7 = require('url')
const require$$0$6 = require('http')
const require$$2$3 = require('https')
const require$$0$3 = require('assert')
const require$$0$4 = require('buffer')
const require$$0$1 = require('events')
const require$$1$1 = require('stream')
const require$$2$1 = require('string_decoder')
const require$$0$2 = require('zlib')
const require$$0$5 = require('events')
const require$$1$2 = require('stream')
const require$$2$2 = require('string_decoder')
const require$$0$8 = require('dns')
const require$$0$9 = require('crypto')
const require$$0$c = require('fs/promises')
const require$$0$a = require('path')
const require$$0$b = require('util')
const require$$1$3 = require('os')
const require$$2$4 = require('fs')
const require$$2$5 = require('url')
const require$$1$4 = require('path')
const require$$4$2 = require('fs')
const require$$5$1 = require('fs/promises')
const require$$0$d = require('net')
const require$$1$6 = require('tls')
const require$$1$5 = require('tty')
const require$$3$1 = require('timers/promises')

const lib$a = { exports: {} }

const commonjs$5 = {}

const commonjs$4 = {}

let hasRequiredCommonjs$5
function requireCommonjs$5() {
  if (hasRequiredCommonjs$5) {
    return commonjs$4
  }
  hasRequiredCommonjs$5 = 1
  ;(function (exports) {
    const __importDefault =
      (this && this.__importDefault) ||
      function (mod) {
        return mod && mod.__esModule
          ? mod
          : {
              default: mod
            }
      }
    Object.defineProperty(exports, '__esModule', {
      value: true
    })
    exports.Minipass =
      exports.isWritable =
      exports.isReadable =
      exports.isStream =
        void 0
    const proc =
      typeof process === 'object' && process
        ? process
        : {
            stdout: null,
            stderr: null
          }
    const node_events_1 = require$$0$1
    const node_stream_1 = __importDefault(require$$1$1)
    const node_string_decoder_1 = require$$2$1
    /**
     * Return true if the argument is a Minipass stream, Node stream, or something
     * else that Minipass can interact with.
     */
    const isStream = s =>
      !!s &&
      typeof s === 'object' &&
      (s instanceof Minipass ||
        s instanceof node_stream_1.default ||
        (0, exports.isReadable)(s) ||
        (0, exports.isWritable)(s))
    exports.isStream = isStream
    /**
     * Return true if the argument is a valid {@link Minipass.Readable}
     */
    const isReadable = s =>
      !!s &&
      typeof s === 'object' &&
      s instanceof node_events_1.EventEmitter &&
      typeof s.pipe === 'function' &&
      // node core Writable streams have a pipe() method, but it throws
      s.pipe !== node_stream_1.default.Writable.prototype.pipe
    exports.isReadable = isReadable
    /**
     * Return true if the argument is a valid {@link Minipass.Writable}
     */
    const isWritable = s =>
      !!s &&
      typeof s === 'object' &&
      s instanceof node_events_1.EventEmitter &&
      typeof s.write === 'function' &&
      typeof s.end === 'function'
    exports.isWritable = isWritable
    const EOF = Symbol('EOF')
    const MAYBE_EMIT_END = Symbol('maybeEmitEnd')
    const EMITTED_END = Symbol('emittedEnd')
    const EMITTING_END = Symbol('emittingEnd')
    const EMITTED_ERROR = Symbol('emittedError')
    const CLOSED = Symbol('closed')
    const READ = Symbol('read')
    const FLUSH = Symbol('flush')
    const FLUSHCHUNK = Symbol('flushChunk')
    const ENCODING = Symbol('encoding')
    const DECODER = Symbol('decoder')
    const FLOWING = Symbol('flowing')
    const PAUSED = Symbol('paused')
    const RESUME = Symbol('resume')
    const BUFFER = Symbol('buffer')
    const PIPES = Symbol('pipes')
    const BUFFERLENGTH = Symbol('bufferLength')
    const BUFFERPUSH = Symbol('bufferPush')
    const BUFFERSHIFT = Symbol('bufferShift')
    const OBJECTMODE = Symbol('objectMode')
    // internal event when stream is destroyed
    const DESTROYED = Symbol('destroyed')
    // internal event when stream has an error
    const ERROR = Symbol('error')
    const EMITDATA = Symbol('emitData')
    const EMITEND = Symbol('emitEnd')
    const EMITEND2 = Symbol('emitEnd2')
    const ASYNC = Symbol('async')
    const ABORT = Symbol('abort')
    const ABORTED = Symbol('aborted')
    const SIGNAL = Symbol('signal')
    const DATALISTENERS = Symbol('dataListeners')
    const DISCARDED = Symbol('discarded')
    const defer = fn => Promise.resolve().then(fn)
    const nodefer = fn => fn()
    const isEndish = ev => ev === 'end' || ev === 'finish' || ev === 'prefinish'
    const isArrayBufferLike = b =>
      b instanceof ArrayBuffer ||
      (!!b &&
        typeof b === 'object' &&
        b.constructor &&
        b.constructor.name === 'ArrayBuffer' &&
        b.byteLength >= 0)
    const isArrayBufferView = b => !Buffer.isBuffer(b) && ArrayBuffer.isView(b)
    /**
     * Internal class representing a pipe to a destination stream.
     *
     * @internal
     */
    class Pipe {
      src
      dest
      opts
      ondrain
      constructor(src, dest, opts) {
        this.src = src
        this.dest = dest
        this.opts = opts
        this.ondrain = () => src[RESUME]()
        this.dest.on('drain', this.ondrain)
      }
      unpipe() {
        this.dest.removeListener('drain', this.ondrain)
      }
      // only here for the prototype
      /* c8 ignore start */
      proxyErrors(_er) {}
      /* c8 ignore stop */
      end() {
        this.unpipe()
        if (this.opts.end) {
          this.dest.end()
        }
      }
    }
    /**
     * Internal class representing a pipe to a destination stream where
     * errors are proxied.
     *
     * @internal
     */
    class PipeProxyErrors extends Pipe {
      unpipe() {
        this.src.removeListener('error', this.proxyErrors)
        super.unpipe()
      }
      constructor(src, dest, opts) {
        super(src, dest, opts)
        this.proxyErrors = er => dest.emit('error', er)
        src.on('error', this.proxyErrors)
      }
    }
    const isObjectModeOptions = o => !!o.objectMode
    const isEncodingOptions = o =>
      !o.objectMode && !!o.encoding && o.encoding !== 'buffer'
    /**
     * Main export, the Minipass class
     *
     * `RType` is the type of data emitted, defaults to Buffer
     *
     * `WType` is the type of data to be written, if RType is buffer or string,
     * then any {@link Minipass.ContiguousData} is allowed.
     *
     * `Events` is the set of event handler signatures that this object
     * will emit, see {@link Minipass.Events}
     */
    class Minipass extends node_events_1.EventEmitter {
      [FLOWING] = false;
      [PAUSED] = false;
      [PIPES] = [];
      [BUFFER] = [];
      [OBJECTMODE];
      [ENCODING];
      [ASYNC];
      [DECODER];
      [EOF] = false;
      [EMITTED_END] = false;
      [EMITTING_END] = false;
      [CLOSED] = false;
      [EMITTED_ERROR] = null;
      [BUFFERLENGTH] = 0;
      [DESTROYED] = false;
      [SIGNAL];
      [ABORTED] = false;
      [DATALISTENERS] = 0;
      [DISCARDED] = false
      /**
       * true if the stream can be written
       */
      writable = true
      /**
       * true if the stream can be read
       */
      readable = true
      /**
       * If `RType` is Buffer, then options do not need to be provided.
       * Otherwise, an options object must be provided to specify either
       * {@link Minipass.SharedOptions.objectMode} or
       * {@link Minipass.SharedOptions.encoding}, as appropriate.
       */
      constructor(...args) {
        const options = args[0] || {}
        super()
        if (options.objectMode && typeof options.encoding === 'string') {
          throw new TypeError(
            'Encoding and objectMode may not be used together'
          )
        }
        if (isObjectModeOptions(options)) {
          this[OBJECTMODE] = true
          this[ENCODING] = null
        } else if (isEncodingOptions(options)) {
          this[ENCODING] = options.encoding
          this[OBJECTMODE] = false
        } else {
          this[OBJECTMODE] = false
          this[ENCODING] = null
        }
        this[ASYNC] = !!options.async
        this[DECODER] = this[ENCODING]
          ? new node_string_decoder_1.StringDecoder(this[ENCODING])
          : null
        //@ts-ignore - private option for debugging and testing
        if (options && options.debugExposeBuffer === true) {
          Object.defineProperty(this, 'buffer', {
            get: () => this[BUFFER]
          })
        }
        //@ts-ignore - private option for debugging and testing
        if (options && options.debugExposePipes === true) {
          Object.defineProperty(this, 'pipes', {
            get: () => this[PIPES]
          })
        }
        const { signal } = options
        if (signal) {
          this[SIGNAL] = signal
          if (signal.aborted) {
            this[ABORT]()
          } else {
            signal.addEventListener('abort', () => this[ABORT]())
          }
        }
      }
      /**
       * The amount of data stored in the buffer waiting to be read.
       *
       * For Buffer strings, this will be the total byte length.
       * For string encoding streams, this will be the string character length,
       * according to JavaScript's `string.length` logic.
       * For objectMode streams, this is a count of the items waiting to be
       * emitted.
       */
      get bufferLength() {
        return this[BUFFERLENGTH]
      }
      /**
       * The `BufferEncoding` currently in use, or `null`
       */
      get encoding() {
        return this[ENCODING]
      }
      /**
       * @deprecated - This is a read only property
       */
      set encoding(_enc) {
        throw new Error('Encoding must be set at instantiation time')
      }
      /**
       * @deprecated - Encoding may only be set at instantiation time
       */
      setEncoding(_enc) {
        throw new Error('Encoding must be set at instantiation time')
      }
      /**
       * True if this is an objectMode stream
       */
      get objectMode() {
        return this[OBJECTMODE]
      }
      /**
       * @deprecated - This is a read-only property
       */
      set objectMode(_om) {
        throw new Error('objectMode must be set at instantiation time')
      }
      /**
       * true if this is an async stream
       */
      get ['async']() {
        return this[ASYNC]
      }
      /**
       * Set to true to make this stream async.
       *
       * Once set, it cannot be unset, as this would potentially cause incorrect
       * behavior.  Ie, a sync stream can be made async, but an async stream
       * cannot be safely made sync.
       */
      set ['async'](a) {
        this[ASYNC] = this[ASYNC] || !!a
      }
      // drop everything and get out of the flow completely
      [ABORT]() {
        this[ABORTED] = true
        this.emit('abort', this[SIGNAL]?.reason)
        this.destroy(this[SIGNAL]?.reason)
      }
      /**
       * True if the stream has been aborted.
       */
      get aborted() {
        return this[ABORTED]
      }
      /**
       * No-op setter. Stream aborted status is set via the AbortSignal provided
       * in the constructor options.
       */
      set aborted(_) {}
      write(chunk, encoding, cb) {
        if (this[ABORTED]) {
          return false
        }
        if (this[EOF]) {
          throw new Error('write after end')
        }
        if (this[DESTROYED]) {
          this.emit(
            'error',
            Object.assign(
              new Error('Cannot call write after a stream was destroyed'),
              {
                code: 'ERR_STREAM_DESTROYED'
              }
            )
          )
          return true
        }
        if (typeof encoding === 'function') {
          cb = encoding
          encoding = 'utf8'
        }
        if (!encoding) {
          encoding = 'utf8'
        }
        const fn = this[ASYNC] ? defer : nodefer
        // convert array buffers and typed array views into buffers
        // at some point in the future, we may want to do the opposite!
        // leave strings and buffers as-is
        // anything is only allowed if in object mode, so throw
        if (!this[OBJECTMODE] && !Buffer.isBuffer(chunk)) {
          if (isArrayBufferView(chunk)) {
            //@ts-ignore - sinful unsafe type changing
            chunk = Buffer.from(
              chunk.buffer,
              chunk.byteOffset,
              chunk.byteLength
            )
          } else if (isArrayBufferLike(chunk)) {
            //@ts-ignore - sinful unsafe type changing
            chunk = Buffer.from(chunk)
          } else if (typeof chunk !== 'string') {
            throw new Error(
              'Non-contiguous data written to non-objectMode stream'
            )
          }
        }
        // handle object mode up front, since it's simpler
        // this yields better performance, fewer checks later.
        if (this[OBJECTMODE]) {
          // maybe impossible?
          /* c8 ignore start */
          if (this[FLOWING] && this[BUFFERLENGTH] !== 0) {
            this[FLUSH](true)
          }
          /* c8 ignore stop */
          if (this[FLOWING]) {
            this.emit('data', chunk)
          } else {
            this[BUFFERPUSH](chunk)
          }
          if (this[BUFFERLENGTH] !== 0) {
            this.emit('readable')
          }
          if (cb) {
            fn(cb)
          }
          return this[FLOWING]
        }
        // at this point the chunk is a buffer or string
        // don't buffer it up or send it to the decoder
        if (!chunk.length) {
          if (this[BUFFERLENGTH] !== 0) {
            this.emit('readable')
          }
          if (cb) {
            fn(cb)
          }
          return this[FLOWING]
        }
        // fast-path writing strings of same encoding to a stream with
        // an empty buffer, skipping the buffer/decoder dance
        if (
          typeof chunk === 'string' &&
          // unless it is a string already ready for us to use
          !(encoding === this[ENCODING] && !this[DECODER]?.lastNeed)
        ) {
          //@ts-ignore - sinful unsafe type change
          chunk = Buffer.from(chunk, encoding)
        }
        if (Buffer.isBuffer(chunk) && this[ENCODING]) {
          //@ts-ignore - sinful unsafe type change
          chunk = this[DECODER].write(chunk)
        }
        // Note: flushing CAN potentially switch us into not-flowing mode
        if (this[FLOWING] && this[BUFFERLENGTH] !== 0) {
          this[FLUSH](true)
        }
        if (this[FLOWING]) {
          this.emit('data', chunk)
        } else {
          this[BUFFERPUSH](chunk)
        }
        if (this[BUFFERLENGTH] !== 0) {
          this.emit('readable')
        }
        if (cb) {
          fn(cb)
        }
        return this[FLOWING]
      }
      /**
       * Low-level explicit read method.
       *
       * In objectMode, the argument is ignored, and one item is returned if
       * available.
       *
       * `n` is the number of bytes (or in the case of encoding streams,
       * characters) to consume. If `n` is not provided, then the entire buffer
       * is returned, or `null` is returned if no data is available.
       *
       * If `n` is greater that the amount of data in the internal buffer,
       * then `null` is returned.
       */
      read(n) {
        if (this[DESTROYED]) {
          return null
        }
        this[DISCARDED] = false
        if (
          this[BUFFERLENGTH] === 0 ||
          n === 0 ||
          (n && n > this[BUFFERLENGTH])
        ) {
          this[MAYBE_EMIT_END]()
          return null
        }
        if (this[OBJECTMODE]) {
          n = null
        }
        if (this[BUFFER].length > 1 && !this[OBJECTMODE]) {
          // not object mode, so if we have an encoding, then RType is string
          // otherwise, must be Buffer
          this[BUFFER] = [
            this[ENCODING]
              ? this[BUFFER].join('')
              : Buffer.concat(this[BUFFER], this[BUFFERLENGTH])
          ]
        }
        const ret = this[READ](n || null, this[BUFFER][0])
        this[MAYBE_EMIT_END]()
        return ret
      }
      [READ](n, chunk) {
        if (this[OBJECTMODE]) {
          this[BUFFERSHIFT]()
        } else {
          const c = chunk
          if (n === c.length || n === null) {
            this[BUFFERSHIFT]()
          } else if (typeof c === 'string') {
            this[BUFFER][0] = c.slice(n)
            chunk = c.slice(0, n)
            this[BUFFERLENGTH] -= n
          } else {
            this[BUFFER][0] = c.subarray(n)
            chunk = c.subarray(0, n)
            this[BUFFERLENGTH] -= n
          }
        }
        this.emit('data', chunk)
        if (!this[BUFFER].length && !this[EOF]) {
          this.emit('drain')
        }
        return chunk
      }
      end(chunk, encoding, cb) {
        if (typeof chunk === 'function') {
          cb = chunk
          chunk = undefined
        }
        if (typeof encoding === 'function') {
          cb = encoding
          encoding = 'utf8'
        }
        if (chunk !== undefined) {
          this.write(chunk, encoding)
        }
        if (cb) {
          this.once('end', cb)
        }
        this[EOF] = true
        this.writable = false
        // if we haven't written anything, then go ahead and emit,
        // even if we're not reading.
        // we'll re-emit if a new 'end' listener is added anyway.
        // This makes MP more suitable to write-only use cases.
        if (this[FLOWING] || !this[PAUSED]) {
          this[MAYBE_EMIT_END]()
        }
        return this
      }
      // don't let the internal resume be overwritten
      [RESUME]() {
        if (this[DESTROYED]) {
          return
        }
        if (!this[DATALISTENERS] && !this[PIPES].length) {
          this[DISCARDED] = true
        }
        this[PAUSED] = false
        this[FLOWING] = true
        this.emit('resume')
        if (this[BUFFER].length) {
          this[FLUSH]()
        } else if (this[EOF]) {
          this[MAYBE_EMIT_END]()
        } else {
          this.emit('drain')
        }
      }
      /**
       * Resume the stream if it is currently in a paused state
       *
       * If called when there are no pipe destinations or `data` event listeners,
       * this will place the stream in a "discarded" state, where all data will
       * be thrown away. The discarded state is removed if a pipe destination or
       * data handler is added, if pause() is called, or if any synchronous or
       * asynchronous iteration is started.
       */
      resume() {
        return this[RESUME]()
      }
      /**
       * Pause the stream
       */
      pause() {
        this[FLOWING] = false
        this[PAUSED] = true
        this[DISCARDED] = false
      }
      /**
       * true if the stream has been forcibly destroyed
       */
      get destroyed() {
        return this[DESTROYED]
      }
      /**
       * true if the stream is currently in a flowing state, meaning that
       * any writes will be immediately emitted.
       */
      get flowing() {
        return this[FLOWING]
      }
      /**
       * true if the stream is currently in a paused state
       */
      get paused() {
        return this[PAUSED]
      }
      [BUFFERPUSH](chunk) {
        if (this[OBJECTMODE]) {
          this[BUFFERLENGTH] += 1
        } else {
          this[BUFFERLENGTH] += chunk.length
        }
        this[BUFFER].push(chunk)
      }
      [BUFFERSHIFT]() {
        if (this[OBJECTMODE]) {
          this[BUFFERLENGTH] -= 1
        } else {
          this[BUFFERLENGTH] -= this[BUFFER][0].length
        }
        return this[BUFFER].shift()
      }
      [FLUSH](noDrain = false) {
        do {} while (
          this[FLUSHCHUNK](this[BUFFERSHIFT]()) &&
          this[BUFFER].length
        )
        if (!noDrain && !this[BUFFER].length && !this[EOF]) {
          this.emit('drain')
        }
      }
      [FLUSHCHUNK](chunk) {
        this.emit('data', chunk)
        return this[FLOWING]
      }
      /**
       * Pipe all data emitted by this stream into the destination provided.
       *
       * Triggers the flow of data.
       */
      pipe(dest, opts) {
        if (this[DESTROYED]) {
          return dest
        }
        this[DISCARDED] = false
        const ended = this[EMITTED_END]
        opts = opts || {}
        if (dest === proc.stdout || dest === proc.stderr) {
          opts.end = false
        } else {
          opts.end = opts.end !== false
        }
        opts.proxyErrors = !!opts.proxyErrors
        // piping an ended stream ends immediately
        if (ended) {
          if (opts.end) {
            dest.end()
          }
        } else {
          // "as" here just ignores the WType, which pipes don't care about,
          // since they're only consuming from us, and writing to the dest
          this[PIPES].push(
            !opts.proxyErrors
              ? new Pipe(this, dest, opts)
              : new PipeProxyErrors(this, dest, opts)
          )
          if (this[ASYNC]) {
            defer(() => this[RESUME]())
          } else {
            this[RESUME]()
          }
        }
        return dest
      }
      /**
       * Fully unhook a piped destination stream.
       *
       * If the destination stream was the only consumer of this stream (ie,
       * there are no other piped destinations or `'data'` event listeners)
       * then the flow of data will stop until there is another consumer or
       * {@link Minipass#resume} is explicitly called.
       */
      unpipe(dest) {
        const p = this[PIPES].find(p => p.dest === dest)
        if (p) {
          if (this[PIPES].length === 1) {
            if (this[FLOWING] && this[DATALISTENERS] === 0) {
              this[FLOWING] = false
            }
            this[PIPES] = []
          } else {
            this[PIPES].splice(this[PIPES].indexOf(p), 1)
          }
          p.unpipe()
        }
      }
      /**
       * Alias for {@link Minipass#on}
       */
      addListener(ev, handler) {
        return this.on(ev, handler)
      }
      /**
       * Mostly identical to `EventEmitter.on`, with the following
       * behavior differences to prevent data loss and unnecessary hangs:
       *
       * - Adding a 'data' event handler will trigger the flow of data
       *
       * - Adding a 'readable' event handler when there is data waiting to be read
       *   will cause 'readable' to be emitted immediately.
       *
       * - Adding an 'endish' event handler ('end', 'finish', etc.) which has
       *   already passed will cause the event to be emitted immediately and all
       *   handlers removed.
       *
       * - Adding an 'error' event handler after an error has been emitted will
       *   cause the event to be re-emitted immediately with the error previously
       *   raised.
       */
      on(ev, handler) {
        const ret = super.on(ev, handler)
        if (ev === 'data') {
          this[DISCARDED] = false
          this[DATALISTENERS]++
          if (!this[PIPES].length && !this[FLOWING]) {
            this[RESUME]()
          }
        } else if (ev === 'readable' && this[BUFFERLENGTH] !== 0) {
          super.emit('readable')
        } else if (isEndish(ev) && this[EMITTED_END]) {
          super.emit(ev)
          this.removeAllListeners(ev)
        } else if (ev === 'error' && this[EMITTED_ERROR]) {
          const h = handler
          if (this[ASYNC]) {
            defer(() => h.call(this, this[EMITTED_ERROR]))
          } else {
            h.call(this, this[EMITTED_ERROR])
          }
        }
        return ret
      }
      /**
       * Alias for {@link Minipass#off}
       */
      removeListener(ev, handler) {
        return this.off(ev, handler)
      }
      /**
       * Mostly identical to `EventEmitter.off`
       *
       * If a 'data' event handler is removed, and it was the last consumer
       * (ie, there are no pipe destinations or other 'data' event listeners),
       * then the flow of data will stop until there is another consumer or
       * {@link Minipass#resume} is explicitly called.
       */
      off(ev, handler) {
        const ret = super.off(ev, handler)
        // if we previously had listeners, and now we don't, and we don't
        // have any pipes, then stop the flow, unless it's been explicitly
        // put in a discarded flowing state via stream.resume().
        if (ev === 'data') {
          this[DATALISTENERS] = this.listeners('data').length
          if (
            this[DATALISTENERS] === 0 &&
            !this[DISCARDED] &&
            !this[PIPES].length
          ) {
            this[FLOWING] = false
          }
        }
        return ret
      }
      /**
       * Mostly identical to `EventEmitter.removeAllListeners`
       *
       * If all 'data' event handlers are removed, and they were the last consumer
       * (ie, there are no pipe destinations), then the flow of data will stop
       * until there is another consumer or {@link Minipass#resume} is explicitly
       * called.
       */
      removeAllListeners(ev) {
        const ret = super.removeAllListeners(ev)
        if (ev === 'data' || ev === undefined) {
          this[DATALISTENERS] = 0
          if (!this[DISCARDED] && !this[PIPES].length) {
            this[FLOWING] = false
          }
        }
        return ret
      }
      /**
       * true if the 'end' event has been emitted
       */
      get emittedEnd() {
        return this[EMITTED_END]
      }
      [MAYBE_EMIT_END]() {
        if (
          !this[EMITTING_END] &&
          !this[EMITTED_END] &&
          !this[DESTROYED] &&
          this[BUFFER].length === 0 &&
          this[EOF]
        ) {
          this[EMITTING_END] = true
          this.emit('end')
          this.emit('prefinish')
          this.emit('finish')
          if (this[CLOSED]) {
            this.emit('close')
          }
          this[EMITTING_END] = false
        }
      }
      /**
       * Mostly identical to `EventEmitter.emit`, with the following
       * behavior differences to prevent data loss and unnecessary hangs:
       *
       * If the stream has been destroyed, and the event is something other
       * than 'close' or 'error', then `false` is returned and no handlers
       * are called.
       *
       * If the event is 'end', and has already been emitted, then the event
       * is ignored. If the stream is in a paused or non-flowing state, then
       * the event will be deferred until data flow resumes. If the stream is
       * async, then handlers will be called on the next tick rather than
       * immediately.
       *
       * If the event is 'close', and 'end' has not yet been emitted, then
       * the event will be deferred until after 'end' is emitted.
       *
       * If the event is 'error', and an AbortSignal was provided for the stream,
       * and there are no listeners, then the event is ignored, matching the
       * behavior of node core streams in the presense of an AbortSignal.
       *
       * If the event is 'finish' or 'prefinish', then all listeners will be
       * removed after emitting the event, to prevent double-firing.
       */
      emit(ev, ...args) {
        const data = args[0]
        // error and close are only events allowed after calling destroy()
        if (
          ev !== 'error' &&
          ev !== 'close' &&
          ev !== DESTROYED &&
          this[DESTROYED]
        ) {
          return false
        } else if (ev === 'data') {
          return !this[OBJECTMODE] && !data
            ? false
            : this[ASYNC]
              ? (defer(() => this[EMITDATA](data)), true)
              : this[EMITDATA](data)
        } else if (ev === 'end') {
          return this[EMITEND]()
        } else if (ev === 'close') {
          this[CLOSED] = true
          // don't emit close before 'end' and 'finish'
          if (!this[EMITTED_END] && !this[DESTROYED]) {
            return false
          }
          const ret = super.emit('close')
          this.removeAllListeners('close')
          return ret
        } else if (ev === 'error') {
          this[EMITTED_ERROR] = data
          super.emit(ERROR, data)
          const ret =
            !this[SIGNAL] || this.listeners('error').length
              ? super.emit('error', data)
              : false
          this[MAYBE_EMIT_END]()
          return ret
        } else if (ev === 'resume') {
          const ret = super.emit('resume')
          this[MAYBE_EMIT_END]()
          return ret
        } else if (ev === 'finish' || ev === 'prefinish') {
          const ret = super.emit(ev)
          this.removeAllListeners(ev)
          return ret
        }
        // Some other unknown event
        const ret = super.emit(ev, ...args)
        this[MAYBE_EMIT_END]()
        return ret
      }
      [EMITDATA](data) {
        for (const p of this[PIPES]) {
          if (p.dest.write(data) === false) {
            this.pause()
          }
        }
        const ret = this[DISCARDED] ? false : super.emit('data', data)
        this[MAYBE_EMIT_END]()
        return ret
      }
      [EMITEND]() {
        if (this[EMITTED_END]) {
          return false
        }
        this[EMITTED_END] = true
        this.readable = false
        return this[ASYNC]
          ? (defer(() => this[EMITEND2]()), true)
          : this[EMITEND2]()
      }
      [EMITEND2]() {
        if (this[DECODER]) {
          const data = this[DECODER].end()
          if (data) {
            for (const p of this[PIPES]) {
              p.dest.write(data)
            }
            if (!this[DISCARDED]) {
              super.emit('data', data)
            }
          }
        }
        for (const p of this[PIPES]) {
          p.end()
        }
        const ret = super.emit('end')
        this.removeAllListeners('end')
        return ret
      }
      /**
       * Return a Promise that resolves to an array of all emitted data once
       * the stream ends.
       */
      async collect() {
        const buf = Object.assign([], {
          dataLength: 0
        })
        if (!this[OBJECTMODE]) {
          buf.dataLength = 0
        }
        // set the promise first, in case an error is raised
        // by triggering the flow here.
        const p = this.promise()
        this.on('data', c => {
          buf.push(c)
          if (!this[OBJECTMODE]) {
            buf.dataLength += c.length
          }
        })
        await p
        return buf
      }
      /**
       * Return a Promise that resolves to the concatenation of all emitted data
       * once the stream ends.
       *
       * Not allowed on objectMode streams.
       */
      async concat() {
        if (this[OBJECTMODE]) {
          throw new Error('cannot concat in objectMode')
        }
        const buf = await this.collect()
        return this[ENCODING]
          ? buf.join('')
          : Buffer.concat(buf, buf.dataLength)
      }
      /**
       * Return a void Promise that resolves once the stream ends.
       */
      async promise() {
        return new Promise((resolve, reject) => {
          this.on(DESTROYED, () => reject(new Error('stream destroyed')))
          this.on('error', er => reject(er))
          this.on('end', () => resolve())
        })
      }
      /**
       * Asynchronous `for await of` iteration.
       *
       * This will continue emitting all chunks until the stream terminates.
       */
      [Symbol.asyncIterator]() {
        // set this up front, in case the consumer doesn't call next()
        // right away.
        this[DISCARDED] = false
        let stopped = false
        const stop = async () => {
          this.pause()
          stopped = true
          return {
            value: undefined,
            done: true
          }
        }
        const next = () => {
          if (stopped) {
            return stop()
          }
          const res = this.read()
          if (res !== null) {
            return Promise.resolve({
              done: false,
              value: res
            })
          }
          if (this[EOF]) {
            return stop()
          }
          let resolve
          let reject
          const onerr = er => {
            this.off('data', ondata)
            this.off('end', onend)
            this.off(DESTROYED, ondestroy)
            stop()
            reject(er)
          }
          const ondata = value => {
            this.off('error', onerr)
            this.off('end', onend)
            this.off(DESTROYED, ondestroy)
            this.pause()
            resolve({
              value,
              done: !!this[EOF]
            })
          }
          const onend = () => {
            this.off('error', onerr)
            this.off('data', ondata)
            this.off(DESTROYED, ondestroy)
            stop()
            resolve({
              done: true,
              value: undefined
            })
          }
          const ondestroy = () => onerr(new Error('stream destroyed'))
          return new Promise((res, rej) => {
            reject = rej
            resolve = res
            this.once(DESTROYED, ondestroy)
            this.once('error', onerr)
            this.once('end', onend)
            this.once('data', ondata)
          })
        }
        return {
          next,
          throw: stop,
          return: stop,
          [Symbol.asyncIterator]() {
            return this
          }
        }
      }
      /**
       * Synchronous `for of` iteration.
       *
       * The iteration will terminate when the internal buffer runs out, even
       * if the stream has not yet terminated.
       */
      [Symbol.iterator]() {
        // set this up front, in case the consumer doesn't call next()
        // right away.
        this[DISCARDED] = false
        let stopped = false
        const stop = () => {
          this.pause()
          this.off(ERROR, stop)
          this.off(DESTROYED, stop)
          this.off('end', stop)
          stopped = true
          return {
            done: true,
            value: undefined
          }
        }
        const next = () => {
          if (stopped) {
            return stop()
          }
          const value = this.read()
          return value === null
            ? stop()
            : {
                done: false,
                value
              }
        }
        this.once('end', stop)
        this.once(ERROR, stop)
        this.once(DESTROYED, stop)
        return {
          next,
          throw: stop,
          return: stop,
          [Symbol.iterator]() {
            return this
          }
        }
      }
      /**
       * Destroy a stream, preventing it from being used for any further purpose.
       *
       * If the stream has a `close()` method, then it will be called on
       * destruction.
       *
       * After destruction, any attempt to write data, read data, or emit most
       * events will be ignored.
       *
       * If an error argument is provided, then it will be emitted in an
       * 'error' event.
       */
      destroy(er) {
        if (this[DESTROYED]) {
          if (er) {
            this.emit('error', er)
          } else {
            this.emit(DESTROYED)
          }
          return this
        }
        this[DESTROYED] = true
        this[DISCARDED] = true
        // throw away all buffered data, it's never coming out
        this[BUFFER].length = 0
        this[BUFFERLENGTH] = 0
        const wc = this
        if (typeof wc.close === 'function' && !this[CLOSED]) {
          wc.close()
        }
        if (er) {
          this.emit('error', er)
        }
        // if no error to emit, still reject pending promises
        else {
          this.emit(DESTROYED)
        }
        return this
      }
      /**
       * Alias for {@link isStream}
       *
       * Former export location, maintained for backwards compatibility.
       *
       * @deprecated
       */
      static get isStream() {
        return exports.isStream
      }
    }
    exports.Minipass = Minipass
  })(commonjs$4)
  return commonjs$4
}

const constants$4 = {}

let hasRequiredConstants$4
function requireConstants$4() {
  if (hasRequiredConstants$4) {
    return constants$4
  }
  hasRequiredConstants$4 = 1
  const __importDefault =
    (this && this.__importDefault) ||
    function (mod) {
      return mod && mod.__esModule
        ? mod
        : {
            default: mod
          }
    }
  Object.defineProperty(constants$4, '__esModule', {
    value: true
  })
  constants$4.constants = void 0
  // Update with any zlib constants that are added or changed in the future.
  // Node v6 didn't export this, so we just hard code the version and rely
  // on all the other hard-coded values from zlib v4736.  When node v6
  // support drops, we can just export the realZlibConstants object.
  const zlib_1 = __importDefault(require$$0$2)
  /* c8 ignore start */
  const realZlibConstants = zlib_1.default.constants || {
    ZLIB_VERNUM: 4736
  }
  /* c8 ignore stop */
  constants$4.constants = Object.freeze(
    Object.assign(
      Object.create(null),
      {
        Z_NO_FLUSH: 0,
        Z_PARTIAL_FLUSH: 1,
        Z_SYNC_FLUSH: 2,
        Z_FULL_FLUSH: 3,
        Z_FINISH: 4,
        Z_BLOCK: 5,
        Z_OK: 0,
        Z_STREAM_END: 1,
        Z_NEED_DICT: 2,
        Z_ERRNO: -1,
        Z_STREAM_ERROR: -2,
        Z_DATA_ERROR: -3,
        Z_MEM_ERROR: -4,
        Z_BUF_ERROR: -5,
        Z_VERSION_ERROR: -6,
        Z_NO_COMPRESSION: 0,
        Z_BEST_SPEED: 1,
        Z_BEST_COMPRESSION: 9,
        Z_DEFAULT_COMPRESSION: -1,
        Z_FILTERED: 1,
        Z_HUFFMAN_ONLY: 2,
        Z_RLE: 3,
        Z_FIXED: 4,
        Z_DEFAULT_STRATEGY: 0,
        DEFLATE: 1,
        INFLATE: 2,
        GZIP: 3,
        GUNZIP: 4,
        DEFLATERAW: 5,
        INFLATERAW: 6,
        UNZIP: 7,
        BROTLI_DECODE: 8,
        BROTLI_ENCODE: 9,
        Z_MIN_WINDOWBITS: 8,
        Z_MAX_WINDOWBITS: 15,
        Z_DEFAULT_WINDOWBITS: 15,
        Z_MIN_CHUNK: 64,
        Z_MAX_CHUNK: Infinity,
        Z_DEFAULT_CHUNK: 16384,
        Z_MIN_MEMLEVEL: 1,
        Z_MAX_MEMLEVEL: 9,
        Z_DEFAULT_MEMLEVEL: 8,
        Z_MIN_LEVEL: -1,
        Z_MAX_LEVEL: 9,
        Z_DEFAULT_LEVEL: -1,
        BROTLI_OPERATION_PROCESS: 0,
        BROTLI_OPERATION_FLUSH: 1,
        BROTLI_OPERATION_FINISH: 2,
        BROTLI_OPERATION_EMIT_METADATA: 3,
        BROTLI_MODE_GENERIC: 0,
        BROTLI_MODE_TEXT: 1,
        BROTLI_MODE_FONT: 2,
        BROTLI_DEFAULT_MODE: 0,
        BROTLI_MIN_QUALITY: 0,
        BROTLI_MAX_QUALITY: 11,
        BROTLI_DEFAULT_QUALITY: 11,
        BROTLI_MIN_WINDOW_BITS: 10,
        BROTLI_MAX_WINDOW_BITS: 24,
        BROTLI_LARGE_MAX_WINDOW_BITS: 30,
        BROTLI_DEFAULT_WINDOW: 22,
        BROTLI_MIN_INPUT_BLOCK_BITS: 16,
        BROTLI_MAX_INPUT_BLOCK_BITS: 24,
        BROTLI_PARAM_MODE: 0,
        BROTLI_PARAM_QUALITY: 1,
        BROTLI_PARAM_LGWIN: 2,
        BROTLI_PARAM_LGBLOCK: 3,
        BROTLI_PARAM_DISABLE_LITERAL_CONTEXT_MODELING: 4,
        BROTLI_PARAM_SIZE_HINT: 5,
        BROTLI_PARAM_LARGE_WINDOW: 6,
        BROTLI_PARAM_NPOSTFIX: 7,
        BROTLI_PARAM_NDIRECT: 8,
        BROTLI_DECODER_RESULT_ERROR: 0,
        BROTLI_DECODER_RESULT_SUCCESS: 1,
        BROTLI_DECODER_RESULT_NEEDS_MORE_INPUT: 2,
        BROTLI_DECODER_RESULT_NEEDS_MORE_OUTPUT: 3,
        BROTLI_DECODER_PARAM_DISABLE_RING_BUFFER_REALLOCATION: 0,
        BROTLI_DECODER_PARAM_LARGE_WINDOW: 1,
        BROTLI_DECODER_NO_ERROR: 0,
        BROTLI_DECODER_SUCCESS: 1,
        BROTLI_DECODER_NEEDS_MORE_INPUT: 2,
        BROTLI_DECODER_NEEDS_MORE_OUTPUT: 3,
        BROTLI_DECODER_ERROR_FORMAT_EXUBERANT_NIBBLE: -1,
        BROTLI_DECODER_ERROR_FORMAT_RESERVED: -2,
        BROTLI_DECODER_ERROR_FORMAT_EXUBERANT_META_NIBBLE: -3,
        BROTLI_DECODER_ERROR_FORMAT_SIMPLE_HUFFMAN_ALPHABET: -4,
        BROTLI_DECODER_ERROR_FORMAT_SIMPLE_HUFFMAN_SAME: -5,
        BROTLI_DECODER_ERROR_FORMAT_CL_SPACE: -6,
        BROTLI_DECODER_ERROR_FORMAT_HUFFMAN_SPACE: -7,
        BROTLI_DECODER_ERROR_FORMAT_CONTEXT_MAP_REPEAT: -8,
        BROTLI_DECODER_ERROR_FORMAT_BLOCK_LENGTH_1: -9,
        BROTLI_DECODER_ERROR_FORMAT_BLOCK_LENGTH_2: -10,
        BROTLI_DECODER_ERROR_FORMAT_TRANSFORM: -11,
        BROTLI_DECODER_ERROR_FORMAT_DICTIONARY: -12,
        BROTLI_DECODER_ERROR_FORMAT_WINDOW_BITS: -13,
        BROTLI_DECODER_ERROR_FORMAT_PADDING_1: -14,
        BROTLI_DECODER_ERROR_FORMAT_PADDING_2: -15,
        BROTLI_DECODER_ERROR_FORMAT_DISTANCE: -16,
        BROTLI_DECODER_ERROR_DICTIONARY_NOT_SET: -19,
        BROTLI_DECODER_ERROR_INVALID_ARGUMENTS: -20,
        BROTLI_DECODER_ERROR_ALLOC_CONTEXT_MODES: -21,
        BROTLI_DECODER_ERROR_ALLOC_TREE_GROUPS: -22,
        BROTLI_DECODER_ERROR_ALLOC_CONTEXT_MAP: -25,
        BROTLI_DECODER_ERROR_ALLOC_RING_BUFFER_1: -26,
        BROTLI_DECODER_ERROR_ALLOC_RING_BUFFER_2: -27,
        BROTLI_DECODER_ERROR_ALLOC_BLOCK_TYPE_TREES: -30,
        BROTLI_DECODER_ERROR_UNREACHABLE: -31
      },
      realZlibConstants
    )
  )
  return constants$4
}

let hasRequiredCommonjs$4
function requireCommonjs$4() {
  if (hasRequiredCommonjs$4) {
    return commonjs$5
  }
  hasRequiredCommonjs$4 = 1
  ;(function (exports) {
    const __createBinding =
      (this && this.__createBinding) ||
      (Object.create
        ? function (o, m, k, k2) {
            if (k2 === undefined) {
              k2 = k
            }
            let desc = Object.getOwnPropertyDescriptor(m, k)
            if (
              !desc ||
              ('get' in desc
                ? !m.__esModule
                : desc.writable || desc.configurable)
            ) {
              desc = {
                enumerable: true,
                get: function () {
                  return m[k]
                }
              }
            }
            Object.defineProperty(o, k2, desc)
          }
        : function (o, m, k, k2) {
            if (k2 === undefined) {
              k2 = k
            }
            o[k2] = m[k]
          })
    const __setModuleDefault =
      (this && this.__setModuleDefault) ||
      (Object.create
        ? function (o, v) {
            Object.defineProperty(o, 'default', {
              enumerable: true,
              value: v
            })
          }
        : function (o, v) {
            o['default'] = v
          })
    const __importStar =
      (this && this.__importStar) ||
      (function () {
        let ownKeys = function (o) {
          ownKeys =
            Object.getOwnPropertyNames ||
            function (o) {
              const ar = []
              for (const k in o) {
                if (Object.prototype.hasOwnProperty.call(o, k))
                  ar[ar.length] = k
              }
              return ar
            }
          return ownKeys(o)
        }
        return function (mod) {
          if (mod && mod.__esModule) {
            return mod
          }
          const result = {}
          if (mod != null) {
            for (var k = ownKeys(mod), i = 0; i < k.length; i++)
              if (k[i] !== 'default') __createBinding(result, mod, k[i])
          }
          __setModuleDefault(result, mod)
          return result
        }
      })()
    const __importDefault =
      (this && this.__importDefault) ||
      function (mod) {
        return mod && mod.__esModule
          ? mod
          : {
              default: mod
            }
      }
    Object.defineProperty(exports, '__esModule', {
      value: true
    })
    exports.BrotliDecompress =
      exports.BrotliCompress =
      exports.Brotli =
      exports.Unzip =
      exports.InflateRaw =
      exports.DeflateRaw =
      exports.Gunzip =
      exports.Gzip =
      exports.Inflate =
      exports.Deflate =
      exports.Zlib =
      exports.ZlibError =
      exports.constants =
        void 0
    const assert_1 = __importDefault(require$$0$3)
    const buffer_1 = require$$0$4
    const minipass_1 = requireCommonjs$5()
    const realZlib = __importStar(require$$0$2)
    const constants_js_1 = requireConstants$4()
    const constants_js_2 = requireConstants$4()
    Object.defineProperty(exports, 'constants', {
      enumerable: true,
      get: function () {
        return constants_js_2.constants
      }
    })
    const OriginalBufferConcat = buffer_1.Buffer.concat
    const desc = Object.getOwnPropertyDescriptor(buffer_1.Buffer, 'concat')
    const noop = args => args
    const passthroughBufferConcat =
      desc?.writable === true || desc?.set !== undefined
        ? makeNoOp => {
            buffer_1.Buffer.concat = makeNoOp ? noop : OriginalBufferConcat
          }
        : _ => {}
    const _superWrite = Symbol('_superWrite')
    class ZlibError extends Error {
      code
      errno
      constructor(err) {
        super('zlib: ' + err.message)
        this.code = err.code
        this.errno = err.errno
        /* c8 ignore next */
        if (!this.code) {
          this.code = 'ZLIB_ERROR'
        }
        this.message = 'zlib: ' + err.message
        Error.captureStackTrace(this, this.constructor)
      }
      get name() {
        return 'ZlibError'
      }
    }
    exports.ZlibError = ZlibError
    // the Zlib class they all inherit from
    // This thing manages the queue of requests, and returns
    // true or false if there is anything in the queue when
    // you call the .write() method.
    const _flushFlag = Symbol('flushFlag')
    class ZlibBase extends minipass_1.Minipass {
      #sawError = false
      #ended = false
      #flushFlag
      #finishFlushFlag
      #fullFlushFlag
      #handle
      #onError
      get sawError() {
        return this.#sawError
      }
      get handle() {
        return this.#handle
      }
      /* c8 ignore start */
      get flushFlag() {
        return this.#flushFlag
      }
      /* c8 ignore stop */
      constructor(opts, mode) {
        if (!opts || typeof opts !== 'object') {
          throw new TypeError('invalid options for ZlibBase constructor')
        }
        //@ts-ignore
        super(opts)
        /* c8 ignore start */
        this.#flushFlag = opts.flush ?? 0
        this.#finishFlushFlag = opts.finishFlush ?? 0
        this.#fullFlushFlag = opts.fullFlushFlag ?? 0
        /* c8 ignore stop */
        // this will throw if any options are invalid for the class selected
        try {
          // @types/node doesn't know that it exports the classes, but they're there
          //@ts-ignore
          this.#handle = new realZlib[mode](opts)
        } catch (er) {
          // make sure that all errors get decorated properly
          throw new ZlibError(er)
        }
        this.#onError = err => {
          // no sense raising multiple errors, since we abort on the first one.
          if (this.#sawError) {
            return
          }
          this.#sawError = true
          // there is no way to cleanly recover.
          // continuing only obscures problems.
          this.close()
          this.emit('error', err)
        }
        this.#handle?.on('error', er => this.#onError(new ZlibError(er)))
        this.once('end', () => this.close)
      }
      close() {
        if (this.#handle) {
          this.#handle.close()
          this.#handle = undefined
          this.emit('close')
        }
      }
      reset() {
        if (!this.#sawError) {
          ;(0, assert_1.default)(this.#handle, 'zlib binding closed')
          //@ts-ignore
          return this.#handle.reset?.()
        }
      }
      flush(flushFlag) {
        if (this.ended) {
          return
        }
        if (typeof flushFlag !== 'number') {
          flushFlag = this.#fullFlushFlag
        }
        this.write(
          Object.assign(buffer_1.Buffer.alloc(0), {
            [_flushFlag]: flushFlag
          })
        )
      }
      end(chunk, encoding, cb) {
        /* c8 ignore start */
        if (typeof chunk === 'function') {
          cb = chunk
          encoding = undefined
          chunk = undefined
        }
        if (typeof encoding === 'function') {
          cb = encoding
          encoding = undefined
        }
        /* c8 ignore stop */
        if (chunk) {
          if (encoding) {
            this.write(chunk, encoding)
          } else {
            this.write(chunk)
          }
        }
        this.flush(this.#finishFlushFlag)
        this.#ended = true
        return super.end(cb)
      }
      get ended() {
        return this.#ended
      }
      // overridden in the gzip classes to do portable writes
      [_superWrite](data) {
        return super.write(data)
      }
      write(chunk, encoding, cb) {
        // process the chunk using the sync process
        // then super.write() all the outputted chunks
        if (typeof encoding === 'function') {
          ;(cb = encoding), (encoding = 'utf8')
        }
        if (typeof chunk === 'string') {
          chunk = buffer_1.Buffer.from(chunk, encoding)
        }
        if (this.#sawError) {
          return
        }
        ;(0, assert_1.default)(this.#handle, 'zlib binding closed')
        // _processChunk tries to .close() the native handle after it's done, so we
        // intercept that by temporarily making it a no-op.
        // diving into the node:zlib internals a bit here
        const nativeHandle = this.#handle._handle
        const originalNativeClose = nativeHandle.close
        nativeHandle.close = () => {}
        const originalClose = this.#handle.close
        this.#handle.close = () => {}
        // It also calls `Buffer.concat()` at the end, which may be convenient
        // for some, but which we are not interested in as it slows us down.
        passthroughBufferConcat(true)
        let result = undefined
        try {
          const flushFlag =
            typeof chunk[_flushFlag] === 'number'
              ? chunk[_flushFlag]
              : this.#flushFlag
          result = this.#handle._processChunk(chunk, flushFlag)
          // if we don't throw, reset it back how it was
          passthroughBufferConcat(false)
        } catch (err) {
          // or if we do, put Buffer.concat() back before we emit error
          // Error events call into user code, which may call Buffer.concat()
          passthroughBufferConcat(false)
          this.#onError(new ZlibError(err))
        } finally {
          if (this.#handle) {
            this.#handle._handle = nativeHandle
            nativeHandle.close = originalNativeClose
            this.#handle.close = originalClose
            // `_processChunk()` adds an 'error' listener. If we don't remove it
            // after each call, these handlers start piling up.
            this.#handle.removeAllListeners('error')
            // make sure OUR error listener is still attached tho
          }
        }
        if (this.#handle) {
          this.#handle.on('error', er => this.#onError(new ZlibError(er)))
        }
        let writeReturn
        if (result) {
          if (Array.isArray(result) && result.length > 0) {
            const r = result[0]
            // The first buffer is always `handle._outBuffer`, which would be
            // re-used for later invocations; so, we always have to copy that one.
            writeReturn = this[_superWrite](buffer_1.Buffer.from(r))
            for (let i = 1; i < result.length; i++) {
              writeReturn = this[_superWrite](result[i])
            }
          } else {
            // either a single Buffer or an empty array
            writeReturn = this[_superWrite](buffer_1.Buffer.from(result))
          }
        }
        if (cb) {
          cb()
        }
        return writeReturn
      }
    }
    class Zlib extends ZlibBase {
      #level
      #strategy
      constructor(opts, mode) {
        opts = opts || {}
        opts.flush = opts.flush || constants_js_1.constants.Z_NO_FLUSH
        opts.finishFlush = opts.finishFlush || constants_js_1.constants.Z_FINISH
        opts.fullFlushFlag = constants_js_1.constants.Z_FULL_FLUSH
        super(opts, mode)
        this.#level = opts.level
        this.#strategy = opts.strategy
      }
      params(level, strategy) {
        if (this.sawError) {
          return
        }
        if (!this.handle) {
          throw new Error('cannot switch params when binding is closed')
        }
        // no way to test this without also not supporting params at all
        /* c8 ignore start */
        if (!this.handle.params) {
          throw new Error('not supported in this implementation')
        }
        /* c8 ignore stop */
        if (this.#level !== level || this.#strategy !== strategy) {
          this.flush(constants_js_1.constants.Z_SYNC_FLUSH)
          ;(0, assert_1.default)(this.handle, 'zlib binding closed')
          // .params() calls .flush(), but the latter is always async in the
          // core zlib. We override .flush() temporarily to intercept that and
          // flush synchronously.
          const origFlush = this.handle.flush
          this.handle.flush = (flushFlag, cb) => {
            /* c8 ignore start */
            if (typeof flushFlag === 'function') {
              cb = flushFlag
              flushFlag = this.flushFlag
            }
            /* c8 ignore stop */
            this.flush(flushFlag)
            cb?.()
          }
          try {
            this.handle.params(level, strategy)
          } finally {
            this.handle.flush = origFlush
          }
          /* c8 ignore start */
          if (this.handle) {
            this.#level = level
            this.#strategy = strategy
          }
          /* c8 ignore stop */
        }
      }
    }
    exports.Zlib = Zlib
    // minimal 2-byte header
    class Deflate extends Zlib {
      constructor(opts) {
        super(opts, 'Deflate')
      }
    }
    exports.Deflate = Deflate
    class Inflate extends Zlib {
      constructor(opts) {
        super(opts, 'Inflate')
      }
    }
    exports.Inflate = Inflate
    class Gzip extends Zlib {
      #portable
      constructor(opts) {
        super(opts, 'Gzip')
        this.#portable = opts && !!opts.portable
      }
      [_superWrite](data) {
        if (!this.#portable) {
          return super[_superWrite](data)
        }
        // we'll always get the header emitted in one first chunk
        // overwrite the OS indicator byte with 0xFF
        this.#portable = false
        data[9] = 255
        return super[_superWrite](data)
      }
    }
    exports.Gzip = Gzip
    class Gunzip extends Zlib {
      constructor(opts) {
        super(opts, 'Gunzip')
      }
    }
    exports.Gunzip = Gunzip
    // raw - no header
    class DeflateRaw extends Zlib {
      constructor(opts) {
        super(opts, 'DeflateRaw')
      }
    }
    exports.DeflateRaw = DeflateRaw
    class InflateRaw extends Zlib {
      constructor(opts) {
        super(opts, 'InflateRaw')
      }
    }
    exports.InflateRaw = InflateRaw
    // auto-detect header.
    class Unzip extends Zlib {
      constructor(opts) {
        super(opts, 'Unzip')
      }
    }
    exports.Unzip = Unzip
    class Brotli extends ZlibBase {
      constructor(opts, mode) {
        opts = opts || {}
        opts.flush =
          opts.flush || constants_js_1.constants.BROTLI_OPERATION_PROCESS
        opts.finishFlush =
          opts.finishFlush || constants_js_1.constants.BROTLI_OPERATION_FINISH
        opts.fullFlushFlag = constants_js_1.constants.BROTLI_OPERATION_FLUSH
        super(opts, mode)
      }
    }
    exports.Brotli = Brotli
    class BrotliCompress extends Brotli {
      constructor(opts) {
        super(opts, 'BrotliCompress')
      }
    }
    exports.BrotliCompress = BrotliCompress
    class BrotliDecompress extends Brotli {
      constructor(opts) {
        super(opts, 'BrotliDecompress')
      }
    }
    exports.BrotliDecompress = BrotliDecompress
  })(commonjs$5)
  return commonjs$5
}

let minipass$2
let hasRequiredMinipass$2
function requireMinipass$2() {
  if (hasRequiredMinipass$2) {
    return minipass$2
  }
  hasRequiredMinipass$2 = 1
  const proc =
    typeof process === 'object' && process
      ? process
      : {
          stdout: null,
          stderr: null
        }
  const EE = require$$0$5
  const Stream = require$$1$2
  const SD = require$$2$2.StringDecoder
  const EOF = Symbol('EOF')
  const MAYBE_EMIT_END = Symbol('maybeEmitEnd')
  const EMITTED_END = Symbol('emittedEnd')
  const EMITTING_END = Symbol('emittingEnd')
  const EMITTED_ERROR = Symbol('emittedError')
  const CLOSED = Symbol('closed')
  const READ = Symbol('read')
  const FLUSH = Symbol('flush')
  const FLUSHCHUNK = Symbol('flushChunk')
  const ENCODING = Symbol('encoding')
  const DECODER = Symbol('decoder')
  const FLOWING = Symbol('flowing')
  const PAUSED = Symbol('paused')
  const RESUME = Symbol('resume')
  const BUFFERLENGTH = Symbol('bufferLength')
  const BUFFERPUSH = Symbol('bufferPush')
  const BUFFERSHIFT = Symbol('bufferShift')
  const OBJECTMODE = Symbol('objectMode')
  const DESTROYED = Symbol('destroyed')
  const EMITDATA = Symbol('emitData')
  const EMITEND = Symbol('emitEnd')
  const EMITEND2 = Symbol('emitEnd2')
  const ASYNC = Symbol('async')
  const defer = fn => Promise.resolve().then(fn)

  // TODO remove when Node v8 support drops
  const doIter = global._MP_NO_ITERATOR_SYMBOLS_ !== '1'
  const ASYNCITERATOR =
    (doIter && Symbol.asyncIterator) || Symbol('asyncIterator not implemented')
  const ITERATOR =
    (doIter && Symbol.iterator) || Symbol('iterator not implemented')

  // events that mean 'the stream is over'
  // these are treated specially, and re-emitted
  // if they are listened for after emitting.
  const isEndish = ev => ev === 'end' || ev === 'finish' || ev === 'prefinish'
  const isArrayBuffer = b =>
    b instanceof ArrayBuffer ||
    (typeof b === 'object' &&
      b.constructor &&
      b.constructor.name === 'ArrayBuffer' &&
      b.byteLength >= 0)
  const isArrayBufferView = b => !Buffer.isBuffer(b) && ArrayBuffer.isView(b)
  class Pipe {
    constructor(src, dest, opts) {
      this.src = src
      this.dest = dest
      this.opts = opts
      this.ondrain = () => src[RESUME]()
      dest.on('drain', this.ondrain)
    }
    unpipe() {
      this.dest.removeListener('drain', this.ondrain)
    }
    // istanbul ignore next - only here for the prototype
    proxyErrors() {}
    end() {
      this.unpipe()
      if (this.opts.end) {
        this.dest.end()
      }
    }
  }
  class PipeProxyErrors extends Pipe {
    unpipe() {
      this.src.removeListener('error', this.proxyErrors)
      super.unpipe()
    }
    constructor(src, dest, opts) {
      super(src, dest, opts)
      this.proxyErrors = er => dest.emit('error', er)
      src.on('error', this.proxyErrors)
    }
  }
  minipass$2 = class Minipass extends Stream {
    constructor(options) {
      super()
      this[FLOWING] = false
      // whether we're explicitly paused
      this[PAUSED] = false
      this.pipes = []
      this.buffer = []
      this[OBJECTMODE] = (options && options.objectMode) || false
      if (this[OBJECTMODE]) {
        this[ENCODING] = null
      } else {
        this[ENCODING] = (options && options.encoding) || null
      }
      if (this[ENCODING] === 'buffer') {
        this[ENCODING] = null
      }
      this[ASYNC] = (options && !!options.async) || false
      this[DECODER] = this[ENCODING] ? new SD(this[ENCODING]) : null
      this[EOF] = false
      this[EMITTED_END] = false
      this[EMITTING_END] = false
      this[CLOSED] = false
      this[EMITTED_ERROR] = null
      this.writable = true
      this.readable = true
      this[BUFFERLENGTH] = 0
      this[DESTROYED] = false
    }
    get bufferLength() {
      return this[BUFFERLENGTH]
    }
    get encoding() {
      return this[ENCODING]
    }
    set encoding(enc) {
      if (this[OBJECTMODE]) {
        throw new Error('cannot set encoding in objectMode')
      }
      if (
        this[ENCODING] &&
        enc !== this[ENCODING] &&
        ((this[DECODER] && this[DECODER].lastNeed) || this[BUFFERLENGTH])
      ) {
        throw new Error('cannot change encoding')
      }
      if (this[ENCODING] !== enc) {
        this[DECODER] = enc ? new SD(enc) : null
        if (this.buffer.length) {
          this.buffer = this.buffer.map(chunk => this[DECODER].write(chunk))
        }
      }
      this[ENCODING] = enc
    }
    setEncoding(enc) {
      this.encoding = enc
    }
    get objectMode() {
      return this[OBJECTMODE]
    }
    set objectMode(om) {
      this[OBJECTMODE] = this[OBJECTMODE] || !!om
    }
    get ['async']() {
      return this[ASYNC]
    }
    set ['async'](a) {
      this[ASYNC] = this[ASYNC] || !!a
    }
    write(chunk, encoding, cb) {
      if (this[EOF]) {
        throw new Error('write after end')
      }
      if (this[DESTROYED]) {
        this.emit(
          'error',
          Object.assign(
            new Error('Cannot call write after a stream was destroyed'),
            {
              code: 'ERR_STREAM_DESTROYED'
            }
          )
        )
        return true
      }
      if (typeof encoding === 'function') {
        ;(cb = encoding), (encoding = 'utf8')
      }
      if (!encoding) {
        encoding = 'utf8'
      }
      const fn = this[ASYNC] ? defer : f => f()

      // convert array buffers and typed array views into buffers
      // at some point in the future, we may want to do the opposite!
      // leave strings and buffers as-is
      // anything else switches us into object mode
      if (!this[OBJECTMODE] && !Buffer.isBuffer(chunk)) {
        if (isArrayBufferView(chunk)) {
          chunk = Buffer.from(chunk.buffer, chunk.byteOffset, chunk.byteLength)
        } else if (isArrayBuffer(chunk)) {
          chunk = Buffer.from(chunk)
        } else if (typeof chunk !== 'string') {
          // use the setter so we throw if we have encoding set
          this.objectMode = true
        }
      }

      // handle object mode up front, since it's simpler
      // this yields better performance, fewer checks later.
      if (this[OBJECTMODE]) {
        /* istanbul ignore if - maybe impossible? */
        if (this.flowing && this[BUFFERLENGTH] !== 0) {
          this[FLUSH](true)
        }
        if (this.flowing) {
          this.emit('data', chunk)
        } else {
          this[BUFFERPUSH](chunk)
        }
        if (this[BUFFERLENGTH] !== 0) {
          this.emit('readable')
        }
        if (cb) {
          fn(cb)
        }
        return this.flowing
      }

      // at this point the chunk is a buffer or string
      // don't buffer it up or send it to the decoder
      if (!chunk.length) {
        if (this[BUFFERLENGTH] !== 0) {
          this.emit('readable')
        }
        if (cb) {
          fn(cb)
        }
        return this.flowing
      }

      // fast-path writing strings of same encoding to a stream with
      // an empty buffer, skipping the buffer/decoder dance
      if (
        typeof chunk === 'string' &&
        // unless it is a string already ready for us to use
        !(encoding === this[ENCODING] && !this[DECODER].lastNeed)
      ) {
        chunk = Buffer.from(chunk, encoding)
      }
      if (Buffer.isBuffer(chunk) && this[ENCODING]) {
        chunk = this[DECODER].write(chunk)
      }

      // Note: flushing CAN potentially switch us into not-flowing mode
      if (this.flowing && this[BUFFERLENGTH] !== 0) {
        this[FLUSH](true)
      }
      if (this.flowing) {
        this.emit('data', chunk)
      } else {
        this[BUFFERPUSH](chunk)
      }
      if (this[BUFFERLENGTH] !== 0) {
        this.emit('readable')
      }
      if (cb) {
        fn(cb)
      }
      return this.flowing
    }
    read(n) {
      if (this[DESTROYED]) {
        return null
      }
      if (this[BUFFERLENGTH] === 0 || n === 0 || n > this[BUFFERLENGTH]) {
        this[MAYBE_EMIT_END]()
        return null
      }
      if (this[OBJECTMODE]) {
        n = null
      }
      if (this.buffer.length > 1 && !this[OBJECTMODE]) {
        if (this.encoding) {
          this.buffer = [this.buffer.join('')]
        } else {
          this.buffer = [Buffer.concat(this.buffer, this[BUFFERLENGTH])]
        }
      }
      const ret = this[READ](n || null, this.buffer[0])
      this[MAYBE_EMIT_END]()
      return ret
    }
    [READ](n, chunk) {
      if (n === chunk.length || n === null) {
        this[BUFFERSHIFT]()
      } else {
        this.buffer[0] = chunk.slice(n)
        chunk = chunk.slice(0, n)
        this[BUFFERLENGTH] -= n
      }
      this.emit('data', chunk)
      if (!this.buffer.length && !this[EOF]) {
        this.emit('drain')
      }
      return chunk
    }
    end(chunk, encoding, cb) {
      if (typeof chunk === 'function') {
        ;(cb = chunk), (chunk = null)
      }
      if (typeof encoding === 'function') {
        ;(cb = encoding), (encoding = 'utf8')
      }
      if (chunk) {
        this.write(chunk, encoding)
      }
      if (cb) {
        this.once('end', cb)
      }
      this[EOF] = true
      this.writable = false

      // if we haven't written anything, then go ahead and emit,
      // even if we're not reading.
      // we'll re-emit if a new 'end' listener is added anyway.
      // This makes MP more suitable to write-only use cases.
      if (this.flowing || !this[PAUSED]) {
        this[MAYBE_EMIT_END]()
      }
      return this
    }

    // don't let the internal resume be overwritten
    [RESUME]() {
      if (this[DESTROYED]) {
        return
      }
      this[PAUSED] = false
      this[FLOWING] = true
      this.emit('resume')
      if (this.buffer.length) {
        this[FLUSH]()
      } else if (this[EOF]) {
        this[MAYBE_EMIT_END]()
      } else {
        this.emit('drain')
      }
    }
    resume() {
      return this[RESUME]()
    }
    pause() {
      this[FLOWING] = false
      this[PAUSED] = true
    }
    get destroyed() {
      return this[DESTROYED]
    }
    get flowing() {
      return this[FLOWING]
    }
    get paused() {
      return this[PAUSED]
    }
    [BUFFERPUSH](chunk) {
      if (this[OBJECTMODE]) {
        this[BUFFERLENGTH] += 1
      } else {
        this[BUFFERLENGTH] += chunk.length
      }
      this.buffer.push(chunk)
    }
    [BUFFERSHIFT]() {
      if (this.buffer.length) {
        if (this[OBJECTMODE]) {
          this[BUFFERLENGTH] -= 1
        } else {
          this[BUFFERLENGTH] -= this.buffer[0].length
        }
      }
      return this.buffer.shift()
    }
    [FLUSH](noDrain) {
      do {} while (this[FLUSHCHUNK](this[BUFFERSHIFT]()))
      if (!noDrain && !this.buffer.length && !this[EOF]) {
        this.emit('drain')
      }
    }
    [FLUSHCHUNK](chunk) {
      return chunk ? (this.emit('data', chunk), this.flowing) : false
    }
    pipe(dest, opts) {
      if (this[DESTROYED]) {
        return
      }
      const ended = this[EMITTED_END]
      opts = opts || {}
      if (dest === proc.stdout || dest === proc.stderr) {
        opts.end = false
      } else {
        opts.end = opts.end !== false
      }
      opts.proxyErrors = !!opts.proxyErrors

      // piping an ended stream ends immediately
      if (ended) {
        if (opts.end) {
          dest.end()
        }
      } else {
        this.pipes.push(
          !opts.proxyErrors
            ? new Pipe(this, dest, opts)
            : new PipeProxyErrors(this, dest, opts)
        )
        if (this[ASYNC]) {
          defer(() => this[RESUME]())
        } else {
          this[RESUME]()
        }
      }
      return dest
    }
    unpipe(dest) {
      const p = this.pipes.find(p => p.dest === dest)
      if (p) {
        this.pipes.splice(this.pipes.indexOf(p), 1)
        p.unpipe()
      }
    }
    addListener(ev, fn) {
      return this.on(ev, fn)
    }
    on(ev, fn) {
      const ret = super.on(ev, fn)
      if (ev === 'data' && !this.pipes.length && !this.flowing) {
        this[RESUME]()
      } else if (ev === 'readable' && this[BUFFERLENGTH] !== 0) {
        super.emit('readable')
      } else if (isEndish(ev) && this[EMITTED_END]) {
        super.emit(ev)
        this.removeAllListeners(ev)
      } else if (ev === 'error' && this[EMITTED_ERROR]) {
        if (this[ASYNC]) {
          defer(() => fn.call(this, this[EMITTED_ERROR]))
        } else {
          fn.call(this, this[EMITTED_ERROR])
        }
      }
      return ret
    }
    get emittedEnd() {
      return this[EMITTED_END]
    }
    [MAYBE_EMIT_END]() {
      if (
        !this[EMITTING_END] &&
        !this[EMITTED_END] &&
        !this[DESTROYED] &&
        this.buffer.length === 0 &&
        this[EOF]
      ) {
        this[EMITTING_END] = true
        this.emit('end')
        this.emit('prefinish')
        this.emit('finish')
        if (this[CLOSED]) {
          this.emit('close')
        }
        this[EMITTING_END] = false
      }
    }
    emit(ev, data, ...extra) {
      // error and close are only events allowed after calling destroy()
      if (
        ev !== 'error' &&
        ev !== 'close' &&
        ev !== DESTROYED &&
        this[DESTROYED]
      ) {
        return
      } else if (ev === 'data') {
        return !data
          ? false
          : this[ASYNC]
            ? defer(() => this[EMITDATA](data))
            : this[EMITDATA](data)
      } else if (ev === 'end') {
        return this[EMITEND]()
      } else if (ev === 'close') {
        this[CLOSED] = true
        // don't emit close before 'end' and 'finish'
        if (!this[EMITTED_END] && !this[DESTROYED]) {
          return
        }
        const ret = super.emit('close')
        this.removeAllListeners('close')
        return ret
      } else if (ev === 'error') {
        this[EMITTED_ERROR] = data
        const ret = super.emit('error', data)
        this[MAYBE_EMIT_END]()
        return ret
      } else if (ev === 'resume') {
        const ret = super.emit('resume')
        this[MAYBE_EMIT_END]()
        return ret
      } else if (ev === 'finish' || ev === 'prefinish') {
        const ret = super.emit(ev)
        this.removeAllListeners(ev)
        return ret
      }

      // Some other unknown event
      const ret = super.emit(ev, data, ...extra)
      this[MAYBE_EMIT_END]()
      return ret
    }
    [EMITDATA](data) {
      for (const p of this.pipes) {
        if (p.dest.write(data) === false) {
          this.pause()
        }
      }
      const ret = super.emit('data', data)
      this[MAYBE_EMIT_END]()
      return ret
    }
    [EMITEND]() {
      if (this[EMITTED_END]) {
        return
      }
      this[EMITTED_END] = true
      this.readable = false
      if (this[ASYNC]) {
        defer(() => this[EMITEND2]())
      } else {
        this[EMITEND2]()
      }
    }
    [EMITEND2]() {
      if (this[DECODER]) {
        const data = this[DECODER].end()
        if (data) {
          for (const p of this.pipes) {
            p.dest.write(data)
          }
          super.emit('data', data)
        }
      }
      for (const p of this.pipes) {
        p.end()
      }
      const ret = super.emit('end')
      this.removeAllListeners('end')
      return ret
    }

    // const all = await stream.collect()
    collect() {
      const buf = []
      if (!this[OBJECTMODE]) {
        buf.dataLength = 0
      }
      // set the promise first, in case an error is raised
      // by triggering the flow here.
      const p = this.promise()
      this.on('data', c => {
        buf.push(c)
        if (!this[OBJECTMODE]) {
          buf.dataLength += c.length
        }
      })
      return p.then(() => buf)
    }

    // const data = await stream.concat()
    concat() {
      return this[OBJECTMODE]
        ? Promise.reject(new Error('cannot concat in objectMode'))
        : this.collect().then(buf =>
            this[OBJECTMODE]
              ? Promise.reject(new Error('cannot concat in objectMode'))
              : this[ENCODING]
                ? buf.join('')
                : Buffer.concat(buf, buf.dataLength)
          )
    }

    // stream.promise().then(() => done, er => emitted error)
    promise() {
      return new Promise((resolve, reject) => {
        this.on(DESTROYED, () => reject(new Error('stream destroyed')))
        this.on('error', er => reject(er))
        this.on('end', () => resolve())
      })
    }

    // for await (let chunk of stream)
    [ASYNCITERATOR]() {
      const next = () => {
        const res = this.read()
        if (res !== null) {
          return Promise.resolve({
            done: false,
            value: res
          })
        }
        if (this[EOF]) {
          return Promise.resolve({
            done: true
          })
        }
        let resolve = null
        let reject = null
        const onerr = er => {
          this.removeListener('data', ondata)
          this.removeListener('end', onend)
          reject(er)
        }
        const ondata = value => {
          this.removeListener('error', onerr)
          this.removeListener('end', onend)
          this.pause()
          resolve({
            value: value,
            done: !!this[EOF]
          })
        }
        const onend = () => {
          this.removeListener('error', onerr)
          this.removeListener('data', ondata)
          resolve({
            done: true
          })
        }
        const ondestroy = () => onerr(new Error('stream destroyed'))
        return new Promise((res, rej) => {
          reject = rej
          resolve = res
          this.once(DESTROYED, ondestroy)
          this.once('error', onerr)
          this.once('end', onend)
          this.once('data', ondata)
        })
      }
      return {
        next
      }
    }

    // for (let chunk of stream)
    [ITERATOR]() {
      const next = () => {
        const value = this.read()
        const done = value === null
        return {
          value,
          done
        }
      }
      return {
        next
      }
    }
    destroy(er) {
      if (this[DESTROYED]) {
        if (er) {
          this.emit('error', er)
        } else {
          this.emit(DESTROYED)
        }
        return this
      }
      this[DESTROYED] = true

      // throw away all buffered data, it's never coming out
      this.buffer.length = 0
      this[BUFFERLENGTH] = 0
      if (typeof this.close === 'function' && !this[CLOSED]) {
        this.close()
      }
      if (er) {
        this.emit('error', er)
      }
      // if no error to emit, still reject pending promises
      else {
        this.emit(DESTROYED)
      }
      return this
    }
    static isStream(s) {
      return (
        !!s &&
        (s instanceof Minipass ||
          s instanceof Stream ||
          (s instanceof EE &&
            (typeof s.pipe === 'function' ||
              // readable
              (typeof s.write === 'function' && typeof s.end === 'function')))) // writable
      )
    }
  }
  return minipass$2
}

let minipassSized
let hasRequiredMinipassSized
function requireMinipassSized() {
  if (hasRequiredMinipassSized) {
    return minipassSized
  }
  hasRequiredMinipassSized = 1
  const Minipass = requireMinipass$2()
  class SizeError extends Error {
    constructor(found, expect) {
      super(`Bad data size: expected ${expect} bytes, but got ${found}`)
      this.expect = expect
      this.found = found
      this.code = 'EBADSIZE'
      Error.captureStackTrace(this, this.constructor)
    }
    get name() {
      return 'SizeError'
    }
  }
  class MinipassSized extends Minipass {
    constructor(options = {}) {
      super(options)
      if (options.objectMode) {
        throw new TypeError(
          `${this.constructor.name} streams only work with string and buffer data`
        )
      }
      this.found = 0
      this.expect = options.size
      if (
        typeof this.expect !== 'number' ||
        this.expect > Number.MAX_SAFE_INTEGER ||
        isNaN(this.expect) ||
        this.expect < 0 ||
        !isFinite(this.expect) ||
        this.expect !== Math.floor(this.expect)
      ) {
        throw new Error('invalid expected size: ' + this.expect)
      }
    }
    write(chunk, encoding, cb) {
      const buffer = Buffer.isBuffer(chunk)
        ? chunk
        : typeof chunk === 'string'
          ? Buffer.from(chunk, typeof encoding === 'string' ? encoding : 'utf8')
          : chunk
      if (!Buffer.isBuffer(buffer)) {
        this.emit(
          'error',
          new TypeError(
            `${this.constructor.name} streams only work with string and buffer data`
          )
        )
        return false
      }
      this.found += buffer.length
      if (this.found > this.expect) {
        this.emit('error', new SizeError(this.found, this.expect))
      }
      return super.write(chunk, encoding, cb)
    }
    emit(ev, ...data) {
      if (ev === 'end') {
        if (this.found !== this.expect) {
          this.emit('error', new SizeError(this.found, this.expect))
        }
      }
      return super.emit(ev, ...data)
    }
  }
  MinipassSized.SizeError = SizeError
  minipassSized = MinipassSized
  return minipassSized
}

let blob
let hasRequiredBlob
function requireBlob() {
  if (hasRequiredBlob) {
    return blob
  }
  hasRequiredBlob = 1
  const { Minipass } = requireCommonjs$5()
  const TYPE = Symbol('type')
  const BUFFER = Symbol('buffer')
  class Blob {
    constructor(blobParts, options) {
      this[TYPE] = ''
      const buffers = []
      let size = 0
      if (blobParts) {
        const a = blobParts
        const length = Number(a.length)
        for (let i = 0; i < length; i++) {
          const element = a[i]
          const buffer =
            element instanceof Buffer
              ? element
              : ArrayBuffer.isView(element)
                ? Buffer.from(
                    element.buffer,
                    element.byteOffset,
                    element.byteLength
                  )
                : element instanceof ArrayBuffer
                  ? Buffer.from(element)
                  : element instanceof Blob
                    ? element[BUFFER]
                    : typeof element === 'string'
                      ? Buffer.from(element)
                      : Buffer.from(String(element))
          size += buffer.length
          buffers.push(buffer)
        }
      }
      this[BUFFER] = Buffer.concat(buffers, size)
      const type =
        options &&
        options.type !== undefined &&
        String(options.type).toLowerCase()
      if (type && !/[^\u0020-\u007E]/.test(type)) {
        this[TYPE] = type
      }
    }
    get size() {
      return this[BUFFER].length
    }
    get type() {
      return this[TYPE]
    }
    text() {
      return Promise.resolve(this[BUFFER].toString())
    }
    arrayBuffer() {
      const buf = this[BUFFER]
      const off = buf.byteOffset
      const len = buf.byteLength
      const ab = buf.buffer.slice(off, off + len)
      return Promise.resolve(ab)
    }
    stream() {
      return new Minipass().end(this[BUFFER])
    }
    slice(start, end, type) {
      const size = this.size
      const relativeStart =
        start === undefined
          ? 0
          : start < 0
            ? Math.max(size + start, 0)
            : Math.min(start, size)
      const relativeEnd =
        end === undefined
          ? size
          : end < 0
            ? Math.max(size + end, 0)
            : Math.min(end, size)
      const span = Math.max(relativeEnd - relativeStart, 0)
      const buffer = this[BUFFER]
      const slicedBuffer = buffer.slice(relativeStart, relativeStart + span)
      const blob = new Blob([], {
        type
      })
      blob[BUFFER] = slicedBuffer
      return blob
    }
    get [Symbol.toStringTag]() {
      return 'Blob'
    }
    static get BUFFER() {
      return BUFFER
    }
  }
  Object.defineProperties(Blob.prototype, {
    size: {
      enumerable: true
    },
    type: {
      enumerable: true
    }
  })
  blob = Blob
  return blob
}

let fetchError
let hasRequiredFetchError
function requireFetchError() {
  if (hasRequiredFetchError) {
    return fetchError
  }
  hasRequiredFetchError = 1
  class FetchError extends Error {
    constructor(message, type, systemError) {
      super(message)
      this.code = 'FETCH_ERROR'

      // pick up code, expected, path, ...
      if (systemError) {
        Object.assign(this, systemError)
      }
      this.errno = this.code

      // override anything the system error might've clobbered
      this.type =
        this.code === 'EBADSIZE' && this.found > this.expect ? 'max-size' : type
      this.message = message
      Error.captureStackTrace(this, this.constructor)
    }
    get name() {
      return 'FetchError'
    }

    // don't allow name to be overwritten
    set name(n) {}
    get [Symbol.toStringTag]() {
      return 'FetchError'
    }
  }
  fetchError = FetchError
  return fetchError
}

const encoding$1 = {}

const lib$9 = { exports: {} }

/* eslint-disable node/no-deprecated-api */
let safer_1
let hasRequiredSafer
function requireSafer() {
  if (hasRequiredSafer) {
    return safer_1
  }
  hasRequiredSafer = 1
  const buffer = require$$0$4
  const Buffer = buffer.Buffer
  const safer = {}
  let key
  for (key in buffer) {
    if (!buffer.hasOwnProperty(key)) {
      continue
    }
    if (key === 'SlowBuffer' || key === 'Buffer') {
      continue
    }
    safer[key] = buffer[key]
  }
  const Safer = (safer.Buffer = {})
  for (key in Buffer) {
    if (!Buffer.hasOwnProperty(key)) {
      continue
    }
    if (key === 'allocUnsafe' || key === 'allocUnsafeSlow') {
      continue
    }
    Safer[key] = Buffer[key]
  }
  safer.Buffer.prototype = Buffer.prototype
  if (!Safer.from || Safer.from === Uint8Array.from) {
    Safer.from = function (value, encodingOrOffset, length) {
      if (typeof value === 'number') {
        throw new TypeError(
          'The "value" argument must not be of type number. Received type ' +
            typeof value
        )
      }
      if (value && typeof value.length === 'undefined') {
        throw new TypeError(
          'The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type ' +
            typeof value
        )
      }
      return Buffer(value, encodingOrOffset, length)
    }
  }
  if (!Safer.alloc) {
    Safer.alloc = function (size, fill, encoding) {
      if (typeof size !== 'number') {
        throw new TypeError(
          'The "size" argument must be of type number. Received type ' +
            typeof size
        )
      }
      if (size < 0 || size >= 2 * (1 << 30)) {
        throw new RangeError(
          'The value "' + size + '" is invalid for option "size"'
        )
      }
      const buf = Buffer(size)
      if (!fill || fill.length === 0) {
        buf.fill(0)
      } else if (typeof encoding === 'string') {
        buf.fill(fill, encoding)
      } else {
        buf.fill(fill)
      }
      return buf
    }
  }
  if (!safer.kStringMaxLength) {
    try {
      safer.kStringMaxLength = process.binding('buffer').kStringMaxLength
    } catch (e) {
      // we can't determine kStringMaxLength in environments where process.binding
      // is unsupported, so let's not set it
    }
  }
  if (!safer.constants) {
    safer.constants = {
      MAX_LENGTH: safer.kMaxLength
    }
    if (safer.kStringMaxLength) {
      safer.constants.MAX_STRING_LENGTH = safer.kStringMaxLength
    }
  }
  safer_1 = safer
  return safer_1
}

const bomHandling = {}

let hasRequiredBomHandling
function requireBomHandling() {
  if (hasRequiredBomHandling) {
    return bomHandling
  }
  hasRequiredBomHandling = 1
  const BOMChar = '\uFEFF'
  bomHandling.PrependBOM = PrependBOMWrapper
  function PrependBOMWrapper(encoder, options) {
    this.encoder = encoder
    this.addBOM = true
  }
  PrependBOMWrapper.prototype.write = function (str) {
    if (this.addBOM) {
      str = BOMChar + str
      this.addBOM = false
    }
    return this.encoder.write(str)
  }
  PrependBOMWrapper.prototype.end = function () {
    return this.encoder.end()
  }

  //------------------------------------------------------------------------------

  bomHandling.StripBOM = StripBOMWrapper
  function StripBOMWrapper(decoder, options) {
    this.decoder = decoder
    this.pass = false
    this.options = options || {}
  }
  StripBOMWrapper.prototype.write = function (buf) {
    let res = this.decoder.write(buf)
    if (this.pass || !res) {
      return res
    }
    if (res[0] === BOMChar) {
      res = res.slice(1)
      if (typeof this.options.stripBOM === 'function') {
        this.options.stripBOM()
      }
    }
    this.pass = true
    return res
  }
  StripBOMWrapper.prototype.end = function () {
    return this.decoder.end()
  }
  return bomHandling
}

const encodings = {}

let internal
let hasRequiredInternal
function requireInternal() {
  if (hasRequiredInternal) {
    return internal
  }
  hasRequiredInternal = 1
  const Buffer = requireSafer().Buffer

  // Export Node.js internal encodings.

  internal = {
    // Encodings
    utf8: {
      type: '_internal',
      bomAware: true
    },
    cesu8: {
      type: '_internal',
      bomAware: true
    },
    unicode11utf8: 'utf8',
    ucs2: {
      type: '_internal',
      bomAware: true
    },
    utf16le: 'ucs2',
    binary: {
      type: '_internal'
    },
    base64: {
      type: '_internal'
    },
    hex: {
      type: '_internal'
    },
    // Codec.
    _internal: InternalCodec
  }

  //------------------------------------------------------------------------------

  function InternalCodec(codecOptions, iconv) {
    this.enc = codecOptions.encodingName
    this.bomAware = codecOptions.bomAware
    if (this.enc === 'base64') {
      this.encoder = InternalEncoderBase64
    } else if (this.enc === 'cesu8') {
      this.enc = 'utf8' // Use utf8 for decoding.
      this.encoder = InternalEncoderCesu8

      // Add decoder for versions of Node not supporting CESU-8
      if (Buffer.from('eda0bdedb2a9', 'hex').toString() !== '💩') {
        this.decoder = InternalDecoderCesu8
        this.defaultCharUnicode = iconv.defaultCharUnicode
      }
    }
  }
  InternalCodec.prototype.encoder = InternalEncoder
  InternalCodec.prototype.decoder = InternalDecoder

  //------------------------------------------------------------------------------

  // We use node.js internal decoder. Its signature is the same as ours.
  const StringDecoder = require$$2$2.StringDecoder
  if (!StringDecoder.prototype.end) {
    // Node v0.8 doesn't have this method.
    StringDecoder.prototype.end = function () {}
  }
  function InternalDecoder(options, codec) {
    this.decoder = new StringDecoder(codec.enc)
  }
  InternalDecoder.prototype.write = function (buf) {
    if (!Buffer.isBuffer(buf)) {
      buf = Buffer.from(buf)
    }
    return this.decoder.write(buf)
  }
  InternalDecoder.prototype.end = function () {
    return this.decoder.end()
  }

  //------------------------------------------------------------------------------
  // Encoder is mostly trivial

  function InternalEncoder(options, codec) {
    this.enc = codec.enc
  }
  InternalEncoder.prototype.write = function (str) {
    return Buffer.from(str, this.enc)
  }
  InternalEncoder.prototype.end = function () {}

  //------------------------------------------------------------------------------
  // Except base64 encoder, which must keep its state.

  function InternalEncoderBase64(options, codec) {
    this.prevStr = ''
  }
  InternalEncoderBase64.prototype.write = function (str) {
    str = this.prevStr + str
    const completeQuads = str.length - (str.length % 4)
    this.prevStr = str.slice(completeQuads)
    str = str.slice(0, completeQuads)
    return Buffer.from(str, 'base64')
  }
  InternalEncoderBase64.prototype.end = function () {
    return Buffer.from(this.prevStr, 'base64')
  }

  //------------------------------------------------------------------------------
  // CESU-8 encoder is also special.

  function InternalEncoderCesu8(options, codec) {}
  InternalEncoderCesu8.prototype.write = function (str) {
    let buf = Buffer.alloc(str.length * 3),
      bufIdx = 0
    for (let i = 0; i < str.length; i++) {
      const charCode = str.charCodeAt(i)
      // Naive implementation, but it works because CESU-8 is especially easy
      // to convert from UTF-16 (which all JS strings are encoded in).
      if (charCode < 0x80) {
        buf[bufIdx++] = charCode
      } else if (charCode < 0x800) {
        buf[bufIdx++] = 0xc0 + (charCode >>> 6)
        buf[bufIdx++] = 0x80 + (charCode & 0x3f)
      } else {
        // charCode will always be < 0x10000 in javascript.
        buf[bufIdx++] = 0xe0 + (charCode >>> 12)
        buf[bufIdx++] = 0x80 + ((charCode >>> 6) & 0x3f)
        buf[bufIdx++] = 0x80 + (charCode & 0x3f)
      }
    }
    return buf.slice(0, bufIdx)
  }
  InternalEncoderCesu8.prototype.end = function () {}

  //------------------------------------------------------------------------------
  // CESU-8 decoder is not implemented in Node v4.0+

  function InternalDecoderCesu8(options, codec) {
    this.acc = 0
    this.contBytes = 0
    this.accBytes = 0
    this.defaultCharUnicode = codec.defaultCharUnicode
  }
  InternalDecoderCesu8.prototype.write = function (buf) {
    let acc = this.acc,
      contBytes = this.contBytes,
      accBytes = this.accBytes,
      res = ''
    for (let i = 0; i < buf.length; i++) {
      const curByte = buf[i]
      if ((curByte & 0xc0) !== 0x80) {
        // Leading byte
        if (contBytes > 0) {
          // Previous code is invalid
          res += this.defaultCharUnicode
          contBytes = 0
        }
        if (curByte < 0x80) {
          // Single-byte code
          res += String.fromCharCode(curByte)
        } else if (curByte < 0xe0) {
          // Two-byte code
          acc = curByte & 0x1f
          contBytes = 1
          accBytes = 1
        } else if (curByte < 0xf0) {
          // Three-byte code
          acc = curByte & 0x0f
          contBytes = 2
          accBytes = 1
        } else {
          // Four or more are not supported for CESU-8.
          res += this.defaultCharUnicode
        }
      } else {
        // Continuation byte
        if (contBytes > 0) {
          // We're waiting for it.
          acc = (acc << 6) | (curByte & 0x3f)
          contBytes--
          accBytes++
          if (contBytes === 0) {
            // Check for overlong encoding, but support Modified UTF-8 (encoding NULL as C0 80)
            if (accBytes === 2 && acc < 0x80 && acc > 0) {
              res += this.defaultCharUnicode
            } else if (accBytes === 3 && acc < 0x800) {
              res += this.defaultCharUnicode
            }
            // Actually add character.
            else {
              res += String.fromCharCode(acc)
            }
          }
        } else {
          // Unexpected continuation byte
          res += this.defaultCharUnicode
        }
      }
    }
    this.acc = acc
    this.contBytes = contBytes
    this.accBytes = accBytes
    return res
  }
  InternalDecoderCesu8.prototype.end = function () {
    let res = 0
    if (this.contBytes > 0) {
      res += this.defaultCharUnicode
    }
    return res
  }
  return internal
}

const utf32 = {}

let hasRequiredUtf32
function requireUtf32() {
  if (hasRequiredUtf32) {
    return utf32
  }
  hasRequiredUtf32 = 1
  const Buffer = requireSafer().Buffer

  // == UTF32-LE/BE codec. ==========================================================

  utf32._utf32 = Utf32Codec
  function Utf32Codec(codecOptions, iconv) {
    this.iconv = iconv
    this.bomAware = true
    this.isLE = codecOptions.isLE
  }
  utf32.utf32le = {
    type: '_utf32',
    isLE: true
  }
  utf32.utf32be = {
    type: '_utf32',
    isLE: false
  }

  // Aliases
  utf32.ucs4le = 'utf32le'
  utf32.ucs4be = 'utf32be'
  Utf32Codec.prototype.encoder = Utf32Encoder
  Utf32Codec.prototype.decoder = Utf32Decoder

  // -- Encoding

  function Utf32Encoder(options, codec) {
    this.isLE = codec.isLE
    this.highSurrogate = 0
  }
  Utf32Encoder.prototype.write = function (str) {
    const src = Buffer.from(str, 'ucs2')
    let dst = Buffer.alloc(src.length * 2)
    const write32 = this.isLE ? dst.writeUInt32LE : dst.writeUInt32BE
    let offset = 0
    for (let i = 0; i < src.length; i += 2) {
      const code = src.readUInt16LE(i)
      const isHighSurrogate = 0xd800 <= code && code < 0xdc00
      const isLowSurrogate = 0xdc00 <= code && code < 0xe000
      if (this.highSurrogate) {
        if (isHighSurrogate || !isLowSurrogate) {
          // There shouldn't be two high surrogates in a row, nor a high surrogate which isn't followed by a low
          // surrogate. If this happens, keep the pending high surrogate as a stand-alone semi-invalid character
          // (technically wrong, but expected by some applications, like Windows file names).
          write32.call(dst, this.highSurrogate, offset)
          offset += 4
        } else {
          // Create 32-bit value from high and low surrogates;
          const codepoint =
            (((this.highSurrogate - 0xd800) << 10) | (code - 0xdc00)) + 0x10000
          write32.call(dst, codepoint, offset)
          offset += 4
          this.highSurrogate = 0
          continue
        }
      }
      if (isHighSurrogate) {
        this.highSurrogate = code
      } else {
        // Even if the current character is a low surrogate, with no previous high surrogate, we'll
        // encode it as a semi-invalid stand-alone character for the same reasons expressed above for
        // unpaired high surrogates.
        write32.call(dst, code, offset)
        offset += 4
        this.highSurrogate = 0
      }
    }
    if (offset < dst.length) {
      dst = dst.slice(0, offset)
    }
    return dst
  }
  Utf32Encoder.prototype.end = function () {
    // Treat any leftover high surrogate as a semi-valid independent character.
    if (!this.highSurrogate) {
      return
    }
    const buf = Buffer.alloc(4)
    if (this.isLE) {
      buf.writeUInt32LE(this.highSurrogate, 0)
    } else {
      buf.writeUInt32BE(this.highSurrogate, 0)
    }
    this.highSurrogate = 0
    return buf
  }

  // -- Decoding

  function Utf32Decoder(options, codec) {
    this.isLE = codec.isLE
    this.badChar = codec.iconv.defaultCharUnicode.charCodeAt(0)
    this.overflow = []
  }
  Utf32Decoder.prototype.write = function (src) {
    if (src.length === 0) {
      return ''
    }
    let i = 0
    let codepoint = 0
    const dst = Buffer.alloc(src.length + 4)
    let offset = 0
    const isLE = this.isLE
    const overflow = this.overflow
    const badChar = this.badChar
    if (overflow.length > 0) {
      for (; i < src.length && overflow.length < 4; i++) {
        overflow.push(src[i])
      }
      if (overflow.length === 4) {
        // NOTE: codepoint is a signed int32 and can be negative.
        // NOTE: We copied this block from below to help V8 optimize it (it works with array, not buffer).
        if (isLE) {
          codepoint =
            overflow[i] |
            (overflow[i + 1] << 8) |
            (overflow[i + 2] << 16) |
            (overflow[i + 3] << 24)
        } else {
          codepoint =
            overflow[i + 3] |
            (overflow[i + 2] << 8) |
            (overflow[i + 1] << 16) |
            (overflow[i] << 24)
        }
        overflow.length = 0
        offset = _writeCodepoint(dst, offset, codepoint, badChar)
      }
    }

    // Main loop. Should be as optimized as possible.
    for (; i < src.length - 3; i += 4) {
      // NOTE: codepoint is a signed int32 and can be negative.
      if (isLE) {
        codepoint =
          src[i] | (src[i + 1] << 8) | (src[i + 2] << 16) | (src[i + 3] << 24)
      } else {
        codepoint =
          src[i + 3] | (src[i + 2] << 8) | (src[i + 1] << 16) | (src[i] << 24)
      }
      offset = _writeCodepoint(dst, offset, codepoint, badChar)
    }

    // Keep overflowing bytes.
    for (; i < src.length; i++) {
      overflow.push(src[i])
    }
    return dst.slice(0, offset).toString('ucs2')
  }
  function _writeCodepoint(dst, offset, codepoint, badChar) {
    // NOTE: codepoint is signed int32 and can be negative. We keep it that way to help V8 with optimizations.
    if (codepoint < 0 || codepoint > 0x10ffff) {
      // Not a valid Unicode codepoint
      codepoint = badChar
    }

    // Ephemeral Planes: Write high surrogate.
    if (codepoint >= 0x10000) {
      codepoint -= 0x10000
      const high = 0xd800 | (codepoint >> 10)
      dst[offset++] = high & 0xff
      dst[offset++] = high >> 8

      // Low surrogate is written below.
      let codepoint = 0xdc00 | (codepoint & 0x3ff)
    }

    // Write BMP char or low surrogate.
    dst[offset++] = codepoint & 0xff
    dst[offset++] = codepoint >> 8
    return offset
  }
  Utf32Decoder.prototype.end = function () {
    this.overflow.length = 0
  }

  // == UTF-32 Auto codec =============================================================
  // Decoder chooses automatically from UTF-32LE and UTF-32BE using BOM and space-based heuristic.
  // Defaults to UTF-32LE. http://en.wikipedia.org/wiki/UTF-32
  // Encoder/decoder default can be changed: iconv.decode(buf, 'utf32', {defaultEncoding: 'utf-32be'});

  // Encoder prepends BOM (which can be overridden with (addBOM: false}).

  utf32.utf32 = Utf32AutoCodec
  utf32.ucs4 = 'utf32'
  function Utf32AutoCodec(options, iconv) {
    this.iconv = iconv
  }
  Utf32AutoCodec.prototype.encoder = Utf32AutoEncoder
  Utf32AutoCodec.prototype.decoder = Utf32AutoDecoder

  // -- Encoding

  function Utf32AutoEncoder(options, codec) {
    options = options || {}
    if (options.addBOM === undefined) {
      options.addBOM = true
    }
    this.encoder = codec.iconv.getEncoder(
      options.defaultEncoding || 'utf-32le',
      options
    )
  }
  Utf32AutoEncoder.prototype.write = function (str) {
    return this.encoder.write(str)
  }
  Utf32AutoEncoder.prototype.end = function () {
    return this.encoder.end()
  }

  // -- Decoding

  function Utf32AutoDecoder(options, codec) {
    this.decoder = null
    this.initialBufs = []
    this.initialBufsLen = 0
    this.options = options || {}
    this.iconv = codec.iconv
  }
  Utf32AutoDecoder.prototype.write = function (buf) {
    if (!this.decoder) {
      // Codec is not chosen yet. Accumulate initial bytes.
      this.initialBufs.push(buf)
      this.initialBufsLen += buf.length
      if (this.initialBufsLen < 32) {
        // We need more bytes to use space heuristic (see below)
        return ''
      }

      // We have enough bytes -> detect endianness.
      const encoding = detectEncoding(
        this.initialBufs,
        this.options.defaultEncoding
      )
      this.decoder = this.iconv.getDecoder(encoding, this.options)
      let resStr = ''
      for (let i = 0; i < this.initialBufs.length; i++) {
        resStr += this.decoder.write(this.initialBufs[i])
      }
      this.initialBufs.length = this.initialBufsLen = 0
      return resStr
    }
    return this.decoder.write(buf)
  }
  Utf32AutoDecoder.prototype.end = function () {
    if (!this.decoder) {
      const encoding = detectEncoding(
        this.initialBufs,
        this.options.defaultEncoding
      )
      this.decoder = this.iconv.getDecoder(encoding, this.options)
      let resStr = ''
      for (let i = 0; i < this.initialBufs.length; i++) {
        resStr += this.decoder.write(this.initialBufs[i])
      }
      const trail = this.decoder.end()
      if (trail) {
        resStr += trail
      }
      this.initialBufs.length = this.initialBufsLen = 0
      return resStr
    }
    return this.decoder.end()
  }
  function detectEncoding(bufs, defaultEncoding) {
    const b = []
    let charsProcessed = 0
    let invalidLE = 0,
      invalidBE = 0 // Number of invalid chars when decoded as LE or BE.
    let bmpCharsLE = 0,
      bmpCharsBE = 0 // Number of BMP chars when decoded as LE or BE.

    outer_loop: for (let i = 0; i < bufs.length; i++) {
      const buf = bufs[i]
      for (let j = 0; j < buf.length; j++) {
        b.push(buf[j])
        if (b.length === 4) {
          if (charsProcessed === 0) {
            // Check BOM first.
            if (b[0] === 0xff && b[1] === 0xfe && b[2] === 0 && b[3] === 0) {
              return 'utf-32le'
            }
            if (b[0] === 0 && b[1] === 0 && b[2] === 0xfe && b[3] === 0xff) {
              return 'utf-32be'
            }
          }
          if (b[0] !== 0 || b[1] > 0x10) {
            invalidBE++
          }
          if (b[3] !== 0 || b[2] > 0x10) {
            invalidLE++
          }
          if (b[0] === 0 && b[1] === 0 && (b[2] !== 0 || b[3] !== 0)) {
            bmpCharsBE++
          }
          if ((b[0] !== 0 || b[1] !== 0) && b[2] === 0 && b[3] === 0) {
            bmpCharsLE++
          }
          b.length = 0
          charsProcessed++
          if (charsProcessed >= 100) {
            break outer_loop
          }
        }
      }
    }

    // Make decisions.
    if (bmpCharsBE - invalidBE > bmpCharsLE - invalidLE) {
      return 'utf-32be'
    }
    if (bmpCharsBE - invalidBE < bmpCharsLE - invalidLE) {
      return 'utf-32le'
    }

    // Couldn't decide (likely all zeros or not enough data).
    return defaultEncoding || 'utf-32le'
  }
  return utf32
}

const utf16 = {}

let hasRequiredUtf16
function requireUtf16() {
  if (hasRequiredUtf16) {
    return utf16
  }
  hasRequiredUtf16 = 1
  const Buffer = requireSafer().Buffer

  // Note: UTF16-LE (or UCS2) codec is Node.js native. See encodings/internal.js

  // == UTF16-BE codec. ==========================================================

  utf16.utf16be = Utf16BECodec
  function Utf16BECodec() {}
  Utf16BECodec.prototype.encoder = Utf16BEEncoder
  Utf16BECodec.prototype.decoder = Utf16BEDecoder
  Utf16BECodec.prototype.bomAware = true

  // -- Encoding

  function Utf16BEEncoder() {}
  Utf16BEEncoder.prototype.write = function (str) {
    const buf = Buffer.from(str, 'ucs2')
    for (let i = 0; i < buf.length; i += 2) {
      const tmp = buf[i]
      buf[i] = buf[i + 1]
      buf[i + 1] = tmp
    }
    return buf
  }
  Utf16BEEncoder.prototype.end = function () {}

  // -- Decoding

  function Utf16BEDecoder() {
    this.overflowByte = -1
  }
  Utf16BEDecoder.prototype.write = function (buf) {
    if (buf.length == 0) {
      return ''
    }
    let buf2 = Buffer.alloc(buf.length + 1),
      i = 0,
      j = 0
    if (this.overflowByte !== -1) {
      buf2[0] = buf[0]
      buf2[1] = this.overflowByte
      i = 1
      j = 2
    }
    for (; i < buf.length - 1; i += 2, j += 2) {
      buf2[j] = buf[i + 1]
      buf2[j + 1] = buf[i]
    }
    this.overflowByte = i == buf.length - 1 ? buf[buf.length - 1] : -1
    return buf2.slice(0, j).toString('ucs2')
  }
  Utf16BEDecoder.prototype.end = function () {
    this.overflowByte = -1
  }

  // == UTF-16 codec =============================================================
  // Decoder chooses automatically from UTF-16LE and UTF-16BE using BOM and space-based heuristic.
  // Defaults to UTF-16LE, as it's prevalent and default in Node.
  // http://en.wikipedia.org/wiki/UTF-16 and http://encoding.spec.whatwg.org/#utf-16le
  // Decoder default can be changed: iconv.decode(buf, 'utf16', {defaultEncoding: 'utf-16be'});

  // Encoder uses UTF-16LE and prepends BOM (which can be overridden with addBOM: false).

  utf16.utf16 = Utf16Codec
  function Utf16Codec(codecOptions, iconv) {
    this.iconv = iconv
  }
  Utf16Codec.prototype.encoder = Utf16Encoder
  Utf16Codec.prototype.decoder = Utf16Decoder

  // -- Encoding (pass-through)

  function Utf16Encoder(options, codec) {
    options = options || {}
    if (options.addBOM === undefined) {
      options.addBOM = true
    }
    this.encoder = codec.iconv.getEncoder('utf-16le', options)
  }
  Utf16Encoder.prototype.write = function (str) {
    return this.encoder.write(str)
  }
  Utf16Encoder.prototype.end = function () {
    return this.encoder.end()
  }

  // -- Decoding

  function Utf16Decoder(options, codec) {
    this.decoder = null
    this.initialBufs = []
    this.initialBufsLen = 0
    this.options = options || {}
    this.iconv = codec.iconv
  }
  Utf16Decoder.prototype.write = function (buf) {
    if (!this.decoder) {
      // Codec is not chosen yet. Accumulate initial bytes.
      this.initialBufs.push(buf)
      this.initialBufsLen += buf.length
      if (this.initialBufsLen < 16) {
        // We need more bytes to use space heuristic (see below)
        return ''
      }

      // We have enough bytes -> detect endianness.
      const encoding = detectEncoding(
        this.initialBufs,
        this.options.defaultEncoding
      )
      this.decoder = this.iconv.getDecoder(encoding, this.options)
      let resStr = ''
      for (let i = 0; i < this.initialBufs.length; i++) {
        resStr += this.decoder.write(this.initialBufs[i])
      }
      this.initialBufs.length = this.initialBufsLen = 0
      return resStr
    }
    return this.decoder.write(buf)
  }
  Utf16Decoder.prototype.end = function () {
    if (!this.decoder) {
      const encoding = detectEncoding(
        this.initialBufs,
        this.options.defaultEncoding
      )
      this.decoder = this.iconv.getDecoder(encoding, this.options)
      let resStr = ''
      for (let i = 0; i < this.initialBufs.length; i++) {
        resStr += this.decoder.write(this.initialBufs[i])
      }
      const trail = this.decoder.end()
      if (trail) {
        resStr += trail
      }
      this.initialBufs.length = this.initialBufsLen = 0
      return resStr
    }
    return this.decoder.end()
  }
  function detectEncoding(bufs, defaultEncoding) {
    const b = []
    let charsProcessed = 0
    let asciiCharsLE = 0,
      asciiCharsBE = 0 // Number of ASCII chars when decoded as LE or BE.

    outer_loop: for (let i = 0; i < bufs.length; i++) {
      const buf = bufs[i]
      for (let j = 0; j < buf.length; j++) {
        b.push(buf[j])
        if (b.length === 2) {
          if (charsProcessed === 0) {
            // Check BOM first.
            if (b[0] === 0xff && b[1] === 0xfe) {
              return 'utf-16le'
            }
            if (b[0] === 0xfe && b[1] === 0xff) {
              return 'utf-16be'
            }
          }
          if (b[0] === 0 && b[1] !== 0) {
            asciiCharsBE++
          }
          if (b[0] !== 0 && b[1] === 0) {
            asciiCharsLE++
          }
          b.length = 0
          charsProcessed++
          if (charsProcessed >= 100) {
            break outer_loop
          }
        }
      }
    }

    // Make decisions.
    // Most of the time, the content has ASCII chars (U+00**), but the opposite (U+**00) is uncommon.
    // So, we count ASCII as if it was LE or BE, and decide from that.
    if (asciiCharsBE > asciiCharsLE) {
      return 'utf-16be'
    }
    if (asciiCharsBE < asciiCharsLE) {
      return 'utf-16le'
    }

    // Couldn't decide (likely all zeros or not enough data).
    return defaultEncoding || 'utf-16le'
  }
  return utf16
}

const utf7 = {}

let hasRequiredUtf7
function requireUtf7() {
  if (hasRequiredUtf7) {
    return utf7
  }
  hasRequiredUtf7 = 1
  const Buffer = requireSafer().Buffer

  // UTF-7 codec, according to https://tools.ietf.org/html/rfc2152
  // See also below a UTF-7-IMAP codec, according to http://tools.ietf.org/html/rfc3501#section-5.1.3

  utf7.utf7 = Utf7Codec
  utf7.unicode11utf7 = 'utf7' // Alias UNICODE-1-1-UTF-7
  function Utf7Codec(codecOptions, iconv) {
    this.iconv = iconv
  }
  Utf7Codec.prototype.encoder = Utf7Encoder
  Utf7Codec.prototype.decoder = Utf7Decoder
  Utf7Codec.prototype.bomAware = true

  // -- Encoding

  const nonDirectChars = /[^A-Za-z0-9'(),-./:? \n\r\t]+/g
  function Utf7Encoder(options, codec) {
    this.iconv = codec.iconv
  }
  Utf7Encoder.prototype.write = function (str) {
    // Naive implementation.
    // Non-direct chars are encoded as "+<base64>-"; single "+" char is encoded as "+-".
    return Buffer.from(
      str.replace(
        nonDirectChars,
        function (chunk) {
          return (
            '+' +
            (chunk === '+'
              ? ''
              : this.iconv
                  .encode(chunk, 'utf16-be')
                  .toString('base64')
                  .replace(/=+$/, '')) +
            '-'
          )
        }.bind(this)
      )
    )
  }
  Utf7Encoder.prototype.end = function () {}

  // -- Decoding

  function Utf7Decoder(options, codec) {
    this.iconv = codec.iconv
    this.inBase64 = false
    this.base64Accum = ''
  }
  const base64Regex = /[A-Za-z0-9/+]/
  const base64Chars = []
  for (let i = 0; i < 256; i++) {
    base64Chars[i] = base64Regex.test(String.fromCharCode(i))
  }
  const plusChar = '+'.charCodeAt(0),
    minusChar = '-'.charCodeAt(0),
    andChar = '&'.charCodeAt(0)
  Utf7Decoder.prototype.write = function (buf) {
    let res = '',
      lastI = 0,
      inBase64 = this.inBase64,
      base64Accum = this.base64Accum

    // The decoder is more involved as we must handle chunks in stream.

    for (let i = 0; i < buf.length; i++) {
      if (!inBase64) {
        // We're in direct mode.
        // Write direct chars until '+'
        if (buf[i] == plusChar) {
          res += this.iconv.decode(buf.slice(lastI, i), 'ascii') // Write direct chars.
          lastI = i + 1
          inBase64 = true
        }
      } else {
        // We decode base64.
        if (!base64Chars[buf[i]]) {
          // Base64 ended.
          if (i == lastI && buf[i] == minusChar) {
            // "+-" -> "+"
            res += '+'
          } else {
            let b64str =
              base64Accum + this.iconv.decode(buf.slice(lastI, i), 'ascii')
            res += this.iconv.decode(Buffer.from(b64str, 'base64'), 'utf16-be')
          }
          if (buf[i] != minusChar) {
            // Minus is absorbed after base64.
            i--
          }
          lastI = i + 1
          inBase64 = false
          base64Accum = ''
        }
      }
    }
    if (!inBase64) {
      res += this.iconv.decode(buf.slice(lastI), 'ascii') // Write direct chars.
    } else {
      let b64str = base64Accum + this.iconv.decode(buf.slice(lastI), 'ascii')
      const canBeDecoded = b64str.length - (b64str.length % 8) // Minimal chunk: 2 quads -> 2x3 bytes -> 3 chars.
      base64Accum = b64str.slice(canBeDecoded) // The rest will be decoded in future.
      b64str = b64str.slice(0, canBeDecoded)
      res += this.iconv.decode(Buffer.from(b64str, 'base64'), 'utf16-be')
    }
    this.inBase64 = inBase64
    this.base64Accum = base64Accum
    return res
  }
  Utf7Decoder.prototype.end = function () {
    let res = ''
    if (this.inBase64 && this.base64Accum.length > 0) {
      res = this.iconv.decode(
        Buffer.from(this.base64Accum, 'base64'),
        'utf16-be'
      )
    }
    this.inBase64 = false
    this.base64Accum = ''
    return res
  }

  // UTF-7-IMAP codec.
  // RFC3501 Sec. 5.1.3 Modified UTF-7 (http://tools.ietf.org/html/rfc3501#section-5.1.3)
  // Differences:
  //  * Base64 part is started by "&" instead of "+"
  //  * Direct characters are 0x20-0x7E, except "&" (0x26)
  //  * In Base64, "," is used instead of "/"
  //  * Base64 must not be used to represent direct characters.
  //  * No implicit shift back from Base64 (should always end with '-')
  //  * String must end in non-shifted position.
  //  * "-&" while in base64 is not allowed.

  utf7.utf7imap = Utf7IMAPCodec
  function Utf7IMAPCodec(codecOptions, iconv) {
    this.iconv = iconv
  }
  Utf7IMAPCodec.prototype.encoder = Utf7IMAPEncoder
  Utf7IMAPCodec.prototype.decoder = Utf7IMAPDecoder
  Utf7IMAPCodec.prototype.bomAware = true

  // -- Encoding

  function Utf7IMAPEncoder(options, codec) {
    this.iconv = codec.iconv
    this.inBase64 = false
    this.base64Accum = Buffer.alloc(6)
    this.base64AccumIdx = 0
  }
  Utf7IMAPEncoder.prototype.write = function (str) {
    let inBase64 = this.inBase64,
      base64Accum = this.base64Accum,
      base64AccumIdx = this.base64AccumIdx,
      buf = Buffer.alloc(str.length * 5 + 10),
      bufIdx = 0
    for (let i = 0; i < str.length; i++) {
      const uChar = str.charCodeAt(i)
      if (0x20 <= uChar && uChar <= 0x7e) {
        // Direct character or '&'.
        if (inBase64) {
          if (base64AccumIdx > 0) {
            bufIdx += buf.write(
              base64Accum
                .slice(0, base64AccumIdx)
                .toString('base64')
                .replace(/\//g, ',')
                .replace(/=+$/, ''),
              bufIdx
            )
            base64AccumIdx = 0
          }
          buf[bufIdx++] = minusChar // Write '-', then go to direct mode.
          inBase64 = false
        }
        if (!inBase64) {
          buf[bufIdx++] = uChar // Write direct character

          if (uChar === andChar) {
            // Ampersand -> '&-'
            buf[bufIdx++] = minusChar
          }
        }
      } else {
        // Non-direct character
        if (!inBase64) {
          buf[bufIdx++] = andChar // Write '&', then go to base64 mode.
          inBase64 = true
        }
        if (inBase64) {
          base64Accum[base64AccumIdx++] = uChar >> 8
          base64Accum[base64AccumIdx++] = uChar & 0xff
          if (base64AccumIdx == base64Accum.length) {
            bufIdx += buf.write(
              base64Accum.toString('base64').replace(/\//g, ','),
              bufIdx
            )
            base64AccumIdx = 0
          }
        }
      }
    }
    this.inBase64 = inBase64
    this.base64AccumIdx = base64AccumIdx
    return buf.slice(0, bufIdx)
  }
  Utf7IMAPEncoder.prototype.end = function () {
    let buf = Buffer.alloc(10),
      bufIdx = 0
    if (this.inBase64) {
      if (this.base64AccumIdx > 0) {
        bufIdx += buf.write(
          this.base64Accum
            .slice(0, this.base64AccumIdx)
            .toString('base64')
            .replace(/\//g, ',')
            .replace(/=+$/, ''),
          bufIdx
        )
        this.base64AccumIdx = 0
      }
      buf[bufIdx++] = minusChar // Write '-', then go to direct mode.
      this.inBase64 = false
    }
    return buf.slice(0, bufIdx)
  }

  // -- Decoding

  function Utf7IMAPDecoder(options, codec) {
    this.iconv = codec.iconv
    this.inBase64 = false
    this.base64Accum = ''
  }
  const base64IMAPChars = base64Chars.slice()
  base64IMAPChars[','.charCodeAt(0)] = true
  Utf7IMAPDecoder.prototype.write = function (buf) {
    let res = '',
      lastI = 0,
      inBase64 = this.inBase64,
      base64Accum = this.base64Accum

    // The decoder is more involved as we must handle chunks in stream.
    // It is forgiving, closer to standard UTF-7 (for example, '-' is optional at the end).

    for (let i = 0; i < buf.length; i++) {
      if (!inBase64) {
        // We're in direct mode.
        // Write direct chars until '&'
        if (buf[i] == andChar) {
          res += this.iconv.decode(buf.slice(lastI, i), 'ascii') // Write direct chars.
          lastI = i + 1
          inBase64 = true
        }
      } else {
        // We decode base64.
        if (!base64IMAPChars[buf[i]]) {
          // Base64 ended.
          if (i == lastI && buf[i] == minusChar) {
            // "&-" -> "&"
            res += '&'
          } else {
            let b64str =
              base64Accum +
              this.iconv.decode(buf.slice(lastI, i), 'ascii').replace(/,/g, '/')
            res += this.iconv.decode(Buffer.from(b64str, 'base64'), 'utf16-be')
          }
          if (buf[i] != minusChar) {
            // Minus may be absorbed after base64.
            i--
          }
          lastI = i + 1
          inBase64 = false
          base64Accum = ''
        }
      }
    }
    if (!inBase64) {
      res += this.iconv.decode(buf.slice(lastI), 'ascii') // Write direct chars.
    } else {
      let b64str =
        base64Accum +
        this.iconv.decode(buf.slice(lastI), 'ascii').replace(/,/g, '/')
      const canBeDecoded = b64str.length - (b64str.length % 8) // Minimal chunk: 2 quads -> 2x3 bytes -> 3 chars.
      base64Accum = b64str.slice(canBeDecoded) // The rest will be decoded in future.
      b64str = b64str.slice(0, canBeDecoded)
      res += this.iconv.decode(Buffer.from(b64str, 'base64'), 'utf16-be')
    }
    this.inBase64 = inBase64
    this.base64Accum = base64Accum
    return res
  }
  Utf7IMAPDecoder.prototype.end = function () {
    let res = ''
    if (this.inBase64 && this.base64Accum.length > 0) {
      res = this.iconv.decode(
        Buffer.from(this.base64Accum, 'base64'),
        'utf16-be'
      )
    }
    this.inBase64 = false
    this.base64Accum = ''
    return res
  }
  return utf7
}

const sbcsCodec = {}

let hasRequiredSbcsCodec
function requireSbcsCodec() {
  if (hasRequiredSbcsCodec) {
    return sbcsCodec
  }
  hasRequiredSbcsCodec = 1
  const Buffer = requireSafer().Buffer

  // Single-byte codec. Needs a 'chars' string parameter that contains 256 or 128 chars that
  // correspond to encoded bytes (if 128 - then lower half is ASCII).

  sbcsCodec._sbcs = SBCSCodec
  function SBCSCodec(codecOptions, iconv) {
    if (!codecOptions) {
      throw new Error('SBCS codec is called without the data.')
    }

    // Prepare char buffer for decoding.
    if (
      !codecOptions.chars ||
      (codecOptions.chars.length !== 128 && codecOptions.chars.length !== 256)
    ) {
      throw new Error(
        "Encoding '" +
          codecOptions.type +
          "' has incorrect 'chars' (must be of len 128 or 256)"
      )
    }
    if (codecOptions.chars.length === 128) {
      let asciiString = ''
      for (let i = 0; i < 128; i++) {
        asciiString += String.fromCharCode(i)
      }
      codecOptions.chars = asciiString + codecOptions.chars
    }
    this.decodeBuf = Buffer.from(codecOptions.chars, 'ucs2')

    // Encoding buffer.
    const encodeBuf = Buffer.alloc(
      65536,
      iconv.defaultCharSingleByte.charCodeAt(0)
    )
    for (let i = 0; i < codecOptions.chars.length; i++) {
      encodeBuf[codecOptions.chars.charCodeAt(i)] = i
    }
    this.encodeBuf = encodeBuf
  }
  SBCSCodec.prototype.encoder = SBCSEncoder
  SBCSCodec.prototype.decoder = SBCSDecoder
  function SBCSEncoder(options, codec) {
    this.encodeBuf = codec.encodeBuf
  }
  SBCSEncoder.prototype.write = function (str) {
    const buf = Buffer.alloc(str.length)
    for (let i = 0; i < str.length; i++) {
      buf[i] = this.encodeBuf[str.charCodeAt(i)]
    }
    return buf
  }
  SBCSEncoder.prototype.end = function () {}
  function SBCSDecoder(options, codec) {
    this.decodeBuf = codec.decodeBuf
  }
  SBCSDecoder.prototype.write = function (buf) {
    // Strings are immutable in JS -> we use ucs2 buffer to speed up computations.
    const decodeBuf = this.decodeBuf
    const newBuf = Buffer.alloc(buf.length * 2)
    let idx1 = 0,
      idx2 = 0
    for (let i = 0; i < buf.length; i++) {
      idx1 = buf[i] * 2
      idx2 = i * 2
      newBuf[idx2] = decodeBuf[idx1]
      newBuf[idx2 + 1] = decodeBuf[idx1 + 1]
    }
    return newBuf.toString('ucs2')
  }
  SBCSDecoder.prototype.end = function () {}
  return sbcsCodec
}

let sbcsData
let hasRequiredSbcsData
function requireSbcsData() {
  if (hasRequiredSbcsData) {
    return sbcsData
  }
  hasRequiredSbcsData = 1

  // Manually added data to be used by sbcs codec in addition to generated one.

  sbcsData = {
    // Not supported by iconv, not sure why.
    10029: 'maccenteuro',
    maccenteuro: {
      type: '_sbcs',
      chars:
        'ÄĀāÉĄÖÜáąČäčĆćéŹźĎíďĒēĖóėôöõúĚěü†°Ę£§•¶ß®©™ę¨≠ģĮįĪ≤≥īĶ∂∑łĻļĽľĹĺŅņŃ¬√ńŇ∆«»… ňŐÕőŌ–—“”‘’÷◊ōŔŕŘ‹›řŖŗŠ‚„šŚśÁŤťÍŽžŪÓÔūŮÚůŰűŲųÝýķŻŁżĢˇ'
    },
    808: 'cp808',
    ibm808: 'cp808',
    cp808: {
      type: '_sbcs',
      chars:
        'АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмноп░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀рстуфхцчшщъыьэюяЁёЄєЇїЎў°∙·√№€■ '
    },
    mik: {
      type: '_sbcs',
      chars:
        'АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя└┴┬├─┼╣║╚╔╩╦╠═╬┐░▒▓│┤№§╗╝┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ '
    },
    cp720: {
      type: '_sbcs',
      chars:
        '\x80\x81éâ\x84à\x86çêëèïî\x8d\x8e\x8f\x90\u0651\u0652ô¤ـûùءآأؤ£إئابةتثجحخدذرزسشص«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀ضطظعغفµقكلمنهوىي≡\u064b\u064c\u064d\u064e\u064f\u0650≈°∙·√ⁿ²■\u00a0'
    },
    // Aliases of generated encodings.
    ascii8bit: 'ascii',
    usascii: 'ascii',
    ansix34: 'ascii',
    ansix341968: 'ascii',
    ansix341986: 'ascii',
    csascii: 'ascii',
    cp367: 'ascii',
    ibm367: 'ascii',
    isoir6: 'ascii',
    iso646us: 'ascii',
    iso646irv: 'ascii',
    us: 'ascii',
    latin1: 'iso88591',
    latin2: 'iso88592',
    latin3: 'iso88593',
    latin4: 'iso88594',
    latin5: 'iso88599',
    latin6: 'iso885910',
    latin7: 'iso885913',
    latin8: 'iso885914',
    latin9: 'iso885915',
    latin10: 'iso885916',
    csisolatin1: 'iso88591',
    csisolatin2: 'iso88592',
    csisolatin3: 'iso88593',
    csisolatin4: 'iso88594',
    csisolatincyrillic: 'iso88595',
    csisolatinarabic: 'iso88596',
    csisolatingreek: 'iso88597',
    csisolatinhebrew: 'iso88598',
    csisolatin5: 'iso88599',
    csisolatin6: 'iso885910',
    l1: 'iso88591',
    l2: 'iso88592',
    l3: 'iso88593',
    l4: 'iso88594',
    l5: 'iso88599',
    l6: 'iso885910',
    l7: 'iso885913',
    l8: 'iso885914',
    l9: 'iso885915',
    l10: 'iso885916',
    isoir14: 'iso646jp',
    isoir57: 'iso646cn',
    isoir100: 'iso88591',
    isoir101: 'iso88592',
    isoir109: 'iso88593',
    isoir110: 'iso88594',
    isoir144: 'iso88595',
    isoir127: 'iso88596',
    isoir126: 'iso88597',
    isoir138: 'iso88598',
    isoir148: 'iso88599',
    isoir157: 'iso885910',
    isoir166: 'tis620',
    isoir179: 'iso885913',
    isoir199: 'iso885914',
    isoir203: 'iso885915',
    isoir226: 'iso885916',
    cp819: 'iso88591',
    ibm819: 'iso88591',
    cyrillic: 'iso88595',
    arabic: 'iso88596',
    arabic8: 'iso88596',
    ecma114: 'iso88596',
    asmo708: 'iso88596',
    greek: 'iso88597',
    greek8: 'iso88597',
    ecma118: 'iso88597',
    elot928: 'iso88597',
    hebrew: 'iso88598',
    hebrew8: 'iso88598',
    turkish: 'iso88599',
    turkish8: 'iso88599',
    thai: 'iso885911',
    thai8: 'iso885911',
    celtic: 'iso885914',
    celtic8: 'iso885914',
    isoceltic: 'iso885914',
    tis6200: 'tis620',
    tis62025291: 'tis620',
    tis62025330: 'tis620',
    10000: 'macroman',
    10006: 'macgreek',
    10007: 'maccyrillic',
    10079: 'maciceland',
    10081: 'macturkish',
    cspc8codepage437: 'cp437',
    cspc775baltic: 'cp775',
    cspc850multilingual: 'cp850',
    cspcp852: 'cp852',
    cspc862latinhebrew: 'cp862',
    cpgr: 'cp869',
    msee: 'cp1250',
    mscyrl: 'cp1251',
    msansi: 'cp1252',
    msgreek: 'cp1253',
    msturk: 'cp1254',
    mshebr: 'cp1255',
    msarab: 'cp1256',
    winbaltrim: 'cp1257',
    cp20866: 'koi8r',
    20866: 'koi8r',
    ibm878: 'koi8r',
    cskoi8r: 'koi8r',
    cp21866: 'koi8u',
    21866: 'koi8u',
    ibm1168: 'koi8u',
    strk10482002: 'rk1048',
    tcvn5712: 'tcvn',
    tcvn57121: 'tcvn',
    gb198880: 'iso646cn',
    cn: 'iso646cn',
    csiso14jisc6220ro: 'iso646jp',
    jisc62201969ro: 'iso646jp',
    jp: 'iso646jp',
    cshproman8: 'hproman8',
    r8: 'hproman8',
    roman8: 'hproman8',
    xroman8: 'hproman8',
    ibm1051: 'hproman8',
    mac: 'macintosh',
    csmacintosh: 'macintosh'
  }
  return sbcsData
}

let sbcsDataGenerated
let hasRequiredSbcsDataGenerated
function requireSbcsDataGenerated() {
  if (hasRequiredSbcsDataGenerated) {
    return sbcsDataGenerated
  }
  hasRequiredSbcsDataGenerated = 1

  // Generated data for sbcs codec. Don't edit manually. Regenerate using generation/gen-sbcs.js script.
  sbcsDataGenerated = {
    437: 'cp437',
    737: 'cp737',
    775: 'cp775',
    850: 'cp850',
    852: 'cp852',
    855: 'cp855',
    856: 'cp856',
    857: 'cp857',
    858: 'cp858',
    860: 'cp860',
    861: 'cp861',
    862: 'cp862',
    863: 'cp863',
    864: 'cp864',
    865: 'cp865',
    866: 'cp866',
    869: 'cp869',
    874: 'windows874',
    922: 'cp922',
    1046: 'cp1046',
    1124: 'cp1124',
    1125: 'cp1125',
    1129: 'cp1129',
    1133: 'cp1133',
    1161: 'cp1161',
    1162: 'cp1162',
    1163: 'cp1163',
    1250: 'windows1250',
    1251: 'windows1251',
    1252: 'windows1252',
    1253: 'windows1253',
    1254: 'windows1254',
    1255: 'windows1255',
    1256: 'windows1256',
    1257: 'windows1257',
    1258: 'windows1258',
    28591: 'iso88591',
    28592: 'iso88592',
    28593: 'iso88593',
    28594: 'iso88594',
    28595: 'iso88595',
    28596: 'iso88596',
    28597: 'iso88597',
    28598: 'iso88598',
    28599: 'iso88599',
    28600: 'iso885910',
    28601: 'iso885911',
    28603: 'iso885913',
    28604: 'iso885914',
    28605: 'iso885915',
    28606: 'iso885916',
    windows874: {
      type: '_sbcs',
      chars:
        '€����…�����������‘’“”•–—�������� กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����'
    },
    win874: 'windows874',
    cp874: 'windows874',
    windows1250: {
      type: '_sbcs',
      chars:
        '€�‚�„…†‡�‰Š‹ŚŤŽŹ�‘’“”•–—�™š›śťžź ˇ˘Ł¤Ą¦§¨©Ş«¬­®Ż°±˛ł´µ¶·¸ąş»Ľ˝ľżŔÁÂĂÄĹĆÇČÉĘËĚÍÎĎĐŃŇÓÔŐÖ×ŘŮÚŰÜÝŢßŕáâăäĺćçčéęëěíîďđńňóôőö÷řůúűüýţ˙'
    },
    win1250: 'windows1250',
    cp1250: 'windows1250',
    windows1251: {
      type: '_sbcs',
      chars:
        'ЂЃ‚ѓ„…†‡€‰Љ‹ЊЌЋЏђ‘’“”•–—�™љ›њќћџ ЎўЈ¤Ґ¦§Ё©Є«¬­®Ї°±Ііґµ¶·ё№є»јЅѕїАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя'
    },
    win1251: 'windows1251',
    cp1251: 'windows1251',
    windows1252: {
      type: '_sbcs',
      chars:
        '€�‚ƒ„…†‡ˆ‰Š‹Œ�Ž��‘’“”•–—˜™š›œ�žŸ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ'
    },
    win1252: 'windows1252',
    cp1252: 'windows1252',
    windows1253: {
      type: '_sbcs',
      chars:
        '€�‚ƒ„…†‡�‰�‹�����‘’“”•–—�™�›���� ΅Ά£¤¥¦§¨©�«¬­®―°±²³΄µ¶·ΈΉΊ»Ό½ΎΏΐΑΒΓΔΕΖΗΘΙΚΛΜΝΞΟΠΡ�ΣΤΥΦΧΨΩΪΫάέήίΰαβγδεζηθικλμνξοπρςστυφχψωϊϋόύώ�'
    },
    win1253: 'windows1253',
    cp1253: 'windows1253',
    windows1254: {
      type: '_sbcs',
      chars:
        '€�‚ƒ„…†‡ˆ‰Š‹Œ����‘’“”•–—˜™š›œ��Ÿ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏĞÑÒÓÔÕÖ×ØÙÚÛÜİŞßàáâãäåæçèéêëìíîïğñòóôõö÷øùúûüışÿ'
    },
    win1254: 'windows1254',
    cp1254: 'windows1254',
    windows1255: {
      type: '_sbcs',
      chars:
        '€�‚ƒ„…†‡ˆ‰�‹�����‘’“”•–—˜™�›���� ¡¢£₪¥¦§¨©×«¬­®¯°±²³´µ¶·¸¹÷»¼½¾¿ְֱֲֳִֵֶַָֹֺֻּֽ־ֿ׀ׁׂ׃װױײ׳״�������אבגדהוזחטיךכלםמןנסעףפץצקרשת��‎‏�'
    },
    win1255: 'windows1255',
    cp1255: 'windows1255',
    windows1256: {
      type: '_sbcs',
      chars:
        '€پ‚ƒ„…†‡ˆ‰ٹ‹Œچژڈگ‘’“”•–—ک™ڑ›œ‌‍ں ،¢£¤¥¦§¨©ھ«¬­®¯°±²³´µ¶·¸¹؛»¼½¾؟ہءآأؤإئابةتثجحخدذرزسشصض×طظعغـفقكàلâمنهوçèéêëىيîïًٌٍَôُِ÷ّùْûü‎‏ے'
    },
    win1256: 'windows1256',
    cp1256: 'windows1256',
    windows1257: {
      type: '_sbcs',
      chars:
        '€�‚�„…†‡�‰�‹�¨ˇ¸�‘’“”•–—�™�›�¯˛� �¢£¤�¦§Ø©Ŗ«¬­®Æ°±²³´µ¶·ø¹ŗ»¼½¾æĄĮĀĆÄÅĘĒČÉŹĖĢĶĪĻŠŃŅÓŌÕÖ×ŲŁŚŪÜŻŽßąįāćäåęēčéźėģķīļšńņóōõö÷ųłśūüżž˙'
    },
    win1257: 'windows1257',
    cp1257: 'windows1257',
    windows1258: {
      type: '_sbcs',
      chars:
        '€�‚ƒ„…†‡ˆ‰�‹Œ����‘’“”•–—˜™�›œ��Ÿ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂĂÄÅÆÇÈÉÊË̀ÍÎÏĐÑ̉ÓÔƠÖ×ØÙÚÛÜỮßàáâăäåæçèéêë́íîïđṇ̃óôơö÷øùúûüư₫ÿ'
    },
    win1258: 'windows1258',
    cp1258: 'windows1258',
    iso88591: {
      type: '_sbcs',
      chars:
        ' ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ'
    },
    cp28591: 'iso88591',
    iso88592: {
      type: '_sbcs',
      chars:
        ' Ą˘Ł¤ĽŚ§¨ŠŞŤŹ­ŽŻ°ą˛ł´ľśˇ¸šşťź˝žżŔÁÂĂÄĹĆÇČÉĘËĚÍÎĎĐŃŇÓÔŐÖ×ŘŮÚŰÜÝŢßŕáâăäĺćçčéęëěíîďđńňóôőö÷řůúűüýţ˙'
    },
    cp28592: 'iso88592',
    iso88593: {
      type: '_sbcs',
      chars:
        ' Ħ˘£¤�Ĥ§¨İŞĞĴ­�Ż°ħ²³´µĥ·¸ışğĵ½�żÀÁÂ�ÄĊĈÇÈÉÊËÌÍÎÏ�ÑÒÓÔĠÖ×ĜÙÚÛÜŬŜßàáâ�äċĉçèéêëìíîï�ñòóôġö÷ĝùúûüŭŝ˙'
    },
    cp28593: 'iso88593',
    iso88594: {
      type: '_sbcs',
      chars:
        ' ĄĸŖ¤ĨĻ§¨ŠĒĢŦ­Ž¯°ą˛ŗ´ĩļˇ¸šēģŧŊžŋĀÁÂÃÄÅÆĮČÉĘËĖÍÎĪĐŅŌĶÔÕÖ×ØŲÚÛÜŨŪßāáâãäåæįčéęëėíîīđņōķôõö÷øųúûüũū˙'
    },
    cp28594: 'iso88594',
    iso88595: {
      type: '_sbcs',
      chars:
        ' ЁЂЃЄЅІЇЈЉЊЋЌ­ЎЏАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя№ёђѓєѕіїјљњћќ§ўџ'
    },
    cp28595: 'iso88595',
    iso88596: {
      type: '_sbcs',
      chars:
        ' ���¤�������،­�������������؛���؟�ءآأؤإئابةتثجحخدذرزسشصضطظعغ�����ـفقكلمنهوىيًٌٍَُِّْ�������������'
    },
    cp28596: 'iso88596',
    iso88597: {
      type: '_sbcs',
      chars:
        ' ‘’£€₯¦§¨©ͺ«¬­�―°±²³΄΅Ά·ΈΉΊ»Ό½ΎΏΐΑΒΓΔΕΖΗΘΙΚΛΜΝΞΟΠΡ�ΣΤΥΦΧΨΩΪΫάέήίΰαβγδεζηθικλμνξοπρςστυφχψωϊϋόύώ�'
    },
    cp28597: 'iso88597',
    iso88598: {
      type: '_sbcs',
      chars:
        ' �¢£¤¥¦§¨©×«¬­®¯°±²³´µ¶·¸¹÷»¼½¾��������������������������������‗אבגדהוזחטיךכלםמןנסעףפץצקרשת��‎‏�'
    },
    cp28598: 'iso88598',
    iso88599: {
      type: '_sbcs',
      chars:
        ' ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏĞÑÒÓÔÕÖ×ØÙÚÛÜİŞßàáâãäåæçèéêëìíîïğñòóôõö÷øùúûüışÿ'
    },
    cp28599: 'iso88599',
    iso885910: {
      type: '_sbcs',
      chars:
        ' ĄĒĢĪĨĶ§ĻĐŠŦŽ­ŪŊ°ąēģīĩķ·ļđšŧž―ūŋĀÁÂÃÄÅÆĮČÉĘËĖÍÎÏÐŅŌÓÔÕÖŨØŲÚÛÜÝÞßāáâãäåæįčéęëėíîïðņōóôõöũøųúûüýþĸ'
    },
    cp28600: 'iso885910',
    iso885911: {
      type: '_sbcs',
      chars:
        ' กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����'
    },
    cp28601: 'iso885911',
    iso885913: {
      type: '_sbcs',
      chars:
        ' ”¢£¤„¦§Ø©Ŗ«¬­®Æ°±²³“µ¶·ø¹ŗ»¼½¾æĄĮĀĆÄÅĘĒČÉŹĖĢĶĪĻŠŃŅÓŌÕÖ×ŲŁŚŪÜŻŽßąįāćäåęēčéźėģķīļšńņóōõö÷ųłśūüżž’'
    },
    cp28603: 'iso885913',
    iso885914: {
      type: '_sbcs',
      chars:
        ' Ḃḃ£ĊċḊ§Ẁ©ẂḋỲ­®ŸḞḟĠġṀṁ¶ṖẁṗẃṠỳẄẅṡÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏŴÑÒÓÔÕÖṪØÙÚÛÜÝŶßàáâãäåæçèéêëìíîïŵñòóôõöṫøùúûüýŷÿ'
    },
    cp28604: 'iso885914',
    iso885915: {
      type: '_sbcs',
      chars:
        ' ¡¢£€¥Š§š©ª«¬­®¯°±²³Žµ¶·ž¹º»ŒœŸ¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿ'
    },
    cp28605: 'iso885915',
    iso885916: {
      type: '_sbcs',
      chars:
        ' ĄąŁ€„Š§š©Ș«Ź­źŻ°±ČłŽ”¶·žčș»ŒœŸżÀÁÂĂÄĆÆÇÈÉÊËÌÍÎÏĐŃÒÓÔŐÖŚŰÙÚÛÜĘȚßàáâăäćæçèéêëìíîïđńòóôőöśűùúûüęțÿ'
    },
    cp28606: 'iso885916',
    cp437: {
      type: '_sbcs',
      chars:
        'ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜ¢£¥₧ƒáíóúñÑªº¿⌐¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ '
    },
    ibm437: 'cp437',
    csibm437: 'cp437',
    cp737: {
      type: '_sbcs',
      chars:
        'ΑΒΓΔΕΖΗΘΙΚΛΜΝΞΟΠΡΣΤΥΦΧΨΩαβγδεζηθικλμνξοπρσςτυφχψ░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀ωάέήϊίόύϋώΆΈΉΊΌΎΏ±≥≤ΪΫ÷≈°∙·√ⁿ²■ '
    },
    ibm737: 'cp737',
    csibm737: 'cp737',
    cp775: {
      type: '_sbcs',
      chars:
        'ĆüéāäģåćłēŖŗīŹÄÅÉæÆōöĢ¢ŚśÖÜø£Ø×¤ĀĪóŻżź”¦©®¬½¼Ł«»░▒▓│┤ĄČĘĖ╣║╗╝ĮŠ┐└┴┬├─┼ŲŪ╚╔╩╦╠═╬Žąčęėįšųūž┘┌█▄▌▐▀ÓßŌŃõÕµńĶķĻļņĒŅ’­±“¾¶§÷„°∙·¹³²■ '
    },
    ibm775: 'cp775',
    csibm775: 'cp775',
    cp850: {
      type: '_sbcs',
      chars:
        'ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜø£Ø×ƒáíóúñÑªº¿®¬½¼¡«»░▒▓│┤ÁÂÀ©╣║╗╝¢¥┐└┴┬├─┼ãÃ╚╔╩╦╠═╬¤ðÐÊËÈıÍÎÏ┘┌█▄¦Ì▀ÓßÔÒõÕµþÞÚÛÙýÝ¯´­±‗¾¶§÷¸°¨·¹³²■ '
    },
    ibm850: 'cp850',
    csibm850: 'cp850',
    cp852: {
      type: '_sbcs',
      chars:
        'ÇüéâäůćçłëŐőîŹÄĆÉĹĺôöĽľŚśÖÜŤťŁ×čáíóúĄąŽžĘę¬źČş«»░▒▓│┤ÁÂĚŞ╣║╗╝Żż┐└┴┬├─┼Ăă╚╔╩╦╠═╬¤đĐĎËďŇÍÎě┘┌█▄ŢŮ▀ÓßÔŃńňŠšŔÚŕŰýÝţ´­˝˛ˇ˘§÷¸°¨˙űŘř■ '
    },
    ibm852: 'cp852',
    csibm852: 'cp852',
    cp855: {
      type: '_sbcs',
      chars:
        'ђЂѓЃёЁєЄѕЅіІїЇјЈљЉњЊћЋќЌўЎџЏюЮъЪаАбБцЦдДеЕфФгГ«»░▒▓│┤хХиИ╣║╗╝йЙ┐└┴┬├─┼кК╚╔╩╦╠═╬¤лЛмМнНоОп┘┌█▄Пя▀ЯрРсСтТуУжЖвВьЬ№­ыЫзЗшШэЭщЩчЧ§■ '
    },
    ibm855: 'cp855',
    csibm855: 'cp855',
    cp856: {
      type: '_sbcs',
      chars:
        'אבגדהוזחטיךכלםמןנסעףפץצקרשת�£�×����������®¬½¼�«»░▒▓│┤���©╣║╗╝¢¥┐└┴┬├─┼��╚╔╩╦╠═╬¤���������┘┌█▄¦�▀������µ�������¯´­±‗¾¶§÷¸°¨·¹³²■ '
    },
    ibm856: 'cp856',
    csibm856: 'cp856',
    cp857: {
      type: '_sbcs',
      chars:
        'ÇüéâäàåçêëèïîıÄÅÉæÆôöòûùİÖÜø£ØŞşáíóúñÑĞğ¿®¬½¼¡«»░▒▓│┤ÁÂÀ©╣║╗╝¢¥┐└┴┬├─┼ãÃ╚╔╩╦╠═╬¤ºªÊËÈ�ÍÎÏ┘┌█▄¦Ì▀ÓßÔÒõÕµ�×ÚÛÙìÿ¯´­±�¾¶§÷¸°¨·¹³²■ '
    },
    ibm857: 'cp857',
    csibm857: 'cp857',
    cp858: {
      type: '_sbcs',
      chars:
        'ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜø£Ø×ƒáíóúñÑªº¿®¬½¼¡«»░▒▓│┤ÁÂÀ©╣║╗╝¢¥┐└┴┬├─┼ãÃ╚╔╩╦╠═╬¤ðÐÊËÈ€ÍÎÏ┘┌█▄¦Ì▀ÓßÔÒõÕµþÞÚÛÙýÝ¯´­±‗¾¶§÷¸°¨·¹³²■ '
    },
    ibm858: 'cp858',
    csibm858: 'cp858',
    cp860: {
      type: '_sbcs',
      chars:
        'ÇüéâãàÁçêÊèÍÔìÃÂÉÀÈôõòÚùÌÕÜ¢£Ù₧ÓáíóúñÑªº¿Ò¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ '
    },
    ibm860: 'cp860',
    csibm860: 'cp860',
    cp861: {
      type: '_sbcs',
      chars:
        'ÇüéâäàåçêëèÐðÞÄÅÉæÆôöþûÝýÖÜø£Ø₧ƒáíóúÁÍÓÚ¿⌐¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ '
    },
    ibm861: 'cp861',
    csibm861: 'cp861',
    cp862: {
      type: '_sbcs',
      chars:
        'אבגדהוזחטיךכלםמןנסעףפץצקרשת¢£¥₧ƒáíóúñÑªº¿⌐¬½¼¡«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ '
    },
    ibm862: 'cp862',
    csibm862: 'cp862',
    cp863: {
      type: '_sbcs',
      chars:
        'ÇüéâÂà¶çêëèïî‗À§ÉÈÊôËÏûù¤ÔÜ¢£ÙÛƒ¦´óú¨¸³¯Î⌐¬½¼¾«»░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ '
    },
    ibm863: 'cp863',
    csibm863: 'cp863',
    cp864: {
      type: '_sbcs',
      chars:
        '\u0000\u0001\u0002\u0003\u0004\u0005\u0006\u0007\b\t\n\u000b\f\r\u000e\u000f\u0010\u0011\u0012\u0013\u0014\u0015\u0016\u0017\u0018\u0019\u001a\u001b\u001c\u001d\u001e\u001f !"#$٪&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~°·∙√▒─│┼┤┬├┴┐┌└┘β∞φ±½¼≈«»ﻷﻸ��ﻻﻼ� ­ﺂ£¤ﺄ��ﺎﺏﺕﺙ،ﺝﺡﺥ٠١٢٣٤٥٦٧٨٩ﻑ؛ﺱﺵﺹ؟¢ﺀﺁﺃﺅﻊﺋﺍﺑﺓﺗﺛﺟﺣﺧﺩﺫﺭﺯﺳﺷﺻﺿﻁﻅﻋﻏ¦¬÷×ﻉـﻓﻗﻛﻟﻣﻧﻫﻭﻯﻳﺽﻌﻎﻍﻡﹽّﻥﻩﻬﻰﻲﻐﻕﻵﻶﻝﻙﻱ■�'
    },
    ibm864: 'cp864',
    csibm864: 'cp864',
    cp865: {
      type: '_sbcs',
      chars:
        'ÇüéâäàåçêëèïîìÄÅÉæÆôöòûùÿÖÜø£Ø₧ƒáíóúñÑªº¿⌐¬½¼¡«¤░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀αßΓπΣσµτΦΘΩδ∞φε∩≡±≥≤⌠⌡÷≈°∙·√ⁿ²■ '
    },
    ibm865: 'cp865',
    csibm865: 'cp865',
    cp866: {
      type: '_sbcs',
      chars:
        'АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмноп░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀рстуфхцчшщъыьэюяЁёЄєЇїЎў°∙·√№¤■ '
    },
    ibm866: 'cp866',
    csibm866: 'cp866',
    cp869: {
      type: '_sbcs',
      chars:
        '������Ά�·¬¦‘’Έ―ΉΊΪΌ��ΎΫ©Ώ²³ά£έήίϊΐόύΑΒΓΔΕΖΗ½ΘΙ«»░▒▓│┤ΚΛΜΝ╣║╗╝ΞΟ┐└┴┬├─┼ΠΡ╚╔╩╦╠═╬ΣΤΥΦΧΨΩαβγ┘┌█▄δε▀ζηθικλμνξοπρσςτ΄­±υφχ§ψ΅°¨ωϋΰώ■ '
    },
    ibm869: 'cp869',
    csibm869: 'cp869',
    cp922: {
      type: '_sbcs',
      chars:
        ' ¡¢£¤¥¦§¨©ª«¬­®‾°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏŠÑÒÓÔÕÖ×ØÙÚÛÜÝŽßàáâãäåæçèéêëìíîïšñòóôõö÷øùúûüýžÿ'
    },
    ibm922: 'cp922',
    csibm922: 'cp922',
    cp1046: {
      type: '_sbcs',
      chars:
        'ﺈ×÷ﹱ■│─┐┌└┘ﹹﹻﹽﹿﹷﺊﻰﻳﻲﻎﻏﻐﻶﻸﻺﻼ ¤ﺋﺑﺗﺛﺟﺣ،­ﺧﺳ٠١٢٣٤٥٦٧٨٩ﺷ؛ﺻﺿﻊ؟ﻋءآأؤإئابةتثجحخدذرزسشصضطﻇعغﻌﺂﺄﺎﻓـفقكلمنهوىيًٌٍَُِّْﻗﻛﻟﻵﻷﻹﻻﻣﻧﻬﻩ�'
    },
    ibm1046: 'cp1046',
    csibm1046: 'cp1046',
    cp1124: {
      type: '_sbcs',
      chars:
        ' ЁЂҐЄЅІЇЈЉЊЋЌ­ЎЏАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя№ёђґєѕіїјљњћќ§ўџ'
    },
    ibm1124: 'cp1124',
    csibm1124: 'cp1124',
    cp1125: {
      type: '_sbcs',
      chars:
        'АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмноп░▒▓│┤╡╢╖╕╣║╗╝╜╛┐└┴┬├─┼╞╟╚╔╩╦╠═╬╧╨╤╥╙╘╒╓╫╪┘┌█▄▌▐▀рстуфхцчшщъыьэюяЁёҐґЄєІіЇї·√№¤■ '
    },
    ibm1125: 'cp1125',
    csibm1125: 'cp1125',
    cp1129: {
      type: '_sbcs',
      chars:
        ' ¡¢£¤¥¦§œ©ª«¬­®¯°±²³Ÿµ¶·Œ¹º»¼½¾¿ÀÁÂĂÄÅÆÇÈÉÊË̀ÍÎÏĐÑ̉ÓÔƠÖ×ØÙÚÛÜỮßàáâăäåæçèéêë́íîïđṇ̃óôơö÷øùúûüư₫ÿ'
    },
    ibm1129: 'cp1129',
    csibm1129: 'cp1129',
    cp1133: {
      type: '_sbcs',
      chars:
        ' ກຂຄງຈສຊຍດຕຖທນບປຜຝພຟມຢຣລວຫອຮ���ຯະາຳິີຶືຸູຼັົຽ���ເແໂໃໄ່້໊໋໌ໍໆ�ໜໝ₭����������������໐໑໒໓໔໕໖໗໘໙��¢¬¦�'
    },
    ibm1133: 'cp1133',
    csibm1133: 'cp1133',
    cp1161: {
      type: '_sbcs',
      chars:
        '��������������������������������่กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู้๊๋€฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛¢¬¦ '
    },
    ibm1161: 'cp1161',
    csibm1161: 'cp1161',
    cp1162: {
      type: '_sbcs',
      chars:
        '€…‘’“”•–— กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����'
    },
    ibm1162: 'cp1162',
    csibm1162: 'cp1162',
    cp1163: {
      type: '_sbcs',
      chars:
        ' ¡¢£€¥¦§œ©ª«¬­®¯°±²³Ÿµ¶·Œ¹º»¼½¾¿ÀÁÂĂÄÅÆÇÈÉÊË̀ÍÎÏĐÑ̉ÓÔƠÖ×ØÙÚÛÜỮßàáâăäåæçèéêë́íîïđṇ̃óôơö÷øùúûüư₫ÿ'
    },
    ibm1163: 'cp1163',
    csibm1163: 'cp1163',
    maccroatian: {
      type: '_sbcs',
      chars:
        'ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®Š™´¨≠ŽØ∞±≤≥∆µ∂∑∏š∫ªºΩžø¿¡¬√ƒ≈Ć«Č… ÀÃÕŒœĐ—“”‘’÷◊�©⁄¤‹›Æ»–·‚„‰ÂćÁčÈÍÎÏÌÓÔđÒÚÛÙıˆ˜¯πË˚¸Êæˇ'
    },
    maccyrillic: {
      type: '_sbcs',
      chars:
        'АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯ†°¢£§•¶І®©™Ђђ≠Ѓѓ∞±≤≥іµ∂ЈЄєЇїЉљЊњјЅ¬√ƒ≈∆«»… ЋћЌќѕ–—“”‘’÷„ЎўЏџ№Ёёяабвгдежзийклмнопрстуфхцчшщъыьэю¤'
    },
    macgreek: {
      type: '_sbcs',
      chars:
        'Ä¹²É³ÖÜ΅àâä΄¨çéèêë£™îï•½‰ôö¦­ùûü†ΓΔΘΛΞΠß®©ΣΪ§≠°·Α±≤≥¥ΒΕΖΗΙΚΜΦΫΨΩάΝ¬ΟΡ≈Τ«»… ΥΧΆΈœ–―“”‘’÷ΉΊΌΎέήίόΏύαβψδεφγηιξκλμνοπώρστθωςχυζϊϋΐΰ�'
    },
    maciceland: {
      type: '_sbcs',
      chars:
        'ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûüÝ°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤ÐðÞþý·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ'
    },
    macroman: {
      type: '_sbcs',
      chars:
        'ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤‹›ﬁﬂ‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ'
    },
    macromania: {
      type: '_sbcs',
      chars:
        'ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ĂŞ∞±≤≥¥µ∂∑∏π∫ªºΩăş¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤‹›Ţţ‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ'
    },
    macthai: {
      type: '_sbcs',
      chars:
        '«»…“”�•‘’� กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู﻿​–—฿เแโใไๅๆ็่้๊๋์ํ™๏๐๑๒๓๔๕๖๗๘๙®©����'
    },
    macturkish: {
      type: '_sbcs',
      chars:
        'ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸĞğİıŞş‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙ�ˆ˜¯˘˙˚¸˝˛ˇ'
    },
    macukraine: {
      type: '_sbcs',
      chars:
        'АБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯ†°Ґ£§•¶І®©™Ђђ≠Ѓѓ∞±≤≥іµґЈЄєЇїЉљЊњјЅ¬√ƒ≈∆«»… ЋћЌќѕ–—“”‘’÷„ЎўЏџ№Ёёяабвгдежзийклмнопрстуфхцчшщъыьэю¤'
    },
    koi8r: {
      type: '_sbcs',
      chars:
        '─│┌┐└┘├┤┬┴┼▀▄█▌▐░▒▓⌠■∙√≈≤≥ ⌡°²·÷═║╒ё╓╔╕╖╗╘╙╚╛╜╝╞╟╠╡Ё╢╣╤╥╦╧╨╩╪╫╬©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ'
    },
    koi8u: {
      type: '_sbcs',
      chars:
        '─│┌┐└┘├┤┬┴┼▀▄█▌▐░▒▓⌠■∙√≈≤≥ ⌡°²·÷═║╒ёє╔ії╗╘╙╚╛ґ╝╞╟╠╡ЁЄ╣ІЇ╦╧╨╩╪Ґ╬©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ'
    },
    koi8ru: {
      type: '_sbcs',
      chars:
        '─│┌┐└┘├┤┬┴┼▀▄█▌▐░▒▓⌠■∙√≈≤≥ ⌡°²·÷═║╒ёє╔ії╗╘╙╚╛ґў╞╟╠╡ЁЄ╣ІЇ╦╧╨╩╪ҐЎ©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ'
    },
    koi8t: {
      type: '_sbcs',
      chars:
        'қғ‚Ғ„…†‡�‰ҳ‹ҲҷҶ�Қ‘’“”•–—�™�›�����ӯӮё¤ӣ¦§���«¬­®�°±²Ё�Ӣ¶·�№�»���©юабцдефгхийклмнопярстужвьызшэщчъЮАБЦДЕФГХИЙКЛМНОПЯРСТУЖВЬЫЗШЭЩЧЪ'
    },
    armscii8: {
      type: '_sbcs',
      chars:
        ' �և։)(»«—.՝,-֊…՜՛՞ԱաԲբԳգԴդԵեԶզԷէԸըԹթԺժԻիԼլԽխԾծԿկՀհՁձՂղՃճՄմՅյՆնՇշՈոՉչՊպՋջՌռՍսՎվՏտՐրՑցՒւՓփՔքՕօՖֆ՚�'
    },
    rk1048: {
      type: '_sbcs',
      chars:
        'ЂЃ‚ѓ„…†‡€‰Љ‹ЊҚҺЏђ‘’“”•–—�™љ›њқһџ ҰұӘ¤Ө¦§Ё©Ғ«¬­®Ү°±Ііөµ¶·ё№ғ»әҢңүАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя'
    },
    tcvn: {
      type: '_sbcs',
      chars:
        '\u0000ÚỤ\u0003ỪỬỮ\u0007\b\t\n\u000b\f\r\u000e\u000f\u0010ỨỰỲỶỸÝỴ\u0018\u0019\u001a\u001b\u001c\u001d\u001e\u001f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~ÀẢÃÁẠẶẬÈẺẼÉẸỆÌỈĨÍỊÒỎÕÓỌỘỜỞỠỚỢÙỦŨ ĂÂÊÔƠƯĐăâêôơưđẶ̀̀̉̃́àảãáạẲằẳẵắẴẮẦẨẪẤỀặầẩẫấậèỂẻẽéẹềểễếệìỉỄẾỒĩíịòỔỏõóọồổỗốộờởỡớợùỖủũúụừửữứựỳỷỹýỵỐ'
    },
    georgianacademy: {
      type: '_sbcs',
      chars:
        '‚ƒ„…†‡ˆ‰Š‹Œ‘’“”•–—˜™š›œŸ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿აბგდევზთიკლმნოპჟრსტუფქღყშჩცძწჭხჯჰჱჲჳჴჵჶçèéêëìíîïðñòóôõö÷øùúûüýþÿ'
    },
    georgianps: {
      type: '_sbcs',
      chars:
        '‚ƒ„…†‡ˆ‰Š‹Œ‘’“”•–—˜™š›œŸ ¡¢£¤¥¦§¨©ª«¬­®¯°±²³´µ¶·¸¹º»¼½¾¿აბგდევზჱთიკლმნჲოპჟრსტჳუფქღყშჩცძწჭხჴჯჰჵæçèéêëìíîïðñòóôõö÷øùúûüýþÿ'
    },
    pt154: {
      type: '_sbcs',
      chars:
        'ҖҒӮғ„…ҶҮҲүҠӢҢҚҺҸҗ‘’“”•–—ҳҷҡӣңқһҹ ЎўЈӨҘҰ§Ё©Ә«¬ӯ®Ҝ°ұІіҙө¶·ё№ә»јҪҫҝАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдежзийклмнопрстуфхцчшщъыьэюя'
    },
    viscii: {
      type: '_sbcs',
      chars:
        '\u0000\u0001Ẳ\u0003\u0004ẴẪ\u0007\b\t\n\u000b\f\r\u000e\u000f\u0010\u0011\u0012\u0013Ỷ\u0015\u0016\u0017\u0018Ỹ\u001a\u001b\u001c\u001dỴ\u001f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~ẠẮẰẶẤẦẨẬẼẸẾỀỂỄỆỐỒỔỖỘỢỚỜỞỊỎỌỈỦŨỤỲÕắằặấầẩậẽẹếềểễệốồổỗỠƠộờởịỰỨỪỬơớƯÀÁÂÃẢĂẳẵÈÉÊẺÌÍĨỳĐứÒÓÔạỷừửÙÚỹỵÝỡưàáâãảăữẫèéêẻìíĩỉđựòóôõỏọụùúũủýợỮ'
    },
    iso646cn: {
      type: '_sbcs',
      chars:
        '\u0000\u0001\u0002\u0003\u0004\u0005\u0006\u0007\b\t\n\u000b\f\r\u000e\u000f\u0010\u0011\u0012\u0013\u0014\u0015\u0016\u0017\u0018\u0019\u001a\u001b\u001c\u001d\u001e\u001f !"#¥%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}‾��������������������������������������������������������������������������������������������������������������������������������'
    },
    iso646jp: {
      type: '_sbcs',
      chars:
        '\u0000\u0001\u0002\u0003\u0004\u0005\u0006\u0007\b\t\n\u000b\f\r\u000e\u000f\u0010\u0011\u0012\u0013\u0014\u0015\u0016\u0017\u0018\u0019\u001a\u001b\u001c\u001d\u001e\u001f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[¥]^_`abcdefghijklmnopqrstuvwxyz{|}‾��������������������������������������������������������������������������������������������������������������������������������'
    },
    hproman8: {
      type: '_sbcs',
      chars:
        ' ÀÂÈÊËÎÏ´ˋˆ¨˜ÙÛ₤¯Ýý°ÇçÑñ¡¿¤£¥§ƒ¢âêôûáéóúàèòùäëöüÅîØÆåíøæÄìÖÜÉïßÔÁÃãÐðÍÌÓÒÕõŠšÚŸÿÞþ·µ¶¾—¼½ªº«■»±�'
    },
    macintosh: {
      type: '_sbcs',
      chars:
        'ÄÅÇÉÑÖÜáàâäãåçéèêëíìîïñóòôöõúùûü†°¢£§•¶ß®©™´¨≠ÆØ∞±≤≥¥µ∂∑∏π∫ªºΩæø¿¡¬√ƒ≈∆«»… ÀÃÕŒœ–—“”‘’÷◊ÿŸ⁄¤‹›ﬁﬂ‡·‚„‰ÂÊÁËÈÍÎÏÌÓÔ�ÒÚÛÙıˆ˜¯˘˙˚¸˝˛ˇ'
    },
    ascii: {
      type: '_sbcs',
      chars:
        '��������������������������������������������������������������������������������������������������������������������������������'
    },
    tis620: {
      type: '_sbcs',
      chars:
        '���������������������������������กขฃคฅฆงจฉชซฌญฎฏฐฑฒณดตถทธนบปผฝพฟภมยรฤลฦวศษสหฬอฮฯะัาำิีึืฺุู����฿เแโใไๅๆ็่้๊๋์ํ๎๏๐๑๒๓๔๕๖๗๘๙๚๛����'
    }
  }
  return sbcsDataGenerated
}

const dbcsCodec = {}

let hasRequiredDbcsCodec
function requireDbcsCodec() {
  if (hasRequiredDbcsCodec) {
    return dbcsCodec
  }
  hasRequiredDbcsCodec = 1
  const Buffer = requireSafer().Buffer

  // Multibyte codec. In this scheme, a character is represented by 1 or more bytes.
  // Our codec supports UTF-16 surrogates, extensions for GB18030 and unicode sequences.
  // To save memory and loading time, we read table files only when requested.

  dbcsCodec._dbcs = DBCSCodec
  const UNASSIGNED = -1,
    GB18030_CODE = -2,
    SEQ_START = -10,
    NODE_START = -1e3,
    UNASSIGNED_NODE = new Array(0x100),
    DEF_CHAR = -1
  for (let i = 0; i < 0x100; i++) {
    UNASSIGNED_NODE[i] = UNASSIGNED
  }

  // Class DBCSCodec reads and initializes mapping tables.
  function DBCSCodec(codecOptions, iconv) {
    this.encodingName = codecOptions.encodingName
    if (!codecOptions) {
      throw new Error('DBCS codec is called without the data.')
    }
    if (!codecOptions.table) {
      throw new Error("Encoding '" + this.encodingName + "' has no data.")
    }

    // Load tables.
    const mappingTable = codecOptions.table()

    // Decode tables: MBCS -> Unicode.

    // decodeTables is a trie, encoded as an array of arrays of integers. Internal arrays are trie nodes and all have len = 256.
    // Trie root is decodeTables[0].
    // Values: >=  0 -> unicode character code. can be > 0xFFFF
    //         == UNASSIGNED -> unknown/unassigned sequence.
    //         == GB18030_CODE -> this is the end of a GB18030 4-byte sequence.
    //         <= NODE_START -> index of the next node in our trie to process next byte.
    //         <= SEQ_START  -> index of the start of a character code sequence, in decodeTableSeq.
    this.decodeTables = []
    this.decodeTables[0] = UNASSIGNED_NODE.slice(0) // Create root node.

    // Sometimes a MBCS char corresponds to a sequence of unicode chars. We store them as arrays of integers here.
    this.decodeTableSeq = []

    // Actual mapping tables consist of chunks. Use them to fill up decode tables.
    for (let i = 0; i < mappingTable.length; i++) {
      this._addDecodeChunk(mappingTable[i])
    }

    // Load & create GB18030 tables when needed.
    if (typeof codecOptions.gb18030 === 'function') {
      this.gb18030 = codecOptions.gb18030() // Load GB18030 ranges.

      // Add GB18030 common decode nodes.
      const commonThirdByteNodeIdx = this.decodeTables.length
      this.decodeTables.push(UNASSIGNED_NODE.slice(0))
      const commonFourthByteNodeIdx = this.decodeTables.length
      this.decodeTables.push(UNASSIGNED_NODE.slice(0))

      // Fill out the tree
      const firstByteNode = this.decodeTables[0]
      for (let i = 0x81; i <= 0xfe; i++) {
        const secondByteNode = this.decodeTables[NODE_START - firstByteNode[i]]
        for (let j = 0x30; j <= 0x39; j++) {
          if (secondByteNode[j] === UNASSIGNED) {
            secondByteNode[j] = NODE_START - commonThirdByteNodeIdx
          } else if (secondByteNode[j] > NODE_START) {
            throw new Error('gb18030 decode tables conflict at byte 2')
          }
          const thirdByteNode =
            this.decodeTables[NODE_START - secondByteNode[j]]
          for (let k = 0x81; k <= 0xfe; k++) {
            if (thirdByteNode[k] === UNASSIGNED) {
              thirdByteNode[k] = NODE_START - commonFourthByteNodeIdx
            } else if (
              thirdByteNode[k] ===
              NODE_START - commonFourthByteNodeIdx
            ) {
              continue
            } else if (thirdByteNode[k] > NODE_START) {
              throw new Error('gb18030 decode tables conflict at byte 3')
            }
            const fourthByteNode =
              this.decodeTables[NODE_START - thirdByteNode[k]]
            for (let l = 0x30; l <= 0x39; l++) {
              if (fourthByteNode[l] === UNASSIGNED) {
                fourthByteNode[l] = GB18030_CODE
              }
            }
          }
        }
      }
    }
    this.defaultCharUnicode = iconv.defaultCharUnicode

    // Encode tables: Unicode -> DBCS.

    // `encodeTable` is array mapping from unicode char to encoded char. All its values are integers for performance.
    // Because it can be sparse, it is represented as array of buckets by 256 chars each. Bucket can be null.
    // Values: >=  0 -> it is a normal char. Write the value (if <=256 then 1 byte, if <=65536 then 2 bytes, etc.).
    //         == UNASSIGNED -> no conversion found. Output a default char.
    //         <= SEQ_START  -> it's an index in encodeTableSeq, see below. The character starts a sequence.
    this.encodeTable = []

    // `encodeTableSeq` is used when a sequence of unicode characters is encoded as a single code. We use a tree of
    // objects where keys correspond to characters in sequence and leafs are the encoded dbcs values. A special DEF_CHAR key
    // means end of sequence (needed when one sequence is a strict subsequence of another).
    // Objects are kept separately from encodeTable to increase performance.
    this.encodeTableSeq = []

    // Some chars can be decoded, but need not be encoded.
    const skipEncodeChars = {}
    if (codecOptions.encodeSkipVals) {
      for (var i = 0; i < codecOptions.encodeSkipVals.length; i++) {
        var val = codecOptions.encodeSkipVals[i]
        if (typeof val === 'number') skipEncodeChars[val] = true
        else for (var j = val.from; j <= val.to; j++) skipEncodeChars[j] = true
      }
    }

    // Use decode trie to recursively fill out encode tables.
    this._fillEncodeTable(0, 0, skipEncodeChars)

    // Add more encoding pairs when needed.
    if (codecOptions.encodeAdd) {
      for (const uChar in codecOptions.encodeAdd) {
        if (Object.prototype.hasOwnProperty.call(codecOptions.encodeAdd, uChar))
          this._setEncodeChar(
            uChar.charCodeAt(0),
            codecOptions.encodeAdd[uChar]
          )
      }
    }
    this.defCharSB =
      this.encodeTable[0][iconv.defaultCharSingleByte.charCodeAt(0)]
    if (this.defCharSB === UNASSIGNED) {
      this.defCharSB = this.encodeTable[0]['?']
    }
    if (this.defCharSB === UNASSIGNED) {
      this.defCharSB = '?'.charCodeAt(0)
    }
  }
  DBCSCodec.prototype.encoder = DBCSEncoder
  DBCSCodec.prototype.decoder = DBCSDecoder

  // Decoder helpers
  DBCSCodec.prototype._getDecodeTrieNode = function (addr) {
    const bytes = []
    for (; addr > 0; addr >>>= 8) {
      bytes.push(addr & 0xff)
    }
    if (bytes.length == 0) {
      bytes.push(0)
    }
    let node = this.decodeTables[0]
    for (let i = bytes.length - 1; i > 0; i--) {
      // Traverse nodes deeper into the trie.
      const val = node[bytes[i]]
      if (val == UNASSIGNED) {
        // Create new node.
        node[bytes[i]] = NODE_START - this.decodeTables.length
        this.decodeTables.push((node = UNASSIGNED_NODE.slice(0)))
      } else if (val <= NODE_START) {
        // Existing node.
        node = this.decodeTables[NODE_START - val]
      } else {
        throw new Error(
          'Overwrite byte in ' +
            this.encodingName +
            ', addr: ' +
            addr.toString(16)
        )
      }
    }
    return node
  }
  DBCSCodec.prototype._addDecodeChunk = function (chunk) {
    // First element of chunk is the hex mbcs code where we start.
    let curAddr = parseInt(chunk[0], 16)

    // Choose the decoding node where we'll write our chars.
    const writeTable = this._getDecodeTrieNode(curAddr)
    curAddr = curAddr & 0xff

    // Write all other elements of the chunk to the table.
    for (let k = 1; k < chunk.length; k++) {
      const part = chunk[k]
      if (typeof part === 'string') {
        // String, write as-is.
        for (let l = 0; l < part.length; ) {
          const code = part.charCodeAt(l++)
          if (0xd800 <= code && code < 0xdc00) {
            // Decode surrogate
            const codeTrail = part.charCodeAt(l++)
            if (0xdc00 <= codeTrail && codeTrail < 0xe000) {
              writeTable[curAddr++] =
                0x10000 + (code - 0xd800) * 0x400 + (codeTrail - 0xdc00)
            } else {
              throw new Error(
                'Incorrect surrogate pair in ' +
                  this.encodingName +
                  ' at chunk ' +
                  chunk[0]
              )
            }
          } else if (0x0ff0 < code && code <= 0x0fff) {
            // Character sequence (our own encoding used)
            const len = 0xfff - code + 2
            const seq = []
            for (let m = 0; m < len; m++) {
              seq.push(part.charCodeAt(l++))
            } // Simple variation: don't support surrogates or subsequences in seq.

            writeTable[curAddr++] = SEQ_START - this.decodeTableSeq.length
            this.decodeTableSeq.push(seq)
          } else {
            writeTable[curAddr++] = code
          } // Basic char
        }
      } else if (typeof part === 'number') {
        // Integer, meaning increasing sequence starting with prev character.
        let charCode = writeTable[curAddr - 1] + 1
        for (let l = 0; l < part; l++) {
          writeTable[curAddr++] = charCode++
        }
      } else {
        throw new Error(
          "Incorrect type '" +
            typeof part +
            "' given in " +
            this.encodingName +
            ' at chunk ' +
            chunk[0]
        )
      }
    }
    if (curAddr > 0xff) {
      throw new Error(
        'Incorrect chunk in ' +
          this.encodingName +
          ' at addr ' +
          chunk[0] +
          ': too long' +
          curAddr
      )
    }
  }

  // Encoder helpers
  DBCSCodec.prototype._getEncodeBucket = function (uCode) {
    const high = uCode >> 8 // This could be > 0xFF because of astral characters.
    if (this.encodeTable[high] === undefined) {
      this.encodeTable[high] = UNASSIGNED_NODE.slice(0)
    } // Create bucket on demand.
    return this.encodeTable[high]
  }
  DBCSCodec.prototype._setEncodeChar = function (uCode, dbcsCode) {
    const bucket = this._getEncodeBucket(uCode)
    const low = uCode & 0xff
    if (bucket[low] <= SEQ_START) {
      this.encodeTableSeq[SEQ_START - bucket[low]][DEF_CHAR] = dbcsCode
    } // There's already a sequence, set a single-char subsequence of it.
    else if (bucket[low] == UNASSIGNED) {
      bucket[low] = dbcsCode
    }
  }
  DBCSCodec.prototype._setEncodeSequence = function (seq, dbcsCode) {
    // Get the root of character tree according to first character of the sequence.
    let uCode = seq[0]
    const bucket = this._getEncodeBucket(uCode)
    const low = uCode & 0xff
    let node
    if (bucket[low] <= SEQ_START) {
      // There's already a sequence with  - use it.
      node = this.encodeTableSeq[SEQ_START - bucket[low]]
    } else {
      // There was no sequence object - allocate a new one.
      node = {}
      if (bucket[low] !== UNASSIGNED) {
        node[DEF_CHAR] = bucket[low]
      } // If a char was set before - make it a single-char subsequence.
      bucket[low] = SEQ_START - this.encodeTableSeq.length
      this.encodeTableSeq.push(node)
    }

    // Traverse the character tree, allocating new nodes as needed.
    for (let j = 1; j < seq.length - 1; j++) {
      const oldVal = node[uCode]
      if (typeof oldVal === 'object') {
        node = oldVal
      } else {
        node = node[uCode] = {}
        if (oldVal !== undefined) {
          node[DEF_CHAR] = oldVal
        }
      }
    }

    // Set the leaf to given dbcsCode.
    uCode = seq[seq.length - 1]
    node[uCode] = dbcsCode
  }
  DBCSCodec.prototype._fillEncodeTable = function (
    nodeIdx,
    prefix,
    skipEncodeChars
  ) {
    const node = this.decodeTables[nodeIdx]
    let hasValues = false
    const subNodeEmpty = {}
    for (let i = 0; i < 0x100; i++) {
      const uCode = node[i]
      const mbCode = prefix + i
      if (skipEncodeChars[mbCode]) {
        continue
      }
      if (uCode >= 0) {
        this._setEncodeChar(uCode, mbCode)
        hasValues = true
      } else if (uCode <= NODE_START) {
        const subNodeIdx = NODE_START - uCode
        if (!subNodeEmpty[subNodeIdx]) {
          // Skip empty subtrees (they are too large in gb18030).
          const newPrefix = (mbCode << 8) >>> 0 // NOTE: '>>> 0' keeps 32-bit num positive.
          if (this._fillEncodeTable(subNodeIdx, newPrefix, skipEncodeChars)) {
            hasValues = true
          } else {
            subNodeEmpty[subNodeIdx] = true
          }
        }
      } else if (uCode <= SEQ_START) {
        this._setEncodeSequence(this.decodeTableSeq[SEQ_START - uCode], mbCode)
        hasValues = true
      }
    }
    return hasValues
  }

  // == Encoder ==================================================================

  function DBCSEncoder(options, codec) {
    // Encoder state
    this.leadSurrogate = -1
    this.seqObj = undefined

    // Static data
    this.encodeTable = codec.encodeTable
    this.encodeTableSeq = codec.encodeTableSeq
    this.defaultCharSingleByte = codec.defCharSB
    this.gb18030 = codec.gb18030
  }
  DBCSEncoder.prototype.write = function (str) {
    let newBuf = Buffer.alloc(str.length * (this.gb18030 ? 4 : 3)),
      leadSurrogate = this.leadSurrogate,
      seqObj = this.seqObj,
      nextChar = -1,
      i = 0,
      j = 0
    while (true) {
      // 0. Get next character.
      if (nextChar === -1) {
        if (i == str.length) {
          break
        }
        let uCode = str.charCodeAt(i++)
      } else {
        let uCode = nextChar
        nextChar = -1
      }

      // 1. Handle surrogates.
      if (0xd800 <= uCode && uCode < 0xe000) {
        // Char is one of surrogates.
        if (uCode < 0xdc00) {
          // We've got lead surrogate.
          if (leadSurrogate === -1) {
            leadSurrogate = uCode
            continue
          } else {
            leadSurrogate = uCode
            // Double lead surrogate found.
            uCode = UNASSIGNED
          }
        } else {
          // We've got trail surrogate.
          if (leadSurrogate !== -1) {
            uCode =
              0x10000 + (leadSurrogate - 0xd800) * 0x400 + (uCode - 0xdc00)
            leadSurrogate = -1
          } else {
            // Incomplete surrogate pair - only trail surrogate found.
            uCode = UNASSIGNED
          }
        }
      } else if (leadSurrogate !== -1) {
        // Incomplete surrogate pair - only lead surrogate found.
        nextChar = uCode
        uCode = UNASSIGNED // Write an error, then current char.
        leadSurrogate = -1
      }

      // 2. Convert uCode character.
      let dbcsCode = UNASSIGNED
      if (seqObj !== undefined && uCode != UNASSIGNED) {
        // We are in the middle of the sequence
        let resCode = seqObj[uCode]
        if (typeof resCode === 'object') {
          // Sequence continues.
          seqObj = resCode
          continue
        } else if (typeof resCode == 'number') {
          // Sequence finished. Write it.
          dbcsCode = resCode
        } else if (resCode == undefined) {
          // Current character is not part of the sequence.

          // Try default character for this sequence
          resCode = seqObj[DEF_CHAR]
          if (resCode !== undefined) {
            dbcsCode = resCode // Found. Write it.
            nextChar = uCode // Current character will be written too in the next iteration.
          }
        }
        seqObj = undefined
      } else if (uCode >= 0) {
        // Regular character
        const subtable = this.encodeTable[uCode >> 8]
        if (subtable !== undefined) {
          dbcsCode = subtable[uCode & 0xff]
        }
        if (dbcsCode <= SEQ_START) {
          // Sequence start
          seqObj = this.encodeTableSeq[SEQ_START - dbcsCode]
          continue
        }
        if (dbcsCode == UNASSIGNED && this.gb18030) {
          // Use GB18030 algorithm to find character(s) to write.
          const idx = findIdx(this.gb18030.uChars, uCode)
          if (idx != -1) {
            let dbcsCode =
              this.gb18030.gbChars[idx] + (uCode - this.gb18030.uChars[idx])
            newBuf[j++] = 0x81 + Math.floor(dbcsCode / 12600)
            dbcsCode = dbcsCode % 12600
            newBuf[j++] = 0x30 + Math.floor(dbcsCode / 1260)
            dbcsCode = dbcsCode % 1260
            newBuf[j++] = 0x81 + Math.floor(dbcsCode / 10)
            dbcsCode = dbcsCode % 10
            newBuf[j++] = 0x30 + dbcsCode
            continue
          }
        }
      }

      // 3. Write dbcsCode character.
      if (dbcsCode === UNASSIGNED) {
        dbcsCode = this.defaultCharSingleByte
      }
      if (dbcsCode < 0x100) {
        newBuf[j++] = dbcsCode
      } else if (dbcsCode < 0x10000) {
        newBuf[j++] = dbcsCode >> 8 // high byte
        newBuf[j++] = dbcsCode & 0xff // low byte
      } else if (dbcsCode < 0x1000000) {
        newBuf[j++] = dbcsCode >> 16
        newBuf[j++] = (dbcsCode >> 8) & 0xff
        newBuf[j++] = dbcsCode & 0xff
      } else {
        newBuf[j++] = dbcsCode >>> 24
        newBuf[j++] = (dbcsCode >>> 16) & 0xff
        newBuf[j++] = (dbcsCode >>> 8) & 0xff
        newBuf[j++] = dbcsCode & 0xff
      }
    }
    this.seqObj = seqObj
    this.leadSurrogate = leadSurrogate
    return newBuf.slice(0, j)
  }
  DBCSEncoder.prototype.end = function () {
    if (this.leadSurrogate === -1 && this.seqObj === undefined) {
      return
    } // All clean. Most often case.

    let newBuf = Buffer.alloc(10),
      j = 0
    if (this.seqObj) {
      // We're in the sequence.
      const dbcsCode = this.seqObj[DEF_CHAR]
      if (dbcsCode !== undefined) {
        // Write beginning of the sequence.
        if (dbcsCode < 0x100) {
          newBuf[j++] = dbcsCode
        } else {
          newBuf[j++] = dbcsCode >> 8 // high byte
          newBuf[j++] = dbcsCode & 0xff // low byte
        }
      }
      this.seqObj = undefined
    }
    if (this.leadSurrogate !== -1) {
      // Incomplete surrogate pair - only lead surrogate found.
      newBuf[j++] = this.defaultCharSingleByte
      this.leadSurrogate = -1
    }
    return newBuf.slice(0, j)
  }

  // Export for testing
  DBCSEncoder.prototype.findIdx = findIdx

  // == Decoder ==================================================================

  function DBCSDecoder(options, codec) {
    // Decoder state
    this.nodeIdx = 0
    this.prevBytes = []

    // Static data
    this.decodeTables = codec.decodeTables
    this.decodeTableSeq = codec.decodeTableSeq
    this.defaultCharUnicode = codec.defaultCharUnicode
    this.gb18030 = codec.gb18030
  }
  DBCSDecoder.prototype.write = function (buf) {
    let newBuf = Buffer.alloc(buf.length * 2),
      nodeIdx = this.nodeIdx,
      prevBytes = this.prevBytes,
      prevOffset = this.prevBytes.length,
      seqStart = -this.prevBytes.length,
      // idx of the start of current parsed sequence.
      uCode
    for (let i = 0, j = 0; i < buf.length; i++) {
      const curByte = i >= 0 ? buf[i] : prevBytes[i + prevOffset]

      // Lookup in current trie node.
      let uCode = this.decodeTables[nodeIdx][curByte]
      if (uCode >= 0) {
      } else if (uCode === UNASSIGNED) {
        // Unknown char.
        // TODO: Callback with seq.
        uCode = this.defaultCharUnicode.charCodeAt(0)
        i = seqStart // Skip one byte ('i' will be incremented by the for loop) and try to parse again.
      } else if (uCode === GB18030_CODE) {
        if (i >= 3) {
          const ptr =
            (buf[i - 3] - 0x81) * 12600 +
            (buf[i - 2] - 0x30) * 1260 +
            (buf[i - 1] - 0x81) * 10 +
            (curByte - 0x30)
        } else {
          const ptr =
            (prevBytes[i - 3 + prevOffset] - 0x81) * 12600 +
            ((i - 2 >= 0 ? buf[i - 2] : prevBytes[i - 2 + prevOffset]) - 0x30) *
              1260 +
            ((i - 1 >= 0 ? buf[i - 1] : prevBytes[i - 1 + prevOffset]) - 0x81) *
              10 +
            (curByte - 0x30)
        }
        const idx = findIdx(this.gb18030.gbChars, ptr)
        uCode = this.gb18030.uChars[idx] + ptr - this.gb18030.gbChars[idx]
      } else if (uCode <= NODE_START) {
        // Go to next trie node.
        nodeIdx = NODE_START - uCode
        continue
      } else if (uCode <= SEQ_START) {
        // Output a sequence of chars.
        const seq = this.decodeTableSeq[SEQ_START - uCode]
        for (let k = 0; k < seq.length - 1; k++) {
          uCode = seq[k]
          newBuf[j++] = uCode & 0xff
          newBuf[j++] = uCode >> 8
        }
        uCode = seq[seq.length - 1]
      } else {
        throw new Error(
          'iconv-lite internal error: invalid decoding table value ' +
            uCode +
            ' at ' +
            nodeIdx +
            '/' +
            curByte
        )
      }

      // Write the character to buffer, handling higher planes using surrogate pair.
      if (uCode >= 0x10000) {
        uCode -= 0x10000
        const uCodeLead = 0xd800 | (uCode >> 10)
        newBuf[j++] = uCodeLead & 0xff
        newBuf[j++] = uCodeLead >> 8
        uCode = 0xdc00 | (uCode & 0x3ff)
      }
      newBuf[j++] = uCode & 0xff
      newBuf[j++] = uCode >> 8

      // Reset trie node.
      nodeIdx = 0
      seqStart = i + 1
    }
    this.nodeIdx = nodeIdx
    this.prevBytes =
      seqStart >= 0
        ? Array.prototype.slice.call(buf, seqStart)
        : prevBytes
            .slice(seqStart + prevOffset)
            .concat(Array.prototype.slice.call(buf))
    return newBuf.slice(0, j).toString('ucs2')
  }
  DBCSDecoder.prototype.end = function () {
    let ret = ''

    // Try to parse all remaining chars.
    while (this.prevBytes.length > 0) {
      // Skip 1 character in the buffer.
      ret += this.defaultCharUnicode
      const bytesArr = this.prevBytes.slice(1)

      // Parse remaining as usual.
      this.prevBytes = []
      this.nodeIdx = 0
      if (bytesArr.length > 0) {
        ret += this.write(bytesArr)
      }
    }
    this.prevBytes = []
    this.nodeIdx = 0
    return ret
  }

  // Binary search for GB18030. Returns largest i such that table[i] <= val.
  function findIdx(table, val) {
    if (table[0] > val) {
      return -1
    }
    let l = 0,
      r = table.length
    while (l < r - 1) {
      // always table[l] <= val < table[r]
      const mid = l + ((r - l + 1) >> 1)
      if (table[mid] <= val) {
        l = mid
      } else {
        r = mid
      }
    }
    return l
  }
  return dbcsCodec
}

const require$$0 = [
  ['0', '\u0000', 128],
  ['a1', '｡', 62],
  [
    '8140',
    '　、。，．・：；？！゛゜´｀¨＾￣＿ヽヾゝゞ〃仝々〆〇ー―‐／＼～∥｜…‥‘’“”（）〔〕［］｛｝〈',
    9,
    '＋－±×'
  ],
  ['8180', '÷＝≠＜＞≦≧∞∴♂♀°′″℃￥＄￠￡％＃＆＊＠§☆★○●◎◇◆□■△▲▽▼※〒→←↑↓〓'],
  ['81b8', '∈∋⊆⊇⊂⊃∪∩'],
  ['81c8', '∧∨￢⇒⇔∀∃'],
  ['81da', '∠⊥⌒∂∇≡≒≪≫√∽∝∵∫∬'],
  ['81f0', 'Å‰♯♭♪†‡¶'],
  ['81fc', '◯'],
  ['824f', '０', 9],
  ['8260', 'Ａ', 25],
  ['8281', 'ａ', 25],
  ['829f', 'ぁ', 82],
  ['8340', 'ァ', 62],
  ['8380', 'ム', 22],
  ['839f', 'Α', 16, 'Σ', 6],
  ['83bf', 'α', 16, 'σ', 6],
  ['8440', 'А', 5, 'ЁЖ', 25],
  ['8470', 'а', 5, 'ёж', 7],
  ['8480', 'о', 17],
  ['849f', '─│┌┐┘└├┬┤┴┼━┃┏┓┛┗┣┳┫┻╋┠┯┨┷┿┝┰┥┸╂'],
  ['8740', '①', 19, 'Ⅰ', 9],
  ['875f', '㍉㌔㌢㍍㌘㌧㌃㌶㍑㍗㌍㌦㌣㌫㍊㌻㎜㎝㎞㎎㎏㏄㎡'],
  ['877e', '㍻'],
  ['8780', '〝〟№㏍℡㊤', 4, '㈱㈲㈹㍾㍽㍼≒≡∫∮∑√⊥∠∟⊿∵∩∪'],
  [
    '889f',
    '亜唖娃阿哀愛挨姶逢葵茜穐悪握渥旭葦芦鯵梓圧斡扱宛姐虻飴絢綾鮎或粟袷安庵按暗案闇鞍杏以伊位依偉囲夷委威尉惟意慰易椅為畏異移維緯胃萎衣謂違遺医井亥域育郁磯一壱溢逸稲茨芋鰯允印咽員因姻引飲淫胤蔭'
  ],
  [
    '8940',
    '院陰隠韻吋右宇烏羽迂雨卯鵜窺丑碓臼渦嘘唄欝蔚鰻姥厩浦瓜閏噂云運雲荏餌叡営嬰影映曳栄永泳洩瑛盈穎頴英衛詠鋭液疫益駅悦謁越閲榎厭円'
  ],
  [
    '8980',
    '園堰奄宴延怨掩援沿演炎焔煙燕猿縁艶苑薗遠鉛鴛塩於汚甥凹央奥往応押旺横欧殴王翁襖鴬鴎黄岡沖荻億屋憶臆桶牡乙俺卸恩温穏音下化仮何伽価佳加可嘉夏嫁家寡科暇果架歌河火珂禍禾稼箇花苛茄荷華菓蝦課嘩貨迦過霞蚊俄峨我牙画臥芽蛾賀雅餓駕介会解回塊壊廻快怪悔恢懐戒拐改'
  ],
  [
    '8a40',
    '魁晦械海灰界皆絵芥蟹開階貝凱劾外咳害崖慨概涯碍蓋街該鎧骸浬馨蛙垣柿蛎鈎劃嚇各廓拡撹格核殻獲確穫覚角赫較郭閣隔革学岳楽額顎掛笠樫'
  ],
  [
    '8a80',
    '橿梶鰍潟割喝恰括活渇滑葛褐轄且鰹叶椛樺鞄株兜竃蒲釜鎌噛鴨栢茅萱粥刈苅瓦乾侃冠寒刊勘勧巻喚堪姦完官寛干幹患感慣憾換敢柑桓棺款歓汗漢澗潅環甘監看竿管簡緩缶翰肝艦莞観諌貫還鑑間閑関陥韓館舘丸含岸巌玩癌眼岩翫贋雁頑顔願企伎危喜器基奇嬉寄岐希幾忌揮机旗既期棋棄'
  ],
  [
    '8b40',
    '機帰毅気汽畿祈季稀紀徽規記貴起軌輝飢騎鬼亀偽儀妓宜戯技擬欺犠疑祇義蟻誼議掬菊鞠吉吃喫桔橘詰砧杵黍却客脚虐逆丘久仇休及吸宮弓急救'
  ],
  [
    '8b80',
    '朽求汲泣灸球究窮笈級糾給旧牛去居巨拒拠挙渠虚許距鋸漁禦魚亨享京供侠僑兇競共凶協匡卿叫喬境峡強彊怯恐恭挟教橋況狂狭矯胸脅興蕎郷鏡響饗驚仰凝尭暁業局曲極玉桐粁僅勤均巾錦斤欣欽琴禁禽筋緊芹菌衿襟謹近金吟銀九倶句区狗玖矩苦躯駆駈駒具愚虞喰空偶寓遇隅串櫛釧屑屈'
  ],
  [
    '8c40',
    '掘窟沓靴轡窪熊隈粂栗繰桑鍬勲君薫訓群軍郡卦袈祁係傾刑兄啓圭珪型契形径恵慶慧憩掲携敬景桂渓畦稽系経継繋罫茎荊蛍計詣警軽頚鶏芸迎鯨'
  ],
  [
    '8c80',
    '劇戟撃激隙桁傑欠決潔穴結血訣月件倹倦健兼券剣喧圏堅嫌建憲懸拳捲検権牽犬献研硯絹県肩見謙賢軒遣鍵険顕験鹸元原厳幻弦減源玄現絃舷言諺限乎個古呼固姑孤己庫弧戸故枯湖狐糊袴股胡菰虎誇跨鈷雇顧鼓五互伍午呉吾娯後御悟梧檎瑚碁語誤護醐乞鯉交佼侯候倖光公功効勾厚口向'
  ],
  [
    '8d40',
    '后喉坑垢好孔孝宏工巧巷幸広庚康弘恒慌抗拘控攻昂晃更杭校梗構江洪浩港溝甲皇硬稿糠紅紘絞綱耕考肯肱腔膏航荒行衡講貢購郊酵鉱砿鋼閤降'
  ],
  [
    '8d80',
    '項香高鴻剛劫号合壕拷濠豪轟麹克刻告国穀酷鵠黒獄漉腰甑忽惚骨狛込此頃今困坤墾婚恨懇昏昆根梱混痕紺艮魂些佐叉唆嵯左差査沙瑳砂詐鎖裟坐座挫債催再最哉塞妻宰彩才採栽歳済災采犀砕砦祭斎細菜裁載際剤在材罪財冴坂阪堺榊肴咲崎埼碕鷺作削咋搾昨朔柵窄策索錯桜鮭笹匙冊刷'
  ],
  [
    '8e40',
    '察拶撮擦札殺薩雑皐鯖捌錆鮫皿晒三傘参山惨撒散桟燦珊産算纂蚕讃賛酸餐斬暫残仕仔伺使刺司史嗣四士始姉姿子屍市師志思指支孜斯施旨枝止'
  ],
  [
    '8e80',
    '死氏獅祉私糸紙紫肢脂至視詞詩試誌諮資賜雌飼歯事似侍児字寺慈持時次滋治爾璽痔磁示而耳自蒔辞汐鹿式識鴫竺軸宍雫七叱執失嫉室悉湿漆疾質実蔀篠偲柴芝屡蕊縞舎写射捨赦斜煮社紗者謝車遮蛇邪借勺尺杓灼爵酌釈錫若寂弱惹主取守手朱殊狩珠種腫趣酒首儒受呪寿授樹綬需囚収周'
  ],
  [
    '8f40',
    '宗就州修愁拾洲秀秋終繍習臭舟蒐衆襲讐蹴輯週酋酬集醜什住充十従戎柔汁渋獣縦重銃叔夙宿淑祝縮粛塾熟出術述俊峻春瞬竣舜駿准循旬楯殉淳'
  ],
  [
    '8f80',
    '準潤盾純巡遵醇順処初所暑曙渚庶緒署書薯藷諸助叙女序徐恕鋤除傷償勝匠升召哨商唱嘗奨妾娼宵将小少尚庄床廠彰承抄招掌捷昇昌昭晶松梢樟樵沼消渉湘焼焦照症省硝礁祥称章笑粧紹肖菖蒋蕉衝裳訟証詔詳象賞醤鉦鍾鐘障鞘上丈丞乗冗剰城場壌嬢常情擾条杖浄状畳穣蒸譲醸錠嘱埴飾'
  ],
  [
    '9040',
    '拭植殖燭織職色触食蝕辱尻伸信侵唇娠寝審心慎振新晋森榛浸深申疹真神秦紳臣芯薪親診身辛進針震人仁刃塵壬尋甚尽腎訊迅陣靭笥諏須酢図厨'
  ],
  [
    '9080',
    '逗吹垂帥推水炊睡粋翠衰遂酔錐錘随瑞髄崇嵩数枢趨雛据杉椙菅頗雀裾澄摺寸世瀬畝是凄制勢姓征性成政整星晴棲栖正清牲生盛精聖声製西誠誓請逝醒青静斉税脆隻席惜戚斥昔析石積籍績脊責赤跡蹟碩切拙接摂折設窃節説雪絶舌蝉仙先千占宣専尖川戦扇撰栓栴泉浅洗染潜煎煽旋穿箭線'
  ],
  [
    '9140',
    '繊羨腺舛船薦詮賎践選遷銭銑閃鮮前善漸然全禅繕膳糎噌塑岨措曾曽楚狙疏疎礎祖租粗素組蘇訴阻遡鼠僧創双叢倉喪壮奏爽宋層匝惣想捜掃挿掻'
  ],
  [
    '9180',
    '操早曹巣槍槽漕燥争痩相窓糟総綜聡草荘葬蒼藻装走送遭鎗霜騒像増憎臓蔵贈造促側則即息捉束測足速俗属賊族続卒袖其揃存孫尊損村遜他多太汰詑唾堕妥惰打柁舵楕陀駄騨体堆対耐岱帯待怠態戴替泰滞胎腿苔袋貸退逮隊黛鯛代台大第醍題鷹滝瀧卓啄宅托択拓沢濯琢託鐸濁諾茸凧蛸只'
  ],
  [
    '9240',
    '叩但達辰奪脱巽竪辿棚谷狸鱈樽誰丹単嘆坦担探旦歎淡湛炭短端箪綻耽胆蛋誕鍛団壇弾断暖檀段男談値知地弛恥智池痴稚置致蜘遅馳築畜竹筑蓄'
  ],
  [
    '9280',
    '逐秩窒茶嫡着中仲宙忠抽昼柱注虫衷註酎鋳駐樗瀦猪苧著貯丁兆凋喋寵帖帳庁弔張彫徴懲挑暢朝潮牒町眺聴脹腸蝶調諜超跳銚長頂鳥勅捗直朕沈珍賃鎮陳津墜椎槌追鎚痛通塚栂掴槻佃漬柘辻蔦綴鍔椿潰坪壷嬬紬爪吊釣鶴亭低停偵剃貞呈堤定帝底庭廷弟悌抵挺提梯汀碇禎程締艇訂諦蹄逓'
  ],
  [
    '9340',
    '邸鄭釘鼎泥摘擢敵滴的笛適鏑溺哲徹撤轍迭鉄典填天展店添纏甜貼転顛点伝殿澱田電兎吐堵塗妬屠徒斗杜渡登菟賭途都鍍砥砺努度土奴怒倒党冬'
  ],
  [
    '9380',
    '凍刀唐塔塘套宕島嶋悼投搭東桃梼棟盗淘湯涛灯燈当痘祷等答筒糖統到董蕩藤討謄豆踏逃透鐙陶頭騰闘働動同堂導憧撞洞瞳童胴萄道銅峠鴇匿得徳涜特督禿篤毒独読栃橡凸突椴届鳶苫寅酉瀞噸屯惇敦沌豚遁頓呑曇鈍奈那内乍凪薙謎灘捺鍋楢馴縄畷南楠軟難汝二尼弐迩匂賑肉虹廿日乳入'
  ],
  [
    '9440',
    '如尿韮任妊忍認濡禰祢寧葱猫熱年念捻撚燃粘乃廼之埜嚢悩濃納能脳膿農覗蚤巴把播覇杷波派琶破婆罵芭馬俳廃拝排敗杯盃牌背肺輩配倍培媒梅'
  ],
  [
    '9480',
    '楳煤狽買売賠陪這蝿秤矧萩伯剥博拍柏泊白箔粕舶薄迫曝漠爆縛莫駁麦函箱硲箸肇筈櫨幡肌畑畠八鉢溌発醗髪伐罰抜筏閥鳩噺塙蛤隼伴判半反叛帆搬斑板氾汎版犯班畔繁般藩販範釆煩頒飯挽晩番盤磐蕃蛮匪卑否妃庇彼悲扉批披斐比泌疲皮碑秘緋罷肥被誹費避非飛樋簸備尾微枇毘琵眉美'
  ],
  [
    '9540',
    '鼻柊稗匹疋髭彦膝菱肘弼必畢筆逼桧姫媛紐百謬俵彪標氷漂瓢票表評豹廟描病秒苗錨鋲蒜蛭鰭品彬斌浜瀕貧賓頻敏瓶不付埠夫婦富冨布府怖扶敷'
  ],
  [
    '9580',
    '斧普浮父符腐膚芙譜負賦赴阜附侮撫武舞葡蕪部封楓風葺蕗伏副復幅服福腹複覆淵弗払沸仏物鮒分吻噴墳憤扮焚奮粉糞紛雰文聞丙併兵塀幣平弊柄並蔽閉陛米頁僻壁癖碧別瞥蔑箆偏変片篇編辺返遍便勉娩弁鞭保舗鋪圃捕歩甫補輔穂募墓慕戊暮母簿菩倣俸包呆報奉宝峰峯崩庖抱捧放方朋'
  ],
  [
    '9640',
    '法泡烹砲縫胞芳萌蓬蜂褒訪豊邦鋒飽鳳鵬乏亡傍剖坊妨帽忘忙房暴望某棒冒紡肪膨謀貌貿鉾防吠頬北僕卜墨撲朴牧睦穆釦勃没殆堀幌奔本翻凡盆'
  ],
  [
    '9680',
    '摩磨魔麻埋妹昧枚毎哩槙幕膜枕鮪柾鱒桝亦俣又抹末沫迄侭繭麿万慢満漫蔓味未魅巳箕岬密蜜湊蓑稔脈妙粍民眠務夢無牟矛霧鵡椋婿娘冥名命明盟迷銘鳴姪牝滅免棉綿緬面麺摸模茂妄孟毛猛盲網耗蒙儲木黙目杢勿餅尤戻籾貰問悶紋門匁也冶夜爺耶野弥矢厄役約薬訳躍靖柳薮鑓愉愈油癒'
  ],
  [
    '9740',
    '諭輸唯佑優勇友宥幽悠憂揖有柚湧涌猶猷由祐裕誘遊邑郵雄融夕予余与誉輿預傭幼妖容庸揚揺擁曜楊様洋溶熔用窯羊耀葉蓉要謡踊遥陽養慾抑欲'
  ],
  [
    '9780',
    '沃浴翌翼淀羅螺裸来莱頼雷洛絡落酪乱卵嵐欄濫藍蘭覧利吏履李梨理璃痢裏裡里離陸律率立葎掠略劉流溜琉留硫粒隆竜龍侶慮旅虜了亮僚両凌寮料梁涼猟療瞭稜糧良諒遼量陵領力緑倫厘林淋燐琳臨輪隣鱗麟瑠塁涙累類令伶例冷励嶺怜玲礼苓鈴隷零霊麗齢暦歴列劣烈裂廉恋憐漣煉簾練聯'
  ],
  [
    '9840',
    '蓮連錬呂魯櫓炉賂路露労婁廊弄朗楼榔浪漏牢狼篭老聾蝋郎六麓禄肋録論倭和話歪賄脇惑枠鷲亙亘鰐詫藁蕨椀湾碗腕'
  ],
  [
    '989f',
    '弌丐丕个丱丶丼丿乂乖乘亂亅豫亊舒弍于亞亟亠亢亰亳亶从仍仄仆仂仗仞仭仟价伉佚估佛佝佗佇佶侈侏侘佻佩佰侑佯來侖儘俔俟俎俘俛俑俚俐俤俥倚倨倔倪倥倅伜俶倡倩倬俾俯們倆偃假會偕偐偈做偖偬偸傀傚傅傴傲'
  ],
  [
    '9940',
    '僉僊傳僂僖僞僥僭僣僮價僵儉儁儂儖儕儔儚儡儺儷儼儻儿兀兒兌兔兢竸兩兪兮冀冂囘册冉冏冑冓冕冖冤冦冢冩冪冫决冱冲冰况冽凅凉凛几處凩凭'
  ],
  [
    '9980',
    '凰凵凾刄刋刔刎刧刪刮刳刹剏剄剋剌剞剔剪剴剩剳剿剽劍劔劒剱劈劑辨辧劬劭劼劵勁勍勗勞勣勦飭勠勳勵勸勹匆匈甸匍匐匏匕匚匣匯匱匳匸區卆卅丗卉卍凖卞卩卮夘卻卷厂厖厠厦厥厮厰厶參簒雙叟曼燮叮叨叭叺吁吽呀听吭吼吮吶吩吝呎咏呵咎呟呱呷呰咒呻咀呶咄咐咆哇咢咸咥咬哄哈咨'
  ],
  [
    '9a40',
    '咫哂咤咾咼哘哥哦唏唔哽哮哭哺哢唹啀啣啌售啜啅啖啗唸唳啝喙喀咯喊喟啻啾喘喞單啼喃喩喇喨嗚嗅嗟嗄嗜嗤嗔嘔嗷嘖嗾嗽嘛嗹噎噐營嘴嘶嘲嘸'
  ],
  [
    '9a80',
    '噫噤嘯噬噪嚆嚀嚊嚠嚔嚏嚥嚮嚶嚴囂嚼囁囃囀囈囎囑囓囗囮囹圀囿圄圉圈國圍圓團圖嗇圜圦圷圸坎圻址坏坩埀垈坡坿垉垓垠垳垤垪垰埃埆埔埒埓堊埖埣堋堙堝塲堡塢塋塰毀塒堽塹墅墹墟墫墺壞墻墸墮壅壓壑壗壙壘壥壜壤壟壯壺壹壻壼壽夂夊夐夛梦夥夬夭夲夸夾竒奕奐奎奚奘奢奠奧奬奩'
  ],
  [
    '9b40',
    '奸妁妝佞侫妣妲姆姨姜妍姙姚娥娟娑娜娉娚婀婬婉娵娶婢婪媚媼媾嫋嫂媽嫣嫗嫦嫩嫖嫺嫻嬌嬋嬖嬲嫐嬪嬶嬾孃孅孀孑孕孚孛孥孩孰孳孵學斈孺宀'
  ],
  [
    '9b80',
    '它宦宸寃寇寉寔寐寤實寢寞寥寫寰寶寳尅將專對尓尠尢尨尸尹屁屆屎屓屐屏孱屬屮乢屶屹岌岑岔妛岫岻岶岼岷峅岾峇峙峩峽峺峭嶌峪崋崕崗嵜崟崛崑崔崢崚崙崘嵌嵒嵎嵋嵬嵳嵶嶇嶄嶂嶢嶝嶬嶮嶽嶐嶷嶼巉巍巓巒巖巛巫已巵帋帚帙帑帛帶帷幄幃幀幎幗幔幟幢幤幇幵并幺麼广庠廁廂廈廐廏'
  ],
  [
    '9c40',
    '廖廣廝廚廛廢廡廨廩廬廱廳廰廴廸廾弃弉彝彜弋弑弖弩弭弸彁彈彌彎弯彑彖彗彙彡彭彳彷徃徂彿徊很徑徇從徙徘徠徨徭徼忖忻忤忸忱忝悳忿怡恠'
  ],
  [
    '9c80',
    '怙怐怩怎怱怛怕怫怦怏怺恚恁恪恷恟恊恆恍恣恃恤恂恬恫恙悁悍惧悃悚悄悛悖悗悒悧悋惡悸惠惓悴忰悽惆悵惘慍愕愆惶惷愀惴惺愃愡惻惱愍愎慇愾愨愧慊愿愼愬愴愽慂慄慳慷慘慙慚慫慴慯慥慱慟慝慓慵憙憖憇憬憔憚憊憑憫憮懌懊應懷懈懃懆憺懋罹懍懦懣懶懺懴懿懽懼懾戀戈戉戍戌戔戛'
  ],
  [
    '9d40',
    '戞戡截戮戰戲戳扁扎扞扣扛扠扨扼抂抉找抒抓抖拔抃抔拗拑抻拏拿拆擔拈拜拌拊拂拇抛拉挌拮拱挧挂挈拯拵捐挾捍搜捏掖掎掀掫捶掣掏掉掟掵捫'
  ],
  [
    '9d80',
    '捩掾揩揀揆揣揉插揶揄搖搴搆搓搦搶攝搗搨搏摧摯摶摎攪撕撓撥撩撈撼據擒擅擇撻擘擂擱擧舉擠擡抬擣擯攬擶擴擲擺攀擽攘攜攅攤攣攫攴攵攷收攸畋效敖敕敍敘敞敝敲數斂斃變斛斟斫斷旃旆旁旄旌旒旛旙无旡旱杲昊昃旻杳昵昶昴昜晏晄晉晁晞晝晤晧晨晟晢晰暃暈暎暉暄暘暝曁暹曉暾暼'
  ],
  [
    '9e40',
    '曄暸曖曚曠昿曦曩曰曵曷朏朖朞朦朧霸朮朿朶杁朸朷杆杞杠杙杣杤枉杰枩杼杪枌枋枦枡枅枷柯枴柬枳柩枸柤柞柝柢柮枹柎柆柧檜栞框栩桀桍栲桎'
  ],
  [
    '9e80',
    '梳栫桙档桷桿梟梏梭梔條梛梃檮梹桴梵梠梺椏梍桾椁棊椈棘椢椦棡椌棍棔棧棕椶椒椄棗棣椥棹棠棯椨椪椚椣椡棆楹楷楜楸楫楔楾楮椹楴椽楙椰楡楞楝榁楪榲榮槐榿槁槓榾槎寨槊槝榻槃榧樮榑榠榜榕榴槞槨樂樛槿權槹槲槧樅榱樞槭樔槫樊樒櫁樣樓橄樌橲樶橸橇橢橙橦橈樸樢檐檍檠檄檢檣'
  ],
  [
    '9f40',
    '檗蘗檻櫃櫂檸檳檬櫞櫑櫟檪櫚櫪櫻欅蘖櫺欒欖鬱欟欸欷盜欹飮歇歃歉歐歙歔歛歟歡歸歹歿殀殄殃殍殘殕殞殤殪殫殯殲殱殳殷殼毆毋毓毟毬毫毳毯'
  ],
  [
    '9f80',
    '麾氈氓气氛氤氣汞汕汢汪沂沍沚沁沛汾汨汳沒沐泄泱泓沽泗泅泝沮沱沾沺泛泯泙泪洟衍洶洫洽洸洙洵洳洒洌浣涓浤浚浹浙涎涕濤涅淹渕渊涵淇淦涸淆淬淞淌淨淒淅淺淙淤淕淪淮渭湮渮渙湲湟渾渣湫渫湶湍渟湃渺湎渤滿渝游溂溪溘滉溷滓溽溯滄溲滔滕溏溥滂溟潁漑灌滬滸滾漿滲漱滯漲滌'
  ],
  [
    'e040',
    '漾漓滷澆潺潸澁澀潯潛濳潭澂潼潘澎澑濂潦澳澣澡澤澹濆澪濟濕濬濔濘濱濮濛瀉瀋濺瀑瀁瀏濾瀛瀚潴瀝瀘瀟瀰瀾瀲灑灣炙炒炯烱炬炸炳炮烟烋烝'
  ],
  [
    'e080',
    '烙焉烽焜焙煥煕熈煦煢煌煖煬熏燻熄熕熨熬燗熹熾燒燉燔燎燠燬燧燵燼燹燿爍爐爛爨爭爬爰爲爻爼爿牀牆牋牘牴牾犂犁犇犒犖犢犧犹犲狃狆狄狎狒狢狠狡狹狷倏猗猊猜猖猝猴猯猩猥猾獎獏默獗獪獨獰獸獵獻獺珈玳珎玻珀珥珮珞璢琅瑯琥珸琲琺瑕琿瑟瑙瑁瑜瑩瑰瑣瑪瑶瑾璋璞璧瓊瓏瓔珱'
  ],
  [
    'e140',
    '瓠瓣瓧瓩瓮瓲瓰瓱瓸瓷甄甃甅甌甎甍甕甓甞甦甬甼畄畍畊畉畛畆畚畩畤畧畫畭畸當疆疇畴疊疉疂疔疚疝疥疣痂疳痃疵疽疸疼疱痍痊痒痙痣痞痾痿'
  ],
  [
    'e180',
    '痼瘁痰痺痲痳瘋瘍瘉瘟瘧瘠瘡瘢瘤瘴瘰瘻癇癈癆癜癘癡癢癨癩癪癧癬癰癲癶癸發皀皃皈皋皎皖皓皙皚皰皴皸皹皺盂盍盖盒盞盡盥盧盪蘯盻眈眇眄眩眤眞眥眦眛眷眸睇睚睨睫睛睥睿睾睹瞎瞋瞑瞠瞞瞰瞶瞹瞿瞼瞽瞻矇矍矗矚矜矣矮矼砌砒礦砠礪硅碎硴碆硼碚碌碣碵碪碯磑磆磋磔碾碼磅磊磬'
  ],
  [
    'e240',
    '磧磚磽磴礇礒礑礙礬礫祀祠祗祟祚祕祓祺祿禊禝禧齋禪禮禳禹禺秉秕秧秬秡秣稈稍稘稙稠稟禀稱稻稾稷穃穗穉穡穢穩龝穰穹穽窈窗窕窘窖窩竈窰'
  ],
  [
    'e280',
    '窶竅竄窿邃竇竊竍竏竕竓站竚竝竡竢竦竭竰笂笏笊笆笳笘笙笞笵笨笶筐筺笄筍笋筌筅筵筥筴筧筰筱筬筮箝箘箟箍箜箚箋箒箏筝箙篋篁篌篏箴篆篝篩簑簔篦篥籠簀簇簓篳篷簗簍篶簣簧簪簟簷簫簽籌籃籔籏籀籐籘籟籤籖籥籬籵粃粐粤粭粢粫粡粨粳粲粱粮粹粽糀糅糂糘糒糜糢鬻糯糲糴糶糺紆'
  ],
  [
    'e340',
    '紂紜紕紊絅絋紮紲紿紵絆絳絖絎絲絨絮絏絣經綉絛綏絽綛綺綮綣綵緇綽綫總綢綯緜綸綟綰緘緝緤緞緻緲緡縅縊縣縡縒縱縟縉縋縢繆繦縻縵縹繃縷'
  ],
  [
    'e380',
    '縲縺繧繝繖繞繙繚繹繪繩繼繻纃緕繽辮繿纈纉續纒纐纓纔纖纎纛纜缸缺罅罌罍罎罐网罕罔罘罟罠罨罩罧罸羂羆羃羈羇羌羔羞羝羚羣羯羲羹羮羶羸譱翅翆翊翕翔翡翦翩翳翹飜耆耄耋耒耘耙耜耡耨耿耻聊聆聒聘聚聟聢聨聳聲聰聶聹聽聿肄肆肅肛肓肚肭冐肬胛胥胙胝胄胚胖脉胯胱脛脩脣脯腋'
  ],
  [
    'e440',
    '隋腆脾腓腑胼腱腮腥腦腴膃膈膊膀膂膠膕膤膣腟膓膩膰膵膾膸膽臀臂膺臉臍臑臙臘臈臚臟臠臧臺臻臾舁舂舅與舊舍舐舖舩舫舸舳艀艙艘艝艚艟艤'
  ],
  [
    'e480',
    '艢艨艪艫舮艱艷艸艾芍芒芫芟芻芬苡苣苟苒苴苳苺莓范苻苹苞茆苜茉苙茵茴茖茲茱荀茹荐荅茯茫茗茘莅莚莪莟莢莖茣莎莇莊荼莵荳荵莠莉莨菴萓菫菎菽萃菘萋菁菷萇菠菲萍萢萠莽萸蔆菻葭萪萼蕚蒄葷葫蒭葮蒂葩葆萬葯葹萵蓊葢蒹蒿蒟蓙蓍蒻蓚蓐蓁蓆蓖蒡蔡蓿蓴蔗蔘蔬蔟蔕蔔蓼蕀蕣蕘蕈'
  ],
  [
    'e540',
    '蕁蘂蕋蕕薀薤薈薑薊薨蕭薔薛藪薇薜蕷蕾薐藉薺藏薹藐藕藝藥藜藹蘊蘓蘋藾藺蘆蘢蘚蘰蘿虍乕虔號虧虱蚓蚣蚩蚪蚋蚌蚶蚯蛄蛆蚰蛉蠣蚫蛔蛞蛩蛬'
  ],
  [
    'e580',
    '蛟蛛蛯蜒蜆蜈蜀蜃蛻蜑蜉蜍蛹蜊蜴蜿蜷蜻蜥蜩蜚蝠蝟蝸蝌蝎蝴蝗蝨蝮蝙蝓蝣蝪蠅螢螟螂螯蟋螽蟀蟐雖螫蟄螳蟇蟆螻蟯蟲蟠蠏蠍蟾蟶蟷蠎蟒蠑蠖蠕蠢蠡蠱蠶蠹蠧蠻衄衂衒衙衞衢衫袁衾袞衵衽袵衲袂袗袒袮袙袢袍袤袰袿袱裃裄裔裘裙裝裹褂裼裴裨裲褄褌褊褓襃褞褥褪褫襁襄褻褶褸襌褝襠襞'
  ],
  [
    'e640',
    '襦襤襭襪襯襴襷襾覃覈覊覓覘覡覩覦覬覯覲覺覽覿觀觚觜觝觧觴觸訃訖訐訌訛訝訥訶詁詛詒詆詈詼詭詬詢誅誂誄誨誡誑誥誦誚誣諄諍諂諚諫諳諧'
  ],
  [
    'e680',
    '諤諱謔諠諢諷諞諛謌謇謚諡謖謐謗謠謳鞫謦謫謾謨譁譌譏譎證譖譛譚譫譟譬譯譴譽讀讌讎讒讓讖讙讚谺豁谿豈豌豎豐豕豢豬豸豺貂貉貅貊貍貎貔豼貘戝貭貪貽貲貳貮貶賈賁賤賣賚賽賺賻贄贅贊贇贏贍贐齎贓賍贔贖赧赭赱赳趁趙跂趾趺跏跚跖跌跛跋跪跫跟跣跼踈踉跿踝踞踐踟蹂踵踰踴蹊'
  ],
  [
    'e740',
    '蹇蹉蹌蹐蹈蹙蹤蹠踪蹣蹕蹶蹲蹼躁躇躅躄躋躊躓躑躔躙躪躡躬躰軆躱躾軅軈軋軛軣軼軻軫軾輊輅輕輒輙輓輜輟輛輌輦輳輻輹轅轂輾轌轉轆轎轗轜'
  ],
  [
    'e780',
    '轢轣轤辜辟辣辭辯辷迚迥迢迪迯邇迴逅迹迺逑逕逡逍逞逖逋逧逶逵逹迸遏遐遑遒逎遉逾遖遘遞遨遯遶隨遲邂遽邁邀邊邉邏邨邯邱邵郢郤扈郛鄂鄒鄙鄲鄰酊酖酘酣酥酩酳酲醋醉醂醢醫醯醪醵醴醺釀釁釉釋釐釖釟釡釛釼釵釶鈞釿鈔鈬鈕鈑鉞鉗鉅鉉鉤鉈銕鈿鉋鉐銜銖銓銛鉚鋏銹銷鋩錏鋺鍄錮'
  ],
  [
    'e840',
    '錙錢錚錣錺錵錻鍜鍠鍼鍮鍖鎰鎬鎭鎔鎹鏖鏗鏨鏥鏘鏃鏝鏐鏈鏤鐚鐔鐓鐃鐇鐐鐶鐫鐵鐡鐺鑁鑒鑄鑛鑠鑢鑞鑪鈩鑰鑵鑷鑽鑚鑼鑾钁鑿閂閇閊閔閖閘閙'
  ],
  [
    'e880',
    '閠閨閧閭閼閻閹閾闊濶闃闍闌闕闔闖關闡闥闢阡阨阮阯陂陌陏陋陷陜陞陝陟陦陲陬隍隘隕隗險隧隱隲隰隴隶隸隹雎雋雉雍襍雜霍雕雹霄霆霈霓霎霑霏霖霙霤霪霰霹霽霾靄靆靈靂靉靜靠靤靦靨勒靫靱靹鞅靼鞁靺鞆鞋鞏鞐鞜鞨鞦鞣鞳鞴韃韆韈韋韜韭齏韲竟韶韵頏頌頸頤頡頷頽顆顏顋顫顯顰'
  ],
  [
    'e940',
    '顱顴顳颪颯颱颶飄飃飆飩飫餃餉餒餔餘餡餝餞餤餠餬餮餽餾饂饉饅饐饋饑饒饌饕馗馘馥馭馮馼駟駛駝駘駑駭駮駱駲駻駸騁騏騅駢騙騫騷驅驂驀驃'
  ],
  [
    'e980',
    '騾驕驍驛驗驟驢驥驤驩驫驪骭骰骼髀髏髑髓體髞髟髢髣髦髯髫髮髴髱髷髻鬆鬘鬚鬟鬢鬣鬥鬧鬨鬩鬪鬮鬯鬲魄魃魏魍魎魑魘魴鮓鮃鮑鮖鮗鮟鮠鮨鮴鯀鯊鮹鯆鯏鯑鯒鯣鯢鯤鯔鯡鰺鯲鯱鯰鰕鰔鰉鰓鰌鰆鰈鰒鰊鰄鰮鰛鰥鰤鰡鰰鱇鰲鱆鰾鱚鱠鱧鱶鱸鳧鳬鳰鴉鴈鳫鴃鴆鴪鴦鶯鴣鴟鵄鴕鴒鵁鴿鴾鵆鵈'
  ],
  [
    'ea40',
    '鵝鵞鵤鵑鵐鵙鵲鶉鶇鶫鵯鵺鶚鶤鶩鶲鷄鷁鶻鶸鶺鷆鷏鷂鷙鷓鷸鷦鷭鷯鷽鸚鸛鸞鹵鹹鹽麁麈麋麌麒麕麑麝麥麩麸麪麭靡黌黎黏黐黔黜點黝黠黥黨黯'
  ],
  [
    'ea80',
    '黴黶黷黹黻黼黽鼇鼈皷鼕鼡鼬鼾齊齒齔齣齟齠齡齦齧齬齪齷齲齶龕龜龠堯槇遙瑤凜熙'
  ],
  [
    'ed40',
    '纊褜鍈銈蓜俉炻昱棈鋹曻彅丨仡仼伀伃伹佖侒侊侚侔俍偀倢俿倞偆偰偂傔僴僘兊兤冝冾凬刕劜劦勀勛匀匇匤卲厓厲叝﨎咜咊咩哿喆坙坥垬埈埇﨏'
  ],
  [
    'ed80',
    '塚增墲夋奓奛奝奣妤妺孖寀甯寘寬尞岦岺峵崧嵓﨑嵂嵭嶸嶹巐弡弴彧德忞恝悅悊惞惕愠惲愑愷愰憘戓抦揵摠撝擎敎昀昕昻昉昮昞昤晥晗晙晴晳暙暠暲暿曺朎朗杦枻桒柀栁桄棏﨓楨﨔榘槢樰橫橆橳橾櫢櫤毖氿汜沆汯泚洄涇浯涖涬淏淸淲淼渹湜渧渼溿澈澵濵瀅瀇瀨炅炫焏焄煜煆煇凞燁燾犱'
  ],
  [
    'ee40',
    '犾猤猪獷玽珉珖珣珒琇珵琦琪琩琮瑢璉璟甁畯皂皜皞皛皦益睆劯砡硎硤硺礰礼神祥禔福禛竑竧靖竫箞精絈絜綷綠緖繒罇羡羽茁荢荿菇菶葈蒴蕓蕙'
  ],
  [
    'ee80',
    '蕫﨟薰蘒﨡蠇裵訒訷詹誧誾諟諸諶譓譿賰賴贒赶﨣軏﨤逸遧郞都鄕鄧釚釗釞釭釮釤釥鈆鈐鈊鈺鉀鈼鉎鉙鉑鈹鉧銧鉷鉸鋧鋗鋙鋐﨧鋕鋠鋓錥錡鋻﨨錞鋿錝錂鍰鍗鎤鏆鏞鏸鐱鑅鑈閒隆﨩隝隯霳霻靃靍靏靑靕顗顥飯飼餧館馞驎髙髜魵魲鮏鮱鮻鰀鵰鵫鶴鸙黑'
  ],
  ['eeef', 'ⅰ', 9, '￢￤＇＂'],
  ['f040', '', 62],
  ['f080', '', 124],
  ['f140', '', 62],
  ['f180', '', 124],
  ['f240', '', 62],
  ['f280', '', 124],
  ['f340', '', 62],
  ['f380', '', 124],
  ['f440', '', 62],
  ['f480', '', 124],
  ['f540', '', 62],
  ['f580', '', 124],
  ['f640', '', 62],
  ['f680', '', 124],
  ['f740', '', 62],
  ['f780', '', 124],
  ['f840', '', 62],
  ['f880', '', 124],
  ['f940', ''],
  [
    'fa40',
    'ⅰ',
    9,
    'Ⅰ',
    9,
    '￢￤＇＂㈱№℡∵纊褜鍈銈蓜俉炻昱棈鋹曻彅丨仡仼伀伃伹佖侒侊侚侔俍偀倢俿倞偆偰偂傔僴僘兊'
  ],
  [
    'fa80',
    '兤冝冾凬刕劜劦勀勛匀匇匤卲厓厲叝﨎咜咊咩哿喆坙坥垬埈埇﨏塚增墲夋奓奛奝奣妤妺孖寀甯寘寬尞岦岺峵崧嵓﨑嵂嵭嶸嶹巐弡弴彧德忞恝悅悊惞惕愠惲愑愷愰憘戓抦揵摠撝擎敎昀昕昻昉昮昞昤晥晗晙晴晳暙暠暲暿曺朎朗杦枻桒柀栁桄棏﨓楨﨔榘槢樰橫橆橳橾櫢櫤毖氿汜沆汯泚洄涇浯'
  ],
  [
    'fb40',
    '涖涬淏淸淲淼渹湜渧渼溿澈澵濵瀅瀇瀨炅炫焏焄煜煆煇凞燁燾犱犾猤猪獷玽珉珖珣珒琇珵琦琪琩琮瑢璉璟甁畯皂皜皞皛皦益睆劯砡硎硤硺礰礼神'
  ],
  [
    'fb80',
    '祥禔福禛竑竧靖竫箞精絈絜綷綠緖繒罇羡羽茁荢荿菇菶葈蒴蕓蕙蕫﨟薰蘒﨡蠇裵訒訷詹誧誾諟諸諶譓譿賰賴贒赶﨣軏﨤逸遧郞都鄕鄧釚釗釞釭釮釤釥鈆鈐鈊鈺鉀鈼鉎鉙鉑鈹鉧銧鉷鉸鋧鋗鋙鋐﨧鋕鋠鋓錥錡鋻﨨錞鋿錝錂鍰鍗鎤鏆鏞鏸鐱鑅鑈閒隆﨩隝隯霳霻靃靍靏靑靕顗顥飯飼餧館馞驎髙'
  ],
  ['fc40', '髜魵魲鮏鮱鮻鰀鵰鵫鶴鸙黑']
]

const require$$1 = [
  ['0', '\u0000', 127],
  ['8ea1', '｡', 62],
  [
    'a1a1',
    '　、。，．・：；？！゛゜´｀¨＾￣＿ヽヾゝゞ〃仝々〆〇ー―‐／＼～∥｜…‥‘’“”（）〔〕［］｛｝〈',
    9,
    '＋－±×÷＝≠＜＞≦≧∞∴♂♀°′″℃￥＄￠￡％＃＆＊＠§☆★○●◎◇'
  ],
  ['a2a1', '◆□■△▲▽▼※〒→←↑↓〓'],
  ['a2ba', '∈∋⊆⊇⊂⊃∪∩'],
  ['a2ca', '∧∨￢⇒⇔∀∃'],
  ['a2dc', '∠⊥⌒∂∇≡≒≪≫√∽∝∵∫∬'],
  ['a2f2', 'Å‰♯♭♪†‡¶'],
  ['a2fe', '◯'],
  ['a3b0', '０', 9],
  ['a3c1', 'Ａ', 25],
  ['a3e1', 'ａ', 25],
  ['a4a1', 'ぁ', 82],
  ['a5a1', 'ァ', 85],
  ['a6a1', 'Α', 16, 'Σ', 6],
  ['a6c1', 'α', 16, 'σ', 6],
  ['a7a1', 'А', 5, 'ЁЖ', 25],
  ['a7d1', 'а', 5, 'ёж', 25],
  ['a8a1', '─│┌┐┘└├┬┤┴┼━┃┏┓┛┗┣┳┫┻╋┠┯┨┷┿┝┰┥┸╂'],
  ['ada1', '①', 19, 'Ⅰ', 9],
  ['adc0', '㍉㌔㌢㍍㌘㌧㌃㌶㍑㍗㌍㌦㌣㌫㍊㌻㎜㎝㎞㎎㎏㏄㎡'],
  ['addf', '㍻〝〟№㏍℡㊤', 4, '㈱㈲㈹㍾㍽㍼≒≡∫∮∑√⊥∠∟⊿∵∩∪'],
  [
    'b0a1',
    '亜唖娃阿哀愛挨姶逢葵茜穐悪握渥旭葦芦鯵梓圧斡扱宛姐虻飴絢綾鮎或粟袷安庵按暗案闇鞍杏以伊位依偉囲夷委威尉惟意慰易椅為畏異移維緯胃萎衣謂違遺医井亥域育郁磯一壱溢逸稲茨芋鰯允印咽員因姻引飲淫胤蔭'
  ],
  [
    'b1a1',
    '院陰隠韻吋右宇烏羽迂雨卯鵜窺丑碓臼渦嘘唄欝蔚鰻姥厩浦瓜閏噂云運雲荏餌叡営嬰影映曳栄永泳洩瑛盈穎頴英衛詠鋭液疫益駅悦謁越閲榎厭円園堰奄宴延怨掩援沿演炎焔煙燕猿縁艶苑薗遠鉛鴛塩於汚甥凹央奥往応'
  ],
  [
    'b2a1',
    '押旺横欧殴王翁襖鴬鴎黄岡沖荻億屋憶臆桶牡乙俺卸恩温穏音下化仮何伽価佳加可嘉夏嫁家寡科暇果架歌河火珂禍禾稼箇花苛茄荷華菓蝦課嘩貨迦過霞蚊俄峨我牙画臥芽蛾賀雅餓駕介会解回塊壊廻快怪悔恢懐戒拐改'
  ],
  [
    'b3a1',
    '魁晦械海灰界皆絵芥蟹開階貝凱劾外咳害崖慨概涯碍蓋街該鎧骸浬馨蛙垣柿蛎鈎劃嚇各廓拡撹格核殻獲確穫覚角赫較郭閣隔革学岳楽額顎掛笠樫橿梶鰍潟割喝恰括活渇滑葛褐轄且鰹叶椛樺鞄株兜竃蒲釜鎌噛鴨栢茅萱'
  ],
  [
    'b4a1',
    '粥刈苅瓦乾侃冠寒刊勘勧巻喚堪姦完官寛干幹患感慣憾換敢柑桓棺款歓汗漢澗潅環甘監看竿管簡緩缶翰肝艦莞観諌貫還鑑間閑関陥韓館舘丸含岸巌玩癌眼岩翫贋雁頑顔願企伎危喜器基奇嬉寄岐希幾忌揮机旗既期棋棄'
  ],
  [
    'b5a1',
    '機帰毅気汽畿祈季稀紀徽規記貴起軌輝飢騎鬼亀偽儀妓宜戯技擬欺犠疑祇義蟻誼議掬菊鞠吉吃喫桔橘詰砧杵黍却客脚虐逆丘久仇休及吸宮弓急救朽求汲泣灸球究窮笈級糾給旧牛去居巨拒拠挙渠虚許距鋸漁禦魚亨享京'
  ],
  [
    'b6a1',
    '供侠僑兇競共凶協匡卿叫喬境峡強彊怯恐恭挟教橋況狂狭矯胸脅興蕎郷鏡響饗驚仰凝尭暁業局曲極玉桐粁僅勤均巾錦斤欣欽琴禁禽筋緊芹菌衿襟謹近金吟銀九倶句区狗玖矩苦躯駆駈駒具愚虞喰空偶寓遇隅串櫛釧屑屈'
  ],
  [
    'b7a1',
    '掘窟沓靴轡窪熊隈粂栗繰桑鍬勲君薫訓群軍郡卦袈祁係傾刑兄啓圭珪型契形径恵慶慧憩掲携敬景桂渓畦稽系経継繋罫茎荊蛍計詣警軽頚鶏芸迎鯨劇戟撃激隙桁傑欠決潔穴結血訣月件倹倦健兼券剣喧圏堅嫌建憲懸拳捲'
  ],
  [
    'b8a1',
    '検権牽犬献研硯絹県肩見謙賢軒遣鍵険顕験鹸元原厳幻弦減源玄現絃舷言諺限乎個古呼固姑孤己庫弧戸故枯湖狐糊袴股胡菰虎誇跨鈷雇顧鼓五互伍午呉吾娯後御悟梧檎瑚碁語誤護醐乞鯉交佼侯候倖光公功効勾厚口向'
  ],
  [
    'b9a1',
    '后喉坑垢好孔孝宏工巧巷幸広庚康弘恒慌抗拘控攻昂晃更杭校梗構江洪浩港溝甲皇硬稿糠紅紘絞綱耕考肯肱腔膏航荒行衡講貢購郊酵鉱砿鋼閤降項香高鴻剛劫号合壕拷濠豪轟麹克刻告国穀酷鵠黒獄漉腰甑忽惚骨狛込'
  ],
  [
    'baa1',
    '此頃今困坤墾婚恨懇昏昆根梱混痕紺艮魂些佐叉唆嵯左差査沙瑳砂詐鎖裟坐座挫債催再最哉塞妻宰彩才採栽歳済災采犀砕砦祭斎細菜裁載際剤在材罪財冴坂阪堺榊肴咲崎埼碕鷺作削咋搾昨朔柵窄策索錯桜鮭笹匙冊刷'
  ],
  [
    'bba1',
    '察拶撮擦札殺薩雑皐鯖捌錆鮫皿晒三傘参山惨撒散桟燦珊産算纂蚕讃賛酸餐斬暫残仕仔伺使刺司史嗣四士始姉姿子屍市師志思指支孜斯施旨枝止死氏獅祉私糸紙紫肢脂至視詞詩試誌諮資賜雌飼歯事似侍児字寺慈持時'
  ],
  [
    'bca1',
    '次滋治爾璽痔磁示而耳自蒔辞汐鹿式識鴫竺軸宍雫七叱執失嫉室悉湿漆疾質実蔀篠偲柴芝屡蕊縞舎写射捨赦斜煮社紗者謝車遮蛇邪借勺尺杓灼爵酌釈錫若寂弱惹主取守手朱殊狩珠種腫趣酒首儒受呪寿授樹綬需囚収周'
  ],
  [
    'bda1',
    '宗就州修愁拾洲秀秋終繍習臭舟蒐衆襲讐蹴輯週酋酬集醜什住充十従戎柔汁渋獣縦重銃叔夙宿淑祝縮粛塾熟出術述俊峻春瞬竣舜駿准循旬楯殉淳準潤盾純巡遵醇順処初所暑曙渚庶緒署書薯藷諸助叙女序徐恕鋤除傷償'
  ],
  [
    'bea1',
    '勝匠升召哨商唱嘗奨妾娼宵将小少尚庄床廠彰承抄招掌捷昇昌昭晶松梢樟樵沼消渉湘焼焦照症省硝礁祥称章笑粧紹肖菖蒋蕉衝裳訟証詔詳象賞醤鉦鍾鐘障鞘上丈丞乗冗剰城場壌嬢常情擾条杖浄状畳穣蒸譲醸錠嘱埴飾'
  ],
  [
    'bfa1',
    '拭植殖燭織職色触食蝕辱尻伸信侵唇娠寝審心慎振新晋森榛浸深申疹真神秦紳臣芯薪親診身辛進針震人仁刃塵壬尋甚尽腎訊迅陣靭笥諏須酢図厨逗吹垂帥推水炊睡粋翠衰遂酔錐錘随瑞髄崇嵩数枢趨雛据杉椙菅頗雀裾'
  ],
  [
    'c0a1',
    '澄摺寸世瀬畝是凄制勢姓征性成政整星晴棲栖正清牲生盛精聖声製西誠誓請逝醒青静斉税脆隻席惜戚斥昔析石積籍績脊責赤跡蹟碩切拙接摂折設窃節説雪絶舌蝉仙先千占宣専尖川戦扇撰栓栴泉浅洗染潜煎煽旋穿箭線'
  ],
  [
    'c1a1',
    '繊羨腺舛船薦詮賎践選遷銭銑閃鮮前善漸然全禅繕膳糎噌塑岨措曾曽楚狙疏疎礎祖租粗素組蘇訴阻遡鼠僧創双叢倉喪壮奏爽宋層匝惣想捜掃挿掻操早曹巣槍槽漕燥争痩相窓糟総綜聡草荘葬蒼藻装走送遭鎗霜騒像増憎'
  ],
  [
    'c2a1',
    '臓蔵贈造促側則即息捉束測足速俗属賊族続卒袖其揃存孫尊損村遜他多太汰詑唾堕妥惰打柁舵楕陀駄騨体堆対耐岱帯待怠態戴替泰滞胎腿苔袋貸退逮隊黛鯛代台大第醍題鷹滝瀧卓啄宅托択拓沢濯琢託鐸濁諾茸凧蛸只'
  ],
  [
    'c3a1',
    '叩但達辰奪脱巽竪辿棚谷狸鱈樽誰丹単嘆坦担探旦歎淡湛炭短端箪綻耽胆蛋誕鍛団壇弾断暖檀段男談値知地弛恥智池痴稚置致蜘遅馳築畜竹筑蓄逐秩窒茶嫡着中仲宙忠抽昼柱注虫衷註酎鋳駐樗瀦猪苧著貯丁兆凋喋寵'
  ],
  [
    'c4a1',
    '帖帳庁弔張彫徴懲挑暢朝潮牒町眺聴脹腸蝶調諜超跳銚長頂鳥勅捗直朕沈珍賃鎮陳津墜椎槌追鎚痛通塚栂掴槻佃漬柘辻蔦綴鍔椿潰坪壷嬬紬爪吊釣鶴亭低停偵剃貞呈堤定帝底庭廷弟悌抵挺提梯汀碇禎程締艇訂諦蹄逓'
  ],
  [
    'c5a1',
    '邸鄭釘鼎泥摘擢敵滴的笛適鏑溺哲徹撤轍迭鉄典填天展店添纏甜貼転顛点伝殿澱田電兎吐堵塗妬屠徒斗杜渡登菟賭途都鍍砥砺努度土奴怒倒党冬凍刀唐塔塘套宕島嶋悼投搭東桃梼棟盗淘湯涛灯燈当痘祷等答筒糖統到'
  ],
  [
    'c6a1',
    '董蕩藤討謄豆踏逃透鐙陶頭騰闘働動同堂導憧撞洞瞳童胴萄道銅峠鴇匿得徳涜特督禿篤毒独読栃橡凸突椴届鳶苫寅酉瀞噸屯惇敦沌豚遁頓呑曇鈍奈那内乍凪薙謎灘捺鍋楢馴縄畷南楠軟難汝二尼弐迩匂賑肉虹廿日乳入'
  ],
  [
    'c7a1',
    '如尿韮任妊忍認濡禰祢寧葱猫熱年念捻撚燃粘乃廼之埜嚢悩濃納能脳膿農覗蚤巴把播覇杷波派琶破婆罵芭馬俳廃拝排敗杯盃牌背肺輩配倍培媒梅楳煤狽買売賠陪這蝿秤矧萩伯剥博拍柏泊白箔粕舶薄迫曝漠爆縛莫駁麦'
  ],
  [
    'c8a1',
    '函箱硲箸肇筈櫨幡肌畑畠八鉢溌発醗髪伐罰抜筏閥鳩噺塙蛤隼伴判半反叛帆搬斑板氾汎版犯班畔繁般藩販範釆煩頒飯挽晩番盤磐蕃蛮匪卑否妃庇彼悲扉批披斐比泌疲皮碑秘緋罷肥被誹費避非飛樋簸備尾微枇毘琵眉美'
  ],
  [
    'c9a1',
    '鼻柊稗匹疋髭彦膝菱肘弼必畢筆逼桧姫媛紐百謬俵彪標氷漂瓢票表評豹廟描病秒苗錨鋲蒜蛭鰭品彬斌浜瀕貧賓頻敏瓶不付埠夫婦富冨布府怖扶敷斧普浮父符腐膚芙譜負賦赴阜附侮撫武舞葡蕪部封楓風葺蕗伏副復幅服'
  ],
  [
    'caa1',
    '福腹複覆淵弗払沸仏物鮒分吻噴墳憤扮焚奮粉糞紛雰文聞丙併兵塀幣平弊柄並蔽閉陛米頁僻壁癖碧別瞥蔑箆偏変片篇編辺返遍便勉娩弁鞭保舗鋪圃捕歩甫補輔穂募墓慕戊暮母簿菩倣俸包呆報奉宝峰峯崩庖抱捧放方朋'
  ],
  [
    'cba1',
    '法泡烹砲縫胞芳萌蓬蜂褒訪豊邦鋒飽鳳鵬乏亡傍剖坊妨帽忘忙房暴望某棒冒紡肪膨謀貌貿鉾防吠頬北僕卜墨撲朴牧睦穆釦勃没殆堀幌奔本翻凡盆摩磨魔麻埋妹昧枚毎哩槙幕膜枕鮪柾鱒桝亦俣又抹末沫迄侭繭麿万慢満'
  ],
  [
    'cca1',
    '漫蔓味未魅巳箕岬密蜜湊蓑稔脈妙粍民眠務夢無牟矛霧鵡椋婿娘冥名命明盟迷銘鳴姪牝滅免棉綿緬面麺摸模茂妄孟毛猛盲網耗蒙儲木黙目杢勿餅尤戻籾貰問悶紋門匁也冶夜爺耶野弥矢厄役約薬訳躍靖柳薮鑓愉愈油癒'
  ],
  [
    'cda1',
    '諭輸唯佑優勇友宥幽悠憂揖有柚湧涌猶猷由祐裕誘遊邑郵雄融夕予余与誉輿預傭幼妖容庸揚揺擁曜楊様洋溶熔用窯羊耀葉蓉要謡踊遥陽養慾抑欲沃浴翌翼淀羅螺裸来莱頼雷洛絡落酪乱卵嵐欄濫藍蘭覧利吏履李梨理璃'
  ],
  [
    'cea1',
    '痢裏裡里離陸律率立葎掠略劉流溜琉留硫粒隆竜龍侶慮旅虜了亮僚両凌寮料梁涼猟療瞭稜糧良諒遼量陵領力緑倫厘林淋燐琳臨輪隣鱗麟瑠塁涙累類令伶例冷励嶺怜玲礼苓鈴隷零霊麗齢暦歴列劣烈裂廉恋憐漣煉簾練聯'
  ],
  [
    'cfa1',
    '蓮連錬呂魯櫓炉賂路露労婁廊弄朗楼榔浪漏牢狼篭老聾蝋郎六麓禄肋録論倭和話歪賄脇惑枠鷲亙亘鰐詫藁蕨椀湾碗腕'
  ],
  [
    'd0a1',
    '弌丐丕个丱丶丼丿乂乖乘亂亅豫亊舒弍于亞亟亠亢亰亳亶从仍仄仆仂仗仞仭仟价伉佚估佛佝佗佇佶侈侏侘佻佩佰侑佯來侖儘俔俟俎俘俛俑俚俐俤俥倚倨倔倪倥倅伜俶倡倩倬俾俯們倆偃假會偕偐偈做偖偬偸傀傚傅傴傲'
  ],
  [
    'd1a1',
    '僉僊傳僂僖僞僥僭僣僮價僵儉儁儂儖儕儔儚儡儺儷儼儻儿兀兒兌兔兢竸兩兪兮冀冂囘册冉冏冑冓冕冖冤冦冢冩冪冫决冱冲冰况冽凅凉凛几處凩凭凰凵凾刄刋刔刎刧刪刮刳刹剏剄剋剌剞剔剪剴剩剳剿剽劍劔劒剱劈劑辨'
  ],
  [
    'd2a1',
    '辧劬劭劼劵勁勍勗勞勣勦飭勠勳勵勸勹匆匈甸匍匐匏匕匚匣匯匱匳匸區卆卅丗卉卍凖卞卩卮夘卻卷厂厖厠厦厥厮厰厶參簒雙叟曼燮叮叨叭叺吁吽呀听吭吼吮吶吩吝呎咏呵咎呟呱呷呰咒呻咀呶咄咐咆哇咢咸咥咬哄哈咨'
  ],
  [
    'd3a1',
    '咫哂咤咾咼哘哥哦唏唔哽哮哭哺哢唹啀啣啌售啜啅啖啗唸唳啝喙喀咯喊喟啻啾喘喞單啼喃喩喇喨嗚嗅嗟嗄嗜嗤嗔嘔嗷嘖嗾嗽嘛嗹噎噐營嘴嘶嘲嘸噫噤嘯噬噪嚆嚀嚊嚠嚔嚏嚥嚮嚶嚴囂嚼囁囃囀囈囎囑囓囗囮囹圀囿圄圉'
  ],
  [
    'd4a1',
    '圈國圍圓團圖嗇圜圦圷圸坎圻址坏坩埀垈坡坿垉垓垠垳垤垪垰埃埆埔埒埓堊埖埣堋堙堝塲堡塢塋塰毀塒堽塹墅墹墟墫墺壞墻墸墮壅壓壑壗壙壘壥壜壤壟壯壺壹壻壼壽夂夊夐夛梦夥夬夭夲夸夾竒奕奐奎奚奘奢奠奧奬奩'
  ],
  [
    'd5a1',
    '奸妁妝佞侫妣妲姆姨姜妍姙姚娥娟娑娜娉娚婀婬婉娵娶婢婪媚媼媾嫋嫂媽嫣嫗嫦嫩嫖嫺嫻嬌嬋嬖嬲嫐嬪嬶嬾孃孅孀孑孕孚孛孥孩孰孳孵學斈孺宀它宦宸寃寇寉寔寐寤實寢寞寥寫寰寶寳尅將專對尓尠尢尨尸尹屁屆屎屓'
  ],
  [
    'd6a1',
    '屐屏孱屬屮乢屶屹岌岑岔妛岫岻岶岼岷峅岾峇峙峩峽峺峭嶌峪崋崕崗嵜崟崛崑崔崢崚崙崘嵌嵒嵎嵋嵬嵳嵶嶇嶄嶂嶢嶝嶬嶮嶽嶐嶷嶼巉巍巓巒巖巛巫已巵帋帚帙帑帛帶帷幄幃幀幎幗幔幟幢幤幇幵并幺麼广庠廁廂廈廐廏'
  ],
  [
    'd7a1',
    '廖廣廝廚廛廢廡廨廩廬廱廳廰廴廸廾弃弉彝彜弋弑弖弩弭弸彁彈彌彎弯彑彖彗彙彡彭彳彷徃徂彿徊很徑徇從徙徘徠徨徭徼忖忻忤忸忱忝悳忿怡恠怙怐怩怎怱怛怕怫怦怏怺恚恁恪恷恟恊恆恍恣恃恤恂恬恫恙悁悍惧悃悚'
  ],
  [
    'd8a1',
    '悄悛悖悗悒悧悋惡悸惠惓悴忰悽惆悵惘慍愕愆惶惷愀惴惺愃愡惻惱愍愎慇愾愨愧慊愿愼愬愴愽慂慄慳慷慘慙慚慫慴慯慥慱慟慝慓慵憙憖憇憬憔憚憊憑憫憮懌懊應懷懈懃懆憺懋罹懍懦懣懶懺懴懿懽懼懾戀戈戉戍戌戔戛'
  ],
  [
    'd9a1',
    '戞戡截戮戰戲戳扁扎扞扣扛扠扨扼抂抉找抒抓抖拔抃抔拗拑抻拏拿拆擔拈拜拌拊拂拇抛拉挌拮拱挧挂挈拯拵捐挾捍搜捏掖掎掀掫捶掣掏掉掟掵捫捩掾揩揀揆揣揉插揶揄搖搴搆搓搦搶攝搗搨搏摧摯摶摎攪撕撓撥撩撈撼'
  ],
  [
    'daa1',
    '據擒擅擇撻擘擂擱擧舉擠擡抬擣擯攬擶擴擲擺攀擽攘攜攅攤攣攫攴攵攷收攸畋效敖敕敍敘敞敝敲數斂斃變斛斟斫斷旃旆旁旄旌旒旛旙无旡旱杲昊昃旻杳昵昶昴昜晏晄晉晁晞晝晤晧晨晟晢晰暃暈暎暉暄暘暝曁暹曉暾暼'
  ],
  [
    'dba1',
    '曄暸曖曚曠昿曦曩曰曵曷朏朖朞朦朧霸朮朿朶杁朸朷杆杞杠杙杣杤枉杰枩杼杪枌枋枦枡枅枷柯枴柬枳柩枸柤柞柝柢柮枹柎柆柧檜栞框栩桀桍栲桎梳栫桙档桷桿梟梏梭梔條梛梃檮梹桴梵梠梺椏梍桾椁棊椈棘椢椦棡椌棍'
  ],
  [
    'dca1',
    '棔棧棕椶椒椄棗棣椥棹棠棯椨椪椚椣椡棆楹楷楜楸楫楔楾楮椹楴椽楙椰楡楞楝榁楪榲榮槐榿槁槓榾槎寨槊槝榻槃榧樮榑榠榜榕榴槞槨樂樛槿權槹槲槧樅榱樞槭樔槫樊樒櫁樣樓橄樌橲樶橸橇橢橙橦橈樸樢檐檍檠檄檢檣'
  ],
  [
    'dda1',
    '檗蘗檻櫃櫂檸檳檬櫞櫑櫟檪櫚櫪櫻欅蘖櫺欒欖鬱欟欸欷盜欹飮歇歃歉歐歙歔歛歟歡歸歹歿殀殄殃殍殘殕殞殤殪殫殯殲殱殳殷殼毆毋毓毟毬毫毳毯麾氈氓气氛氤氣汞汕汢汪沂沍沚沁沛汾汨汳沒沐泄泱泓沽泗泅泝沮沱沾'
  ],
  [
    'dea1',
    '沺泛泯泙泪洟衍洶洫洽洸洙洵洳洒洌浣涓浤浚浹浙涎涕濤涅淹渕渊涵淇淦涸淆淬淞淌淨淒淅淺淙淤淕淪淮渭湮渮渙湲湟渾渣湫渫湶湍渟湃渺湎渤滿渝游溂溪溘滉溷滓溽溯滄溲滔滕溏溥滂溟潁漑灌滬滸滾漿滲漱滯漲滌'
  ],
  [
    'dfa1',
    '漾漓滷澆潺潸澁澀潯潛濳潭澂潼潘澎澑濂潦澳澣澡澤澹濆澪濟濕濬濔濘濱濮濛瀉瀋濺瀑瀁瀏濾瀛瀚潴瀝瀘瀟瀰瀾瀲灑灣炙炒炯烱炬炸炳炮烟烋烝烙焉烽焜焙煥煕熈煦煢煌煖煬熏燻熄熕熨熬燗熹熾燒燉燔燎燠燬燧燵燼'
  ],
  [
    'e0a1',
    '燹燿爍爐爛爨爭爬爰爲爻爼爿牀牆牋牘牴牾犂犁犇犒犖犢犧犹犲狃狆狄狎狒狢狠狡狹狷倏猗猊猜猖猝猴猯猩猥猾獎獏默獗獪獨獰獸獵獻獺珈玳珎玻珀珥珮珞璢琅瑯琥珸琲琺瑕琿瑟瑙瑁瑜瑩瑰瑣瑪瑶瑾璋璞璧瓊瓏瓔珱'
  ],
  [
    'e1a1',
    '瓠瓣瓧瓩瓮瓲瓰瓱瓸瓷甄甃甅甌甎甍甕甓甞甦甬甼畄畍畊畉畛畆畚畩畤畧畫畭畸當疆疇畴疊疉疂疔疚疝疥疣痂疳痃疵疽疸疼疱痍痊痒痙痣痞痾痿痼瘁痰痺痲痳瘋瘍瘉瘟瘧瘠瘡瘢瘤瘴瘰瘻癇癈癆癜癘癡癢癨癩癪癧癬癰'
  ],
  [
    'e2a1',
    '癲癶癸發皀皃皈皋皎皖皓皙皚皰皴皸皹皺盂盍盖盒盞盡盥盧盪蘯盻眈眇眄眩眤眞眥眦眛眷眸睇睚睨睫睛睥睿睾睹瞎瞋瞑瞠瞞瞰瞶瞹瞿瞼瞽瞻矇矍矗矚矜矣矮矼砌砒礦砠礪硅碎硴碆硼碚碌碣碵碪碯磑磆磋磔碾碼磅磊磬'
  ],
  [
    'e3a1',
    '磧磚磽磴礇礒礑礙礬礫祀祠祗祟祚祕祓祺祿禊禝禧齋禪禮禳禹禺秉秕秧秬秡秣稈稍稘稙稠稟禀稱稻稾稷穃穗穉穡穢穩龝穰穹穽窈窗窕窘窖窩竈窰窶竅竄窿邃竇竊竍竏竕竓站竚竝竡竢竦竭竰笂笏笊笆笳笘笙笞笵笨笶筐'
  ],
  [
    'e4a1',
    '筺笄筍笋筌筅筵筥筴筧筰筱筬筮箝箘箟箍箜箚箋箒箏筝箙篋篁篌篏箴篆篝篩簑簔篦篥籠簀簇簓篳篷簗簍篶簣簧簪簟簷簫簽籌籃籔籏籀籐籘籟籤籖籥籬籵粃粐粤粭粢粫粡粨粳粲粱粮粹粽糀糅糂糘糒糜糢鬻糯糲糴糶糺紆'
  ],
  [
    'e5a1',
    '紂紜紕紊絅絋紮紲紿紵絆絳絖絎絲絨絮絏絣經綉絛綏絽綛綺綮綣綵緇綽綫總綢綯緜綸綟綰緘緝緤緞緻緲緡縅縊縣縡縒縱縟縉縋縢繆繦縻縵縹繃縷縲縺繧繝繖繞繙繚繹繪繩繼繻纃緕繽辮繿纈纉續纒纐纓纔纖纎纛纜缸缺'
  ],
  [
    'e6a1',
    '罅罌罍罎罐网罕罔罘罟罠罨罩罧罸羂羆羃羈羇羌羔羞羝羚羣羯羲羹羮羶羸譱翅翆翊翕翔翡翦翩翳翹飜耆耄耋耒耘耙耜耡耨耿耻聊聆聒聘聚聟聢聨聳聲聰聶聹聽聿肄肆肅肛肓肚肭冐肬胛胥胙胝胄胚胖脉胯胱脛脩脣脯腋'
  ],
  [
    'e7a1',
    '隋腆脾腓腑胼腱腮腥腦腴膃膈膊膀膂膠膕膤膣腟膓膩膰膵膾膸膽臀臂膺臉臍臑臙臘臈臚臟臠臧臺臻臾舁舂舅與舊舍舐舖舩舫舸舳艀艙艘艝艚艟艤艢艨艪艫舮艱艷艸艾芍芒芫芟芻芬苡苣苟苒苴苳苺莓范苻苹苞茆苜茉苙'
  ],
  [
    'e8a1',
    '茵茴茖茲茱荀茹荐荅茯茫茗茘莅莚莪莟莢莖茣莎莇莊荼莵荳荵莠莉莨菴萓菫菎菽萃菘萋菁菷萇菠菲萍萢萠莽萸蔆菻葭萪萼蕚蒄葷葫蒭葮蒂葩葆萬葯葹萵蓊葢蒹蒿蒟蓙蓍蒻蓚蓐蓁蓆蓖蒡蔡蓿蓴蔗蔘蔬蔟蔕蔔蓼蕀蕣蕘蕈'
  ],
  [
    'e9a1',
    '蕁蘂蕋蕕薀薤薈薑薊薨蕭薔薛藪薇薜蕷蕾薐藉薺藏薹藐藕藝藥藜藹蘊蘓蘋藾藺蘆蘢蘚蘰蘿虍乕虔號虧虱蚓蚣蚩蚪蚋蚌蚶蚯蛄蛆蚰蛉蠣蚫蛔蛞蛩蛬蛟蛛蛯蜒蜆蜈蜀蜃蛻蜑蜉蜍蛹蜊蜴蜿蜷蜻蜥蜩蜚蝠蝟蝸蝌蝎蝴蝗蝨蝮蝙'
  ],
  [
    'eaa1',
    '蝓蝣蝪蠅螢螟螂螯蟋螽蟀蟐雖螫蟄螳蟇蟆螻蟯蟲蟠蠏蠍蟾蟶蟷蠎蟒蠑蠖蠕蠢蠡蠱蠶蠹蠧蠻衄衂衒衙衞衢衫袁衾袞衵衽袵衲袂袗袒袮袙袢袍袤袰袿袱裃裄裔裘裙裝裹褂裼裴裨裲褄褌褊褓襃褞褥褪褫襁襄褻褶褸襌褝襠襞'
  ],
  [
    'eba1',
    '襦襤襭襪襯襴襷襾覃覈覊覓覘覡覩覦覬覯覲覺覽覿觀觚觜觝觧觴觸訃訖訐訌訛訝訥訶詁詛詒詆詈詼詭詬詢誅誂誄誨誡誑誥誦誚誣諄諍諂諚諫諳諧諤諱謔諠諢諷諞諛謌謇謚諡謖謐謗謠謳鞫謦謫謾謨譁譌譏譎證譖譛譚譫'
  ],
  [
    'eca1',
    '譟譬譯譴譽讀讌讎讒讓讖讙讚谺豁谿豈豌豎豐豕豢豬豸豺貂貉貅貊貍貎貔豼貘戝貭貪貽貲貳貮貶賈賁賤賣賚賽賺賻贄贅贊贇贏贍贐齎贓賍贔贖赧赭赱赳趁趙跂趾趺跏跚跖跌跛跋跪跫跟跣跼踈踉跿踝踞踐踟蹂踵踰踴蹊'
  ],
  [
    'eda1',
    '蹇蹉蹌蹐蹈蹙蹤蹠踪蹣蹕蹶蹲蹼躁躇躅躄躋躊躓躑躔躙躪躡躬躰軆躱躾軅軈軋軛軣軼軻軫軾輊輅輕輒輙輓輜輟輛輌輦輳輻輹轅轂輾轌轉轆轎轗轜轢轣轤辜辟辣辭辯辷迚迥迢迪迯邇迴逅迹迺逑逕逡逍逞逖逋逧逶逵逹迸'
  ],
  [
    'eea1',
    '遏遐遑遒逎遉逾遖遘遞遨遯遶隨遲邂遽邁邀邊邉邏邨邯邱邵郢郤扈郛鄂鄒鄙鄲鄰酊酖酘酣酥酩酳酲醋醉醂醢醫醯醪醵醴醺釀釁釉釋釐釖釟釡釛釼釵釶鈞釿鈔鈬鈕鈑鉞鉗鉅鉉鉤鉈銕鈿鉋鉐銜銖銓銛鉚鋏銹銷鋩錏鋺鍄錮'
  ],
  [
    'efa1',
    '錙錢錚錣錺錵錻鍜鍠鍼鍮鍖鎰鎬鎭鎔鎹鏖鏗鏨鏥鏘鏃鏝鏐鏈鏤鐚鐔鐓鐃鐇鐐鐶鐫鐵鐡鐺鑁鑒鑄鑛鑠鑢鑞鑪鈩鑰鑵鑷鑽鑚鑼鑾钁鑿閂閇閊閔閖閘閙閠閨閧閭閼閻閹閾闊濶闃闍闌闕闔闖關闡闥闢阡阨阮阯陂陌陏陋陷陜陞'
  ],
  [
    'f0a1',
    '陝陟陦陲陬隍隘隕隗險隧隱隲隰隴隶隸隹雎雋雉雍襍雜霍雕雹霄霆霈霓霎霑霏霖霙霤霪霰霹霽霾靄靆靈靂靉靜靠靤靦靨勒靫靱靹鞅靼鞁靺鞆鞋鞏鞐鞜鞨鞦鞣鞳鞴韃韆韈韋韜韭齏韲竟韶韵頏頌頸頤頡頷頽顆顏顋顫顯顰'
  ],
  [
    'f1a1',
    '顱顴顳颪颯颱颶飄飃飆飩飫餃餉餒餔餘餡餝餞餤餠餬餮餽餾饂饉饅饐饋饑饒饌饕馗馘馥馭馮馼駟駛駝駘駑駭駮駱駲駻駸騁騏騅駢騙騫騷驅驂驀驃騾驕驍驛驗驟驢驥驤驩驫驪骭骰骼髀髏髑髓體髞髟髢髣髦髯髫髮髴髱髷'
  ],
  [
    'f2a1',
    '髻鬆鬘鬚鬟鬢鬣鬥鬧鬨鬩鬪鬮鬯鬲魄魃魏魍魎魑魘魴鮓鮃鮑鮖鮗鮟鮠鮨鮴鯀鯊鮹鯆鯏鯑鯒鯣鯢鯤鯔鯡鰺鯲鯱鯰鰕鰔鰉鰓鰌鰆鰈鰒鰊鰄鰮鰛鰥鰤鰡鰰鱇鰲鱆鰾鱚鱠鱧鱶鱸鳧鳬鳰鴉鴈鳫鴃鴆鴪鴦鶯鴣鴟鵄鴕鴒鵁鴿鴾鵆鵈'
  ],
  [
    'f3a1',
    '鵝鵞鵤鵑鵐鵙鵲鶉鶇鶫鵯鵺鶚鶤鶩鶲鷄鷁鶻鶸鶺鷆鷏鷂鷙鷓鷸鷦鷭鷯鷽鸚鸛鸞鹵鹹鹽麁麈麋麌麒麕麑麝麥麩麸麪麭靡黌黎黏黐黔黜點黝黠黥黨黯黴黶黷黹黻黼黽鼇鼈皷鼕鼡鼬鼾齊齒齔齣齟齠齡齦齧齬齪齷齲齶龕龜龠'
  ],
  ['f4a1', '堯槇遙瑤凜熙'],
  [
    'f9a1',
    '纊褜鍈銈蓜俉炻昱棈鋹曻彅丨仡仼伀伃伹佖侒侊侚侔俍偀倢俿倞偆偰偂傔僴僘兊兤冝冾凬刕劜劦勀勛匀匇匤卲厓厲叝﨎咜咊咩哿喆坙坥垬埈埇﨏塚增墲夋奓奛奝奣妤妺孖寀甯寘寬尞岦岺峵崧嵓﨑嵂嵭嶸嶹巐弡弴彧德'
  ],
  [
    'faa1',
    '忞恝悅悊惞惕愠惲愑愷愰憘戓抦揵摠撝擎敎昀昕昻昉昮昞昤晥晗晙晴晳暙暠暲暿曺朎朗杦枻桒柀栁桄棏﨓楨﨔榘槢樰橫橆橳橾櫢櫤毖氿汜沆汯泚洄涇浯涖涬淏淸淲淼渹湜渧渼溿澈澵濵瀅瀇瀨炅炫焏焄煜煆煇凞燁燾犱'
  ],
  [
    'fba1',
    '犾猤猪獷玽珉珖珣珒琇珵琦琪琩琮瑢璉璟甁畯皂皜皞皛皦益睆劯砡硎硤硺礰礼神祥禔福禛竑竧靖竫箞精絈絜綷綠緖繒罇羡羽茁荢荿菇菶葈蒴蕓蕙蕫﨟薰蘒﨡蠇裵訒訷詹誧誾諟諸諶譓譿賰賴贒赶﨣軏﨤逸遧郞都鄕鄧釚'
  ],
  [
    'fca1',
    '釗釞釭釮釤釥鈆鈐鈊鈺鉀鈼鉎鉙鉑鈹鉧銧鉷鉸鋧鋗鋙鋐﨧鋕鋠鋓錥錡鋻﨨錞鋿錝錂鍰鍗鎤鏆鏞鏸鐱鑅鑈閒隆﨩隝隯霳霻靃靍靏靑靕顗顥飯飼餧館馞驎髙髜魵魲鮏鮱鮻鰀鵰鵫鶴鸙黑'
  ],
  ['fcf1', 'ⅰ', 9, '￢￤＇＂'],
  ['8fa2af', '˘ˇ¸˙˝¯˛˚～΄΅'],
  ['8fa2c2', '¡¦¿'],
  ['8fa2eb', 'ºª©®™¤№'],
  ['8fa6e1', 'ΆΈΉΊΪ'],
  ['8fa6e7', 'Ό'],
  ['8fa6e9', 'ΎΫ'],
  ['8fa6ec', 'Ώ'],
  ['8fa6f1', 'άέήίϊΐόςύϋΰώ'],
  ['8fa7c2', 'Ђ', 10, 'ЎЏ'],
  ['8fa7f2', 'ђ', 10, 'ўџ'],
  ['8fa9a1', 'ÆĐ'],
  ['8fa9a4', 'Ħ'],
  ['8fa9a6', 'Ĳ'],
  ['8fa9a8', 'ŁĿ'],
  ['8fa9ab', 'ŊØŒ'],
  ['8fa9af', 'ŦÞ'],
  ['8fa9c1', 'æđðħıĳĸłŀŉŋøœßŧþ'],
  ['8faaa1', 'ÁÀÄÂĂǍĀĄÅÃĆĈČÇĊĎÉÈËÊĚĖĒĘ'],
  ['8faaba', 'ĜĞĢĠĤÍÌÏÎǏİĪĮĨĴĶĹĽĻŃŇŅÑÓÒÖÔǑŐŌÕŔŘŖŚŜŠŞŤŢÚÙÜÛŬǓŰŪŲŮŨǗǛǙǕŴÝŸŶŹŽŻ'],
  ['8faba1', 'áàäâăǎāąåãćĉčçċďéèëêěėēęǵĝğ'],
  ['8fabbd', 'ġĥíìïîǐ'],
  ['8fabc5', 'īįĩĵķĺľļńňņñóòöôǒőōõŕřŗśŝšşťţúùüûŭǔűūųůũǘǜǚǖŵýÿŷźžż'],
  [
    '8fb0a1',
    '丂丄丅丌丒丟丣两丨丫丮丯丰丵乀乁乄乇乑乚乜乣乨乩乴乵乹乿亍亖亗亝亯亹仃仐仚仛仠仡仢仨仯仱仳仵份仾仿伀伂伃伈伋伌伒伕伖众伙伮伱你伳伵伷伹伻伾佀佂佈佉佋佌佒佔佖佘佟佣佪佬佮佱佷佸佹佺佽佾侁侂侄'
  ],
  [
    '8fb1a1',
    '侅侉侊侌侎侐侒侓侔侗侙侚侞侟侲侷侹侻侼侽侾俀俁俅俆俈俉俋俌俍俏俒俜俠俢俰俲俼俽俿倀倁倄倇倊倌倎倐倓倗倘倛倜倝倞倢倧倮倰倲倳倵偀偁偂偅偆偊偌偎偑偒偓偗偙偟偠偢偣偦偧偪偭偰偱倻傁傃傄傆傊傎傏傐'
  ],
  [
    '8fb2a1',
    '傒傓傔傖傛傜傞',
    4,
    '傪傯傰傹傺傽僀僃僄僇僌僎僐僓僔僘僜僝僟僢僤僦僨僩僯僱僶僺僾儃儆儇儈儋儌儍儎僲儐儗儙儛儜儝儞儣儧儨儬儭儯儱儳儴儵儸儹兂兊兏兓兕兗兘兟兤兦兾冃冄冋冎冘冝冡冣冭冸冺冼冾冿凂'
  ],
  [
    '8fb3a1',
    '凈减凑凒凓凕凘凞凢凥凮凲凳凴凷刁刂刅划刓刕刖刘刢刨刱刲刵刼剅剉剕剗剘剚剜剟剠剡剦剮剷剸剹劀劂劅劊劌劓劕劖劗劘劚劜劤劥劦劧劯劰劶劷劸劺劻劽勀勄勆勈勌勏勑勔勖勛勜勡勥勨勩勪勬勰勱勴勶勷匀匃匊匋'
  ],
  [
    '8fb4a1',
    '匌匑匓匘匛匜匞匟匥匧匨匩匫匬匭匰匲匵匼匽匾卂卌卋卙卛卡卣卥卬卭卲卹卾厃厇厈厎厓厔厙厝厡厤厪厫厯厲厴厵厷厸厺厽叀叅叏叒叓叕叚叝叞叠另叧叵吂吓吚吡吧吨吪启吱吴吵呃呄呇呍呏呞呢呤呦呧呩呫呭呮呴呿'
  ],
  [
    '8fb5a1',
    '咁咃咅咈咉咍咑咕咖咜咟咡咦咧咩咪咭咮咱咷咹咺咻咿哆哊响哎哠哪哬哯哶哼哾哿唀唁唅唈唉唌唍唎唕唪唫唲唵唶唻唼唽啁啇啉啊啍啐啑啘啚啛啞啠啡啤啦啿喁喂喆喈喎喏喑喒喓喔喗喣喤喭喲喿嗁嗃嗆嗉嗋嗌嗎嗑嗒'
  ],
  [
    '8fb6a1',
    '嗓嗗嗘嗛嗞嗢嗩嗶嗿嘅嘈嘊嘍',
    5,
    '嘙嘬嘰嘳嘵嘷嘹嘻嘼嘽嘿噀噁噃噄噆噉噋噍噏噔噞噠噡噢噣噦噩噭噯噱噲噵嚄嚅嚈嚋嚌嚕嚙嚚嚝嚞嚟嚦嚧嚨嚩嚫嚬嚭嚱嚳嚷嚾囅囉囊囋囏囐囌囍囙囜囝囟囡囤',
    4,
    '囱囫园'
  ],
  [
    '8fb7a1',
    '囶囷圁圂圇圊圌圑圕圚圛圝圠圢圣圤圥圩圪圬圮圯圳圴圽圾圿坅坆坌坍坒坢坥坧坨坫坭',
    4,
    '坳坴坵坷坹坺坻坼坾垁垃垌垔垗垙垚垜垝垞垟垡垕垧垨垩垬垸垽埇埈埌埏埕埝埞埤埦埧埩埭埰埵埶埸埽埾埿堃堄堈堉埡'
  ],
  [
    '8fb8a1',
    '堌堍堛堞堟堠堦堧堭堲堹堿塉塌塍塏塐塕塟塡塤塧塨塸塼塿墀墁墇墈墉墊墌墍墏墐墔墖墝墠墡墢墦墩墱墲壄墼壂壈壍壎壐壒壔壖壚壝壡壢壩壳夅夆夋夌夒夓夔虁夝夡夣夤夨夯夰夳夵夶夿奃奆奒奓奙奛奝奞奟奡奣奫奭'
  ],
  [
    '8fb9a1',
    '奯奲奵奶她奻奼妋妌妎妒妕妗妟妤妧妭妮妯妰妳妷妺妼姁姃姄姈姊姍姒姝姞姟姣姤姧姮姯姱姲姴姷娀娄娌娍娎娒娓娞娣娤娧娨娪娭娰婄婅婇婈婌婐婕婞婣婥婧婭婷婺婻婾媋媐媓媖媙媜媞媟媠媢媧媬媱媲媳媵媸媺媻媿'
  ],
  [
    '8fbaa1',
    '嫄嫆嫈嫏嫚嫜嫠嫥嫪嫮嫵嫶嫽嬀嬁嬈嬗嬴嬙嬛嬝嬡嬥嬭嬸孁孋孌孒孖孞孨孮孯孼孽孾孿宁宄宆宊宎宐宑宓宔宖宨宩宬宭宯宱宲宷宺宼寀寁寍寏寖',
    4,
    '寠寯寱寴寽尌尗尞尟尣尦尩尫尬尮尰尲尵尶屙屚屜屢屣屧屨屩'
  ],
  [
    '8fbba1',
    '屭屰屴屵屺屻屼屽岇岈岊岏岒岝岟岠岢岣岦岪岲岴岵岺峉峋峒峝峗峮峱峲峴崁崆崍崒崫崣崤崦崧崱崴崹崽崿嵂嵃嵆嵈嵕嵑嵙嵊嵟嵠嵡嵢嵤嵪嵭嵰嵹嵺嵾嵿嶁嶃嶈嶊嶒嶓嶔嶕嶙嶛嶟嶠嶧嶫嶰嶴嶸嶹巃巇巋巐巎巘巙巠巤'
  ],
  [
    '8fbca1',
    '巩巸巹帀帇帍帒帔帕帘帟帠帮帨帲帵帾幋幐幉幑幖幘幛幜幞幨幪',
    4,
    '幰庀庋庎庢庤庥庨庪庬庱庳庽庾庿廆廌廋廎廑廒廔廕廜廞廥廫异弆弇弈弎弙弜弝弡弢弣弤弨弫弬弮弰弴弶弻弽弿彀彄彅彇彍彐彔彘彛彠彣彤彧'
  ],
  [
    '8fbda1',
    '彯彲彴彵彸彺彽彾徉徍徏徖徜徝徢徧徫徤徬徯徰徱徸忄忇忈忉忋忐',
    4,
    '忞忡忢忨忩忪忬忭忮忯忲忳忶忺忼怇怊怍怓怔怗怘怚怟怤怭怳怵恀恇恈恉恌恑恔恖恗恝恡恧恱恾恿悂悆悈悊悎悑悓悕悘悝悞悢悤悥您悰悱悷'
  ],
  [
    '8fbea1',
    '悻悾惂惄惈惉惊惋惎惏惔惕惙惛惝惞惢惥惲惵惸惼惽愂愇愊愌愐',
    4,
    '愖愗愙愜愞愢愪愫愰愱愵愶愷愹慁慅慆慉慞慠慬慲慸慻慼慿憀憁憃憄憋憍憒憓憗憘憜憝憟憠憥憨憪憭憸憹憼懀懁懂懎懏懕懜懝懞懟懡懢懧懩懥'
  ],
  [
    '8fbfa1',
    '懬懭懯戁戃戄戇戓戕戜戠戢戣戧戩戫戹戽扂扃扄扆扌扐扑扒扔扖扚扜扤扭扯扳扺扽抍抎抏抐抦抨抳抶抷抺抾抿拄拎拕拖拚拪拲拴拼拽挃挄挊挋挍挐挓挖挘挩挪挭挵挶挹挼捁捂捃捄捆捊捋捎捒捓捔捘捛捥捦捬捭捱捴捵'
  ],
  [
    '8fc0a1',
    '捸捼捽捿掂掄掇掊掐掔掕掙掚掞掤掦掭掮掯掽揁揅揈揎揑揓揔揕揜揠揥揪揬揲揳揵揸揹搉搊搐搒搔搘搞搠搢搤搥搩搪搯搰搵搽搿摋摏摑摒摓摔摚摛摜摝摟摠摡摣摭摳摴摻摽撅撇撏撐撑撘撙撛撝撟撡撣撦撨撬撳撽撾撿'
  ],
  [
    '8fc1a1',
    '擄擉擊擋擌擎擐擑擕擗擤擥擩擪擭擰擵擷擻擿攁攄攈攉攊攏攓攔攖攙攛攞攟攢攦攩攮攱攺攼攽敃敇敉敐敒敔敟敠敧敫敺敽斁斅斊斒斕斘斝斠斣斦斮斲斳斴斿旂旈旉旎旐旔旖旘旟旰旲旴旵旹旾旿昀昄昈昉昍昑昒昕昖昝'
  ],
  [
    '8fc2a1',
    '昞昡昢昣昤昦昩昪昫昬昮昰昱昳昹昷晀晅晆晊晌晑晎晗晘晙晛晜晠晡曻晪晫晬晾晳晵晿晷晸晹晻暀晼暋暌暍暐暒暙暚暛暜暟暠暤暭暱暲暵暻暿曀曂曃曈曌曎曏曔曛曟曨曫曬曮曺朅朇朎朓朙朜朠朢朳朾杅杇杈杌杔杕杝'
  ],
  [
    '8fc3a1',
    '杦杬杮杴杶杻极构枎枏枑枓枖枘枙枛枰枱枲枵枻枼枽柹柀柂柃柅柈柉柒柗柙柜柡柦柰柲柶柷桒栔栙栝栟栨栧栬栭栯栰栱栳栻栿桄桅桊桌桕桗桘桛桫桮',
    4,
    '桵桹桺桻桼梂梄梆梈梖梘梚梜梡梣梥梩梪梮梲梻棅棈棌棏'
  ],
  [
    '8fc4a1',
    '棐棑棓棖棙棜棝棥棨棪棫棬棭棰棱棵棶棻棼棽椆椉椊椐椑椓椖椗椱椳椵椸椻楂楅楉楎楗楛楣楤楥楦楨楩楬楰楱楲楺楻楿榀榍榒榖榘榡榥榦榨榫榭榯榷榸榺榼槅槈槑槖槗槢槥槮槯槱槳槵槾樀樁樃樏樑樕樚樝樠樤樨樰樲'
  ],
  [
    '8fc5a1',
    '樴樷樻樾樿橅橆橉橊橎橐橑橒橕橖橛橤橧橪橱橳橾檁檃檆檇檉檋檑檛檝檞檟檥檫檯檰檱檴檽檾檿櫆櫉櫈櫌櫐櫔櫕櫖櫜櫝櫤櫧櫬櫰櫱櫲櫼櫽欂欃欆欇欉欏欐欑欗欛欞欤欨欫欬欯欵欶欻欿歆歊歍歒歖歘歝歠歧歫歮歰歵歽'
  ],
  [
    '8fc6a1',
    '歾殂殅殗殛殟殠殢殣殨殩殬殭殮殰殸殹殽殾毃毄毉毌毖毚毡毣毦毧毮毱毷毹毿氂氄氅氉氍氎氐氒氙氟氦氧氨氬氮氳氵氶氺氻氿汊汋汍汏汒汔汙汛汜汫汭汯汴汶汸汹汻沅沆沇沉沔沕沗沘沜沟沰沲沴泂泆泍泏泐泑泒泔泖'
  ],
  [
    '8fc7a1',
    '泚泜泠泧泩泫泬泮泲泴洄洇洊洎洏洑洓洚洦洧洨汧洮洯洱洹洼洿浗浞浟浡浥浧浯浰浼涂涇涑涒涔涖涗涘涪涬涴涷涹涽涿淄淈淊淎淏淖淛淝淟淠淢淥淩淯淰淴淶淼渀渄渞渢渧渲渶渹渻渼湄湅湈湉湋湏湑湒湓湔湗湜湝湞'
  ],
  [
    '8fc8a1',
    '湢湣湨湳湻湽溍溓溙溠溧溭溮溱溳溻溿滀滁滃滇滈滊滍滎滏滫滭滮滹滻滽漄漈漊漌漍漖漘漚漛漦漩漪漯漰漳漶漻漼漭潏潑潒潓潗潙潚潝潞潡潢潨潬潽潾澃澇澈澋澌澍澐澒澓澔澖澚澟澠澥澦澧澨澮澯澰澵澶澼濅濇濈濊'
  ],
  [
    '8fc9a1',
    '濚濞濨濩濰濵濹濼濽瀀瀅瀆瀇瀍瀗瀠瀣瀯瀴瀷瀹瀼灃灄灈灉灊灋灔灕灝灞灎灤灥灬灮灵灶灾炁炅炆炔',
    4,
    '炛炤炫炰炱炴炷烊烑烓烔烕烖烘烜烤烺焃',
    4,
    '焋焌焏焞焠焫焭焯焰焱焸煁煅煆煇煊煋煐煒煗煚煜煞煠'
  ],
  [
    '8fcaa1',
    '煨煹熀熅熇熌熒熚熛熠熢熯熰熲熳熺熿燀燁燄燋燌燓燖燙燚燜燸燾爀爇爈爉爓爗爚爝爟爤爫爯爴爸爹牁牂牃牅牎牏牐牓牕牖牚牜牞牠牣牨牫牮牯牱牷牸牻牼牿犄犉犍犎犓犛犨犭犮犱犴犾狁狇狉狌狕狖狘狟狥狳狴狺狻'
  ],
  [
    '8fcba1',
    '狾猂猄猅猇猋猍猒猓猘猙猞猢猤猧猨猬猱猲猵猺猻猽獃獍獐獒獖獘獝獞獟獠獦獧獩獫獬獮獯獱獷獹獼玀玁玃玅玆玎玐玓玕玗玘玜玞玟玠玢玥玦玪玫玭玵玷玹玼玽玿珅珆珉珋珌珏珒珓珖珙珝珡珣珦珧珩珴珵珷珹珺珻珽'
  ],
  [
    '8fcca1',
    '珿琀琁琄琇琊琑琚琛琤琦琨',
    9,
    '琹瑀瑃瑄瑆瑇瑋瑍瑑瑒瑗瑝瑢瑦瑧瑨瑫瑭瑮瑱瑲璀璁璅璆璇璉璏璐璑璒璘璙璚璜璟璠璡璣璦璨璩璪璫璮璯璱璲璵璹璻璿瓈瓉瓌瓐瓓瓘瓚瓛瓞瓟瓤瓨瓪瓫瓯瓴瓺瓻瓼瓿甆'
  ],
  [
    '8fcda1',
    '甒甖甗甠甡甤甧甩甪甯甶甹甽甾甿畀畃畇畈畎畐畒畗畞畟畡畯畱畹',
    5,
    '疁疅疐疒疓疕疙疜疢疤疴疺疿痀痁痄痆痌痎痏痗痜痟痠痡痤痧痬痮痯痱痹瘀瘂瘃瘄瘇瘈瘊瘌瘏瘒瘓瘕瘖瘙瘛瘜瘝瘞瘣瘥瘦瘩瘭瘲瘳瘵瘸瘹'
  ],
  [
    '8fcea1',
    '瘺瘼癊癀癁癃癄癅癉癋癕癙癟癤癥癭癮癯癱癴皁皅皌皍皕皛皜皝皟皠皢',
    6,
    '皪皭皽盁盅盉盋盌盎盔盙盠盦盨盬盰盱盶盹盼眀眆眊眎眒眔眕眗眙眚眜眢眨眭眮眯眴眵眶眹眽眾睂睅睆睊睍睎睏睒睖睗睜睞睟睠睢'
  ],
  [
    '8fcfa1',
    '睤睧睪睬睰睲睳睴睺睽瞀瞄瞌瞍瞔瞕瞖瞚瞟瞢瞧瞪瞮瞯瞱瞵瞾矃矉矑矒矕矙矞矟矠矤矦矪矬矰矱矴矸矻砅砆砉砍砎砑砝砡砢砣砭砮砰砵砷硃硄硇硈硌硎硒硜硞硠硡硣硤硨硪确硺硾碊碏碔碘碡碝碞碟碤碨碬碭碰碱碲碳'
  ],
  [
    '8fd0a1',
    '碻碽碿磇磈磉磌磎磒磓磕磖磤磛磟磠磡磦磪磲磳礀磶磷磺磻磿礆礌礐礚礜礞礟礠礥礧礩礭礱礴礵礻礽礿祄祅祆祊祋祏祑祔祘祛祜祧祩祫祲祹祻祼祾禋禌禑禓禔禕禖禘禛禜禡禨禩禫禯禱禴禸离秂秄秇秈秊秏秔秖秚秝秞'
  ],
  [
    '8fd1a1',
    '秠秢秥秪秫秭秱秸秼稂稃稇稉稊稌稑稕稛稞稡稧稫稭稯稰稴稵稸稹稺穄穅穇穈穌穕穖穙穜穝穟穠穥穧穪穭穵穸穾窀窂窅窆窊窋窐窑窔窞窠窣窬窳窵窹窻窼竆竉竌竎竑竛竨竩竫竬竱竴竻竽竾笇笔笟笣笧笩笪笫笭笮笯笰'
  ],
  [
    '8fd2a1',
    '笱笴笽笿筀筁筇筎筕筠筤筦筩筪筭筯筲筳筷箄箉箎箐箑箖箛箞箠箥箬箯箰箲箵箶箺箻箼箽篂篅篈篊篔篖篗篙篚篛篨篪篲篴篵篸篹篺篼篾簁簂簃簄簆簉簋簌簎簏簙簛簠簥簦簨簬簱簳簴簶簹簺籆籊籕籑籒籓籙',
    5
  ],
  [
    '8fd3a1',
    '籡籣籧籩籭籮籰籲籹籼籽粆粇粏粔粞粠粦粰粶粷粺粻粼粿糄糇糈糉糍糏糓糔糕糗糙糚糝糦糩糫糵紃紇紈紉紏紑紒紓紖紝紞紣紦紪紭紱紼紽紾絀絁絇絈絍絑絓絗絙絚絜絝絥絧絪絰絸絺絻絿綁綂綃綅綆綈綋綌綍綑綖綗綝'
  ],
  [
    '8fd4a1',
    '綞綦綧綪綳綶綷綹緂',
    4,
    '緌緍緎緗緙縀緢緥緦緪緫緭緱緵緶緹緺縈縐縑縕縗縜縝縠縧縨縬縭縯縳縶縿繄繅繇繎繐繒繘繟繡繢繥繫繮繯繳繸繾纁纆纇纊纍纑纕纘纚纝纞缼缻缽缾缿罃罄罇罏罒罓罛罜罝罡罣罤罥罦罭'
  ],
  [
    '8fd5a1',
    '罱罽罾罿羀羋羍羏羐羑羖羗羜羡羢羦羪羭羴羼羿翀翃翈翎翏翛翟翣翥翨翬翮翯翲翺翽翾翿耇耈耊耍耎耏耑耓耔耖耝耞耟耠耤耦耬耮耰耴耵耷耹耺耼耾聀聄聠聤聦聭聱聵肁肈肎肜肞肦肧肫肸肹胈胍胏胒胔胕胗胘胠胭胮'
  ],
  [
    '8fd6a1',
    '胰胲胳胶胹胺胾脃脋脖脗脘脜脞脠脤脧脬脰脵脺脼腅腇腊腌腒腗腠腡腧腨腩腭腯腷膁膐膄膅膆膋膎膖膘膛膞膢膮膲膴膻臋臃臅臊臎臏臕臗臛臝臞臡臤臫臬臰臱臲臵臶臸臹臽臿舀舃舏舓舔舙舚舝舡舢舨舲舴舺艃艄艅艆'
  ],
  [
    '8fd7a1',
    '艋艎艏艑艖艜艠艣艧艭艴艻艽艿芀芁芃芄芇芉芊芎芑芔芖芘芚芛芠芡芣芤芧芨芩芪芮芰芲芴芷芺芼芾芿苆苐苕苚苠苢苤苨苪苭苯苶苷苽苾茀茁茇茈茊茋荔茛茝茞茟茡茢茬茭茮茰茳茷茺茼茽荂荃荄荇荍荎荑荕荖荗荰荸'
  ],
  [
    '8fd8a1',
    '荽荿莀莂莄莆莍莒莔莕莘莙莛莜莝莦莧莩莬莾莿菀菇菉菏菐菑菔菝荓菨菪菶菸菹菼萁萆萊萏萑萕萙莭萯萹葅葇葈葊葍葏葑葒葖葘葙葚葜葠葤葥葧葪葰葳葴葶葸葼葽蒁蒅蒒蒓蒕蒞蒦蒨蒩蒪蒯蒱蒴蒺蒽蒾蓀蓂蓇蓈蓌蓏蓓'
  ],
  [
    '8fd9a1',
    '蓜蓧蓪蓯蓰蓱蓲蓷蔲蓺蓻蓽蔂蔃蔇蔌蔎蔐蔜蔞蔢蔣蔤蔥蔧蔪蔫蔯蔳蔴蔶蔿蕆蕏',
    4,
    '蕖蕙蕜',
    6,
    '蕤蕫蕯蕹蕺蕻蕽蕿薁薅薆薉薋薌薏薓薘薝薟薠薢薥薧薴薶薷薸薼薽薾薿藂藇藊藋藎薭藘藚藟藠藦藨藭藳藶藼'
  ],
  [
    '8fdaa1',
    '藿蘀蘄蘅蘍蘎蘐蘑蘒蘘蘙蘛蘞蘡蘧蘩蘶蘸蘺蘼蘽虀虂虆虒虓虖虗虘虙虝虠',
    4,
    '虩虬虯虵虶虷虺蚍蚑蚖蚘蚚蚜蚡蚦蚧蚨蚭蚱蚳蚴蚵蚷蚸蚹蚿蛀蛁蛃蛅蛑蛒蛕蛗蛚蛜蛠蛣蛥蛧蚈蛺蛼蛽蜄蜅蜇蜋蜎蜏蜐蜓蜔蜙蜞蜟蜡蜣'
  ],
  [
    '8fdba1',
    '蜨蜮蜯蜱蜲蜹蜺蜼蜽蜾蝀蝃蝅蝍蝘蝝蝡蝤蝥蝯蝱蝲蝻螃',
    6,
    '螋螌螐螓螕螗螘螙螞螠螣螧螬螭螮螱螵螾螿蟁蟈蟉蟊蟎蟕蟖蟙蟚蟜蟟蟢蟣蟤蟪蟫蟭蟱蟳蟸蟺蟿蠁蠃蠆蠉蠊蠋蠐蠙蠒蠓蠔蠘蠚蠛蠜蠞蠟蠨蠭蠮蠰蠲蠵'
  ],
  [
    '8fdca1',
    '蠺蠼衁衃衅衈衉衊衋衎衑衕衖衘衚衜衟衠衤衩衱衹衻袀袘袚袛袜袟袠袨袪袺袽袾裀裊',
    4,
    '裑裒裓裛裞裧裯裰裱裵裷褁褆褍褎褏褕褖褘褙褚褜褠褦褧褨褰褱褲褵褹褺褾襀襂襅襆襉襏襒襗襚襛襜襡襢襣襫襮襰襳襵襺'
  ],
  [
    '8fdda1',
    '襻襼襽覉覍覐覔覕覛覜覟覠覥覰覴覵覶覷覼觔',
    4,
    '觥觩觫觭觱觳觶觹觽觿訄訅訇訏訑訒訔訕訞訠訢訤訦訫訬訯訵訷訽訾詀詃詅詇詉詍詎詓詖詗詘詜詝詡詥詧詵詶詷詹詺詻詾詿誀誃誆誋誏誐誒誖誗誙誟誧誩誮誯誳'
  ],
  [
    '8fdea1',
    '誶誷誻誾諃諆諈諉諊諑諓諔諕諗諝諟諬諰諴諵諶諼諿謅謆謋謑謜謞謟謊謭謰謷謼譂',
    4,
    '譈譒譓譔譙譍譞譣譭譶譸譹譼譾讁讄讅讋讍讏讔讕讜讞讟谸谹谽谾豅豇豉豋豏豑豓豔豗豘豛豝豙豣豤豦豨豩豭豳豵豶豻豾貆'
  ],
  [
    '8fdfa1',
    '貇貋貐貒貓貙貛貜貤貹貺賅賆賉賋賏賖賕賙賝賡賨賬賯賰賲賵賷賸賾賿贁贃贉贒贗贛赥赩赬赮赿趂趄趈趍趐趑趕趞趟趠趦趫趬趯趲趵趷趹趻跀跅跆跇跈跊跎跑跔跕跗跙跤跥跧跬跰趼跱跲跴跽踁踄踅踆踋踑踔踖踠踡踢'
  ],
  [
    '8fe0a1',
    '踣踦踧踱踳踶踷踸踹踽蹀蹁蹋蹍蹎蹏蹔蹛蹜蹝蹞蹡蹢蹩蹬蹭蹯蹰蹱蹹蹺蹻躂躃躉躐躒躕躚躛躝躞躢躧躩躭躮躳躵躺躻軀軁軃軄軇軏軑軔軜軨軮軰軱軷軹軺軭輀輂輇輈輏輐輖輗輘輞輠輡輣輥輧輨輬輭輮輴輵輶輷輺轀轁'
  ],
  [
    '8fe1a1',
    '轃轇轏轑',
    4,
    '轘轝轞轥辝辠辡辤辥辦辵辶辸达迀迁迆迊迋迍运迒迓迕迠迣迤迨迮迱迵迶迻迾适逄逈逌逘逛逨逩逯逪逬逭逳逴逷逿遃遄遌遛遝遢遦遧遬遰遴遹邅邈邋邌邎邐邕邗邘邙邛邠邡邢邥邰邲邳邴邶邽郌邾郃'
  ],
  [
    '8fe2a1',
    '郄郅郇郈郕郗郘郙郜郝郟郥郒郶郫郯郰郴郾郿鄀鄄鄅鄆鄈鄍鄐鄔鄖鄗鄘鄚鄜鄞鄠鄥鄢鄣鄧鄩鄮鄯鄱鄴鄶鄷鄹鄺鄼鄽酃酇酈酏酓酗酙酚酛酡酤酧酭酴酹酺酻醁醃醅醆醊醎醑醓醔醕醘醞醡醦醨醬醭醮醰醱醲醳醶醻醼醽醿'
  ],
  [
    '8fe3a1',
    '釂釃釅釓釔釗釙釚釞釤釥釩釪釬',
    5,
    '釷釹釻釽鈀鈁鈄鈅鈆鈇鈉鈊鈌鈐鈒鈓鈖鈘鈜鈝鈣鈤鈥鈦鈨鈮鈯鈰鈳鈵鈶鈸鈹鈺鈼鈾鉀鉂鉃鉆鉇鉊鉍鉎鉏鉑鉘鉙鉜鉝鉠鉡鉥鉧鉨鉩鉮鉯鉰鉵',
    4,
    '鉻鉼鉽鉿銈銉銊銍銎銒銗'
  ],
  [
    '8fe4a1',
    '銙銟銠銤銥銧銨銫銯銲銶銸銺銻銼銽銿',
    4,
    '鋅鋆鋇鋈鋋鋌鋍鋎鋐鋓鋕鋗鋘鋙鋜鋝鋟鋠鋡鋣鋥鋧鋨鋬鋮鋰鋹鋻鋿錀錂錈錍錑錔錕錜錝錞錟錡錤錥錧錩錪錳錴錶錷鍇鍈鍉鍐鍑鍒鍕鍗鍘鍚鍞鍤鍥鍧鍩鍪鍭鍯鍰鍱鍳鍴鍶'
  ],
  [
    '8fe5a1',
    '鍺鍽鍿鎀鎁鎂鎈鎊鎋鎍鎏鎒鎕鎘鎛鎞鎡鎣鎤鎦鎨鎫鎴鎵鎶鎺鎩鏁鏄鏅鏆鏇鏉',
    4,
    '鏓鏙鏜鏞鏟鏢鏦鏧鏹鏷鏸鏺鏻鏽鐁鐂鐄鐈鐉鐍鐎鐏鐕鐖鐗鐟鐮鐯鐱鐲鐳鐴鐻鐿鐽鑃鑅鑈鑊鑌鑕鑙鑜鑟鑡鑣鑨鑫鑭鑮鑯鑱鑲钄钃镸镹'
  ],
  [
    '8fe6a1',
    '镾閄閈閌閍閎閝閞閟閡閦閩閫閬閴閶閺閽閿闆闈闉闋闐闑闒闓闙闚闝闞闟闠闤闦阝阞阢阤阥阦阬阱阳阷阸阹阺阼阽陁陒陔陖陗陘陡陮陴陻陼陾陿隁隂隃隄隉隑隖隚隝隟隤隥隦隩隮隯隳隺雊雒嶲雘雚雝雞雟雩雯雱雺霂'
  ],
  [
    '8fe7a1',
    '霃霅霉霚霛霝霡霢霣霨霱霳靁靃靊靎靏靕靗靘靚靛靣靧靪靮靳靶靷靸靻靽靿鞀鞉鞕鞖鞗鞙鞚鞞鞟鞢鞬鞮鞱鞲鞵鞶鞸鞹鞺鞼鞾鞿韁韄韅韇韉韊韌韍韎韐韑韔韗韘韙韝韞韠韛韡韤韯韱韴韷韸韺頇頊頙頍頎頔頖頜頞頠頣頦'
  ],
  [
    '8fe8a1',
    '頫頮頯頰頲頳頵頥頾顄顇顊顑顒顓顖顗顙顚顢顣顥顦顪顬颫颭颮颰颴颷颸颺颻颿飂飅飈飌飡飣飥飦飧飪飳飶餂餇餈餑餕餖餗餚餛餜餟餢餦餧餫餱',
    4,
    '餹餺餻餼饀饁饆饇饈饍饎饔饘饙饛饜饞饟饠馛馝馟馦馰馱馲馵'
  ],
  [
    '8fe9a1',
    '馹馺馽馿駃駉駓駔駙駚駜駞駧駪駫駬駰駴駵駹駽駾騂騃騄騋騌騐騑騖騞騠騢騣騤騧騭騮騳騵騶騸驇驁驄驊驋驌驎驑驔驖驝骪骬骮骯骲骴骵骶骹骻骾骿髁髃髆髈髎髐髒髕髖髗髛髜髠髤髥髧髩髬髲髳髵髹髺髽髿',
    4
  ],
  [
    '8feaa1',
    '鬄鬅鬈鬉鬋鬌鬍鬎鬐鬒鬖鬙鬛鬜鬠鬦鬫鬭鬳鬴鬵鬷鬹鬺鬽魈魋魌魕魖魗魛魞魡魣魥魦魨魪',
    4,
    '魳魵魷魸魹魿鮀鮄鮅鮆鮇鮉鮊鮋鮍鮏鮐鮔鮚鮝鮞鮦鮧鮩鮬鮰鮱鮲鮷鮸鮻鮼鮾鮿鯁鯇鯈鯎鯐鯗鯘鯝鯟鯥鯧鯪鯫鯯鯳鯷鯸'
  ],
  [
    '8feba1',
    '鯹鯺鯽鯿鰀鰂鰋鰏鰑鰖鰘鰙鰚鰜鰞鰢鰣鰦',
    4,
    '鰱鰵鰶鰷鰽鱁鱃鱄鱅鱉鱊鱎鱏鱐鱓鱔鱖鱘鱛鱝鱞鱟鱣鱩鱪鱜鱫鱨鱮鱰鱲鱵鱷鱻鳦鳲鳷鳹鴋鴂鴑鴗鴘鴜鴝鴞鴯鴰鴲鴳鴴鴺鴼鵅鴽鵂鵃鵇鵊鵓鵔鵟鵣鵢鵥鵩鵪鵫鵰鵶鵷鵻'
  ],
  [
    '8feca1',
    '鵼鵾鶃鶄鶆鶊鶍鶎鶒鶓鶕鶖鶗鶘鶡鶪鶬鶮鶱鶵鶹鶼鶿鷃鷇鷉鷊鷔鷕鷖鷗鷚鷞鷟鷠鷥鷧鷩鷫鷮鷰鷳鷴鷾鸊鸂鸇鸎鸐鸑鸒鸕鸖鸙鸜鸝鹺鹻鹼麀麂麃麄麅麇麎麏麖麘麛麞麤麨麬麮麯麰麳麴麵黆黈黋黕黟黤黧黬黭黮黰黱黲黵'
  ],
  [
    '8feda1',
    '黸黿鼂鼃鼉鼏鼐鼑鼒鼔鼖鼗鼙鼚鼛鼟鼢鼦鼪鼫鼯鼱鼲鼴鼷鼹鼺鼼鼽鼿齁齃',
    4,
    '齓齕齖齗齘齚齝齞齨齩齭',
    4,
    '齳齵齺齽龏龐龑龒龔龖龗龞龡龢龣龥'
  ]
]

const require$$2 = [
  ['0', '\u0000', 127, '€'],
  [
    '8140',
    '丂丄丅丆丏丒丗丟丠両丣並丩丮丯丱丳丵丷丼乀乁乂乄乆乊乑乕乗乚乛乢乣乤乥乧乨乪',
    5,
    '乲乴',
    9,
    '乿',
    6,
    '亇亊'
  ],
  [
    '8180',
    '亐亖亗亙亜亝亞亣亪亯亰亱亴亶亷亸亹亼亽亾仈仌仏仐仒仚仛仜仠仢仦仧仩仭仮仯仱仴仸仹仺仼仾伀伂',
    6,
    '伋伌伒',
    4,
    '伜伝伡伣伨伩伬伭伮伱伳伵伷伹伻伾',
    4,
    '佄佅佇',
    5,
    '佒佔佖佡佢佦佨佪佫佭佮佱佲併佷佸佹佺佽侀侁侂侅來侇侊侌侎侐侒侓侕侖侘侙侚侜侞侟価侢'
  ],
  [
    '8240',
    '侤侫侭侰',
    4,
    '侶',
    8,
    '俀俁係俆俇俈俉俋俌俍俒',
    4,
    '俙俛俠俢俤俥俧俫俬俰俲俴俵俶俷俹俻俼俽俿',
    11
  ],
  [
    '8280',
    '個倎倐們倓倕倖倗倛倝倞倠倢倣値倧倫倯',
    10,
    '倻倽倿偀偁偂偄偅偆偉偊偋偍偐',
    4,
    '偖偗偘偙偛偝',
    7,
    '偦',
    5,
    '偭',
    8,
    '偸偹偺偼偽傁傂傃傄傆傇傉傊傋傌傎',
    20,
    '傤傦傪傫傭',
    4,
    '傳',
    6,
    '傼'
  ],
  [
    '8340',
    '傽',
    17,
    '僐',
    5,
    '僗僘僙僛',
    10,
    '僨僩僪僫僯僰僱僲僴僶',
    4,
    '僼',
    9,
    '儈'
  ],
  [
    '8380',
    '儉儊儌',
    5,
    '儓',
    13,
    '儢',
    28,
    '兂兇兊兌兎兏児兒兓兗兘兙兛兝',
    4,
    '兣兤兦內兩兪兯兲兺兾兿冃冄円冇冊冋冎冏冐冑冓冔冘冚冝冞冟冡冣冦',
    4,
    '冭冮冴冸冹冺冾冿凁凂凃凅凈凊凍凎凐凒',
    5
  ],
  [
    '8440',
    '凘凙凚凜凞凟凢凣凥',
    5,
    '凬凮凱凲凴凷凾刄刅刉刋刌刏刐刓刔刕刜刞刟刡刢刣別刦刧刪刬刯刱刲刴刵刼刾剄',
    5,
    '剋剎剏剒剓剕剗剘'
  ],
  [
    '8480',
    '剙剚剛剝剟剠剢剣剤剦剨剫剬剭剮剰剱剳',
    9,
    '剾劀劃',
    4,
    '劉',
    6,
    '劑劒劔',
    6,
    '劜劤劥劦劧劮劯劰労',
    9,
    '勀勁勂勄勅勆勈勊勌勍勎勏勑勓勔動勗務',
    5,
    '勠勡勢勣勥',
    10,
    '勱',
    7,
    '勻勼勽匁匂匃匄匇匉匊匋匌匎'
  ],
  [
    '8540',
    '匑匒匓匔匘匛匜匞匟匢匤匥匧匨匩匫匬匭匯',
    9,
    '匼匽區卂卄卆卋卌卍卐協単卙卛卝卥卨卪卬卭卲卶卹卻卼卽卾厀厁厃厇厈厊厎厏'
  ],
  [
    '8580',
    '厐',
    4,
    '厖厗厙厛厜厞厠厡厤厧厪厫厬厭厯',
    6,
    '厷厸厹厺厼厽厾叀參',
    4,
    '収叏叐叒叓叕叚叜叝叞叡叢叧叴叺叾叿吀吂吅吇吋吔吘吙吚吜吢吤吥吪吰吳吶吷吺吽吿呁呂呄呅呇呉呌呍呎呏呑呚呝',
    4,
    '呣呥呧呩',
    7,
    '呴呹呺呾呿咁咃咅咇咈咉咊咍咑咓咗咘咜咞咟咠咡'
  ],
  [
    '8640',
    '咢咥咮咰咲咵咶咷咹咺咼咾哃哅哊哋哖哘哛哠',
    4,
    '哫哬哯哰哱哴',
    5,
    '哻哾唀唂唃唄唅唈唊',
    4,
    '唒唓唕',
    5,
    '唜唝唞唟唡唥唦'
  ],
  [
    '8680',
    '唨唩唫唭唲唴唵唶唸唹唺唻唽啀啂啅啇啈啋',
    4,
    '啑啒啓啔啗',
    4,
    '啝啞啟啠啢啣啨啩啫啯',
    5,
    '啹啺啽啿喅喆喌喍喎喐喒喓喕喖喗喚喛喞喠',
    6,
    '喨',
    8,
    '喲喴営喸喺喼喿',
    4,
    '嗆嗇嗈嗊嗋嗎嗏嗐嗕嗗',
    4,
    '嗞嗠嗢嗧嗩嗭嗮嗰嗱嗴嗶嗸',
    4,
    '嗿嘂嘃嘄嘅'
  ],
  [
    '8740',
    '嘆嘇嘊嘋嘍嘐',
    7,
    '嘙嘚嘜嘝嘠嘡嘢嘥嘦嘨嘩嘪嘫嘮嘯嘰嘳嘵嘷嘸嘺嘼嘽嘾噀',
    11,
    '噏',
    4,
    '噕噖噚噛噝',
    4
  ],
  [
    '8780',
    '噣噥噦噧噭噮噯噰噲噳噴噵噷噸噹噺噽',
    7,
    '嚇',
    6,
    '嚐嚑嚒嚔',
    14,
    '嚤',
    10,
    '嚰',
    6,
    '嚸嚹嚺嚻嚽',
    12,
    '囋',
    8,
    '囕囖囘囙囜団囥',
    5,
    '囬囮囯囲図囶囷囸囻囼圀圁圂圅圇國',
    6
  ],
  [
    '8840',
    '園',
    9,
    '圝圞圠圡圢圤圥圦圧圫圱圲圴',
    4,
    '圼圽圿坁坃坄坅坆坈坉坋坒',
    4,
    '坘坙坢坣坥坧坬坮坰坱坲坴坵坸坹坺坽坾坿垀'
  ],
  [
    '8880',
    '垁垇垈垉垊垍',
    4,
    '垔',
    6,
    '垜垝垞垟垥垨垪垬垯垰垱垳垵垶垷垹',
    8,
    '埄',
    6,
    '埌埍埐埑埓埖埗埛埜埞埡埢埣埥',
    7,
    '埮埰埱埲埳埵埶執埻埼埾埿堁堃堄堅堈堉堊堌堎堏堐堒堓堔堖堗堘堚堛堜堝堟堢堣堥',
    4,
    '堫',
    4,
    '報堲堳場堶',
    7
  ],
  [
    '8940',
    '堾',
    5,
    '塅',
    6,
    '塎塏塐塒塓塕塖塗塙',
    4,
    '塟',
    5,
    '塦',
    4,
    '塭',
    16,
    '塿墂墄墆墇墈墊墋墌'
  ],
  [
    '8980',
    '墍',
    4,
    '墔',
    4,
    '墛墜墝墠',
    7,
    '墪',
    17,
    '墽墾墿壀壂壃壄壆',
    10,
    '壒壓壔壖',
    13,
    '壥',
    5,
    '壭壯壱売壴壵壷壸壺',
    7,
    '夃夅夆夈',
    4,
    '夎夐夑夒夓夗夘夛夝夞夠夡夢夣夦夨夬夰夲夳夵夶夻'
  ],
  [
    '8a40',
    '夽夾夿奀奃奅奆奊奌奍奐奒奓奙奛',
    4,
    '奡奣奤奦',
    12,
    '奵奷奺奻奼奾奿妀妅妉妋妌妎妏妐妑妔妕妘妚妛妜妝妟妠妡妢妦'
  ],
  [
    '8a80',
    '妧妬妭妰妱妳',
    5,
    '妺妼妽妿',
    6,
    '姇姈姉姌姍姎姏姕姖姙姛姞',
    4,
    '姤姦姧姩姪姫姭',
    11,
    '姺姼姽姾娀娂娊娋娍娎娏娐娒娔娕娖娗娙娚娛娝娞娡娢娤娦娧娨娪',
    6,
    '娳娵娷',
    4,
    '娽娾娿婁',
    4,
    '婇婈婋',
    9,
    '婖婗婘婙婛',
    5
  ],
  [
    '8b40',
    '婡婣婤婥婦婨婩婫',
    8,
    '婸婹婻婼婽婾媀',
    17,
    '媓',
    6,
    '媜',
    13,
    '媫媬'
  ],
  [
    '8b80',
    '媭',
    4,
    '媴媶媷媹',
    4,
    '媿嫀嫃',
    5,
    '嫊嫋嫍',
    4,
    '嫓嫕嫗嫙嫚嫛嫝嫞嫟嫢嫤嫥嫧嫨嫪嫬',
    4,
    '嫲',
    22,
    '嬊',
    11,
    '嬘',
    25,
    '嬳嬵嬶嬸',
    7,
    '孁',
    6
  ],
  [
    '8c40',
    '孈',
    7,
    '孒孖孞孠孡孧孨孫孭孮孯孲孴孶孷學孹孻孼孾孿宂宆宊宍宎宐宑宒宔宖実宧宨宩宬宭宮宯宱宲宷宺宻宼寀寁寃寈寉寊寋寍寎寏'
  ],
  [
    '8c80',
    '寑寔',
    8,
    '寠寢寣實寧審',
    4,
    '寯寱',
    6,
    '寽対尀専尃尅將專尋尌對導尐尒尓尗尙尛尞尟尠尡尣尦尨尩尪尫尭尮尯尰尲尳尵尶尷屃屄屆屇屌屍屒屓屔屖屗屘屚屛屜屝屟屢層屧',
    6,
    '屰屲',
    6,
    '屻屼屽屾岀岃',
    4,
    '岉岊岋岎岏岒岓岕岝',
    4,
    '岤',
    4
  ],
  [
    '8d40',
    '岪岮岯岰岲岴岶岹岺岻岼岾峀峂峃峅',
    5,
    '峌',
    5,
    '峓',
    5,
    '峚',
    6,
    '峢峣峧峩峫峬峮峯峱',
    9,
    '峼',
    4
  ],
  [
    '8d80',
    '崁崄崅崈',
    5,
    '崏',
    4,
    '崕崗崘崙崚崜崝崟',
    4,
    '崥崨崪崫崬崯',
    4,
    '崵',
    7,
    '崿',
    7,
    '嵈嵉嵍',
    10,
    '嵙嵚嵜嵞',
    10,
    '嵪嵭嵮嵰嵱嵲嵳嵵',
    12,
    '嶃',
    21,
    '嶚嶛嶜嶞嶟嶠'
  ],
  ['8e40', '嶡', 21, '嶸', 12, '巆', 6, '巎', 12, '巜巟巠巣巤巪巬巭'],
  [
    '8e80',
    '巰巵巶巸',
    4,
    '巿帀帄帇帉帊帋帍帎帒帓帗帞',
    7,
    '帨',
    4,
    '帯帰帲',
    4,
    '帹帺帾帿幀幁幃幆',
    5,
    '幍',
    6,
    '幖',
    4,
    '幜幝幟幠幣',
    14,
    '幵幷幹幾庁庂広庅庈庉庌庍庎庒庘庛庝庡庢庣庤庨',
    4,
    '庮',
    4,
    '庴庺庻庼庽庿',
    6
  ],
  [
    '8f40',
    '廆廇廈廋',
    5,
    '廔廕廗廘廙廚廜',
    11,
    '廩廫',
    8,
    '廵廸廹廻廼廽弅弆弇弉弌弍弎弐弒弔弖弙弚弜弝弞弡弢弣弤'
  ],
  [
    '8f80',
    '弨弫弬弮弰弲',
    6,
    '弻弽弾弿彁',
    14,
    '彑彔彙彚彛彜彞彟彠彣彥彧彨彫彮彯彲彴彵彶彸彺彽彾彿徃徆徍徎徏徑従徔徖徚徛徝從徟徠徢',
    5,
    '復徫徬徯',
    5,
    '徶徸徹徺徻徾',
    4,
    '忇忈忊忋忎忓忔忕忚忛応忞忟忢忣忥忦忨忩忬忯忰忲忳忴忶忷忹忺忼怇'
  ],
  [
    '9040',
    '怈怉怋怌怐怑怓怗怘怚怞怟怢怣怤怬怭怮怰',
    4,
    '怶',
    4,
    '怽怾恀恄',
    6,
    '恌恎恏恑恓恔恖恗恘恛恜恞恟恠恡恥恦恮恱恲恴恵恷恾悀'
  ],
  [
    '9080',
    '悁悂悅悆悇悈悊悋悎悏悐悑悓悕悗悘悙悜悞悡悢悤悥悧悩悪悮悰悳悵悶悷悹悺悽',
    7,
    '惇惈惉惌',
    4,
    '惒惓惔惖惗惙惛惞惡',
    4,
    '惪惱惲惵惷惸惻',
    4,
    '愂愃愄愅愇愊愋愌愐',
    4,
    '愖愗愘愙愛愜愝愞愡愢愥愨愩愪愬',
    18,
    '慀',
    6
  ],
  [
    '9140',
    '慇慉態慍慏慐慒慓慔慖',
    6,
    '慞慟慠慡慣慤慥慦慩',
    6,
    '慱慲慳慴慶慸',
    18,
    '憌憍憏',
    4,
    '憕'
  ],
  [
    '9180',
    '憖',
    6,
    '憞',
    8,
    '憪憫憭',
    9,
    '憸',
    5,
    '憿懀懁懃',
    4,
    '應懌',
    4,
    '懓懕',
    16,
    '懧',
    13,
    '懶',
    8,
    '戀',
    5,
    '戇戉戓戔戙戜戝戞戠戣戦戧戨戩戫戭戯戰戱戲戵戶戸',
    4,
    '扂扄扅扆扊'
  ],
  [
    '9240',
    '扏扐払扖扗扙扚扜',
    6,
    '扤扥扨扱扲扴扵扷扸扺扻扽抁抂抃抅抆抇抈抋',
    5,
    '抔抙抜抝択抣抦抧抩抪抭抮抯抰抲抳抴抶抷抸抺抾拀拁'
  ],
  [
    '9280',
    '拃拋拏拑拕拝拞拠拡拤拪拫拰拲拵拸拹拺拻挀挃挄挅挆挊挋挌挍挏挐挒挓挔挕挗挘挙挜挦挧挩挬挭挮挰挱挳',
    5,
    '挻挼挾挿捀捁捄捇捈捊捑捒捓捔捖',
    7,
    '捠捤捥捦捨捪捫捬捯捰捲捳捴捵捸捹捼捽捾捿掁掃掄掅掆掋掍掑掓掔掕掗掙',
    6,
    '採掤掦掫掯掱掲掵掶掹掻掽掿揀'
  ],
  [
    '9340',
    '揁揂揃揅揇揈揊揋揌揑揓揔揕揗',
    6,
    '揟揢揤',
    4,
    '揫揬揮揯揰揱揳揵揷揹揺揻揼揾搃搄搆',
    4,
    '損搎搑搒搕',
    5,
    '搝搟搢搣搤'
  ],
  [
    '9380',
    '搥搧搨搩搫搮',
    5,
    '搵',
    4,
    '搻搼搾摀摂摃摉摋',
    6,
    '摓摕摖摗摙',
    4,
    '摟',
    7,
    '摨摪摫摬摮',
    9,
    '摻',
    6,
    '撃撆撈',
    8,
    '撓撔撗撘撚撛撜撝撟',
    4,
    '撥撦撧撨撪撫撯撱撲撳撴撶撹撻撽撾撿擁擃擄擆',
    6,
    '擏擑擓擔擕擖擙據'
  ],
  ['9440', '擛擜擝擟擠擡擣擥擧', 24, '攁', 7, '攊', 7, '攓', 4, '攙', 8],
  [
    '9480',
    '攢攣攤攦',
    4,
    '攬攭攰攱攲攳攷攺攼攽敀',
    4,
    '敆敇敊敋敍敎敐敒敓敔敗敘敚敜敟敠敡敤敥敧敨敩敪敭敮敯敱敳敵敶數',
    14,
    '斈斉斊斍斎斏斒斔斕斖斘斚斝斞斠斢斣斦斨斪斬斮斱',
    7,
    '斺斻斾斿旀旂旇旈旉旊旍旐旑旓旔旕旘',
    7,
    '旡旣旤旪旫'
  ],
  [
    '9540',
    '旲旳旴旵旸旹旻',
    4,
    '昁昄昅昇昈昉昋昍昐昑昒昖昗昘昚昛昜昞昡昢昣昤昦昩昪昫昬昮昰昲昳昷',
    4,
    '昽昿晀時晄',
    6,
    '晍晎晐晑晘'
  ],
  [
    '9580',
    '晙晛晜晝晞晠晢晣晥晧晩',
    4,
    '晱晲晳晵晸晹晻晼晽晿暀暁暃暅暆暈暉暊暋暍暎暏暐暒暓暔暕暘',
    4,
    '暞',
    8,
    '暩',
    4,
    '暯',
    4,
    '暵暶暷暸暺暻暼暽暿',
    25,
    '曚曞',
    7,
    '曧曨曪',
    5,
    '曱曵曶書曺曻曽朁朂會'
  ],
  [
    '9640',
    '朄朅朆朇朌朎朏朑朒朓朖朘朙朚朜朞朠',
    5,
    '朧朩朮朰朲朳朶朷朸朹朻朼朾朿杁杄杅杇杊杋杍杒杔杕杗',
    4,
    '杝杢杣杤杦杧杫杬杮東杴杶'
  ],
  [
    '9680',
    '杸杹杺杻杽枀枂枃枅枆枈枊枌枍枎枏枑枒枓枔枖枙枛枟枠枡枤枦枩枬枮枱枲枴枹',
    7,
    '柂柅',
    9,
    '柕柖柗柛柟柡柣柤柦柧柨柪柫柭柮柲柵',
    7,
    '柾栁栂栃栄栆栍栐栒栔栕栘',
    4,
    '栞栟栠栢',
    6,
    '栫',
    6,
    '栴栵栶栺栻栿桇桋桍桏桒桖',
    5
  ],
  [
    '9740',
    '桜桝桞桟桪桬',
    7,
    '桵桸',
    8,
    '梂梄梇',
    7,
    '梐梑梒梔梕梖梘',
    9,
    '梣梤梥梩梪梫梬梮梱梲梴梶梷梸'
  ],
  [
    '9780',
    '梹',
    6,
    '棁棃',
    5,
    '棊棌棎棏棐棑棓棔棖棗棙棛',
    4,
    '棡棢棤',
    9,
    '棯棲棳棴棶棷棸棻棽棾棿椀椂椃椄椆',
    4,
    '椌椏椑椓',
    11,
    '椡椢椣椥',
    7,
    '椮椯椱椲椳椵椶椷椸椺椻椼椾楀楁楃',
    16,
    '楕楖楘楙楛楜楟'
  ],
  [
    '9840',
    '楡楢楤楥楧楨楩楪楬業楯楰楲',
    4,
    '楺楻楽楾楿榁榃榅榊榋榌榎',
    5,
    '榖榗榙榚榝',
    9,
    '榩榪榬榮榯榰榲榳榵榶榸榹榺榼榽'
  ],
  [
    '9880',
    '榾榿槀槂',
    7,
    '構槍槏槑槒槓槕',
    5,
    '槜槝槞槡',
    11,
    '槮槯槰槱槳',
    9,
    '槾樀',
    9,
    '樋',
    11,
    '標',
    5,
    '樠樢',
    5,
    '権樫樬樭樮樰樲樳樴樶',
    6,
    '樿',
    4,
    '橅橆橈',
    7,
    '橑',
    6,
    '橚'
  ],
  [
    '9940',
    '橜',
    4,
    '橢橣橤橦',
    10,
    '橲',
    6,
    '橺橻橽橾橿檁檂檃檅',
    8,
    '檏檒',
    4,
    '檘',
    7,
    '檡',
    5
  ],
  ['9980', '檧檨檪檭', 114, '欥欦欨', 6],
  [
    '9a40',
    '欯欰欱欳欴欵欶欸欻欼欽欿歀歁歂歄歅歈歊歋歍',
    11,
    '歚',
    7,
    '歨歩歫',
    13,
    '歺歽歾歿殀殅殈'
  ],
  [
    '9a80',
    '殌殎殏殐殑殔殕殗殘殙殜',
    4,
    '殢',
    7,
    '殫',
    7,
    '殶殸',
    6,
    '毀毃毄毆',
    4,
    '毌毎毐毑毘毚毜',
    4,
    '毢',
    7,
    '毬毭毮毰毱毲毴毶毷毸毺毻毼毾',
    6,
    '氈',
    4,
    '氎氒気氜氝氞氠氣氥氫氬氭氱氳氶氷氹氺氻氼氾氿汃汄汅汈汋',
    4,
    '汑汒汓汖汘'
  ],
  [
    '9b40',
    '汙汚汢汣汥汦汧汫',
    4,
    '汱汳汵汷汸決汻汼汿沀沄沇沊沋沍沎沑沒沕沖沗沘沚沜沝沞沠沢沨沬沯沰沴沵沶沷沺泀況泂泃泆泇泈泋泍泎泏泑泒泘'
  ],
  [
    '9b80',
    '泙泚泜泝泟泤泦泧泩泬泭泲泴泹泿洀洂洃洅洆洈洉洊洍洏洐洑洓洔洕洖洘洜洝洟',
    5,
    '洦洨洩洬洭洯洰洴洶洷洸洺洿浀浂浄浉浌浐浕浖浗浘浛浝浟浡浢浤浥浧浨浫浬浭浰浱浲浳浵浶浹浺浻浽',
    4,
    '涃涄涆涇涊涋涍涏涐涒涖',
    4,
    '涜涢涥涬涭涰涱涳涴涶涷涹',
    5,
    '淁淂淃淈淉淊'
  ],
  [
    '9c40',
    '淍淎淏淐淒淓淔淕淗淚淛淜淟淢淣淥淧淨淩淪淭淯淰淲淴淵淶淸淺淽',
    7,
    '渆渇済渉渋渏渒渓渕渘渙減渜渞渟渢渦渧渨渪測渮渰渱渳渵'
  ],
  [
    '9c80',
    '渶渷渹渻',
    7,
    '湅',
    7,
    '湏湐湑湒湕湗湙湚湜湝湞湠',
    10,
    '湬湭湯',
    14,
    '満溁溂溄溇溈溊',
    4,
    '溑',
    6,
    '溙溚溛溝溞溠溡溣溤溦溨溩溫溬溭溮溰溳溵溸溹溼溾溿滀滃滄滅滆滈滉滊滌滍滎滐滒滖滘滙滛滜滝滣滧滪',
    5
  ],
  [
    '9d40',
    '滰滱滲滳滵滶滷滸滺',
    7,
    '漃漄漅漇漈漊',
    4,
    '漐漑漒漖',
    9,
    '漡漢漣漥漦漧漨漬漮漰漲漴漵漷',
    6,
    '漿潀潁潂'
  ],
  [
    '9d80',
    '潃潄潅潈潉潊潌潎',
    9,
    '潙潚潛潝潟潠潡潣潤潥潧',
    5,
    '潯潰潱潳潵潶潷潹潻潽',
    6,
    '澅澆澇澊澋澏',
    12,
    '澝澞澟澠澢',
    4,
    '澨',
    10,
    '澴澵澷澸澺',
    5,
    '濁濃',
    5,
    '濊',
    6,
    '濓',
    10,
    '濟濢濣濤濥'
  ],
  ['9e40', '濦', 7, '濰', 32, '瀒', 7, '瀜', 6, '瀤', 6],
  [
    '9e80',
    '瀫',
    9,
    '瀶瀷瀸瀺',
    17,
    '灍灎灐',
    13,
    '灟',
    11,
    '灮灱灲灳灴灷灹灺灻災炁炂炃炄炆炇炈炋炌炍炏炐炑炓炗炘炚炛炞',
    12,
    '炰炲炴炵炶為炾炿烄烅烆烇烉烋',
    12,
    '烚'
  ],
  [
    '9f40',
    '烜烝烞烠烡烢烣烥烪烮烰',
    6,
    '烸烺烻烼烾',
    10,
    '焋',
    4,
    '焑焒焔焗焛',
    10,
    '焧',
    7,
    '焲焳焴'
  ],
  [
    '9f80',
    '焵焷',
    13,
    '煆煇煈煉煋煍煏',
    12,
    '煝煟',
    4,
    '煥煩',
    4,
    '煯煰煱煴煵煶煷煹煻煼煾',
    5,
    '熅',
    4,
    '熋熌熍熎熐熑熒熓熕熖熗熚',
    4,
    '熡',
    6,
    '熩熪熫熭',
    5,
    '熴熶熷熸熺',
    8,
    '燄',
    9,
    '燏',
    4
  ],
  ['a040', '燖', 9, '燡燢燣燤燦燨', 5, '燯', 9, '燺', 11, '爇', 19],
  [
    'a080',
    '爛爜爞',
    9,
    '爩爫爭爮爯爲爳爴爺爼爾牀',
    6,
    '牉牊牋牎牏牐牑牓牔牕牗牘牚牜牞牠牣牤牥牨牪牫牬牭牰牱牳牴牶牷牸牻牼牽犂犃犅',
    4,
    '犌犎犐犑犓',
    11,
    '犠',
    11,
    '犮犱犲犳犵犺',
    6,
    '狅狆狇狉狊狋狌狏狑狓狔狕狖狘狚狛'
  ],
  [
    'a1a1',
    '　、。·ˉˇ¨〃々—～‖…‘’“”〔〕〈',
    7,
    '〖〗【】±×÷∶∧∨∑∏∪∩∈∷√⊥∥∠⌒⊙∫∮≡≌≈∽∝≠≮≯≤≥∞∵∴♂♀°′″℃＄¤￠￡‰§№☆★○●◎◇◆□■△▲※→←↑↓〓'
  ],
  ['a2a1', 'ⅰ', 9],
  ['a2b1', '⒈', 19, '⑴', 19, '①', 9],
  ['a2e5', '㈠', 9],
  ['a2f1', 'Ⅰ', 11],
  ['a3a1', '！＂＃￥％', 88, '￣'],
  ['a4a1', 'ぁ', 82],
  ['a5a1', 'ァ', 85],
  ['a6a1', 'Α', 16, 'Σ', 6],
  ['a6c1', 'α', 16, 'σ', 6],
  ['a6e0', '︵︶︹︺︿﹀︽︾﹁﹂﹃﹄'],
  ['a6ee', '︻︼︷︸︱'],
  ['a6f4', '︳︴'],
  ['a7a1', 'А', 5, 'ЁЖ', 25],
  ['a7d1', 'а', 5, 'ёж', 25],
  ['a840', 'ˊˋ˙–―‥‵℅℉↖↗↘↙∕∟∣≒≦≧⊿═', 35, '▁', 6],
  ['a880', '█', 7, '▓▔▕▼▽◢◣◤◥☉⊕〒〝〞'],
  ['a8a1', 'āáǎàēéěèīíǐìōóǒòūúǔùǖǘǚǜüêɑ'],
  ['a8bd', 'ńň'],
  ['a8c0', 'ɡ'],
  ['a8c5', 'ㄅ', 36],
  ['a940', '〡', 8, '㊣㎎㎏㎜㎝㎞㎡㏄㏎㏑㏒㏕︰￢￤'],
  ['a959', '℡㈱'],
  ['a95c', '‐'],
  ['a960', 'ー゛゜ヽヾ〆ゝゞ﹉', 9, '﹔﹕﹖﹗﹙', 8],
  ['a980', '﹢', 4, '﹨﹩﹪﹫'],
  ['a996', '〇'],
  ['a9a4', '─', 75],
  [
    'aa40',
    '狜狝狟狢',
    5,
    '狪狫狵狶狹狽狾狿猀猂猄',
    5,
    '猋猌猍猏猐猑猒猔猘猙猚猟猠猣猤猦猧猨猭猯猰猲猳猵猶猺猻猼猽獀',
    8
  ],
  ['aa80', '獉獊獋獌獎獏獑獓獔獕獖獘', 7, '獡', 10, '獮獰獱'],
  [
    'ab40',
    '獲',
    11,
    '獿',
    4,
    '玅玆玈玊玌玍玏玐玒玓玔玕玗玘玙玚玜玝玞玠玡玣',
    5,
    '玪玬玭玱玴玵玶玸玹玼玽玾玿珁珃',
    4
  ],
  ['ab80', '珋珌珎珒', 6, '珚珛珜珝珟珡珢珣珤珦珨珪珫珬珮珯珰珱珳', 4],
  [
    'ac40',
    '珸',
    10,
    '琄琇琈琋琌琍琎琑',
    8,
    '琜',
    5,
    '琣琤琧琩琫琭琯琱琲琷',
    4,
    '琽琾琿瑀瑂',
    11
  ],
  ['ac80', '瑎', 6, '瑖瑘瑝瑠', 12, '瑮瑯瑱', 4, '瑸瑹瑺'],
  ['ad40', '瑻瑼瑽瑿璂璄璅璆璈璉璊璌璍璏璑', 10, '璝璟', 7, '璪', 15, '璻', 12],
  ['ad80', '瓈', 9, '瓓', 8, '瓝瓟瓡瓥瓧', 6, '瓰瓱瓲'],
  [
    'ae40',
    '瓳瓵瓸',
    6,
    '甀甁甂甃甅',
    7,
    '甎甐甒甔甕甖甗甛甝甞甠',
    4,
    '甦甧甪甮甴甶甹甼甽甿畁畂畃畄畆畇畉畊畍畐畑畒畓畕畖畗畘'
  ],
  ['ae80', '畝', 7, '畧畨畩畫', 6, '畳畵當畷畺', 4, '疀疁疂疄疅疇'],
  [
    'af40',
    '疈疉疊疌疍疎疐疓疕疘疛疜疞疢疦',
    4,
    '疭疶疷疺疻疿痀痁痆痋痌痎痏痐痑痓痗痙痚痜痝痟痠痡痥痩痬痭痮痯痲痳痵痶痷痸痺痻痽痾瘂瘄瘆瘇'
  ],
  [
    'af80',
    '瘈瘉瘋瘍瘎瘏瘑瘒瘓瘔瘖瘚瘜瘝瘞瘡瘣瘧瘨瘬瘮瘯瘱瘲瘶瘷瘹瘺瘻瘽癁療癄'
  ],
  [
    'b040',
    '癅',
    6,
    '癎',
    5,
    '癕癗',
    4,
    '癝癟癠癡癢癤',
    6,
    '癬癭癮癰',
    7,
    '癹発發癿皀皁皃皅皉皊皌皍皏皐皒皔皕皗皘皚皛'
  ],
  [
    'b080',
    '皜',
    7,
    '皥',
    8,
    '皯皰皳皵',
    9,
    '盀盁盃啊阿埃挨哎唉哀皑癌蔼矮艾碍爱隘鞍氨安俺按暗岸胺案肮昂盎凹敖熬翱袄傲奥懊澳芭捌扒叭吧笆八疤巴拔跋靶把耙坝霸罢爸白柏百摆佰败拜稗斑班搬扳般颁板版扮拌伴瓣半办绊邦帮梆榜膀绑棒磅蚌镑傍谤苞胞包褒剥'
  ],
  [
    'b140',
    '盄盇盉盋盌盓盕盙盚盜盝盞盠',
    4,
    '盦',
    7,
    '盰盳盵盶盷盺盻盽盿眀眂眃眅眆眊県眎',
    10,
    '眛眜眝眞眡眣眤眥眧眪眫'
  ],
  [
    'b180',
    '眬眮眰',
    4,
    '眹眻眽眾眿睂睄睅睆睈',
    7,
    '睒',
    7,
    '睜薄雹保堡饱宝抱报暴豹鲍爆杯碑悲卑北辈背贝钡倍狈备惫焙被奔苯本笨崩绷甭泵蹦迸逼鼻比鄙笔彼碧蓖蔽毕毙毖币庇痹闭敝弊必辟壁臂避陛鞭边编贬扁便变卞辨辩辫遍标彪膘表鳖憋别瘪彬斌濒滨宾摈兵冰柄丙秉饼炳'
  ],
  [
    'b240',
    '睝睞睟睠睤睧睩睪睭',
    11,
    '睺睻睼瞁瞂瞃瞆',
    5,
    '瞏瞐瞓',
    11,
    '瞡瞣瞤瞦瞨瞫瞭瞮瞯瞱瞲瞴瞶',
    4
  ],
  [
    'b280',
    '瞼瞾矀',
    12,
    '矎',
    8,
    '矘矙矚矝',
    4,
    '矤病并玻菠播拨钵波博勃搏铂箔伯帛舶脖膊渤泊驳捕卜哺补埠不布步簿部怖擦猜裁材才财睬踩采彩菜蔡餐参蚕残惭惨灿苍舱仓沧藏操糙槽曹草厕策侧册测层蹭插叉茬茶查碴搽察岔差诧拆柴豺搀掺蝉馋谗缠铲产阐颤昌猖'
  ],
  [
    'b340',
    '矦矨矪矯矰矱矲矴矵矷矹矺矻矼砃',
    5,
    '砊砋砎砏砐砓砕砙砛砞砠砡砢砤砨砪砫砮砯砱砲砳砵砶砽砿硁硂硃硄硆硈硉硊硋硍硏硑硓硔硘硙硚'
  ],
  [
    'b380',
    '硛硜硞',
    11,
    '硯',
    7,
    '硸硹硺硻硽',
    6,
    '场尝常长偿肠厂敞畅唱倡超抄钞朝嘲潮巢吵炒车扯撤掣彻澈郴臣辰尘晨忱沉陈趁衬撑称城橙成呈乘程惩澄诚承逞骋秤吃痴持匙池迟弛驰耻齿侈尺赤翅斥炽充冲虫崇宠抽酬畴踌稠愁筹仇绸瞅丑臭初出橱厨躇锄雏滁除楚'
  ],
  [
    'b440',
    '碄碅碆碈碊碋碏碐碒碔碕碖碙碝碞碠碢碤碦碨',
    7,
    '碵碶碷碸確碻碼碽碿磀磂磃磄磆磇磈磌磍磎磏磑磒磓磖磗磘磚',
    9
  ],
  [
    'b480',
    '磤磥磦磧磩磪磫磭',
    4,
    '磳磵磶磸磹磻',
    5,
    '礂礃礄礆',
    6,
    '础储矗搐触处揣川穿椽传船喘串疮窗幢床闯创吹炊捶锤垂春椿醇唇淳纯蠢戳绰疵茨磁雌辞慈瓷词此刺赐次聪葱囱匆从丛凑粗醋簇促蹿篡窜摧崔催脆瘁粹淬翠村存寸磋撮搓措挫错搭达答瘩打大呆歹傣戴带殆代贷袋待逮'
  ],
  [
    'b540',
    '礍',
    5,
    '礔',
    9,
    '礟',
    4,
    '礥',
    14,
    '礵',
    4,
    '礽礿祂祃祄祅祇祊',
    8,
    '祔祕祘祙祡祣'
  ],
  [
    'b580',
    '祤祦祩祪祫祬祮祰',
    6,
    '祹祻',
    4,
    '禂禃禆禇禈禉禋禌禍禎禐禑禒怠耽担丹单郸掸胆旦氮但惮淡诞弹蛋当挡党荡档刀捣蹈倒岛祷导到稻悼道盗德得的蹬灯登等瞪凳邓堤低滴迪敌笛狄涤翟嫡抵底地蒂第帝弟递缔颠掂滇碘点典靛垫电佃甸店惦奠淀殿碉叼雕凋刁掉吊钓调跌爹碟蝶迭谍叠'
  ],
  [
    'b640',
    '禓',
    6,
    '禛',
    11,
    '禨',
    10,
    '禴',
    4,
    '禼禿秂秄秅秇秈秊秌秎秏秐秓秔秖秗秙',
    5,
    '秠秡秢秥秨秪'
  ],
  [
    'b680',
    '秬秮秱',
    6,
    '秹秺秼秾秿稁稄稅稇稈稉稊稌稏',
    4,
    '稕稖稘稙稛稜丁盯叮钉顶鼎锭定订丢东冬董懂动栋侗恫冻洞兜抖斗陡豆逗痘都督毒犊独读堵睹赌杜镀肚度渡妒端短锻段断缎堆兑队对墩吨蹲敦顿囤钝盾遁掇哆多夺垛躲朵跺舵剁惰堕蛾峨鹅俄额讹娥恶厄扼遏鄂饿恩而儿耳尔饵洱二'
  ],
  ['b740', '稝稟稡稢稤', 14, '稴稵稶稸稺稾穀', 5, '穇', 9, '穒', 4, '穘', 16],
  [
    'b780',
    '穩',
    6,
    '穱穲穳穵穻穼穽穾窂窅窇窉窊窋窌窎窏窐窓窔窙窚窛窞窡窢贰发罚筏伐乏阀法珐藩帆番翻樊矾钒繁凡烦反返范贩犯饭泛坊芳方肪房防妨仿访纺放菲非啡飞肥匪诽吠肺废沸费芬酚吩氛分纷坟焚汾粉奋份忿愤粪丰封枫蜂峰锋风疯烽逢冯缝讽奉凤佛否夫敷肤孵扶拂辐幅氟符伏俘服'
  ],
  [
    'b840',
    '窣窤窧窩窪窫窮',
    4,
    '窴',
    10,
    '竀',
    10,
    '竌',
    9,
    '竗竘竚竛竜竝竡竢竤竧',
    5,
    '竮竰竱竲竳'
  ],
  [
    'b880',
    '竴',
    4,
    '竻竼竾笀笁笂笅笇笉笌笍笎笐笒笓笖笗笘笚笜笝笟笡笢笣笧笩笭浮涪福袱弗甫抚辅俯釜斧脯腑府腐赴副覆赋复傅付阜父腹负富讣附妇缚咐噶嘎该改概钙盖溉干甘杆柑竿肝赶感秆敢赣冈刚钢缸肛纲岗港杠篙皋高膏羔糕搞镐稿告哥歌搁戈鸽胳疙割革葛格蛤阁隔铬个各给根跟耕更庚羹'
  ],
  [
    'b940',
    '笯笰笲笴笵笶笷笹笻笽笿',
    5,
    '筆筈筊筍筎筓筕筗筙筜筞筟筡筣',
    10,
    '筯筰筳筴筶筸筺筼筽筿箁箂箃箄箆',
    6,
    '箎箏'
  ],
  [
    'b980',
    '箑箒箓箖箘箙箚箛箞箟箠箣箤箥箮箯箰箲箳箵箶箷箹',
    7,
    '篂篃範埂耿梗工攻功恭龚供躬公宫弓巩汞拱贡共钩勾沟苟狗垢构购够辜菇咕箍估沽孤姑鼓古蛊骨谷股故顾固雇刮瓜剐寡挂褂乖拐怪棺关官冠观管馆罐惯灌贯光广逛瑰规圭硅归龟闺轨鬼诡癸桂柜跪贵刽辊滚棍锅郭国果裹过哈'
  ],
  [
    'ba40',
    '篅篈築篊篋篍篎篏篐篒篔',
    4,
    '篛篜篞篟篠篢篣篤篧篨篩篫篬篭篯篰篲',
    4,
    '篸篹篺篻篽篿',
    7,
    '簈簉簊簍簎簐',
    5,
    '簗簘簙'
  ],
  [
    'ba80',
    '簚',
    4,
    '簠',
    5,
    '簨簩簫',
    12,
    '簹',
    5,
    '籂骸孩海氦亥害骇酣憨邯韩含涵寒函喊罕翰撼捍旱憾悍焊汗汉夯杭航壕嚎豪毫郝好耗号浩呵喝荷菏核禾和何合盒貉阂河涸赫褐鹤贺嘿黑痕很狠恨哼亨横衡恒轰哄烘虹鸿洪宏弘红喉侯猴吼厚候后呼乎忽瑚壶葫胡蝴狐糊湖'
  ],
  ['bb40', '籃', 9, '籎', 36, '籵', 5, '籾', 9],
  [
    'bb80',
    '粈粊',
    6,
    '粓粔粖粙粚粛粠粡粣粦粧粨粩粫粬粭粯粰粴',
    4,
    '粺粻弧虎唬护互沪户花哗华猾滑画划化话槐徊怀淮坏欢环桓还缓换患唤痪豢焕涣宦幻荒慌黄磺蝗簧皇凰惶煌晃幌恍谎灰挥辉徽恢蛔回毁悔慧卉惠晦贿秽会烩汇讳诲绘荤昏婚魂浑混豁活伙火获或惑霍货祸击圾基机畸稽积箕'
  ],
  [
    'bc40',
    '粿糀糂糃糄糆糉糋糎',
    6,
    '糘糚糛糝糞糡',
    6,
    '糩',
    5,
    '糰',
    7,
    '糹糺糼',
    13,
    '紋',
    5
  ],
  [
    'bc80',
    '紑',
    14,
    '紡紣紤紥紦紨紩紪紬紭紮細',
    6,
    '肌饥迹激讥鸡姬绩缉吉极棘辑籍集及急疾汲即嫉级挤几脊己蓟技冀季伎祭剂悸济寄寂计记既忌际妓继纪嘉枷夹佳家加荚颊贾甲钾假稼价架驾嫁歼监坚尖笺间煎兼肩艰奸缄茧检柬碱硷拣捡简俭剪减荐槛鉴践贱见键箭件'
  ],
  ['bd40', '紷', 54, '絯', 7],
  [
    'bd80',
    '絸',
    32,
    '健舰剑饯渐溅涧建僵姜将浆江疆蒋桨奖讲匠酱降蕉椒礁焦胶交郊浇骄娇嚼搅铰矫侥脚狡角饺缴绞剿教酵轿较叫窖揭接皆秸街阶截劫节桔杰捷睫竭洁结解姐戒藉芥界借介疥诫届巾筋斤金今津襟紧锦仅谨进靳晋禁近烬浸'
  ],
  ['be40', '継', 12, '綧', 6, '綯', 42],
  [
    'be80',
    '線',
    32,
    '尽劲荆兢茎睛晶鲸京惊精粳经井警景颈静境敬镜径痉靖竟竞净炯窘揪究纠玖韭久灸九酒厩救旧臼舅咎就疚鞠拘狙疽居驹菊局咀矩举沮聚拒据巨具距踞锯俱句惧炬剧捐鹃娟倦眷卷绢撅攫抉掘倔爵觉决诀绝均菌钧军君峻'
  ],
  ['bf40', '緻', 62],
  [
    'bf80',
    '縺縼',
    4,
    '繂',
    4,
    '繈',
    21,
    '俊竣浚郡骏喀咖卡咯开揩楷凯慨刊堪勘坎砍看康慷糠扛抗亢炕考拷烤靠坷苛柯棵磕颗科壳咳可渴克刻客课肯啃垦恳坑吭空恐孔控抠口扣寇枯哭窟苦酷库裤夸垮挎跨胯块筷侩快宽款匡筐狂框矿眶旷况亏盔岿窥葵奎魁傀'
  ],
  ['c040', '繞', 35, '纃', 23, '纜纝纞'],
  [
    'c080',
    '纮纴纻纼绖绤绬绹缊缐缞缷缹缻',
    6,
    '罃罆',
    9,
    '罒罓馈愧溃坤昆捆困括扩廓阔垃拉喇蜡腊辣啦莱来赖蓝婪栏拦篮阑兰澜谰揽览懒缆烂滥琅榔狼廊郎朗浪捞劳牢老佬姥酪烙涝勒乐雷镭蕾磊累儡垒擂肋类泪棱楞冷厘梨犁黎篱狸离漓理李里鲤礼莉荔吏栗丽厉励砾历利傈例俐'
  ],
  [
    'c140',
    '罖罙罛罜罝罞罠罣',
    4,
    '罫罬罭罯罰罳罵罶罷罸罺罻罼罽罿羀羂',
    7,
    '羋羍羏',
    4,
    '羕',
    4,
    '羛羜羠羢羣羥羦羨',
    6,
    '羱'
  ],
  [
    'c180',
    '羳',
    4,
    '羺羻羾翀翂翃翄翆翇翈翉翋翍翏',
    4,
    '翖翗翙',
    5,
    '翢翣痢立粒沥隶力璃哩俩联莲连镰廉怜涟帘敛脸链恋炼练粮凉梁粱良两辆量晾亮谅撩聊僚疗燎寥辽潦了撂镣廖料列裂烈劣猎琳林磷霖临邻鳞淋凛赁吝拎玲菱零龄铃伶羚凌灵陵岭领另令溜琉榴硫馏留刘瘤流柳六龙聋咙笼窿'
  ],
  [
    'c240',
    '翤翧翨翪翫翬翭翯翲翴',
    6,
    '翽翾翿耂耇耈耉耊耎耏耑耓耚耛耝耞耟耡耣耤耫',
    5,
    '耲耴耹耺耼耾聀聁聄聅聇聈聉聎聏聐聑聓聕聖聗'
  ],
  [
    'c280',
    '聙聛',
    13,
    '聫',
    5,
    '聲',
    11,
    '隆垄拢陇楼娄搂篓漏陋芦卢颅庐炉掳卤虏鲁麓碌露路赂鹿潞禄录陆戮驴吕铝侣旅履屡缕虑氯律率滤绿峦挛孪滦卵乱掠略抡轮伦仑沦纶论萝螺罗逻锣箩骡裸落洛骆络妈麻玛码蚂马骂嘛吗埋买麦卖迈脉瞒馒蛮满蔓曼慢漫'
  ],
  [
    'c340',
    '聾肁肂肅肈肊肍',
    5,
    '肔肕肗肙肞肣肦肧肨肬肰肳肵肶肸肹肻胅胇',
    4,
    '胏',
    6,
    '胘胟胠胢胣胦胮胵胷胹胻胾胿脀脁脃脄脅脇脈脋'
  ],
  [
    'c380',
    '脌脕脗脙脛脜脝脟',
    12,
    '脭脮脰脳脴脵脷脹',
    4,
    '脿谩芒茫盲氓忙莽猫茅锚毛矛铆卯茂冒帽貌贸么玫枚梅酶霉煤没眉媒镁每美昧寐妹媚门闷们萌蒙檬盟锰猛梦孟眯醚靡糜迷谜弥米秘觅泌蜜密幂棉眠绵冕免勉娩缅面苗描瞄藐秒渺庙妙蔑灭民抿皿敏悯闽明螟鸣铭名命谬摸'
  ],
  [
    'c440',
    '腀',
    5,
    '腇腉腍腎腏腒腖腗腘腛',
    4,
    '腡腢腣腤腦腨腪腫腬腯腲腳腵腶腷腸膁膃',
    4,
    '膉膋膌膍膎膐膒',
    5,
    '膙膚膞',
    4,
    '膤膥'
  ],
  [
    'c480',
    '膧膩膫',
    7,
    '膴',
    5,
    '膼膽膾膿臄臅臇臈臉臋臍',
    6,
    '摹蘑模膜磨摩魔抹末莫墨默沫漠寞陌谋牟某拇牡亩姆母墓暮幕募慕木目睦牧穆拿哪呐钠那娜纳氖乃奶耐奈南男难囊挠脑恼闹淖呢馁内嫩能妮霓倪泥尼拟你匿腻逆溺蔫拈年碾撵捻念娘酿鸟尿捏聂孽啮镊镍涅您柠狞凝宁'
  ],
  [
    'c540',
    '臔',
    14,
    '臤臥臦臨臩臫臮',
    4,
    '臵',
    5,
    '臽臿舃與',
    4,
    '舎舏舑舓舕',
    5,
    '舝舠舤舥舦舧舩舮舲舺舼舽舿'
  ],
  [
    'c580',
    '艀艁艂艃艅艆艈艊艌艍艎艐',
    7,
    '艙艛艜艝艞艠',
    7,
    '艩拧泞牛扭钮纽脓浓农弄奴努怒女暖虐疟挪懦糯诺哦欧鸥殴藕呕偶沤啪趴爬帕怕琶拍排牌徘湃派攀潘盘磐盼畔判叛乓庞旁耪胖抛咆刨炮袍跑泡呸胚培裴赔陪配佩沛喷盆砰抨烹澎彭蓬棚硼篷膨朋鹏捧碰坯砒霹批披劈琵毗'
  ],
  [
    'c640',
    '艪艫艬艭艱艵艶艷艸艻艼芀芁芃芅芆芇芉芌芐芓芔芕芖芚芛芞芠芢芣芧芲芵芶芺芻芼芿苀苂苃苅苆苉苐苖苙苚苝苢苧苨苩苪苬苭苮苰苲苳苵苶苸'
  ],
  [
    'c680',
    '苺苼',
    4,
    '茊茋茍茐茒茓茖茘茙茝',
    9,
    '茩茪茮茰茲茷茻茽啤脾疲皮匹痞僻屁譬篇偏片骗飘漂瓢票撇瞥拼频贫品聘乒坪苹萍平凭瓶评屏坡泼颇婆破魄迫粕剖扑铺仆莆葡菩蒲埔朴圃普浦谱曝瀑期欺栖戚妻七凄漆柒沏其棋奇歧畦崎脐齐旗祈祁骑起岂乞企启契砌器气迄弃汽泣讫掐'
  ],
  [
    'c740',
    '茾茿荁荂荄荅荈荊',
    4,
    '荓荕',
    4,
    '荝荢荰',
    6,
    '荹荺荾',
    6,
    '莇莈莊莋莌莍莏莐莑莔莕莖莗莙莚莝莟莡',
    6,
    '莬莭莮'
  ],
  [
    'c780',
    '莯莵莻莾莿菂菃菄菆菈菉菋菍菎菐菑菒菓菕菗菙菚菛菞菢菣菤菦菧菨菫菬菭恰洽牵扦钎铅千迁签仟谦乾黔钱钳前潜遣浅谴堑嵌欠歉枪呛腔羌墙蔷强抢橇锹敲悄桥瞧乔侨巧鞘撬翘峭俏窍切茄且怯窃钦侵亲秦琴勤芹擒禽寝沁青轻氢倾卿清擎晴氰情顷请庆琼穷秋丘邱球求囚酋泅趋区蛆曲躯屈驱渠'
  ],
  [
    'c840',
    '菮華菳',
    4,
    '菺菻菼菾菿萀萂萅萇萈萉萊萐萒',
    5,
    '萙萚萛萞',
    5,
    '萩',
    7,
    '萲',
    5,
    '萹萺萻萾',
    7,
    '葇葈葉'
  ],
  [
    'c880',
    '葊',
    6,
    '葒',
    4,
    '葘葝葞葟葠葢葤',
    4,
    '葪葮葯葰葲葴葷葹葻葼取娶龋趣去圈颧权醛泉全痊拳犬券劝缺炔瘸却鹊榷确雀裙群然燃冉染瓤壤攘嚷让饶扰绕惹热壬仁人忍韧任认刃妊纫扔仍日戎茸蓉荣融熔溶容绒冗揉柔肉茹蠕儒孺如辱乳汝入褥软阮蕊瑞锐闰润若弱撒洒萨腮鳃塞赛三叁'
  ],
  [
    'c940',
    '葽',
    4,
    '蒃蒄蒅蒆蒊蒍蒏',
    7,
    '蒘蒚蒛蒝蒞蒟蒠蒢',
    12,
    '蒰蒱蒳蒵蒶蒷蒻蒼蒾蓀蓂蓃蓅蓆蓇蓈蓋蓌蓎蓏蓒蓔蓕蓗'
  ],
  [
    'c980',
    '蓘',
    4,
    '蓞蓡蓢蓤蓧',
    4,
    '蓭蓮蓯蓱',
    10,
    '蓽蓾蔀蔁蔂伞散桑嗓丧搔骚扫嫂瑟色涩森僧莎砂杀刹沙纱傻啥煞筛晒珊苫杉山删煽衫闪陕擅赡膳善汕扇缮墒伤商赏晌上尚裳梢捎稍烧芍勺韶少哨邵绍奢赊蛇舌舍赦摄射慑涉社设砷申呻伸身深娠绅神沈审婶甚肾慎渗声生甥牲升绳'
  ],
  [
    'ca40',
    '蔃',
    8,
    '蔍蔎蔏蔐蔒蔔蔕蔖蔘蔙蔛蔜蔝蔞蔠蔢',
    8,
    '蔭',
    9,
    '蔾',
    4,
    '蕄蕅蕆蕇蕋',
    10
  ],
  [
    'ca80',
    '蕗蕘蕚蕛蕜蕝蕟',
    4,
    '蕥蕦蕧蕩',
    8,
    '蕳蕵蕶蕷蕸蕼蕽蕿薀薁省盛剩胜圣师失狮施湿诗尸虱十石拾时什食蚀实识史矢使屎驶始式示士世柿事拭誓逝势是嗜噬适仕侍释饰氏市恃室视试收手首守寿授售受瘦兽蔬枢梳殊抒输叔舒淑疏书赎孰熟薯暑曙署蜀黍鼠属术述树束戍竖墅庶数漱'
  ],
  [
    'cb40',
    '薂薃薆薈',
    6,
    '薐',
    10,
    '薝',
    6,
    '薥薦薧薩薫薬薭薱',
    5,
    '薸薺',
    6,
    '藂',
    6,
    '藊',
    4,
    '藑藒'
  ],
  [
    'cb80',
    '藔藖',
    5,
    '藝',
    6,
    '藥藦藧藨藪',
    14,
    '恕刷耍摔衰甩帅栓拴霜双爽谁水睡税吮瞬顺舜说硕朔烁斯撕嘶思私司丝死肆寺嗣四伺似饲巳松耸怂颂送宋讼诵搜艘擞嗽苏酥俗素速粟僳塑溯宿诉肃酸蒜算虽隋随绥髓碎岁穗遂隧祟孙损笋蓑梭唆缩琐索锁所塌他它她塔'
  ],
  [
    'cc40',
    '藹藺藼藽藾蘀',
    4,
    '蘆',
    10,
    '蘒蘓蘔蘕蘗',
    15,
    '蘨蘪',
    13,
    '蘹蘺蘻蘽蘾蘿虀'
  ],
  [
    'cc80',
    '虁',
    11,
    '虒虓處',
    4,
    '虛虜虝號虠虡虣',
    7,
    '獭挞蹋踏胎苔抬台泰酞太态汰坍摊贪瘫滩坛檀痰潭谭谈坦毯袒碳探叹炭汤塘搪堂棠膛唐糖倘躺淌趟烫掏涛滔绦萄桃逃淘陶讨套特藤腾疼誊梯剔踢锑提题蹄啼体替嚏惕涕剃屉天添填田甜恬舔腆挑条迢眺跳贴铁帖厅听烃'
  ],
  [
    'cd40',
    '虭虯虰虲',
    6,
    '蚃',
    6,
    '蚎',
    4,
    '蚔蚖',
    5,
    '蚞',
    4,
    '蚥蚦蚫蚭蚮蚲蚳蚷蚸蚹蚻',
    4,
    '蛁蛂蛃蛅蛈蛌蛍蛒蛓蛕蛖蛗蛚蛜'
  ],
  [
    'cd80',
    '蛝蛠蛡蛢蛣蛥蛦蛧蛨蛪蛫蛬蛯蛵蛶蛷蛺蛻蛼蛽蛿蜁蜄蜅蜆蜋蜌蜎蜏蜐蜑蜔蜖汀廷停亭庭挺艇通桐酮瞳同铜彤童桶捅筒统痛偷投头透凸秃突图徒途涂屠土吐兔湍团推颓腿蜕褪退吞屯臀拖托脱鸵陀驮驼椭妥拓唾挖哇蛙洼娃瓦袜歪外豌弯湾玩顽丸烷完碗挽晚皖惋宛婉万腕汪王亡枉网往旺望忘妄威'
  ],
  [
    'ce40',
    '蜙蜛蜝蜟蜠蜤蜦蜧蜨蜪蜫蜬蜭蜯蜰蜲蜳蜵蜶蜸蜹蜺蜼蜽蝀',
    6,
    '蝊蝋蝍蝏蝐蝑蝒蝔蝕蝖蝘蝚',
    5,
    '蝡蝢蝦',
    7,
    '蝯蝱蝲蝳蝵'
  ],
  [
    'ce80',
    '蝷蝸蝹蝺蝿螀螁螄螆螇螉螊螌螎',
    4,
    '螔螕螖螘',
    6,
    '螠',
    4,
    '巍微危韦违桅围唯惟为潍维苇萎委伟伪尾纬未蔚味畏胃喂魏位渭谓尉慰卫瘟温蚊文闻纹吻稳紊问嗡翁瓮挝蜗涡窝我斡卧握沃巫呜钨乌污诬屋无芜梧吾吴毋武五捂午舞伍侮坞戊雾晤物勿务悟误昔熙析西硒矽晰嘻吸锡牺'
  ],
  [
    'cf40',
    '螥螦螧螩螪螮螰螱螲螴螶螷螸螹螻螼螾螿蟁',
    4,
    '蟇蟈蟉蟌',
    4,
    '蟔',
    6,
    '蟜蟝蟞蟟蟡蟢蟣蟤蟦蟧蟨蟩蟫蟬蟭蟯',
    9
  ],
  [
    'cf80',
    '蟺蟻蟼蟽蟿蠀蠁蠂蠄',
    5,
    '蠋',
    7,
    '蠔蠗蠘蠙蠚蠜',
    4,
    '蠣稀息希悉膝夕惜熄烯溪汐犀檄袭席习媳喜铣洗系隙戏细瞎虾匣霞辖暇峡侠狭下厦夏吓掀锨先仙鲜纤咸贤衔舷闲涎弦嫌显险现献县腺馅羡宪陷限线相厢镶香箱襄湘乡翔祥详想响享项巷橡像向象萧硝霄削哮嚣销消宵淆晓'
  ],
  [
    'd040',
    '蠤',
    13,
    '蠳',
    5,
    '蠺蠻蠽蠾蠿衁衂衃衆',
    5,
    '衎',
    5,
    '衕衖衘衚',
    6,
    '衦衧衪衭衯衱衳衴衵衶衸衹衺'
  ],
  [
    'd080',
    '衻衼袀袃袆袇袉袊袌袎袏袐袑袓袔袕袗',
    4,
    '袝',
    4,
    '袣袥',
    5,
    '小孝校肖啸笑效楔些歇蝎鞋协挟携邪斜胁谐写械卸蟹懈泄泻谢屑薪芯锌欣辛新忻心信衅星腥猩惺兴刑型形邢行醒幸杏性姓兄凶胸匈汹雄熊休修羞朽嗅锈秀袖绣墟戌需虚嘘须徐许蓄酗叙旭序畜恤絮婿绪续轩喧宣悬旋玄'
  ],
  [
    'd140',
    '袬袮袯袰袲',
    4,
    '袸袹袺袻袽袾袿裀裃裄裇裈裊裋裌裍裏裐裑裓裖裗裚',
    4,
    '裠裡裦裧裩',
    6,
    '裲裵裶裷裺裻製裿褀褁褃',
    5
  ],
  [
    'd180',
    '褉褋',
    4,
    '褑褔',
    4,
    '褜',
    4,
    '褢褣褤褦褧褨褩褬褭褮褯褱褲褳褵褷选癣眩绚靴薛学穴雪血勋熏循旬询寻驯巡殉汛训讯逊迅压押鸦鸭呀丫芽牙蚜崖衙涯雅哑亚讶焉咽阉烟淹盐严研蜒岩延言颜阎炎沿奄掩眼衍演艳堰燕厌砚雁唁彦焰宴谚验殃央鸯秧杨扬佯疡羊洋阳氧仰痒养样漾邀腰妖瑶'
  ],
  ['d240', '褸', 8, '襂襃襅', 24, '襠', 5, '襧', 19, '襼'],
  [
    'd280',
    '襽襾覀覂覄覅覇',
    26,
    '摇尧遥窑谣姚咬舀药要耀椰噎耶爷野冶也页掖业叶曳腋夜液一壹医揖铱依伊衣颐夷遗移仪胰疑沂宜姨彝椅蚁倚已乙矣以艺抑易邑屹亿役臆逸肄疫亦裔意毅忆义益溢诣议谊译异翼翌绎茵荫因殷音阴姻吟银淫寅饮尹引隐'
  ],
  ['d340', '覢', 30, '觃觍觓觔觕觗觘觙觛觝觟觠觡觢觤觧觨觩觪觬觭觮觰觱觲觴', 6],
  [
    'd380',
    '觻',
    4,
    '訁',
    5,
    '計',
    21,
    '印英樱婴鹰应缨莹萤营荧蝇迎赢盈影颖硬映哟拥佣臃痈庸雍踊蛹咏泳涌永恿勇用幽优悠忧尤由邮铀犹油游酉有友右佑釉诱又幼迂淤于盂榆虞愚舆余俞逾鱼愉渝渔隅予娱雨与屿禹宇语羽玉域芋郁吁遇喻峪御愈欲狱育誉'
  ],
  ['d440', '訞', 31, '訿', 8, '詉', 21],
  [
    'd480',
    '詟',
    25,
    '詺',
    6,
    '浴寓裕预豫驭鸳渊冤元垣袁原援辕园员圆猿源缘远苑愿怨院曰约越跃钥岳粤月悦阅耘云郧匀陨允运蕴酝晕韵孕匝砸杂栽哉灾宰载再在咱攒暂赞赃脏葬遭糟凿藻枣早澡蚤躁噪造皂灶燥责择则泽贼怎增憎曾赠扎喳渣札轧'
  ],
  ['d540', '誁', 7, '誋', 7, '誔', 46],
  [
    'd580',
    '諃',
    32,
    '铡闸眨栅榨咋乍炸诈摘斋宅窄债寨瞻毡詹粘沾盏斩辗崭展蘸栈占战站湛绽樟章彰漳张掌涨杖丈帐账仗胀瘴障招昭找沼赵照罩兆肇召遮折哲蛰辙者锗蔗这浙珍斟真甄砧臻贞针侦枕疹诊震振镇阵蒸挣睁征狰争怔整拯正政'
  ],
  ['d640', '諤', 34, '謈', 27],
  [
    'd680',
    '謤謥謧',
    30,
    '帧症郑证芝枝支吱蜘知肢脂汁之织职直植殖执值侄址指止趾只旨纸志挚掷至致置帜峙制智秩稚质炙痔滞治窒中盅忠钟衷终种肿重仲众舟周州洲诌粥轴肘帚咒皱宙昼骤珠株蛛朱猪诸诛逐竹烛煮拄瞩嘱主著柱助蛀贮铸筑'
  ],
  ['d740', '譆', 31, '譧', 4, '譭', 25],
  [
    'd780',
    '讇',
    24,
    '讬讱讻诇诐诪谉谞住注祝驻抓爪拽专砖转撰赚篆桩庄装妆撞壮状椎锥追赘坠缀谆准捉拙卓桌琢茁酌啄着灼浊兹咨资姿滋淄孜紫仔籽滓子自渍字鬃棕踪宗综总纵邹走奏揍租足卒族祖诅阻组钻纂嘴醉最罪尊遵昨左佐柞做作坐座'
  ],
  [
    'd840',
    '谸',
    8,
    '豂豃豄豅豈豊豋豍',
    7,
    '豖豗豘豙豛',
    5,
    '豣',
    6,
    '豬',
    6,
    '豴豵豶豷豻',
    6,
    '貃貄貆貇'
  ],
  [
    'd880',
    '貈貋貍',
    6,
    '貕貖貗貙',
    20,
    '亍丌兀丐廿卅丕亘丞鬲孬噩丨禺丿匕乇夭爻卮氐囟胤馗毓睾鼗丶亟鼐乜乩亓芈孛啬嘏仄厍厝厣厥厮靥赝匚叵匦匮匾赜卦卣刂刈刎刭刳刿剀剌剞剡剜蒯剽劂劁劐劓冂罔亻仃仉仂仨仡仫仞伛仳伢佤仵伥伧伉伫佞佧攸佚佝'
  ],
  ['d940', '貮', 62],
  [
    'd980',
    '賭',
    32,
    '佟佗伲伽佶佴侑侉侃侏佾佻侪佼侬侔俦俨俪俅俚俣俜俑俟俸倩偌俳倬倏倮倭俾倜倌倥倨偾偃偕偈偎偬偻傥傧傩傺僖儆僭僬僦僮儇儋仝氽佘佥俎龠汆籴兮巽黉馘冁夔勹匍訇匐凫夙兕亠兖亳衮袤亵脔裒禀嬴蠃羸冫冱冽冼'
  ],
  [
    'da40',
    '贎',
    14,
    '贠赑赒赗赟赥赨赩赪赬赮赯赱赲赸',
    8,
    '趂趃趆趇趈趉趌',
    4,
    '趒趓趕',
    9,
    '趠趡'
  ],
  [
    'da80',
    '趢趤',
    12,
    '趲趶趷趹趻趽跀跁跂跅跇跈跉跊跍跐跒跓跔凇冖冢冥讠讦讧讪讴讵讷诂诃诋诏诎诒诓诔诖诘诙诜诟诠诤诨诩诮诰诳诶诹诼诿谀谂谄谇谌谏谑谒谔谕谖谙谛谘谝谟谠谡谥谧谪谫谮谯谲谳谵谶卩卺阝阢阡阱阪阽阼陂陉陔陟陧陬陲陴隈隍隗隰邗邛邝邙邬邡邴邳邶邺'
  ],
  [
    'db40',
    '跕跘跙跜跠跡跢跥跦跧跩跭跮跰跱跲跴跶跼跾',
    6,
    '踆踇踈踋踍踎踐踑踒踓踕',
    7,
    '踠踡踤',
    4,
    '踫踭踰踲踳踴踶踷踸踻踼踾'
  ],
  [
    'db80',
    '踿蹃蹅蹆蹌',
    4,
    '蹓',
    5,
    '蹚',
    11,
    '蹧蹨蹪蹫蹮蹱邸邰郏郅邾郐郄郇郓郦郢郜郗郛郫郯郾鄄鄢鄞鄣鄱鄯鄹酃酆刍奂劢劬劭劾哿勐勖勰叟燮矍廴凵凼鬯厶弁畚巯坌垩垡塾墼壅壑圩圬圪圳圹圮圯坜圻坂坩垅坫垆坼坻坨坭坶坳垭垤垌垲埏垧垴垓垠埕埘埚埙埒垸埴埯埸埤埝'
  ],
  [
    'dc40',
    '蹳蹵蹷',
    4,
    '蹽蹾躀躂躃躄躆躈',
    6,
    '躑躒躓躕',
    6,
    '躝躟',
    11,
    '躭躮躰躱躳',
    6,
    '躻',
    7
  ],
  [
    'dc80',
    '軃',
    10,
    '軏',
    21,
    '堋堍埽埭堀堞堙塄堠塥塬墁墉墚墀馨鼙懿艹艽艿芏芊芨芄芎芑芗芙芫芸芾芰苈苊苣芘芷芮苋苌苁芩芴芡芪芟苄苎芤苡茉苷苤茏茇苜苴苒苘茌苻苓茑茚茆茔茕苠苕茜荑荛荜茈莒茼茴茱莛荞茯荏荇荃荟荀茗荠茭茺茳荦荥'
  ],
  ['dd40', '軥', 62],
  [
    'dd80',
    '輤',
    32,
    '荨茛荩荬荪荭荮莰荸莳莴莠莪莓莜莅荼莶莩荽莸荻莘莞莨莺莼菁萁菥菘堇萘萋菝菽菖萜萸萑萆菔菟萏萃菸菹菪菅菀萦菰菡葜葑葚葙葳蒇蒈葺蒉葸萼葆葩葶蒌蒎萱葭蓁蓍蓐蓦蒽蓓蓊蒿蒺蓠蒡蒹蒴蒗蓥蓣蔌甍蔸蓰蔹蔟蔺'
  ],
  [
    'de40',
    '轅',
    32,
    '轪辀辌辒辝辠辡辢辤辥辦辧辪辬辭辮辯農辳辴辵辷辸辺辻込辿迀迃迆'
  ],
  [
    'de80',
    '迉',
    4,
    '迏迒迖迗迚迠迡迣迧迬迯迱迲迴迵迶迺迻迼迾迿逇逈逌逎逓逕逘蕖蔻蓿蓼蕙蕈蕨蕤蕞蕺瞢蕃蕲蕻薤薨薇薏蕹薮薜薅薹薷薰藓藁藜藿蘧蘅蘩蘖蘼廾弈夼奁耷奕奚奘匏尢尥尬尴扌扪抟抻拊拚拗拮挢拶挹捋捃掭揶捱捺掎掴捭掬掊捩掮掼揲揸揠揿揄揞揎摒揆掾摅摁搋搛搠搌搦搡摞撄摭撖'
  ],
  [
    'df40',
    '這逜連逤逥逧',
    5,
    '逰',
    4,
    '逷逹逺逽逿遀遃遅遆遈',
    4,
    '過達違遖遙遚遜',
    5,
    '遤遦遧適遪遫遬遯',
    4,
    '遶',
    6,
    '遾邁'
  ],
  [
    'df80',
    '還邅邆邇邉邊邌',
    4,
    '邒邔邖邘邚邜邞邟邠邤邥邧邨邩邫邭邲邷邼邽邿郀摺撷撸撙撺擀擐擗擤擢攉攥攮弋忒甙弑卟叱叽叩叨叻吒吖吆呋呒呓呔呖呃吡呗呙吣吲咂咔呷呱呤咚咛咄呶呦咝哐咭哂咴哒咧咦哓哔呲咣哕咻咿哌哙哚哜咩咪咤哝哏哞唛哧唠哽唔哳唢唣唏唑唧唪啧喏喵啉啭啁啕唿啐唼'
  ],
  [
    'e040',
    '郂郃郆郈郉郋郌郍郒郔郕郖郘郙郚郞郟郠郣郤郥郩郪郬郮郰郱郲郳郵郶郷郹郺郻郼郿鄀鄁鄃鄅',
    19,
    '鄚鄛鄜'
  ],
  [
    'e080',
    '鄝鄟鄠鄡鄤',
    10,
    '鄰鄲',
    6,
    '鄺',
    8,
    '酄唷啖啵啶啷唳唰啜喋嗒喃喱喹喈喁喟啾嗖喑啻嗟喽喾喔喙嗪嗷嗉嘟嗑嗫嗬嗔嗦嗝嗄嗯嗥嗲嗳嗌嗍嗨嗵嗤辔嘞嘈嘌嘁嘤嘣嗾嘀嘧嘭噘嘹噗嘬噍噢噙噜噌噔嚆噤噱噫噻噼嚅嚓嚯囔囗囝囡囵囫囹囿圄圊圉圜帏帙帔帑帱帻帼'
  ],
  [
    'e140',
    '酅酇酈酑酓酔酕酖酘酙酛酜酟酠酦酧酨酫酭酳酺酻酼醀',
    4,
    '醆醈醊醎醏醓',
    6,
    '醜',
    5,
    '醤',
    5,
    '醫醬醰醱醲醳醶醷醸醹醻'
  ],
  [
    'e180',
    '醼',
    10,
    '釈釋釐釒',
    9,
    '針',
    8,
    '帷幄幔幛幞幡岌屺岍岐岖岈岘岙岑岚岜岵岢岽岬岫岱岣峁岷峄峒峤峋峥崂崃崧崦崮崤崞崆崛嵘崾崴崽嵬嵛嵯嵝嵫嵋嵊嵩嵴嶂嶙嶝豳嶷巅彳彷徂徇徉後徕徙徜徨徭徵徼衢彡犭犰犴犷犸狃狁狎狍狒狨狯狩狲狴狷猁狳猃狺'
  ],
  ['e240', '釦', 62],
  [
    'e280',
    '鈥',
    32,
    '狻猗猓猡猊猞猝猕猢猹猥猬猸猱獐獍獗獠獬獯獾舛夥飧夤夂饣饧',
    5,
    '饴饷饽馀馄馇馊馍馐馑馓馔馕庀庑庋庖庥庠庹庵庾庳赓廒廑廛廨廪膺忄忉忖忏怃忮怄忡忤忾怅怆忪忭忸怙怵怦怛怏怍怩怫怊怿怡恸恹恻恺恂'
  ],
  ['e340', '鉆', 45, '鉵', 16],
  [
    'e380',
    '銆',
    7,
    '銏',
    24,
    '恪恽悖悚悭悝悃悒悌悛惬悻悱惝惘惆惚悴愠愦愕愣惴愀愎愫慊慵憬憔憧憷懔懵忝隳闩闫闱闳闵闶闼闾阃阄阆阈阊阋阌阍阏阒阕阖阗阙阚丬爿戕氵汔汜汊沣沅沐沔沌汨汩汴汶沆沩泐泔沭泷泸泱泗沲泠泖泺泫泮沱泓泯泾'
  ],
  ['e440', '銨', 5, '銯', 24, '鋉', 31],
  [
    'e480',
    '鋩',
    32,
    '洹洧洌浃浈洇洄洙洎洫浍洮洵洚浏浒浔洳涑浯涞涠浞涓涔浜浠浼浣渚淇淅淞渎涿淠渑淦淝淙渖涫渌涮渫湮湎湫溲湟溆湓湔渲渥湄滟溱溘滠漭滢溥溧溽溻溷滗溴滏溏滂溟潢潆潇漤漕滹漯漶潋潴漪漉漩澉澍澌潸潲潼潺濑'
  ],
  ['e540', '錊', 51, '錿', 10],
  [
    'e580',
    '鍊',
    31,
    '鍫濉澧澹澶濂濡濮濞濠濯瀚瀣瀛瀹瀵灏灞宀宄宕宓宥宸甯骞搴寤寮褰寰蹇謇辶迓迕迥迮迤迩迦迳迨逅逄逋逦逑逍逖逡逵逶逭逯遄遑遒遐遨遘遢遛暹遴遽邂邈邃邋彐彗彖彘尻咫屐屙孱屣屦羼弪弩弭艴弼鬻屮妁妃妍妩妪妣'
  ],
  ['e640', '鍬', 34, '鎐', 27],
  [
    'e680',
    '鎬',
    29,
    '鏋鏌鏍妗姊妫妞妤姒妲妯姗妾娅娆姝娈姣姘姹娌娉娲娴娑娣娓婀婧婊婕娼婢婵胬媪媛婷婺媾嫫媲嫒嫔媸嫠嫣嫱嫖嫦嫘嫜嬉嬗嬖嬲嬷孀尕尜孚孥孳孑孓孢驵驷驸驺驿驽骀骁骅骈骊骐骒骓骖骘骛骜骝骟骠骢骣骥骧纟纡纣纥纨纩'
  ],
  ['e740', '鏎', 7, '鏗', 54],
  [
    'e780',
    '鐎',
    32,
    '纭纰纾绀绁绂绉绋绌绐绔绗绛绠绡绨绫绮绯绱绲缍绶绺绻绾缁缂缃缇缈缋缌缏缑缒缗缙缜缛缟缡',
    6,
    '缪缫缬缭缯',
    4,
    '缵幺畿巛甾邕玎玑玮玢玟珏珂珑玷玳珀珉珈珥珙顼琊珩珧珞玺珲琏琪瑛琦琥琨琰琮琬'
  ],
  ['e840', '鐯', 14, '鐿', 43, '鑬鑭鑮鑯'],
  [
    'e880',
    '鑰',
    20,
    '钑钖钘铇铏铓铔铚铦铻锜锠琛琚瑁瑜瑗瑕瑙瑷瑭瑾璜璎璀璁璇璋璞璨璩璐璧瓒璺韪韫韬杌杓杞杈杩枥枇杪杳枘枧杵枨枞枭枋杷杼柰栉柘栊柩枰栌柙枵柚枳柝栀柃枸柢栎柁柽栲栳桠桡桎桢桄桤梃栝桕桦桁桧桀栾桊桉栩梵梏桴桷梓桫棂楮棼椟椠棹'
  ],
  ['e940', '锧锳锽镃镈镋镕镚镠镮镴镵長', 7, '門', 42],
  [
    'e980',
    '閫',
    32,
    '椤棰椋椁楗棣椐楱椹楠楂楝榄楫榀榘楸椴槌榇榈槎榉楦楣楹榛榧榻榫榭槔榱槁槊槟榕槠榍槿樯槭樗樘橥槲橄樾檠橐橛樵檎橹樽樨橘橼檑檐檩檗檫猷獒殁殂殇殄殒殓殍殚殛殡殪轫轭轱轲轳轵轶轸轷轹轺轼轾辁辂辄辇辋'
  ],
  [
    'ea40',
    '闌',
    27,
    '闬闿阇阓阘阛阞阠阣',
    6,
    '阫阬阭阯阰阷阸阹阺阾陁陃陊陎陏陑陒陓陖陗'
  ],
  [
    'ea80',
    '陘陙陚陜陝陞陠陣陥陦陫陭',
    4,
    '陳陸',
    12,
    '隇隉隊辍辎辏辘辚軎戋戗戛戟戢戡戥戤戬臧瓯瓴瓿甏甑甓攴旮旯旰昊昙杲昃昕昀炅曷昝昴昱昶昵耆晟晔晁晏晖晡晗晷暄暌暧暝暾曛曜曦曩贲贳贶贻贽赀赅赆赈赉赇赍赕赙觇觊觋觌觎觏觐觑牮犟牝牦牯牾牿犄犋犍犏犒挈挲掰'
  ],
  [
    'eb40',
    '隌階隑隒隓隕隖隚際隝',
    9,
    '隨',
    7,
    '隱隲隴隵隷隸隺隻隿雂雃雈雊雋雐雑雓雔雖',
    9,
    '雡',
    6,
    '雫'
  ],
  [
    'eb80',
    '雬雭雮雰雱雲雴雵雸雺電雼雽雿霂霃霅霊霋霌霐霑霒霔霕霗',
    4,
    '霝霟霠搿擘耄毪毳毽毵毹氅氇氆氍氕氘氙氚氡氩氤氪氲攵敕敫牍牒牖爰虢刖肟肜肓肼朊肽肱肫肭肴肷胧胨胩胪胛胂胄胙胍胗朐胝胫胱胴胭脍脎胲胼朕脒豚脶脞脬脘脲腈腌腓腴腙腚腱腠腩腼腽腭腧塍媵膈膂膑滕膣膪臌朦臊膻'
  ],
  [
    'ec40',
    '霡',
    8,
    '霫霬霮霯霱霳',
    4,
    '霺霻霼霽霿',
    18,
    '靔靕靗靘靚靜靝靟靣靤靦靧靨靪',
    7
  ],
  [
    'ec80',
    '靲靵靷',
    4,
    '靽',
    7,
    '鞆',
    4,
    '鞌鞎鞏鞐鞓鞕鞖鞗鞙',
    4,
    '臁膦欤欷欹歃歆歙飑飒飓飕飙飚殳彀毂觳斐齑斓於旆旄旃旌旎旒旖炀炜炖炝炻烀炷炫炱烨烊焐焓焖焯焱煳煜煨煅煲煊煸煺熘熳熵熨熠燠燔燧燹爝爨灬焘煦熹戾戽扃扈扉礻祀祆祉祛祜祓祚祢祗祠祯祧祺禅禊禚禧禳忑忐'
  ],
  ['ed40', '鞞鞟鞡鞢鞤', 6, '鞬鞮鞰鞱鞳鞵', 46],
  [
    'ed80',
    '韤韥韨韮',
    4,
    '韴韷',
    23,
    '怼恝恚恧恁恙恣悫愆愍慝憩憝懋懑戆肀聿沓泶淼矶矸砀砉砗砘砑斫砭砜砝砹砺砻砟砼砥砬砣砩硎硭硖硗砦硐硇硌硪碛碓碚碇碜碡碣碲碹碥磔磙磉磬磲礅磴礓礤礞礴龛黹黻黼盱眄眍盹眇眈眚眢眙眭眦眵眸睐睑睇睃睚睨'
  ],
  ['ee40', '頏', 62],
  [
    'ee80',
    '顎',
    32,
    '睢睥睿瞍睽瞀瞌瞑瞟瞠瞰瞵瞽町畀畎畋畈畛畲畹疃罘罡罟詈罨罴罱罹羁罾盍盥蠲钅钆钇钋钊钌钍钏钐钔钗钕钚钛钜钣钤钫钪钭钬钯钰钲钴钶',
    4,
    '钼钽钿铄铈',
    6,
    '铐铑铒铕铖铗铙铘铛铞铟铠铢铤铥铧铨铪'
  ],
  ['ef40', '顯', 5, '颋颎颒颕颙颣風', 37, '飏飐飔飖飗飛飜飝飠', 4],
  [
    'ef80',
    '飥飦飩',
    30,
    '铩铫铮铯铳铴铵铷铹铼铽铿锃锂锆锇锉锊锍锎锏锒',
    4,
    '锘锛锝锞锟锢锪锫锩锬锱锲锴锶锷锸锼锾锿镂锵镄镅镆镉镌镎镏镒镓镔镖镗镘镙镛镞镟镝镡镢镤',
    8,
    '镯镱镲镳锺矧矬雉秕秭秣秫稆嵇稃稂稞稔'
  ],
  ['f040', '餈', 4, '餎餏餑', 28, '餯', 26],
  [
    'f080',
    '饊',
    9,
    '饖',
    12,
    '饤饦饳饸饹饻饾馂馃馉稹稷穑黏馥穰皈皎皓皙皤瓞瓠甬鸠鸢鸨',
    4,
    '鸲鸱鸶鸸鸷鸹鸺鸾鹁鹂鹄鹆鹇鹈鹉鹋鹌鹎鹑鹕鹗鹚鹛鹜鹞鹣鹦',
    6,
    '鹱鹭鹳疒疔疖疠疝疬疣疳疴疸痄疱疰痃痂痖痍痣痨痦痤痫痧瘃痱痼痿瘐瘀瘅瘌瘗瘊瘥瘘瘕瘙'
  ],
  ['f140', '馌馎馚', 10, '馦馧馩', 47],
  [
    'f180',
    '駙',
    32,
    '瘛瘼瘢瘠癀瘭瘰瘿瘵癃瘾瘳癍癞癔癜癖癫癯翊竦穸穹窀窆窈窕窦窠窬窨窭窳衤衩衲衽衿袂袢裆袷袼裉裢裎裣裥裱褚裼裨裾裰褡褙褓褛褊褴褫褶襁襦襻疋胥皲皴矜耒耔耖耜耠耢耥耦耧耩耨耱耋耵聃聆聍聒聩聱覃顸颀颃'
  ],
  ['f240', '駺', 62],
  [
    'f280',
    '騹',
    32,
    '颉颌颍颏颔颚颛颞颟颡颢颥颦虍虔虬虮虿虺虼虻蚨蚍蚋蚬蚝蚧蚣蚪蚓蚩蚶蛄蚵蛎蚰蚺蚱蚯蛉蛏蚴蛩蛱蛲蛭蛳蛐蜓蛞蛴蛟蛘蛑蜃蜇蛸蜈蜊蜍蜉蜣蜻蜞蜥蜮蜚蜾蝈蜴蜱蜩蜷蜿螂蜢蝽蝾蝻蝠蝰蝌蝮螋蝓蝣蝼蝤蝙蝥螓螯螨蟒'
  ],
  [
    'f340',
    '驚',
    17,
    '驲骃骉骍骎骔骕骙骦骩',
    6,
    '骲骳骴骵骹骻骽骾骿髃髄髆',
    4,
    '髍髎髏髐髒體髕髖髗髙髚髛髜'
  ],
  [
    'f380',
    '髝髞髠髢髣髤髥髧髨髩髪髬髮髰',
    8,
    '髺髼',
    6,
    '鬄鬅鬆蟆螈螅螭螗螃螫蟥螬螵螳蟋蟓螽蟑蟀蟊蟛蟪蟠蟮蠖蠓蟾蠊蠛蠡蠹蠼缶罂罄罅舐竺竽笈笃笄笕笊笫笏筇笸笪笙笮笱笠笥笤笳笾笞筘筚筅筵筌筝筠筮筻筢筲筱箐箦箧箸箬箝箨箅箪箜箢箫箴篑篁篌篝篚篥篦篪簌篾篼簏簖簋'
  ],
  [
    'f440',
    '鬇鬉',
    5,
    '鬐鬑鬒鬔',
    10,
    '鬠鬡鬢鬤',
    10,
    '鬰鬱鬳',
    7,
    '鬽鬾鬿魀魆魊魋魌魎魐魒魓魕',
    5
  ],
  [
    'f480',
    '魛',
    32,
    '簟簪簦簸籁籀臾舁舂舄臬衄舡舢舣舭舯舨舫舸舻舳舴舾艄艉艋艏艚艟艨衾袅袈裘裟襞羝羟羧羯羰羲籼敉粑粝粜粞粢粲粼粽糁糇糌糍糈糅糗糨艮暨羿翎翕翥翡翦翩翮翳糸絷綦綮繇纛麸麴赳趄趔趑趱赧赭豇豉酊酐酎酏酤'
  ],
  ['f540', '魼', 62],
  [
    'f580',
    '鮻',
    32,
    '酢酡酰酩酯酽酾酲酴酹醌醅醐醍醑醢醣醪醭醮醯醵醴醺豕鹾趸跫踅蹙蹩趵趿趼趺跄跖跗跚跞跎跏跛跆跬跷跸跣跹跻跤踉跽踔踝踟踬踮踣踯踺蹀踹踵踽踱蹉蹁蹂蹑蹒蹊蹰蹶蹼蹯蹴躅躏躔躐躜躞豸貂貊貅貘貔斛觖觞觚觜'
  ],
  ['f640', '鯜', 62],
  [
    'f680',
    '鰛',
    32,
    '觥觫觯訾謦靓雩雳雯霆霁霈霏霎霪霭霰霾龀龃龅',
    5,
    '龌黾鼋鼍隹隼隽雎雒瞿雠銎銮鋈錾鍪鏊鎏鐾鑫鱿鲂鲅鲆鲇鲈稣鲋鲎鲐鲑鲒鲔鲕鲚鲛鲞',
    5,
    '鲥',
    4,
    '鲫鲭鲮鲰',
    7,
    '鲺鲻鲼鲽鳄鳅鳆鳇鳊鳋'
  ],
  ['f740', '鰼', 62],
  [
    'f780',
    '鱻鱽鱾鲀鲃鲄鲉鲊鲌鲏鲓鲖鲗鲘鲙鲝鲪鲬鲯鲹鲾',
    4,
    '鳈鳉鳑鳒鳚鳛鳠鳡鳌',
    4,
    '鳓鳔鳕鳗鳘鳙鳜鳝鳟鳢靼鞅鞑鞒鞔鞯鞫鞣鞲鞴骱骰骷鹘骶骺骼髁髀髅髂髋髌髑魅魃魇魉魈魍魑飨餍餮饕饔髟髡髦髯髫髻髭髹鬈鬏鬓鬟鬣麽麾縻麂麇麈麋麒鏖麝麟黛黜黝黠黟黢黩黧黥黪黯鼢鼬鼯鼹鼷鼽鼾齄'
  ],
  ['f840', '鳣', 62],
  ['f880', '鴢', 32],
  ['f940', '鵃', 62],
  ['f980', '鶂', 32],
  ['fa40', '鶣', 62],
  ['fa80', '鷢', 32],
  [
    'fb40',
    '鸃',
    27,
    '鸤鸧鸮鸰鸴鸻鸼鹀鹍鹐鹒鹓鹔鹖鹙鹝鹟鹠鹡鹢鹥鹮鹯鹲鹴',
    9,
    '麀'
  ],
  ['fb80', '麁麃麄麅麆麉麊麌', 5, '麔', 8, '麞麠', 5, '麧麨麩麪'],
  [
    'fc40',
    '麫',
    8,
    '麵麶麷麹麺麼麿',
    4,
    '黅黆黇黈黊黋黌黐黒黓黕黖黗黙黚點黡黣黤黦黨黫黬黭黮黰',
    8,
    '黺黽黿',
    6
  ],
  ['fc80', '鼆', 4, '鼌鼏鼑鼒鼔鼕鼖鼘鼚', 5, '鼡鼣', 8, '鼭鼮鼰鼱'],
  ['fd40', '鼲', 4, '鼸鼺鼼鼿', 4, '齅', 10, '齒', 38],
  ['fd80', '齹', 5, '龁龂龍', 11, '龜龝龞龡', 4, '郎凉秊裏隣'],
  ['fe40', '兀嗀﨎﨏﨑﨓﨔礼﨟蘒﨡﨣﨤﨧﨨﨩']
]

const require$$3 = [
  ['a140', '', 62],
  ['a180', '', 32],
  ['a240', '', 62],
  ['a280', '', 32],
  ['a2ab', '', 5],
  ['a2e3', '€'],
  ['a2ef', ''],
  ['a2fd', ''],
  ['a340', '', 62],
  ['a380', '', 31, '　'],
  ['a440', '', 62],
  ['a480', '', 32],
  ['a4f4', '', 10],
  ['a540', '', 62],
  ['a580', '', 32],
  ['a5f7', '', 7],
  ['a640', '', 62],
  ['a680', '', 32],
  ['a6b9', '', 7],
  ['a6d9', '', 6],
  ['a6ec', ''],
  ['a6f3', ''],
  ['a6f6', '', 8],
  ['a740', '', 62],
  ['a780', '', 32],
  ['a7c2', '', 14],
  ['a7f2', '', 12],
  ['a896', '', 10],
  ['a8bc', 'ḿ'],
  ['a8bf', 'ǹ'],
  ['a8c1', ''],
  ['a8ea', '', 20],
  ['a958', ''],
  ['a95b', ''],
  ['a95d', ''],
  ['a989', '〾⿰', 11],
  ['a997', '', 12],
  ['a9f0', '', 14],
  ['aaa1', '', 93],
  ['aba1', '', 93],
  ['aca1', '', 93],
  ['ada1', '', 93],
  ['aea1', '', 93],
  ['afa1', '', 93],
  ['d7fa', '', 4],
  ['f8a1', '', 93],
  ['f9a1', '', 93],
  ['faa1', '', 93],
  ['fba1', '', 93],
  ['fca1', '', 93],
  ['fda1', '', 93],
  [
    'fe50',
    '⺁⺄㑳㑇⺈⺋㖞㘚㘎⺌⺗㥮㤘㧏㧟㩳㧐㭎㱮㳠⺧⺪䁖䅟⺮䌷⺳⺶⺷䎱䎬⺻䏝䓖䙡䙌'
  ],
  ['fe80', '䜣䜩䝼䞍⻊䥇䥺䥽䦂䦃䦅䦆䦟䦛䦷䦶䲣䲟䲠䲡䱷䲢䴓', 6, '䶮', 93],
  ['8135f437', '']
]

const uChars = [
  128, 165, 169, 178, 184, 216, 226, 235, 238, 244, 248, 251, 253, 258, 276,
  284, 300, 325, 329, 334, 364, 463, 465, 467, 469, 471, 473, 475, 477, 506,
  594, 610, 712, 716, 730, 930, 938, 962, 970, 1026, 1104, 1106, 8209, 8215,
  8218, 8222, 8231, 8241, 8244, 8246, 8252, 8365, 8452, 8454, 8458, 8471, 8482,
  8556, 8570, 8596, 8602, 8713, 8720, 8722, 8726, 8731, 8737, 8740, 8742, 8748,
  8751, 8760, 8766, 8777, 8781, 8787, 8802, 8808, 8816, 8854, 8858, 8870, 8896,
  8979, 9322, 9372, 9548, 9588, 9616, 9622, 9634, 9652, 9662, 9672, 9676, 9680,
  9702, 9735, 9738, 9793, 9795, 11906, 11909, 11913, 11917, 11928, 11944, 11947,
  11951, 11956, 11960, 11964, 11979, 12284, 12292, 12312, 12319, 12330, 12351,
  12436, 12447, 12535, 12543, 12586, 12842, 12850, 12964, 13200, 13215, 13218,
  13253, 13263, 13267, 13270, 13384, 13428, 13727, 13839, 13851, 14617, 14703,
  14801, 14816, 14964, 15183, 15471, 15585, 16471, 16736, 17208, 17325, 17330,
  17374, 17623, 17997, 18018, 18212, 18218, 18301, 18318, 18760, 18811, 18814,
  18820, 18823, 18844, 18848, 18872, 19576, 19620, 19738, 19887, 40870, 59244,
  59336, 59367, 59413, 59417, 59423, 59431, 59437, 59443, 59452, 59460, 59478,
  59493, 63789, 63866, 63894, 63976, 63986, 64016, 64018, 64021, 64025, 64034,
  64037, 64042, 65074, 65093, 65107, 65112, 65127, 65132, 65375, 65510, 65536
]
const gbChars = [
  0, 36, 38, 45, 50, 81, 89, 95, 96, 100, 103, 104, 105, 109, 126, 133, 148,
  172, 175, 179, 208, 306, 307, 308, 309, 310, 311, 312, 313, 341, 428, 443,
  544, 545, 558, 741, 742, 749, 750, 805, 819, 820, 7922, 7924, 7925, 7927,
  7934, 7943, 7944, 7945, 7950, 8062, 8148, 8149, 8152, 8164, 8174, 8236, 8240,
  8262, 8264, 8374, 8380, 8381, 8384, 8388, 8390, 8392, 8393, 8394, 8396, 8401,
  8406, 8416, 8419, 8424, 8437, 8439, 8445, 8482, 8485, 8496, 8521, 8603, 8936,
  8946, 9046, 9050, 9063, 9066, 9076, 9092, 9100, 9108, 9111, 9113, 9131, 9162,
  9164, 9218, 9219, 11329, 11331, 11334, 11336, 11346, 11361, 11363, 11366,
  11370, 11372, 11375, 11389, 11682, 11686, 11687, 11692, 11694, 11714, 11716,
  11723, 11725, 11730, 11736, 11982, 11989, 12102, 12336, 12348, 12350, 12384,
  12393, 12395, 12397, 12510, 12553, 12851, 12962, 12973, 13738, 13823, 13919,
  13933, 14080, 14298, 14585, 14698, 15583, 15847, 16318, 16434, 16438, 16481,
  16729, 17102, 17122, 17315, 17320, 17402, 17418, 17859, 17909, 17911, 17915,
  17916, 17936, 17939, 17961, 18664, 18703, 18814, 18962, 19043, 33469, 33470,
  33471, 33484, 33485, 33490, 33497, 33501, 33505, 33513, 33520, 33536, 33550,
  37845, 37921, 37948, 38029, 38038, 38064, 38065, 38066, 38069, 38075, 38076,
  38078, 39108, 39109, 39113, 39114, 39115, 39116, 39265, 39394, 189000
]
const require$$4$1 = {
  uChars: uChars,
  gbChars: gbChars
}

const require$$5 = [
  ['0', '\u0000', 127],
  ['8141', '갂갃갅갆갋', 4, '갘갞갟갡갢갣갥', 6, '갮갲갳갴'],
  ['8161', '갵갶갷갺갻갽갾갿걁', 9, '걌걎', 5, '걕'],
  [
    '8181',
    '걖걗걙걚걛걝',
    18,
    '걲걳걵걶걹걻',
    4,
    '겂겇겈겍겎겏겑겒겓겕',
    6,
    '겞겢',
    5,
    '겫겭겮겱',
    6,
    '겺겾겿곀곂곃곅곆곇곉곊곋곍',
    7,
    '곖곘',
    7,
    '곢곣곥곦곩곫곭곮곲곴곷',
    4,
    '곾곿괁괂괃괅괇',
    4,
    '괎괐괒괓'
  ],
  ['8241', '괔괕괖괗괙괚괛괝괞괟괡', 7, '괪괫괮', 5],
  ['8261', '괶괷괹괺괻괽', 6, '굆굈굊', 5, '굑굒굓굕굖굗'],
  [
    '8281',
    '굙',
    7,
    '굢굤',
    7,
    '굮굯굱굲굷굸굹굺굾궀궃',
    4,
    '궊궋궍궎궏궑',
    10,
    '궞',
    5,
    '궥',
    17,
    '궸',
    7,
    '귂귃귅귆귇귉',
    6,
    '귒귔',
    7,
    '귝귞귟귡귢귣귥',
    18
  ],
  ['8341', '귺귻귽귾긂', 5, '긊긌긎', 5, '긕', 7],
  ['8361', '긝', 18, '긲긳긵긶긹긻긼'],
  [
    '8381',
    '긽긾긿깂깄깇깈깉깋깏깑깒깓깕깗',
    4,
    '깞깢깣깤깦깧깪깫깭깮깯깱',
    6,
    '깺깾',
    5,
    '꺆',
    5,
    '꺍',
    46,
    '꺿껁껂껃껅',
    6,
    '껎껒',
    5,
    '껚껛껝',
    8
  ],
  ['8441', '껦껧껩껪껬껮', 5, '껵껶껷껹껺껻껽', 8],
  ['8461', '꼆꼉꼊꼋꼌꼎꼏꼑', 18],
  [
    '8481',
    '꼤',
    7,
    '꼮꼯꼱꼳꼵',
    6,
    '꼾꽀꽄꽅꽆꽇꽊',
    5,
    '꽑',
    10,
    '꽞',
    5,
    '꽦',
    18,
    '꽺',
    5,
    '꾁꾂꾃꾅꾆꾇꾉',
    6,
    '꾒꾓꾔꾖',
    5,
    '꾝',
    26,
    '꾺꾻꾽꾾'
  ],
  ['8541', '꾿꿁', 5, '꿊꿌꿏', 4, '꿕', 6, '꿝', 4],
  ['8561', '꿢', 5, '꿪', 5, '꿲꿳꿵꿶꿷꿹', 6, '뀂뀃'],
  [
    '8581',
    '뀅',
    6,
    '뀍뀎뀏뀑뀒뀓뀕',
    6,
    '뀞',
    9,
    '뀩',
    26,
    '끆끇끉끋끍끏끐끑끒끖끘끚끛끜끞',
    29,
    '끾끿낁낂낃낅',
    6,
    '낎낐낒',
    5,
    '낛낝낞낣낤'
  ],
  ['8641', '낥낦낧낪낰낲낶낷낹낺낻낽', 6, '냆냊', 5, '냒'],
  ['8661', '냓냕냖냗냙', 6, '냡냢냣냤냦', 10],
  [
    '8681',
    '냱',
    22,
    '넊넍넎넏넑넔넕넖넗넚넞',
    4,
    '넦넧넩넪넫넭',
    6,
    '넶넺',
    5,
    '녂녃녅녆녇녉',
    6,
    '녒녓녖녗녙녚녛녝녞녟녡',
    22,
    '녺녻녽녾녿놁놃',
    4,
    '놊놌놎놏놐놑놕놖놗놙놚놛놝'
  ],
  ['8741', '놞', 9, '놩', 15],
  ['8761', '놹', 18, '뇍뇎뇏뇑뇒뇓뇕'],
  [
    '8781',
    '뇖',
    5,
    '뇞뇠',
    7,
    '뇪뇫뇭뇮뇯뇱',
    7,
    '뇺뇼뇾',
    5,
    '눆눇눉눊눍',
    6,
    '눖눘눚',
    5,
    '눡',
    18,
    '눵',
    6,
    '눽',
    26,
    '뉙뉚뉛뉝뉞뉟뉡',
    6,
    '뉪',
    4
  ],
  ['8841', '뉯', 4, '뉶', 5, '뉽', 6, '늆늇늈늊', 4],
  ['8861', '늏늒늓늕늖늗늛', 4, '늢늤늧늨늩늫늭늮늯늱늲늳늵늶늷'],
  [
    '8881',
    '늸',
    15,
    '닊닋닍닎닏닑닓',
    4,
    '닚닜닞닟닠닡닣닧닩닪닰닱닲닶닼닽닾댂댃댅댆댇댉',
    6,
    '댒댖',
    5,
    '댝',
    54,
    '덗덙덚덝덠덡덢덣'
  ],
  ['8941', '덦덨덪덬덭덯덲덳덵덶덷덹', 6, '뎂뎆', 5, '뎍'],
  ['8961', '뎎뎏뎑뎒뎓뎕', 10, '뎢', 5, '뎩뎪뎫뎭'],
  [
    '8981',
    '뎮',
    21,
    '돆돇돉돊돍돏돑돒돓돖돘돚돜돞돟돡돢돣돥돦돧돩',
    18,
    '돽',
    18,
    '됑',
    6,
    '됙됚됛됝됞됟됡',
    6,
    '됪됬',
    7,
    '됵',
    15
  ],
  ['8a41', '둅', 10, '둒둓둕둖둗둙', 6, '둢둤둦'],
  ['8a61', '둧', 4, '둭', 18, '뒁뒂'],
  [
    '8a81',
    '뒃',
    4,
    '뒉',
    19,
    '뒞',
    5,
    '뒥뒦뒧뒩뒪뒫뒭',
    7,
    '뒶뒸뒺',
    5,
    '듁듂듃듅듆듇듉',
    6,
    '듑듒듓듔듖',
    5,
    '듞듟듡듢듥듧',
    4,
    '듮듰듲',
    5,
    '듹',
    26,
    '딖딗딙딚딝'
  ],
  ['8b41', '딞', 5, '딦딫', 4, '딲딳딵딶딷딹', 6, '땂땆'],
  ['8b61', '땇땈땉땊땎땏땑땒땓땕', 6, '땞땢', 8],
  [
    '8b81',
    '땫',
    52,
    '떢떣떥떦떧떩떬떭떮떯떲떶',
    4,
    '떾떿뗁뗂뗃뗅',
    6,
    '뗎뗒',
    5,
    '뗙',
    18,
    '뗭',
    18
  ],
  ['8c41', '똀', 15, '똒똓똕똖똗똙', 4],
  ['8c61', '똞', 6, '똦', 5, '똭', 6, '똵', 5],
  [
    '8c81',
    '똻',
    12,
    '뙉',
    26,
    '뙥뙦뙧뙩',
    50,
    '뚞뚟뚡뚢뚣뚥',
    5,
    '뚭뚮뚯뚰뚲',
    16
  ],
  ['8d41', '뛃', 16, '뛕', 8],
  ['8d61', '뛞', 17, '뛱뛲뛳뛵뛶뛷뛹뛺'],
  [
    '8d81',
    '뛻',
    4,
    '뜂뜃뜄뜆',
    33,
    '뜪뜫뜭뜮뜱',
    6,
    '뜺뜼',
    7,
    '띅띆띇띉띊띋띍',
    6,
    '띖',
    9,
    '띡띢띣띥띦띧띩',
    6,
    '띲띴띶',
    5,
    '띾띿랁랂랃랅',
    6,
    '랎랓랔랕랚랛랝랞'
  ],
  ['8e41', '랟랡', 6, '랪랮', 5, '랶랷랹', 8],
  ['8e61', '럂', 4, '럈럊', 19],
  [
    '8e81',
    '럞',
    13,
    '럮럯럱럲럳럵',
    6,
    '럾렂',
    4,
    '렊렋렍렎렏렑',
    6,
    '렚렜렞',
    5,
    '렦렧렩렪렫렭',
    6,
    '렶렺',
    5,
    '롁롂롃롅',
    11,
    '롒롔',
    7,
    '롞롟롡롢롣롥',
    6,
    '롮롰롲',
    5,
    '롹롺롻롽',
    7
  ],
  ['8f41', '뢅', 7, '뢎', 17],
  ['8f61', '뢠', 7, '뢩', 6, '뢱뢲뢳뢵뢶뢷뢹', 4],
  [
    '8f81',
    '뢾뢿룂룄룆',
    5,
    '룍룎룏룑룒룓룕',
    7,
    '룞룠룢',
    5,
    '룪룫룭룮룯룱',
    6,
    '룺룼룾',
    5,
    '뤅',
    18,
    '뤙',
    6,
    '뤡',
    26,
    '뤾뤿륁륂륃륅',
    6,
    '륍륎륐륒',
    5
  ],
  ['9041', '륚륛륝륞륟륡', 6, '륪륬륮', 5, '륶륷륹륺륻륽'],
  ['9061', '륾', 5, '릆릈릋릌릏', 15],
  [
    '9081',
    '릟',
    12,
    '릮릯릱릲릳릵',
    6,
    '릾맀맂',
    5,
    '맊맋맍맓',
    4,
    '맚맜맟맠맢맦맧맩맪맫맭',
    6,
    '맶맻',
    4,
    '먂',
    5,
    '먉',
    11,
    '먖',
    33,
    '먺먻먽먾먿멁멃멄멅멆'
  ],
  ['9141', '멇멊멌멏멐멑멒멖멗멙멚멛멝', 6, '멦멪', 5],
  ['9161', '멲멳멵멶멷멹', 9, '몆몈몉몊몋몍', 5],
  [
    '9181',
    '몓',
    20,
    '몪몭몮몯몱몳',
    4,
    '몺몼몾',
    5,
    '뫅뫆뫇뫉',
    14,
    '뫚',
    33,
    '뫽뫾뫿묁묂묃묅',
    7,
    '묎묐묒',
    5,
    '묙묚묛묝묞묟묡',
    6
  ],
  ['9241', '묨묪묬', 7, '묷묹묺묿', 4, '뭆뭈뭊뭋뭌뭎뭑뭒'],
  ['9261', '뭓뭕뭖뭗뭙', 7, '뭢뭤', 7, '뭭', 4],
  [
    '9281',
    '뭲',
    21,
    '뮉뮊뮋뮍뮎뮏뮑',
    18,
    '뮥뮦뮧뮩뮪뮫뮭',
    6,
    '뮵뮶뮸',
    7,
    '믁믂믃믅믆믇믉',
    6,
    '믑믒믔',
    35,
    '믺믻믽믾밁'
  ],
  ['9341', '밃', 4, '밊밎밐밒밓밙밚밠밡밢밣밦밨밪밫밬밮밯밲밳밵'],
  ['9361', '밶밷밹', 6, '뱂뱆뱇뱈뱊뱋뱎뱏뱑', 8],
  [
    '9381',
    '뱚뱛뱜뱞',
    37,
    '벆벇벉벊벍벏',
    4,
    '벖벘벛',
    4,
    '벢벣벥벦벩',
    6,
    '벲벶',
    5,
    '벾벿볁볂볃볅',
    7,
    '볎볒볓볔볖볗볙볚볛볝',
    22,
    '볷볹볺볻볽'
  ],
  ['9441', '볾', 5, '봆봈봊', 5, '봑봒봓봕', 8],
  ['9461', '봞', 5, '봥', 6, '봭', 12],
  [
    '9481',
    '봺',
    5,
    '뵁',
    6,
    '뵊뵋뵍뵎뵏뵑',
    6,
    '뵚',
    9,
    '뵥뵦뵧뵩',
    22,
    '붂붃붅붆붋',
    4,
    '붒붔붖붗붘붛붝',
    6,
    '붥',
    10,
    '붱',
    6,
    '붹',
    24
  ],
  ['9541', '뷒뷓뷖뷗뷙뷚뷛뷝', 11, '뷪', 5, '뷱'],
  ['9561', '뷲뷳뷵뷶뷷뷹', 6, '븁븂븄븆', 5, '븎븏븑븒븓'],
  [
    '9581',
    '븕',
    6,
    '븞븠',
    35,
    '빆빇빉빊빋빍빏',
    4,
    '빖빘빜빝빞빟빢빣빥빦빧빩빫',
    4,
    '빲빶',
    4,
    '빾빿뺁뺂뺃뺅',
    6,
    '뺎뺒',
    5,
    '뺚',
    13,
    '뺩',
    14
  ],
  ['9641', '뺸', 23, '뻒뻓'],
  ['9661', '뻕뻖뻙', 6, '뻡뻢뻦', 5, '뻭', 8],
  [
    '9681',
    '뻶',
    10,
    '뼂',
    5,
    '뼊',
    13,
    '뼚뼞',
    33,
    '뽂뽃뽅뽆뽇뽉',
    6,
    '뽒뽓뽔뽖',
    44
  ],
  ['9741', '뾃', 16, '뾕', 8],
  ['9761', '뾞', 17, '뾱', 7],
  ['9781', '뾹', 11, '뿆', 5, '뿎뿏뿑뿒뿓뿕', 6, '뿝뿞뿠뿢', 89, '쀽쀾쀿'],
  ['9841', '쁀', 16, '쁒', 5, '쁙쁚쁛'],
  ['9861', '쁝쁞쁟쁡', 6, '쁪', 15],
  [
    '9881',
    '쁺',
    21,
    '삒삓삕삖삗삙',
    6,
    '삢삤삦',
    5,
    '삮삱삲삷',
    4,
    '삾샂샃샄샆샇샊샋샍샎샏샑',
    6,
    '샚샞',
    5,
    '샦샧샩샪샫샭',
    6,
    '샶샸샺',
    5,
    '섁섂섃섅섆섇섉',
    6,
    '섑섒섓섔섖',
    5,
    '섡섢섥섨섩섪섫섮'
  ],
  ['9941', '섲섳섴섵섷섺섻섽섾섿셁', 6, '셊셎', 5, '셖셗'],
  ['9961', '셙셚셛셝', 6, '셦셪', 5, '셱셲셳셵셶셷셹셺셻'],
  [
    '9981',
    '셼',
    8,
    '솆',
    5,
    '솏솑솒솓솕솗',
    4,
    '솞솠솢솣솤솦솧솪솫솭솮솯솱',
    11,
    '솾',
    5,
    '쇅쇆쇇쇉쇊쇋쇍',
    6,
    '쇕쇖쇙',
    6,
    '쇡쇢쇣쇥쇦쇧쇩',
    6,
    '쇲쇴',
    7,
    '쇾쇿숁숂숃숅',
    6,
    '숎숐숒',
    5,
    '숚숛숝숞숡숢숣'
  ],
  ['9a41', '숤숥숦숧숪숬숮숰숳숵', 16],
  ['9a61', '쉆쉇쉉', 6, '쉒쉓쉕쉖쉗쉙', 6, '쉡쉢쉣쉤쉦'],
  [
    '9a81',
    '쉧',
    4,
    '쉮쉯쉱쉲쉳쉵',
    6,
    '쉾슀슂',
    5,
    '슊',
    5,
    '슑',
    6,
    '슙슚슜슞',
    5,
    '슦슧슩슪슫슮',
    5,
    '슶슸슺',
    33,
    '싞싟싡싢싥',
    5,
    '싮싰싲싳싴싵싷싺싽싾싿쌁',
    6,
    '쌊쌋쌎쌏'
  ],
  ['9b41', '쌐쌑쌒쌖쌗쌙쌚쌛쌝', 6, '쌦쌧쌪', 8],
  ['9b61', '쌳', 17, '썆', 7],
  [
    '9b81',
    '썎',
    25,
    '썪썫썭썮썯썱썳',
    4,
    '썺썻썾',
    5,
    '쎅쎆쎇쎉쎊쎋쎍',
    50,
    '쏁',
    22,
    '쏚'
  ],
  ['9c41', '쏛쏝쏞쏡쏣', 4, '쏪쏫쏬쏮', 5, '쏶쏷쏹', 5],
  ['9c61', '쏿', 8, '쐉', 6, '쐑', 9],
  [
    '9c81',
    '쐛',
    8,
    '쐥',
    6,
    '쐭쐮쐯쐱쐲쐳쐵',
    6,
    '쐾',
    9,
    '쑉',
    26,
    '쑦쑧쑩쑪쑫쑭',
    6,
    '쑶쑷쑸쑺',
    5,
    '쒁',
    18,
    '쒕',
    6,
    '쒝',
    12
  ],
  ['9d41', '쒪', 13, '쒹쒺쒻쒽', 8],
  ['9d61', '쓆', 25],
  [
    '9d81',
    '쓠',
    8,
    '쓪',
    5,
    '쓲쓳쓵쓶쓷쓹쓻쓼쓽쓾씂',
    9,
    '씍씎씏씑씒씓씕',
    6,
    '씝',
    10,
    '씪씫씭씮씯씱',
    6,
    '씺씼씾',
    5,
    '앆앇앋앏앐앑앒앖앚앛앜앟앢앣앥앦앧앩',
    6,
    '앲앶',
    5,
    '앾앿얁얂얃얅얆얈얉얊얋얎얐얒얓얔'
  ],
  ['9e41', '얖얙얚얛얝얞얟얡', 7, '얪', 9, '얶'],
  ['9e61', '얷얺얿', 4, '엋엍엏엒엓엕엖엗엙', 6, '엢엤엦엧'],
  [
    '9e81',
    '엨엩엪엫엯엱엲엳엵엸엹엺엻옂옃옄옉옊옋옍옎옏옑',
    6,
    '옚옝',
    6,
    '옦옧옩옪옫옯옱옲옶옸옺옼옽옾옿왂왃왅왆왇왉',
    6,
    '왒왖',
    5,
    '왞왟왡',
    10,
    '왭왮왰왲',
    5,
    '왺왻왽왾왿욁',
    6,
    '욊욌욎',
    5,
    '욖욗욙욚욛욝',
    6,
    '욦'
  ],
  ['9f41', '욨욪', 5, '욲욳욵욶욷욻', 4, '웂웄웆', 5, '웎'],
  ['9f61', '웏웑웒웓웕', 6, '웞웟웢', 5, '웪웫웭웮웯웱웲'],
  [
    '9f81',
    '웳',
    4,
    '웺웻웼웾',
    5,
    '윆윇윉윊윋윍',
    6,
    '윖윘윚',
    5,
    '윢윣윥윦윧윩',
    6,
    '윲윴윶윸윹윺윻윾윿읁읂읃읅',
    4,
    '읋읎읐읙읚읛읝읞읟읡',
    6,
    '읩읪읬',
    7,
    '읶읷읹읺읻읿잀잁잂잆잋잌잍잏잒잓잕잙잛',
    4,
    '잢잧',
    4,
    '잮잯잱잲잳잵잶잷'
  ],
  ['a041', '잸잹잺잻잾쟂', 5, '쟊쟋쟍쟏쟑', 6, '쟙쟚쟛쟜'],
  ['a061', '쟞', 5, '쟥쟦쟧쟩쟪쟫쟭', 13],
  [
    'a081',
    '쟻',
    4,
    '젂젃젅젆젇젉젋',
    4,
    '젒젔젗',
    4,
    '젞젟젡젢젣젥',
    6,
    '젮젰젲',
    5,
    '젹젺젻젽젾젿졁',
    6,
    '졊졋졎',
    5,
    '졕',
    26,
    '졲졳졵졶졷졹졻',
    4,
    '좂좄좈좉좊좎',
    5,
    '좕',
    7,
    '좞좠좢좣좤'
  ],
  ['a141', '좥좦좧좩', 18, '좾좿죀죁'],
  ['a161', '죂죃죅죆죇죉죊죋죍', 6, '죖죘죚', 5, '죢죣죥'],
  [
    'a181',
    '죦',
    14,
    '죶',
    5,
    '죾죿줁줂줃줇',
    4,
    '줎　、。·‥…¨〃­―∥＼∼‘’“”〔〕〈',
    9,
    '±×÷≠≤≥∞∴°′″℃Å￠￡￥♂♀∠⊥⌒∂∇≡≒§※☆★○●◎◇◆□■△▲▽▼→←↑↓↔〓≪≫√∽∝∵∫∬∈∋⊆⊇⊂⊃∪∩∧∨￢'
  ],
  ['a241', '줐줒', 5, '줙', 18],
  ['a261', '줭', 6, '줵', 18],
  [
    'a281',
    '쥈',
    7,
    '쥒쥓쥕쥖쥗쥙',
    6,
    '쥢쥤',
    7,
    '쥭쥮쥯⇒⇔∀∃´～ˇ˘˝˚˙¸˛¡¿ː∮∑∏¤℉‰◁◀▷▶♤♠♡♥♧♣⊙◈▣◐◑▒▤▥▨▧▦▩♨☏☎☜☞¶†‡↕↗↙↖↘♭♩♪♬㉿㈜№㏇™㏂㏘℡€®'
  ],
  ['a341', '쥱쥲쥳쥵', 6, '쥽', 10, '즊즋즍즎즏'],
  ['a361', '즑', 6, '즚즜즞', 16],
  ['a381', '즯', 16, '짂짃짅짆짉짋', 4, '짒짔짗짘짛！', 58, '￦］', 32, '￣'],
  ['a441', '짞짟짡짣짥짦짨짩짪짫짮짲', 5, '짺짻짽짾짿쨁쨂쨃쨄'],
  ['a461', '쨅쨆쨇쨊쨎', 5, '쨕쨖쨗쨙', 12],
  ['a481', '쨦쨧쨨쨪', 28, 'ㄱ', 93],
  ['a541', '쩇', 4, '쩎쩏쩑쩒쩓쩕', 6, '쩞쩢', 5, '쩩쩪'],
  ['a561', '쩫', 17, '쩾', 5, '쪅쪆'],
  ['a581', '쪇', 16, '쪙', 14, 'ⅰ', 9],
  ['a5b0', 'Ⅰ', 9],
  ['a5c1', 'Α', 16, 'Σ', 6],
  ['a5e1', 'α', 16, 'σ', 6],
  ['a641', '쪨', 19, '쪾쪿쫁쫂쫃쫅'],
  ['a661', '쫆', 5, '쫎쫐쫒쫔쫕쫖쫗쫚', 5, '쫡', 6],
  [
    'a681',
    '쫨쫩쫪쫫쫭',
    6,
    '쫵',
    18,
    '쬉쬊─│┌┐┘└├┬┤┴┼━┃┏┓┛┗┣┳┫┻╋┠┯┨┷┿┝┰┥┸╂┒┑┚┙┖┕┎┍┞┟┡┢┦┧┩┪┭┮┱┲┵┶┹┺┽┾╀╁╃',
    7
  ],
  ['a741', '쬋', 4, '쬑쬒쬓쬕쬖쬗쬙', 6, '쬢', 7],
  ['a761', '쬪', 22, '쭂쭃쭄'],
  [
    'a781',
    '쭅쭆쭇쭊쭋쭍쭎쭏쭑',
    6,
    '쭚쭛쭜쭞',
    5,
    '쭥',
    7,
    '㎕㎖㎗ℓ㎘㏄㎣㎤㎥㎦㎙',
    9,
    '㏊㎍㎎㎏㏏㎈㎉㏈㎧㎨㎰',
    9,
    '㎀',
    4,
    '㎺',
    5,
    '㎐',
    4,
    'Ω㏀㏁㎊㎋㎌㏖㏅㎭㎮㎯㏛㎩㎪㎫㎬㏝㏐㏓㏃㏉㏜㏆'
  ],
  ['a841', '쭭', 10, '쭺', 14],
  ['a861', '쮉', 18, '쮝', 6],
  ['a881', '쮤', 19, '쮹', 11, 'ÆÐªĦ'],
  ['a8a6', 'Ĳ'],
  ['a8a8', 'ĿŁØŒºÞŦŊ'],
  ['a8b1', '㉠', 27, 'ⓐ', 25, '①', 14, '½⅓⅔¼¾⅛⅜⅝⅞'],
  ['a941', '쯅', 14, '쯕', 10],
  ['a961', '쯠쯡쯢쯣쯥쯦쯨쯪', 18],
  [
    'a981',
    '쯽',
    14,
    '찎찏찑찒찓찕',
    6,
    '찞찟찠찣찤æđðħıĳĸŀłøœßþŧŋŉ㈀',
    27,
    '⒜',
    25,
    '⑴',
    14,
    '¹²³⁴ⁿ₁₂₃₄'
  ],
  ['aa41', '찥찦찪찫찭찯찱', 6, '찺찿', 4, '챆챇챉챊챋챍챎'],
  ['aa61', '챏', 4, '챖챚', 5, '챡챢챣챥챧챩', 6, '챱챲'],
  ['aa81', '챳챴챶', 29, 'ぁ', 82],
  ['ab41', '첔첕첖첗첚첛첝첞첟첡', 6, '첪첮', 5, '첶첷첹'],
  ['ab61', '첺첻첽', 6, '쳆쳈쳊', 5, '쳑쳒쳓쳕', 5],
  ['ab81', '쳛', 8, '쳥', 6, '쳭쳮쳯쳱', 12, 'ァ', 85],
  ['ac41', '쳾쳿촀촂', 5, '촊촋촍촎촏촑', 6, '촚촜촞촟촠'],
  ['ac61', '촡촢촣촥촦촧촩촪촫촭', 11, '촺', 4],
  ['ac81', '촿', 28, '쵝쵞쵟А', 5, 'ЁЖ', 25],
  ['acd1', 'а', 5, 'ёж', 25],
  ['ad41', '쵡쵢쵣쵥', 6, '쵮쵰쵲', 5, '쵹', 7],
  ['ad61', '춁', 6, '춉', 10, '춖춗춙춚춛춝춞춟'],
  ['ad81', '춠춡춢춣춦춨춪', 5, '춱', 18, '췅'],
  ['ae41', '췆', 5, '췍췎췏췑', 16],
  ['ae61', '췢', 5, '췩췪췫췭췮췯췱', 6, '췺췼췾', 4],
  ['ae81', '츃츅츆츇츉츊츋츍', 6, '츕츖츗츘츚', 5, '츢츣츥츦츧츩츪츫'],
  ['af41', '츬츭츮츯츲츴츶', 19],
  ['af61', '칊', 13, '칚칛칝칞칢', 5, '칪칬'],
  ['af81', '칮', 5, '칶칷칹칺칻칽', 6, '캆캈캊', 5, '캒캓캕캖캗캙'],
  ['b041', '캚', 5, '캢캦', 5, '캮', 12],
  ['b061', '캻', 5, '컂', 19],
  [
    'b081',
    '컖',
    13,
    '컦컧컩컪컭',
    6,
    '컶컺',
    5,
    '가각간갇갈갉갊감',
    7,
    '같',
    4,
    '갠갤갬갭갯갰갱갸갹갼걀걋걍걔걘걜거걱건걷걸걺검겁것겄겅겆겉겊겋게겐겔겜겝겟겠겡겨격겪견겯결겸겹겻겼경곁계곈곌곕곗고곡곤곧골곪곬곯곰곱곳공곶과곽관괄괆'
  ],
  ['b141', '켂켃켅켆켇켉', 6, '켒켔켖', 5, '켝켞켟켡켢켣'],
  ['b161', '켥', 6, '켮켲', 5, '켹', 11],
  [
    'b181',
    '콅',
    14,
    '콖콗콙콚콛콝',
    6,
    '콦콨콪콫콬괌괍괏광괘괜괠괩괬괭괴괵괸괼굄굅굇굉교굔굘굡굣구국군굳굴굵굶굻굼굽굿궁궂궈궉권궐궜궝궤궷귀귁귄귈귐귑귓규균귤그극근귿글긁금급긋긍긔기긱긴긷길긺김깁깃깅깆깊까깍깎깐깔깖깜깝깟깠깡깥깨깩깬깰깸'
  ],
  ['b241', '콭콮콯콲콳콵콶콷콹', 6, '쾁쾂쾃쾄쾆', 5, '쾍'],
  ['b261', '쾎', 18, '쾢', 5, '쾩'],
  [
    'b281',
    '쾪',
    5,
    '쾱',
    18,
    '쿅',
    6,
    '깹깻깼깽꺄꺅꺌꺼꺽꺾껀껄껌껍껏껐껑께껙껜껨껫껭껴껸껼꼇꼈꼍꼐꼬꼭꼰꼲꼴꼼꼽꼿꽁꽂꽃꽈꽉꽐꽜꽝꽤꽥꽹꾀꾄꾈꾐꾑꾕꾜꾸꾹꾼꿀꿇꿈꿉꿋꿍꿎꿔꿜꿨꿩꿰꿱꿴꿸뀀뀁뀄뀌뀐뀔뀜뀝뀨끄끅끈끊끌끎끓끔끕끗끙'
  ],
  ['b341', '쿌', 19, '쿢쿣쿥쿦쿧쿩'],
  ['b361', '쿪', 5, '쿲쿴쿶', 5, '쿽쿾쿿퀁퀂퀃퀅', 5],
  [
    'b381',
    '퀋',
    5,
    '퀒',
    5,
    '퀙',
    19,
    '끝끼끽낀낄낌낍낏낑나낙낚난낟날낡낢남납낫',
    4,
    '낱낳내낵낸낼냄냅냇냈냉냐냑냔냘냠냥너넉넋넌널넒넓넘넙넛넜넝넣네넥넨넬넴넵넷넸넹녀녁년녈념녑녔녕녘녜녠노녹논놀놂놈놉놋농높놓놔놘놜놨뇌뇐뇔뇜뇝'
  ],
  ['b441', '퀮', 5, '퀶퀷퀹퀺퀻퀽', 6, '큆큈큊', 5],
  ['b461', '큑큒큓큕큖큗큙', 6, '큡', 10, '큮큯'],
  [
    'b481',
    '큱큲큳큵',
    6,
    '큾큿킀킂',
    18,
    '뇟뇨뇩뇬뇰뇹뇻뇽누눅눈눋눌눔눕눗눙눠눴눼뉘뉜뉠뉨뉩뉴뉵뉼늄늅늉느늑는늘늙늚늠늡늣능늦늪늬늰늴니닉닌닐닒님닙닛닝닢다닥닦단닫',
    4,
    '닳담답닷',
    4,
    '닿대댁댄댈댐댑댓댔댕댜더덕덖던덛덜덞덟덤덥'
  ],
  ['b541', '킕', 14, '킦킧킩킪킫킭', 5],
  ['b561', '킳킶킸킺', 5, '탂탃탅탆탇탊', 5, '탒탖', 4],
  [
    'b581',
    '탛탞탟탡탢탣탥',
    6,
    '탮탲',
    5,
    '탹',
    11,
    '덧덩덫덮데덱덴델뎀뎁뎃뎄뎅뎌뎐뎔뎠뎡뎨뎬도독돈돋돌돎돐돔돕돗동돛돝돠돤돨돼됐되된될됨됩됫됴두둑둔둘둠둡둣둥둬뒀뒈뒝뒤뒨뒬뒵뒷뒹듀듄듈듐듕드득든듣들듦듬듭듯등듸디딕딘딛딜딤딥딧딨딩딪따딱딴딸'
  ],
  ['b641', '턅', 7, '턎', 17],
  ['b661', '턠', 15, '턲턳턵턶턷턹턻턼턽턾'],
  [
    'b681',
    '턿텂텆',
    5,
    '텎텏텑텒텓텕',
    6,
    '텞텠텢',
    5,
    '텩텪텫텭땀땁땃땄땅땋때땍땐땔땜땝땟땠땡떠떡떤떨떪떫떰떱떳떴떵떻떼떽뗀뗄뗌뗍뗏뗐뗑뗘뗬또똑똔똘똥똬똴뙈뙤뙨뚜뚝뚠뚤뚫뚬뚱뛔뛰뛴뛸뜀뜁뜅뜨뜩뜬뜯뜰뜸뜹뜻띄띈띌띔띕띠띤띨띰띱띳띵라락란랄람랍랏랐랑랒랖랗'
  ],
  ['b741', '텮', 13, '텽', 6, '톅톆톇톉톊'],
  ['b761', '톋', 20, '톢톣톥톦톧'],
  [
    'b781',
    '톩',
    6,
    '톲톴톶톷톸톹톻톽톾톿퇁',
    14,
    '래랙랜랠램랩랫랬랭랴략랸럇량러럭런럴럼럽럿렀렁렇레렉렌렐렘렙렛렝려력련렬렴렵렷렸령례롄롑롓로록론롤롬롭롯롱롸롼뢍뢨뢰뢴뢸룀룁룃룅료룐룔룝룟룡루룩룬룰룸룹룻룽뤄뤘뤠뤼뤽륀륄륌륏륑류륙륜률륨륩'
  ],
  ['b841', '퇐', 7, '퇙', 17],
  ['b861', '퇫', 8, '퇵퇶퇷퇹', 13],
  [
    'b881',
    '툈툊',
    5,
    '툑',
    24,
    '륫륭르륵른를름릅릇릉릊릍릎리릭린릴림립릿링마막만많',
    4,
    '맘맙맛망맞맡맣매맥맨맬맴맵맷맸맹맺먀먁먈먕머먹먼멀멂멈멉멋멍멎멓메멕멘멜멤멥멧멨멩며멱면멸몃몄명몇몌모목몫몬몰몲몸몹못몽뫄뫈뫘뫙뫼'
  ],
  ['b941', '툪툫툮툯툱툲툳툵', 6, '툾퉀퉂', 5, '퉉퉊퉋퉌'],
  ['b961', '퉍', 14, '퉝', 6, '퉥퉦퉧퉨'],
  [
    'b981',
    '퉩',
    22,
    '튂튃튅튆튇튉튊튋튌묀묄묍묏묑묘묜묠묩묫무묵묶문묻물묽묾뭄뭅뭇뭉뭍뭏뭐뭔뭘뭡뭣뭬뮈뮌뮐뮤뮨뮬뮴뮷므믄믈믐믓미믹민믿밀밂밈밉밋밌밍및밑바',
    4,
    '받',
    4,
    '밤밥밧방밭배백밴밸뱀뱁뱃뱄뱅뱉뱌뱍뱐뱝버벅번벋벌벎범법벗'
  ],
  ['ba41', '튍튎튏튒튓튔튖', 5, '튝튞튟튡튢튣튥', 6, '튭'],
  ['ba61', '튮튯튰튲', 5, '튺튻튽튾틁틃', 4, '틊틌', 5],
  [
    'ba81',
    '틒틓틕틖틗틙틚틛틝',
    6,
    '틦',
    9,
    '틲틳틵틶틷틹틺벙벚베벡벤벧벨벰벱벳벴벵벼벽변별볍볏볐병볕볘볜보복볶본볼봄봅봇봉봐봔봤봬뵀뵈뵉뵌뵐뵘뵙뵤뵨부북분붇불붉붊붐붑붓붕붙붚붜붤붰붸뷔뷕뷘뷜뷩뷰뷴뷸븀븃븅브븍븐블븜븝븟비빅빈빌빎빔빕빗빙빚빛빠빡빤'
  ],
  ['bb41', '틻', 4, '팂팄팆', 5, '팏팑팒팓팕팗', 4, '팞팢팣'],
  ['bb61', '팤팦팧팪팫팭팮팯팱', 6, '팺팾', 5, '퍆퍇퍈퍉'],
  [
    'bb81',
    '퍊',
    31,
    '빨빪빰빱빳빴빵빻빼빽뺀뺄뺌뺍뺏뺐뺑뺘뺙뺨뻐뻑뻔뻗뻘뻠뻣뻤뻥뻬뼁뼈뼉뼘뼙뼛뼜뼝뽀뽁뽄뽈뽐뽑뽕뾔뾰뿅뿌뿍뿐뿔뿜뿟뿡쀼쁑쁘쁜쁠쁨쁩삐삑삔삘삠삡삣삥사삭삯산삳살삵삶삼삽삿샀상샅새색샌샐샘샙샛샜생샤'
  ],
  ['bc41', '퍪', 17, '퍾퍿펁펂펃펅펆펇'],
  ['bc61', '펈펉펊펋펎펒', 5, '펚펛펝펞펟펡', 6, '펪펬펮'],
  [
    'bc81',
    '펯',
    4,
    '펵펶펷펹펺펻펽',
    6,
    '폆폇폊',
    5,
    '폑',
    5,
    '샥샨샬샴샵샷샹섀섄섈섐섕서',
    4,
    '섣설섦섧섬섭섯섰성섶세섹센셀셈셉셋셌셍셔셕션셜셤셥셧셨셩셰셴셸솅소속솎손솔솖솜솝솟송솥솨솩솬솰솽쇄쇈쇌쇔쇗쇘쇠쇤쇨쇰쇱쇳쇼쇽숀숄숌숍숏숑수숙순숟술숨숩숫숭'
  ],
  ['bd41', '폗폙', 7, '폢폤', 7, '폮폯폱폲폳폵폶폷'],
  ['bd61', '폸폹폺폻폾퐀퐂', 5, '퐉', 13],
  [
    'bd81',
    '퐗',
    5,
    '퐞',
    25,
    '숯숱숲숴쉈쉐쉑쉔쉘쉠쉥쉬쉭쉰쉴쉼쉽쉿슁슈슉슐슘슛슝스슥슨슬슭슴습슷승시식신싣실싫심십싯싱싶싸싹싻싼쌀쌈쌉쌌쌍쌓쌔쌕쌘쌜쌤쌥쌨쌩썅써썩썬썰썲썸썹썼썽쎄쎈쎌쏀쏘쏙쏜쏟쏠쏢쏨쏩쏭쏴쏵쏸쐈쐐쐤쐬쐰'
  ],
  ['be41', '퐸', 7, '푁푂푃푅', 14],
  ['be61', '푔', 7, '푝푞푟푡푢푣푥', 7, '푮푰푱푲'],
  [
    'be81',
    '푳',
    4,
    '푺푻푽푾풁풃',
    4,
    '풊풌풎',
    5,
    '풕',
    8,
    '쐴쐼쐽쑈쑤쑥쑨쑬쑴쑵쑹쒀쒔쒜쒸쒼쓩쓰쓱쓴쓸쓺쓿씀씁씌씐씔씜씨씩씬씰씸씹씻씽아악안앉않알앍앎앓암압앗았앙앝앞애액앤앨앰앱앳앴앵야약얀얄얇얌얍얏양얕얗얘얜얠얩어억언얹얻얼얽얾엄',
    6,
    '엌엎'
  ],
  ['bf41', '풞', 10, '풪', 14],
  ['bf61', '풹', 18, '퓍퓎퓏퓑퓒퓓퓕'],
  [
    'bf81',
    '퓖',
    5,
    '퓝퓞퓠',
    7,
    '퓩퓪퓫퓭퓮퓯퓱',
    6,
    '퓹퓺퓼에엑엔엘엠엡엣엥여역엮연열엶엷염',
    5,
    '옅옆옇예옌옐옘옙옛옜오옥온올옭옮옰옳옴옵옷옹옻와왁완왈왐왑왓왔왕왜왝왠왬왯왱외왹왼욀욈욉욋욍요욕욘욜욤욥욧용우욱운울욹욺움웁웃웅워웍원월웜웝웠웡웨'
  ],
  ['c041', '퓾', 5, '픅픆픇픉픊픋픍', 6, '픖픘', 5],
  ['c061', '픞', 25],
  [
    'c081',
    '픸픹픺픻픾픿핁핂핃핅',
    6,
    '핎핐핒',
    5,
    '핚핛핝핞핟핡핢핣웩웬웰웸웹웽위윅윈윌윔윕윗윙유육윤율윰윱윳융윷으윽은을읊음읍읏응',
    7,
    '읜읠읨읫이익인일읽읾잃임입잇있잉잊잎자작잔잖잗잘잚잠잡잣잤장잦재잭잰잴잼잽잿쟀쟁쟈쟉쟌쟎쟐쟘쟝쟤쟨쟬저적전절젊'
  ],
  ['c141', '핤핦핧핪핬핮', 5, '핶핷핹핺핻핽', 6, '햆햊햋'],
  ['c161', '햌햍햎햏햑', 19, '햦햧'],
  [
    'c181',
    '햨',
    31,
    '점접젓정젖제젝젠젤젬젭젯젱져젼졀졈졉졌졍졔조족존졸졺좀좁좃종좆좇좋좌좍좔좝좟좡좨좼좽죄죈죌죔죕죗죙죠죡죤죵주죽준줄줅줆줌줍줏중줘줬줴쥐쥑쥔쥘쥠쥡쥣쥬쥰쥴쥼즈즉즌즐즘즙즛증지직진짇질짊짐집짓'
  ],
  ['c241', '헊헋헍헎헏헑헓', 4, '헚헜헞', 5, '헦헧헩헪헫헭헮'],
  ['c261', '헯', 4, '헶헸헺', 5, '혂혃혅혆혇혉', 6, '혒'],
  [
    'c281',
    '혖',
    5,
    '혝혞혟혡혢혣혥',
    7,
    '혮',
    9,
    '혺혻징짖짙짚짜짝짠짢짤짧짬짭짯짰짱째짹짼쨀쨈쨉쨋쨌쨍쨔쨘쨩쩌쩍쩐쩔쩜쩝쩟쩠쩡쩨쩽쪄쪘쪼쪽쫀쫄쫌쫍쫏쫑쫓쫘쫙쫠쫬쫴쬈쬐쬔쬘쬠쬡쭁쭈쭉쭌쭐쭘쭙쭝쭤쭸쭹쮜쮸쯔쯤쯧쯩찌찍찐찔찜찝찡찢찧차착찬찮찰참찹찻'
  ],
  ['c341', '혽혾혿홁홂홃홄홆홇홊홌홎홏홐홒홓홖홗홙홚홛홝', 4],
  ['c361', '홢', 4, '홨홪', 5, '홲홳홵', 11],
  [
    'c381',
    '횁횂횄횆',
    5,
    '횎횏횑횒횓횕',
    7,
    '횞횠횢',
    5,
    '횩횪찼창찾채책챈챌챔챕챗챘챙챠챤챦챨챰챵처척천철첨첩첫첬청체첵첸첼쳄쳅쳇쳉쳐쳔쳤쳬쳰촁초촉촌촐촘촙촛총촤촨촬촹최쵠쵤쵬쵭쵯쵱쵸춈추축춘출춤춥춧충춰췄췌췐취췬췰췸췹췻췽츄츈츌츔츙츠측츤츨츰츱츳층'
  ],
  ['c441', '횫횭횮횯횱', 7, '횺횼', 7, '훆훇훉훊훋'],
  ['c461', '훍훎훏훐훒훓훕훖훘훚', 5, '훡훢훣훥훦훧훩', 4],
  [
    'c481',
    '훮훯훱훲훳훴훶',
    5,
    '훾훿휁휂휃휅',
    11,
    '휒휓휔치칙친칟칠칡침칩칫칭카칵칸칼캄캅캇캉캐캑캔캘캠캡캣캤캥캬캭컁커컥컨컫컬컴컵컷컸컹케켁켄켈켐켑켓켕켜켠켤켬켭켯켰켱켸코콕콘콜콤콥콧콩콰콱콴콸쾀쾅쾌쾡쾨쾰쿄쿠쿡쿤쿨쿰쿱쿳쿵쿼퀀퀄퀑퀘퀭퀴퀵퀸퀼'
  ],
  ['c541', '휕휖휗휚휛휝휞휟휡', 6, '휪휬휮', 5, '휶휷휹'],
  ['c561', '휺휻휽', 6, '흅흆흈흊', 5, '흒흓흕흚', 4],
  [
    'c581',
    '흟흢흤흦흧흨흪흫흭흮흯흱흲흳흵',
    6,
    '흾흿힀힂',
    5,
    '힊힋큄큅큇큉큐큔큘큠크큭큰클큼큽킁키킥킨킬킴킵킷킹타탁탄탈탉탐탑탓탔탕태택탠탤탬탭탯탰탱탸턍터턱턴털턺텀텁텃텄텅테텍텐텔템텝텟텡텨텬텼톄톈토톡톤톨톰톱톳통톺톼퇀퇘퇴퇸툇툉툐투툭툰툴툼툽툿퉁퉈퉜'
  ],
  ['c641', '힍힎힏힑', 6, '힚힜힞', 5],
  [
    'c6a1',
    '퉤튀튁튄튈튐튑튕튜튠튤튬튱트특튼튿틀틂틈틉틋틔틘틜틤틥티틱틴틸팀팁팃팅파팍팎판팔팖팜팝팟팠팡팥패팩팬팰팸팹팻팼팽퍄퍅퍼퍽펀펄펌펍펏펐펑페펙펜펠펨펩펫펭펴편펼폄폅폈평폐폘폡폣포폭폰폴폼폽폿퐁'
  ],
  [
    'c7a1',
    '퐈퐝푀푄표푠푤푭푯푸푹푼푿풀풂품풉풋풍풔풩퓌퓐퓔퓜퓟퓨퓬퓰퓸퓻퓽프픈플픔픕픗피픽핀필핌핍핏핑하학한할핥함합핫항해핵핸핼햄햅햇했행햐향허헉헌헐헒험헙헛헝헤헥헨헬헴헵헷헹혀혁현혈혐협혓혔형혜혠'
  ],
  [
    'c8a1',
    '혤혭호혹혼홀홅홈홉홋홍홑화확환활홧황홰홱홴횃횅회획횐횔횝횟횡효횬횰횹횻후훅훈훌훑훔훗훙훠훤훨훰훵훼훽휀휄휑휘휙휜휠휨휩휫휭휴휵휸휼흄흇흉흐흑흔흖흗흘흙흠흡흣흥흩희흰흴흼흽힁히힉힌힐힘힙힛힝'
  ],
  [
    'caa1',
    '伽佳假價加可呵哥嘉嫁家暇架枷柯歌珂痂稼苛茄街袈訶賈跏軻迦駕刻却各恪慤殼珏脚覺角閣侃刊墾奸姦干幹懇揀杆柬桿澗癎看磵稈竿簡肝艮艱諫間乫喝曷渴碣竭葛褐蝎鞨勘坎堪嵌感憾戡敢柑橄減甘疳監瞰紺邯鑑鑒龕'
  ],
  [
    'cba1',
    '匣岬甲胛鉀閘剛堈姜岡崗康强彊慷江畺疆糠絳綱羌腔舡薑襁講鋼降鱇介价個凱塏愷愾慨改槪漑疥皆盖箇芥蓋豈鎧開喀客坑更粳羹醵倨去居巨拒据據擧渠炬祛距踞車遽鉅鋸乾件健巾建愆楗腱虔蹇鍵騫乞傑杰桀儉劍劒檢'
  ],
  [
    'cca1',
    '瞼鈐黔劫怯迲偈憩揭擊格檄激膈覡隔堅牽犬甄絹繭肩見譴遣鵑抉決潔結缺訣兼慊箝謙鉗鎌京俓倞傾儆勁勍卿坰境庚徑慶憬擎敬景暻更梗涇炅烱璟璥瓊痙硬磬竟競絅經耕耿脛莖警輕逕鏡頃頸驚鯨係啓堺契季屆悸戒桂械'
  ],
  [
    'cda1',
    '棨溪界癸磎稽系繫繼計誡谿階鷄古叩告呱固姑孤尻庫拷攷故敲暠枯槁沽痼皐睾稿羔考股膏苦苽菰藁蠱袴誥賈辜錮雇顧高鼓哭斛曲梏穀谷鵠困坤崑昆梱棍滾琨袞鯤汨滑骨供公共功孔工恐恭拱控攻珙空蚣貢鞏串寡戈果瓜'
  ],
  [
    'cea1',
    '科菓誇課跨過鍋顆廓槨藿郭串冠官寬慣棺款灌琯瓘管罐菅觀貫關館刮恝括适侊光匡壙廣曠洸炚狂珖筐胱鑛卦掛罫乖傀塊壞怪愧拐槐魁宏紘肱轟交僑咬喬嬌嶠巧攪敎校橋狡皎矯絞翹膠蕎蛟較轎郊餃驕鮫丘久九仇俱具勾'
  ],
  [
    'cfa1',
    '區口句咎嘔坵垢寇嶇廐懼拘救枸柩構歐毆毬求溝灸狗玖球瞿矩究絿耉臼舅舊苟衢謳購軀逑邱鉤銶駒驅鳩鷗龜國局菊鞠鞫麴君窘群裙軍郡堀屈掘窟宮弓穹窮芎躬倦券勸卷圈拳捲權淃眷厥獗蕨蹶闕机櫃潰詭軌饋句晷歸貴'
  ],
  [
    'd0a1',
    '鬼龜叫圭奎揆槻珪硅窺竅糾葵規赳逵閨勻均畇筠菌鈞龜橘克剋劇戟棘極隙僅劤勤懃斤根槿瑾筋芹菫覲謹近饉契今妗擒昑檎琴禁禽芩衾衿襟金錦伋及急扱汲級給亘兢矜肯企伎其冀嗜器圻基埼夔奇妓寄岐崎己幾忌技旗旣'
  ],
  [
    'd1a1',
    '朞期杞棋棄機欺氣汽沂淇玘琦琪璂璣畸畿碁磯祁祇祈祺箕紀綺羈耆耭肌記譏豈起錡錤飢饑騎騏驥麒緊佶吉拮桔金喫儺喇奈娜懦懶拏拿癩',
    5,
    '那樂',
    4,
    '諾酪駱亂卵暖欄煖爛蘭難鸞捏捺南嵐枏楠湳濫男藍襤拉'
  ],
  [
    'd2a1',
    '納臘蠟衲囊娘廊',
    4,
    '乃來內奈柰耐冷女年撚秊念恬拈捻寧寗努勞奴弩怒擄櫓爐瑙盧',
    5,
    '駑魯',
    10,
    '濃籠聾膿農惱牢磊腦賂雷尿壘',
    7,
    '嫩訥杻紐勒',
    5,
    '能菱陵尼泥匿溺多茶'
  ],
  [
    'd3a1',
    '丹亶但單團壇彖斷旦檀段湍短端簞緞蛋袒鄲鍛撻澾獺疸達啖坍憺擔曇淡湛潭澹痰聃膽蕁覃談譚錟沓畓答踏遝唐堂塘幢戇撞棠當糖螳黨代垈坮大對岱帶待戴擡玳臺袋貸隊黛宅德悳倒刀到圖堵塗導屠島嶋度徒悼挑掉搗桃'
  ],
  [
    'd4a1',
    '棹櫂淘渡滔濤燾盜睹禱稻萄覩賭跳蹈逃途道都鍍陶韜毒瀆牘犢獨督禿篤纛讀墩惇敦旽暾沌焞燉豚頓乭突仝冬凍動同憧東桐棟洞潼疼瞳童胴董銅兜斗杜枓痘竇荳讀豆逗頭屯臀芚遁遯鈍得嶝橙燈登等藤謄鄧騰喇懶拏癩羅'
  ],
  [
    'd5a1',
    '蘿螺裸邏樂洛烙珞絡落諾酪駱丹亂卵欄欒瀾爛蘭鸞剌辣嵐擥攬欖濫籃纜藍襤覽拉臘蠟廊朗浪狼琅瑯螂郞來崍徠萊冷掠略亮倆兩凉梁樑粮粱糧良諒輛量侶儷勵呂廬慮戾旅櫚濾礪藜蠣閭驢驪麗黎力曆歷瀝礫轢靂憐戀攣漣'
  ],
  [
    'd6a1',
    '煉璉練聯蓮輦連鍊冽列劣洌烈裂廉斂殮濂簾獵令伶囹寧岺嶺怜玲笭羚翎聆逞鈴零靈領齡例澧禮醴隷勞怒撈擄櫓潞瀘爐盧老蘆虜路輅露魯鷺鹵碌祿綠菉錄鹿麓論壟弄朧瀧瓏籠聾儡瀨牢磊賂賚賴雷了僚寮廖料燎療瞭聊蓼'
  ],
  [
    'd7a1',
    '遼鬧龍壘婁屢樓淚漏瘻累縷蔞褸鏤陋劉旒柳榴流溜瀏琉瑠留瘤硫謬類六戮陸侖倫崙淪綸輪律慄栗率隆勒肋凜凌楞稜綾菱陵俚利厘吏唎履悧李梨浬犁狸理璃異痢籬罹羸莉裏裡里釐離鯉吝潾燐璘藺躪隣鱗麟林淋琳臨霖砬'
  ],
  [
    'd8a1',
    '立笠粒摩瑪痲碼磨馬魔麻寞幕漠膜莫邈万卍娩巒彎慢挽晩曼滿漫灣瞞萬蔓蠻輓饅鰻唜抹末沫茉襪靺亡妄忘忙望網罔芒茫莽輞邙埋妹媒寐昧枚梅每煤罵買賣邁魅脈貊陌驀麥孟氓猛盲盟萌冪覓免冕勉棉沔眄眠綿緬面麵滅'
  ],
  [
    'd9a1',
    '蔑冥名命明暝椧溟皿瞑茗蓂螟酩銘鳴袂侮冒募姆帽慕摸摹暮某模母毛牟牡瑁眸矛耗芼茅謀謨貌木沐牧目睦穆鶩歿沒夢朦蒙卯墓妙廟描昴杳渺猫竗苗錨務巫憮懋戊拇撫无楙武毋無珷畝繆舞茂蕪誣貿霧鵡墨默們刎吻問文'
  ],
  [
    'daa1',
    '汶紊紋聞蚊門雯勿沕物味媚尾嵋彌微未梶楣渼湄眉米美薇謎迷靡黴岷悶愍憫敏旻旼民泯玟珉緡閔密蜜謐剝博拍搏撲朴樸泊珀璞箔粕縛膊舶薄迫雹駁伴半反叛拌搬攀斑槃泮潘班畔瘢盤盼磐磻礬絆般蟠返頒飯勃拔撥渤潑'
  ],
  [
    'dba1',
    '發跋醱鉢髮魃倣傍坊妨尨幇彷房放方旁昉枋榜滂磅紡肪膀舫芳蒡蚌訪謗邦防龐倍俳北培徘拜排杯湃焙盃背胚裴裵褙賠輩配陪伯佰帛柏栢白百魄幡樊煩燔番磻繁蕃藩飜伐筏罰閥凡帆梵氾汎泛犯範范法琺僻劈壁擘檗璧癖'
  ],
  [
    'dca1',
    '碧蘗闢霹便卞弁變辨辯邊別瞥鱉鼈丙倂兵屛幷昞昺柄棅炳甁病秉竝輧餠騈保堡報寶普步洑湺潽珤甫菩補褓譜輔伏僕匐卜宓復服福腹茯蔔複覆輹輻馥鰒本乶俸奉封峯峰捧棒烽熢琫縫蓬蜂逢鋒鳳不付俯傅剖副否咐埠夫婦'
  ],
  [
    'dda1',
    '孚孵富府復扶敷斧浮溥父符簿缶腐腑膚艀芙莩訃負賦賻赴趺部釜阜附駙鳧北分吩噴墳奔奮忿憤扮昐汾焚盆粉糞紛芬賁雰不佛弗彿拂崩朋棚硼繃鵬丕備匕匪卑妃婢庇悲憊扉批斐枇榧比毖毗毘沸泌琵痺砒碑秕秘粃緋翡肥'
  ],
  [
    'dea1',
    '脾臂菲蜚裨誹譬費鄙非飛鼻嚬嬪彬斌檳殯浜濱瀕牝玭貧賓頻憑氷聘騁乍事些仕伺似使俟僿史司唆嗣四士奢娑寫寺射巳師徙思捨斜斯柶査梭死沙泗渣瀉獅砂社祀祠私篩紗絲肆舍莎蓑蛇裟詐詞謝賜赦辭邪飼駟麝削數朔索'
  ],
  [
    'dfa1',
    '傘刪山散汕珊産疝算蒜酸霰乷撒殺煞薩三參杉森渗芟蔘衫揷澁鈒颯上傷像償商喪嘗孀尙峠常床庠廂想桑橡湘爽牀狀相祥箱翔裳觴詳象賞霜塞璽賽嗇塞穡索色牲生甥省笙墅壻嶼序庶徐恕抒捿敍暑曙書栖棲犀瑞筮絮緖署'
  ],
  [
    'e0a1',
    '胥舒薯西誓逝鋤黍鼠夕奭席惜昔晳析汐淅潟石碩蓆釋錫仙僊先善嬋宣扇敾旋渲煽琁瑄璇璿癬禪線繕羨腺膳船蘚蟬詵跣選銑鐥饍鮮卨屑楔泄洩渫舌薛褻設說雪齧剡暹殲纖蟾贍閃陝攝涉燮葉城姓宬性惺成星晟猩珹盛省筬'
  ],
  [
    'e1a1',
    '聖聲腥誠醒世勢歲洗稅笹細說貰召嘯塑宵小少巢所掃搔昭梳沼消溯瀟炤燒甦疏疎瘙笑篠簫素紹蔬蕭蘇訴逍遡邵銷韶騷俗屬束涑粟續謖贖速孫巽損蓀遜飡率宋悚松淞訟誦送頌刷殺灑碎鎖衰釗修受嗽囚垂壽嫂守岫峀帥愁'
  ],
  [
    'e2a1',
    '戍手授搜收數樹殊水洙漱燧狩獸琇璲瘦睡秀穗竪粹綏綬繡羞脩茱蒐蓚藪袖誰讐輸遂邃酬銖銹隋隧隨雖需須首髓鬚叔塾夙孰宿淑潚熟琡璹肅菽巡徇循恂旬栒楯橓殉洵淳珣盾瞬筍純脣舜荀蓴蕣詢諄醇錞順馴戌術述鉥崇崧'
  ],
  [
    'e3a1',
    '嵩瑟膝蝨濕拾習褶襲丞乘僧勝升承昇繩蠅陞侍匙嘶始媤尸屎屍市弑恃施是時枾柴猜矢示翅蒔蓍視試詩諡豕豺埴寔式息拭植殖湜熄篒蝕識軾食飾伸侁信呻娠宸愼新晨燼申神紳腎臣莘薪藎蜃訊身辛辰迅失室實悉審尋心沁'
  ],
  [
    'e4a1',
    '沈深瀋甚芯諶什十拾雙氏亞俄兒啞娥峨我牙芽莪蛾衙訝阿雅餓鴉鵝堊岳嶽幄惡愕握樂渥鄂鍔顎鰐齷安岸按晏案眼雁鞍顔鮟斡謁軋閼唵岩巖庵暗癌菴闇壓押狎鴨仰央怏昻殃秧鴦厓哀埃崖愛曖涯碍艾隘靄厄扼掖液縊腋額'
  ],
  [
    'e5a1',
    '櫻罌鶯鸚也倻冶夜惹揶椰爺耶若野弱掠略約若葯蒻藥躍亮佯兩凉壤孃恙揚攘敭暘梁楊樣洋瀁煬痒瘍禳穰糧羊良襄諒讓釀陽量養圄御於漁瘀禦語馭魚齬億憶抑檍臆偃堰彦焉言諺孼蘖俺儼嚴奄掩淹嶪業円予余勵呂女如廬'
  ],
  [
    'e6a1',
    '旅歟汝濾璵礖礪與艅茹輿轝閭餘驪麗黎亦力域役易曆歷疫繹譯轢逆驛嚥堧姸娟宴年延憐戀捐挻撚椽沇沿涎涓淵演漣烟然煙煉燃燕璉硏硯秊筵緣練縯聯衍軟輦蓮連鉛鍊鳶列劣咽悅涅烈熱裂說閱厭廉念捻染殮炎焰琰艶苒'
  ],
  [
    'e7a1',
    '簾閻髥鹽曄獵燁葉令囹塋寧嶺嶸影怜映暎楹榮永泳渶潁濚瀛瀯煐營獰玲瑛瑩瓔盈穎纓羚聆英詠迎鈴鍈零霙靈領乂倪例刈叡曳汭濊猊睿穢芮藝蘂禮裔詣譽豫醴銳隸霓預五伍俉傲午吾吳嗚塢墺奧娛寤悟惡懊敖旿晤梧汚澳'
  ],
  [
    'e8a1',
    '烏熬獒筽蜈誤鰲鼇屋沃獄玉鈺溫瑥瘟穩縕蘊兀壅擁瓮甕癰翁邕雍饔渦瓦窩窪臥蛙蝸訛婉完宛梡椀浣玩琓琬碗緩翫脘腕莞豌阮頑曰往旺枉汪王倭娃歪矮外嵬巍猥畏了僚僥凹堯夭妖姚寥寮尿嶢拗搖撓擾料曜樂橈燎燿瑤療'
  ],
  [
    'e9a1',
    '窈窯繇繞耀腰蓼蟯要謠遙遼邀饒慾欲浴縟褥辱俑傭冗勇埇墉容庸慂榕涌湧溶熔瑢用甬聳茸蓉踊鎔鏞龍于佑偶優又友右宇寓尤愚憂旴牛玗瑀盂祐禑禹紆羽芋藕虞迂遇郵釪隅雨雩勖彧旭昱栯煜稶郁頊云暈橒殞澐熉耘芸蕓'
  ],
  [
    'eaa1',
    '運隕雲韻蔚鬱亐熊雄元原員圓園垣媛嫄寃怨愿援沅洹湲源爰猿瑗苑袁轅遠阮院願鴛月越鉞位偉僞危圍委威尉慰暐渭爲瑋緯胃萎葦蔿蝟衛褘謂違韋魏乳侑儒兪劉唯喩孺宥幼幽庾悠惟愈愉揄攸有杻柔柚柳楡楢油洧流游溜'
  ],
  [
    'eba1',
    '濡猶猷琉瑜由留癒硫紐維臾萸裕誘諛諭踰蹂遊逾遺酉釉鍮類六堉戮毓肉育陸倫允奫尹崙淪潤玧胤贇輪鈗閏律慄栗率聿戎瀜絨融隆垠恩慇殷誾銀隱乙吟淫蔭陰音飮揖泣邑凝應膺鷹依倚儀宜意懿擬椅毅疑矣義艤薏蟻衣誼'
  ],
  [
    'eca1',
    '議醫二以伊利吏夷姨履已弛彛怡易李梨泥爾珥理異痍痢移罹而耳肄苡荑裏裡貽貳邇里離飴餌匿溺瀷益翊翌翼謚人仁刃印吝咽因姻寅引忍湮燐璘絪茵藺蚓認隣靭靷鱗麟一佚佾壹日溢逸鎰馹任壬妊姙恁林淋稔臨荏賃入卄'
  ],
  [
    'eda1',
    '立笠粒仍剩孕芿仔刺咨姉姿子字孜恣慈滋炙煮玆瓷疵磁紫者自茨蔗藉諮資雌作勺嚼斫昨灼炸爵綽芍酌雀鵲孱棧殘潺盞岑暫潛箴簪蠶雜丈仗匠場墻壯奬將帳庄張掌暲杖樟檣欌漿牆狀獐璋章粧腸臟臧莊葬蔣薔藏裝贓醬長'
  ],
  [
    'eea1',
    '障再哉在宰才材栽梓渽滓災縡裁財載齋齎爭箏諍錚佇低儲咀姐底抵杵楮樗沮渚狙猪疽箸紵苧菹著藷詛貯躇這邸雎齟勣吊嫡寂摘敵滴狄炙的積笛籍績翟荻謫賊赤跡蹟迪迹適鏑佃佺傳全典前剪塡塼奠專展廛悛戰栓殿氈澱'
  ],
  [
    'efa1',
    '煎琠田甸畑癲筌箋箭篆纏詮輾轉鈿銓錢鐫電顚顫餞切截折浙癤竊節絶占岾店漸点粘霑鮎點接摺蝶丁井亭停偵呈姃定幀庭廷征情挺政整旌晶晸柾楨檉正汀淀淨渟湞瀞炡玎珽町睛碇禎程穽精綎艇訂諪貞鄭酊釘鉦鋌錠霆靖'
  ],
  [
    'f0a1',
    '靜頂鼎制劑啼堤帝弟悌提梯濟祭第臍薺製諸蹄醍除際霽題齊俎兆凋助嘲弔彫措操早晁曺曹朝條棗槽漕潮照燥爪璪眺祖祚租稠窕粗糟組繰肇藻蚤詔調趙躁造遭釣阻雕鳥族簇足鏃存尊卒拙猝倧宗從悰慫棕淙琮種終綜縱腫'
  ],
  [
    'f1a1',
    '踪踵鍾鐘佐坐左座挫罪主住侏做姝胄呪周嗾奏宙州廚晝朱柱株注洲湊澍炷珠疇籌紂紬綢舟蛛註誅走躊輳週酎酒鑄駐竹粥俊儁准埈寯峻晙樽浚準濬焌畯竣蠢逡遵雋駿茁中仲衆重卽櫛楫汁葺增憎曾拯烝甑症繒蒸證贈之只'
  ],
  [
    'f2a1',
    '咫地址志持指摯支旨智枝枳止池沚漬知砥祉祗紙肢脂至芝芷蜘誌識贄趾遲直稙稷織職唇嗔塵振搢晉晋桭榛殄津溱珍瑨璡畛疹盡眞瞋秦縉縝臻蔯袗診賑軫辰進鎭陣陳震侄叱姪嫉帙桎瓆疾秩窒膣蛭質跌迭斟朕什執潗緝輯'
  ],
  [
    'f3a1',
    '鏶集徵懲澄且侘借叉嗟嵯差次此磋箚茶蹉車遮捉搾着窄錯鑿齪撰澯燦璨瓚竄簒纂粲纘讚贊鑽餐饌刹察擦札紮僭參塹慘慙懺斬站讒讖倉倡創唱娼廠彰愴敞昌昶暢槍滄漲猖瘡窓脹艙菖蒼債埰寀寨彩採砦綵菜蔡采釵冊柵策'
  ],
  [
    'f4a1',
    '責凄妻悽處倜刺剔尺慽戚拓擲斥滌瘠脊蹠陟隻仟千喘天川擅泉淺玔穿舛薦賤踐遷釧闡阡韆凸哲喆徹撤澈綴輟轍鐵僉尖沾添甛瞻簽籤詹諂堞妾帖捷牒疊睫諜貼輒廳晴淸聽菁請靑鯖切剃替涕滯締諦逮遞體初剿哨憔抄招梢'
  ],
  [
    'f5a1',
    '椒楚樵炒焦硝礁礎秒稍肖艸苕草蕉貂超酢醋醮促囑燭矗蜀觸寸忖村邨叢塚寵悤憁摠總聰蔥銃撮催崔最墜抽推椎楸樞湫皺秋芻萩諏趨追鄒酋醜錐錘鎚雛騶鰍丑畜祝竺筑築縮蓄蹙蹴軸逐春椿瑃出朮黜充忠沖蟲衝衷悴膵萃'
  ],
  [
    'f6a1',
    '贅取吹嘴娶就炊翠聚脆臭趣醉驟鷲側仄厠惻測層侈値嗤峙幟恥梔治淄熾痔痴癡稚穉緇緻置致蚩輜雉馳齒則勅飭親七柒漆侵寢枕沈浸琛砧針鍼蟄秤稱快他咤唾墮妥惰打拖朶楕舵陀馱駝倬卓啄坼度托拓擢晫柝濁濯琢琸託'
  ],
  [
    'f7a1',
    '鐸呑嘆坦彈憚歎灘炭綻誕奪脫探眈耽貪塔搭榻宕帑湯糖蕩兌台太怠態殆汰泰笞胎苔跆邰颱宅擇澤撑攄兎吐土討慟桶洞痛筒統通堆槌腿褪退頹偸套妬投透鬪慝特闖坡婆巴把播擺杷波派爬琶破罷芭跛頗判坂板版瓣販辦鈑'
  ],
  [
    'f8a1',
    '阪八叭捌佩唄悖敗沛浿牌狽稗覇貝彭澎烹膨愎便偏扁片篇編翩遍鞭騙貶坪平枰萍評吠嬖幣廢弊斃肺蔽閉陛佈包匍匏咆哺圃布怖抛抱捕暴泡浦疱砲胞脯苞葡蒲袍褒逋鋪飽鮑幅暴曝瀑爆輻俵剽彪慓杓標漂瓢票表豹飇飄驃'
  ],
  [
    'f9a1',
    '品稟楓諷豊風馮彼披疲皮被避陂匹弼必泌珌畢疋筆苾馝乏逼下何厦夏廈昰河瑕荷蝦賀遐霞鰕壑學虐謔鶴寒恨悍旱汗漢澣瀚罕翰閑閒限韓割轄函含咸啣喊檻涵緘艦銜陷鹹合哈盒蛤閤闔陜亢伉姮嫦巷恒抗杭桁沆港缸肛航'
  ],
  [
    'faa1',
    '行降項亥偕咳垓奚孩害懈楷海瀣蟹解該諧邂駭骸劾核倖幸杏荇行享向嚮珦鄕響餉饗香噓墟虛許憲櫶獻軒歇險驗奕爀赫革俔峴弦懸晛泫炫玄玹現眩睍絃絢縣舷衒見賢鉉顯孑穴血頁嫌俠協夾峽挾浹狹脅脇莢鋏頰亨兄刑型'
  ],
  [
    'fba1',
    '形泂滎瀅灐炯熒珩瑩荊螢衡逈邢鎣馨兮彗惠慧暳蕙蹊醯鞋乎互呼壕壺好岵弧戶扈昊晧毫浩淏湖滸澔濠濩灝狐琥瑚瓠皓祜糊縞胡芦葫蒿虎號蝴護豪鎬頀顥惑或酷婚昏混渾琿魂忽惚笏哄弘汞泓洪烘紅虹訌鴻化和嬅樺火畵'
  ],
  [
    'fca1',
    '禍禾花華話譁貨靴廓擴攫確碻穫丸喚奐宦幻患換歡晥桓渙煥環紈還驩鰥活滑猾豁闊凰幌徨恍惶愰慌晃晄榥況湟滉潢煌璜皇篁簧荒蝗遑隍黃匯回廻徊恢悔懷晦會檜淮澮灰獪繪膾茴蛔誨賄劃獲宖橫鐄哮嚆孝效斅曉梟涍淆'
  ],
  [
    'fda1',
    '爻肴酵驍侯候厚后吼喉嗅帿後朽煦珝逅勛勳塤壎焄熏燻薰訓暈薨喧暄煊萱卉喙毁彙徽揮暉煇諱輝麾休携烋畦虧恤譎鷸兇凶匈洶胸黑昕欣炘痕吃屹紇訖欠欽歆吸恰洽翕興僖凞喜噫囍姬嬉希憙憘戱晞曦熙熹熺犧禧稀羲詰'
  ]
]

const require$$6 = [
  ['0', '\u0000', 127],
  [
    'a140',
    '　，、。．‧；：？！︰…‥﹐﹑﹒·﹔﹕﹖﹗｜–︱—︳╴︴﹏（）︵︶｛｝︷︸〔〕︹︺【】︻︼《》︽︾〈〉︿﹀「」﹁﹂『』﹃﹄﹙﹚'
  ],
  [
    'a1a1',
    '﹛﹜﹝﹞‘’“”〝〞‵′＃＆＊※§〃○●△▲◎☆★◇◆□■▽▼㊣℅¯￣＿ˍ﹉﹊﹍﹎﹋﹌﹟﹠﹡＋－×÷±√＜＞＝≦≧≠∞≒≡﹢',
    4,
    '～∩∪⊥∠∟⊿㏒㏑∫∮∵∴♀♂⊕⊙↑↓←→↖↗↙↘∥∣／'
  ],
  [
    'a240',
    '＼∕﹨＄￥〒￠￡％＠℃℉﹩﹪﹫㏕㎜㎝㎞㏎㎡㎎㎏㏄°兙兛兞兝兡兣嗧瓩糎▁',
    7,
    '▏▎▍▌▋▊▉┼┴┬┤├▔─│▕┌┐└┘╭'
  ],
  ['a2a1', '╮╰╯═╞╪╡◢◣◥◤╱╲╳０', 9, 'Ⅰ', 9, '〡', 8, '十卄卅Ａ', 25, 'ａ', 21],
  ['a340', 'ｗｘｙｚΑ', 16, 'Σ', 6, 'α', 16, 'σ', 6, 'ㄅ', 10],
  ['a3a1', 'ㄐ', 25, '˙ˉˊˇˋ'],
  ['a3e1', '€'],
  [
    'a440',
    '一乙丁七乃九了二人儿入八几刀刁力匕十卜又三下丈上丫丸凡久么也乞于亡兀刃勺千叉口土士夕大女子孑孓寸小尢尸山川工己已巳巾干廾弋弓才'
  ],
  [
    'a4a1',
    '丑丐不中丰丹之尹予云井互五亢仁什仃仆仇仍今介仄元允內六兮公冗凶分切刈勻勾勿化匹午升卅卞厄友及反壬天夫太夭孔少尤尺屯巴幻廿弔引心戈戶手扎支文斗斤方日曰月木欠止歹毋比毛氏水火爪父爻片牙牛犬王丙'
  ],
  [
    'a540',
    '世丕且丘主乍乏乎以付仔仕他仗代令仙仞充兄冉冊冬凹出凸刊加功包匆北匝仟半卉卡占卯卮去可古右召叮叩叨叼司叵叫另只史叱台句叭叻四囚外'
  ],
  [
    'a5a1',
    '央失奴奶孕它尼巨巧左市布平幼弁弘弗必戊打扔扒扑斥旦朮本未末札正母民氐永汁汀氾犯玄玉瓜瓦甘生用甩田由甲申疋白皮皿目矛矢石示禾穴立丞丟乒乓乩亙交亦亥仿伉伙伊伕伍伐休伏仲件任仰仳份企伋光兇兆先全'
  ],
  [
    'a640',
    '共再冰列刑划刎刖劣匈匡匠印危吉吏同吊吐吁吋各向名合吃后吆吒因回囝圳地在圭圬圯圩夙多夷夸妄奸妃好她如妁字存宇守宅安寺尖屹州帆并年'
  ],
  [
    'a6a1',
    '式弛忙忖戎戌戍成扣扛托收早旨旬旭曲曳有朽朴朱朵次此死氖汝汗汙江池汐汕污汛汍汎灰牟牝百竹米糸缶羊羽老考而耒耳聿肉肋肌臣自至臼舌舛舟艮色艾虫血行衣西阡串亨位住佇佗佞伴佛何估佐佑伽伺伸佃佔似但佣'
  ],
  [
    'a740',
    '作你伯低伶余佝佈佚兌克免兵冶冷別判利刪刨劫助努劬匣即卵吝吭吞吾否呎吧呆呃吳呈呂君吩告吹吻吸吮吵吶吠吼呀吱含吟听囪困囤囫坊坑址坍'
  ],
  [
    'a7a1',
    '均坎圾坐坏圻壯夾妝妒妨妞妣妙妖妍妤妓妊妥孝孜孚孛完宋宏尬局屁尿尾岐岑岔岌巫希序庇床廷弄弟彤形彷役忘忌志忍忱快忸忪戒我抄抗抖技扶抉扭把扼找批扳抒扯折扮投抓抑抆改攻攸旱更束李杏材村杜杖杞杉杆杠'
  ],
  [
    'a840',
    '杓杗步每求汞沙沁沈沉沅沛汪決沐汰沌汨沖沒汽沃汲汾汴沆汶沍沔沘沂灶灼災灸牢牡牠狄狂玖甬甫男甸皂盯矣私秀禿究系罕肖肓肝肘肛肚育良芒'
  ],
  [
    'a8a1',
    '芋芍見角言谷豆豕貝赤走足身車辛辰迂迆迅迄巡邑邢邪邦那酉釆里防阮阱阪阬並乖乳事些亞享京佯依侍佳使佬供例來侃佰併侈佩佻侖佾侏侑佺兔兒兕兩具其典冽函刻券刷刺到刮制剁劾劻卒協卓卑卦卷卸卹取叔受味呵'
  ],
  [
    'a940',
    '咖呸咕咀呻呷咄咒咆呼咐呱呶和咚呢周咋命咎固垃坷坪坩坡坦坤坼夜奉奇奈奄奔妾妻委妹妮姑姆姐姍始姓姊妯妳姒姅孟孤季宗定官宜宙宛尚屈居'
  ],
  [
    'a9a1',
    '屆岷岡岸岩岫岱岳帘帚帖帕帛帑幸庚店府底庖延弦弧弩往征彿彼忝忠忽念忿怏怔怯怵怖怪怕怡性怩怫怛或戕房戾所承拉拌拄抿拂抹拒招披拓拔拋拈抨抽押拐拙拇拍抵拚抱拘拖拗拆抬拎放斧於旺昔易昌昆昂明昀昏昕昊'
  ],
  [
    'aa40',
    '昇服朋杭枋枕東果杳杷枇枝林杯杰板枉松析杵枚枓杼杪杲欣武歧歿氓氛泣注泳沱泌泥河沽沾沼波沫法泓沸泄油況沮泗泅泱沿治泡泛泊沬泯泜泖泠'
  ],
  [
    'aaa1',
    '炕炎炒炊炙爬爭爸版牧物狀狎狙狗狐玩玨玟玫玥甽疝疙疚的盂盲直知矽社祀祁秉秈空穹竺糾罔羌羋者肺肥肢肱股肫肩肴肪肯臥臾舍芳芝芙芭芽芟芹花芬芥芯芸芣芰芾芷虎虱初表軋迎返近邵邸邱邶采金長門阜陀阿阻附'
  ],
  [
    'ab40',
    '陂隹雨青非亟亭亮信侵侯便俠俑俏保促侶俘俟俊俗侮俐俄係俚俎俞侷兗冒冑冠剎剃削前剌剋則勇勉勃勁匍南卻厚叛咬哀咨哎哉咸咦咳哇哂咽咪品'
  ],
  [
    'aba1',
    '哄哈咯咫咱咻咩咧咿囿垂型垠垣垢城垮垓奕契奏奎奐姜姘姿姣姨娃姥姪姚姦威姻孩宣宦室客宥封屎屏屍屋峙峒巷帝帥帟幽庠度建弈弭彥很待徊律徇後徉怒思怠急怎怨恍恰恨恢恆恃恬恫恪恤扁拜挖按拼拭持拮拽指拱拷'
  ],
  [
    'ac40',
    '拯括拾拴挑挂政故斫施既春昭映昧是星昨昱昤曷柿染柱柔某柬架枯柵柩柯柄柑枴柚查枸柏柞柳枰柙柢柝柒歪殃殆段毒毗氟泉洋洲洪流津洌洱洞洗'
  ],
  [
    'aca1',
    '活洽派洶洛泵洹洧洸洩洮洵洎洫炫為炳炬炯炭炸炮炤爰牲牯牴狩狠狡玷珊玻玲珍珀玳甚甭畏界畎畋疫疤疥疢疣癸皆皇皈盈盆盃盅省盹相眉看盾盼眇矜砂研砌砍祆祉祈祇禹禺科秒秋穿突竿竽籽紂紅紀紉紇約紆缸美羿耄'
  ],
  [
    'ad40',
    '耐耍耑耶胖胥胚胃胄背胡胛胎胞胤胝致舢苧范茅苣苛苦茄若茂茉苒苗英茁苜苔苑苞苓苟苯茆虐虹虻虺衍衫要觔計訂訃貞負赴赳趴軍軌述迦迢迪迥'
  ],
  [
    'ada1',
    '迭迫迤迨郊郎郁郃酋酊重閂限陋陌降面革韋韭音頁風飛食首香乘亳倌倍倣俯倦倥俸倩倖倆值借倚倒們俺倀倔倨俱倡個候倘俳修倭倪俾倫倉兼冤冥冢凍凌准凋剖剜剔剛剝匪卿原厝叟哨唐唁唷哼哥哲唆哺唔哩哭員唉哮哪'
  ],
  [
    'ae40',
    '哦唧唇哽唏圃圄埂埔埋埃堉夏套奘奚娑娘娜娟娛娓姬娠娣娩娥娌娉孫屘宰害家宴宮宵容宸射屑展屐峭峽峻峪峨峰島崁峴差席師庫庭座弱徒徑徐恙'
  ],
  [
    'aea1',
    '恣恥恐恕恭恩息悄悟悚悍悔悌悅悖扇拳挈拿捎挾振捕捂捆捏捉挺捐挽挪挫挨捍捌效敉料旁旅時晉晏晃晒晌晅晁書朔朕朗校核案框桓根桂桔栩梳栗桌桑栽柴桐桀格桃株桅栓栘桁殊殉殷氣氧氨氦氤泰浪涕消涇浦浸海浙涓'
  ],
  [
    'af40',
    '浬涉浮浚浴浩涌涊浹涅浥涔烊烘烤烙烈烏爹特狼狹狽狸狷玆班琉珮珠珪珞畔畝畜畚留疾病症疲疳疽疼疹痂疸皋皰益盍盎眩真眠眨矩砰砧砸砝破砷'
  ],
  [
    'afa1',
    '砥砭砠砟砲祕祐祠祟祖神祝祗祚秤秣秧租秦秩秘窄窈站笆笑粉紡紗紋紊素索純紐紕級紜納紙紛缺罟羔翅翁耆耘耕耙耗耽耿胱脂胰脅胭胴脆胸胳脈能脊胼胯臭臬舀舐航舫舨般芻茫荒荔荊茸荐草茵茴荏茲茹茶茗荀茱茨荃'
  ],
  [
    'b040',
    '虔蚊蚪蚓蚤蚩蚌蚣蚜衰衷袁袂衽衹記訐討訌訕訊託訓訖訏訑豈豺豹財貢起躬軒軔軏辱送逆迷退迺迴逃追逅迸邕郡郝郢酒配酌釘針釗釜釙閃院陣陡'
  ],
  [
    'b0a1',
    '陛陝除陘陞隻飢馬骨高鬥鬲鬼乾偺偽停假偃偌做偉健偶偎偕偵側偷偏倏偯偭兜冕凰剪副勒務勘動匐匏匙匿區匾參曼商啪啦啄啞啡啃啊唱啖問啕唯啤唸售啜唬啣唳啁啗圈國圉域堅堊堆埠埤基堂堵執培夠奢娶婁婉婦婪婀'
  ],
  [
    'b140',
    '娼婢婚婆婊孰寇寅寄寂宿密尉專將屠屜屝崇崆崎崛崖崢崑崩崔崙崤崧崗巢常帶帳帷康庸庶庵庾張強彗彬彩彫得徙從徘御徠徜恿患悉悠您惋悴惦悽'
  ],
  [
    'b1a1',
    '情悻悵惜悼惘惕惆惟悸惚惇戚戛扈掠控捲掖探接捷捧掘措捱掩掉掃掛捫推掄授掙採掬排掏掀捻捩捨捺敝敖救教敗啟敏敘敕敔斜斛斬族旋旌旎晝晚晤晨晦晞曹勗望梁梯梢梓梵桿桶梱梧梗械梃棄梭梆梅梔條梨梟梡梂欲殺'
  ],
  [
    'b240',
    '毫毬氫涎涼淳淙液淡淌淤添淺清淇淋涯淑涮淞淹涸混淵淅淒渚涵淚淫淘淪深淮淨淆淄涪淬涿淦烹焉焊烽烯爽牽犁猜猛猖猓猙率琅琊球理現琍瓠瓶'
  ],
  [
    'b2a1',
    '瓷甜產略畦畢異疏痔痕疵痊痍皎盔盒盛眷眾眼眶眸眺硫硃硎祥票祭移窒窕笠笨笛第符笙笞笮粒粗粕絆絃統紮紹紼絀細紳組累終紲紱缽羞羚翌翎習耜聊聆脯脖脣脫脩脰脤舂舵舷舶船莎莞莘荸莢莖莽莫莒莊莓莉莠荷荻荼'
  ],
  [
    'b340',
    '莆莧處彪蛇蛀蚶蛄蚵蛆蛋蚱蚯蛉術袞袈被袒袖袍袋覓規訪訝訣訥許設訟訛訢豉豚販責貫貨貪貧赧赦趾趺軛軟這逍通逗連速逝逐逕逞造透逢逖逛途'
  ],
  [
    'b3a1',
    '部郭都酗野釵釦釣釧釭釩閉陪陵陳陸陰陴陶陷陬雀雪雩章竟頂頃魚鳥鹵鹿麥麻傢傍傅備傑傀傖傘傚最凱割剴創剩勞勝勛博厥啻喀喧啼喊喝喘喂喜喪喔喇喋喃喳單喟唾喲喚喻喬喱啾喉喫喙圍堯堪場堤堰報堡堝堠壹壺奠'
  ],
  [
    'b440',
    '婷媚婿媒媛媧孳孱寒富寓寐尊尋就嵌嵐崴嵇巽幅帽幀幃幾廊廁廂廄弼彭復循徨惑惡悲悶惠愜愣惺愕惰惻惴慨惱愎惶愉愀愒戟扉掣掌描揀揩揉揆揍'
  ],
  [
    'b4a1',
    '插揣提握揖揭揮捶援揪換摒揚揹敞敦敢散斑斐斯普晰晴晶景暑智晾晷曾替期朝棺棕棠棘棗椅棟棵森棧棹棒棲棣棋棍植椒椎棉棚楮棻款欺欽殘殖殼毯氮氯氬港游湔渡渲湧湊渠渥渣減湛湘渤湖湮渭渦湯渴湍渺測湃渝渾滋'
  ],
  [
    'b540',
    '溉渙湎湣湄湲湩湟焙焚焦焰無然煮焜牌犄犀猶猥猴猩琺琪琳琢琥琵琶琴琯琛琦琨甥甦畫番痢痛痣痙痘痞痠登發皖皓皴盜睏短硝硬硯稍稈程稅稀窘'
  ],
  [
    'b5a1',
    '窗窖童竣等策筆筐筒答筍筋筏筑粟粥絞結絨絕紫絮絲絡給絢絰絳善翔翕耋聒肅腕腔腋腑腎脹腆脾腌腓腴舒舜菩萃菸萍菠菅萋菁華菱菴著萊菰萌菌菽菲菊萸萎萄菜萇菔菟虛蛟蛙蛭蛔蛛蛤蛐蛞街裁裂袱覃視註詠評詞証詁'
  ],
  [
    'b640',
    '詔詛詐詆訴診訶詖象貂貯貼貳貽賁費賀貴買貶貿貸越超趁跎距跋跚跑跌跛跆軻軸軼辜逮逵週逸進逶鄂郵鄉郾酣酥量鈔鈕鈣鈉鈞鈍鈐鈇鈑閔閏開閑'
  ],
  [
    'b6a1',
    '間閒閎隊階隋陽隅隆隍陲隄雁雅雄集雇雯雲韌項順須飧飪飯飩飲飭馮馭黃黍黑亂傭債傲傳僅傾催傷傻傯僇剿剷剽募勦勤勢勣匯嗟嗨嗓嗦嗎嗜嗇嗑嗣嗤嗯嗚嗡嗅嗆嗥嗉園圓塞塑塘塗塚塔填塌塭塊塢塒塋奧嫁嫉嫌媾媽媼'
  ],
  [
    'b740',
    '媳嫂媲嵩嵯幌幹廉廈弒彙徬微愚意慈感想愛惹愁愈慎慌慄慍愾愴愧愍愆愷戡戢搓搾搞搪搭搽搬搏搜搔損搶搖搗搆敬斟新暗暉暇暈暖暄暘暍會榔業'
  ],
  [
    'b7a1',
    '楚楷楠楔極椰概楊楨楫楞楓楹榆楝楣楛歇歲毀殿毓毽溢溯滓溶滂源溝滇滅溥溘溼溺溫滑準溜滄滔溪溧溴煎煙煩煤煉照煜煬煦煌煥煞煆煨煖爺牒猷獅猿猾瑯瑚瑕瑟瑞瑁琿瑙瑛瑜當畸瘀痰瘁痲痱痺痿痴痳盞盟睛睫睦睞督'
  ],
  [
    'b840',
    '睹睪睬睜睥睨睢矮碎碰碗碘碌碉硼碑碓硿祺祿禁萬禽稜稚稠稔稟稞窟窠筷節筠筮筧粱粳粵經絹綑綁綏絛置罩罪署義羨群聖聘肆肄腱腰腸腥腮腳腫'
  ],
  [
    'b8a1',
    '腹腺腦舅艇蒂葷落萱葵葦葫葉葬葛萼萵葡董葩葭葆虞虜號蛹蜓蜈蜇蜀蛾蛻蜂蜃蜆蜊衙裟裔裙補裘裝裡裊裕裒覜解詫該詳試詩詰誇詼詣誠話誅詭詢詮詬詹詻訾詨豢貊貉賊資賈賄貲賃賂賅跡跟跨路跳跺跪跤跦躲較載軾輊'
  ],
  [
    'b940',
    '辟農運遊道遂達逼違遐遇遏過遍遑逾遁鄒鄗酬酪酩釉鈷鉗鈸鈽鉀鈾鉛鉋鉤鉑鈴鉉鉍鉅鈹鈿鉚閘隘隔隕雍雋雉雊雷電雹零靖靴靶預頑頓頊頒頌飼飴'
  ],
  [
    'b9a1',
    '飽飾馳馱馴髡鳩麂鼎鼓鼠僧僮僥僖僭僚僕像僑僱僎僩兢凳劃劂匱厭嗾嘀嘛嘗嗽嘔嘆嘉嘍嘎嗷嘖嘟嘈嘐嗶團圖塵塾境墓墊塹墅塽壽夥夢夤奪奩嫡嫦嫩嫗嫖嫘嫣孵寞寧寡寥實寨寢寤察對屢嶄嶇幛幣幕幗幔廓廖弊彆彰徹慇'
  ],
  [
    'ba40',
    '愿態慷慢慣慟慚慘慵截撇摘摔撤摸摟摺摑摧搴摭摻敲斡旗旖暢暨暝榜榨榕槁榮槓構榛榷榻榫榴槐槍榭槌榦槃榣歉歌氳漳演滾漓滴漩漾漠漬漏漂漢'
  ],
  [
    'baa1',
    '滿滯漆漱漸漲漣漕漫漯澈漪滬漁滲滌滷熔熙煽熊熄熒爾犒犖獄獐瑤瑣瑪瑰瑭甄疑瘧瘍瘋瘉瘓盡監瞄睽睿睡磁碟碧碳碩碣禎福禍種稱窪窩竭端管箕箋筵算箝箔箏箸箇箄粹粽精綻綰綜綽綾綠緊綴網綱綺綢綿綵綸維緒緇綬'
  ],
  [
    'bb40',
    '罰翠翡翟聞聚肇腐膀膏膈膊腿膂臧臺與舔舞艋蓉蒿蓆蓄蒙蒞蒲蒜蓋蒸蓀蓓蒐蒼蓑蓊蜿蜜蜻蜢蜥蜴蜘蝕蜷蜩裳褂裴裹裸製裨褚裯誦誌語誣認誡誓誤'
  ],
  [
    'bba1',
    '說誥誨誘誑誚誧豪貍貌賓賑賒赫趙趕跼輔輒輕輓辣遠遘遜遣遙遞遢遝遛鄙鄘鄞酵酸酷酴鉸銀銅銘銖鉻銓銜銨鉼銑閡閨閩閣閥閤隙障際雌雒需靼鞅韶頗領颯颱餃餅餌餉駁骯骰髦魁魂鳴鳶鳳麼鼻齊億儀僻僵價儂儈儉儅凜'
  ],
  [
    'bc40',
    '劇劈劉劍劊勰厲嘮嘻嘹嘲嘿嘴嘩噓噎噗噴嘶嘯嘰墀墟增墳墜墮墩墦奭嬉嫻嬋嫵嬌嬈寮寬審寫層履嶝嶔幢幟幡廢廚廟廝廣廠彈影德徵慶慧慮慝慕憂'
  ],
  [
    'bca1',
    '慼慰慫慾憧憐憫憎憬憚憤憔憮戮摩摯摹撞撲撈撐撰撥撓撕撩撒撮播撫撚撬撙撢撳敵敷數暮暫暴暱樣樟槨樁樞標槽模樓樊槳樂樅槭樑歐歎殤毅毆漿潼澄潑潦潔澆潭潛潸潮澎潺潰潤澗潘滕潯潠潟熟熬熱熨牖犛獎獗瑩璋璃'
  ],
  [
    'bd40',
    '瑾璀畿瘠瘩瘟瘤瘦瘡瘢皚皺盤瞎瞇瞌瞑瞋磋磅確磊碾磕碼磐稿稼穀稽稷稻窯窮箭箱範箴篆篇篁箠篌糊締練緯緻緘緬緝編緣線緞緩綞緙緲緹罵罷羯'
  ],
  [
    'bda1',
    '翩耦膛膜膝膠膚膘蔗蔽蔚蓮蔬蔭蔓蔑蔣蔡蔔蓬蔥蓿蔆螂蝴蝶蝠蝦蝸蝨蝙蝗蝌蝓衛衝褐複褒褓褕褊誼諒談諄誕請諸課諉諂調誰論諍誶誹諛豌豎豬賠賞賦賤賬賭賢賣賜質賡赭趟趣踫踐踝踢踏踩踟踡踞躺輝輛輟輩輦輪輜輞'
  ],
  [
    'be40',
    '輥適遮遨遭遷鄰鄭鄧鄱醇醉醋醃鋅銻銷鋪銬鋤鋁銳銼鋒鋇鋰銲閭閱霄霆震霉靠鞍鞋鞏頡頫頜颳養餓餒餘駝駐駟駛駑駕駒駙骷髮髯鬧魅魄魷魯鴆鴉'
  ],
  [
    'bea1',
    '鴃麩麾黎墨齒儒儘儔儐儕冀冪凝劑劓勳噙噫噹噩噤噸噪器噥噱噯噬噢噶壁墾壇壅奮嬝嬴學寰導彊憲憑憩憊懍憶憾懊懈戰擅擁擋撻撼據擄擇擂操撿擒擔撾整曆曉暹曄曇暸樽樸樺橙橫橘樹橄橢橡橋橇樵機橈歙歷氅濂澱澡'
  ],
  [
    'bf40',
    '濃澤濁澧澳激澹澶澦澠澴熾燉燐燒燈燕熹燎燙燜燃燄獨璜璣璘璟璞瓢甌甍瘴瘸瘺盧盥瞠瞞瞟瞥磨磚磬磧禦積穎穆穌穋窺篙簑築篤篛篡篩篦糕糖縊'
  ],
  [
    'bfa1',
    '縑縈縛縣縞縝縉縐罹羲翰翱翮耨膳膩膨臻興艘艙蕊蕙蕈蕨蕩蕃蕉蕭蕪蕞螃螟螞螢融衡褪褲褥褫褡親覦諦諺諫諱謀諜諧諮諾謁謂諷諭諳諶諼豫豭貓賴蹄踱踴蹂踹踵輻輯輸輳辨辦遵遴選遲遼遺鄴醒錠錶鋸錳錯錢鋼錫錄錚'
  ],
  [
    'c040',
    '錐錦錡錕錮錙閻隧隨險雕霎霑霖霍霓霏靛靜靦鞘頰頸頻頷頭頹頤餐館餞餛餡餚駭駢駱骸骼髻髭鬨鮑鴕鴣鴦鴨鴒鴛默黔龍龜優償儡儲勵嚎嚀嚐嚅嚇'
  ],
  [
    'c0a1',
    '嚏壕壓壑壎嬰嬪嬤孺尷屨嶼嶺嶽嶸幫彌徽應懂懇懦懋戲戴擎擊擘擠擰擦擬擱擢擭斂斃曙曖檀檔檄檢檜櫛檣橾檗檐檠歜殮毚氈濘濱濟濠濛濤濫濯澀濬濡濩濕濮濰燧營燮燦燥燭燬燴燠爵牆獰獲璩環璦璨癆療癌盪瞳瞪瞰瞬'
  ],
  [
    'c140',
    '瞧瞭矯磷磺磴磯礁禧禪穗窿簇簍篾篷簌篠糠糜糞糢糟糙糝縮績繆縷縲繃縫總縱繅繁縴縹繈縵縿縯罄翳翼聱聲聰聯聳臆臃膺臂臀膿膽臉膾臨舉艱薪'
  ],
  [
    'c1a1',
    '薄蕾薜薑薔薯薛薇薨薊虧蟀蟑螳蟒蟆螫螻螺蟈蟋褻褶襄褸褽覬謎謗謙講謊謠謝謄謐豁谿豳賺賽購賸賻趨蹉蹋蹈蹊轄輾轂轅輿避遽還邁邂邀鄹醣醞醜鍍鎂錨鍵鍊鍥鍋錘鍾鍬鍛鍰鍚鍔闊闋闌闈闆隱隸雖霜霞鞠韓顆颶餵騁'
  ],
  [
    'c240',
    '駿鮮鮫鮪鮭鴻鴿麋黏點黜黝黛鼾齋叢嚕嚮壙壘嬸彝懣戳擴擲擾攆擺擻擷斷曜朦檳檬櫃檻檸櫂檮檯歟歸殯瀉瀋濾瀆濺瀑瀏燻燼燾燸獷獵璧璿甕癖癘'
  ],
  [
    'c2a1',
    '癒瞽瞿瞻瞼礎禮穡穢穠竄竅簫簧簪簞簣簡糧織繕繞繚繡繒繙罈翹翻職聶臍臏舊藏薩藍藐藉薰薺薹薦蟯蟬蟲蟠覆覲觴謨謹謬謫豐贅蹙蹣蹦蹤蹟蹕軀轉轍邇邃邈醫醬釐鎔鎊鎖鎢鎳鎮鎬鎰鎘鎚鎗闔闖闐闕離雜雙雛雞霤鞣鞦'
  ],
  [
    'c340',
    '鞭韹額顏題顎顓颺餾餿餽餮馥騎髁鬃鬆魏魎魍鯊鯉鯽鯈鯀鵑鵝鵠黠鼕鼬儳嚥壞壟壢寵龐廬懲懷懶懵攀攏曠曝櫥櫝櫚櫓瀛瀟瀨瀚瀝瀕瀘爆爍牘犢獸'
  ],
  [
    'c3a1',
    '獺璽瓊瓣疇疆癟癡矇礙禱穫穩簾簿簸簽簷籀繫繭繹繩繪羅繳羶羹羸臘藩藝藪藕藤藥藷蟻蠅蠍蟹蟾襠襟襖襞譁譜識證譚譎譏譆譙贈贊蹼蹲躇蹶蹬蹺蹴轔轎辭邊邋醱醮鏡鏑鏟鏃鏈鏜鏝鏖鏢鏍鏘鏤鏗鏨關隴難霪霧靡韜韻類'
  ],
  [
    'c440',
    '願顛颼饅饉騖騙鬍鯨鯧鯖鯛鶉鵡鵲鵪鵬麒麗麓麴勸嚨嚷嚶嚴嚼壤孀孃孽寶巉懸懺攘攔攙曦朧櫬瀾瀰瀲爐獻瓏癢癥礦礪礬礫竇競籌籃籍糯糰辮繽繼'
  ],
  [
    'c4a1',
    '纂罌耀臚艦藻藹蘑藺蘆蘋蘇蘊蠔蠕襤覺觸議譬警譯譟譫贏贍躉躁躅躂醴釋鐘鐃鏽闡霰飄饒饑馨騫騰騷騵鰓鰍鹹麵黨鼯齟齣齡儷儸囁囀囂夔屬巍懼懾攝攜斕曩櫻欄櫺殲灌爛犧瓖瓔癩矓籐纏續羼蘗蘭蘚蠣蠢蠡蠟襪襬覽譴'
  ],
  [
    'c540',
    '護譽贓躊躍躋轟辯醺鐮鐳鐵鐺鐸鐲鐫闢霸霹露響顧顥饗驅驃驀騾髏魔魑鰭鰥鶯鶴鷂鶸麝黯鼙齜齦齧儼儻囈囊囉孿巔巒彎懿攤權歡灑灘玀瓤疊癮癬'
  ],
  [
    'c5a1',
    '禳籠籟聾聽臟襲襯觼讀贖贗躑躓轡酈鑄鑑鑒霽霾韃韁顫饕驕驍髒鬚鱉鰱鰾鰻鷓鷗鼴齬齪龔囌巖戀攣攫攪曬欐瓚竊籤籣籥纓纖纔臢蘸蘿蠱變邐邏鑣鑠鑤靨顯饜驚驛驗髓體髑鱔鱗鱖鷥麟黴囑壩攬灞癱癲矗罐羈蠶蠹衢讓讒'
  ],
  [
    'c640',
    '讖艷贛釀鑪靂靈靄韆顰驟鬢魘鱟鷹鷺鹼鹽鼇齷齲廳欖灣籬籮蠻觀躡釁鑲鑰顱饞髖鬣黌灤矚讚鑷韉驢驥纜讜躪釅鑽鑾鑼鱷鱸黷豔鑿鸚爨驪鬱鸛鸞籲'
  ],
  [
    'c940',
    '乂乜凵匚厂万丌乇亍囗兀屮彳丏冇与丮亓仂仉仈冘勼卬厹圠夃夬尐巿旡殳毌气爿丱丼仨仜仩仡仝仚刌匜卌圢圣夗夯宁宄尒尻屴屳帄庀庂忉戉扐氕'
  ],
  [
    'c9a1',
    '氶汃氿氻犮犰玊禸肊阞伎优伬仵伔仱伀价伈伝伂伅伢伓伄仴伒冱刓刉刐劦匢匟卍厊吇囡囟圮圪圴夼妀奼妅奻奾奷奿孖尕尥屼屺屻屾巟幵庄异弚彴忕忔忏扜扞扤扡扦扢扙扠扚扥旯旮朾朹朸朻机朿朼朳氘汆汒汜汏汊汔汋'
  ],
  [
    'ca40',
    '汌灱牞犴犵玎甪癿穵网艸艼芀艽艿虍襾邙邗邘邛邔阢阤阠阣佖伻佢佉体佤伾佧佒佟佁佘伭伳伿佡冏冹刜刞刡劭劮匉卣卲厎厏吰吷吪呔呅吙吜吥吘'
  ],
  [
    'caa1',
    '吽呏呁吨吤呇囮囧囥坁坅坌坉坋坒夆奀妦妘妠妗妎妢妐妏妧妡宎宒尨尪岍岏岈岋岉岒岊岆岓岕巠帊帎庋庉庌庈庍弅弝彸彶忒忑忐忭忨忮忳忡忤忣忺忯忷忻怀忴戺抃抌抎抏抔抇扱扻扺扰抁抈扷扽扲扴攷旰旴旳旲旵杅杇'
  ],
  [
    'cb40',
    '杙杕杌杈杝杍杚杋毐氙氚汸汧汫沄沋沏汱汯汩沚汭沇沕沜汦汳汥汻沎灴灺牣犿犽狃狆狁犺狅玕玗玓玔玒町甹疔疕皁礽耴肕肙肐肒肜芐芏芅芎芑芓'
  ],
  [
    'cba1',
    '芊芃芄豸迉辿邟邡邥邞邧邠阰阨阯阭丳侘佼侅佽侀侇佶佴侉侄佷佌侗佪侚佹侁佸侐侜侔侞侒侂侕佫佮冞冼冾刵刲刳剆刱劼匊匋匼厒厔咇呿咁咑咂咈呫呺呾呥呬呴呦咍呯呡呠咘呣呧呤囷囹坯坲坭坫坱坰坶垀坵坻坳坴坢'
  ],
  [
    'cc40',
    '坨坽夌奅妵妺姏姎妲姌姁妶妼姃姖妱妽姀姈妴姇孢孥宓宕屄屇岮岤岠岵岯岨岬岟岣岭岢岪岧岝岥岶岰岦帗帔帙弨弢弣弤彔徂彾彽忞忥怭怦怙怲怋'
  ],
  [
    'cca1',
    '怴怊怗怳怚怞怬怢怍怐怮怓怑怌怉怜戔戽抭抴拑抾抪抶拊抮抳抯抻抩抰抸攽斨斻昉旼昄昒昈旻昃昋昍昅旽昑昐曶朊枅杬枎枒杶杻枘枆构杴枍枌杺枟枑枙枃杽极杸杹枔欥殀歾毞氝沓泬泫泮泙沶泔沭泧沷泐泂沺泃泆泭泲'
  ],
  [
    'cd40',
    '泒泝沴沊沝沀泞泀洰泍泇沰泹泏泩泑炔炘炅炓炆炄炑炖炂炚炃牪狖狋狘狉狜狒狔狚狌狑玤玡玭玦玢玠玬玝瓝瓨甿畀甾疌疘皯盳盱盰盵矸矼矹矻矺'
  ],
  [
    'cda1',
    '矷祂礿秅穸穻竻籵糽耵肏肮肣肸肵肭舠芠苀芫芚芘芛芵芧芮芼芞芺芴芨芡芩苂芤苃芶芢虰虯虭虮豖迒迋迓迍迖迕迗邲邴邯邳邰阹阽阼阺陃俍俅俓侲俉俋俁俔俜俙侻侳俛俇俖侺俀侹俬剄剉勀勂匽卼厗厖厙厘咺咡咭咥哏'
  ],
  [
    'ce40',
    '哃茍咷咮哖咶哅哆咠呰咼咢咾呲哞咰垵垞垟垤垌垗垝垛垔垘垏垙垥垚垕壴复奓姡姞姮娀姱姝姺姽姼姶姤姲姷姛姩姳姵姠姾姴姭宨屌峐峘峌峗峋峛'
  ],
  [
    'cea1',
    '峞峚峉峇峊峖峓峔峏峈峆峎峟峸巹帡帢帣帠帤庰庤庢庛庣庥弇弮彖徆怷怹恔恲恞恅恓恇恉恛恌恀恂恟怤恄恘恦恮扂扃拏挍挋拵挎挃拫拹挏挌拸拶挀挓挔拺挕拻拰敁敃斪斿昶昡昲昵昜昦昢昳昫昺昝昴昹昮朏朐柁柲柈枺'
  ],
  [
    'cf40',
    '柜枻柸柘柀枷柅柫柤柟枵柍枳柷柶柮柣柂枹柎柧柰枲柼柆柭柌枮柦柛柺柉柊柃柪柋欨殂殄殶毖毘毠氠氡洨洴洭洟洼洿洒洊泚洳洄洙洺洚洑洀洝浂'
  ],
  [
    'cfa1',
    '洁洘洷洃洏浀洇洠洬洈洢洉洐炷炟炾炱炰炡炴炵炩牁牉牊牬牰牳牮狊狤狨狫狟狪狦狣玅珌珂珈珅玹玶玵玴珫玿珇玾珃珆玸珋瓬瓮甮畇畈疧疪癹盄眈眃眄眅眊盷盻盺矧矨砆砑砒砅砐砏砎砉砃砓祊祌祋祅祄秕种秏秖秎窀'
  ],
  [
    'd040',
    '穾竑笀笁籺籸籹籿粀粁紃紈紁罘羑羍羾耇耎耏耔耷胘胇胠胑胈胂胐胅胣胙胜胊胕胉胏胗胦胍臿舡芔苙苾苹茇苨茀苕茺苫苖苴苬苡苲苵茌苻苶苰苪'
  ],
  [
    'd0a1',
    '苤苠苺苳苭虷虴虼虳衁衎衧衪衩觓訄訇赲迣迡迮迠郱邽邿郕郅邾郇郋郈釔釓陔陏陑陓陊陎倞倅倇倓倢倰倛俵俴倳倷倬俶俷倗倜倠倧倵倯倱倎党冔冓凊凄凅凈凎剡剚剒剞剟剕剢勍匎厞唦哢唗唒哧哳哤唚哿唄唈哫唑唅哱'
  ],
  [
    'd140',
    '唊哻哷哸哠唎唃唋圁圂埌堲埕埒垺埆垽垼垸垶垿埇埐垹埁夎奊娙娖娭娮娕娏娗娊娞娳孬宧宭宬尃屖屔峬峿峮峱峷崀峹帩帨庨庮庪庬弳弰彧恝恚恧'
  ],
  [
    'd1a1',
    '恁悢悈悀悒悁悝悃悕悛悗悇悜悎戙扆拲挐捖挬捄捅挶捃揤挹捋捊挼挩捁挴捘捔捙挭捇挳捚捑挸捗捀捈敊敆旆旃旄旂晊晟晇晑朒朓栟栚桉栲栳栻桋桏栖栱栜栵栫栭栯桎桄栴栝栒栔栦栨栮桍栺栥栠欬欯欭欱欴歭肂殈毦毤'
  ],
  [
    'd240',
    '毨毣毢毧氥浺浣浤浶洍浡涒浘浢浭浯涑涍淯浿涆浞浧浠涗浰浼浟涂涘洯浨涋浾涀涄洖涃浻浽浵涐烜烓烑烝烋缹烢烗烒烞烠烔烍烅烆烇烚烎烡牂牸'
  ],
  [
    'd2a1',
    '牷牶猀狺狴狾狶狳狻猁珓珙珥珖玼珧珣珩珜珒珛珔珝珚珗珘珨瓞瓟瓴瓵甡畛畟疰痁疻痄痀疿疶疺皊盉眝眛眐眓眒眣眑眕眙眚眢眧砣砬砢砵砯砨砮砫砡砩砳砪砱祔祛祏祜祓祒祑秫秬秠秮秭秪秜秞秝窆窉窅窋窌窊窇竘笐'
  ],
  [
    'd340',
    '笄笓笅笏笈笊笎笉笒粄粑粊粌粈粍粅紞紝紑紎紘紖紓紟紒紏紌罜罡罞罠罝罛羖羒翃翂翀耖耾耹胺胲胹胵脁胻脀舁舯舥茳茭荄茙荑茥荖茿荁茦茜茢'
  ],
  [
    'd3a1',
    '荂荎茛茪茈茼荍茖茤茠茷茯茩荇荅荌荓茞茬荋茧荈虓虒蚢蚨蚖蚍蚑蚞蚇蚗蚆蚋蚚蚅蚥蚙蚡蚧蚕蚘蚎蚝蚐蚔衃衄衭衵衶衲袀衱衿衯袃衾衴衼訒豇豗豻貤貣赶赸趵趷趶軑軓迾迵适迿迻逄迼迶郖郠郙郚郣郟郥郘郛郗郜郤酐'
  ],
  [
    'd440',
    '酎酏釕釢釚陜陟隼飣髟鬯乿偰偪偡偞偠偓偋偝偲偈偍偁偛偊偢倕偅偟偩偫偣偤偆偀偮偳偗偑凐剫剭剬剮勖勓匭厜啵啶唼啍啐唴唪啑啢唶唵唰啒啅'
  ],
  [
    'd4a1',
    '唌唲啥啎唹啈唭唻啀啋圊圇埻堔埢埶埜埴堀埭埽堈埸堋埳埏堇埮埣埲埥埬埡堎埼堐埧堁堌埱埩埰堍堄奜婠婘婕婧婞娸娵婭婐婟婥婬婓婤婗婃婝婒婄婛婈媎娾婍娹婌婰婩婇婑婖婂婜孲孮寁寀屙崞崋崝崚崠崌崨崍崦崥崏'
  ],
  [
    'd540',
    '崰崒崣崟崮帾帴庱庴庹庲庳弶弸徛徖徟悊悐悆悾悰悺惓惔惏惤惙惝惈悱惛悷惊悿惃惍惀挲捥掊掂捽掽掞掭掝掗掫掎捯掇掐据掯捵掜捭掮捼掤挻掟'
  ],
  [
    'd5a1',
    '捸掅掁掑掍捰敓旍晥晡晛晙晜晢朘桹梇梐梜桭桮梮梫楖桯梣梬梩桵桴梲梏桷梒桼桫桲梪梀桱桾梛梖梋梠梉梤桸桻梑梌梊桽欶欳欷欸殑殏殍殎殌氪淀涫涴涳湴涬淩淢涷淶淔渀淈淠淟淖涾淥淜淝淛淴淊涽淭淰涺淕淂淏淉'
  ],
  [
    'd640',
    '淐淲淓淽淗淍淣涻烺焍烷焗烴焌烰焄烳焐烼烿焆焓焀烸烶焋焂焎牾牻牼牿猝猗猇猑猘猊猈狿猏猞玈珶珸珵琄琁珽琇琀珺珼珿琌琋珴琈畤畣痎痒痏'
  ],
  [
    'd6a1',
    '痋痌痑痐皏皉盓眹眯眭眱眲眴眳眽眥眻眵硈硒硉硍硊硌砦硅硐祤祧祩祪祣祫祡离秺秸秶秷窏窔窐笵筇笴笥笰笢笤笳笘笪笝笱笫笭笯笲笸笚笣粔粘粖粣紵紽紸紶紺絅紬紩絁絇紾紿絊紻紨罣羕羜羝羛翊翋翍翐翑翇翏翉耟'
  ],
  [
    'd740',
    '耞耛聇聃聈脘脥脙脛脭脟脬脞脡脕脧脝脢舑舸舳舺舴舲艴莐莣莨莍荺荳莤荴莏莁莕莙荵莔莩荽莃莌莝莛莪莋荾莥莯莈莗莰荿莦莇莮荶莚虙虖蚿蚷'
  ],
  [
    'd7a1',
    '蛂蛁蛅蚺蚰蛈蚹蚳蚸蛌蚴蚻蚼蛃蚽蚾衒袉袕袨袢袪袚袑袡袟袘袧袙袛袗袤袬袌袓袎覂觖觙觕訰訧訬訞谹谻豜豝豽貥赽赻赹趼跂趹趿跁軘軞軝軜軗軠軡逤逋逑逜逌逡郯郪郰郴郲郳郔郫郬郩酖酘酚酓酕釬釴釱釳釸釤釹釪'
  ],
  [
    'd840',
    '釫釷釨釮镺閆閈陼陭陫陱陯隿靪頄飥馗傛傕傔傞傋傣傃傌傎傝偨傜傒傂傇兟凔匒匑厤厧喑喨喥喭啷噅喢喓喈喏喵喁喣喒喤啽喌喦啿喕喡喎圌堩堷'
  ],
  [
    'd8a1',
    '堙堞堧堣堨埵塈堥堜堛堳堿堶堮堹堸堭堬堻奡媯媔媟婺媢媞婸媦婼媥媬媕媮娷媄媊媗媃媋媩婻婽媌媜媏媓媝寪寍寋寔寑寊寎尌尰崷嵃嵫嵁嵋崿崵嵑嵎嵕崳崺嵒崽崱嵙嵂崹嵉崸崼崲崶嵀嵅幄幁彘徦徥徫惉悹惌惢惎惄愔'
  ],
  [
    'd940',
    '惲愊愖愅惵愓惸惼惾惁愃愘愝愐惿愄愋扊掔掱掰揎揥揨揯揃撝揳揊揠揶揕揲揵摡揟掾揝揜揄揘揓揂揇揌揋揈揰揗揙攲敧敪敤敜敨敥斌斝斞斮旐旒'
  ],
  [
    'd9a1',
    '晼晬晻暀晱晹晪晲朁椌棓椄棜椪棬棪棱椏棖棷棫棤棶椓椐棳棡椇棌椈楰梴椑棯棆椔棸棐棽棼棨椋椊椗棎棈棝棞棦棴棑椆棔棩椕椥棇欹欻欿欼殔殗殙殕殽毰毲毳氰淼湆湇渟湉溈渼渽湅湢渫渿湁湝湳渜渳湋湀湑渻渃渮湞'
  ],
  [
    'da40',
    '湨湜湡渱渨湠湱湫渹渢渰湓湥渧湸湤湷湕湹湒湦渵渶湚焠焞焯烻焮焱焣焥焢焲焟焨焺焛牋牚犈犉犆犅犋猒猋猰猢猱猳猧猲猭猦猣猵猌琮琬琰琫琖'
  ],
  [
    'daa1',
    '琚琡琭琱琤琣琝琩琠琲瓻甯畯畬痧痚痡痦痝痟痤痗皕皒盚睆睇睄睍睅睊睎睋睌矞矬硠硤硥硜硭硱硪确硰硩硨硞硢祴祳祲祰稂稊稃稌稄窙竦竤筊笻筄筈筌筎筀筘筅粢粞粨粡絘絯絣絓絖絧絪絏絭絜絫絒絔絩絑絟絎缾缿罥'
  ],
  [
    'db40',
    '罦羢羠羡翗聑聏聐胾胔腃腊腒腏腇脽腍脺臦臮臷臸臹舄舼舽舿艵茻菏菹萣菀菨萒菧菤菼菶萐菆菈菫菣莿萁菝菥菘菿菡菋菎菖菵菉萉萏菞萑萆菂菳'
  ],
  [
    'dba1',
    '菕菺菇菑菪萓菃菬菮菄菻菗菢萛菛菾蛘蛢蛦蛓蛣蛚蛪蛝蛫蛜蛬蛩蛗蛨蛑衈衖衕袺裗袹袸裀袾袶袼袷袽袲褁裉覕覘覗觝觚觛詎詍訹詙詀詗詘詄詅詒詈詑詊詌詏豟貁貀貺貾貰貹貵趄趀趉跘跓跍跇跖跜跏跕跙跈跗跅軯軷軺'
  ],
  [
    'dc40',
    '軹軦軮軥軵軧軨軶軫軱軬軴軩逭逴逯鄆鄬鄄郿郼鄈郹郻鄁鄀鄇鄅鄃酡酤酟酢酠鈁鈊鈥鈃鈚鈦鈏鈌鈀鈒釿釽鈆鈄鈧鈂鈜鈤鈙鈗鈅鈖镻閍閌閐隇陾隈'
  ],
  [
    'dca1',
    '隉隃隀雂雈雃雱雰靬靰靮頇颩飫鳦黹亃亄亶傽傿僆傮僄僊傴僈僂傰僁傺傱僋僉傶傸凗剺剸剻剼嗃嗛嗌嗐嗋嗊嗝嗀嗔嗄嗩喿嗒喍嗏嗕嗢嗖嗈嗲嗍嗙嗂圔塓塨塤塏塍塉塯塕塎塝塙塥塛堽塣塱壼嫇嫄嫋媺媸媱媵媰媿嫈媻嫆'
  ],
  [
    'dd40',
    '媷嫀嫊媴媶嫍媹媐寖寘寙尟尳嵱嵣嵊嵥嵲嵬嵞嵨嵧嵢巰幏幎幊幍幋廅廌廆廋廇彀徯徭惷慉慊愫慅愶愲愮慆愯慏愩慀戠酨戣戥戤揅揱揫搐搒搉搠搤'
  ],
  [
    'dda1',
    '搳摃搟搕搘搹搷搢搣搌搦搰搨摁搵搯搊搚摀搥搧搋揧搛搮搡搎敯斒旓暆暌暕暐暋暊暙暔晸朠楦楟椸楎楢楱椿楅楪椹楂楗楙楺楈楉椵楬椳椽楥棰楸椴楩楀楯楄楶楘楁楴楌椻楋椷楜楏楑椲楒椯楻椼歆歅歃歂歈歁殛嗀毻毼'
  ],
  [
    'de40',
    '毹毷毸溛滖滈溏滀溟溓溔溠溱溹滆滒溽滁溞滉溷溰滍溦滏溲溾滃滜滘溙溒溎溍溤溡溿溳滐滊溗溮溣煇煔煒煣煠煁煝煢煲煸煪煡煂煘煃煋煰煟煐煓'
  ],
  [
    'dea1',
    '煄煍煚牏犍犌犑犐犎猼獂猻猺獀獊獉瑄瑊瑋瑒瑑瑗瑀瑏瑐瑎瑂瑆瑍瑔瓡瓿瓾瓽甝畹畷榃痯瘏瘃痷痾痼痹痸瘐痻痶痭痵痽皙皵盝睕睟睠睒睖睚睩睧睔睙睭矠碇碚碔碏碄碕碅碆碡碃硹碙碀碖硻祼禂祽祹稑稘稙稒稗稕稢稓'
  ],
  [
    'df40',
    '稛稐窣窢窞竫筦筤筭筴筩筲筥筳筱筰筡筸筶筣粲粴粯綈綆綀綍絿綅絺綎絻綃絼綌綔綄絽綒罭罫罧罨罬羦羥羧翛翜耡腤腠腷腜腩腛腢腲朡腞腶腧腯'
  ],
  [
    'dfa1',
    '腄腡舝艉艄艀艂艅蓱萿葖葶葹蒏蒍葥葑葀蒆葧萰葍葽葚葙葴葳葝蔇葞萷萺萴葺葃葸萲葅萩菙葋萯葂萭葟葰萹葎葌葒葯蓅蒎萻葇萶萳葨葾葄萫葠葔葮葐蜋蜄蛷蜌蛺蛖蛵蝍蛸蜎蜉蜁蛶蜍蜅裖裋裍裎裞裛裚裌裐覅覛觟觥觤'
  ],
  [
    'e040',
    '觡觠觢觜触詶誆詿詡訿詷誂誄詵誃誁詴詺谼豋豊豥豤豦貆貄貅賌赨赩趑趌趎趏趍趓趔趐趒跰跠跬跱跮跐跩跣跢跧跲跫跴輆軿輁輀輅輇輈輂輋遒逿'
  ],
  [
    'e0a1',
    '遄遉逽鄐鄍鄏鄑鄖鄔鄋鄎酮酯鉈鉒鈰鈺鉦鈳鉥鉞銃鈮鉊鉆鉭鉬鉏鉠鉧鉯鈶鉡鉰鈱鉔鉣鉐鉲鉎鉓鉌鉖鈲閟閜閞閛隒隓隑隗雎雺雽雸雵靳靷靸靲頏頍頎颬飶飹馯馲馰馵骭骫魛鳪鳭鳧麀黽僦僔僗僨僳僛僪僝僤僓僬僰僯僣僠'
  ],
  [
    'e140',
    '凘劀劁勩勫匰厬嘧嘕嘌嘒嗼嘏嘜嘁嘓嘂嗺嘝嘄嗿嗹墉塼墐墘墆墁塿塴墋塺墇墑墎塶墂墈塻墔墏壾奫嫜嫮嫥嫕嫪嫚嫭嫫嫳嫢嫠嫛嫬嫞嫝嫙嫨嫟孷寠'
  ],
  [
    'e1a1',
    '寣屣嶂嶀嵽嶆嵺嶁嵷嶊嶉嶈嵾嵼嶍嵹嵿幘幙幓廘廑廗廎廜廕廙廒廔彄彃彯徶愬愨慁慞慱慳慒慓慲慬憀慴慔慺慛慥愻慪慡慖戩戧戫搫摍摛摝摴摶摲摳摽摵摦撦摎撂摞摜摋摓摠摐摿搿摬摫摙摥摷敳斠暡暠暟朅朄朢榱榶槉'
  ],
  [
    'e240',
    '榠槎榖榰榬榼榑榙榎榧榍榩榾榯榿槄榽榤槔榹槊榚槏榳榓榪榡榞槙榗榐槂榵榥槆歊歍歋殞殟殠毃毄毾滎滵滱漃漥滸漷滻漮漉潎漙漚漧漘漻漒滭漊'
  ],
  [
    'e2a1',
    '漶潳滹滮漭潀漰漼漵滫漇漎潃漅滽滶漹漜滼漺漟漍漞漈漡熇熐熉熀熅熂熏煻熆熁熗牄牓犗犕犓獃獍獑獌瑢瑳瑱瑵瑲瑧瑮甀甂甃畽疐瘖瘈瘌瘕瘑瘊瘔皸瞁睼瞅瞂睮瞀睯睾瞃碲碪碴碭碨硾碫碞碥碠碬碢碤禘禊禋禖禕禔禓'
  ],
  [
    'e340',
    '禗禈禒禐稫穊稰稯稨稦窨窫窬竮箈箜箊箑箐箖箍箌箛箎箅箘劄箙箤箂粻粿粼粺綧綷緂綣綪緁緀緅綝緎緄緆緋緌綯綹綖綼綟綦綮綩綡緉罳翢翣翥翞'
  ],
  [
    'e3a1',
    '耤聝聜膉膆膃膇膍膌膋舕蒗蒤蒡蒟蒺蓎蓂蒬蒮蒫蒹蒴蓁蓍蒪蒚蒱蓐蒝蒧蒻蒢蒔蓇蓌蒛蒩蒯蒨蓖蒘蒶蓏蒠蓗蓔蓒蓛蒰蒑虡蜳蜣蜨蝫蝀蜮蜞蜡蜙蜛蝃蜬蝁蜾蝆蜠蜲蜪蜭蜼蜒蜺蜱蜵蝂蜦蜧蜸蜤蜚蜰蜑裷裧裱裲裺裾裮裼裶裻'
  ],
  [
    'e440',
    '裰裬裫覝覡覟覞觩觫觨誫誙誋誒誏誖谽豨豩賕賏賗趖踉踂跿踍跽踊踃踇踆踅跾踀踄輐輑輎輍鄣鄜鄠鄢鄟鄝鄚鄤鄡鄛酺酲酹酳銥銤鉶銛鉺銠銔銪銍'
  ],
  [
    'e4a1',
    '銦銚銫鉹銗鉿銣鋮銎銂銕銢鉽銈銡銊銆銌銙銧鉾銇銩銝銋鈭隞隡雿靘靽靺靾鞃鞀鞂靻鞄鞁靿韎韍頖颭颮餂餀餇馝馜駃馹馻馺駂馽駇骱髣髧鬾鬿魠魡魟鳱鳲鳵麧僿儃儰僸儆儇僶僾儋儌僽儊劋劌勱勯噈噂噌嘵噁噊噉噆噘'
  ],
  [
    'e540',
    '噚噀嘳嘽嘬嘾嘸嘪嘺圚墫墝墱墠墣墯墬墥墡壿嫿嫴嫽嫷嫶嬃嫸嬂嫹嬁嬇嬅嬏屧嶙嶗嶟嶒嶢嶓嶕嶠嶜嶡嶚嶞幩幝幠幜緳廛廞廡彉徲憋憃慹憱憰憢憉'
  ],
  [
    'e5a1',
    '憛憓憯憭憟憒憪憡憍慦憳戭摮摰撖撠撅撗撜撏撋撊撌撣撟摨撱撘敶敺敹敻斲斳暵暰暩暲暷暪暯樀樆樗槥槸樕槱槤樠槿槬槢樛樝槾樧槲槮樔槷槧橀樈槦槻樍槼槫樉樄樘樥樏槶樦樇槴樖歑殥殣殢殦氁氀毿氂潁漦潾澇濆澒'
  ],
  [
    'e640',
    '澍澉澌潢潏澅潚澖潶潬澂潕潲潒潐潗澔澓潝漀潡潫潽潧澐潓澋潩潿澕潣潷潪潻熲熯熛熰熠熚熩熵熝熥熞熤熡熪熜熧熳犘犚獘獒獞獟獠獝獛獡獚獙'
  ],
  [
    'e6a1',
    '獢璇璉璊璆璁瑽璅璈瑼瑹甈甇畾瘥瘞瘙瘝瘜瘣瘚瘨瘛皜皝皞皛瞍瞏瞉瞈磍碻磏磌磑磎磔磈磃磄磉禚禡禠禜禢禛歶稹窲窴窳箷篋箾箬篎箯箹篊箵糅糈糌糋緷緛緪緧緗緡縃緺緦緶緱緰緮緟罶羬羰羭翭翫翪翬翦翨聤聧膣膟'
  ],
  [
    'e740',
    '膞膕膢膙膗舖艏艓艒艐艎艑蔤蔻蔏蔀蔩蔎蔉蔍蔟蔊蔧蔜蓻蔫蓺蔈蔌蓴蔪蓲蔕蓷蓫蓳蓼蔒蓪蓩蔖蓾蔨蔝蔮蔂蓽蔞蓶蔱蔦蓧蓨蓰蓯蓹蔘蔠蔰蔋蔙蔯虢'
  ],
  [
    'e7a1',
    '蝖蝣蝤蝷蟡蝳蝘蝔蝛蝒蝡蝚蝑蝞蝭蝪蝐蝎蝟蝝蝯蝬蝺蝮蝜蝥蝏蝻蝵蝢蝧蝩衚褅褌褔褋褗褘褙褆褖褑褎褉覢覤覣觭觰觬諏諆誸諓諑諔諕誻諗誾諀諅諘諃誺誽諙谾豍貏賥賟賙賨賚賝賧趠趜趡趛踠踣踥踤踮踕踛踖踑踙踦踧'
  ],
  [
    'e840',
    '踔踒踘踓踜踗踚輬輤輘輚輠輣輖輗遳遰遯遧遫鄯鄫鄩鄪鄲鄦鄮醅醆醊醁醂醄醀鋐鋃鋄鋀鋙銶鋏鋱鋟鋘鋩鋗鋝鋌鋯鋂鋨鋊鋈鋎鋦鋍鋕鋉鋠鋞鋧鋑鋓'
  ],
  [
    'e8a1',
    '銵鋡鋆銴镼閬閫閮閰隤隢雓霅霈霂靚鞊鞎鞈韐韏頞頝頦頩頨頠頛頧颲餈飺餑餔餖餗餕駜駍駏駓駔駎駉駖駘駋駗駌骳髬髫髳髲髱魆魃魧魴魱魦魶魵魰魨魤魬鳼鳺鳽鳿鳷鴇鴀鳹鳻鴈鴅鴄麃黓鼏鼐儜儓儗儚儑凞匴叡噰噠噮'
  ],
  [
    'e940',
    '噳噦噣噭噲噞噷圜圛壈墽壉墿墺壂墼壆嬗嬙嬛嬡嬔嬓嬐嬖嬨嬚嬠嬞寯嶬嶱嶩嶧嶵嶰嶮嶪嶨嶲嶭嶯嶴幧幨幦幯廩廧廦廨廥彋徼憝憨憖懅憴懆懁懌憺'
  ],
  [
    'e9a1',
    '憿憸憌擗擖擐擏擉撽撉擃擛擳擙攳敿敼斢曈暾曀曊曋曏暽暻暺曌朣樴橦橉橧樲橨樾橝橭橶橛橑樨橚樻樿橁橪橤橐橏橔橯橩橠樼橞橖橕橍橎橆歕歔歖殧殪殫毈毇氄氃氆澭濋澣濇澼濎濈潞濄澽澞濊澨瀄澥澮澺澬澪濏澿澸'
  ],
  [
    'ea40',
    '澢濉澫濍澯澲澰燅燂熿熸燖燀燁燋燔燊燇燏熽燘熼燆燚燛犝犞獩獦獧獬獥獫獪瑿璚璠璔璒璕璡甋疀瘯瘭瘱瘽瘳瘼瘵瘲瘰皻盦瞚瞝瞡瞜瞛瞢瞣瞕瞙'
  ],
  [
    'eaa1',
    '瞗磝磩磥磪磞磣磛磡磢磭磟磠禤穄穈穇窶窸窵窱窷篞篣篧篝篕篥篚篨篹篔篪篢篜篫篘篟糒糔糗糐糑縒縡縗縌縟縠縓縎縜縕縚縢縋縏縖縍縔縥縤罃罻罼罺羱翯耪耩聬膱膦膮膹膵膫膰膬膴膲膷膧臲艕艖艗蕖蕅蕫蕍蕓蕡蕘'
  ],
  [
    'eb40',
    '蕀蕆蕤蕁蕢蕄蕑蕇蕣蔾蕛蕱蕎蕮蕵蕕蕧蕠薌蕦蕝蕔蕥蕬虣虥虤螛螏螗螓螒螈螁螖螘蝹螇螣螅螐螑螝螄螔螜螚螉褞褦褰褭褮褧褱褢褩褣褯褬褟觱諠'
  ],
  [
    'eba1',
    '諢諲諴諵諝謔諤諟諰諈諞諡諨諿諯諻貑貒貐賵賮賱賰賳赬赮趥趧踳踾踸蹀蹅踶踼踽蹁踰踿躽輶輮輵輲輹輷輴遶遹遻邆郺鄳鄵鄶醓醐醑醍醏錧錞錈錟錆錏鍺錸錼錛錣錒錁鍆錭錎錍鋋錝鋺錥錓鋹鋷錴錂錤鋿錩錹錵錪錔錌'
  ],
  [
    'ec40',
    '錋鋾錉錀鋻錖閼闍閾閹閺閶閿閵閽隩雔霋霒霐鞙鞗鞔韰韸頵頯頲餤餟餧餩馞駮駬駥駤駰駣駪駩駧骹骿骴骻髶髺髹髷鬳鮀鮅鮇魼魾魻鮂鮓鮒鮐魺鮕'
  ],
  [
    'eca1',
    '魽鮈鴥鴗鴠鴞鴔鴩鴝鴘鴢鴐鴙鴟麈麆麇麮麭黕黖黺鼒鼽儦儥儢儤儠儩勴嚓嚌嚍嚆嚄嚃噾嚂噿嚁壖壔壏壒嬭嬥嬲嬣嬬嬧嬦嬯嬮孻寱寲嶷幬幪徾徻懃憵憼懧懠懥懤懨懞擯擩擣擫擤擨斁斀斶旚曒檍檖檁檥檉檟檛檡檞檇檓檎'
  ],
  [
    'ed40',
    '檕檃檨檤檑橿檦檚檅檌檒歛殭氉濌澩濴濔濣濜濭濧濦濞濲濝濢濨燡燱燨燲燤燰燢獳獮獯璗璲璫璐璪璭璱璥璯甐甑甒甏疄癃癈癉癇皤盩瞵瞫瞲瞷瞶'
  ],
  [
    'eda1',
    '瞴瞱瞨矰磳磽礂磻磼磲礅磹磾礄禫禨穜穛穖穘穔穚窾竀竁簅簏篲簀篿篻簎篴簋篳簂簉簃簁篸篽簆篰篱簐簊糨縭縼繂縳顈縸縪繉繀繇縩繌縰縻縶繄縺罅罿罾罽翴翲耬膻臄臌臊臅臇膼臩艛艚艜薃薀薏薧薕薠薋薣蕻薤薚薞'
  ],
  [
    'ee40',
    '蕷蕼薉薡蕺蕸蕗薎薖薆薍薙薝薁薢薂薈薅蕹蕶薘薐薟虨螾螪螭蟅螰螬螹螵螼螮蟉蟃蟂蟌螷螯蟄蟊螴螶螿螸螽蟞螲褵褳褼褾襁襒褷襂覭覯覮觲觳謞'
  ],
  [
    'eea1',
    '謘謖謑謅謋謢謏謒謕謇謍謈謆謜謓謚豏豰豲豱豯貕貔賹赯蹎蹍蹓蹐蹌蹇轃轀邅遾鄸醚醢醛醙醟醡醝醠鎡鎃鎯鍤鍖鍇鍼鍘鍜鍶鍉鍐鍑鍠鍭鎏鍌鍪鍹鍗鍕鍒鍏鍱鍷鍻鍡鍞鍣鍧鎀鍎鍙闇闀闉闃闅閷隮隰隬霠霟霘霝霙鞚鞡鞜'
  ],
  [
    'ef40',
    '鞞鞝韕韔韱顁顄顊顉顅顃餥餫餬餪餳餲餯餭餱餰馘馣馡騂駺駴駷駹駸駶駻駽駾駼騃骾髾髽鬁髼魈鮚鮨鮞鮛鮦鮡鮥鮤鮆鮢鮠鮯鴳鵁鵧鴶鴮鴯鴱鴸鴰'
  ],
  [
    'efa1',
    '鵅鵂鵃鴾鴷鵀鴽翵鴭麊麉麍麰黈黚黻黿鼤鼣鼢齔龠儱儭儮嚘嚜嚗嚚嚝嚙奰嬼屩屪巀幭幮懘懟懭懮懱懪懰懫懖懩擿攄擽擸攁攃擼斔旛曚曛曘櫅檹檽櫡櫆檺檶檷櫇檴檭歞毉氋瀇瀌瀍瀁瀅瀔瀎濿瀀濻瀦濼濷瀊爁燿燹爃燽獶'
  ],
  [
    'f040',
    '璸瓀璵瓁璾璶璻瓂甔甓癜癤癙癐癓癗癚皦皽盬矂瞺磿礌礓礔礉礐礒礑禭禬穟簜簩簙簠簟簭簝簦簨簢簥簰繜繐繖繣繘繢繟繑繠繗繓羵羳翷翸聵臑臒'
  ],
  [
    'f0a1',
    '臐艟艞薴藆藀藃藂薳薵薽藇藄薿藋藎藈藅薱薶藒蘤薸薷薾虩蟧蟦蟢蟛蟫蟪蟥蟟蟳蟤蟔蟜蟓蟭蟘蟣螤蟗蟙蠁蟴蟨蟝襓襋襏襌襆襐襑襉謪謧謣謳謰謵譇謯謼謾謱謥謷謦謶謮謤謻謽謺豂豵貙貘貗賾贄贂贀蹜蹢蹠蹗蹖蹞蹥蹧'
  ],
  [
    'f140',
    '蹛蹚蹡蹝蹩蹔轆轇轈轋鄨鄺鄻鄾醨醥醧醯醪鎵鎌鎒鎷鎛鎝鎉鎧鎎鎪鎞鎦鎕鎈鎙鎟鎍鎱鎑鎲鎤鎨鎴鎣鎥闒闓闑隳雗雚巂雟雘雝霣霢霥鞬鞮鞨鞫鞤鞪'
  ],
  [
    'f1a1',
    '鞢鞥韗韙韖韘韺顐顑顒颸饁餼餺騏騋騉騍騄騑騊騅騇騆髀髜鬈鬄鬅鬩鬵魊魌魋鯇鯆鯃鮿鯁鮵鮸鯓鮶鯄鮹鮽鵜鵓鵏鵊鵛鵋鵙鵖鵌鵗鵒鵔鵟鵘鵚麎麌黟鼁鼀鼖鼥鼫鼪鼩鼨齌齕儴儵劖勷厴嚫嚭嚦嚧嚪嚬壚壝壛夒嬽嬾嬿巃幰'
  ],
  [
    'f240',
    '徿懻攇攐攍攉攌攎斄旞旝曞櫧櫠櫌櫑櫙櫋櫟櫜櫐櫫櫏櫍櫞歠殰氌瀙瀧瀠瀖瀫瀡瀢瀣瀩瀗瀤瀜瀪爌爊爇爂爅犥犦犤犣犡瓋瓅璷瓃甖癠矉矊矄矱礝礛'
  ],
  [
    'f2a1',
    '礡礜礗礞禰穧穨簳簼簹簬簻糬糪繶繵繸繰繷繯繺繲繴繨罋罊羃羆羷翽翾聸臗臕艤艡艣藫藱藭藙藡藨藚藗藬藲藸藘藟藣藜藑藰藦藯藞藢蠀蟺蠃蟶蟷蠉蠌蠋蠆蟼蠈蟿蠊蠂襢襚襛襗襡襜襘襝襙覈覷覶觶譐譈譊譀譓譖譔譋譕'
  ],
  [
    'f340',
    '譑譂譒譗豃豷豶貚贆贇贉趬趪趭趫蹭蹸蹳蹪蹯蹻軂轒轑轏轐轓辴酀鄿醰醭鏞鏇鏏鏂鏚鏐鏹鏬鏌鏙鎩鏦鏊鏔鏮鏣鏕鏄鏎鏀鏒鏧镽闚闛雡霩霫霬霨霦'
  ],
  [
    'f3a1',
    '鞳鞷鞶韝韞韟顜顙顝顗颿颽颻颾饈饇饃馦馧騚騕騥騝騤騛騢騠騧騣騞騜騔髂鬋鬊鬎鬌鬷鯪鯫鯠鯞鯤鯦鯢鯰鯔鯗鯬鯜鯙鯥鯕鯡鯚鵷鶁鶊鶄鶈鵱鶀鵸鶆鶋鶌鵽鵫鵴鵵鵰鵩鶅鵳鵻鶂鵯鵹鵿鶇鵨麔麑黀黼鼭齀齁齍齖齗齘匷嚲'
  ],
  [
    'f440',
    '嚵嚳壣孅巆巇廮廯忀忁懹攗攖攕攓旟曨曣曤櫳櫰櫪櫨櫹櫱櫮櫯瀼瀵瀯瀷瀴瀱灂瀸瀿瀺瀹灀瀻瀳灁爓爔犨獽獼璺皫皪皾盭矌矎矏矍矲礥礣礧礨礤礩'
  ],
  [
    'f4a1',
    '禲穮穬穭竷籉籈籊籇籅糮繻繾纁纀羺翿聹臛臙舋艨艩蘢藿蘁藾蘛蘀藶蘄蘉蘅蘌藽蠙蠐蠑蠗蠓蠖襣襦覹觷譠譪譝譨譣譥譧譭趮躆躈躄轙轖轗轕轘轚邍酃酁醷醵醲醳鐋鐓鏻鐠鐏鐔鏾鐕鐐鐨鐙鐍鏵鐀鏷鐇鐎鐖鐒鏺鐉鏸鐊鏿'
  ],
  [
    'f540',
    '鏼鐌鏶鐑鐆闞闠闟霮霯鞹鞻韽韾顠顢顣顟飁飂饐饎饙饌饋饓騲騴騱騬騪騶騩騮騸騭髇髊髆鬐鬒鬑鰋鰈鯷鰅鰒鯸鱀鰇鰎鰆鰗鰔鰉鶟鶙鶤鶝鶒鶘鶐鶛'
  ],
  [
    'f5a1',
    '鶠鶔鶜鶪鶗鶡鶚鶢鶨鶞鶣鶿鶩鶖鶦鶧麙麛麚黥黤黧黦鼰鼮齛齠齞齝齙龑儺儹劘劗囃嚽嚾孈孇巋巏廱懽攛欂櫼欃櫸欀灃灄灊灈灉灅灆爝爚爙獾甗癪矐礭礱礯籔籓糲纊纇纈纋纆纍罍羻耰臝蘘蘪蘦蘟蘣蘜蘙蘧蘮蘡蘠蘩蘞蘥'
  ],
  [
    'f640',
    '蠩蠝蠛蠠蠤蠜蠫衊襭襩襮襫觺譹譸譅譺譻贐贔趯躎躌轞轛轝酆酄酅醹鐿鐻鐶鐩鐽鐼鐰鐹鐪鐷鐬鑀鐱闥闤闣霵霺鞿韡顤飉飆飀饘饖騹騽驆驄驂驁騺'
  ],
  [
    'f6a1',
    '騿髍鬕鬗鬘鬖鬺魒鰫鰝鰜鰬鰣鰨鰩鰤鰡鶷鶶鶼鷁鷇鷊鷏鶾鷅鷃鶻鶵鷎鶹鶺鶬鷈鶱鶭鷌鶳鷍鶲鹺麜黫黮黭鼛鼘鼚鼱齎齥齤龒亹囆囅囋奱孋孌巕巑廲攡攠攦攢欋欈欉氍灕灖灗灒爞爟犩獿瓘瓕瓙瓗癭皭礵禴穰穱籗籜籙籛籚'
  ],
  [
    'f740',
    '糴糱纑罏羇臞艫蘴蘵蘳蘬蘲蘶蠬蠨蠦蠪蠥襱覿覾觻譾讄讂讆讅譿贕躕躔躚躒躐躖躗轠轢酇鑌鑐鑊鑋鑏鑇鑅鑈鑉鑆霿韣顪顩飋饔饛驎驓驔驌驏驈驊'
  ],
  [
    'f7a1',
    '驉驒驐髐鬙鬫鬻魖魕鱆鱈鰿鱄鰹鰳鱁鰼鰷鰴鰲鰽鰶鷛鷒鷞鷚鷋鷐鷜鷑鷟鷩鷙鷘鷖鷵鷕鷝麶黰鼵鼳鼲齂齫龕龢儽劙壨壧奲孍巘蠯彏戁戃戄攩攥斖曫欑欒欏毊灛灚爢玂玁玃癰矔籧籦纕艬蘺虀蘹蘼蘱蘻蘾蠰蠲蠮蠳襶襴襳觾'
  ],
  [
    'f840',
    '讌讎讋讈豅贙躘轤轣醼鑢鑕鑝鑗鑞韄韅頀驖驙鬞鬟鬠鱒鱘鱐鱊鱍鱋鱕鱙鱌鱎鷻鷷鷯鷣鷫鷸鷤鷶鷡鷮鷦鷲鷰鷢鷬鷴鷳鷨鷭黂黐黲黳鼆鼜鼸鼷鼶齃齏'
  ],
  [
    'f8a1',
    '齱齰齮齯囓囍孎屭攭曭曮欓灟灡灝灠爣瓛瓥矕礸禷禶籪纗羉艭虃蠸蠷蠵衋讔讕躞躟躠躝醾醽釂鑫鑨鑩雥靆靃靇韇韥驞髕魙鱣鱧鱦鱢鱞鱠鸂鷾鸇鸃鸆鸅鸀鸁鸉鷿鷽鸄麠鼞齆齴齵齶囔攮斸欘欙欗欚灢爦犪矘矙礹籩籫糶纚'
  ],
  [
    'f940',
    '纘纛纙臠臡虆虇虈襹襺襼襻觿讘讙躥躤躣鑮鑭鑯鑱鑳靉顲饟鱨鱮鱭鸋鸍鸐鸏鸒鸑麡黵鼉齇齸齻齺齹圞灦籯蠼趲躦釃鑴鑸鑶鑵驠鱴鱳鱱鱵鸔鸓黶鼊'
  ],
  [
    'f9a1',
    '龤灨灥糷虪蠾蠽蠿讞貜躩軉靋顳顴飌饡馫驤驦驧鬤鸕鸗齈戇欞爧虌躨钂钀钁驩驨鬮鸙爩虋讟钃鱹麷癵驫鱺鸝灩灪麤齾齉龘碁銹裏墻恒粧嫺╔╦╗╠╬╣╚╩╝╒╤╕╞╪╡╘╧╛╓╥╖╟╫╢╙╨╜║═╭╮╰╯▓'
  ]
]

const require$$7$1 = [
  [
    '8740',
    '䏰䰲䘃䖦䕸𧉧䵷䖳𧲱䳢𧳅㮕䜶䝄䱇䱀𤊿𣘗𧍒𦺋𧃒䱗𪍑䝏䗚䲅𧱬䴇䪤䚡𦬣爥𥩔𡩣𣸆𣽡晍囻'
  ],
  ['8767', '綕夝𨮹㷴霴𧯯寛𡵞媤㘥𩺰嫑宷峼杮薓𩥅瑡璝㡵𡵓𣚞𦀡㻬'],
  [
    '87a1',
    '𥣞㫵竼龗𤅡𨤍𣇪𠪊𣉞䌊蒄龖鐯䤰蘓墖靊鈘秐稲晠権袝瑌篅枂稬剏遆㓦珄𥶹瓆鿇垳䤯呌䄱𣚎堘穲𧭥讏䚮𦺈䆁𥶙箮𢒼鿈𢓁𢓉𢓌鿉蔄𣖻䂴鿊䓡𪷿拁灮鿋'
  ],
  [
    '8840',
    '㇀',
    4,
    '𠄌㇅𠃑𠃍㇆㇇𠃋𡿨㇈𠃊㇉㇊㇋㇌𠄎㇍㇎ĀÁǍÀĒÉĚÈŌÓǑÒ࿿Ê̄Ế࿿Ê̌ỀÊāáǎàɑēéěèīíǐìōóǒòūúǔùǖǘǚ'
  ],
  ['88a1', 'ǜü࿿ê̄ế࿿ê̌ềêɡ⏚⏛'],
  ['8940', '𪎩𡅅'],
  ['8943', '攊'],
  ['8946', '丽滝鵎釟'],
  [
    '894c',
    '𧜵撑会伨侨兖兴农凤务动医华发变团声处备夲头学实実岚庆总斉柾栄桥济炼电纤纬纺织经统缆缷艺苏药视设询车轧轮'
  ],
  ['89a1', '琑糼緍楆竉刧'],
  ['89ab', '醌碸酞肼'],
  ['89b0', '贋胶𠧧'],
  ['89b5', '肟黇䳍鷉鸌䰾𩷶𧀎鸊𪄳㗁'],
  ['89c1', '溚舾甙'],
  [
    '89c5',
    '䤑马骏龙禇𨑬𡷊𠗐𢫦两亁亀亇亿仫伷㑌侽㹈倃傈㑽㒓㒥円夅凛凼刅争剹劐匧㗇厩㕑厰㕓参吣㕭㕲㚁咓咣咴咹哐哯唘唣唨㖘唿㖥㖿嗗㗅'
  ],
  ['8a40', '𧶄唥'],
  ['8a43', '𠱂𠴕𥄫喐𢳆㧬𠍁蹆𤶸𩓥䁓𨂾睺𢰸㨴䟕𨅝𦧲𤷪擝𠵼𠾴𠳕𡃴撍蹾𠺖𠰋𠽤𢲩𨉖𤓓'],
  ['8a64', '𠵆𩩍𨃩䟴𤺧𢳂骲㩧𩗴㿭㔆𥋇𩟔𧣈𢵄鵮頕'],
  ['8a76', '䏙𦂥撴哣𢵌𢯊𡁷㧻𡁯'],
  ['8aa1', '𦛚𦜖𧦠擪𥁒𠱃蹨𢆡𨭌𠜱'],
  ['8aac', '䠋𠆩㿺塳𢶍'],
  ['8ab2', '𤗈𠓼𦂗𠽌𠶖啹䂻䎺'],
  ['8abb', '䪴𢩦𡂝膪飵𠶜捹㧾𢝵跀嚡摼㹃'],
  ['8ac9', '𪘁𠸉𢫏𢳉'],
  ['8ace', '𡃈𣧂㦒㨆𨊛㕸𥹉𢃇噒𠼱𢲲𩜠㒼氽𤸻'],
  ['8adf', '𧕴𢺋𢈈𪙛𨳍𠹺𠰴𦠜羓𡃏𢠃𢤹㗻𥇣𠺌𠾍𠺪㾓𠼰𠵇𡅏𠹌'],
  ['8af6', '𠺫𠮩𠵈𡃀𡄽㿹𢚖搲𠾭'],
  ['8b40', '𣏴𧘹𢯎𠵾𠵿𢱑𢱕㨘𠺘𡃇𠼮𪘲𦭐𨳒𨶙𨳊閪哌苄喹'],
  [
    '8b55',
    '𩻃鰦骶𧝞𢷮煀腭胬尜𦕲脴㞗卟𨂽醶𠻺𠸏𠹷𠻻㗝𤷫㘉𠳖嚯𢞵𡃉𠸐𠹸𡁸𡅈𨈇𡑕𠹹𤹐𢶤婔𡀝𡀞𡃵𡃶垜𠸑'
  ],
  [
    '8ba1',
    '𧚔𨋍𠾵𠹻𥅾㜃𠾶𡆀𥋘𪊽𤧚𡠺𤅷𨉼墙剨㘚𥜽箲孨䠀䬬鼧䧧鰟鮍𥭴𣄽嗻㗲嚉丨夂𡯁屮靑𠂆乛亻㔾尣彑忄㣺扌攵歺氵氺灬爫丬犭𤣩罒礻糹罓𦉪㓁'
  ],
  ['8bde', '𦍋耂肀𦘒𦥑卝衤见𧢲讠贝钅镸长门𨸏韦页风飞饣𩠐鱼鸟黄歯龜丷𠂇阝户钢'],
  [
    '8c40',
    '倻淾𩱳龦㷉袏𤅎灷峵䬠𥇍㕙𥴰愢𨨲辧釶熑朙玺𣊁𪄇㲋𡦀䬐磤琂冮𨜏䀉橣𪊺䈣蘏𠩯稪𩥇𨫪靕灍匤𢁾鏴盙𨧣龧矝亣俰傼丯众龨吴綋墒壐𡶶庒庙忂𢜒斋'
  ],
  ['8ca1', '𣏹椙橃𣱣泿'],
  ['8ca7', '爀𤔅玌㻛𤨓嬕璹讃𥲤𥚕窓篬糃繬苸薗龩袐龪躹龫迏蕟駠鈡龬𨶹𡐿䁱䊢娚'],
  ['8cc9', '顨杫䉶圽'],
  ['8cce', '藖𤥻芿𧄍䲁𦵴嵻𦬕𦾾龭龮宖龯曧繛湗秊㶈䓃𣉖𢞖䎚䔶'],
  ['8ce6', '峕𣬚諹屸㴒𣕑嵸龲煗䕘𤃬𡸣䱷㥸㑊𠆤𦱁諌侴𠈹妿腬顖𩣺弻'],
  ['8d40', '𠮟'],
  [
    '8d42',
    '𢇁𨥭䄂䚻𩁹㼇龳𪆵䃸㟖䛷𦱆䅼𨚲𧏿䕭㣔𥒚䕡䔛䶉䱻䵶䗪㿈𤬏㙡䓞䒽䇭崾嵈嵖㷼㠏嶤嶹㠠㠸幂庽弥徃㤈㤔㤿㥍惗愽峥㦉憷憹懏㦸戬抐拥挘㧸嚱'
  ],
  [
    '8da1',
    '㨃揢揻搇摚㩋擀崕嘡龟㪗斆㪽旿晓㫲暒㬢朖㭂枤栀㭘桊梄㭲㭱㭻椉楃牜楤榟榅㮼槖㯝橥橴橱檂㯬檙㯲檫檵櫔櫶殁毁毪汵沪㳋洂洆洦涁㳯涤涱渕渘温溆𨧀溻滢滚齿滨滩漤漴㵆𣽁澁澾㵪㵵熷岙㶊瀬㶑灐灔灯灿炉𠌥䏁㗱𠻘'
  ],
  [
    '8e40',
    '𣻗垾𦻓焾𥟠㙎榢𨯩孴穉𥣡𩓙穥穽𥦬窻窰竂竃燑𦒍䇊竚竝竪䇯咲𥰁笋筕笩𥌎𥳾箢筯莜𥮴𦱿篐萡箒箸𥴠㶭𥱥蒒篺簆簵𥳁籄粃𤢂粦晽𤕸糉糇糦籴糳糵糎'
  ],
  [
    '8ea1',
    '繧䔝𦹄絝𦻖璍綉綫焵綳緒𤁗𦀩緤㴓緵𡟹緥𨍭縝𦄡𦅚繮纒䌫鑬縧罀罁罇礶𦋐駡羗𦍑羣𡙡𠁨䕜𣝦䔃𨌺翺𦒉者耈耝耨耯𪂇𦳃耻耼聡𢜔䦉𦘦𣷣𦛨朥肧𨩈脇脚墰𢛶汿𦒘𤾸擧𡒊舘𡡞橓𤩥𤪕䑺舩𠬍𦩒𣵾俹𡓽蓢荢𦬊𤦧𣔰𡝳𣷸芪椛芳䇛'
  ],
  [
    '8f40',
    '蕋苐茚𠸖𡞴㛁𣅽𣕚艻苢茘𣺋𦶣𦬅𦮗𣗎㶿茝嗬莅䔋𦶥莬菁菓㑾𦻔橗蕚㒖𦹂𢻯葘𥯤葱㷓䓤檧葊𣲵祘蒨𦮖𦹷𦹃蓞萏莑䒠蒓蓤𥲑䉀𥳀䕃蔴嫲𦺙䔧蕳䔖枿蘖'
  ],
  [
    '8fa1',
    '𨘥𨘻藁𧂈蘂𡖂𧃍䕫䕪蘨㙈𡢢号𧎚虾蝱𪃸蟮𢰧螱蟚蠏噡虬桖䘏衅衆𧗠𣶹𧗤衞袜䙛袴袵揁装睷𧜏覇覊覦覩覧覼𨨥觧𧤤𧪽誜瞓釾誐𧩙竩𧬺𣾏䜓𧬸煼謌謟𥐰𥕥謿譌譍誩𤩺讐讛誯𡛟䘕衏貛𧵔𧶏貫㜥𧵓賖𧶘𧶽贒贃𡤐賛灜贑𤳉㻐起'
  ],
  [
    '9040',
    '趩𨀂𡀔𤦊㭼𨆼𧄌竧躭躶軃鋔輙輭𨍥𨐒辥錃𪊟𠩐辳䤪𨧞𨔽𣶻廸𣉢迹𪀔𨚼𨔁𢌥㦀𦻗逷𨔼𧪾遡𨕬𨘋邨𨜓郄𨛦邮都酧㫰醩釄粬𨤳𡺉鈎沟鉁鉢𥖹銹𨫆𣲛𨬌𥗛'
  ],
  [
    '90a1',
    '𠴱錬鍫𨫡𨯫炏嫃𨫢𨫥䥥鉄𨯬𨰹𨯿鍳鑛躼閅閦鐦閠濶䊹𢙺𨛘𡉼𣸮䧟氜陻隖䅬隣𦻕懚隶磵𨫠隽双䦡𦲸𠉴𦐐𩂯𩃥𤫑𡤕𣌊霱虂霶䨏䔽䖅𤫩灵孁霛靜𩇕靗孊𩇫靟鐥僐𣂷𣂼鞉鞟鞱鞾韀韒韠𥑬韮琜𩐳響韵𩐝𧥺䫑頴頳顋顦㬎𧅵㵑𠘰𤅜'
  ],
  [
    '9140',
    '𥜆飊颷飈飇䫿𦴧𡛓喰飡飦飬鍸餹𤨩䭲𩡗𩤅駵騌騻騐驘𥜥㛄𩂱𩯕髠髢𩬅髴䰎鬔鬭𨘀倴鬴𦦨㣃𣁽魐魀𩴾婅𡡣鮎𤉋鰂鯿鰌𩹨鷔𩾷𪆒𪆫𪃡𪄣𪇟鵾鶃𪄴鸎梈'
  ],
  [
    '91a1',
    '鷄𢅛𪆓𪈠𡤻𪈳鴹𪂹𪊴麐麕麞麢䴴麪麯𤍤黁㭠㧥㴝伲㞾𨰫鼂鼈䮖鐤𦶢鼗鼖鼹嚟嚊齅馸𩂋韲葿齢齩竜龎爖䮾𤥵𤦻煷𤧸𤍈𤩑玞𨯚𡣺禟𨥾𨸶鍩鏳𨩄鋬鎁鏋𨥬𤒹爗㻫睲穃烐𤑳𤏸煾𡟯炣𡢾𣖙㻇𡢅𥐯𡟸㜢𡛻𡠹㛡𡝴𡣑𥽋㜣𡛀坛𤨥𡏾𡊨'
  ],
  [
    '9240',
    '𡏆𡒶蔃𣚦蔃葕𤦔𧅥𣸱𥕜𣻻𧁒䓴𣛮𩦝𦼦柹㜳㰕㷧塬𡤢栐䁗𣜿𤃡𤂋𤄏𦰡哋嚞𦚱嚒𠿟𠮨𠸍鏆𨬓鎜仸儫㠙𤐶亼𠑥𠍿佋侊𥙑婨𠆫𠏋㦙𠌊𠐔㐵伩𠋀𨺳𠉵諚𠈌亘'
  ],
  [
    '92a1',
    '働儍侢伃𤨎𣺊佂倮偬傁俌俥偘僼兙兛兝兞湶𣖕𣸹𣺿浲𡢄𣺉冨凃𠗠䓝𠒣𠒒𠒑赺𨪜𠜎剙劤𠡳勡鍮䙺熌𤎌𠰠𤦬𡃤槑𠸝瑹㻞璙琔瑖玘䮎𤪼𤂍叐㖄爏𤃉喴𠍅响𠯆圝鉝雴鍦埝垍坿㘾壋媙𨩆𡛺𡝯𡜐娬妸銏婾嫏娒𥥆𡧳𡡡𤊕㛵洅瑃娡𥺃'
  ],
  [
    '9340',
    '媁𨯗𠐓鏠璌𡌃焅䥲鐈𨧻鎽㞠尞岞幞幈𡦖𡥼𣫮廍孏𡤃𡤄㜁𡢠㛝𡛾㛓脪𨩇𡶺𣑲𨦨弌弎𡤧𡞫婫𡜻孄蘔𧗽衠恾𢡠𢘫忛㺸𢖯𢖾𩂈𦽳懀𠀾𠁆𢘛憙憘恵𢲛𢴇𤛔𩅍'
  ],
  [
    '93a1',
    '摱𤙥𢭪㨩𢬢𣑐𩣪𢹸挷𪑛撶挱揑𤧣𢵧护𢲡搻敫楲㯴𣂎𣊭𤦉𣊫唍𣋠𡣙𩐿曎𣊉𣆳㫠䆐𥖄𨬢𥖏𡛼𥕛𥐥磮𣄃𡠪𣈴㑤𣈏𣆂𤋉暎𦴤晫䮓昰𧡰𡷫晣𣋒𣋡昞𥡲㣑𣠺𣞼㮙𣞢𣏾瓐㮖枏𤘪梶栞㯄檾㡣𣟕𤒇樳橒櫉欅𡤒攑梘橌㯗橺歗𣿀𣲚鎠鋲𨯪𨫋'
  ],
  [
    '9440',
    '銉𨀞𨧜鑧涥漋𤧬浧𣽿㶏渄𤀼娽渊塇洤硂焻𤌚𤉶烱牐犇犔𤞏𤜥兹𤪤𠗫瑺𣻸𣙟𤩊𤤗𥿡㼆㺱𤫟𨰣𣼵悧㻳瓌琼鎇琷䒟𦷪䕑疃㽣𤳙𤴆㽘畕癳𪗆㬙瑨𨫌𤦫𤦎㫻'
  ],
  [
    '94a1',
    '㷍𤩎㻿𤧅𤣳釺圲鍂𨫣𡡤僟𥈡𥇧睸𣈲眎眏睻𤚗𣞁㩞𤣰琸璛㺿𤪺𤫇䃈𤪖𦆮錇𥖁砞碍碈磒珐祙𧝁𥛣䄎禛蒖禥樭𣻺稺秴䅮𡛦䄲鈵秱𠵌𤦌𠊙𣶺𡝮㖗啫㕰㚪𠇔𠰍竢婙𢛵𥪯𥪜娍𠉛磰娪𥯆竾䇹籝籭䈑𥮳𥺼𥺦糍𤧹𡞰粎籼粮檲緜縇緓罎𦉡'
  ],
  [
    '9540',
    '𦅜𧭈綗𥺂䉪𦭵𠤖柖𠁎𣗏埄𦐒𦏸𤥢翝笧𠠬𥫩𥵃笌𥸎駦虅驣樜𣐿㧢𤧷𦖭騟𦖠蒀𧄧𦳑䓪脷䐂胆脉腂𦞴飃𦩂艢艥𦩑葓𦶧蘐𧈛媆䅿𡡀嬫𡢡嫤𡣘蚠蜨𣶏蠭𧐢娂'
  ],
  [
    '95a1',
    '衮佅袇袿裦襥襍𥚃襔𧞅𧞄𨯵𨯙𨮜𨧹㺭蒣䛵䛏㟲訽訜𩑈彍鈫𤊄旔焩烄𡡅鵭貟賩𧷜妚矃姰䍮㛔踪躧𤰉輰轊䋴汘澻𢌡䢛潹溋𡟚鯩㚵𤤯邻邗啱䤆醻鐄𨩋䁢𨫼鐧𨰝𨰻蓥訫閙閧閗閖𨴴瑅㻂𤣿𤩂𤏪㻧𣈥随𨻧𨹦𨹥㻌𤧭𤩸𣿮琒瑫㻼靁𩂰'
  ],
  [
    '9640',
    '桇䨝𩂓𥟟靝鍨𨦉𨰦𨬯𦎾銺嬑譩䤼珹𤈛鞛靱餸𠼦巁𨯅𤪲頟𩓚鋶𩗗釥䓀𨭐𤩧𨭤飜𨩅㼀鈪䤥萔餻饍𧬆㷽馛䭯馪驜𨭥𥣈檏騡嫾騯𩣱䮐𩥈馼䮽䮗鍽塲𡌂堢𤦸'
  ],
  [
    '96a1',
    '𡓨硄𢜟𣶸棅㵽鑘㤧慐𢞁𢥫愇鱏鱓鱻鰵鰐魿鯏𩸭鮟𪇵𪃾鴡䲮𤄄鸘䲰鴌𪆴𪃭𪃳𩤯鶥蒽𦸒𦿟𦮂藼䔳𦶤𦺄𦷰萠藮𦸀𣟗𦁤秢𣖜𣙀䤭𤧞㵢鏛銾鍈𠊿碹鉷鑍俤㑀遤𥕝砽硔碶硋𡝗𣇉𤥁㚚佲濚濙瀞瀞吔𤆵垻壳垊鴖埗焴㒯𤆬燫𦱀𤾗嬨𡞵𨩉'
  ],
  [
    '9740',
    '愌嫎娋䊼𤒈㜬䭻𨧼鎻鎸𡣖𠼝葲𦳀𡐓𤋺𢰦𤏁妔𣶷𦝁綨𦅛𦂤𤦹𤦋𨧺鋥珢㻩璴𨭣𡢟㻡𤪳櫘珳珻㻖𤨾𤪔𡟙𤩦𠎧𡐤𤧥瑈𤤖炥𤥶銄珦鍟𠓾錱𨫎𨨖鎆𨯧𥗕䤵𨪂煫'
  ],
  [
    '97a1',
    '𤥃𠳿嚤𠘚𠯫𠲸唂秄𡟺緾𡛂𤩐𡡒䔮鐁㜊𨫀𤦭妰𡢿𡢃𧒄媡㛢𣵛㚰鉟婹𨪁𡡢鍴㳍𠪴䪖㦊僴㵩㵌𡎜煵䋻𨈘渏𩃤䓫浗𧹏灧沯㳖𣿭𣸭渂漌㵯𠏵畑㚼㓈䚀㻚䡱姄鉮䤾轁𨰜𦯀堒埈㛖𡑒烾𤍢𤩱𢿣𡊰𢎽梹楧𡎘𣓥𧯴𣛟𨪃𣟖𣏺𤲟樚𣚭𦲷萾䓟䓎'
  ],
  [
    '9840',
    '𦴦𦵑𦲂𦿞漗𧄉茽𡜺菭𦲀𧁓𡟛妉媂𡞳婡婱𡤅𤇼㜭姯𡜼㛇熎鎐暚𤊥婮娫𤊓樫𣻹𧜶𤑛𤋊焝𤉙𨧡侰𦴨峂𤓎𧹍𤎽樌𤉖𡌄炦焳𤏩㶥泟勇𤩏繥姫崯㷳彜𤩝𡟟綤萦'
  ],
  [
    '98a1',
    '咅𣫺𣌀𠈔坾𠣕𠘙㿥𡾞𪊶瀃𩅛嵰玏糓𨩙𩐠俈翧狍猐𧫴猸猹𥛶獁獈㺩𧬘遬燵𤣲珡臶㻊県㻑沢国琙琞琟㻢㻰㻴㻺瓓㼎㽓畂畭畲疍㽼痈痜㿀癍㿗癴㿜発𤽜熈嘣覀塩䀝睃䀹条䁅㗛瞘䁪䁯属瞾矋売砘点砜䂨砹硇硑硦葈𥔵礳栃礲䄃'
  ],
  [
    '9940',
    '䄉禑禙辻稆込䅧窑䆲窼艹䇄竏竛䇏両筢筬筻簒簛䉠䉺类粜䊌粸䊔糭输烀𠳏総緔緐緽羮羴犟䎗耠耥笹耮耱联㷌垴炠肷胩䏭脌猪脎脒畠脔䐁㬹腖腙腚'
  ],
  [
    '99a1',
    '䐓堺腼膄䐥膓䐭膥埯臁臤艔䒏芦艶苊苘苿䒰荗险榊萅烵葤惣蒈䔄蒾蓡蓸蔐蔸蕒䔻蕯蕰藠䕷虲蚒蚲蛯际螋䘆䘗袮裿褤襇覑𧥧訩訸誔誴豑賔賲贜䞘塟跃䟭仮踺嗘坔蹱嗵躰䠷軎転軤軭軲辷迁迊迌逳駄䢭飠鈓䤞鈨鉘鉫銱銮銿'
  ],
  [
    '9a40',
    '鋣鋫鋳鋴鋽鍃鎄鎭䥅䥑麿鐗匁鐝鐭鐾䥪鑔鑹锭関䦧间阳䧥枠䨤靀䨵鞲韂噔䫤惨颹䬙飱塄餎餙冴餜餷饂饝饢䭰駅䮝騼鬏窃魩鮁鯝鯱鯴䱭鰠㝯𡯂鵉鰺'
  ],
  [
    '9aa1',
    '黾噐鶓鶽鷀鷼银辶鹻麬麱麽黆铜黢黱黸竈齄𠂔𠊷𠎠椚铃妬𠓗塀铁㞹𠗕𠘕𠙶𡚺块煳𠫂𠫍𠮿呪吆𠯋咞𠯻𠰻𠱓𠱥𠱼惧𠲍噺𠲵𠳝𠳭𠵯𠶲𠷈楕鰯螥𠸄𠸎𠻗𠾐𠼭𠹳尠𠾼帋𡁜𡁏𡁶朞𡁻𡂈𡂖㙇𡂿𡃓𡄯𡄻卤蒭𡋣𡍵𡌶讁𡕷𡘙𡟃𡟇乸炻𡠭𡥪'
  ],
  [
    '9b40',
    '𡨭𡩅𡰪𡱰𡲬𡻈拃𡻕𡼕熘桕𢁅槩㛈𢉼𢏗𢏺𢜪𢡱𢥏苽𢥧𢦓𢫕覥𢫨辠𢬎鞸𢬿顇骽𢱌'
  ],
  ['9b62', '𢲈𢲷𥯨𢴈𢴒𢶷𢶕𢹂𢽴𢿌𣀳𣁦𣌟𣏞徱晈暿𧩹𣕧𣗳爁𤦺矗𣘚𣜖纇𠍆墵朎'],
  [
    '9ba1',
    '椘𣪧𧙗𥿢𣸑𣺹𧗾𢂚䣐䪸𤄙𨪚𤋮𤌍𤀻𤌴𤎖𤩅𠗊凒𠘑妟𡺨㮾𣳿𤐄𤓖垈𤙴㦛𤜯𨗨𩧉㝢𢇃譞𨭎駖𤠒𤣻𤨕爉𤫀𠱸奥𤺥𤾆𠝹軚𥀬劏圿煱𥊙𥐙𣽊𤪧喼𥑆𥑮𦭒釔㑳𥔿𧘲𥕞䜘𥕢𥕦𥟇𤤿𥡝偦㓻𣏌惞𥤃䝼𨥈𥪮𥮉𥰆𡶐垡煑澶𦄂𧰒遖𦆲𤾚譢𦐂𦑊'
  ],
  [
    '9c40',
    '嵛𦯷輶𦒄𡤜諪𤧶𦒈𣿯𦔒䯀𦖿𦚵𢜛鑥𥟡憕娧晉侻嚹𤔡𦛼乪𤤴陖涏𦲽㘘襷𦞙𦡮𦐑𦡞營𦣇筂𩃀𠨑𦤦鄄𦤹穅鷰𦧺騦𦨭㙟𦑩𠀡禃𦨴𦭛崬𣔙菏𦮝䛐𦲤画补𦶮墶'
  ],
  [
    '9ca1',
    '㜜𢖍𧁋𧇍㱔𧊀𧊅銁𢅺𧊋錰𧋦𤧐氹钟𧑐𠻸蠧裵𢤦𨑳𡞱溸𤨪𡠠㦤㚹尐秣䔿暶𩲭𩢤襃𧟌𧡘囖䃟𡘊㦡𣜯𨃨𡏅熭荦𧧝𩆨婧䲷𧂯𨦫𧧽𧨊𧬋𧵦𤅺筃祾𨀉澵𪋟樃𨌘厢𦸇鎿栶靝𨅯𨀣𦦵𡏭𣈯𨁈嶅𨰰𨂃圕頣𨥉嶫𤦈斾槕叒𤪥𣾁㰑朶𨂐𨃴𨄮𡾡𨅏'
  ],
  [
    '9d40',
    '𨆉𨆯𨈚𨌆𨌯𨎊㗊𨑨𨚪䣺揦𨥖砈鉕𨦸䏲𨧧䏟𨧨𨭆𨯔姸𨰉輋𨿅𩃬筑𩄐𩄼㷷𩅞𤫊运犏嚋𩓧𩗩𩖰𩖸𩜲𩣑𩥉𩥪𩧃𩨨𩬎𩵚𩶛纟𩻸𩼣䲤镇𪊓熢𪋿䶑递𪗋䶜𠲜达嗁'
  ],
  [
    '9da1',
    '辺𢒰边𤪓䔉繿潖檱仪㓤𨬬𧢝㜺躀𡟵𨀤𨭬𨮙𧨾𦚯㷫𧙕𣲷𥘵𥥖亚𥺁𦉘嚿𠹭踎孭𣺈𤲞揞拐𡟶𡡻攰嘭𥱊吚𥌑㷆𩶘䱽嘢嘞罉𥻘奵𣵀蝰东𠿪𠵉𣚺脗鵞贘瘻鱅癎瞹鍅吲腈苷嘥脲萘肽嗪祢噃吖𠺝㗎嘅嗱曱𨋢㘭甴嗰喺咗啲𠱁𠲖廐𥅈𠹶𢱢'
  ],
  [
    '9e40',
    '𠺢麫絚嗞𡁵抝靭咔賍燶酶揼掹揾啩𢭃鱲𢺳冚㓟𠶧冧呍唞唓癦踭𦢊疱肶蠄螆裇膶萜𡃁䓬猄𤜆宐茋𦢓噻𢛴𧴯𤆣𧵳𦻐𧊶酰𡇙鈈𣳼𪚩𠺬𠻹牦𡲢䝎𤿂𧿹𠿫䃺'
  ],
  ['9ea1', '鱝攟𢶠䣳𤟠𩵼𠿬𠸊恢𧖣𠿭'],
  ['9ead', '𦁈𡆇熣纎鵐业丄㕷嬍沲卧㚬㧜卽㚥𤘘墚𤭮舭呋垪𥪕𠥹'],
  [
    '9ec5',
    '㩒𢑥獴𩺬䴉鯭𣳾𩼰䱛𤾩𩖞𩿞葜𣶶𧊲𦞳𣜠挮紥𣻷𣸬㨪逈勌㹴㙺䗩𠒎癀嫰𠺶硺𧼮墧䂿噼鮋嵴癔𪐴麅䳡痹㟻愙𣃚𤏲'
  ],
  ['9ef5', '噝𡊩垧𤥣𩸆刴𧂮㖭汊鵼'],
  ['9f40', '籖鬹埞𡝬屓擓𩓐𦌵𧅤蚭𠴨𦴢𤫢𠵱'],
  [
    '9f4f',
    '凾𡼏嶎霃𡷑麁遌笟鬂峑箣扨挵髿篏鬪籾鬮籂粆鰕篼鬉鼗鰛𤤾齚啳寃俽麘俲剠㸆勑坧偖妷帒韈鶫轜呩鞴饀鞺匬愰'
  ],
  ['9fa1', '椬叚鰊鴂䰻陁榀傦畆𡝭駚剳'],
  ['9fae', '酙隁酜'],
  ['9fb2', '酑𨺗捿𦴣櫊嘑醎畺抅𠏼獏籰𥰡𣳽'],
  ['9fc1', '𤤙盖鮝个𠳔莾衂'],
  ['9fc9', '届槀僭坺刟巵从氱𠇲伹咜哚劚趂㗾弌㗳'],
  ['9fdb', '歒酼龥鮗頮颴骺麨麄煺笔'],
  ['9fe7', '毺蠘罸'],
  ['9feb', '嘠𪙊蹷齓'],
  ['9ff0', '跔蹏鸜踁抂𨍽踨蹵竓𤩷稾磘泪詧瘇'],
  ['a040', '𨩚鼦泎蟖痃𪊲硓咢贌狢獱謭猂瓱賫𤪻蘯徺袠䒷'],
  ['a055', '𡠻𦸅'],
  ['a058', '詾𢔛'],
  ['a05b', '惽癧髗鵄鍮鮏蟵'],
  ['a063', '蠏賷猬霡鮰㗖犲䰇籑饊𦅙慙䰄麖慽'],
  ['a073', '坟慯抦戹拎㩜懢厪𣏵捤栂㗒'],
  ['a0a1', '嵗𨯂迚𨸹'],
  ['a0a6', '僙𡵆礆匲阸𠼻䁥'],
  ['a0ae', '矾'],
  [
    'a0b0',
    '糂𥼚糚稭聦聣絍甅瓲覔舚朌聢𧒆聛瓰脃眤覉𦟌畓𦻑螩蟎臈螌詉貭譃眫瓸蓚㘵榲趦'
  ],
  ['a0d4', '覩瑨涹蟁𤀑瓧㷛煶悤憜㳑煢恷'],
  ['a0e2', '罱𨬭牐惩䭾删㰘𣳇𥻗𧙖𥔱𡥄𡋾𩤃𦷜𧂭峁𦆭𨨏𣙷𠃮𦡆𤼎䕢嬟𦍌齐麦𦉫'],
  ['a3c0', '␀', 31, '␡'],
  [
    'c6a1',
    '①',
    9,
    '⑴',
    9,
    'ⅰ',
    9,
    '丶丿亅亠冂冖冫勹匸卩厶夊宀巛⼳广廴彐彡攴无疒癶辵隶¨ˆヽヾゝゞ〃仝々〆〇ー［］✽ぁ',
    23
  ],
  ['c740', 'す', 58, 'ァアィイ'],
  ['c7a1', 'ゥ', 81, 'А', 5, 'ЁЖ', 4],
  ['c840', 'Л', 26, 'ёж', 25, '⇧↸↹㇏𠃌乚𠂊刂䒑'],
  ['c8a1', '龰冈龱𧘇'],
  [
    'c8cd',
    '￢￤＇＂㈱№℡゛゜⺀⺄⺆⺇⺈⺊⺌⺍⺕⺜⺝⺥⺧⺪⺬⺮⺶⺼⺾⻆⻊⻌⻍⻏⻖⻗⻞⻣'
  ],
  ['c8f5', 'ʃɐɛɔɵœøŋʊɪ'],
  ['f9fe', '￭'],
  [
    'fa40',
    '𠕇鋛𠗟𣿅蕌䊵珯况㙉𤥂𨧤鍄𡧛苮𣳈砼杄拟𤤳𨦪𠊠𦮳𡌅侫𢓭倈𦴩𧪄𣘀𤪱𢔓倩𠍾徤𠎀𠍇滛𠐟偽儁㑺儎顬㝃萖𤦤𠒇兠𣎴兪𠯿𢃼𠋥𢔰𠖎𣈳𡦃宂蝽𠖳𣲙冲冸'
  ],
  [
    'faa1',
    '鴴凉减凑㳜凓𤪦决凢卂凭菍椾𣜭彻刋刦刼劵剗劔効勅簕蕂勠蘍𦬓包𨫞啉滙𣾀𠥔𣿬匳卄𠯢泋𡜦栛珕恊㺪㣌𡛨燝䒢卭却𨚫卾卿𡖖𡘓矦厓𨪛厠厫厮玧𥝲㽙玜叁叅汉义埾叙㪫𠮏叠𣿫𢶣叶𠱷吓灹唫晗浛呭𦭓𠵴啝咏咤䞦𡜍𠻝㶴𠵍'
  ],
  [
    'fb40',
    '𨦼𢚘啇䳭启琗喆喩嘅𡣗𤀺䕒𤐵暳𡂴嘷曍𣊊暤暭噍噏磱囱鞇叾圀囯园𨭦㘣𡉏坆𤆥汮炋坂㚱𦱾埦𡐖堃𡑔𤍣堦𤯵塜墪㕡壠壜𡈼壻寿坃𪅐𤉸鏓㖡够梦㛃湙'
  ],
  [
    'fba1',
    '𡘾娤啓𡚒蔅姉𠵎𦲁𦴪𡟜姙𡟻𡞲𦶦浱𡠨𡛕姹𦹅媫婣㛦𤦩婷㜈媖瑥嫓𦾡𢕔㶅𡤑㜲𡚸広勐孶斈孼𧨎䀄䡝𠈄寕慠𡨴𥧌𠖥寳宝䴐尅𡭄尓珎尔𡲥𦬨屉䣝岅峩峯嶋𡷹𡸷崐崘嵆𡺤岺巗苼㠭𤤁𢁉𢅳芇㠶㯂帮檊幵幺𤒼𠳓厦亷廐厨𡝱帉廴𨒂'
  ],
  [
    'fc40',
    '廹廻㢠廼栾鐛弍𠇁弢㫞䢮𡌺强𦢈𢏐彘𢑱彣鞽𦹮彲鍀𨨶徧嶶㵟𥉐𡽪𧃸𢙨釖𠊞𨨩怱暅𡡷㥣㷇㘹垐𢞴祱㹀悞悤悳𤦂𤦏𧩓璤僡媠慤萤慂慈𦻒憁凴𠙖憇宪𣾷'
  ],
  [
    'fca1',
    '𢡟懓𨮝𩥝懐㤲𢦀𢣁怣慜攞掋𠄘担𡝰拕𢸍捬𤧟㨗搸揸𡎎𡟼撐澊𢸶頔𤂌𥜝擡擥鑻㩦携㩗敍漖𤨨𤨣斅敭敟𣁾斵𤥀䬷旑䃘𡠩无旣忟𣐀昘𣇷𣇸晄𣆤𣆥晋𠹵晧𥇦晳晴𡸽𣈱𨗴𣇈𥌓矅𢣷馤朂𤎜𤨡㬫槺𣟂杞杧杢𤇍𩃭柗䓩栢湐鈼栁𣏦𦶠桝'
  ],
  [
    'fd40',
    '𣑯槡樋𨫟楳棃𣗍椁椀㴲㨁𣘼㮀枬楡𨩊䋼椶榘㮡𠏉荣傐槹𣙙𢄪橅𣜃檝㯳枱櫈𩆜㰍欝𠤣惞欵歴𢟍溵𣫛𠎵𡥘㝀吡𣭚毡𣻼毜氷𢒋𤣱𦭑汚舦汹𣶼䓅𣶽𤆤𤤌𤤀'
  ],
  [
    'fda1',
    '𣳉㛥㳫𠴲鮃𣇹𢒑羏样𦴥𦶡𦷫涖浜湼漄𤥿𤂅𦹲蔳𦽴凇沜渝萮𨬡港𣸯瑓𣾂秌湏媑𣁋濸㜍澝𣸰滺𡒗𤀽䕕鏰潄潜㵎潴𩅰㴻澟𤅄濓𤂑𤅕𤀹𣿰𣾴𤄿凟𤅖𤅗𤅀𦇝灋灾炧炁烌烕烖烟䄄㷨熴熖𤉷焫煅媈煊煮岜𤍥煏鍢𤋁焬𤑚𤨧𤨢熺𨯨炽爎'
  ],
  [
    'fe40',
    '鑂爕夑鑃爤鍁𥘅爮牀𤥴梽牕牗㹕𣁄栍漽犂猪猫𤠣𨠫䣭𨠄猨献珏玪𠰺𦨮珉瑉𤇢𡛧𤨤昣㛅𤦷𤦍𤧻珷琕椃𤨦琹𠗃㻗瑜𢢭瑠𨺲瑇珤瑶莹瑬㜰瑴鏱樬璂䥓𤪌'
  ],
  [
    'fea1',
    '𤅟𤩹𨮏孆𨰃𡢞瓈𡦈甎瓩甞𨻙𡩋寗𨺬鎅畍畊畧畮𤾂㼄𤴓疎瑝疞疴瘂瘬癑癏癯癶𦏵皐臯㟸𦤑𦤎皡皥皷盌𦾟葢𥂝𥅽𡸜眞眦着撯𥈠睘𣊬瞯𨥤𨥨𡛁矴砉𡍶𤨒棊碯磇磓隥礮𥗠磗礴碱𧘌辸袄𨬫𦂃𢘜禆褀椂禀𥡗禝𧬹礼禩渪𧄦㺨秆𩄍秔'
  ]
]

let dbcsData
let hasRequiredDbcsData
function requireDbcsData() {
  if (hasRequiredDbcsData) {
    return dbcsData
  }
  hasRequiredDbcsData = 1

  // Description of supported double byte encodings and aliases.
  // Tables are not require()-d until they are needed to speed up library load.
  // require()-s are direct to support Browserify.

  dbcsData = {
    // == Japanese/ShiftJIS ====================================================
    // All japanese encodings are based on JIS X set of standards:
    // JIS X 0201 - Single-byte encoding of ASCII + ¥ + Kana chars at 0xA1-0xDF.
    // JIS X 0208 - Main set of 6879 characters, placed in 94x94 plane, to be encoded by 2 bytes.
    //              Has several variations in 1978, 1983, 1990 and 1997.
    // JIS X 0212 - Supplementary plane of 6067 chars in 94x94 plane. 1990. Effectively dead.
    // JIS X 0213 - Extension and modern replacement of 0208 and 0212. Total chars: 11233.
    //              2 planes, first is superset of 0208, second - revised 0212.
    //              Introduced in 2000, revised 2004. Some characters are in Unicode Plane 2 (0x2xxxx)

    // Byte encodings are:
    //  * Shift_JIS: Compatible with 0201, uses not defined chars in top half as lead bytes for double-byte
    //               encoding of 0208. Lead byte ranges: 0x81-0x9F, 0xE0-0xEF; Trail byte ranges: 0x40-0x7E, 0x80-0x9E, 0x9F-0xFC.
    //               Windows CP932 is a superset of Shift_JIS. Some companies added more chars, notably KDDI.
    //  * EUC-JP:    Up to 3 bytes per character. Used mostly on *nixes.
    //               0x00-0x7F       - lower part of 0201
    //               0x8E, 0xA1-0xDF - upper part of 0201
    //               (0xA1-0xFE)x2   - 0208 plane (94x94).
    //               0x8F, (0xA1-0xFE)x2 - 0212 plane (94x94).
    //  * JIS X 208: 7-bit, direct encoding of 0208. Byte ranges: 0x21-0x7E (94 values). Uncommon.
    //               Used as-is in ISO2022 family.
    //  * ISO2022-JP: Stateful encoding, with escape sequences to switch between ASCII,
    //                0201-1976 Roman, 0208-1978, 0208-1983.
    //  * ISO2022-JP-1: Adds esc seq for 0212-1990.
    //  * ISO2022-JP-2: Adds esc seq for GB2313-1980, KSX1001-1992, ISO8859-1, ISO8859-7.
    //  * ISO2022-JP-3: Adds esc seq for 0201-1976 Kana set, 0213-2000 Planes 1, 2.
    //  * ISO2022-JP-2004: Adds 0213-2004 Plane 1.
    //
    // After JIS X 0213 appeared, Shift_JIS-2004, EUC-JISX0213 and ISO2022-JP-2004 followed, with just changing the planes.
    //
    // Overall, it seems that it's a mess :( http://www8.plala.or.jp/tkubota1/unicode-symbols-map2.html

    shiftjis: {
      type: '_dbcs',
      table: function () {
        return require$$0
      },
      encodeAdd: {
        '\u00a5': 0x5c,
        '\u203E': 0x7e
      },
      encodeSkipVals: [
        {
          from: 0xed40,
          to: 0xf940
        }
      ]
    },
    csshiftjis: 'shiftjis',
    mskanji: 'shiftjis',
    sjis: 'shiftjis',
    windows31j: 'shiftjis',
    ms31j: 'shiftjis',
    xsjis: 'shiftjis',
    windows932: 'shiftjis',
    ms932: 'shiftjis',
    932: 'shiftjis',
    cp932: 'shiftjis',
    eucjp: {
      type: '_dbcs',
      table: function () {
        return require$$1
      },
      encodeAdd: {
        '\u00a5': 0x5c,
        '\u203E': 0x7e
      }
    },
    // TODO: KDDI extension to Shift_JIS
    // TODO: IBM CCSID 942 = CP932, but F0-F9 custom chars and other char changes.
    // TODO: IBM CCSID 943 = Shift_JIS = CP932 with original Shift_JIS lower 128 chars.

    // == Chinese/GBK ==========================================================
    // http://en.wikipedia.org/wiki/GBK
    // We mostly implement W3C recommendation: https://www.w3.org/TR/encoding/#gbk-encoder

    // Oldest GB2312 (1981, ~7600 chars) is a subset of CP936
    gb2312: 'cp936',
    gb231280: 'cp936',
    gb23121980: 'cp936',
    csgb2312: 'cp936',
    csiso58gb231280: 'cp936',
    euccn: 'cp936',
    // Microsoft's CP936 is a subset and approximation of GBK.
    windows936: 'cp936',
    ms936: 'cp936',
    936: 'cp936',
    cp936: {
      type: '_dbcs',
      table: function () {
        return require$$2
      }
    },
    // GBK (~22000 chars) is an extension of CP936 that added user-mapped chars and some other.
    gbk: {
      type: '_dbcs',
      table: function () {
        return require$$2.concat(require$$3)
      }
    },
    xgbk: 'gbk',
    isoir58: 'gbk',
    // GB18030 is an algorithmic extension of GBK.
    // Main source: https://www.w3.org/TR/encoding/#gbk-encoder
    // http://icu-project.org/docs/papers/gb18030.html
    // http://source.icu-project.org/repos/icu/data/trunk/charset/data/xml/gb-18030-2000.xml
    // http://www.khngai.com/chinese/charmap/tblgbk.php?page=0
    gb18030: {
      type: '_dbcs',
      table: function () {
        return require$$2.concat(require$$3)
      },
      gb18030: function () {
        return require$$4$1
      },
      encodeSkipVals: [0x80],
      encodeAdd: {
        '€': 0xa2e3
      }
    },
    chinese: 'gb18030',
    // == Korean ===============================================================
    // EUC-KR, KS_C_5601 and KS X 1001 are exactly the same.
    windows949: 'cp949',
    ms949: 'cp949',
    949: 'cp949',
    cp949: {
      type: '_dbcs',
      table: function () {
        return require$$5
      }
    },
    cseuckr: 'cp949',
    csksc56011987: 'cp949',
    euckr: 'cp949',
    isoir149: 'cp949',
    korean: 'cp949',
    ksc56011987: 'cp949',
    ksc56011989: 'cp949',
    ksc5601: 'cp949',
    // == Big5/Taiwan/Hong Kong ================================================
    // There are lots of tables for Big5 and cp950. Please see the following links for history:
    // http://moztw.org/docs/big5/  http://www.haible.de/bruno/charsets/conversion-tables/Big5.html
    // Variations, in roughly number of defined chars:
    //  * Windows CP 950: Microsoft variant of Big5. Canonical: http://www.unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/CP950.TXT
    //  * Windows CP 951: Microsoft variant of Big5-HKSCS-2001. Seems to be never public. http://me.abelcheung.org/articles/research/what-is-cp951/
    //  * Big5-2003 (Taiwan standard) almost superset of cp950.
    //  * Unicode-at-on (UAO) / Mozilla 1.8. Falling out of use on the Web. Not supported by other browsers.
    //  * Big5-HKSCS (-2001, -2004, -2008). Hong Kong standard.
    //    many unicode code points moved from PUA to Supplementary plane (U+2XXXX) over the years.
    //    Plus, it has 4 combining sequences.
    //    Seems that Mozilla refused to support it for 10 yrs. https://bugzilla.mozilla.org/show_bug.cgi?id=162431 https://bugzilla.mozilla.org/show_bug.cgi?id=310299
    //    because big5-hkscs is the only encoding to include astral characters in non-algorithmic way.
    //    Implementations are not consistent within browsers; sometimes labeled as just big5.
    //    MS Internet Explorer switches from big5 to big5-hkscs when a patch applied.
    //    Great discussion & recap of what's going on https://bugzilla.mozilla.org/show_bug.cgi?id=912470#c31
    //    In the encoder, it might make sense to support encoding old PUA mappings to Big5 bytes seq-s.
    //    Official spec: http://www.ogcio.gov.hk/en/business/tech_promotion/ccli/terms/doc/2003cmp_2008.txt
    //                   http://www.ogcio.gov.hk/tc/business/tech_promotion/ccli/terms/doc/hkscs-2008-big5-iso.txt
    //
    // Current understanding of how to deal with Big5(-HKSCS) is in the Encoding Standard, http://encoding.spec.whatwg.org/#big5-encoder
    // Unicode mapping (http://www.unicode.org/Public/MAPPINGS/OBSOLETE/EASTASIA/OTHER/BIG5.TXT) is said to be wrong.

    windows950: 'cp950',
    ms950: 'cp950',
    950: 'cp950',
    cp950: {
      type: '_dbcs',
      table: function () {
        return require$$6
      }
    },
    // Big5 has many variations and is an extension of cp950. We use Encoding Standard's as a consensus.
    big5: 'big5hkscs',
    big5hkscs: {
      type: '_dbcs',
      table: function () {
        return require$$6.concat(require$$7$1)
      },
      encodeSkipVals: [
        // Although Encoding Standard says we should avoid encoding to HKSCS area (See Step 1 of
        // https://encoding.spec.whatwg.org/#index-big5-pointer), we still do it to increase compatibility with ICU.
        // But if a single unicode point can be encoded both as HKSCS and regular Big5, we prefer the latter.
        0x8e69,
        0x8e6f, 0x8e7e, 0x8eab, 0x8eb4, 0x8ecd, 0x8ed0, 0x8f57, 0x8f69, 0x8f6e,
        0x8fcb, 0x8ffe, 0x906d, 0x907a, 0x90c4, 0x90dc, 0x90f1, 0x91bf, 0x92af,
        0x92b0, 0x92b1, 0x92b2, 0x92d1, 0x9447, 0x94ca, 0x95d9, 0x96fc, 0x9975,
        0x9b76, 0x9b78, 0x9b7b, 0x9bc6, 0x9bde, 0x9bec, 0x9bf6, 0x9c42, 0x9c53,
        0x9c62, 0x9c68, 0x9c6b, 0x9c77, 0x9cbc, 0x9cbd, 0x9cd0, 0x9d57, 0x9d5a,
        0x9dc4, 0x9def, 0x9dfb, 0x9ea9, 0x9eef, 0x9efd, 0x9f60, 0x9fcb, 0xa077,
        0xa0dc, 0xa0df, 0x8fcc, 0x92c8, 0x9644, 0x96ed,
        // Step 2 of https://encoding.spec.whatwg.org/#index-big5-pointer: Use last pointer for U+2550, U+255E, U+2561, U+256A, U+5341, or U+5345
        0xa2a4,
        0xa2a5, 0xa2a7, 0xa2a6, 0xa2cc, 0xa2ce
      ]
    },
    cnbig5: 'big5hkscs',
    csbig5: 'big5hkscs',
    xxbig5: 'big5hkscs'
  }
  return dbcsData
}

let hasRequiredEncodings
function requireEncodings() {
  if (hasRequiredEncodings) {
    return encodings
  }
  hasRequiredEncodings = 1
  ;(function (exports) {
    // Update this array if you add/rename/remove files in this directory.
    // We support Browserify by skipping automatic module discovery and requiring modules directly.
    const modules = [
      requireInternal(),
      requireUtf32(),
      requireUtf16(),
      requireUtf7(),
      requireSbcsCodec(),
      requireSbcsData(),
      requireSbcsDataGenerated(),
      requireDbcsCodec(),
      requireDbcsData()
    ]

    // Put all encoding/alias/codec definitions to single object and export it.
    for (let i = 0; i < modules.length; i++) {
      const module = modules[i]
      for (const enc in module) {
        if (Object.prototype.hasOwnProperty.call(module, enc))
          exports[enc] = module[enc]
      }
    }
  })(encodings)
  return encodings
}

let streams
let hasRequiredStreams
function requireStreams() {
  if (hasRequiredStreams) {
    return streams
  }
  hasRequiredStreams = 1
  const Buffer = requireSafer().Buffer

  // NOTE: Due to 'stream' module being pretty large (~100Kb, significant in browser environments),
  // we opt to dependency-inject it instead of creating a hard dependency.
  streams = function (stream_module) {
    const Transform = stream_module.Transform

    // == Encoder stream =======================================================

    function IconvLiteEncoderStream(conv, options) {
      this.conv = conv
      options = options || {}
      options.decodeStrings = false // We accept only strings, so we don't need to decode them.
      Transform.call(this, options)
    }
    IconvLiteEncoderStream.prototype = Object.create(Transform.prototype, {
      constructor: {
        value: IconvLiteEncoderStream
      }
    })
    IconvLiteEncoderStream.prototype._transform = function (
      chunk,
      encoding,
      done
    ) {
      if (typeof chunk != 'string') {
        return done(
          new Error('Iconv encoding stream needs strings as its input.')
        )
      }
      try {
        const res = this.conv.write(chunk)
        if (res && res.length) {
          this.push(res)
        }
        done()
      } catch (e) {
        done(e)
      }
    }
    IconvLiteEncoderStream.prototype._flush = function (done) {
      try {
        const res = this.conv.end()
        if (res && res.length) {
          this.push(res)
        }
        done()
      } catch (e) {
        done(e)
      }
    }
    IconvLiteEncoderStream.prototype.collect = function (cb) {
      const chunks = []
      this.on('error', cb)
      this.on('data', function (chunk) {
        chunks.push(chunk)
      })
      this.on('end', function () {
        cb(null, Buffer.concat(chunks))
      })
      return this
    }

    // == Decoder stream =======================================================

    function IconvLiteDecoderStream(conv, options) {
      this.conv = conv
      options = options || {}
      options.encoding = this.encoding = 'utf8' // We output strings.
      Transform.call(this, options)
    }
    IconvLiteDecoderStream.prototype = Object.create(Transform.prototype, {
      constructor: {
        value: IconvLiteDecoderStream
      }
    })
    IconvLiteDecoderStream.prototype._transform = function (
      chunk,
      encoding,
      done
    ) {
      if (!Buffer.isBuffer(chunk) && !(chunk instanceof Uint8Array)) {
        return done(
          new Error('Iconv decoding stream needs buffers as its input.')
        )
      }
      try {
        const res = this.conv.write(chunk)
        if (res && res.length) {
          this.push(res, this.encoding)
        }
        done()
      } catch (e) {
        done(e)
      }
    }
    IconvLiteDecoderStream.prototype._flush = function (done) {
      try {
        const res = this.conv.end()
        if (res && res.length) {
          this.push(res, this.encoding)
        }
        done()
      } catch (e) {
        done(e)
      }
    }
    IconvLiteDecoderStream.prototype.collect = function (cb) {
      let res = ''
      this.on('error', cb)
      this.on('data', function (chunk) {
        res += chunk
      })
      this.on('end', function () {
        cb(null, res)
      })
      return this
    }
    return {
      IconvLiteEncoderStream: IconvLiteEncoderStream,
      IconvLiteDecoderStream: IconvLiteDecoderStream
    }
  }
  return streams
}

let hasRequiredLib$a
function requireLib$a() {
  if (hasRequiredLib$a) {
    return lib$9.exports
  }
  hasRequiredLib$a = 1
  ;(function (module) {
    const Buffer = requireSafer().Buffer
    const bomHandling = requireBomHandling(),
      iconv = module.exports

    // All codecs and aliases are kept here, keyed by encoding name/alias.
    // They are lazy loaded in `iconv.getCodec` from `encodings/index.js`.
    iconv.encodings = null

    // Characters emitted in case of error.
    iconv.defaultCharUnicode = '�'
    iconv.defaultCharSingleByte = '?'

    // Public API.
    iconv.encode = function encode(str, encoding, options) {
      str = '' + (str || '') // Ensure string.

      const encoder = iconv.getEncoder(encoding, options)
      const res = encoder.write(str)
      const trail = encoder.end()
      return trail && trail.length > 0 ? Buffer.concat([res, trail]) : res
    }
    iconv.decode = function decode(buf, encoding, options) {
      if (typeof buf === 'string') {
        if (!iconv.skipDecodeWarning) {
          console.error(
            'Iconv-lite warning: decode()-ing strings is deprecated. Refer to https://github.com/ashtuchkin/iconv-lite/wiki/Use-Buffers-when-decoding'
          )
          iconv.skipDecodeWarning = true
        }
        buf = Buffer.from('' + (buf || ''), 'binary') // Ensure buffer.
      }
      const decoder = iconv.getDecoder(encoding, options)
      const res = decoder.write(buf)
      const trail = decoder.end()
      return trail ? res + trail : res
    }
    iconv.encodingExists = function encodingExists(enc) {
      try {
        iconv.getCodec(enc)
        return true
      } catch (e) {
        return false
      }
    }

    // Legacy aliases to convert functions
    iconv.toEncoding = iconv.encode
    iconv.fromEncoding = iconv.decode

    // Search for a codec in iconv.encodings. Cache codec data in iconv._codecDataCache.
    iconv._codecDataCache = {}
    iconv.getCodec = function getCodec(encoding) {
      if (!iconv.encodings) {
        iconv.encodings = requireEncodings()
      } // Lazy load all encoding definitions.

      // Canonicalize encoding name: strip all non-alphanumeric chars and appended year.
      let enc = iconv._canonicalizeEncoding(encoding)

      // Traverse iconv.encodings to find actual codec.
      const codecOptions = {}
      while (true) {
        let codec = iconv._codecDataCache[enc]
        if (codec) {
          return codec
        }
        const codecDef = iconv.encodings[enc]
        switch (typeof codecDef) {
          case 'string':
            // Direct alias to other encoding.
            enc = codecDef
            break
          case 'object':
            // Alias with options. Can be layered.
            for (const key in codecDef) {
              codecOptions[key] = codecDef[key]
            }
            if (!codecOptions.encodingName) {
              codecOptions.encodingName = enc
            }
            enc = codecDef.type
            break
          case 'function':
            // Codec itself.
            if (!codecOptions.encodingName) {
              codecOptions.encodingName = enc
            }

            // The codec function must load all tables and return object with .encoder and .decoder methods.
            // It'll be called only once (for each different options object).
            codec = new codecDef(codecOptions, iconv)
            iconv._codecDataCache[codecOptions.encodingName] = codec // Save it to be reused later.
            return codec
          default:
            throw new Error(
              "Encoding not recognized: '" +
                encoding +
                "' (searched as: '" +
                enc +
                "')"
            )
        }
      }
    }
    iconv._canonicalizeEncoding = function (encoding) {
      // Canonicalize encoding name: strip all non-alphanumeric chars and appended year.
      return ('' + encoding).toLowerCase().replace(/:\d{4}$|[^0-9a-z]/g, '')
    }
    iconv.getEncoder = function getEncoder(encoding, options) {
      let codec = iconv.getCodec(encoding),
        encoder = new codec.encoder(options, codec)
      if (codec.bomAware && options && options.addBOM) {
        encoder = new bomHandling.PrependBOM(encoder, options)
      }
      return encoder
    }
    iconv.getDecoder = function getDecoder(encoding, options) {
      let codec = iconv.getCodec(encoding),
        decoder = new codec.decoder(options, codec)
      if (codec.bomAware && !(options && options.stripBOM === false)) {
        decoder = new bomHandling.StripBOM(decoder, options)
      }
      return decoder
    }

    // Streaming API
    // NOTE: Streaming API naturally depends on 'stream' module from Node.js. Unfortunately in browser environments this module can add
    // up to 100Kb to the output bundle. To avoid unnecessary code bloat, we don't enable Streaming API in browser by default.
    // If you would like to enable it explicitly, please add the following code to your app:
    // > iconv.enableStreamingAPI(require('stream'));
    iconv.enableStreamingAPI = function enableStreamingAPI(stream_module) {
      if (iconv.supportsStreams) {
        return
      }

      // Dependency-inject stream module to create IconvLite stream classes.
      const streams = requireStreams()(stream_module)

      // Not public API yet, but expose the stream classes.
      iconv.IconvLiteEncoderStream = streams.IconvLiteEncoderStream
      iconv.IconvLiteDecoderStream = streams.IconvLiteDecoderStream

      // Streaming API.
      iconv.encodeStream = function encodeStream(encoding, options) {
        return new iconv.IconvLiteEncoderStream(
          iconv.getEncoder(encoding, options),
          options
        )
      }
      iconv.decodeStream = function decodeStream(encoding, options) {
        return new iconv.IconvLiteDecoderStream(
          iconv.getDecoder(encoding, options),
          options
        )
      }
      iconv.supportsStreams = true
    }

    // Enable Streaming API automatically if 'stream' module is available and non-empty (the majority of environments).
    let stream_module
    try {
      stream_module = require('stream')
    } catch (e) {}
    if (stream_module && stream_module.Transform) {
      iconv.enableStreamingAPI(stream_module)
    } else {
      // In rare cases where 'stream' module is not available by default, throw a helpful exception.
      iconv.encodeStream = iconv.decodeStream = function () {
        throw new Error(
          "iconv-lite Streaming API is not enabled. Use iconv.enableStreamingAPI(require('stream')); to enable it."
        )
      }
    }
  })(lib$9)
  return lib$9.exports
}

let hasRequiredEncoding$1
function requireEncoding$1() {
  if (hasRequiredEncoding$1) {
    return encoding$1
  }
  hasRequiredEncoding$1 = 1
  const iconvLite = requireLib$a()

  // Expose to the world
  encoding$1.convert = convert

  /**
   * Convert encoding of an UTF-8 string or a buffer
   *
   * @param {String|Buffer} str String to be converted
   * @param {String} to Encoding to be converted to
   * @param {String} [from='UTF-8'] Encoding to be converted from
   * @return {Buffer} Encoded string
   */
  function convert(str, to, from) {
    from = checkEncoding(from || 'UTF-8')
    to = checkEncoding(to || 'UTF-8')
    str = str || ''
    let result
    if (from !== 'UTF-8' && typeof str === 'string') {
      str = Buffer.from(str, 'binary')
    }
    if (from === to) {
      if (typeof str === 'string') {
        result = Buffer.from(str)
      } else {
        result = str
      }
    } else {
      try {
        result = convertIconvLite(str, to, from)
      } catch (E) {
        console.error(E)
        result = str
      }
    }
    if (typeof result === 'string') {
      result = Buffer.from(result, 'utf-8')
    }
    return result
  }

  /**
   * Convert encoding of astring with iconv-lite
   *
   * @param {String|Buffer} str String to be converted
   * @param {String} to Encoding to be converted to
   * @param {String} [from='UTF-8'] Encoding to be converted from
   * @return {Buffer} Encoded string
   */
  function convertIconvLite(str, to, from) {
    if (to === 'UTF-8') {
      return iconvLite.decode(str, from)
    } else if (from === 'UTF-8') {
      return iconvLite.encode(str, to)
    } else {
      return iconvLite.encode(iconvLite.decode(str, from), to)
    }
  }

  /**
   * Converts charset name if needed
   *
   * @param {String} name Character set
   * @return {String} Character set name
   */
  function checkEncoding(name) {
    return (name || '')
      .toString()
      .trim()
      .replace(/^latin[-_]?(\d+)$/i, 'ISO-8859-$1')
      .replace(/^win(?:dows)?[-_]?(\d+)$/i, 'WINDOWS-$1')
      .replace(/^utf[-_]?(\d+)$/i, 'UTF-$1')
      .replace(/^ks_c_5601-1987$/i, 'CP949')
      .replace(/^us[-_]?ascii$/i, 'ASCII')
      .toUpperCase()
  }
  return encoding$1
}

let body
let hasRequiredBody
function requireBody() {
  if (hasRequiredBody) {
    return body
  }
  hasRequiredBody = 1
  const { Minipass } = requireCommonjs$5()
  const MinipassSized = requireMinipassSized()
  const Blob = requireBlob()
  const { BUFFER } = Blob
  const FetchError = requireFetchError()

  // optional dependency on 'encoding'
  let convert
  try {
    convert = requireEncoding$1().convert
  } catch (e) {
    // defer error until textConverted is called
  }
  const INTERNALS = Symbol('Body internals')
  const CONSUME_BODY = Symbol('consumeBody')
  class Body {
    constructor(bodyArg, options = {}) {
      const { size = 0, timeout = 0 } = options
      const body =
        bodyArg === undefined || bodyArg === null
          ? null
          : isURLSearchParams(bodyArg)
            ? Buffer.from(bodyArg.toString())
            : isBlob(bodyArg)
              ? bodyArg
              : Buffer.isBuffer(bodyArg)
                ? bodyArg
                : Object.prototype.toString.call(bodyArg) ===
                    '[object ArrayBuffer]'
                  ? Buffer.from(bodyArg)
                  : ArrayBuffer.isView(bodyArg)
                    ? Buffer.from(
                        bodyArg.buffer,
                        bodyArg.byteOffset,
                        bodyArg.byteLength
                      )
                    : Minipass.isStream(bodyArg)
                      ? bodyArg
                      : Buffer.from(String(bodyArg))
      this[INTERNALS] = {
        body,
        disturbed: false,
        error: null
      }
      this.size = size
      this.timeout = timeout
      if (Minipass.isStream(body)) {
        body.on('error', er => {
          const error =
            er.name === 'AbortError'
              ? er
              : new FetchError(
                  `Invalid response while trying to fetch ${this.url}: ${er.message}`,
                  'system',
                  er
                )
          this[INTERNALS].error = error
        })
      }
    }
    get body() {
      return this[INTERNALS].body
    }
    get bodyUsed() {
      return this[INTERNALS].disturbed
    }
    arrayBuffer() {
      return this[CONSUME_BODY]().then(buf =>
        buf.buffer.slice(buf.byteOffset, buf.byteOffset + buf.byteLength)
      )
    }
    blob() {
      const ct = (this.headers && this.headers.get('content-type')) || ''
      return this[CONSUME_BODY]().then(buf =>
        Object.assign(
          new Blob([], {
            type: ct.toLowerCase()
          }),
          {
            [BUFFER]: buf
          }
        )
      )
    }
    async json() {
      const buf = await this[CONSUME_BODY]()
      try {
        return JSON.parse(buf.toString())
      } catch (er) {
        throw new FetchError(
          `invalid json response body at ${this.url} reason: ${er.message}`,
          'invalid-json'
        )
      }
    }
    text() {
      return this[CONSUME_BODY]().then(buf => buf.toString())
    }
    buffer() {
      return this[CONSUME_BODY]()
    }
    textConverted() {
      return this[CONSUME_BODY]().then(buf => convertBody(buf, this.headers))
    }
    [CONSUME_BODY]() {
      if (this[INTERNALS].disturbed) {
        return Promise.reject(
          new TypeError(`body used already for: ${this.url}`)
        )
      }
      this[INTERNALS].disturbed = true
      if (this[INTERNALS].error) {
        return Promise.reject(this[INTERNALS].error)
      }

      // body is null
      if (this.body === null) {
        return Promise.resolve(Buffer.alloc(0))
      }
      if (Buffer.isBuffer(this.body)) {
        return Promise.resolve(this.body)
      }
      const upstream = isBlob(this.body) ? this.body.stream() : this.body

      /* istanbul ignore if: should never happen */
      if (!Minipass.isStream(upstream)) {
        return Promise.resolve(Buffer.alloc(0))
      }
      const stream =
        this.size && upstream instanceof MinipassSized
          ? upstream
          : !this.size &&
              upstream instanceof Minipass &&
              !(upstream instanceof MinipassSized)
            ? upstream
            : this.size
              ? new MinipassSized({
                  size: this.size
                })
              : new Minipass()

      // allow timeout on slow response body, but only if the stream is still writable. this
      // makes the timeout center on the socket stream from lib/index.js rather than the
      // intermediary minipass stream we create to receive the data
      const resTimeout =
        this.timeout && stream.writable
          ? setTimeout(() => {
              stream.emit(
                'error',
                new FetchError(
                  `Response timeout while trying to fetch ${this.url} (over ${this.timeout}ms)`,
                  'body-timeout'
                )
              )
            }, this.timeout)
          : null

      // do not keep the process open just for this timeout, even
      // though we expect it'll get cleared eventually.
      if (resTimeout && resTimeout.unref) {
        resTimeout.unref()
      }

      // do the pipe in the promise, because the pipe() can send too much
      // data through right away and upset the MP Sized object
      return new Promise(resolve => {
        // if the stream is some other kind of stream, then pipe through a MP
        // so we can collect it more easily.
        if (stream !== upstream) {
          upstream.on('error', er => stream.emit('error', er))
          upstream.pipe(stream)
        }
        resolve()
      })
        .then(() => stream.concat())
        .then(buf => {
          clearTimeout(resTimeout)
          return buf
        })
        .catch(er => {
          clearTimeout(resTimeout)
          // request was aborted, reject with this Error
          if (er.name === 'AbortError' || er.name === 'FetchError') {
            throw er
          } else if (er.name === 'RangeError') {
            throw new FetchError(
              `Could not create Buffer from response body for ${this.url}: ${er.message}`,
              'system',
              er
            )
          } else {
            // other errors, such as incorrect content-encoding or content-length
            throw new FetchError(
              `Invalid response body while trying to fetch ${this.url}: ${er.message}`,
              'system',
              er
            )
          }
        })
    }
    static clone(instance) {
      if (instance.bodyUsed) {
        throw new Error('cannot clone body after it is used')
      }
      const body = instance.body

      // check that body is a stream and not form-data object
      // NB: can't clone the form-data object without having it as a dependency
      if (Minipass.isStream(body) && typeof body.getBoundary !== 'function') {
        // create a dedicated tee stream so that we don't lose data
        // potentially sitting in the body stream's buffer by writing it
        // immediately to p1 and not having it for p2.
        const tee = new Minipass()
        const p1 = new Minipass()
        const p2 = new Minipass()
        tee.on('error', er => {
          p1.emit('error', er)
          p2.emit('error', er)
        })
        body.on('error', er => tee.emit('error', er))
        tee.pipe(p1)
        tee.pipe(p2)
        body.pipe(tee)
        // set instance body to one fork, return the other
        instance[INTERNALS].body = p1
        return p2
      } else {
        return instance.body
      }
    }
    static extractContentType(body) {
      return body === null || body === undefined
        ? null
        : typeof body === 'string'
          ? 'text/plain;charset=UTF-8'
          : isURLSearchParams(body)
            ? 'application/x-www-form-urlencoded;charset=UTF-8'
            : isBlob(body)
              ? body.type || null
              : Buffer.isBuffer(body)
                ? null
                : Object.prototype.toString.call(body) ===
                    '[object ArrayBuffer]'
                  ? null
                  : ArrayBuffer.isView(body)
                    ? null
                    : typeof body.getBoundary === 'function'
                      ? `multipart/form-data;boundary=${body.getBoundary()}`
                      : Minipass.isStream(body)
                        ? null
                        : 'text/plain;charset=UTF-8'
    }
    static getTotalBytes(instance) {
      const { body } = instance
      return body === null || body === undefined
        ? 0
        : isBlob(body)
          ? body.size
          : Buffer.isBuffer(body)
            ? body.length
            : body &&
                typeof body.getLengthSync === 'function' &&
                // detect form data input from form-data module
                ((body._lengthRetrievers &&
                  /* istanbul ignore next */ body._lengthRetrievers.length ===
                    0) ||
                  // 1.x
                  (body.hasKnownLength && body.hasKnownLength())) // 2.x
              ? body.getLengthSync()
              : null
    }
    static writeToStream(dest, instance) {
      const { body } = instance
      if (body === null || body === undefined) {
        dest.end()
      } else if (Buffer.isBuffer(body) || typeof body === 'string') {
        dest.end(body)
      } else {
        // body is stream or blob
        const stream = isBlob(body) ? body.stream() : body
        stream.on('error', er => dest.emit('error', er)).pipe(dest)
      }
      return dest
    }
  }
  Object.defineProperties(Body.prototype, {
    body: {
      enumerable: true
    },
    bodyUsed: {
      enumerable: true
    },
    arrayBuffer: {
      enumerable: true
    },
    blob: {
      enumerable: true
    },
    json: {
      enumerable: true
    },
    text: {
      enumerable: true
    }
  })
  const isURLSearchParams = obj =>
    // Duck-typing as a necessary condition.
    typeof obj !== 'object' ||
    typeof obj.append !== 'function' ||
    typeof obj.delete !== 'function' ||
    typeof obj.get !== 'function' ||
    typeof obj.getAll !== 'function' ||
    typeof obj.has !== 'function' ||
    typeof obj.set !== 'function'
      ? false
      : // Brand-checking and more duck-typing as optional condition.
        obj.constructor.name === 'URLSearchParams' ||
        Object.prototype.toString.call(obj) === '[object URLSearchParams]' ||
        typeof obj.sort === 'function'
  const isBlob = obj =>
    typeof obj === 'object' &&
    typeof obj.arrayBuffer === 'function' &&
    typeof obj.type === 'string' &&
    typeof obj.stream === 'function' &&
    typeof obj.constructor === 'function' &&
    typeof obj.constructor.name === 'string' &&
    /^(Blob|File)$/.test(obj.constructor.name) &&
    /^(Blob|File)$/.test(obj[Symbol.toStringTag])
  const convertBody = (buffer, headers) => {
    /* istanbul ignore if */
    if (typeof convert !== 'function') {
      throw new Error(
        'The package `encoding` must be installed to use the textConverted() function'
      )
    }
    const ct = headers && headers.get('content-type')
    let charset = 'utf-8'
    let res

    // header
    if (ct) {
      res = /charset=([^;]*)/i.exec(ct)
    }

    // no charset in content type, peek at response body for at most 1024 bytes
    const str = buffer.slice(0, 1024).toString()

    // html5
    if (!res && str) {
      res = /<meta.+?charset=(['"])(.+?)\1/i.exec(str)
    }

    // html4
    if (!res && str) {
      res =
        /<meta[\s]+?http-equiv=(['"])content-type\1[\s]+?content=(['"])(.+?)\2/i.exec(
          str
        )
      if (!res) {
        res =
          /<meta[\s]+?content=(['"])(.+?)\1[\s]+?http-equiv=(['"])content-type\3/i.exec(
            str
          )
        if (res) {
          res.pop()
        } // drop last quote
      }
      if (res) {
        res = /charset=(.*)/i.exec(res.pop())
      }
    }

    // xml
    if (!res && str) {
      res = /<\?xml.+?encoding=(['"])(.+?)\1/i.exec(str)
    }

    // found charset
    if (res) {
      charset = res.pop()

      // prevent decode issues when sites use incorrect encoding
      // ref: https://hsivonen.fi/encoding-menu/
      if (charset === 'gb2312' || charset === 'gbk') {
        charset = 'gb18030'
      }
    }

    // turn raw buffers into a single utf-8 buffer
    return convert(buffer, 'UTF-8', charset).toString()
  }
  body = Body
  return body
}

let headers
let hasRequiredHeaders
function requireHeaders() {
  if (hasRequiredHeaders) {
    return headers
  }
  hasRequiredHeaders = 1
  const invalidTokenRegex = /[^^_`a-zA-Z\-0-9!#$%&'*+.|~]/
  const invalidHeaderCharRegex = /[^\t\x20-\x7e\x80-\xff]/
  const validateName = name => {
    name = `${name}`
    if (invalidTokenRegex.test(name) || name === '') {
      throw new TypeError(`${name} is not a legal HTTP header name`)
    }
  }
  const validateValue = value => {
    value = `${value}`
    if (invalidHeaderCharRegex.test(value)) {
      throw new TypeError(`${value} is not a legal HTTP header value`)
    }
  }
  const find = (map, name) => {
    name = name.toLowerCase()
    for (const key in map) {
      if (key.toLowerCase() === name) {
        return key
      }
    }
    return undefined
  }
  const MAP = Symbol('map')
  class Headers {
    constructor(init = undefined) {
      this[MAP] = Object.create(null)
      if (init instanceof Headers) {
        const rawHeaders = init.raw()
        const headerNames = Object.keys(rawHeaders)
        for (const headerName of headerNames) {
          for (const value of rawHeaders[headerName]) {
            this.append(headerName, value)
          }
        }
        return
      }

      // no-op
      if (init === undefined || init === null) {
        return
      }
      if (typeof init === 'object') {
        const method = init[Symbol.iterator]
        if (method !== null && method !== undefined) {
          if (typeof method !== 'function') {
            throw new TypeError('Header pairs must be iterable')
          }

          // sequence<sequence<ByteString>>
          // Note: per spec we have to first exhaust the lists then process them
          const pairs = []
          for (const pair of init) {
            if (
              typeof pair !== 'object' ||
              typeof pair[Symbol.iterator] !== 'function'
            ) {
              throw new TypeError('Each header pair must be iterable')
            }
            const arrPair = Array.from(pair)
            if (arrPair.length !== 2) {
              throw new TypeError('Each header pair must be a name/value tuple')
            }
            pairs.push(arrPair)
          }
          for (const pair of pairs) {
            this.append(pair[0], pair[1])
          }
        } else {
          // record<ByteString, ByteString>
          for (const key of Object.keys(init)) {
            this.append(key, init[key])
          }
        }
      } else {
        throw new TypeError('Provided initializer must be an object')
      }
    }
    get(name) {
      name = `${name}`
      validateName(name)
      const key = find(this[MAP], name)
      if (key === undefined) {
        return null
      }
      return this[MAP][key].join(', ')
    }
    forEach(callback, thisArg = undefined) {
      let pairs = getHeaders(this)
      for (let i = 0; i < pairs.length; i++) {
        const [name, value] = pairs[i]
        callback.call(thisArg, value, name, this)
        // refresh in case the callback added more headers
        pairs = getHeaders(this)
      }
    }
    set(name, value) {
      name = `${name}`
      value = `${value}`
      validateName(name)
      validateValue(value)
      const key = find(this[MAP], name)
      this[MAP][key !== undefined ? key : name] = [value]
    }
    append(name, value) {
      name = `${name}`
      value = `${value}`
      validateName(name)
      validateValue(value)
      const key = find(this[MAP], name)
      if (key !== undefined) {
        this[MAP][key].push(value)
      } else {
        this[MAP][name] = [value]
      }
    }
    has(name) {
      name = `${name}`
      validateName(name)
      return find(this[MAP], name) !== undefined
    }
    delete(name) {
      name = `${name}`
      validateName(name)
      const key = find(this[MAP], name)
      if (key !== undefined) {
        delete this[MAP][key]
      }
    }
    raw() {
      return this[MAP]
    }
    keys() {
      return new HeadersIterator(this, 'key')
    }
    values() {
      return new HeadersIterator(this, 'value')
    }
    [Symbol.iterator]() {
      return new HeadersIterator(this, 'key+value')
    }
    entries() {
      return new HeadersIterator(this, 'key+value')
    }
    get [Symbol.toStringTag]() {
      return 'Headers'
    }
    static exportNodeCompatibleHeaders(headers) {
      const obj = Object.assign(Object.create(null), headers[MAP])

      // http.request() only supports string as Host header. This hack makes
      // specifying custom Host header possible.
      const hostHeaderKey = find(headers[MAP], 'Host')
      if (hostHeaderKey !== undefined) {
        obj[hostHeaderKey] = obj[hostHeaderKey][0]
      }
      return obj
    }
    static createHeadersLenient(obj) {
      const headers = new Headers()
      for (const name of Object.keys(obj)) {
        if (invalidTokenRegex.test(name)) {
          continue
        }
        if (Array.isArray(obj[name])) {
          for (const val of obj[name]) {
            if (invalidHeaderCharRegex.test(val)) {
              continue
            }
            if (headers[MAP][name] === undefined) {
              headers[MAP][name] = [val]
            } else {
              headers[MAP][name].push(val)
            }
          }
        } else if (!invalidHeaderCharRegex.test(obj[name])) {
          headers[MAP][name] = [obj[name]]
        }
      }
      return headers
    }
  }
  Object.defineProperties(Headers.prototype, {
    get: {
      enumerable: true
    },
    forEach: {
      enumerable: true
    },
    set: {
      enumerable: true
    },
    append: {
      enumerable: true
    },
    has: {
      enumerable: true
    },
    delete: {
      enumerable: true
    },
    keys: {
      enumerable: true
    },
    values: {
      enumerable: true
    },
    entries: {
      enumerable: true
    }
  })
  const getHeaders = (headers, kind = 'key+value') =>
    Object.keys(headers[MAP])
      .sort()
      .map(
        kind === 'key'
          ? k => k.toLowerCase()
          : kind === 'value'
            ? k => headers[MAP][k].join(', ')
            : k => [k.toLowerCase(), headers[MAP][k].join(', ')]
      )
  const INTERNAL = Symbol('internal')
  class HeadersIterator {
    constructor(target, kind) {
      this[INTERNAL] = {
        target,
        kind,
        index: 0
      }
    }
    get [Symbol.toStringTag]() {
      return 'HeadersIterator'
    }
    next() {
      /* istanbul ignore if: should be impossible */
      if (!this || Object.getPrototypeOf(this) !== HeadersIterator.prototype) {
        throw new TypeError('Value of `this` is not a HeadersIterator')
      }
      const { target, kind, index } = this[INTERNAL]
      const values = getHeaders(target, kind)
      const len = values.length
      if (index >= len) {
        return {
          value: undefined,
          done: true
        }
      }
      this[INTERNAL].index++
      return {
        value: values[index],
        done: false
      }
    }
  }

  // manually extend because 'extends' requires a ctor
  Object.setPrototypeOf(
    HeadersIterator.prototype,
    Object.getPrototypeOf(Object.getPrototypeOf([][Symbol.iterator]()))
  )
  headers = Headers
  return headers
}

let response
let hasRequiredResponse
function requireResponse() {
  if (hasRequiredResponse) {
    return response
  }
  hasRequiredResponse = 1
  const http = require$$0$6
  const { STATUS_CODES } = http
  const Headers = requireHeaders()
  const Body = requireBody()
  const { clone, extractContentType } = Body
  const INTERNALS = Symbol('Response internals')
  class Response extends Body {
    constructor(body = null, opts = {}) {
      super(body, opts)
      const status = opts.status || 200
      const headers = new Headers(opts.headers)
      if (body !== null && body !== undefined && !headers.has('Content-Type')) {
        const contentType = extractContentType(body)
        if (contentType) {
          headers.append('Content-Type', contentType)
        }
      }
      this[INTERNALS] = {
        url: opts.url,
        status,
        statusText: opts.statusText || STATUS_CODES[status],
        headers,
        counter: opts.counter,
        trailer: Promise.resolve(opts.trailer || new Headers())
      }
    }
    get trailer() {
      return this[INTERNALS].trailer
    }
    get url() {
      return this[INTERNALS].url || ''
    }
    get status() {
      return this[INTERNALS].status
    }
    get ok() {
      return this[INTERNALS].status >= 200 && this[INTERNALS].status < 300
    }
    get redirected() {
      return this[INTERNALS].counter > 0
    }
    get statusText() {
      return this[INTERNALS].statusText
    }
    get headers() {
      return this[INTERNALS].headers
    }
    clone() {
      return new Response(clone(this), {
        url: this.url,
        status: this.status,
        statusText: this.statusText,
        headers: this.headers,
        ok: this.ok,
        redirected: this.redirected,
        trailer: this.trailer
      })
    }
    get [Symbol.toStringTag]() {
      return 'Response'
    }
  }
  response = Response
  Object.defineProperties(Response.prototype, {
    url: {
      enumerable: true
    },
    status: {
      enumerable: true
    },
    ok: {
      enumerable: true
    },
    redirected: {
      enumerable: true
    },
    statusText: {
      enumerable: true
    },
    headers: {
      enumerable: true
    },
    clone: {
      enumerable: true
    }
  })
  return response
}

const version$1 = '4.0.1'
const require$$4 = {
  version: version$1
}

let request
let hasRequiredRequest
function requireRequest() {
  if (hasRequiredRequest) {
    return request
  }
  hasRequiredRequest = 1
  const { URL } = require$$0$7
  const { Minipass } = requireCommonjs$5()
  const Headers = requireHeaders()
  const { exportNodeCompatibleHeaders } = Headers
  const Body = requireBody()
  const { clone, extractContentType, getTotalBytes } = Body
  const version = require$$4.version
  const defaultUserAgent = `minipass-fetch/${version} (+https://github.com/isaacs/minipass-fetch)`
  const INTERNALS = Symbol('Request internals')
  const isRequest = input =>
    typeof input === 'object' && typeof input[INTERNALS] === 'object'
  const isAbortSignal = signal => {
    const proto =
      signal && typeof signal === 'object' && Object.getPrototypeOf(signal)
    return !!(proto && proto.constructor.name === 'AbortSignal')
  }
  class Request extends Body {
    constructor(input, init = {}) {
      const parsedURL = isRequest(input)
        ? new URL(input.url)
        : input && input.href
          ? new URL(input.href)
          : new URL(`${input}`)
      if (isRequest(input)) {
        init = {
          ...input[INTERNALS],
          ...init
        }
      } else if (!input || typeof input === 'string') {
        input = {}
      }
      const method = (init.method || input.method || 'GET').toUpperCase()
      const isGETHEAD = method === 'GET' || method === 'HEAD'
      if (
        ((init.body !== null && init.body !== undefined) ||
          (isRequest(input) && input.body !== null)) &&
        isGETHEAD
      ) {
        throw new TypeError('Request with GET/HEAD method cannot have body')
      }
      const inputBody =
        init.body !== null && init.body !== undefined
          ? init.body
          : isRequest(input) && input.body !== null
            ? clone(input)
            : null
      super(inputBody, {
        timeout: init.timeout || input.timeout || 0,
        size: init.size || input.size || 0
      })
      const headers = new Headers(init.headers || input.headers || {})
      if (
        inputBody !== null &&
        inputBody !== undefined &&
        !headers.has('Content-Type')
      ) {
        const contentType = extractContentType(inputBody)
        if (contentType) {
          headers.append('Content-Type', contentType)
        }
      }
      const signal = 'signal' in init ? init.signal : null
      if (signal !== null && signal !== undefined && !isAbortSignal(signal)) {
        throw new TypeError('Expected signal must be an instanceof AbortSignal')
      }

      // TLS specific options that are handled by node
      const {
        ca,
        cert,
        ciphers,
        clientCertEngine,
        crl,
        dhparam,
        ecdhCurve,
        family,
        honorCipherOrder,
        key,
        passphrase,
        pfx,
        rejectUnauthorized = process.env.NODE_TLS_REJECT_UNAUTHORIZED !== '0',
        secureOptions,
        secureProtocol,
        servername,
        sessionIdContext
      } = init
      this[INTERNALS] = {
        method,
        redirect: init.redirect || input.redirect || 'follow',
        headers,
        parsedURL,
        signal,
        ca,
        cert,
        ciphers,
        clientCertEngine,
        crl,
        dhparam,
        ecdhCurve,
        family,
        honorCipherOrder,
        key,
        passphrase,
        pfx,
        rejectUnauthorized,
        secureOptions,
        secureProtocol,
        servername,
        sessionIdContext
      }

      // node-fetch-only options
      this.follow =
        init.follow !== undefined
          ? init.follow
          : input.follow !== undefined
            ? input.follow
            : 20
      this.compress =
        init.compress !== undefined
          ? init.compress
          : input.compress !== undefined
            ? input.compress
            : true
      this.counter = init.counter || input.counter || 0
      this.agent = init.agent || input.agent
    }
    get method() {
      return this[INTERNALS].method
    }
    get url() {
      return this[INTERNALS].parsedURL.toString()
    }
    get headers() {
      return this[INTERNALS].headers
    }
    get redirect() {
      return this[INTERNALS].redirect
    }
    get signal() {
      return this[INTERNALS].signal
    }
    clone() {
      return new Request(this)
    }
    get [Symbol.toStringTag]() {
      return 'Request'
    }
    static getNodeRequestOptions(request) {
      const parsedURL = request[INTERNALS].parsedURL
      const headers = new Headers(request[INTERNALS].headers)

      // fetch step 1.3
      if (!headers.has('Accept')) {
        headers.set('Accept', '*/*')
      }

      // Basic fetch
      if (!/^https?:$/.test(parsedURL.protocol)) {
        throw new TypeError('Only HTTP(S) protocols are supported')
      }
      if (
        request.signal &&
        Minipass.isStream(request.body) &&
        typeof request.body.destroy !== 'function'
      ) {
        throw new Error(
          'Cancellation of streamed requests with AbortSignal is not supported'
        )
      }

      // HTTP-network-or-cache fetch steps 2.4-2.7
      const contentLengthValue =
        (request.body === null || request.body === undefined) &&
        /^(POST|PUT)$/i.test(request.method)
          ? '0'
          : request.body !== null && request.body !== undefined
            ? getTotalBytes(request)
            : null
      if (contentLengthValue) {
        headers.set('Content-Length', contentLengthValue + '')
      }

      // HTTP-network-or-cache fetch step 2.11
      if (!headers.has('User-Agent')) {
        headers.set('User-Agent', defaultUserAgent)
      }

      // HTTP-network-or-cache fetch step 2.15
      if (request.compress && !headers.has('Accept-Encoding')) {
        headers.set('Accept-Encoding', 'gzip,deflate')
      }
      const agent =
        typeof request.agent === 'function'
          ? request.agent(parsedURL)
          : request.agent
      if (!headers.has('Connection') && !agent) {
        headers.set('Connection', 'close')
      }

      // TLS specific options that are handled by node
      const {
        ca,
        cert,
        ciphers,
        clientCertEngine,
        crl,
        dhparam,
        ecdhCurve,
        family,
        honorCipherOrder,
        key,
        passphrase,
        pfx,
        rejectUnauthorized,
        secureOptions,
        secureProtocol,
        servername,
        sessionIdContext
      } = request[INTERNALS]

      // HTTP-network fetch step 4.2
      // chunked encoding is handled by Node.js

      // we cannot spread parsedURL directly, so we have to read each property one-by-one
      // and map them to the equivalent https?.request() method options
      const urlProps = {
        auth:
          parsedURL.username || parsedURL.password
            ? `${parsedURL.username}:${parsedURL.password}`
            : '',
        host: parsedURL.host,
        hostname: parsedURL.hostname,
        path: `${parsedURL.pathname}${parsedURL.search}`,
        port: parsedURL.port,
        protocol: parsedURL.protocol
      }
      return {
        ...urlProps,
        method: request.method,
        headers: exportNodeCompatibleHeaders(headers),
        agent,
        ca,
        cert,
        ciphers,
        clientCertEngine,
        crl,
        dhparam,
        ecdhCurve,
        family,
        honorCipherOrder,
        key,
        passphrase,
        pfx,
        rejectUnauthorized,
        secureOptions,
        secureProtocol,
        servername,
        sessionIdContext,
        timeout: request.timeout
      }
    }
  }
  request = Request
  Object.defineProperties(Request.prototype, {
    method: {
      enumerable: true
    },
    url: {
      enumerable: true
    },
    headers: {
      enumerable: true
    },
    redirect: {
      enumerable: true
    },
    clone: {
      enumerable: true
    },
    signal: {
      enumerable: true
    }
  })
  return request
}

let abortError
let hasRequiredAbortError
function requireAbortError() {
  if (hasRequiredAbortError) {
    return abortError
  }
  hasRequiredAbortError = 1
  class AbortError extends Error {
    constructor(message) {
      super(message)
      this.code = 'FETCH_ABORTED'
      this.type = 'aborted'
      Error.captureStackTrace(this, this.constructor)
    }
    get name() {
      return 'AbortError'
    }

    // don't allow name to be overridden, but don't throw either
    set name(s) {}
  }
  abortError = AbortError
  return abortError
}

let lib$8
let hasRequiredLib$9
function requireLib$9() {
  if (hasRequiredLib$9) {
    return lib$8
  }
  hasRequiredLib$9 = 1
  const { URL } = require$$0$7
  const http = require$$0$6
  const https = require$$2$3
  const zlib = requireCommonjs$4()
  const { Minipass } = requireCommonjs$5()
  const Body = requireBody()
  const { writeToStream, getTotalBytes } = Body
  const Response = requireResponse()
  const Headers = requireHeaders()
  const { createHeadersLenient } = Headers
  const Request = requireRequest()
  const { getNodeRequestOptions } = Request
  const FetchError = requireFetchError()
  const AbortError = requireAbortError()

  // XXX this should really be split up and unit-ized for easier testing
  // and better DRY implementation of data/http request aborting
  const fetch = async (url, opts) => {
    if (/^data:/.test(url)) {
      const request = new Request(url, opts)
      // delay 1 promise tick so that the consumer can abort right away
      return Promise.resolve().then(
        () =>
          new Promise((resolve, reject) => {
            let type, data
            try {
              const { pathname, search } = new URL(url)
              const split = pathname.split(',')
              if (split.length < 2) {
                throw new Error('invalid data: URI')
              }
              const mime = split.shift()
              const base64 = /;base64$/.test(mime)
              type = base64 ? mime.slice(0, -1 * ';base64'.length) : mime
              const rawData = decodeURIComponent(split.join(',') + search)
              data = base64
                ? Buffer.from(rawData, 'base64')
                : Buffer.from(rawData)
            } catch (er) {
              return reject(
                new FetchError(
                  `[${request.method}] ${request.url} invalid URL, ${er.message}`,
                  'system',
                  er
                )
              )
            }
            const { signal } = request
            if (signal && signal.aborted) {
              return reject(new AbortError('The user aborted a request.'))
            }
            const headers = {
              'Content-Length': data.length
            }
            if (type) {
              headers['Content-Type'] = type
            }
            return resolve(
              new Response(data, {
                headers
              })
            )
          })
      )
    }
    return new Promise((resolve, reject) => {
      // build request object
      const request = new Request(url, opts)
      let options
      try {
        options = getNodeRequestOptions(request)
      } catch (er) {
        return reject(er)
      }
      const send = (options.protocol === 'https:' ? https : http).request
      const { signal } = request
      let response = null
      const abort = () => {
        const error = new AbortError('The user aborted a request.')
        reject(error)
        if (
          Minipass.isStream(request.body) &&
          typeof request.body.destroy === 'function'
        ) {
          request.body.destroy(error)
        }
        if (response && response.body) {
          response.body.emit('error', error)
        }
      }
      if (signal && signal.aborted) {
        return abort()
      }
      const abortAndFinalize = () => {
        abort()
        finalize()
      }
      const finalize = () => {
        req.abort()
        if (signal) {
          signal.removeEventListener('abort', abortAndFinalize)
        }
        clearTimeout(reqTimeout)
      }

      // send request
      const req = send(options)
      if (signal) {
        signal.addEventListener('abort', abortAndFinalize)
      }
      let reqTimeout = null
      if (request.timeout) {
        req.once('socket', () => {
          reqTimeout = setTimeout(() => {
            reject(
              new FetchError(
                `network timeout at: ${request.url}`,
                'request-timeout'
              )
            )
            finalize()
          }, request.timeout)
        })
      }
      req.on('error', er => {
        // if a 'response' event is emitted before the 'error' event, then by the
        // time this handler is run it's too late to reject the Promise for the
        // response. instead, we forward the error event to the response stream
        // so that the error will surface to the user when they try to consume
        // the body. this is done as a side effect of aborting the request except
        // for in windows, where we must forward the event manually, otherwise
        // there is no longer a ref'd socket attached to the request and the
        // stream never ends so the event loop runs out of work and the process
        // exits without warning.
        // coverage skipped here due to the difficulty in testing
        // istanbul ignore next
        if (req.res) {
          req.res.emit('error', er)
        }
        reject(
          new FetchError(
            `request to ${request.url} failed, reason: ${er.message}`,
            'system',
            er
          )
        )
        finalize()
      })
      req.on('response', res => {
        clearTimeout(reqTimeout)
        const headers = createHeadersLenient(res.headers)

        // HTTP fetch step 5
        if (fetch.isRedirect(res.statusCode)) {
          // HTTP fetch step 5.2
          const location = headers.get('Location')

          // HTTP fetch step 5.3
          let locationURL = null
          try {
            locationURL =
              location === null
                ? null
                : new URL(location, request.url).toString()
          } catch {
            // error here can only be invalid URL in Location: header
            // do not throw when options.redirect == manual
            // let the user extract the errorneous redirect URL
            if (request.redirect !== 'manual') {
              /* eslint-disable-next-line max-len */
              reject(
                new FetchError(
                  `uri requested responds with an invalid redirect URL: ${location}`,
                  'invalid-redirect'
                )
              )
              finalize()
              return
            }
          }

          // HTTP fetch step 5.5
          if (request.redirect === 'error') {
            reject(
              new FetchError(
                'uri requested responds with a redirect, ' +
                  `redirect mode is set to error: ${request.url}`,
                'no-redirect'
              )
            )
            finalize()
            return
          } else if (request.redirect === 'manual') {
            // node-fetch-specific step: make manual redirect a bit easier to
            // use by setting the Location header value to the resolved URL.
            if (locationURL !== null) {
              // handle corrupted header
              try {
                headers.set('Location', locationURL)
              } catch (err) {
                /* istanbul ignore next: nodejs server prevent invalid
                   response headers, we can't test this through normal
                   request */
                reject(err)
              }
            }
          } else if (request.redirect === 'follow' && locationURL !== null) {
            // HTTP-redirect fetch step 5
            if (request.counter >= request.follow) {
              reject(
                new FetchError(
                  `maximum redirect reached at: ${request.url}`,
                  'max-redirect'
                )
              )
              finalize()
              return
            }

            // HTTP-redirect fetch step 9
            if (
              res.statusCode !== 303 &&
              request.body &&
              getTotalBytes(request) === null
            ) {
              reject(
                new FetchError(
                  'Cannot follow redirect with body being a readable stream',
                  'unsupported-redirect'
                )
              )
              finalize()
              return
            }

            // Update host due to redirection
            request.headers.set('host', new URL(locationURL).host)

            // HTTP-redirect fetch step 6 (counter increment)
            // Create a new Request object.
            const requestOpts = {
              headers: new Headers(request.headers),
              follow: request.follow,
              counter: request.counter + 1,
              agent: request.agent,
              compress: request.compress,
              method: request.method,
              body: request.body,
              signal: request.signal,
              timeout: request.timeout
            }

            // if the redirect is to a new hostname, strip the authorization and cookie headers
            const parsedOriginal = new URL(request.url)
            const parsedRedirect = new URL(locationURL)
            if (parsedOriginal.hostname !== parsedRedirect.hostname) {
              requestOpts.headers.delete('authorization')
              requestOpts.headers.delete('cookie')
            }

            // HTTP-redirect fetch step 11
            if (
              res.statusCode === 303 ||
              ((res.statusCode === 301 || res.statusCode === 302) &&
                request.method === 'POST')
            ) {
              requestOpts.method = 'GET'
              requestOpts.body = undefined
              requestOpts.headers.delete('content-length')
            }

            // HTTP-redirect fetch step 15
            resolve(fetch(new Request(locationURL, requestOpts)))
            finalize()
            return
          }
        } // end if(isRedirect)

        // prepare response
        res.once(
          'end',
          () => signal && signal.removeEventListener('abort', abortAndFinalize)
        )
        const body = new Minipass()
        // if an error occurs, either on the response stream itself, on one of the
        // decoder streams, or a response length timeout from the Body class, we
        // forward the error through to our internal body stream. If we see an
        // error event on that, we call finalize to abort the request and ensure
        // we don't leave a socket believing a request is in flight.
        // this is difficult to test, so lacks specific coverage.
        body.on('error', finalize)
        // exceedingly rare that the stream would have an error,
        // but just in case we proxy it to the stream in use.
        res.on('error', /* istanbul ignore next */ er => body.emit('error', er))
        res.on('data', chunk => body.write(chunk))
        res.on('end', () => body.end())
        const responseOptions = {
          url: request.url,
          status: res.statusCode,
          statusText: res.statusMessage,
          headers: headers,
          size: request.size,
          timeout: request.timeout,
          counter: request.counter,
          trailer: new Promise(resolveTrailer =>
            res.on('end', () =>
              resolveTrailer(createHeadersLenient(res.trailers))
            )
          )
        }

        // HTTP-network fetch step 12.1.1.3
        const codings = headers.get('Content-Encoding')

        // HTTP-network fetch step 12.1.1.4: handle content codings

        // in following scenarios we ignore compression support
        // 1. compression support is disabled
        // 2. HEAD request
        // 3. no Content-Encoding header
        // 4. no content response (204)
        // 5. content not modified response (304)
        if (
          !request.compress ||
          request.method === 'HEAD' ||
          codings === null ||
          res.statusCode === 204 ||
          res.statusCode === 304
        ) {
          response = new Response(body, responseOptions)
          resolve(response)
          return
        }

        // Be less strict when decoding compressed responses, since sometimes
        // servers send slightly invalid responses that are still accepted
        // by common browsers.
        // Always using Z_SYNC_FLUSH is what cURL does.
        const zlibOptions = {
          flush: zlib.constants.Z_SYNC_FLUSH,
          finishFlush: zlib.constants.Z_SYNC_FLUSH
        }

        // for gzip
        if (codings === 'gzip' || codings === 'x-gzip') {
          const unzip = new zlib.Gunzip(zlibOptions)
          response = new Response(
            // exceedingly rare that the stream would have an error,
            // but just in case we proxy it to the stream in use.
            body
              .on(
                'error',
                /* istanbul ignore next */ er => unzip.emit('error', er)
              )
              .pipe(unzip),
            responseOptions
          )
          resolve(response)
          return
        }

        // for deflate
        if (codings === 'deflate' || codings === 'x-deflate') {
          // handle the infamous raw deflate response from old servers
          // a hack for old IIS and Apache servers
          res.once('data', chunk => {
            // see http://stackoverflow.com/questions/37519828
            const decoder =
              (chunk[0] & 0x0f) === 0x08
                ? new zlib.Inflate()
                : new zlib.InflateRaw()
            // exceedingly rare that the stream would have an error,
            // but just in case we proxy it to the stream in use.
            body
              .on(
                'error',
                /* istanbul ignore next */ er => decoder.emit('error', er)
              )
              .pipe(decoder)
            response = new Response(decoder, responseOptions)
            resolve(response)
          })
          return
        }

        // for br
        if (codings === 'br') {
          // ignoring coverage so tests don't have to fake support (or lack of) for brotli
          // istanbul ignore next
          try {
            const decoder = new zlib.BrotliDecompress()
          } catch (err) {
            reject(err)
            finalize()
            return
          }
          // exceedingly rare that the stream would have an error,
          // but just in case we proxy it to the stream in use.
          body
            .on(
              'error',
              /* istanbul ignore next */ er => decoder.emit('error', er)
            )
            .pipe(decoder)
          response = new Response(decoder, responseOptions)
          resolve(response)
          return
        }

        // otherwise, use response as-is
        response = new Response(body, responseOptions)
        resolve(response)
      })
      writeToStream(req, request)
    })
  }
  lib$8 = fetch
  fetch.isRedirect = code =>
    code === 301 || code === 302 || code === 303 || code === 307 || code === 308
  fetch.Headers = Headers
  fetch.Request = Request
  fetch.Response = Response
  fetch.FetchError = FetchError
  fetch.AbortError = AbortError
  return lib$8
}

let options$1
let hasRequiredOptions$1
function requireOptions$1() {
  if (hasRequiredOptions$1) {
    return options$1
  }
  hasRequiredOptions$1 = 1
  const dns = require$$0$8
  const conditionalHeaders = new Set([
    'if-modified-since',
    'if-none-match',
    'if-unmodified-since',
    'if-match',
    'if-range'
  ])
  const configureOptions = opts => {
    const { strictSSL, ...options } = {
      ...opts
    }
    options.method = options.method ? options.method.toUpperCase() : 'GET'
    if (strictSSL === undefined || strictSSL === null) {
      options.rejectUnauthorized =
        process.env.NODE_TLS_REJECT_UNAUTHORIZED !== '0'
    } else {
      options.rejectUnauthorized = strictSSL !== false
    }
    if (!options.retry) {
      options.retry = {
        retries: 0
      }
    } else if (typeof options.retry === 'string') {
      const retries = parseInt(options.retry, 10)
      if (isFinite(retries)) {
        options.retry = {
          retries
        }
      } else {
        options.retry = {
          retries: 0
        }
      }
    } else if (typeof options.retry === 'number') {
      options.retry = {
        retries: options.retry
      }
    } else {
      options.retry = {
        retries: 0,
        ...options.retry
      }
    }
    options.dns = {
      ttl: 5 * 60 * 1000,
      lookup: dns.lookup,
      ...options.dns
    }
    options.cache = options.cache || 'default'
    if (options.cache === 'default') {
      const hasConditionalHeader = Object.keys(options.headers || {}).some(
        name => {
          return conditionalHeaders.has(name.toLowerCase())
        }
      )
      if (hasConditionalHeader) {
        options.cache = 'no-store'
      }
    }
    options.cacheAdditionalHeaders = options.cacheAdditionalHeaders || []

    // cacheManager is deprecated, but if it's set and
    // cachePath is not we should copy it to the new field
    if (options.cacheManager && !options.cachePath) {
      options.cachePath = options.cacheManager
    }
    return options
  }
  options$1 = configureOptions
  return options$1
}

let httpCacheSemantics
let hasRequiredHttpCacheSemantics
function requireHttpCacheSemantics() {
  if (hasRequiredHttpCacheSemantics) {
    return httpCacheSemantics
  }
  hasRequiredHttpCacheSemantics = 1
  // rfc7231 6.1
  const statusCodeCacheableByDefault = new Set([
    200, 203, 204, 206, 300, 301, 308, 404, 405, 410, 414, 501
  ])

  // This implementation does not understand partial responses (206)
  const understoodStatuses = new Set([
    200, 203, 204, 300, 301, 302, 303, 307, 308, 404, 405, 410, 414, 501
  ])
  const errorStatusCodes = new Set([500, 502, 503, 504])
  const hopByHopHeaders = {
    date: true,
    // included, because we add Age update Date
    connection: true,
    'keep-alive': true,
    'proxy-authenticate': true,
    'proxy-authorization': true,
    te: true,
    trailer: true,
    'transfer-encoding': true,
    upgrade: true
  }
  const excludedFromRevalidationUpdate = {
    // Since the old body is reused, it doesn't make sense to change properties of the body
    'content-length': true,
    'content-encoding': true,
    'transfer-encoding': true,
    'content-range': true
  }
  function toNumberOrZero(s) {
    const n = parseInt(s, 10)
    return isFinite(n) ? n : 0
  }

  // RFC 5861
  function isErrorResponse(response) {
    // consider undefined response as faulty
    if (!response) {
      return true
    }
    return errorStatusCodes.has(response.status)
  }
  function parseCacheControl(header) {
    const cc = {}
    if (!header) {
      return cc
    }

    // TODO: When there is more than one value present for a given directive (e.g., two Expires header fields, multiple Cache-Control: max-age directives),
    // the directive's value is considered invalid. Caches are encouraged to consider responses that have invalid freshness information to be stale
    const parts = header.trim().split(/,/)
    for (const part of parts) {
      const [k, v] = part.split(/=/, 2)
      cc[k.trim()] = v === undefined ? true : v.trim().replace(/^"|"$/g, '')
    }
    return cc
  }
  function formatCacheControl(cc) {
    let parts = []
    for (const k in cc) {
      const v = cc[k]
      parts.push(v === true ? k : k + '=' + v)
    }
    if (!parts.length) {
      return undefined
    }
    return parts.join(', ')
  }
  httpCacheSemantics = class CachePolicy {
    constructor(
      req,
      res,
      {
        shared,
        cacheHeuristic,
        immutableMinTimeToLive,
        ignoreCargoCult,
        _fromObject
      } = {}
    ) {
      if (_fromObject) {
        this._fromObject(_fromObject)
        return
      }
      if (!res || !res.headers) {
        throw Error('Response headers missing')
      }
      this._assertRequestHasHeaders(req)
      this._responseTime = this.now()
      this._isShared = shared !== false
      this._cacheHeuristic = undefined !== cacheHeuristic ? cacheHeuristic : 0.1 // 10% matches IE
      this._immutableMinTtl =
        undefined !== immutableMinTimeToLive
          ? immutableMinTimeToLive
          : 24 * 3600 * 1000
      this._status = 'status' in res ? res.status : 200
      this._resHeaders = res.headers
      this._rescc = parseCacheControl(res.headers['cache-control'])
      this._method = 'method' in req ? req.method : 'GET'
      this._url = req.url
      this._host = req.headers.host
      this._noAuthorization = !req.headers.authorization
      this._reqHeaders = res.headers.vary ? req.headers : null // Don't keep all request headers if they won't be used
      this._reqcc = parseCacheControl(req.headers['cache-control'])

      // Assume that if someone uses legacy, non-standard uncecessary options they don't understand caching,
      // so there's no point stricly adhering to the blindly copy&pasted directives.
      if (
        ignoreCargoCult &&
        'pre-check' in this._rescc &&
        'post-check' in this._rescc
      ) {
        delete this._rescc['pre-check']
        delete this._rescc['post-check']
        delete this._rescc['no-cache']
        delete this._rescc['no-store']
        delete this._rescc['must-revalidate']
        this._resHeaders = Object.assign({}, this._resHeaders, {
          'cache-control': formatCacheControl(this._rescc)
        })
        delete this._resHeaders.expires
        delete this._resHeaders.pragma
      }

      // When the Cache-Control header field is not present in a request, caches MUST consider the no-cache request pragma-directive
      // as having the same effect as if "Cache-Control: no-cache" were present (see Section 5.2.1).
      if (
        res.headers['cache-control'] == null &&
        /no-cache/.test(res.headers.pragma)
      ) {
        this._rescc['no-cache'] = true
      }
    }
    now() {
      return Date.now()
    }
    storable() {
      // The "no-store" request directive indicates that a cache MUST NOT store any part of either this request or any response to it.
      return !!(
        !this._reqcc['no-store'] &&
        // A cache MUST NOT store a response to any request, unless:
        // The request method is understood by the cache and defined as being cacheable, and
        ('GET' === this._method ||
          'HEAD' === this._method ||
          ('POST' === this._method && this._hasExplicitExpiration())) &&
        // the response status code is understood by the cache, and
        understoodStatuses.has(this._status) &&
        // the "no-store" cache directive does not appear in request or response header fields, and
        !this._rescc['no-store'] &&
        // the "private" response directive does not appear in the response, if the cache is shared, and
        (!this._isShared || !this._rescc.private) &&
        // the Authorization header field does not appear in the request, if the cache is shared,
        (!this._isShared ||
          this._noAuthorization ||
          this._allowsStoringAuthenticated()) &&
        // the response either:
        // contains an Expires header field, or
        (this._resHeaders.expires ||
          // contains a max-age response directive, or
          // contains a s-maxage response directive and the cache is shared, or
          // contains a public response directive.
          this._rescc['max-age'] ||
          (this._isShared && this._rescc['s-maxage']) ||
          this._rescc.public ||
          // has a status code that is defined as cacheable by default
          statusCodeCacheableByDefault.has(this._status))
      )
    }
    _hasExplicitExpiration() {
      // 4.2.1 Calculating Freshness Lifetime
      return (
        (this._isShared && this._rescc['s-maxage']) ||
        this._rescc['max-age'] ||
        this._resHeaders.expires
      )
    }
    _assertRequestHasHeaders(req) {
      if (!req || !req.headers) {
        throw Error('Request headers missing')
      }
    }
    satisfiesWithoutRevalidation(req) {
      this._assertRequestHasHeaders(req)

      // When presented with a request, a cache MUST NOT reuse a stored response, unless:
      // the presented request does not contain the no-cache pragma (Section 5.4), nor the no-cache cache directive,
      // unless the stored response is successfully validated (Section 4.3), and
      const requestCC = parseCacheControl(req.headers['cache-control'])
      if (requestCC['no-cache'] || /no-cache/.test(req.headers.pragma)) {
        return false
      }
      if (requestCC['max-age'] && this.age() > requestCC['max-age']) {
        return false
      }
      if (
        requestCC['min-fresh'] &&
        this.timeToLive() < 1000 * requestCC['min-fresh']
      ) {
        return false
      }

      // the stored response is either:
      // fresh, or allowed to be served stale
      if (this.stale()) {
        const allowsStale =
          requestCC['max-stale'] &&
          !this._rescc['must-revalidate'] &&
          (true === requestCC['max-stale'] ||
            requestCC['max-stale'] > this.age() - this.maxAge())
        if (!allowsStale) {
          return false
        }
      }
      return this._requestMatches(req, false)
    }
    _requestMatches(req, allowHeadMethod) {
      // The presented effective request URI and that of the stored response match, and
      return (
        (!this._url || this._url === req.url) &&
        this._host === req.headers.host &&
        // the request method associated with the stored response allows it to be used for the presented request, and
        (!req.method ||
          this._method === req.method ||
          (allowHeadMethod && 'HEAD' === req.method)) &&
        // selecting header fields nominated by the stored response (if any) match those presented, and
        this._varyMatches(req)
      )
    }
    _allowsStoringAuthenticated() {
      //  following Cache-Control response directives (Section 5.2.2) have such an effect: must-revalidate, public, and s-maxage.
      return (
        this._rescc['must-revalidate'] ||
        this._rescc.public ||
        this._rescc['s-maxage']
      )
    }
    _varyMatches(req) {
      if (!this._resHeaders.vary) {
        return true
      }

      // A Vary header field-value of "*" always fails to match
      if (this._resHeaders.vary === '*') {
        return false
      }
      const fields = this._resHeaders.vary
        .trim()
        .toLowerCase()
        .split(/\s*,\s*/)
      for (const name of fields) {
        if (req.headers[name] !== this._reqHeaders[name]) {
          return false
        }
      }
      return true
    }
    _copyWithoutHopByHopHeaders(inHeaders) {
      const headers = {}
      for (const name in inHeaders) {
        if (hopByHopHeaders[name]) {
          continue
        }
        headers[name] = inHeaders[name]
      }
      // 9.1.  Connection
      if (inHeaders.connection) {
        const tokens = inHeaders.connection.trim().split(/\s*,\s*/)
        for (const name of tokens) {
          delete headers[name]
        }
      }
      if (headers.warning) {
        const warnings = headers.warning.split(/,/).filter(warning => {
          return !/^\s*1[0-9][0-9]/.test(warning)
        })
        if (!warnings.length) {
          delete headers.warning
        } else {
          headers.warning = warnings.join(',').trim()
        }
      }
      return headers
    }
    responseHeaders() {
      const headers = this._copyWithoutHopByHopHeaders(this._resHeaders)
      const age = this.age()

      // A cache SHOULD generate 113 warning if it heuristically chose a freshness
      // lifetime greater than 24 hours and the response's age is greater than 24 hours.
      if (
        age > 3600 * 24 &&
        !this._hasExplicitExpiration() &&
        this.maxAge() > 3600 * 24
      ) {
        headers.warning =
          (headers.warning ? `${headers.warning}, ` : '') +
          '113 - "rfc7234 5.5.4"'
      }
      headers.age = `${Math.round(age)}`
      headers.date = new Date(this.now()).toUTCString()
      return headers
    }

    /**
     * Value of the Date response header or current time if Date was invalid
     * @return timestamp
     */
    date() {
      const serverDate = Date.parse(this._resHeaders.date)
      if (isFinite(serverDate)) {
        return serverDate
      }
      return this._responseTime
    }

    /**
     * Value of the Age header, in seconds, updated for the current time.
     * May be fractional.
     *
     * @return Number
     */
    age() {
      let age = this._ageValue()
      const residentTime = (this.now() - this._responseTime) / 1000
      return age + residentTime
    }
    _ageValue() {
      return toNumberOrZero(this._resHeaders.age)
    }

    /**
     * Value of applicable max-age (or heuristic equivalent) in seconds. This counts since response's `Date`.
     *
     * For an up-to-date value, see `timeToLive()`.
     *
     * @return Number
     */
    maxAge() {
      if (!this.storable() || this._rescc['no-cache']) {
        return 0
      }

      // Shared responses with cookies are cacheable according to the RFC, but IMHO it'd be unwise to do so by default
      // so this implementation requires explicit opt-in via public header
      if (
        this._isShared &&
        this._resHeaders['set-cookie'] &&
        !this._rescc.public &&
        !this._rescc.immutable
      ) {
        return 0
      }
      if (this._resHeaders.vary === '*') {
        return 0
      }
      if (this._isShared) {
        if (this._rescc['proxy-revalidate']) {
          return 0
        }
        // if a response includes the s-maxage directive, a shared cache recipient MUST ignore the Expires field.
        if (this._rescc['s-maxage']) {
          return toNumberOrZero(this._rescc['s-maxage'])
        }
      }

      // If a response includes a Cache-Control field with the max-age directive, a recipient MUST ignore the Expires field.
      if (this._rescc['max-age']) {
        return toNumberOrZero(this._rescc['max-age'])
      }
      const defaultMinTtl = this._rescc.immutable ? this._immutableMinTtl : 0
      const serverDate = this.date()
      if (this._resHeaders.expires) {
        const expires = Date.parse(this._resHeaders.expires)
        // A cache recipient MUST interpret invalid date formats, especially the value "0", as representing a time in the past (i.e., "already expired").
        if (Number.isNaN(expires) || expires < serverDate) {
          return 0
        }
        return Math.max(defaultMinTtl, (expires - serverDate) / 1000)
      }
      if (this._resHeaders['last-modified']) {
        const lastModified = Date.parse(this._resHeaders['last-modified'])
        if (isFinite(lastModified) && serverDate > lastModified) {
          return Math.max(
            defaultMinTtl,
            ((serverDate - lastModified) / 1000) * this._cacheHeuristic
          )
        }
      }
      return defaultMinTtl
    }
    timeToLive() {
      const age = this.maxAge() - this.age()
      const staleIfErrorAge =
        age + toNumberOrZero(this._rescc['stale-if-error'])
      const staleWhileRevalidateAge =
        age + toNumberOrZero(this._rescc['stale-while-revalidate'])
      return Math.max(0, age, staleIfErrorAge, staleWhileRevalidateAge) * 1000
    }
    stale() {
      return this.maxAge() <= this.age()
    }
    _useStaleIfError() {
      return (
        this.maxAge() + toNumberOrZero(this._rescc['stale-if-error']) >
        this.age()
      )
    }
    useStaleWhileRevalidate() {
      return (
        this.maxAge() + toNumberOrZero(this._rescc['stale-while-revalidate']) >
        this.age()
      )
    }
    static fromObject(obj) {
      return new this(undefined, undefined, {
        _fromObject: obj
      })
    }
    _fromObject(obj) {
      if (this._responseTime) {
        throw Error('Reinitialized')
      }
      if (!obj || obj.v !== 1) {
        throw Error('Invalid serialization')
      }
      this._responseTime = obj.t
      this._isShared = obj.sh
      this._cacheHeuristic = obj.ch
      this._immutableMinTtl = obj.imm !== undefined ? obj.imm : 24 * 3600 * 1000
      this._status = obj.st
      this._resHeaders = obj.resh
      this._rescc = obj.rescc
      this._method = obj.m
      this._url = obj.u
      this._host = obj.h
      this._noAuthorization = obj.a
      this._reqHeaders = obj.reqh
      this._reqcc = obj.reqcc
    }
    toObject() {
      return {
        v: 1,
        t: this._responseTime,
        sh: this._isShared,
        ch: this._cacheHeuristic,
        imm: this._immutableMinTtl,
        st: this._status,
        resh: this._resHeaders,
        rescc: this._rescc,
        m: this._method,
        u: this._url,
        h: this._host,
        a: this._noAuthorization,
        reqh: this._reqHeaders,
        reqcc: this._reqcc
      }
    }

    /**
     * Headers for sending to the origin server to revalidate stale response.
     * Allows server to return 304 to allow reuse of the previous response.
     *
     * Hop by hop headers are always stripped.
     * Revalidation headers may be added or removed, depending on request.
     */
    revalidationHeaders(incomingReq) {
      this._assertRequestHasHeaders(incomingReq)
      const headers = this._copyWithoutHopByHopHeaders(incomingReq.headers)

      // This implementation does not understand range requests
      delete headers['if-range']
      if (!this._requestMatches(incomingReq, true) || !this.storable()) {
        // revalidation allowed via HEAD
        // not for the same resource, or wasn't allowed to be cached anyway
        delete headers['if-none-match']
        delete headers['if-modified-since']
        return headers
      }

      /* MUST send that entity-tag in any cache validation request (using If-Match or If-None-Match) if an entity-tag has been provided by the origin server. */
      if (this._resHeaders.etag) {
        headers['if-none-match'] = headers['if-none-match']
          ? `${headers['if-none-match']}, ${this._resHeaders.etag}`
          : this._resHeaders.etag
      }

      // Clients MAY issue simple (non-subrange) GET requests with either weak validators or strong validators. Clients MUST NOT use weak validators in other forms of request.
      const forbidsWeakValidators =
        headers['accept-ranges'] ||
        headers['if-match'] ||
        headers['if-unmodified-since'] ||
        (this._method && this._method != 'GET')

      /* SHOULD send the Last-Modified value in non-subrange cache validation requests (using If-Modified-Since) if only a Last-Modified value has been provided by the origin server.
      Note: This implementation does not understand partial responses (206) */
      if (forbidsWeakValidators) {
        delete headers['if-modified-since']
        if (headers['if-none-match']) {
          const etags = headers['if-none-match'].split(/,/).filter(etag => {
            return !/^\s*W\//.test(etag)
          })
          if (!etags.length) {
            delete headers['if-none-match']
          } else {
            headers['if-none-match'] = etags.join(',').trim()
          }
        }
      } else if (
        this._resHeaders['last-modified'] &&
        !headers['if-modified-since']
      ) {
        headers['if-modified-since'] = this._resHeaders['last-modified']
      }
      return headers
    }

    /**
     * Creates new CachePolicy with information combined from the previews response,
     * and the new revalidation response.
     *
     * Returns {policy, modified} where modified is a boolean indicating
     * whether the response body has been modified, and old cached body can't be used.
     *
     * @return {Object} {policy: CachePolicy, modified: Boolean}
     */
    revalidatedPolicy(request, response) {
      this._assertRequestHasHeaders(request)
      if (this._useStaleIfError() && isErrorResponse(response)) {
        // I consider the revalidation request unsuccessful
        return {
          modified: false,
          matches: false,
          policy: this
        }
      }
      if (!response || !response.headers) {
        throw Error('Response headers missing')
      }

      // These aren't going to be supported exactly, since one CachePolicy object
      // doesn't know about all the other cached objects.
      let matches = false
      if (response.status !== undefined && response.status != 304) {
        matches = false
      } else if (
        response.headers.etag &&
        !/^\s*W\//.test(response.headers.etag)
      ) {
        // "All of the stored responses with the same strong validator are selected.
        // If none of the stored responses contain the same strong validator,
        // then the cache MUST NOT use the new response to update any stored responses."
        matches =
          this._resHeaders.etag &&
          this._resHeaders.etag.replace(/^\s*W\//, '') === response.headers.etag
      } else if (this._resHeaders.etag && response.headers.etag) {
        // "If the new response contains a weak validator and that validator corresponds
        // to one of the cache's stored responses,
        // then the most recent of those matching stored responses is selected for update."
        matches =
          this._resHeaders.etag.replace(/^\s*W\//, '') ===
          response.headers.etag.replace(/^\s*W\//, '')
      } else if (this._resHeaders['last-modified']) {
        matches =
          this._resHeaders['last-modified'] ===
          response.headers['last-modified']
      } else {
        // If the new response does not include any form of validator (such as in the case where
        // a client generates an If-Modified-Since request from a source other than the Last-Modified
        // response header field), and there is only one stored response, and that stored response also
        // lacks a validator, then that stored response is selected for update.
        if (
          !this._resHeaders.etag &&
          !this._resHeaders['last-modified'] &&
          !response.headers.etag &&
          !response.headers['last-modified']
        ) {
          matches = true
        }
      }
      if (!matches) {
        return {
          policy: new this.constructor(request, response),
          // Client receiving 304 without body, even if it's invalid/mismatched has no option
          // but to reuse a cached body. We don't have a good way to tell clients to do
          // error recovery in such case.
          modified: response.status != 304,
          matches: false
        }
      }

      // use other header fields provided in the 304 (Not Modified) response to replace all instances
      // of the corresponding header fields in the stored response.
      const headers = {}
      for (const k in this._resHeaders) {
        headers[k] =
          k in response.headers && !excludedFromRevalidationUpdate[k]
            ? response.headers[k]
            : this._resHeaders[k]
      }
      const newResponse = Object.assign({}, response, {
        status: this._status,
        method: this._method,
        headers
      })
      return {
        policy: new this.constructor(request, newResponse, {
          shared: this._isShared,
          cacheHeuristic: this._cacheHeuristic,
          immutableMinTimeToLive: this._immutableMinTtl
        }),
        modified: false,
        matches: true
      }
    }
  }
  return httpCacheSemantics
}

const negotiator = { exports: {} }

const charset = { exports: {} }

/**
 * negotiator
 * Copyright(c) 2012 Isaac Z. Schlueter
 * Copyright(c) 2014 Federico Romero
 * Copyright(c) 2014-2015 Douglas Christopher Wilson
 * MIT Licensed
 */
let hasRequiredCharset
function requireCharset() {
  if (hasRequiredCharset) {
    return charset.exports
  }
  hasRequiredCharset = 1

  /**
   * Module exports.
   * @public
   */

  charset.exports = preferredCharsets
  charset.exports.preferredCharsets = preferredCharsets

  /**
   * Module variables.
   * @private
   */

  const simpleCharsetRegExp = /^\s*([^\s;]+)\s*(?:;(.*))?$/

  /**
   * Parse the Accept-Charset header.
   * @private
   */

  function parseAcceptCharset(accept) {
    const accepts = accept.split(',')
    for (let i = 0, j = 0; i < accepts.length; i++) {
      const charset = parseCharset(accepts[i].trim(), i)
      if (charset) {
        accepts[j++] = charset
      }
    }

    // trim accepts
    accepts.length = j
    return accepts
  }

  /**
   * Parse a charset from the Accept-Charset header.
   * @private
   */

  function parseCharset(str, i) {
    const match = simpleCharsetRegExp.exec(str)
    if (!match) {
      return null
    }
    const charset = match[1]
    let q = 1
    if (match[2]) {
      const params = match[2].split(';')
      for (let j = 0; j < params.length; j++) {
        const p = params[j].trim().split('=')
        if (p[0] === 'q') {
          q = parseFloat(p[1])
          break
        }
      }
    }
    return {
      charset: charset,
      q: q,
      i: i
    }
  }

  /**
   * Get the priority of a charset.
   * @private
   */

  function getCharsetPriority(charset, accepted, index) {
    let priority = {
      o: -1,
      q: 0,
      s: 0
    }
    for (let i = 0; i < accepted.length; i++) {
      const spec = specify(charset, accepted[i], index)
      if (
        spec &&
        (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0
      ) {
        priority = spec
      }
    }
    return priority
  }

  /**
   * Get the specificity of the charset.
   * @private
   */

  function specify(charset, spec, index) {
    let s = 0
    if (spec.charset.toLowerCase() === charset.toLowerCase()) {
      s |= 1
    } else if (spec.charset !== '*') {
      return null
    }
    return {
      i: index,
      o: spec.i,
      q: spec.q,
      s: s
    }
  }

  /**
   * Get the preferred charsets from an Accept-Charset header.
   * @public
   */

  function preferredCharsets(accept, provided) {
    // RFC 2616 sec 14.2: no header = *
    const accepts = parseAcceptCharset(
      accept === undefined ? '*' : accept || ''
    )
    if (!provided) {
      // sorted list of all charsets
      return accepts.filter(isQuality).sort(compareSpecs).map(getFullCharset)
    }
    const priorities = provided.map(function getPriority(type, index) {
      return getCharsetPriority(type, accepts, index)
    })

    // sorted list of accepted charsets
    return priorities
      .filter(isQuality)
      .sort(compareSpecs)
      .map(function getCharset(priority) {
        return provided[priorities.indexOf(priority)]
      })
  }

  /**
   * Compare two specs.
   * @private
   */

  function compareSpecs(a, b) {
    return b.q - a.q || b.s - a.s || a.o - b.o || a.i - b.i || 0
  }

  /**
   * Get full charset string.
   * @private
   */

  function getFullCharset(spec) {
    return spec.charset
  }

  /**
   * Check if a spec has any quality.
   * @private
   */

  function isQuality(spec) {
    return spec.q > 0
  }
  return charset.exports
}

const encoding = { exports: {} }

/**
 * negotiator
 * Copyright(c) 2012 Isaac Z. Schlueter
 * Copyright(c) 2014 Federico Romero
 * Copyright(c) 2014-2015 Douglas Christopher Wilson
 * MIT Licensed
 */
let hasRequiredEncoding
function requireEncoding() {
  if (hasRequiredEncoding) {
    return encoding.exports
  }
  hasRequiredEncoding = 1

  /**
   * Module exports.
   * @public
   */

  encoding.exports = preferredEncodings
  encoding.exports.preferredEncodings = preferredEncodings

  /**
   * Module variables.
   * @private
   */

  const simpleEncodingRegExp = /^\s*([^\s;]+)\s*(?:;(.*))?$/

  /**
   * Parse the Accept-Encoding header.
   * @private
   */

  function parseAcceptEncoding(accept) {
    const accepts = accept.split(',')
    let hasIdentity = false
    let minQuality = 1
    for (let i = 0, j = 0; i < accepts.length; i++) {
      const encoding = parseEncoding(accepts[i].trim(), i)
      if (encoding) {
        accepts[j++] = encoding
        hasIdentity = hasIdentity || specify('identity', encoding)
        minQuality = Math.min(minQuality, encoding.q || 1)
      }
    }
    if (!hasIdentity) {
      /*
       * If identity doesn't explicitly appear in the accept-encoding header,
       * it's added to the list of acceptable encoding with the lowest q
       */
      accepts[j++] = {
        encoding: 'identity',
        q: minQuality,
        i: i
      }
    }

    // trim accepts
    accepts.length = j
    return accepts
  }

  /**
   * Parse an encoding from the Accept-Encoding header.
   * @private
   */

  function parseEncoding(str, i) {
    const match = simpleEncodingRegExp.exec(str)
    if (!match) {
      return null
    }
    const encoding = match[1]
    let q = 1
    if (match[2]) {
      const params = match[2].split(';')
      for (let j = 0; j < params.length; j++) {
        const p = params[j].trim().split('=')
        if (p[0] === 'q') {
          q = parseFloat(p[1])
          break
        }
      }
    }
    return {
      encoding: encoding,
      q: q,
      i: i
    }
  }

  /**
   * Get the priority of an encoding.
   * @private
   */

  function getEncodingPriority(encoding, accepted, index) {
    let priority = {
      encoding: encoding,
      o: -1,
      q: 0,
      s: 0
    }
    for (let i = 0; i < accepted.length; i++) {
      const spec = specify(encoding, accepted[i], index)
      if (
        spec &&
        (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0
      ) {
        priority = spec
      }
    }
    return priority
  }

  /**
   * Get the specificity of the encoding.
   * @private
   */

  function specify(encoding, spec, index) {
    let s = 0
    if (spec.encoding.toLowerCase() === encoding.toLowerCase()) {
      s |= 1
    } else if (spec.encoding !== '*') {
      return null
    }
    return {
      encoding: encoding,
      i: index,
      o: spec.i,
      q: spec.q,
      s: s
    }
  }

  /**
   * Get the preferred encodings from an Accept-Encoding header.
   * @public
   */

  function preferredEncodings(accept, provided, preferred) {
    const accepts = parseAcceptEncoding(accept || '')
    const comparator = preferred
      ? function comparator(a, b) {
          if (a.q !== b.q) {
            return b.q - a.q // higher quality first
          }
          const aPreferred = preferred.indexOf(a.encoding)
          const bPreferred = preferred.indexOf(b.encoding)
          if (aPreferred === -1 && bPreferred === -1) {
            // consider the original specifity/order
            return b.s - a.s || a.o - b.o || a.i - b.i
          }
          if (aPreferred !== -1 && bPreferred !== -1) {
            return aPreferred - bPreferred // consider the preferred order
          }
          return aPreferred === -1 ? 1 : -1 // preferred first
        }
      : compareSpecs
    if (!provided) {
      // sorted list of all encodings
      return accepts.filter(isQuality).sort(comparator).map(getFullEncoding)
    }
    const priorities = provided.map(function getPriority(type, index) {
      return getEncodingPriority(type, accepts, index)
    })

    // sorted list of accepted encodings
    return priorities
      .filter(isQuality)
      .sort(comparator)
      .map(function getEncoding(priority) {
        return provided[priorities.indexOf(priority)]
      })
  }

  /**
   * Compare two specs.
   * @private
   */

  function compareSpecs(a, b) {
    return b.q - a.q || b.s - a.s || a.o - b.o || a.i - b.i
  }

  /**
   * Get full encoding string.
   * @private
   */

  function getFullEncoding(spec) {
    return spec.encoding
  }

  /**
   * Check if a spec has any quality.
   * @private
   */

  function isQuality(spec) {
    return spec.q > 0
  }
  return encoding.exports
}

const language = { exports: {} }

/**
 * negotiator
 * Copyright(c) 2012 Isaac Z. Schlueter
 * Copyright(c) 2014 Federico Romero
 * Copyright(c) 2014-2015 Douglas Christopher Wilson
 * MIT Licensed
 */
let hasRequiredLanguage
function requireLanguage() {
  if (hasRequiredLanguage) {
    return language.exports
  }
  hasRequiredLanguage = 1

  /**
   * Module exports.
   * @public
   */

  language.exports = preferredLanguages
  language.exports.preferredLanguages = preferredLanguages

  /**
   * Module variables.
   * @private
   */

  const simpleLanguageRegExp = /^\s*([^\s\-;]+)(?:-([^\s;]+))?\s*(?:;(.*))?$/

  /**
   * Parse the Accept-Language header.
   * @private
   */

  function parseAcceptLanguage(accept) {
    const accepts = accept.split(',')
    for (let i = 0, j = 0; i < accepts.length; i++) {
      const language = parseLanguage(accepts[i].trim(), i)
      if (language) {
        accepts[j++] = language
      }
    }

    // trim accepts
    accepts.length = j
    return accepts
  }

  /**
   * Parse a language from the Accept-Language header.
   * @private
   */

  function parseLanguage(str, i) {
    const match = simpleLanguageRegExp.exec(str)
    if (!match) {
      return null
    }
    const prefix = match[1]
    const suffix = match[2]
    let full = prefix
    if (suffix) {
      full += '-' + suffix
    }
    let q = 1
    if (match[3]) {
      const params = match[3].split(';')
      for (let j = 0; j < params.length; j++) {
        const p = params[j].split('=')
        if (p[0] === 'q') {
          q = parseFloat(p[1])
        }
      }
    }
    return {
      prefix: prefix,
      suffix: suffix,
      q: q,
      i: i,
      full: full
    }
  }

  /**
   * Get the priority of a language.
   * @private
   */

  function getLanguagePriority(language, accepted, index) {
    let priority = {
      o: -1,
      q: 0,
      s: 0
    }
    for (let i = 0; i < accepted.length; i++) {
      const spec = specify(language, accepted[i], index)
      if (
        spec &&
        (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0
      ) {
        priority = spec
      }
    }
    return priority
  }

  /**
   * Get the specificity of the language.
   * @private
   */

  function specify(language, spec, index) {
    const p = parseLanguage(language)
    if (!p) {
      return null
    }
    let s = 0
    if (spec.full.toLowerCase() === p.full.toLowerCase()) {
      s |= 4
    } else if (spec.prefix.toLowerCase() === p.full.toLowerCase()) {
      s |= 2
    } else if (spec.full.toLowerCase() === p.prefix.toLowerCase()) {
      s |= 1
    } else if (spec.full !== '*') {
      return null
    }
    return {
      i: index,
      o: spec.i,
      q: spec.q,
      s: s
    }
  }

  /**
   * Get the preferred languages from an Accept-Language header.
   * @public
   */

  function preferredLanguages(accept, provided) {
    // RFC 2616 sec 14.4: no header = *
    const accepts = parseAcceptLanguage(
      accept === undefined ? '*' : accept || ''
    )
    if (!provided) {
      // sorted list of all languages
      return accepts.filter(isQuality).sort(compareSpecs).map(getFullLanguage)
    }
    const priorities = provided.map(function getPriority(type, index) {
      return getLanguagePriority(type, accepts, index)
    })

    // sorted list of accepted languages
    return priorities
      .filter(isQuality)
      .sort(compareSpecs)
      .map(function getLanguage(priority) {
        return provided[priorities.indexOf(priority)]
      })
  }

  /**
   * Compare two specs.
   * @private
   */

  function compareSpecs(a, b) {
    return b.q - a.q || b.s - a.s || a.o - b.o || a.i - b.i || 0
  }

  /**
   * Get full language string.
   * @private
   */

  function getFullLanguage(spec) {
    return spec.full
  }

  /**
   * Check if a spec has any quality.
   * @private
   */

  function isQuality(spec) {
    return spec.q > 0
  }
  return language.exports
}

const mediaType = { exports: {} }

/**
 * negotiator
 * Copyright(c) 2012 Isaac Z. Schlueter
 * Copyright(c) 2014 Federico Romero
 * Copyright(c) 2014-2015 Douglas Christopher Wilson
 * MIT Licensed
 */
let hasRequiredMediaType
function requireMediaType() {
  if (hasRequiredMediaType) {
    return mediaType.exports
  }
  hasRequiredMediaType = 1

  /**
   * Module exports.
   * @public
   */

  mediaType.exports = preferredMediaTypes
  mediaType.exports.preferredMediaTypes = preferredMediaTypes

  /**
   * Module variables.
   * @private
   */

  const simpleMediaTypeRegExp = /^\s*([^\s/;]+)\/([^;\s]+)\s*(?:;(.*))?$/

  /**
   * Parse the Accept header.
   * @private
   */

  function parseAccept(accept) {
    const accepts = splitMediaTypes(accept)
    for (let i = 0, j = 0; i < accepts.length; i++) {
      const mediaType = parseMediaType(accepts[i].trim(), i)
      if (mediaType) {
        accepts[j++] = mediaType
      }
    }

    // trim accepts
    accepts.length = j
    return accepts
  }

  /**
   * Parse a media type from the Accept header.
   * @private
   */

  function parseMediaType(str, i) {
    const match = simpleMediaTypeRegExp.exec(str)
    if (!match) {
      return null
    }
    const params = Object.create(null)
    let q = 1
    const subtype = match[2]
    const type = match[1]
    if (match[3]) {
      const kvps = splitParameters(match[3]).map(splitKeyValuePair)
      for (let j = 0; j < kvps.length; j++) {
        const pair = kvps[j]
        const key = pair[0].toLowerCase()
        const val = pair[1]

        // get the value, unwrapping quotes
        const value =
          val && val[0] === '"' && val[val.length - 1] === '"'
            ? val.slice(1, -1)
            : val
        if (key === 'q') {
          q = parseFloat(value)
          break
        }

        // store parameter
        params[key] = value
      }
    }
    return {
      type: type,
      subtype: subtype,
      params: params,
      q: q,
      i: i
    }
  }

  /**
   * Get the priority of a media type.
   * @private
   */

  function getMediaTypePriority(type, accepted, index) {
    let priority = {
      o: -1,
      q: 0,
      s: 0
    }
    for (let i = 0; i < accepted.length; i++) {
      const spec = specify(type, accepted[i], index)
      if (
        spec &&
        (priority.s - spec.s || priority.q - spec.q || priority.o - spec.o) < 0
      ) {
        priority = spec
      }
    }
    return priority
  }

  /**
   * Get the specificity of the media type.
   * @private
   */

  function specify(type, spec, index) {
    const p = parseMediaType(type)
    let s = 0
    if (!p) {
      return null
    }
    if (spec.type.toLowerCase() == p.type.toLowerCase()) {
      s |= 4
    } else if (spec.type != '*') {
      return null
    }
    if (spec.subtype.toLowerCase() == p.subtype.toLowerCase()) {
      s |= 2
    } else if (spec.subtype != '*') {
      return null
    }
    const keys = Object.keys(spec.params)
    if (keys.length > 0) {
      if (
        keys.every(function (k) {
          return (
            spec.params[k] == '*' ||
            (spec.params[k] || '').toLowerCase() ==
              (p.params[k] || '').toLowerCase()
          )
        })
      ) {
        s |= 1
      } else {
        return null
      }
    }
    return {
      i: index,
      o: spec.i,
      q: spec.q,
      s: s
    }
  }

  /**
   * Get the preferred media types from an Accept header.
   * @public
   */

  function preferredMediaTypes(accept, provided) {
    // RFC 2616 sec 14.2: no header = */*
    const accepts = parseAccept(accept === undefined ? '*/*' : accept || '')
    if (!provided) {
      // sorted list of all types
      return accepts.filter(isQuality).sort(compareSpecs).map(getFullType)
    }
    const priorities = provided.map(function getPriority(type, index) {
      return getMediaTypePriority(type, accepts, index)
    })

    // sorted list of accepted types
    return priorities
      .filter(isQuality)
      .sort(compareSpecs)
      .map(function getType(priority) {
        return provided[priorities.indexOf(priority)]
      })
  }

  /**
   * Compare two specs.
   * @private
   */

  function compareSpecs(a, b) {
    return b.q - a.q || b.s - a.s || a.o - b.o || a.i - b.i || 0
  }

  /**
   * Get full type string.
   * @private
   */

  function getFullType(spec) {
    return spec.type + '/' + spec.subtype
  }

  /**
   * Check if a spec has any quality.
   * @private
   */

  function isQuality(spec) {
    return spec.q > 0
  }

  /**
   * Count the number of quotes in a string.
   * @private
   */

  function quoteCount(string) {
    let count = 0
    let index = 0
    while ((index = string.indexOf('"', index)) !== -1) {
      count++
      index++
    }
    return count
  }

  /**
   * Split a key value pair.
   * @private
   */

  function splitKeyValuePair(str) {
    const index = str.indexOf('=')
    let key
    let val
    if (index === -1) {
      key = str
    } else {
      key = str.slice(0, index)
      val = str.slice(index + 1)
    }
    return [key, val]
  }

  /**
   * Split an Accept header into media types.
   * @private
   */

  function splitMediaTypes(accept) {
    const accepts = accept.split(',')
    for (let i = 1, j = 0; i < accepts.length; i++) {
      if (quoteCount(accepts[j]) % 2 == 0) {
        accepts[++j] = accepts[i]
      } else {
        accepts[j] += ',' + accepts[i]
      }
    }

    // trim accepts
    accepts.length = j + 1
    return accepts
  }

  /**
   * Split a string of parameters.
   * @private
   */

  function splitParameters(str) {
    const parameters = str.split(';')
    for (let i = 1, j = 0; i < parameters.length; i++) {
      if (quoteCount(parameters[j]) % 2 == 0) {
        parameters[++j] = parameters[i]
      } else {
        parameters[j] += ';' + parameters[i]
      }
    }

    // trim parameters
    parameters.length = j + 1
    for (let i = 0; i < parameters.length; i++) {
      parameters[i] = parameters[i].trim()
    }
    return parameters
  }
  return mediaType.exports
}

/*!
 * negotiator
 * Copyright(c) 2012 Federico Romero
 * Copyright(c) 2012-2014 Isaac Z. Schlueter
 * Copyright(c) 2015 Douglas Christopher Wilson
 * MIT Licensed
 */
let hasRequiredNegotiator
function requireNegotiator() {
  if (hasRequiredNegotiator) {
    return negotiator.exports
  }
  hasRequiredNegotiator = 1
  const preferredCharsets = requireCharset()
  const preferredEncodings = requireEncoding()
  const preferredLanguages = requireLanguage()
  const preferredMediaTypes = requireMediaType()

  /**
   * Module exports.
   * @public
   */

  negotiator.exports = Negotiator
  negotiator.exports.Negotiator = Negotiator

  /**
   * Create a Negotiator instance from a request.
   * @param {object} request
   * @public
   */

  function Negotiator(request) {
    if (!(this instanceof Negotiator)) {
      return new Negotiator(request)
    }
    this.request = request
  }
  Negotiator.prototype.charset = function charset(available) {
    const set = this.charsets(available)
    return set && set[0]
  }
  Negotiator.prototype.charsets = function charsets(available) {
    return preferredCharsets(this.request.headers['accept-charset'], available)
  }
  Negotiator.prototype.encoding = function encoding(available, opts) {
    const set = this.encodings(available, opts)
    return set && set[0]
  }
  Negotiator.prototype.encodings = function encodings(available, options) {
    const opts = options || {}
    return preferredEncodings(
      this.request.headers['accept-encoding'],
      available,
      opts.preferred
    )
  }
  Negotiator.prototype.language = function language(available) {
    const set = this.languages(available)
    return set && set[0]
  }
  Negotiator.prototype.languages = function languages(available) {
    return preferredLanguages(
      this.request.headers['accept-language'],
      available
    )
  }
  Negotiator.prototype.mediaType = function mediaType(available) {
    const set = this.mediaTypes(available)
    return set && set[0]
  }
  Negotiator.prototype.mediaTypes = function mediaTypes(available) {
    return preferredMediaTypes(this.request.headers.accept, available)
  }

  // Backwards compatibility
  Negotiator.prototype.preferredCharset = Negotiator.prototype.charset
  Negotiator.prototype.preferredCharsets = Negotiator.prototype.charsets
  Negotiator.prototype.preferredEncoding = Negotiator.prototype.encoding
  Negotiator.prototype.preferredEncodings = Negotiator.prototype.encodings
  Negotiator.prototype.preferredLanguage = Negotiator.prototype.language
  Negotiator.prototype.preferredLanguages = Negotiator.prototype.languages
  Negotiator.prototype.preferredMediaType = Negotiator.prototype.mediaType
  Negotiator.prototype.preferredMediaTypes = Negotiator.prototype.mediaTypes
  return negotiator.exports
}

const lib$7 = {}

let hasRequiredLib$8
function requireLib$8() {
  if (hasRequiredLib$8) {
    return lib$7
  }
  hasRequiredLib$8 = 1
  const crypto = require$$0$9
  const { Minipass } = requireCommonjs$5()
  const SPEC_ALGORITHMS = ['sha512', 'sha384', 'sha256']
  const DEFAULT_ALGORITHMS = ['sha512']

  // TODO: this should really be a hardcoded list of algorithms we support,
  // rather than [a-z0-9].
  const BASE64_REGEX = /^[a-z0-9+/]+(?:=?=?)$/i
  const SRI_REGEX = /^([a-z0-9]+)-([^?]+)([?\S*]*)$/
  const STRICT_SRI_REGEX =
    /^([a-z0-9]+)-([A-Za-z0-9+/=]{44,88})(\?[\x21-\x7E]*)?$/
  const VCHAR_REGEX = /^[\x21-\x7E]+$/
  const getOptString = options =>
    options?.length ? `?${options.join('?')}` : ''
  class IntegrityStream extends Minipass {
    #emittedIntegrity
    #emittedSize
    #emittedVerified
    constructor(opts) {
      super()
      this.size = 0
      this.opts = opts

      // may be overridden later, but set now for class consistency
      this.#getOptions()

      // options used for calculating stream.  can't be changed.
      if (opts?.algorithms) {
        this.algorithms = [...opts.algorithms]
      } else {
        this.algorithms = [...DEFAULT_ALGORITHMS]
      }
      if (
        this.algorithm !== null &&
        !this.algorithms.includes(this.algorithm)
      ) {
        this.algorithms.push(this.algorithm)
      }
      this.hashes = this.algorithms.map(crypto.createHash)
    }
    #getOptions() {
      // For verification
      this.sri = this.opts?.integrity
        ? parse(this.opts?.integrity, this.opts)
        : null
      this.expectedSize = this.opts?.size
      if (!this.sri) {
        this.algorithm = null
      } else if (this.sri.isHash) {
        this.goodSri = true
        this.algorithm = this.sri.algorithm
      } else {
        this.goodSri = !this.sri.isEmpty()
        this.algorithm = this.sri.pickAlgorithm(this.opts)
      }
      this.digests = this.goodSri ? this.sri[this.algorithm] : null
      this.optString = getOptString(this.opts?.options)
    }
    on(ev, handler) {
      if (ev === 'size' && this.#emittedSize) {
        return handler(this.#emittedSize)
      }
      if (ev === 'integrity' && this.#emittedIntegrity) {
        return handler(this.#emittedIntegrity)
      }
      if (ev === 'verified' && this.#emittedVerified) {
        return handler(this.#emittedVerified)
      }
      return super.on(ev, handler)
    }
    emit(ev, data) {
      if (ev === 'end') {
        this.#onEnd()
      }
      return super.emit(ev, data)
    }
    write(data) {
      this.size += data.length
      this.hashes.forEach(h => h.update(data))
      return super.write(data)
    }
    #onEnd() {
      if (!this.goodSri) {
        this.#getOptions()
      }
      const newSri = parse(
        this.hashes
          .map((h, i) => {
            return `${this.algorithms[i]}-${h.digest('base64')}${this.optString}`
          })
          .join(' '),
        this.opts
      )
      // Integrity verification mode
      const match = this.goodSri && newSri.match(this.sri, this.opts)
      if (
        typeof this.expectedSize === 'number' &&
        this.size !== this.expectedSize
      ) {
        /* eslint-disable-next-line max-len */
        const err = new Error(
          `stream size mismatch when checking ${this.sri}.\n  Wanted: ${this.expectedSize}\n  Found: ${this.size}`
        )
        err.code = 'EBADSIZE'
        err.found = this.size
        err.expected = this.expectedSize
        err.sri = this.sri
        this.emit('error', err)
      } else if (this.sri && !match) {
        /* eslint-disable-next-line max-len */
        const err = new Error(
          `${this.sri} integrity checksum failed when using ${this.algorithm}: wanted ${this.digests} but got ${newSri}. (${this.size} bytes)`
        )
        err.code = 'EINTEGRITY'
        err.found = newSri
        err.expected = this.digests
        err.algorithm = this.algorithm
        err.sri = this.sri
        this.emit('error', err)
      } else {
        this.#emittedSize = this.size
        this.emit('size', this.size)
        this.#emittedIntegrity = newSri
        this.emit('integrity', newSri)
        if (match) {
          this.#emittedVerified = match
          this.emit('verified', match)
        }
      }
    }
  }
  class Hash {
    get isHash() {
      return true
    }
    constructor(hash, opts) {
      const strict = opts?.strict
      this.source = hash.trim()

      // set default values so that we make V8 happy to
      // always see a familiar object template.
      this.digest = ''
      this.algorithm = ''
      this.options = []

      // 3.1. Integrity metadata (called "Hash" by ssri)
      // https://w3c.github.io/webappsec-subresource-integrity/#integrity-metadata-description
      const match = this.source.match(strict ? STRICT_SRI_REGEX : SRI_REGEX)
      if (!match) {
        return
      }
      if (strict && !SPEC_ALGORITHMS.includes(match[1])) {
        return
      }
      this.algorithm = match[1]
      this.digest = match[2]
      const rawOpts = match[3]
      if (rawOpts) {
        this.options = rawOpts.slice(1).split('?')
      }
    }
    hexDigest() {
      return this.digest && Buffer.from(this.digest, 'base64').toString('hex')
    }
    toJSON() {
      return this.toString()
    }
    match(integrity, opts) {
      const other = parse(integrity, opts)
      if (!other) {
        return false
      }
      if (other.isIntegrity) {
        const algo = other.pickAlgorithm(opts, [this.algorithm])
        if (!algo) {
          return false
        }
        const foundHash = other[algo].find(hash => hash.digest === this.digest)
        if (foundHash) {
          return foundHash
        }
        return false
      }
      return other.digest === this.digest ? other : false
    }
    toString(opts) {
      if (opts?.strict) {
        // Strict mode enforces the standard as close to the foot of the
        // letter as it can.
        if (
          !(
            // The spec has very restricted productions for algorithms.
            // https://www.w3.org/TR/CSP2/#source-list-syntax
            (
              SPEC_ALGORITHMS.includes(this.algorithm) &&
              // Usually, if someone insists on using a "different" base64, we
              // leave it as-is, since there's multiple standards, and the
              // specified is not a URL-safe variant.
              // https://www.w3.org/TR/CSP2/#base64_value
              this.digest.match(BASE64_REGEX) &&
              // Option syntax is strictly visual chars.
              // https://w3c.github.io/webappsec-subresource-integrity/#grammardef-option-expression
              // https://tools.ietf.org/html/rfc5234#appendix-B.1
              this.options.every(opt => opt.match(VCHAR_REGEX))
            )
          )
        ) {
          return ''
        }
      }
      return `${this.algorithm}-${this.digest}${getOptString(this.options)}`
    }
  }
  function integrityHashToString(toString, sep, opts, hashes) {
    const toStringIsNotEmpty = toString !== ''
    let shouldAddFirstSep = false
    let complement = ''
    const lastIndex = hashes.length - 1
    for (let i = 0; i < lastIndex; i++) {
      const hashString = Hash.prototype.toString.call(hashes[i], opts)
      if (hashString) {
        shouldAddFirstSep = true
        complement += hashString
        complement += sep
      }
    }
    const finalHashString = Hash.prototype.toString.call(
      hashes[lastIndex],
      opts
    )
    if (finalHashString) {
      shouldAddFirstSep = true
      complement += finalHashString
    }
    if (toStringIsNotEmpty && shouldAddFirstSep) {
      return toString + sep + complement
    }
    return toString + complement
  }
  class Integrity {
    get isIntegrity() {
      return true
    }
    toJSON() {
      return this.toString()
    }
    isEmpty() {
      return Object.keys(this).length === 0
    }
    toString(opts) {
      let sep = opts?.sep || ' '
      let toString = ''
      if (opts?.strict) {
        // Entries must be separated by whitespace, according to spec.
        sep = sep.replace(/\S+/g, ' ')
        for (const hash of SPEC_ALGORITHMS) {
          if (this[hash]) {
            toString = integrityHashToString(toString, sep, opts, this[hash])
          }
        }
      } else {
        for (const hash of Object.keys(this)) {
          toString = integrityHashToString(toString, sep, opts, this[hash])
        }
      }
      return toString
    }
    concat(integrity, opts) {
      const other =
        typeof integrity === 'string' ? integrity : stringify(integrity, opts)
      return parse(`${this.toString(opts)} ${other}`, opts)
    }
    hexDigest() {
      return parse(this, {
        single: true
      }).hexDigest()
    }

    // add additional hashes to an integrity value, but prevent
    // *changing* an existing integrity hash.
    merge(integrity, opts) {
      const other = parse(integrity, opts)
      for (const algo in other) {
        if (this[algo]) {
          if (
            !this[algo].find(hash =>
              other[algo].find(otherhash => hash.digest === otherhash.digest)
            )
          ) {
            throw new Error('hashes do not match, cannot update integrity')
          }
        } else {
          this[algo] = other[algo]
        }
      }
    }
    match(integrity, opts) {
      const other = parse(integrity, opts)
      if (!other) {
        return false
      }
      const algo = other.pickAlgorithm(opts, Object.keys(this))
      return (
        (!!algo &&
          this[algo] &&
          other[algo] &&
          this[algo].find(hash =>
            other[algo].find(otherhash => hash.digest === otherhash.digest)
          )) ||
        false
      )
    }

    // Pick the highest priority algorithm present, optionally also limited to a
    // set of hashes found in another integrity.  When limiting it may return
    // nothing.
    pickAlgorithm(opts, hashes) {
      const pickAlgorithm = opts?.pickAlgorithm || getPrioritizedHash
      const keys = Object.keys(this).filter(k => {
        if (hashes?.length) {
          return hashes.includes(k)
        }
        return true
      })
      if (keys.length) {
        return keys.reduce((acc, algo) => pickAlgorithm(acc, algo) || acc)
      }
      // no intersection between this and hashes,
      return null
    }
  }
  lib$7.parse = parse
  function parse(sri, opts) {
    if (!sri) {
      return null
    }
    if (typeof sri === 'string') {
      return _parse(sri, opts)
    } else if (sri.algorithm && sri.digest) {
      const fullSri = new Integrity()
      fullSri[sri.algorithm] = [sri]
      return _parse(stringify(fullSri, opts), opts)
    } else {
      return _parse(stringify(sri, opts), opts)
    }
  }
  function _parse(integrity, opts) {
    // 3.4.3. Parse metadata
    // https://w3c.github.io/webappsec-subresource-integrity/#parse-metadata
    if (opts?.single) {
      return new Hash(integrity, opts)
    }
    const hashes = integrity
      .trim()
      .split(/\s+/)
      .reduce((acc, string) => {
        const hash = new Hash(string, opts)
        if (hash.algorithm && hash.digest) {
          const algo = hash.algorithm
          if (!acc[algo]) {
            acc[algo] = []
          }
          acc[algo].push(hash)
        }
        return acc
      }, new Integrity())
    return hashes.isEmpty() ? null : hashes
  }
  lib$7.stringify = stringify
  function stringify(obj, opts) {
    if (obj.algorithm && obj.digest) {
      return Hash.prototype.toString.call(obj, opts)
    } else if (typeof obj === 'string') {
      return stringify(parse(obj, opts), opts)
    } else {
      return Integrity.prototype.toString.call(obj, opts)
    }
  }
  lib$7.fromHex = fromHex
  function fromHex(hexDigest, algorithm, opts) {
    const optString = getOptString(opts?.options)
    return parse(
      `${algorithm}-${Buffer.from(hexDigest, 'hex').toString('base64')}${optString}`,
      opts
    )
  }
  lib$7.fromData = fromData
  function fromData(data, opts) {
    const algorithms = opts?.algorithms || [...DEFAULT_ALGORITHMS]
    const optString = getOptString(opts?.options)
    return algorithms.reduce((acc, algo) => {
      const digest = crypto.createHash(algo).update(data).digest('base64')
      const hash = new Hash(`${algo}-${digest}${optString}`, opts)
      /* istanbul ignore else - it would be VERY strange if the string we
       * just calculated with an algo did not have an algo or digest.
       */
      if (hash.algorithm && hash.digest) {
        const hashAlgo = hash.algorithm
        if (!acc[hashAlgo]) {
          acc[hashAlgo] = []
        }
        acc[hashAlgo].push(hash)
      }
      return acc
    }, new Integrity())
  }
  lib$7.fromStream = fromStream
  function fromStream(stream, opts) {
    const istream = integrityStream(opts)
    return new Promise((resolve, reject) => {
      stream.pipe(istream)
      stream.on('error', reject)
      istream.on('error', reject)
      let sri
      istream.on('integrity', s => {
        sri = s
      })
      istream.on('end', () => resolve(sri))
      istream.resume()
    })
  }
  lib$7.checkData = checkData
  function checkData(data, sri, opts) {
    sri = parse(sri, opts)
    if (!sri || !Object.keys(sri).length) {
      if (opts?.error) {
        throw Object.assign(
          new Error('No valid integrity hashes to check against'),
          {
            code: 'EINTEGRITY'
          }
        )
      } else {
        return false
      }
    }
    const algorithm = sri.pickAlgorithm(opts)
    const digest = crypto.createHash(algorithm).update(data).digest('base64')
    const newSri = parse({
      algorithm,
      digest
    })
    const match = newSri.match(sri, opts)
    opts = opts || {}
    if (match || !opts.error) {
      return match
    } else if (typeof opts.size === 'number' && data.length !== opts.size) {
      /* eslint-disable-next-line max-len */
      const err = new Error(
        `data size mismatch when checking ${sri}.\n  Wanted: ${opts.size}\n  Found: ${data.length}`
      )
      err.code = 'EBADSIZE'
      err.found = data.length
      err.expected = opts.size
      err.sri = sri
      throw err
    } else {
      /* eslint-disable-next-line max-len */
      const err = new Error(
        `Integrity checksum failed when using ${algorithm}: Wanted ${sri}, but got ${newSri}. (${data.length} bytes)`
      )
      err.code = 'EINTEGRITY'
      err.found = newSri
      err.expected = sri
      err.algorithm = algorithm
      err.sri = sri
      throw err
    }
  }
  lib$7.checkStream = checkStream
  function checkStream(stream, sri, opts) {
    opts = opts || Object.create(null)
    opts.integrity = sri
    sri = parse(sri, opts)
    if (!sri || !Object.keys(sri).length) {
      return Promise.reject(
        Object.assign(new Error('No valid integrity hashes to check against'), {
          code: 'EINTEGRITY'
        })
      )
    }
    const checker = integrityStream(opts)
    return new Promise((resolve, reject) => {
      stream.pipe(checker)
      stream.on('error', reject)
      checker.on('error', reject)
      let verified
      checker.on('verified', s => {
        verified = s
      })
      checker.on('end', () => resolve(verified))
      checker.resume()
    })
  }
  lib$7.integrityStream = integrityStream
  function integrityStream(opts = Object.create(null)) {
    return new IntegrityStream(opts)
  }
  lib$7.create = createIntegrity
  function createIntegrity(opts) {
    const algorithms = opts?.algorithms || [...DEFAULT_ALGORITHMS]
    const optString = getOptString(opts?.options)
    const hashes = algorithms.map(crypto.createHash)
    return {
      update: function (chunk, enc) {
        hashes.forEach(h => h.update(chunk, enc))
        return this
      },
      digest: function () {
        const integrity = algorithms.reduce((acc, algo) => {
          const digest = hashes.shift().digest('base64')
          const hash = new Hash(`${algo}-${digest}${optString}`, opts)
          /* istanbul ignore else - it would be VERY strange if the hash we
           * just calculated with an algo did not have an algo or digest.
           */
          if (hash.algorithm && hash.digest) {
            const hashAlgo = hash.algorithm
            if (!acc[hashAlgo]) {
              acc[hashAlgo] = []
            }
            acc[hashAlgo].push(hash)
          }
          return acc
        }, new Integrity())
        return integrity
      }
    }
  }
  const NODE_HASHES = crypto.getHashes()

  // This is a Best Effort™ at a reasonable priority for hash algos
  const DEFAULT_PRIORITY = [
    'md5',
    'whirlpool',
    'sha1',
    'sha224',
    'sha256',
    'sha384',
    'sha512',
    // TODO - it's unclear _which_ of these Node will actually use as its name
    //        for the algorithm, so we guesswork it based on the OpenSSL names.
    'sha3',
    'sha3-256',
    'sha3-384',
    'sha3-512',
    'sha3_256',
    'sha3_384',
    'sha3_512'
  ].filter(algo => NODE_HASHES.includes(algo))
  function getPrioritizedHash(algo1, algo2) {
    /* eslint-disable-next-line max-len */
    return DEFAULT_PRIORITY.indexOf(algo1.toLowerCase()) >=
      DEFAULT_PRIORITY.indexOf(algo2.toLowerCase())
      ? algo1
      : algo2
  }
  return lib$7
}

let policy
let hasRequiredPolicy
function requirePolicy() {
  if (hasRequiredPolicy) {
    return policy
  }
  hasRequiredPolicy = 1
  const CacheSemantics = requireHttpCacheSemantics()
  const Negotiator = requireNegotiator()
  const ssri = requireLib$8()

  // options passed to http-cache-semantics constructor
  const policyOptions = {
    shared: false,
    ignoreCargoCult: true
  }

  // a fake empty response, used when only testing the
  // request for storability
  const emptyResponse = {
    status: 200,
    headers: {}
  }

  // returns a plain object representation of the Request
  const requestObject = request => {
    const _obj = {
      method: request.method,
      url: request.url,
      headers: {},
      compress: request.compress
    }
    request.headers.forEach((value, key) => {
      _obj.headers[key] = value
    })
    return _obj
  }

  // returns a plain object representation of the Response
  const responseObject = response => {
    const _obj = {
      status: response.status,
      headers: {}
    }
    response.headers.forEach((value, key) => {
      _obj.headers[key] = value
    })
    return _obj
  }
  class CachePolicy {
    constructor({ entry, request, response, options }) {
      this.entry = entry
      this.request = requestObject(request)
      this.response = responseObject(response)
      this.options = options
      this.policy = new CacheSemantics(
        this.request,
        this.response,
        policyOptions
      )
      if (this.entry) {
        // if we have an entry, copy the timestamp to the _responseTime
        // this is necessary because the CacheSemantics constructor forces
        // the value to Date.now() which means a policy created from a
        // cache entry is likely to always identify itself as stale
        this.policy._responseTime = this.entry.metadata.time
      }
    }

    // static method to quickly determine if a request alone is storable
    static storable(request, options) {
      // no cachePath means no caching
      if (!options.cachePath) {
        return false
      }

      // user explicitly asked not to cache
      if (options.cache === 'no-store') {
        return false
      }

      // we only cache GET and HEAD requests
      if (!['GET', 'HEAD'].includes(request.method)) {
        return false
      }

      // otherwise, let http-cache-semantics make the decision
      // based on the request's headers
      const policy = new CacheSemantics(
        requestObject(request),
        emptyResponse,
        policyOptions
      )
      return policy.storable()
    }

    // returns true if the policy satisfies the request
    satisfies(request) {
      const _req = requestObject(request)
      if (this.request.headers.host !== _req.headers.host) {
        return false
      }
      if (this.request.compress !== _req.compress) {
        return false
      }
      const negotiatorA = new Negotiator(this.request)
      const negotiatorB = new Negotiator(_req)
      if (
        JSON.stringify(negotiatorA.mediaTypes()) !==
        JSON.stringify(negotiatorB.mediaTypes())
      ) {
        return false
      }
      if (
        JSON.stringify(negotiatorA.languages()) !==
        JSON.stringify(negotiatorB.languages())
      ) {
        return false
      }
      if (
        JSON.stringify(negotiatorA.encodings()) !==
        JSON.stringify(negotiatorB.encodings())
      ) {
        return false
      }
      if (this.options.integrity) {
        return ssri.parse(this.options.integrity).match(this.entry.integrity)
      }
      return true
    }

    // returns true if the request and response allow caching
    storable() {
      return this.policy.storable()
    }

    // NOTE: this is a hack to avoid parsing the cache-control
    // header ourselves, it returns true if the response's
    // cache-control contains must-revalidate
    get mustRevalidate() {
      return !!this.policy._rescc['must-revalidate']
    }

    // returns true if the cached response requires revalidation
    // for the given request
    needsRevalidation(request) {
      const _req = requestObject(request)
      // force method to GET because we only cache GETs
      // but can serve a HEAD from a cached GET
      _req.method = 'GET'
      return !this.policy.satisfiesWithoutRevalidation(_req)
    }
    responseHeaders() {
      return this.policy.responseHeaders()
    }

    // returns a new object containing the appropriate headers
    // to send a revalidation request
    revalidationHeaders(request) {
      const _req = requestObject(request)
      return this.policy.revalidationHeaders(_req)
    }

    // returns true if the request/response was revalidated
    // successfully. returns false if a new response was received
    revalidated(request, response) {
      const _req = requestObject(request)
      const _res = responseObject(response)
      const policy = this.policy.revalidatedPolicy(_req, _res)
      return !policy.modified
    }
  }
  policy = CachePolicy
  return policy
}

let errors$2
let hasRequiredErrors$2
function requireErrors$2() {
  if (hasRequiredErrors$2) {
    return errors$2
  }
  hasRequiredErrors$2 = 1
  class NotCachedError extends Error {
    constructor(url) {
      /* eslint-disable-next-line max-len */
      super(
        `request to ${url} failed: cache mode is 'only-if-cached' but no cached response is available.`
      )
      this.code = 'ENOTCACHED'
    }
  }
  errors$2 = {
    NotCachedError
  }
  return errors$2
}

let minipass$1
let hasRequiredMinipass$1
function requireMinipass$1() {
  if (hasRequiredMinipass$1) {
    return minipass$1
  }
  hasRequiredMinipass$1 = 1
  const proc =
    typeof process === 'object' && process
      ? process
      : {
          stdout: null,
          stderr: null
        }
  const EE = require$$0$5
  const Stream = require$$1$2
  const SD = require$$2$2.StringDecoder
  const EOF = Symbol('EOF')
  const MAYBE_EMIT_END = Symbol('maybeEmitEnd')
  const EMITTED_END = Symbol('emittedEnd')
  const EMITTING_END = Symbol('emittingEnd')
  const EMITTED_ERROR = Symbol('emittedError')
  const CLOSED = Symbol('closed')
  const READ = Symbol('read')
  const FLUSH = Symbol('flush')
  const FLUSHCHUNK = Symbol('flushChunk')
  const ENCODING = Symbol('encoding')
  const DECODER = Symbol('decoder')
  const FLOWING = Symbol('flowing')
  const PAUSED = Symbol('paused')
  const RESUME = Symbol('resume')
  const BUFFERLENGTH = Symbol('bufferLength')
  const BUFFERPUSH = Symbol('bufferPush')
  const BUFFERSHIFT = Symbol('bufferShift')
  const OBJECTMODE = Symbol('objectMode')
  const DESTROYED = Symbol('destroyed')
  const EMITDATA = Symbol('emitData')
  const EMITEND = Symbol('emitEnd')
  const EMITEND2 = Symbol('emitEnd2')
  const ASYNC = Symbol('async')
  const defer = fn => Promise.resolve().then(fn)

  // TODO remove when Node v8 support drops
  const doIter = global._MP_NO_ITERATOR_SYMBOLS_ !== '1'
  const ASYNCITERATOR =
    (doIter && Symbol.asyncIterator) || Symbol('asyncIterator not implemented')
  const ITERATOR =
    (doIter && Symbol.iterator) || Symbol('iterator not implemented')

  // events that mean 'the stream is over'
  // these are treated specially, and re-emitted
  // if they are listened for after emitting.
  const isEndish = ev => ev === 'end' || ev === 'finish' || ev === 'prefinish'
  const isArrayBuffer = b =>
    b instanceof ArrayBuffer ||
    (typeof b === 'object' &&
      b.constructor &&
      b.constructor.name === 'ArrayBuffer' &&
      b.byteLength >= 0)
  const isArrayBufferView = b => !Buffer.isBuffer(b) && ArrayBuffer.isView(b)
  class Pipe {
    constructor(src, dest, opts) {
      this.src = src
      this.dest = dest
      this.opts = opts
      this.ondrain = () => src[RESUME]()
      dest.on('drain', this.ondrain)
    }
    unpipe() {
      this.dest.removeListener('drain', this.ondrain)
    }
    // istanbul ignore next - only here for the prototype
    proxyErrors() {}
    end() {
      this.unpipe()
      if (this.opts.end) {
        this.dest.end()
      }
    }
  }
  class PipeProxyErrors extends Pipe {
    unpipe() {
      this.src.removeListener('error', this.proxyErrors)
      super.unpipe()
    }
    constructor(src, dest, opts) {
      super(src, dest, opts)
      this.proxyErrors = er => dest.emit('error', er)
      src.on('error', this.proxyErrors)
    }
  }
  minipass$1 = class Minipass extends Stream {
    constructor(options) {
      super()
      this[FLOWING] = false
      // whether we're explicitly paused
      this[PAUSED] = false
      this.pipes = []
      this.buffer = []
      this[OBJECTMODE] = (options && options.objectMode) || false
      if (this[OBJECTMODE]) {
        this[ENCODING] = null
      } else {
        this[ENCODING] = (options && options.encoding) || null
      }
      if (this[ENCODING] === 'buffer') {
        this[ENCODING] = null
      }
      this[ASYNC] = (options && !!options.async) || false
      this[DECODER] = this[ENCODING] ? new SD(this[ENCODING]) : null
      this[EOF] = false
      this[EMITTED_END] = false
      this[EMITTING_END] = false
      this[CLOSED] = false
      this[EMITTED_ERROR] = null
      this.writable = true
      this.readable = true
      this[BUFFERLENGTH] = 0
      this[DESTROYED] = false
    }
    get bufferLength() {
      return this[BUFFERLENGTH]
    }
    get encoding() {
      return this[ENCODING]
    }
    set encoding(enc) {
      if (this[OBJECTMODE]) {
        throw new Error('cannot set encoding in objectMode')
      }
      if (
        this[ENCODING] &&
        enc !== this[ENCODING] &&
        ((this[DECODER] && this[DECODER].lastNeed) || this[BUFFERLENGTH])
      ) {
        throw new Error('cannot change encoding')
      }
      if (this[ENCODING] !== enc) {
        this[DECODER] = enc ? new SD(enc) : null
        if (this.buffer.length) {
          this.buffer = this.buffer.map(chunk => this[DECODER].write(chunk))
        }
      }
      this[ENCODING] = enc
    }
    setEncoding(enc) {
      this.encoding = enc
    }
    get objectMode() {
      return this[OBJECTMODE]
    }
    set objectMode(om) {
      this[OBJECTMODE] = this[OBJECTMODE] || !!om
    }
    get ['async']() {
      return this[ASYNC]
    }
    set ['async'](a) {
      this[ASYNC] = this[ASYNC] || !!a
    }
    write(chunk, encoding, cb) {
      if (this[EOF]) {
        throw new Error('write after end')
      }
      if (this[DESTROYED]) {
        this.emit(
          'error',
          Object.assign(
            new Error('Cannot call write after a stream was destroyed'),
            {
              code: 'ERR_STREAM_DESTROYED'
            }
          )
        )
        return true
      }
      if (typeof encoding === 'function') {
        ;(cb = encoding), (encoding = 'utf8')
      }
      if (!encoding) {
        encoding = 'utf8'
      }
      const fn = this[ASYNC] ? defer : f => f()

      // convert array buffers and typed array views into buffers
      // at some point in the future, we may want to do the opposite!
      // leave strings and buffers as-is
      // anything else switches us into object mode
      if (!this[OBJECTMODE] && !Buffer.isBuffer(chunk)) {
        if (isArrayBufferView(chunk)) {
          chunk = Buffer.from(chunk.buffer, chunk.byteOffset, chunk.byteLength)
        } else if (isArrayBuffer(chunk)) {
          chunk = Buffer.from(chunk)
        } else if (typeof chunk !== 'string') {
          // use the setter so we throw if we have encoding set
          this.objectMode = true
        }
      }

      // handle object mode up front, since it's simpler
      // this yields better performance, fewer checks later.
      if (this[OBJECTMODE]) {
        /* istanbul ignore if - maybe impossible? */
        if (this.flowing && this[BUFFERLENGTH] !== 0) {
          this[FLUSH](true)
        }
        if (this.flowing) {
          this.emit('data', chunk)
        } else {
          this[BUFFERPUSH](chunk)
        }
        if (this[BUFFERLENGTH] !== 0) {
          this.emit('readable')
        }
        if (cb) {
          fn(cb)
        }
        return this.flowing
      }

      // at this point the chunk is a buffer or string
      // don't buffer it up or send it to the decoder
      if (!chunk.length) {
        if (this[BUFFERLENGTH] !== 0) {
          this.emit('readable')
        }
        if (cb) {
          fn(cb)
        }
        return this.flowing
      }

      // fast-path writing strings of same encoding to a stream with
      // an empty buffer, skipping the buffer/decoder dance
      if (
        typeof chunk === 'string' &&
        // unless it is a string already ready for us to use
        !(encoding === this[ENCODING] && !this[DECODER].lastNeed)
      ) {
        chunk = Buffer.from(chunk, encoding)
      }
      if (Buffer.isBuffer(chunk) && this[ENCODING]) {
        chunk = this[DECODER].write(chunk)
      }

      // Note: flushing CAN potentially switch us into not-flowing mode
      if (this.flowing && this[BUFFERLENGTH] !== 0) {
        this[FLUSH](true)
      }
      if (this.flowing) {
        this.emit('data', chunk)
      } else {
        this[BUFFERPUSH](chunk)
      }
      if (this[BUFFERLENGTH] !== 0) {
        this.emit('readable')
      }
      if (cb) {
        fn(cb)
      }
      return this.flowing
    }
    read(n) {
      if (this[DESTROYED]) {
        return null
      }
      if (this[BUFFERLENGTH] === 0 || n === 0 || n > this[BUFFERLENGTH]) {
        this[MAYBE_EMIT_END]()
        return null
      }
      if (this[OBJECTMODE]) {
        n = null
      }
      if (this.buffer.length > 1 && !this[OBJECTMODE]) {
        if (this.encoding) {
          this.buffer = [this.buffer.join('')]
        } else {
          this.buffer = [Buffer.concat(this.buffer, this[BUFFERLENGTH])]
        }
      }
      const ret = this[READ](n || null, this.buffer[0])
      this[MAYBE_EMIT_END]()
      return ret
    }
    [READ](n, chunk) {
      if (n === chunk.length || n === null) {
        this[BUFFERSHIFT]()
      } else {
        this.buffer[0] = chunk.slice(n)
        chunk = chunk.slice(0, n)
        this[BUFFERLENGTH] -= n
      }
      this.emit('data', chunk)
      if (!this.buffer.length && !this[EOF]) {
        this.emit('drain')
      }
      return chunk
    }
    end(chunk, encoding, cb) {
      if (typeof chunk === 'function') {
        ;(cb = chunk), (chunk = null)
      }
      if (typeof encoding === 'function') {
        ;(cb = encoding), (encoding = 'utf8')
      }
      if (chunk) {
        this.write(chunk, encoding)
      }
      if (cb) {
        this.once('end', cb)
      }
      this[EOF] = true
      this.writable = false

      // if we haven't written anything, then go ahead and emit,
      // even if we're not reading.
      // we'll re-emit if a new 'end' listener is added anyway.
      // This makes MP more suitable to write-only use cases.
      if (this.flowing || !this[PAUSED]) {
        this[MAYBE_EMIT_END]()
      }
      return this
    }

    // don't let the internal resume be overwritten
    [RESUME]() {
      if (this[DESTROYED]) {
        return
      }
      this[PAUSED] = false
      this[FLOWING] = true
      this.emit('resume')
      if (this.buffer.length) {
        this[FLUSH]()
      } else if (this[EOF]) {
        this[MAYBE_EMIT_END]()
      } else {
        this.emit('drain')
      }
    }
    resume() {
      return this[RESUME]()
    }
    pause() {
      this[FLOWING] = false
      this[PAUSED] = true
    }
    get destroyed() {
      return this[DESTROYED]
    }
    get flowing() {
      return this[FLOWING]
    }
    get paused() {
      return this[PAUSED]
    }
    [BUFFERPUSH](chunk) {
      if (this[OBJECTMODE]) {
        this[BUFFERLENGTH] += 1
      } else {
        this[BUFFERLENGTH] += chunk.length
      }
      this.buffer.push(chunk)
    }
    [BUFFERSHIFT]() {
      if (this.buffer.length) {
        if (this[OBJECTMODE]) {
          this[BUFFERLENGTH] -= 1
        } else {
          this[BUFFERLENGTH] -= this.buffer[0].length
        }
      }
      return this.buffer.shift()
    }
    [FLUSH](noDrain) {
      do {} while (this[FLUSHCHUNK](this[BUFFERSHIFT]()))
      if (!noDrain && !this.buffer.length && !this[EOF]) {
        this.emit('drain')
      }
    }
    [FLUSHCHUNK](chunk) {
      return chunk ? (this.emit('data', chunk), this.flowing) : false
    }
    pipe(dest, opts) {
      if (this[DESTROYED]) {
        return
      }
      const ended = this[EMITTED_END]
      opts = opts || {}
      if (dest === proc.stdout || dest === proc.stderr) {
        opts.end = false
      } else {
        opts.end = opts.end !== false
      }
      opts.proxyErrors = !!opts.proxyErrors

      // piping an ended stream ends immediately
      if (ended) {
        if (opts.end) {
          dest.end()
        }
      } else {
        this.pipes.push(
          !opts.proxyErrors
            ? new Pipe(this, dest, opts)
            : new PipeProxyErrors(this, dest, opts)
        )
        if (this[ASYNC]) {
          defer(() => this[RESUME]())
        } else {
          this[RESUME]()
        }
      }
      return dest
    }
    unpipe(dest) {
      const p = this.pipes.find(p => p.dest === dest)
      if (p) {
        this.pipes.splice(this.pipes.indexOf(p), 1)
        p.unpipe()
      }
    }
    addListener(ev, fn) {
      return this.on(ev, fn)
    }
    on(ev, fn) {
      const ret = super.on(ev, fn)
      if (ev === 'data' && !this.pipes.length && !this.flowing) {
        this[RESUME]()
      } else if (ev === 'readable' && this[BUFFERLENGTH] !== 0) {
        super.emit('readable')
      } else if (isEndish(ev) && this[EMITTED_END]) {
        super.emit(ev)
        this.removeAllListeners(ev)
      } else if (ev === 'error' && this[EMITTED_ERROR]) {
        if (this[ASYNC]) {
          defer(() => fn.call(this, this[EMITTED_ERROR]))
        } else {
          fn.call(this, this[EMITTED_ERROR])
        }
      }
      return ret
    }
    get emittedEnd() {
      return this[EMITTED_END]
    }
    [MAYBE_EMIT_END]() {
      if (
        !this[EMITTING_END] &&
        !this[EMITTED_END] &&
        !this[DESTROYED] &&
        this.buffer.length === 0 &&
        this[EOF]
      ) {
        this[EMITTING_END] = true
        this.emit('end')
        this.emit('prefinish')
        this.emit('finish')
        if (this[CLOSED]) {
          this.emit('close')
        }
        this[EMITTING_END] = false
      }
    }
    emit(ev, data, ...extra) {
      // error and close are only events allowed after calling destroy()
      if (
        ev !== 'error' &&
        ev !== 'close' &&
        ev !== DESTROYED &&
        this[DESTROYED]
      ) {
        return
      } else if (ev === 'data') {
        return !data
          ? false
          : this[ASYNC]
            ? defer(() => this[EMITDATA](data))
            : this[EMITDATA](data)
      } else if (ev === 'end') {
        return this[EMITEND]()
      } else if (ev === 'close') {
        this[CLOSED] = true
        // don't emit close before 'end' and 'finish'
        if (!this[EMITTED_END] && !this[DESTROYED]) {
          return
        }
        const ret = super.emit('close')
        this.removeAllListeners('close')
        return ret
      } else if (ev === 'error') {
        this[EMITTED_ERROR] = data
        const ret = super.emit('error', data)
        this[MAYBE_EMIT_END]()
        return ret
      } else if (ev === 'resume') {
        const ret = super.emit('resume')
        this[MAYBE_EMIT_END]()
        return ret
      } else if (ev === 'finish' || ev === 'prefinish') {
        const ret = super.emit(ev)
        this.removeAllListeners(ev)
        return ret
      }

      // Some other unknown event
      const ret = super.emit(ev, data, ...extra)
      this[MAYBE_EMIT_END]()
      return ret
    }
    [EMITDATA](data) {
      for (const p of this.pipes) {
        if (p.dest.write(data) === false) {
          this.pause()
        }
      }
      const ret = super.emit('data', data)
      this[MAYBE_EMIT_END]()
      return ret
    }
    [EMITEND]() {
      if (this[EMITTED_END]) {
        return
      }
      this[EMITTED_END] = true
      this.readable = false
      if (this[ASYNC]) {
        defer(() => this[EMITEND2]())
      } else {
        this[EMITEND2]()
      }
    }
    [EMITEND2]() {
      if (this[DECODER]) {
        const data = this[DECODER].end()
        if (data) {
          for (const p of this.pipes) {
            p.dest.write(data)
          }
          super.emit('data', data)
        }
      }
      for (const p of this.pipes) {
        p.end()
      }
      const ret = super.emit('end')
      this.removeAllListeners('end')
      return ret
    }

    // const all = await stream.collect()
    collect() {
      const buf = []
      if (!this[OBJECTMODE]) {
        buf.dataLength = 0
      }
      // set the promise first, in case an error is raised
      // by triggering the flow here.
      const p = this.promise()
      this.on('data', c => {
        buf.push(c)
        if (!this[OBJECTMODE]) {
          buf.dataLength += c.length
        }
      })
      return p.then(() => buf)
    }

    // const data = await stream.concat()
    concat() {
      return this[OBJECTMODE]
        ? Promise.reject(new Error('cannot concat in objectMode'))
        : this.collect().then(buf =>
            this[OBJECTMODE]
              ? Promise.reject(new Error('cannot concat in objectMode'))
              : this[ENCODING]
                ? buf.join('')
                : Buffer.concat(buf, buf.dataLength)
          )
    }

    // stream.promise().then(() => done, er => emitted error)
    promise() {
      return new Promise((resolve, reject) => {
        this.on(DESTROYED, () => reject(new Error('stream destroyed')))
        this.on('error', er => reject(er))
        this.on('end', () => resolve())
      })
    }

    // for await (let chunk of stream)
    [ASYNCITERATOR]() {
      const next = () => {
        const res = this.read()
        if (res !== null) {
          return Promise.resolve({
            done: false,
            value: res
          })
        }
        if (this[EOF]) {
          return Promise.resolve({
            done: true
          })
        }
        let resolve = null
        let reject = null
        const onerr = er => {
          this.removeListener('data', ondata)
          this.removeListener('end', onend)
          reject(er)
        }
        const ondata = value => {
          this.removeListener('error', onerr)
          this.removeListener('end', onend)
          this.pause()
          resolve({
            value: value,
            done: !!this[EOF]
          })
        }
        const onend = () => {
          this.removeListener('error', onerr)
          this.removeListener('data', ondata)
          resolve({
            done: true
          })
        }
        const ondestroy = () => onerr(new Error('stream destroyed'))
        return new Promise((res, rej) => {
          reject = rej
          resolve = res
          this.once(DESTROYED, ondestroy)
          this.once('error', onerr)
          this.once('end', onend)
          this.once('data', ondata)
        })
      }
      return {
        next
      }
    }

    // for (let chunk of stream)
    [ITERATOR]() {
      const next = () => {
        const value = this.read()
        const done = value === null
        return {
          value,
          done
        }
      }
      return {
        next
      }
    }
    destroy(er) {
      if (this[DESTROYED]) {
        if (er) {
          this.emit('error', er)
        } else {
          this.emit(DESTROYED)
        }
        return this
      }
      this[DESTROYED] = true

      // throw away all buffered data, it's never coming out
      this.buffer.length = 0
      this[BUFFERLENGTH] = 0
      if (typeof this.close === 'function' && !this[CLOSED]) {
        this.close()
      }
      if (er) {
        this.emit('error', er)
      }
      // if no error to emit, still reject pending promises
      else {
        this.emit(DESTROYED)
      }
      return this
    }
    static isStream(s) {
      return (
        !!s &&
        (s instanceof Minipass ||
          s instanceof Stream ||
          (s instanceof EE &&
            (typeof s.pipe === 'function' ||
              // readable
              (typeof s.write === 'function' && typeof s.end === 'function')))) // writable
      )
    }
  }
  return minipass$1
}

let minipassFlush
let hasRequiredMinipassFlush
function requireMinipassFlush() {
  if (hasRequiredMinipassFlush) {
    return minipassFlush
  }
  hasRequiredMinipassFlush = 1
  const Minipass = requireMinipass$1()
  const _flush = Symbol('_flush')
  const _flushed = Symbol('_flushed')
  const _flushing = Symbol('_flushing')
  class Flush extends Minipass {
    constructor(opt = {}) {
      if (typeof opt === 'function') {
        opt = {
          flush: opt
        }
      }
      super(opt)

      // or extend this class and provide a 'flush' method in your subclass
      if (typeof opt.flush !== 'function' && typeof this.flush !== 'function') {
        throw new TypeError('must provide flush function in options')
      }
      this[_flush] = opt.flush || this.flush
    }
    emit(ev, ...data) {
      if ((ev !== 'end' && ev !== 'finish') || this[_flushed]) {
        return super.emit(ev, ...data)
      }
      if (this[_flushing]) {
        return
      }
      this[_flushing] = true
      const afterFlush = er => {
        this[_flushed] = true
        er ? super.emit('error', er) : super.emit('end')
      }
      const ret = this[_flush](afterFlush)
      if (ret && ret.then) {
        ret.then(
          () => afterFlush(),
          er => afterFlush(er)
        )
      }
    }
  }
  minipassFlush = Flush
  return minipassFlush
}

const lib$6 = { exports: {} }

const get = { exports: {} }

const minipassCollect = { exports: {} }

let hasRequiredMinipassCollect
function requireMinipassCollect() {
  if (hasRequiredMinipassCollect) {
    return minipassCollect.exports
  }
  hasRequiredMinipassCollect = 1
  const { Minipass } = requireCommonjs$5()
  const _data = Symbol('_data')
  const _length = Symbol('_length')
  class Collect extends Minipass {
    constructor(options) {
      super(options)
      this[_data] = []
      this[_length] = 0
    }
    write(chunk, encoding, cb) {
      if (typeof encoding === 'function') {
        ;(cb = encoding), (encoding = 'utf8')
      }
      if (!encoding) {
        encoding = 'utf8'
      }
      const c = Buffer.isBuffer(chunk) ? chunk : Buffer.from(chunk, encoding)
      this[_data].push(c)
      this[_length] += c.length
      if (cb) {
        cb()
      }
      return true
    }
    end(chunk, encoding, cb) {
      if (typeof chunk === 'function') {
        ;(cb = chunk), (chunk = null)
      }
      if (typeof encoding === 'function') {
        ;(cb = encoding), (encoding = 'utf8')
      }
      if (chunk) {
        this.write(chunk, encoding)
      }
      const result = Buffer.concat(this[_data], this[_length])
      super.write(result)
      return super.end(cb)
    }
  }
  minipassCollect.exports = Collect

  // it would be possible to DRY this a bit by doing something like
  // this.collector = new Collect() and listening on its data event,
  // but it's not much code, and we may as well save the extra obj
  class CollectPassThrough extends Minipass {
    constructor(options) {
      super(options)
      this[_data] = []
      this[_length] = 0
    }
    write(chunk, encoding, cb) {
      if (typeof encoding === 'function') {
        ;(cb = encoding), (encoding = 'utf8')
      }
      if (!encoding) {
        encoding = 'utf8'
      }
      const c = Buffer.isBuffer(chunk) ? chunk : Buffer.from(chunk, encoding)
      this[_data].push(c)
      this[_length] += c.length
      return super.write(chunk, encoding, cb)
    }
    end(chunk, encoding, cb) {
      if (typeof chunk === 'function') {
        ;(cb = chunk), (chunk = null)
      }
      if (typeof encoding === 'function') {
        ;(cb = encoding), (encoding = 'utf8')
      }
      if (chunk) {
        this.write(chunk, encoding)
      }
      const result = Buffer.concat(this[_data], this[_length])
      this.emit('collect', result)
      return super.end(cb)
    }
  }
  minipassCollect.exports.PassThrough = CollectPassThrough
  return minipassCollect.exports
}

let minipass
let hasRequiredMinipass
function requireMinipass() {
  if (hasRequiredMinipass) {
    return minipass
  }
  hasRequiredMinipass = 1
  const proc =
    typeof process === 'object' && process
      ? process
      : {
          stdout: null,
          stderr: null
        }
  const EE = require$$0$5
  const Stream = require$$1$2
  const SD = require$$2$2.StringDecoder
  const EOF = Symbol('EOF')
  const MAYBE_EMIT_END = Symbol('maybeEmitEnd')
  const EMITTED_END = Symbol('emittedEnd')
  const EMITTING_END = Symbol('emittingEnd')
  const EMITTED_ERROR = Symbol('emittedError')
  const CLOSED = Symbol('closed')
  const READ = Symbol('read')
  const FLUSH = Symbol('flush')
  const FLUSHCHUNK = Symbol('flushChunk')
  const ENCODING = Symbol('encoding')
  const DECODER = Symbol('decoder')
  const FLOWING = Symbol('flowing')
  const PAUSED = Symbol('paused')
  const RESUME = Symbol('resume')
  const BUFFERLENGTH = Symbol('bufferLength')
  const BUFFERPUSH = Symbol('bufferPush')
  const BUFFERSHIFT = Symbol('bufferShift')
  const OBJECTMODE = Symbol('objectMode')
  const DESTROYED = Symbol('destroyed')
  const EMITDATA = Symbol('emitData')
  const EMITEND = Symbol('emitEnd')
  const EMITEND2 = Symbol('emitEnd2')
  const ASYNC = Symbol('async')
  const defer = fn => Promise.resolve().then(fn)

  // TODO remove when Node v8 support drops
  const doIter = global._MP_NO_ITERATOR_SYMBOLS_ !== '1'
  const ASYNCITERATOR =
    (doIter && Symbol.asyncIterator) || Symbol('asyncIterator not implemented')
  const ITERATOR =
    (doIter && Symbol.iterator) || Symbol('iterator not implemented')

  // events that mean 'the stream is over'
  // these are treated specially, and re-emitted
  // if they are listened for after emitting.
  const isEndish = ev => ev === 'end' || ev === 'finish' || ev === 'prefinish'
  const isArrayBuffer = b =>
    b instanceof ArrayBuffer ||
    (typeof b === 'object' &&
      b.constructor &&
      b.constructor.name === 'ArrayBuffer' &&
      b.byteLength >= 0)
  const isArrayBufferView = b => !Buffer.isBuffer(b) && ArrayBuffer.isView(b)
  class Pipe {
    constructor(src, dest, opts) {
      this.src = src
      this.dest = dest
      this.opts = opts
      this.ondrain = () => src[RESUME]()
      dest.on('drain', this.ondrain)
    }
    unpipe() {
      this.dest.removeListener('drain', this.ondrain)
    }
    // istanbul ignore next - only here for the prototype
    proxyErrors() {}
    end() {
      this.unpipe()
      if (this.opts.end) {
        this.dest.end()
      }
    }
  }
  class PipeProxyErrors extends Pipe {
    unpipe() {
      this.src.removeListener('error', this.proxyErrors)
      super.unpipe()
    }
    constructor(src, dest, opts) {
      super(src, dest, opts)
      this.proxyErrors = er => dest.emit('error', er)
      src.on('error', this.proxyErrors)
    }
  }
  minipass = class Minipass extends Stream {
    constructor(options) {
      super()
      this[FLOWING] = false
      // whether we're explicitly paused
      this[PAUSED] = false
      this.pipes = []
      this.buffer = []
      this[OBJECTMODE] = (options && options.objectMode) || false
      if (this[OBJECTMODE]) {
        this[ENCODING] = null
      } else {
        this[ENCODING] = (options && options.encoding) || null
      }
      if (this[ENCODING] === 'buffer') {
        this[ENCODING] = null
      }
      this[ASYNC] = (options && !!options.async) || false
      this[DECODER] = this[ENCODING] ? new SD(this[ENCODING]) : null
      this[EOF] = false
      this[EMITTED_END] = false
      this[EMITTING_END] = false
      this[CLOSED] = false
      this[EMITTED_ERROR] = null
      this.writable = true
      this.readable = true
      this[BUFFERLENGTH] = 0
      this[DESTROYED] = false
    }
    get bufferLength() {
      return this[BUFFERLENGTH]
    }
    get encoding() {
      return this[ENCODING]
    }
    set encoding(enc) {
      if (this[OBJECTMODE]) {
        throw new Error('cannot set encoding in objectMode')
      }
      if (
        this[ENCODING] &&
        enc !== this[ENCODING] &&
        ((this[DECODER] && this[DECODER].lastNeed) || this[BUFFERLENGTH])
      ) {
        throw new Error('cannot change encoding')
      }
      if (this[ENCODING] !== enc) {
        this[DECODER] = enc ? new SD(enc) : null
        if (this.buffer.length) {
          this.buffer = this.buffer.map(chunk => this[DECODER].write(chunk))
        }
      }
      this[ENCODING] = enc
    }
    setEncoding(enc) {
      this.encoding = enc
    }
    get objectMode() {
      return this[OBJECTMODE]
    }
    set objectMode(om) {
      this[OBJECTMODE] = this[OBJECTMODE] || !!om
    }
    get ['async']() {
      return this[ASYNC]
    }
    set ['async'](a) {
      this[ASYNC] = this[ASYNC] || !!a
    }
    write(chunk, encoding, cb) {
      if (this[EOF]) {
        throw new Error('write after end')
      }
      if (this[DESTROYED]) {
        this.emit(
          'error',
          Object.assign(
            new Error('Cannot call write after a stream was destroyed'),
            {
              code: 'ERR_STREAM_DESTROYED'
            }
          )
        )
        return true
      }
      if (typeof encoding === 'function') {
        ;(cb = encoding), (encoding = 'utf8')
      }
      if (!encoding) {
        encoding = 'utf8'
      }
      const fn = this[ASYNC] ? defer : f => f()

      // convert array buffers and typed array views into buffers
      // at some point in the future, we may want to do the opposite!
      // leave strings and buffers as-is
      // anything else switches us into object mode
      if (!this[OBJECTMODE] && !Buffer.isBuffer(chunk)) {
        if (isArrayBufferView(chunk)) {
          chunk = Buffer.from(chunk.buffer, chunk.byteOffset, chunk.byteLength)
        } else if (isArrayBuffer(chunk)) {
          chunk = Buffer.from(chunk)
        } else if (typeof chunk !== 'string') {
          // use the setter so we throw if we have encoding set
          this.objectMode = true
        }
      }

      // handle object mode up front, since it's simpler
      // this yields better performance, fewer checks later.
      if (this[OBJECTMODE]) {
        /* istanbul ignore if - maybe impossible? */
        if (this.flowing && this[BUFFERLENGTH] !== 0) {
          this[FLUSH](true)
        }
        if (this.flowing) {
          this.emit('data', chunk)
        } else {
          this[BUFFERPUSH](chunk)
        }
        if (this[BUFFERLENGTH] !== 0) {
          this.emit('readable')
        }
        if (cb) {
          fn(cb)
        }
        return this.flowing
      }

      // at this point the chunk is a buffer or string
      // don't buffer it up or send it to the decoder
      if (!chunk.length) {
        if (this[BUFFERLENGTH] !== 0) {
          this.emit('readable')
        }
        if (cb) {
          fn(cb)
        }
        return this.flowing
      }

      // fast-path writing strings of same encoding to a stream with
      // an empty buffer, skipping the buffer/decoder dance
      if (
        typeof chunk === 'string' &&
        // unless it is a string already ready for us to use
        !(encoding === this[ENCODING] && !this[DECODER].lastNeed)
      ) {
        chunk = Buffer.from(chunk, encoding)
      }
      if (Buffer.isBuffer(chunk) && this[ENCODING]) {
        chunk = this[DECODER].write(chunk)
      }

      // Note: flushing CAN potentially switch us into not-flowing mode
      if (this.flowing && this[BUFFERLENGTH] !== 0) {
        this[FLUSH](true)
      }
      if (this.flowing) {
        this.emit('data', chunk)
      } else {
        this[BUFFERPUSH](chunk)
      }
      if (this[BUFFERLENGTH] !== 0) {
        this.emit('readable')
      }
      if (cb) {
        fn(cb)
      }
      return this.flowing
    }
    read(n) {
      if (this[DESTROYED]) {
        return null
      }
      if (this[BUFFERLENGTH] === 0 || n === 0 || n > this[BUFFERLENGTH]) {
        this[MAYBE_EMIT_END]()
        return null
      }
      if (this[OBJECTMODE]) {
        n = null
      }
      if (this.buffer.length > 1 && !this[OBJECTMODE]) {
        if (this.encoding) {
          this.buffer = [this.buffer.join('')]
        } else {
          this.buffer = [Buffer.concat(this.buffer, this[BUFFERLENGTH])]
        }
      }
      const ret = this[READ](n || null, this.buffer[0])
      this[MAYBE_EMIT_END]()
      return ret
    }
    [READ](n, chunk) {
      if (n === chunk.length || n === null) {
        this[BUFFERSHIFT]()
      } else {
        this.buffer[0] = chunk.slice(n)
        chunk = chunk.slice(0, n)
        this[BUFFERLENGTH] -= n
      }
      this.emit('data', chunk)
      if (!this.buffer.length && !this[EOF]) {
        this.emit('drain')
      }
      return chunk
    }
    end(chunk, encoding, cb) {
      if (typeof chunk === 'function') {
        ;(cb = chunk), (chunk = null)
      }
      if (typeof encoding === 'function') {
        ;(cb = encoding), (encoding = 'utf8')
      }
      if (chunk) {
        this.write(chunk, encoding)
      }
      if (cb) {
        this.once('end', cb)
      }
      this[EOF] = true
      this.writable = false

      // if we haven't written anything, then go ahead and emit,
      // even if we're not reading.
      // we'll re-emit if a new 'end' listener is added anyway.
      // This makes MP more suitable to write-only use cases.
      if (this.flowing || !this[PAUSED]) {
        this[MAYBE_EMIT_END]()
      }
      return this
    }

    // don't let the internal resume be overwritten
    [RESUME]() {
      if (this[DESTROYED]) {
        return
      }
      this[PAUSED] = false
      this[FLOWING] = true
      this.emit('resume')
      if (this.buffer.length) {
        this[FLUSH]()
      } else if (this[EOF]) {
        this[MAYBE_EMIT_END]()
      } else {
        this.emit('drain')
      }
    }
    resume() {
      return this[RESUME]()
    }
    pause() {
      this[FLOWING] = false
      this[PAUSED] = true
    }
    get destroyed() {
      return this[DESTROYED]
    }
    get flowing() {
      return this[FLOWING]
    }
    get paused() {
      return this[PAUSED]
    }
    [BUFFERPUSH](chunk) {
      if (this[OBJECTMODE]) {
        this[BUFFERLENGTH] += 1
      } else {
        this[BUFFERLENGTH] += chunk.length
      }
      this.buffer.push(chunk)
    }
    [BUFFERSHIFT]() {
      if (this.buffer.length) {
        if (this[OBJECTMODE]) {
          this[BUFFERLENGTH] -= 1
        } else {
          this[BUFFERLENGTH] -= this.buffer[0].length
        }
      }
      return this.buffer.shift()
    }
    [FLUSH](noDrain) {
      do {} while (this[FLUSHCHUNK](this[BUFFERSHIFT]()))
      if (!noDrain && !this.buffer.length && !this[EOF]) {
        this.emit('drain')
      }
    }
    [FLUSHCHUNK](chunk) {
      return chunk ? (this.emit('data', chunk), this.flowing) : false
    }
    pipe(dest, opts) {
      if (this[DESTROYED]) {
        return
      }
      const ended = this[EMITTED_END]
      opts = opts || {}
      if (dest === proc.stdout || dest === proc.stderr) {
        opts.end = false
      } else {
        opts.end = opts.end !== false
      }
      opts.proxyErrors = !!opts.proxyErrors

      // piping an ended stream ends immediately
      if (ended) {
        if (opts.end) {
          dest.end()
        }
      } else {
        this.pipes.push(
          !opts.proxyErrors
            ? new Pipe(this, dest, opts)
            : new PipeProxyErrors(this, dest, opts)
        )
        if (this[ASYNC]) {
          defer(() => this[RESUME]())
        } else {
          this[RESUME]()
        }
      }
      return dest
    }
    unpipe(dest) {
      const p = this.pipes.find(p => p.dest === dest)
      if (p) {
        this.pipes.splice(this.pipes.indexOf(p), 1)
        p.unpipe()
      }
    }
    addListener(ev, fn) {
      return this.on(ev, fn)
    }
    on(ev, fn) {
      const ret = super.on(ev, fn)
      if (ev === 'data' && !this.pipes.length && !this.flowing) {
        this[RESUME]()
      } else if (ev === 'readable' && this[BUFFERLENGTH] !== 0) {
        super.emit('readable')
      } else if (isEndish(ev) && this[EMITTED_END]) {
        super.emit(ev)
        this.removeAllListeners(ev)
      } else if (ev === 'error' && this[EMITTED_ERROR]) {
        if (this[ASYNC]) {
          defer(() => fn.call(this, this[EMITTED_ERROR]))
        } else {
          fn.call(this, this[EMITTED_ERROR])
        }
      }
      return ret
    }
    get emittedEnd() {
      return this[EMITTED_END]
    }
    [MAYBE_EMIT_END]() {
      if (
        !this[EMITTING_END] &&
        !this[EMITTED_END] &&
        !this[DESTROYED] &&
        this.buffer.length === 0 &&
        this[EOF]
      ) {
        this[EMITTING_END] = true
        this.emit('end')
        this.emit('prefinish')
        this.emit('finish')
        if (this[CLOSED]) {
          this.emit('close')
        }
        this[EMITTING_END] = false
      }
    }
    emit(ev, data, ...extra) {
      // error and close are only events allowed after calling destroy()
      if (
        ev !== 'error' &&
        ev !== 'close' &&
        ev !== DESTROYED &&
        this[DESTROYED]
      ) {
        return
      } else if (ev === 'data') {
        return !data
          ? false
          : this[ASYNC]
            ? defer(() => this[EMITDATA](data))
            : this[EMITDATA](data)
      } else if (ev === 'end') {
        return this[EMITEND]()
      } else if (ev === 'close') {
        this[CLOSED] = true
        // don't emit close before 'end' and 'finish'
        if (!this[EMITTED_END] && !this[DESTROYED]) {
          return
        }
        const ret = super.emit('close')
        this.removeAllListeners('close')
        return ret
      } else if (ev === 'error') {
        this[EMITTED_ERROR] = data
        const ret = super.emit('error', data)
        this[MAYBE_EMIT_END]()
        return ret
      } else if (ev === 'resume') {
        const ret = super.emit('resume')
        this[MAYBE_EMIT_END]()
        return ret
      } else if (ev === 'finish' || ev === 'prefinish') {
        const ret = super.emit(ev)
        this.removeAllListeners(ev)
        return ret
      }

      // Some other unknown event
      const ret = super.emit(ev, data, ...extra)
      this[MAYBE_EMIT_END]()
      return ret
    }
    [EMITDATA](data) {
      for (const p of this.pipes) {
        if (p.dest.write(data) === false) {
          this.pause()
        }
      }
      const ret = super.emit('data', data)
      this[MAYBE_EMIT_END]()
      return ret
    }
    [EMITEND]() {
      if (this[EMITTED_END]) {
        return
      }
      this[EMITTED_END] = true
      this.readable = false
      if (this[ASYNC]) {
        defer(() => this[EMITEND2]())
      } else {
        this[EMITEND2]()
      }
    }
    [EMITEND2]() {
      if (this[DECODER]) {
        const data = this[DECODER].end()
        if (data) {
          for (const p of this.pipes) {
            p.dest.write(data)
          }
          super.emit('data', data)
        }
      }
      for (const p of this.pipes) {
        p.end()
      }
      const ret = super.emit('end')
      this.removeAllListeners('end')
      return ret
    }

    // const all = await stream.collect()
    collect() {
      const buf = []
      if (!this[OBJECTMODE]) {
        buf.dataLength = 0
      }
      // set the promise first, in case an error is raised
      // by triggering the flow here.
      const p = this.promise()
      this.on('data', c => {
        buf.push(c)
        if (!this[OBJECTMODE]) {
          buf.dataLength += c.length
        }
      })
      return p.then(() => buf)
    }

    // const data = await stream.concat()
    concat() {
      return this[OBJECTMODE]
        ? Promise.reject(new Error('cannot concat in objectMode'))
        : this.collect().then(buf =>
            this[OBJECTMODE]
              ? Promise.reject(new Error('cannot concat in objectMode'))
              : this[ENCODING]
                ? buf.join('')
                : Buffer.concat(buf, buf.dataLength)
          )
    }

    // stream.promise().then(() => done, er => emitted error)
    promise() {
      return new Promise((resolve, reject) => {
        this.on(DESTROYED, () => reject(new Error('stream destroyed')))
        this.on('error', er => reject(er))
        this.on('end', () => resolve())
      })
    }

    // for await (let chunk of stream)
    [ASYNCITERATOR]() {
      const next = () => {
        const res = this.read()
        if (res !== null) {
          return Promise.resolve({
            done: false,
            value: res
          })
        }
        if (this[EOF]) {
          return Promise.resolve({
            done: true
          })
        }
        let resolve = null
        let reject = null
        const onerr = er => {
          this.removeListener('data', ondata)
          this.removeListener('end', onend)
          reject(er)
        }
        const ondata = value => {
          this.removeListener('error', onerr)
          this.removeListener('end', onend)
          this.pause()
          resolve({
            value: value,
            done: !!this[EOF]
          })
        }
        const onend = () => {
          this.removeListener('error', onerr)
          this.removeListener('data', ondata)
          resolve({
            done: true
          })
        }
        const ondestroy = () => onerr(new Error('stream destroyed'))
        return new Promise((res, rej) => {
          reject = rej
          resolve = res
          this.once(DESTROYED, ondestroy)
          this.once('error', onerr)
          this.once('end', onend)
          this.once('data', ondata)
        })
      }
      return {
        next
      }
    }

    // for (let chunk of stream)
    [ITERATOR]() {
      const next = () => {
        const value = this.read()
        const done = value === null
        return {
          value,
          done
        }
      }
      return {
        next
      }
    }
    destroy(er) {
      if (this[DESTROYED]) {
        if (er) {
          this.emit('error', er)
        } else {
          this.emit(DESTROYED)
        }
        return this
      }
      this[DESTROYED] = true

      // throw away all buffered data, it's never coming out
      this.buffer.length = 0
      this[BUFFERLENGTH] = 0
      if (typeof this.close === 'function' && !this[CLOSED]) {
        this.close()
      }
      if (er) {
        this.emit('error', er)
      }
      // if no error to emit, still reject pending promises
      else {
        this.emit(DESTROYED)
      }
      return this
    }
    static isStream(s) {
      return (
        !!s &&
        (s instanceof Minipass ||
          s instanceof Stream ||
          (s instanceof EE &&
            (typeof s.pipe === 'function' ||
              // readable
              (typeof s.write === 'function' && typeof s.end === 'function')))) // writable
      )
    }
  }
  return minipass
}

let minipassPipeline
let hasRequiredMinipassPipeline
function requireMinipassPipeline() {
  if (hasRequiredMinipassPipeline) {
    return minipassPipeline
  }
  hasRequiredMinipassPipeline = 1
  const Minipass = requireMinipass()
  const EE = require$$0$5
  const isStream = s =>
    s &&
    s instanceof EE &&
    (typeof s.pipe === 'function' ||
      // readable
      (typeof s.write === 'function' && typeof s.end === 'function')) // writable
  const _head = Symbol('_head')
  const _tail = Symbol('_tail')
  const _linkStreams = Symbol('_linkStreams')
  const _setHead = Symbol('_setHead')
  const _setTail = Symbol('_setTail')
  const _onError = Symbol('_onError')
  const _onData = Symbol('_onData')
  const _onEnd = Symbol('_onEnd')
  const _onDrain = Symbol('_onDrain')
  const _streams = Symbol('_streams')
  class Pipeline extends Minipass {
    constructor(opts, ...streams) {
      if (isStream(opts)) {
        streams.unshift(opts)
        opts = {}
      }
      super(opts)
      this[_streams] = []
      if (streams.length) {
        this.push(...streams)
      }
    }
    [_linkStreams](streams) {
      // reduce takes (left,right), and we return right to make it the
      // new left value.
      return streams.reduce((src, dest) => {
        src.on('error', er => dest.emit('error', er))
        src.pipe(dest)
        return dest
      })
    }
    push(...streams) {
      this[_streams].push(...streams)
      if (this[_tail]) {
        streams.unshift(this[_tail])
      }
      const linkRet = this[_linkStreams](streams)
      this[_setTail](linkRet)
      if (!this[_head]) {
        this[_setHead](streams[0])
      }
    }
    unshift(...streams) {
      this[_streams].unshift(...streams)
      if (this[_head]) {
        streams.push(this[_head])
      }
      const linkRet = this[_linkStreams](streams)
      this[_setHead](streams[0])
      if (!this[_tail]) {
        this[_setTail](linkRet)
      }
    }
    destroy(er) {
      // set fire to the whole thing.
      this[_streams].forEach(
        s => typeof s.destroy === 'function' && s.destroy()
      )
      return super.destroy(er)
    }

    // readable interface -> tail
    [_setTail](stream) {
      this[_tail] = stream
      stream.on('error', er => this[_onError](stream, er))
      stream.on('data', chunk => this[_onData](stream, chunk))
      stream.on('end', () => this[_onEnd](stream))
      stream.on('finish', () => this[_onEnd](stream))
    }

    // errors proxied down the pipeline
    // they're considered part of the "read" interface
    [_onError](stream, er) {
      if (stream === this[_tail]) {
        this.emit('error', er)
      }
    }
    [_onData](stream, chunk) {
      if (stream === this[_tail]) {
        super.write(chunk)
      }
    }
    [_onEnd](stream) {
      if (stream === this[_tail]) {
        super.end()
      }
    }
    pause() {
      super.pause()
      return this[_tail] && this[_tail].pause && this[_tail].pause()
    }

    // NB: Minipass calls its internal private [RESUME] method during
    // pipe drains, to avoid hazards where stream.resume() is overridden.
    // Thus, we need to listen to the resume *event*, not override the
    // resume() method, and proxy *that* to the tail.
    emit(ev, ...args) {
      if (ev === 'resume' && this[_tail] && this[_tail].resume) {
        this[_tail].resume()
      }
      return super.emit(ev, ...args)
    }

    // writable interface -> head
    [_setHead](stream) {
      this[_head] = stream
      stream.on('drain', () => this[_onDrain](stream))
    }
    [_onDrain](stream) {
      if (stream === this[_head]) {
        this.emit('drain')
      }
    }
    write(chunk, enc, cb) {
      return (
        this[_head].write(chunk, enc, cb) &&
        (this.flowing || this.buffer.length === 0)
      )
    }
    end(chunk, enc, cb) {
      this[_head].end(chunk, enc, cb)
      return this
    }
  }
  minipassPipeline = Pipeline
  return minipassPipeline
}

const entryIndex = {}

const imurmurhash = { exports: {} }

/**
 * @preserve
 * JS Implementation of incremental MurmurHash3 (r150) (as of May 10, 2013)
 *
 * @author <a href="mailto:jensyt@gmail.com">Jens Taylor</a>
 * @see http://github.com/homebrewing/brauhaus-diff
 * @author <a href="mailto:gary.court@gmail.com">Gary Court</a>
 * @see http://github.com/garycourt/murmurhash-js
 * @author <a href="mailto:aappleby@gmail.com">Austin Appleby</a>
 * @see http://sites.google.com/site/murmurhash/
 */
let hasRequiredImurmurhash
function requireImurmurhash() {
  if (hasRequiredImurmurhash) {
    return imurmurhash.exports
  }
  hasRequiredImurmurhash = 1
  ;(function (module) {
    ;(function () {
      let cache

      // Call this function without `new` to use the cached object (good for
      // single-threaded environments), or with `new` to create a new object.
      //
      // @param {string} key A UTF-16 or ASCII string
      // @param {number} seed An optional positive integer
      // @return {object} A MurmurHash3 object for incremental hashing
      function MurmurHash3(key, seed) {
        const m = this instanceof MurmurHash3 ? this : cache
        m.reset(seed)
        if (typeof key === 'string' && key.length > 0) {
          m.hash(key)
        }
        if (m !== this) {
          return m
        }
      }

      // Incrementally add a string to this hash
      //
      // @param {string} key A UTF-16 or ASCII string
      // @return {object} this
      MurmurHash3.prototype.hash = function (key) {
        let h1, k1, i, top, len
        len = key.length
        this.len += len
        k1 = this.k1
        i = 0
        switch (this.rem) {
          case 0:
            k1 ^= len > i ? key.charCodeAt(i++) & 0xffff : 0
          case 1:
            k1 ^= len > i ? (key.charCodeAt(i++) & 0xffff) << 8 : 0
          case 2:
            k1 ^= len > i ? (key.charCodeAt(i++) & 0xffff) << 16 : 0
          case 3:
            k1 ^= len > i ? (key.charCodeAt(i) & 0xff) << 24 : 0
            k1 ^= len > i ? (key.charCodeAt(i++) & 0xff00) >> 8 : 0
        }
        this.rem = (len + this.rem) & 3 // & 3 is same as % 4
        len -= this.rem
        if (len > 0) {
          h1 = this.h1
          while (1) {
            k1 = (k1 * 0x2d51 + (k1 & 0xffff) * 0xcc9e0000) & 0xffffffff
            k1 = (k1 << 15) | (k1 >>> 17)
            k1 = (k1 * 0x3593 + (k1 & 0xffff) * 0x1b870000) & 0xffffffff
            h1 ^= k1
            h1 = (h1 << 13) | (h1 >>> 19)
            h1 = (h1 * 5 + 0xe6546b64) & 0xffffffff
            if (i >= len) {
              break
            }
            k1 =
              (key.charCodeAt(i++) & 0xffff) ^
              ((key.charCodeAt(i++) & 0xffff) << 8) ^
              ((key.charCodeAt(i++) & 0xffff) << 16)
            top = key.charCodeAt(i++)
            k1 ^= ((top & 0xff) << 24) ^ ((top & 0xff00) >> 8)
          }
          k1 = 0
          switch (this.rem) {
            case 3:
              k1 ^= (key.charCodeAt(i + 2) & 0xffff) << 16
            case 2:
              k1 ^= (key.charCodeAt(i + 1) & 0xffff) << 8
            case 1:
              k1 ^= key.charCodeAt(i) & 0xffff
          }
          this.h1 = h1
        }
        this.k1 = k1
        return this
      }

      // Get the result of this hash
      //
      // @return {number} The 32-bit hash
      MurmurHash3.prototype.result = function () {
        let k1, h1
        k1 = this.k1
        h1 = this.h1
        if (k1 > 0) {
          k1 = (k1 * 0x2d51 + (k1 & 0xffff) * 0xcc9e0000) & 0xffffffff
          k1 = (k1 << 15) | (k1 >>> 17)
          k1 = (k1 * 0x3593 + (k1 & 0xffff) * 0x1b870000) & 0xffffffff
          h1 ^= k1
        }
        h1 ^= this.len
        h1 ^= h1 >>> 16
        h1 = (h1 * 0xca6b + (h1 & 0xffff) * 0x85eb0000) & 0xffffffff
        h1 ^= h1 >>> 13
        h1 = (h1 * 0xae35 + (h1 & 0xffff) * 0xc2b20000) & 0xffffffff
        h1 ^= h1 >>> 16
        return h1 >>> 0
      }

      // Reset the hash object for reuse
      //
      // @param {number} seed An optional positive integer
      MurmurHash3.prototype.reset = function (seed) {
        this.h1 = typeof seed === 'number' ? seed : 0
        this.rem = this.k1 = this.len = 0
        return this
      }

      // A cached object to use. This can be safely used if you're in a single-
      // threaded environment, otherwise you need to create new hashes to use.
      cache = new MurmurHash3()
      {
        module.exports = MurmurHash3
      }
    })()
  })(imurmurhash)
  return imurmurhash.exports
}

let lib$5
let hasRequiredLib$7
function requireLib$7() {
  if (hasRequiredLib$7) {
    return lib$5
  }
  hasRequiredLib$7 = 1
  const MurmurHash3 = requireImurmurhash()
  lib$5 = function (uniq) {
    if (uniq) {
      const hash = new MurmurHash3(uniq)
      return ('00000000' + hash.result().toString(16)).slice(-8)
    } else {
      return (Math.random().toString(16) + '0000000').slice(2, 10)
    }
  }
  return lib$5
}

let lib$4
let hasRequiredLib$6
function requireLib$6() {
  if (hasRequiredLib$6) {
    return lib$4
  }
  hasRequiredLib$6 = 1
  const path = require$$0$a
  const uniqueSlug = requireLib$7()
  lib$4 = function (filepath, prefix, uniq) {
    return path.join(filepath, (prefix ? prefix + '-' : '') + uniqueSlug(uniq))
  }
  return lib$4
}

const path = { exports: {} }

const require$$8 = {
  'cache-version': {
    content: '2',
    index: '5'
  }
}

let hashToSegments_1
let hasRequiredHashToSegments
function requireHashToSegments() {
  if (hasRequiredHashToSegments) {
    return hashToSegments_1
  }
  hasRequiredHashToSegments = 1
  hashToSegments_1 = hashToSegments
  function hashToSegments(hash) {
    return [hash.slice(0, 2), hash.slice(2, 4), hash.slice(4)]
  }
  return hashToSegments_1
}

let hasRequiredPath
function requirePath() {
  if (hasRequiredPath) {
    return path.exports
  }
  hasRequiredPath = 1
  const contentVer = require$$8['cache-version'].content
  const hashToSegments = requireHashToSegments()
  const path$1 = require$$0$a
  const ssri = requireLib$8()

  // Current format of content file path:
  //
  // sha512-BaSE64Hex= ->
  // ~/.my-cache/content-v2/sha512/ba/da/55deadbeefc0ffee
  //
  path.exports = contentPath
  function contentPath(cache, integrity) {
    const sri = ssri.parse(integrity, {
      single: true
    })
    // contentPath is the *strongest* algo given
    return path$1.join(
      contentDir(cache),
      sri.algorithm,
      ...hashToSegments(sri.hexDigest())
    )
  }
  path.exports.contentDir = contentDir
  function contentDir(cache) {
    return path$1.join(cache, `content-v${contentVer}`)
  }
  return path.exports
}

let getOptions_1
let hasRequiredGetOptions
function requireGetOptions() {
  if (hasRequiredGetOptions) {
    return getOptions_1
  }
  hasRequiredGetOptions = 1
  // given an input that may or may not be an object, return an object that has
  // a copy of every defined property listed in 'copy'. if the input is not an
  // object, assign it to the property named by 'wrap'
  const getOptions = (input, { copy, wrap }) => {
    const result = {}
    if (input && typeof input === 'object') {
      for (const prop of copy) {
        if (input[prop] !== undefined) {
          result[prop] = input[prop]
        }
      }
    } else {
      result[wrap] = input
    }
    return result
  }
  getOptions_1 = getOptions
  return getOptions_1
}

const re = { exports: {} }

let constants$3
let hasRequiredConstants$3
function requireConstants$3() {
  if (hasRequiredConstants$3) {
    return constants$3
  }
  hasRequiredConstants$3 = 1

  // Note: this is the semver.org version of the spec that it implements
  // Not necessarily the package version of this code.
  const SEMVER_SPEC_VERSION = '2.0.0'
  const MAX_LENGTH = 256
  const MAX_SAFE_INTEGER =
    Number.MAX_SAFE_INTEGER || /* istanbul ignore next */ 9007199254740991

  // Max safe segment length for coercion.
  const MAX_SAFE_COMPONENT_LENGTH = 16

  // Max safe length for a build identifier. The max length minus 6 characters for
  // the shortest version with a build 0.0.0+BUILD.
  const MAX_SAFE_BUILD_LENGTH = MAX_LENGTH - 6
  const RELEASE_TYPES = [
    'major',
    'premajor',
    'minor',
    'preminor',
    'patch',
    'prepatch',
    'prerelease'
  ]
  constants$3 = {
    MAX_LENGTH,
    MAX_SAFE_COMPONENT_LENGTH,
    MAX_SAFE_BUILD_LENGTH,
    MAX_SAFE_INTEGER,
    RELEASE_TYPES,
    SEMVER_SPEC_VERSION,
    FLAG_INCLUDE_PRERELEASE: 0b001,
    FLAG_LOOSE: 0b010
  }
  return constants$3
}

let debug_1
let hasRequiredDebug
function requireDebug() {
  if (hasRequiredDebug) {
    return debug_1
  }
  hasRequiredDebug = 1
  const debug =
    typeof process === 'object' &&
    process.env &&
    process.env.NODE_DEBUG &&
    /\bsemver\b/i.test(process.env.NODE_DEBUG)
      ? (...args) => console.error('SEMVER', ...args)
      : () => {}
  debug_1 = debug
  return debug_1
}

let hasRequiredRe
function requireRe() {
  if (hasRequiredRe) {
    return re.exports
  }
  hasRequiredRe = 1
  ;(function (module, exports) {
    const { MAX_SAFE_COMPONENT_LENGTH, MAX_SAFE_BUILD_LENGTH, MAX_LENGTH } =
      requireConstants$3()
    const debug = requireDebug()
    exports = module.exports = {}

    // The actual regexps go on exports.re
    const re = (exports.re = [])
    const safeRe = (exports.safeRe = [])
    const src = (exports.src = [])
    const safeSrc = (exports.safeSrc = [])
    const t = (exports.t = {})
    let R = 0
    const LETTERDASHNUMBER = '[a-zA-Z0-9-]'

    // Replace some greedy regex tokens to prevent regex dos issues. These regex are
    // used internally via the safeRe object since all inputs in this library get
    // normalized first to trim and collapse all extra whitespace. The original
    // regexes are exported for userland consumption and lower level usage. A
    // future breaking change could export the safer regex only with a note that
    // all input should have extra whitespace removed.
    const safeRegexReplacements = [
      ['\\s', 1],
      ['\\d', MAX_LENGTH],
      [LETTERDASHNUMBER, MAX_SAFE_BUILD_LENGTH]
    ]
    const makeSafeRegex = value => {
      for (const [token, max] of safeRegexReplacements) {
        value = value
          .split(`${token}*`)
          .join(`${token}{0,${max}}`)
          .split(`${token}+`)
          .join(`${token}{1,${max}}`)
      }
      return value
    }
    const createToken = (name, value, isGlobal) => {
      const safe = makeSafeRegex(value)
      const index = R++
      debug(name, index, value)
      t[name] = index
      src[index] = value
      safeSrc[index] = safe
      re[index] = new RegExp(value, isGlobal ? 'g' : undefined)
      safeRe[index] = new RegExp(safe, isGlobal ? 'g' : undefined)
    }

    // The following Regular Expressions can be used for tokenizing,
    // validating, and parsing SemVer version strings.

    // ## Numeric Identifier
    // A single `0`, or a non-zero digit followed by zero or more digits.

    createToken('NUMERICIDENTIFIER', '0|[1-9]\\d*')
    createToken('NUMERICIDENTIFIERLOOSE', '\\d+')

    // ## Non-numeric Identifier
    // Zero or more digits, followed by a letter or hyphen, and then zero or
    // more letters, digits, or hyphens.

    createToken('NONNUMERICIDENTIFIER', `\\d*[a-zA-Z-]${LETTERDASHNUMBER}*`)

    // ## Main Version
    // Three dot-separated numeric identifiers.

    createToken(
      'MAINVERSION',
      `(${src[t.NUMERICIDENTIFIER]})\\.` +
        `(${src[t.NUMERICIDENTIFIER]})\\.` +
        `(${src[t.NUMERICIDENTIFIER]})`
    )
    createToken(
      'MAINVERSIONLOOSE',
      `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.` +
        `(${src[t.NUMERICIDENTIFIERLOOSE]})\\.` +
        `(${src[t.NUMERICIDENTIFIERLOOSE]})`
    )

    // ## Pre-release Version Identifier
    // A numeric identifier, or a non-numeric identifier.
    // Non-numberic identifiers include numberic identifiers but can be longer.
    // Therefore non-numberic identifiers must go first.

    createToken(
      'PRERELEASEIDENTIFIER',
      `(?:${src[t.NONNUMERICIDENTIFIER]}|${src[t.NUMERICIDENTIFIER]})`
    )
    createToken(
      'PRERELEASEIDENTIFIERLOOSE',
      `(?:${src[t.NONNUMERICIDENTIFIER]}|${src[t.NUMERICIDENTIFIERLOOSE]})`
    )

    // ## Pre-release Version
    // Hyphen, followed by one or more dot-separated pre-release version
    // identifiers.

    createToken(
      'PRERELEASE',
      `(?:-(${src[t.PRERELEASEIDENTIFIER]}(?:\\.${src[t.PRERELEASEIDENTIFIER]})*))`
    )
    createToken(
      'PRERELEASELOOSE',
      `(?:-?(${src[t.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${src[t.PRERELEASEIDENTIFIERLOOSE]})*))`
    )

    // ## Build Metadata Identifier
    // Any combination of digits, letters, or hyphens.

    createToken('BUILDIDENTIFIER', `${LETTERDASHNUMBER}+`)

    // ## Build Metadata
    // Plus sign, followed by one or more period-separated build metadata
    // identifiers.

    createToken(
      'BUILD',
      `(?:\\+(${src[t.BUILDIDENTIFIER]}(?:\\.${src[t.BUILDIDENTIFIER]})*))`
    )

    // ## Full Version String
    // A main version, followed optionally by a pre-release version and
    // build metadata.

    // Note that the only major, minor, patch, and pre-release sections of
    // the version string are capturing groups.  The build metadata is not a
    // capturing group, because it should not ever be used in version
    // comparison.

    createToken(
      'FULLPLAIN',
      `v?${src[t.MAINVERSION]}${src[t.PRERELEASE]}?${src[t.BUILD]}?`
    )
    createToken('FULL', `^${src[t.FULLPLAIN]}$`)

    // like full, but allows v1.2.3 and =1.2.3, which people do sometimes.
    // also, 1.0.0alpha1 (prerelease without the hyphen) which is pretty
    // common in the npm registry.
    createToken(
      'LOOSEPLAIN',
      `[v=\\s]*${src[t.MAINVERSIONLOOSE]}${src[t.PRERELEASELOOSE]}?${src[t.BUILD]}?`
    )
    createToken('LOOSE', `^${src[t.LOOSEPLAIN]}$`)
    createToken('GTLT', '((?:<|>)?=?)')

    // Something like "2.*" or "1.2.x".
    // Note that "x.x" is a valid xRange identifer, meaning "any version"
    // Only the first item is strictly required.
    createToken(
      'XRANGEIDENTIFIERLOOSE',
      `${src[t.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`
    )
    createToken('XRANGEIDENTIFIER', `${src[t.NUMERICIDENTIFIER]}|x|X|\\*`)
    createToken(
      'XRANGEPLAIN',
      `[v=\\s]*(${src[t.XRANGEIDENTIFIER]})` +
        `(?:\\.(${src[t.XRANGEIDENTIFIER]})` +
        `(?:\\.(${src[t.XRANGEIDENTIFIER]})` +
        `(?:${src[t.PRERELEASE]})?${src[t.BUILD]}?` +
        `)?)?`
    )
    createToken(
      'XRANGEPLAINLOOSE',
      `[v=\\s]*(${src[t.XRANGEIDENTIFIERLOOSE]})` +
        `(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})` +
        `(?:\\.(${src[t.XRANGEIDENTIFIERLOOSE]})` +
        `(?:${src[t.PRERELEASELOOSE]})?${src[t.BUILD]}?` +
        `)?)?`
    )
    createToken('XRANGE', `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAIN]}$`)
    createToken('XRANGELOOSE', `^${src[t.GTLT]}\\s*${src[t.XRANGEPLAINLOOSE]}$`)

    // Coercion.
    // Extract anything that could conceivably be a part of a valid semver
    createToken(
      'COERCEPLAIN',
      `${'(^|[^\\d])' + '(\\d{1,'}${MAX_SAFE_COMPONENT_LENGTH}})` +
        `(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?` +
        `(?:\\.(\\d{1,${MAX_SAFE_COMPONENT_LENGTH}}))?`
    )
    createToken('COERCE', `${src[t.COERCEPLAIN]}(?:$|[^\\d])`)
    createToken(
      'COERCEFULL',
      src[t.COERCEPLAIN] +
        `(?:${src[t.PRERELEASE]})?` +
        `(?:${src[t.BUILD]})?` +
        `(?:$|[^\\d])`
    )
    createToken('COERCERTL', src[t.COERCE], true)
    createToken('COERCERTLFULL', src[t.COERCEFULL], true)

    // Tilde ranges.
    // Meaning is "reasonably at or greater than"
    createToken('LONETILDE', '(?:~>?)')
    createToken('TILDETRIM', `(\\s*)${src[t.LONETILDE]}\\s+`, true)
    exports.tildeTrimReplace = '$1~'
    createToken('TILDE', `^${src[t.LONETILDE]}${src[t.XRANGEPLAIN]}$`)
    createToken('TILDELOOSE', `^${src[t.LONETILDE]}${src[t.XRANGEPLAINLOOSE]}$`)

    // Caret ranges.
    // Meaning is "at least and backwards compatible with"
    createToken('LONECARET', '(?:\\^)')
    createToken('CARETTRIM', `(\\s*)${src[t.LONECARET]}\\s+`, true)
    exports.caretTrimReplace = '$1^'
    createToken('CARET', `^${src[t.LONECARET]}${src[t.XRANGEPLAIN]}$`)
    createToken('CARETLOOSE', `^${src[t.LONECARET]}${src[t.XRANGEPLAINLOOSE]}$`)

    // A simple gt/lt/eq thing, or just "" to indicate "any version"
    createToken(
      'COMPARATORLOOSE',
      `^${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]})$|^$`
    )
    createToken('COMPARATOR', `^${src[t.GTLT]}\\s*(${src[t.FULLPLAIN]})$|^$`)

    // An expression to strip any whitespace between the gtlt and the thing
    // it modifies, so that `> 1.2.3` ==> `>1.2.3`
    createToken(
      'COMPARATORTRIM',
      `(\\s*)${src[t.GTLT]}\\s*(${src[t.LOOSEPLAIN]}|${src[t.XRANGEPLAIN]})`,
      true
    )
    exports.comparatorTrimReplace = '$1$2$3'

    // Something like `1.2.3 - 1.2.4`
    // Note that these all use the loose form, because they'll be
    // checked against either the strict or loose comparator form
    // later.
    createToken(
      'HYPHENRANGE',
      `^\\s*(${src[t.XRANGEPLAIN]})` +
        `\\s+-\\s+` +
        `(${src[t.XRANGEPLAIN]})` +
        `\\s*$`
    )
    createToken(
      'HYPHENRANGELOOSE',
      `^\\s*(${src[t.XRANGEPLAINLOOSE]})` +
        `\\s+-\\s+` +
        `(${src[t.XRANGEPLAINLOOSE]})` +
        `\\s*$`
    )

    // Star ranges basically just allow anything at all.
    createToken('STAR', '(<|>)?=?\\s*\\*')
    // >=0.0.0 is like a star
    createToken('GTE0', '^\\s*>=\\s*0\\.0\\.0\\s*$')
    createToken('GTE0PRE', '^\\s*>=\\s*0\\.0\\.0-0\\s*$')
  })(re, re.exports)
  return re.exports
}

let parseOptions_1
let hasRequiredParseOptions
function requireParseOptions() {
  if (hasRequiredParseOptions) {
    return parseOptions_1
  }
  hasRequiredParseOptions = 1

  // parse out just the options we care about
  const looseOption = Object.freeze({
    loose: true
  })
  const emptyOpts = Object.freeze({})
  const parseOptions = options => {
    if (!options) {
      return emptyOpts
    }
    if (typeof options !== 'object') {
      return looseOption
    }
    return options
  }
  parseOptions_1 = parseOptions
  return parseOptions_1
}

let identifiers
let hasRequiredIdentifiers
function requireIdentifiers() {
  if (hasRequiredIdentifiers) {
    return identifiers
  }
  hasRequiredIdentifiers = 1
  const numeric = /^[0-9]+$/
  const compareIdentifiers = (a, b) => {
    const anum = numeric.test(a)
    const bnum = numeric.test(b)
    if (anum && bnum) {
      a = +a
      b = +b
    }
    return a === b ? 0 : anum && !bnum ? -1 : bnum && !anum ? 1 : a < b ? -1 : 1
  }
  const rcompareIdentifiers = (a, b) => compareIdentifiers(b, a)
  identifiers = {
    compareIdentifiers,
    rcompareIdentifiers
  }
  return identifiers
}

let semver$1
let hasRequiredSemver$1
function requireSemver$1() {
  if (hasRequiredSemver$1) {
    return semver$1
  }
  hasRequiredSemver$1 = 1
  const debug = requireDebug()
  const { MAX_LENGTH, MAX_SAFE_INTEGER } = requireConstants$3()
  const { safeRe: re, t } = requireRe()
  const parseOptions = requireParseOptions()
  const { compareIdentifiers } = requireIdentifiers()
  class SemVer {
    constructor(version, options) {
      options = parseOptions(options)
      if (version instanceof SemVer) {
        if (
          version.loose === !!options.loose &&
          version.includePrerelease === !!options.includePrerelease
        ) {
          return version
        } else {
          version = version.version
        }
      } else if (typeof version !== 'string') {
        throw new TypeError(
          `Invalid version. Must be a string. Got type "${typeof version}".`
        )
      }
      if (version.length > MAX_LENGTH) {
        throw new TypeError(`version is longer than ${MAX_LENGTH} characters`)
      }
      debug('SemVer', version, options)
      this.options = options
      this.loose = !!options.loose
      // this isn't actually relevant for versions, but keep it so that we
      // don't run into trouble passing this.options around.
      this.includePrerelease = !!options.includePrerelease
      const m = version.trim().match(options.loose ? re[t.LOOSE] : re[t.FULL])
      if (!m) {
        throw new TypeError(`Invalid Version: ${version}`)
      }
      this.raw = version

      // these are actually numbers
      this.major = +m[1]
      this.minor = +m[2]
      this.patch = +m[3]
      if (this.major > MAX_SAFE_INTEGER || this.major < 0) {
        throw new TypeError('Invalid major version')
      }
      if (this.minor > MAX_SAFE_INTEGER || this.minor < 0) {
        throw new TypeError('Invalid minor version')
      }
      if (this.patch > MAX_SAFE_INTEGER || this.patch < 0) {
        throw new TypeError('Invalid patch version')
      }

      // numberify any prerelease numeric ids
      if (!m[4]) {
        this.prerelease = []
      } else {
        this.prerelease = m[4].split('.').map(id => {
          if (/^[0-9]+$/.test(id)) {
            const num = +id
            if (num >= 0 && num < MAX_SAFE_INTEGER) {
              return num
            }
          }
          return id
        })
      }
      this.build = m[5] ? m[5].split('.') : []
      this.format()
    }
    format() {
      this.version = `${this.major}.${this.minor}.${this.patch}`
      if (this.prerelease.length) {
        this.version += `-${this.prerelease.join('.')}`
      }
      return this.version
    }
    toString() {
      return this.version
    }
    compare(other) {
      debug('SemVer.compare', this.version, this.options, other)
      if (!(other instanceof SemVer)) {
        if (typeof other === 'string' && other === this.version) {
          return 0
        }
        other = new SemVer(other, this.options)
      }
      if (other.version === this.version) {
        return 0
      }
      return this.compareMain(other) || this.comparePre(other)
    }
    compareMain(other) {
      if (!(other instanceof SemVer)) {
        other = new SemVer(other, this.options)
      }
      return (
        compareIdentifiers(this.major, other.major) ||
        compareIdentifiers(this.minor, other.minor) ||
        compareIdentifiers(this.patch, other.patch)
      )
    }
    comparePre(other) {
      if (!(other instanceof SemVer)) {
        other = new SemVer(other, this.options)
      }

      // NOT having a prerelease is > having one
      if (this.prerelease.length && !other.prerelease.length) {
        return -1
      } else if (!this.prerelease.length && other.prerelease.length) {
        return 1
      } else if (!this.prerelease.length && !other.prerelease.length) {
        return 0
      }
      let i = 0
      do {
        const a = this.prerelease[i]
        const b = other.prerelease[i]
        debug('prerelease compare', i, a, b)
        if (a === undefined && b === undefined) {
          return 0
        } else if (b === undefined) {
          return 1
        } else if (a === undefined) {
          return -1
        } else if (a === b) {
          continue
        } else {
          return compareIdentifiers(a, b)
        }
      } while (++i)
    }
    compareBuild(other) {
      if (!(other instanceof SemVer)) {
        other = new SemVer(other, this.options)
      }
      let i = 0
      do {
        const a = this.build[i]
        const b = other.build[i]
        debug('build compare', i, a, b)
        if (a === undefined && b === undefined) {
          return 0
        } else if (b === undefined) {
          return 1
        } else if (a === undefined) {
          return -1
        } else if (a === b) {
          continue
        } else {
          return compareIdentifiers(a, b)
        }
      } while (++i)
    }

    // preminor will bump the version up to the next minor release, and immediately
    // down to pre-release. premajor and prepatch work the same way.
    inc(release, identifier, identifierBase) {
      if (release.startsWith('pre')) {
        if (!identifier && identifierBase === false) {
          throw new Error('invalid increment argument: identifier is empty')
        }
        // Avoid an invalid semver results
        if (identifier) {
          const match = `-${identifier}`.match(
            this.options.loose ? re[t.PRERELEASELOOSE] : re[t.PRERELEASE]
          )
          if (!match || match[1] !== identifier) {
            throw new Error(`invalid identifier: ${identifier}`)
          }
        }
      }
      switch (release) {
        case 'premajor':
          this.prerelease.length = 0
          this.patch = 0
          this.minor = 0
          this.major++
          this.inc('pre', identifier, identifierBase)
          break
        case 'preminor':
          this.prerelease.length = 0
          this.patch = 0
          this.minor++
          this.inc('pre', identifier, identifierBase)
          break
        case 'prepatch':
          // If this is already a prerelease, it will bump to the next version
          // drop any prereleases that might already exist, since they are not
          // relevant at this point.
          this.prerelease.length = 0
          this.inc('patch', identifier, identifierBase)
          this.inc('pre', identifier, identifierBase)
          break
        // If the input is a non-prerelease version, this acts the same as
        // prepatch.
        case 'prerelease':
          if (this.prerelease.length === 0) {
            this.inc('patch', identifier, identifierBase)
          }
          this.inc('pre', identifier, identifierBase)
          break
        case 'release':
          if (this.prerelease.length === 0) {
            throw new Error(`version ${this.raw} is not a prerelease`)
          }
          this.prerelease.length = 0
          break
        case 'major':
          // If this is a pre-major version, bump up to the same major version.
          // Otherwise increment major.
          // 1.0.0-5 bumps to 1.0.0
          // 1.1.0 bumps to 2.0.0
          if (
            this.minor !== 0 ||
            this.patch !== 0 ||
            this.prerelease.length === 0
          ) {
            this.major++
          }
          this.minor = 0
          this.patch = 0
          this.prerelease = []
          break
        case 'minor':
          // If this is a pre-minor version, bump up to the same minor version.
          // Otherwise increment minor.
          // 1.2.0-5 bumps to 1.2.0
          // 1.2.1 bumps to 1.3.0
          if (this.patch !== 0 || this.prerelease.length === 0) {
            this.minor++
          }
          this.patch = 0
          this.prerelease = []
          break
        case 'patch':
          // If this is not a pre-release version, it will increment the patch.
          // If it is a pre-release it will bump up to the same patch version.
          // 1.2.0-5 patches to 1.2.0
          // 1.2.0 patches to 1.2.1
          if (this.prerelease.length === 0) {
            this.patch++
          }
          this.prerelease = []
          break
        // This probably shouldn't be used publicly.
        // 1.0.0 'pre' would become 1.0.0-0 which is the wrong direction.
        case 'pre': {
          const base = Number(identifierBase) ? 1 : 0
          if (this.prerelease.length === 0) {
            this.prerelease = [base]
          } else {
            let i = this.prerelease.length
            while (--i >= 0) {
              if (typeof this.prerelease[i] === 'number') {
                this.prerelease[i]++
                i = -2
              }
            }
            if (i === -1) {
              // didn't increment anything
              if (
                identifier === this.prerelease.join('.') &&
                identifierBase === false
              ) {
                throw new Error(
                  'invalid increment argument: identifier already exists'
                )
              }
              this.prerelease.push(base)
            }
          }
          if (identifier) {
            // 1.2.0-beta.1 bumps to 1.2.0-beta.2,
            // 1.2.0-beta.fooblz or 1.2.0-beta bumps to 1.2.0-beta.0
            let prerelease = [identifier, base]
            if (identifierBase === false) {
              prerelease = [identifier]
            }
            if (compareIdentifiers(this.prerelease[0], identifier) === 0) {
              if (isNaN(this.prerelease[1])) {
                this.prerelease = prerelease
              }
            } else {
              this.prerelease = prerelease
            }
          }
          break
        }
        default:
          throw new Error(`invalid increment argument: ${release}`)
      }
      this.raw = this.format()
      if (this.build.length) {
        this.raw += `+${this.build.join('.')}`
      }
      return this
    }
  }
  semver$1 = SemVer
  return semver$1
}

let parse_1
let hasRequiredParse
function requireParse() {
  if (hasRequiredParse) {
    return parse_1
  }
  hasRequiredParse = 1
  const SemVer = requireSemver$1()
  const parse = (version, options, throwErrors = false) => {
    if (version instanceof SemVer) {
      return version
    }
    try {
      return new SemVer(version, options)
    } catch (er) {
      if (!throwErrors) {
        return null
      }
      throw er
    }
  }
  parse_1 = parse
  return parse_1
}

let valid_1
let hasRequiredValid$1
function requireValid$1() {
  if (hasRequiredValid$1) {
    return valid_1
  }
  hasRequiredValid$1 = 1
  const parse = requireParse()
  const valid = (version, options) => {
    const v = parse(version, options)
    return v ? v.version : null
  }
  valid_1 = valid
  return valid_1
}

let clean_1
let hasRequiredClean
function requireClean() {
  if (hasRequiredClean) {
    return clean_1
  }
  hasRequiredClean = 1
  const parse = requireParse()
  const clean = (version, options) => {
    const s = parse(version.trim().replace(/^[=v]+/, ''), options)
    return s ? s.version : null
  }
  clean_1 = clean
  return clean_1
}

let inc_1
let hasRequiredInc
function requireInc() {
  if (hasRequiredInc) {
    return inc_1
  }
  hasRequiredInc = 1
  const SemVer = requireSemver$1()
  const inc = (version, release, options, identifier, identifierBase) => {
    if (typeof options === 'string') {
      identifierBase = identifier
      identifier = options
      options = undefined
    }
    try {
      return new SemVer(
        version instanceof SemVer ? version.version : version,
        options
      ).inc(release, identifier, identifierBase).version
    } catch (er) {
      return null
    }
  }
  inc_1 = inc
  return inc_1
}

let diff_1
let hasRequiredDiff
function requireDiff() {
  if (hasRequiredDiff) {
    return diff_1
  }
  hasRequiredDiff = 1
  const parse = requireParse()
  const diff = (version1, version2) => {
    const v1 = parse(version1, null, true)
    const v2 = parse(version2, null, true)
    const comparison = v1.compare(v2)
    if (comparison === 0) {
      return null
    }
    const v1Higher = comparison > 0
    const highVersion = v1Higher ? v1 : v2
    const lowVersion = v1Higher ? v2 : v1
    const highHasPre = !!highVersion.prerelease.length
    const lowHasPre = !!lowVersion.prerelease.length
    if (lowHasPre && !highHasPre) {
      // Going from prerelease -> no prerelease requires some special casing

      // If the low version has only a major, then it will always be a major
      // Some examples:
      // 1.0.0-1 -> 1.0.0
      // 1.0.0-1 -> 1.1.1
      // 1.0.0-1 -> 2.0.0
      if (!lowVersion.patch && !lowVersion.minor) {
        return 'major'
      }

      // If the main part has no difference
      if (lowVersion.compareMain(highVersion) === 0) {
        if (lowVersion.minor && !lowVersion.patch) {
          return 'minor'
        }
        return 'patch'
      }
    }

    // add the `pre` prefix if we are going to a prerelease version
    const prefix = highHasPre ? 'pre' : ''
    if (v1.major !== v2.major) {
      return prefix + 'major'
    }
    if (v1.minor !== v2.minor) {
      return prefix + 'minor'
    }
    if (v1.patch !== v2.patch) {
      return prefix + 'patch'
    }

    // high and low are preleases
    return 'prerelease'
  }
  diff_1 = diff
  return diff_1
}

let major_1
let hasRequiredMajor
function requireMajor() {
  if (hasRequiredMajor) {
    return major_1
  }
  hasRequiredMajor = 1
  const SemVer = requireSemver$1()
  const major = (a, loose) => new SemVer(a, loose).major
  major_1 = major
  return major_1
}

let minor_1
let hasRequiredMinor
function requireMinor() {
  if (hasRequiredMinor) {
    return minor_1
  }
  hasRequiredMinor = 1
  const SemVer = requireSemver$1()
  const minor = (a, loose) => new SemVer(a, loose).minor
  minor_1 = minor
  return minor_1
}

let patch_1
let hasRequiredPatch
function requirePatch() {
  if (hasRequiredPatch) {
    return patch_1
  }
  hasRequiredPatch = 1
  const SemVer = requireSemver$1()
  const patch = (a, loose) => new SemVer(a, loose).patch
  patch_1 = patch
  return patch_1
}

let prerelease_1
let hasRequiredPrerelease
function requirePrerelease() {
  if (hasRequiredPrerelease) {
    return prerelease_1
  }
  hasRequiredPrerelease = 1
  const parse = requireParse()
  const prerelease = (version, options) => {
    const parsed = parse(version, options)
    return parsed && parsed.prerelease.length ? parsed.prerelease : null
  }
  prerelease_1 = prerelease
  return prerelease_1
}

let compare_1
let hasRequiredCompare
function requireCompare() {
  if (hasRequiredCompare) {
    return compare_1
  }
  hasRequiredCompare = 1
  const SemVer = requireSemver$1()
  const compare = (a, b, loose) =>
    new SemVer(a, loose).compare(new SemVer(b, loose))
  compare_1 = compare
  return compare_1
}

let rcompare_1
let hasRequiredRcompare
function requireRcompare() {
  if (hasRequiredRcompare) {
    return rcompare_1
  }
  hasRequiredRcompare = 1
  const compare = requireCompare()
  const rcompare = (a, b, loose) => compare(b, a, loose)
  rcompare_1 = rcompare
  return rcompare_1
}

let compareLoose_1
let hasRequiredCompareLoose
function requireCompareLoose() {
  if (hasRequiredCompareLoose) {
    return compareLoose_1
  }
  hasRequiredCompareLoose = 1
  const compare = requireCompare()
  const compareLoose = (a, b) => compare(a, b, true)
  compareLoose_1 = compareLoose
  return compareLoose_1
}

let compareBuild_1
let hasRequiredCompareBuild
function requireCompareBuild() {
  if (hasRequiredCompareBuild) {
    return compareBuild_1
  }
  hasRequiredCompareBuild = 1
  const SemVer = requireSemver$1()
  const compareBuild = (a, b, loose) => {
    const versionA = new SemVer(a, loose)
    const versionB = new SemVer(b, loose)
    return versionA.compare(versionB) || versionA.compareBuild(versionB)
  }
  compareBuild_1 = compareBuild
  return compareBuild_1
}

let sort_1
let hasRequiredSort
function requireSort() {
  if (hasRequiredSort) {
    return sort_1
  }
  hasRequiredSort = 1
  const compareBuild = requireCompareBuild()
  const sort = (list, loose) => list.sort((a, b) => compareBuild(a, b, loose))
  sort_1 = sort
  return sort_1
}

let rsort_1
let hasRequiredRsort
function requireRsort() {
  if (hasRequiredRsort) {
    return rsort_1
  }
  hasRequiredRsort = 1
  const compareBuild = requireCompareBuild()
  const rsort = (list, loose) => list.sort((a, b) => compareBuild(b, a, loose))
  rsort_1 = rsort
  return rsort_1
}

let gt_1
let hasRequiredGt
function requireGt() {
  if (hasRequiredGt) {
    return gt_1
  }
  hasRequiredGt = 1
  const compare = requireCompare()
  const gt = (a, b, loose) => compare(a, b, loose) > 0
  gt_1 = gt
  return gt_1
}

let lt_1
let hasRequiredLt
function requireLt() {
  if (hasRequiredLt) {
    return lt_1
  }
  hasRequiredLt = 1
  const compare = requireCompare()
  const lt = (a, b, loose) => compare(a, b, loose) < 0
  lt_1 = lt
  return lt_1
}

let eq_1
let hasRequiredEq
function requireEq() {
  if (hasRequiredEq) {
    return eq_1
  }
  hasRequiredEq = 1
  const compare = requireCompare()
  const eq = (a, b, loose) => compare(a, b, loose) === 0
  eq_1 = eq
  return eq_1
}

let neq_1
let hasRequiredNeq
function requireNeq() {
  if (hasRequiredNeq) {
    return neq_1
  }
  hasRequiredNeq = 1
  const compare = requireCompare()
  const neq = (a, b, loose) => compare(a, b, loose) !== 0
  neq_1 = neq
  return neq_1
}

let gte_1
let hasRequiredGte
function requireGte() {
  if (hasRequiredGte) {
    return gte_1
  }
  hasRequiredGte = 1
  const compare = requireCompare()
  const gte = (a, b, loose) => compare(a, b, loose) >= 0
  gte_1 = gte
  return gte_1
}

let lte_1
let hasRequiredLte
function requireLte() {
  if (hasRequiredLte) {
    return lte_1
  }
  hasRequiredLte = 1
  const compare = requireCompare()
  const lte = (a, b, loose) => compare(a, b, loose) <= 0
  lte_1 = lte
  return lte_1
}

let cmp_1
let hasRequiredCmp
function requireCmp() {
  if (hasRequiredCmp) {
    return cmp_1
  }
  hasRequiredCmp = 1
  const eq = requireEq()
  const neq = requireNeq()
  const gt = requireGt()
  const gte = requireGte()
  const lt = requireLt()
  const lte = requireLte()
  const cmp = (a, op, b, loose) => {
    switch (op) {
      case '===':
        if (typeof a === 'object') {
          a = a.version
        }
        if (typeof b === 'object') {
          b = b.version
        }
        return a === b
      case '!==':
        if (typeof a === 'object') {
          a = a.version
        }
        if (typeof b === 'object') {
          b = b.version
        }
        return a !== b
      case '':
      case '=':
      case '==':
        return eq(a, b, loose)
      case '!=':
        return neq(a, b, loose)
      case '>':
        return gt(a, b, loose)
      case '>=':
        return gte(a, b, loose)
      case '<':
        return lt(a, b, loose)
      case '<=':
        return lte(a, b, loose)
      default:
        throw new TypeError(`Invalid operator: ${op}`)
    }
  }
  cmp_1 = cmp
  return cmp_1
}

let coerce_1
let hasRequiredCoerce
function requireCoerce() {
  if (hasRequiredCoerce) {
    return coerce_1
  }
  hasRequiredCoerce = 1
  const SemVer = requireSemver$1()
  const parse = requireParse()
  const { safeRe: re, t } = requireRe()
  const coerce = (version, options) => {
    if (version instanceof SemVer) {
      return version
    }
    if (typeof version === 'number') {
      version = String(version)
    }
    if (typeof version !== 'string') {
      return null
    }
    options = options || {}
    let match = null
    if (!options.rtl) {
      match = version.match(
        options.includePrerelease ? re[t.COERCEFULL] : re[t.COERCE]
      )
    } else {
      // Find the right-most coercible string that does not share
      // a terminus with a more left-ward coercible string.
      // Eg, '1.2.3.4' wants to coerce '2.3.4', not '3.4' or '4'
      // With includePrerelease option set, '1.2.3.4-rc' wants to coerce '2.3.4-rc', not '2.3.4'
      //
      // Walk through the string checking with a /g regexp
      // Manually set the index so as to pick up overlapping matches.
      // Stop when we get a match that ends at the string end, since no
      // coercible string can be more right-ward without the same terminus.
      const coerceRtlRegex = options.includePrerelease
        ? re[t.COERCERTLFULL]
        : re[t.COERCERTL]
      let next
      while (
        (next = coerceRtlRegex.exec(version)) &&
        (!match || match.index + match[0].length !== version.length)
      ) {
        if (
          !match ||
          next.index + next[0].length !== match.index + match[0].length
        ) {
          match = next
        }
        coerceRtlRegex.lastIndex = next.index + next[1].length + next[2].length
      }
      // leave it in a clean state
      coerceRtlRegex.lastIndex = -1
    }
    if (match === null) {
      return null
    }
    const major = match[2]
    const minor = match[3] || '0'
    const patch = match[4] || '0'
    const prerelease =
      options.includePrerelease && match[5] ? `-${match[5]}` : ''
    const build = options.includePrerelease && match[6] ? `+${match[6]}` : ''
    return parse(`${major}.${minor}.${patch}${prerelease}${build}`, options)
  }
  coerce_1 = coerce
  return coerce_1
}

let lrucache
let hasRequiredLrucache
function requireLrucache() {
  if (hasRequiredLrucache) {
    return lrucache
  }
  hasRequiredLrucache = 1
  class LRUCache {
    constructor() {
      this.max = 1000
      this.map = new Map()
    }
    get(key) {
      const value = this.map.get(key)
      if (value === undefined) {
        return undefined
      } else {
        // Remove the key from the map and add it to the end
        this.map.delete(key)
        this.map.set(key, value)
        return value
      }
    }
    delete(key) {
      return this.map.delete(key)
    }
    set(key, value) {
      const deleted = this.delete(key)
      if (!deleted && value !== undefined) {
        // If cache is full, delete the least recently used item
        if (this.map.size >= this.max) {
          const firstKey = this.map.keys().next().value
          this.delete(firstKey)
        }
        this.map.set(key, value)
      }
      return this
    }
  }
  lrucache = LRUCache
  return lrucache
}

let range
let hasRequiredRange
function requireRange() {
  if (hasRequiredRange) {
    return range
  }
  hasRequiredRange = 1
  const SPACE_CHARACTERS = /\s+/g

  // hoisted class for cyclic dependency
  class Range {
    constructor(range, options) {
      options = parseOptions(options)
      if (range instanceof Range) {
        if (
          range.loose === !!options.loose &&
          range.includePrerelease === !!options.includePrerelease
        ) {
          return range
        } else {
          return new Range(range.raw, options)
        }
      }
      if (range instanceof Comparator) {
        // just put it in the set and return
        this.raw = range.value
        this.set = [[range]]
        this.formatted = undefined
        return this
      }
      this.options = options
      this.loose = !!options.loose
      this.includePrerelease = !!options.includePrerelease

      // First reduce all whitespace as much as possible so we do not have to rely
      // on potentially slow regexes like \s*. This is then stored and used for
      // future error messages as well.
      this.raw = range.trim().replace(SPACE_CHARACTERS, ' ')

      // First, split on ||
      this.set = this.raw
        .split('||')
        // map the range to a 2d array of comparators
        .map(r => this.parseRange(r.trim()))
        // throw out any comparator lists that are empty
        // this generally means that it was not a valid range, which is allowed
        // in loose mode, but will still throw if the WHOLE range is invalid.
        .filter(c => c.length)
      if (!this.set.length) {
        throw new TypeError(`Invalid SemVer Range: ${this.raw}`)
      }

      // if we have any that are not the null set, throw out null sets.
      if (this.set.length > 1) {
        // keep the first one, in case they're all null sets
        const first = this.set[0]
        this.set = this.set.filter(c => !isNullSet(c[0]))
        if (this.set.length === 0) {
          this.set = [first]
        } else if (this.set.length > 1) {
          // if we have any that are *, then the range is just *
          for (const c of this.set) {
            if (c.length === 1 && isAny(c[0])) {
              this.set = [c]
              break
            }
          }
        }
      }
      this.formatted = undefined
    }
    get range() {
      if (this.formatted === undefined) {
        this.formatted = ''
        for (let i = 0; i < this.set.length; i++) {
          if (i > 0) {
            this.formatted += '||'
          }
          const comps = this.set[i]
          for (let k = 0; k < comps.length; k++) {
            if (k > 0) {
              this.formatted += ' '
            }
            this.formatted += comps[k].toString().trim()
          }
        }
      }
      return this.formatted
    }
    format() {
      return this.range
    }
    toString() {
      return this.range
    }
    parseRange(range) {
      // memoize range parsing for performance.
      // this is a very hot path, and fully deterministic.
      const memoOpts =
        (this.options.includePrerelease && FLAG_INCLUDE_PRERELEASE) |
        (this.options.loose && FLAG_LOOSE)
      const memoKey = memoOpts + ':' + range
      const cached = cache.get(memoKey)
      if (cached) {
        return cached
      }
      const loose = this.options.loose
      // `1.2.3 - 1.2.4` => `>=1.2.3 <=1.2.4`
      const hr = loose ? re[t.HYPHENRANGELOOSE] : re[t.HYPHENRANGE]
      range = range.replace(hr, hyphenReplace(this.options.includePrerelease))
      debug('hyphen replace', range)

      // `> 1.2.3 < 1.2.5` => `>1.2.3 <1.2.5`
      range = range.replace(re[t.COMPARATORTRIM], comparatorTrimReplace)
      debug('comparator trim', range)

      // `~ 1.2.3` => `~1.2.3`
      range = range.replace(re[t.TILDETRIM], tildeTrimReplace)
      debug('tilde trim', range)

      // `^ 1.2.3` => `^1.2.3`
      range = range.replace(re[t.CARETTRIM], caretTrimReplace)
      debug('caret trim', range)

      // At this point, the range is completely trimmed and
      // ready to be split into comparators.

      let rangeList = range
        .split(' ')
        .map(comp => parseComparator(comp, this.options))
        .join(' ')
        .split(/\s+/)
        // >=0.0.0 is equivalent to *
        .map(comp => replaceGTE0(comp, this.options))
      if (loose) {
        // in loose mode, throw out any that are not valid comparators
        rangeList = rangeList.filter(comp => {
          debug('loose invalid filter', comp, this.options)
          return !!comp.match(re[t.COMPARATORLOOSE])
        })
      }
      debug('range list', rangeList)

      // if any comparators are the null set, then replace with JUST null set
      // if more than one comparator, remove any * comparators
      // also, don't include the same comparator more than once
      const rangeMap = new Map()
      const comparators = rangeList.map(
        comp => new Comparator(comp, this.options)
      )
      for (const comp of comparators) {
        if (isNullSet(comp)) {
          return [comp]
        }
        rangeMap.set(comp.value, comp)
      }
      if (rangeMap.size > 1 && rangeMap.has('')) {
        rangeMap.delete('')
      }
      const result = [...rangeMap.values()]
      cache.set(memoKey, result)
      return result
    }
    intersects(range, options) {
      if (!(range instanceof Range)) {
        throw new TypeError('a Range is required')
      }
      return this.set.some(thisComparators => {
        return (
          isSatisfiable(thisComparators, options) &&
          range.set.some(rangeComparators => {
            return (
              isSatisfiable(rangeComparators, options) &&
              thisComparators.every(thisComparator => {
                return rangeComparators.every(rangeComparator => {
                  return thisComparator.intersects(rangeComparator, options)
                })
              })
            )
          })
        )
      })
    }

    // if ANY of the sets match ALL of its comparators, then pass
    test(version) {
      if (!version) {
        return false
      }
      if (typeof version === 'string') {
        try {
          version = new SemVer(version, this.options)
        } catch (er) {
          return false
        }
      }
      for (let i = 0; i < this.set.length; i++) {
        if (testSet(this.set[i], version, this.options)) {
          return true
        }
      }
      return false
    }
  }
  range = Range
  const LRU = requireLrucache()
  const cache = new LRU()
  const parseOptions = requireParseOptions()
  const Comparator = requireComparator()
  const debug = requireDebug()
  const SemVer = requireSemver$1()
  const {
    safeRe: re,
    t,
    comparatorTrimReplace,
    tildeTrimReplace,
    caretTrimReplace
  } = requireRe()
  const { FLAG_INCLUDE_PRERELEASE, FLAG_LOOSE } = requireConstants$3()
  const isNullSet = c => c.value === '<0.0.0-0'
  const isAny = c => c.value === ''

  // take a set of comparators and determine whether there
  // exists a version which can satisfy it
  const isSatisfiable = (comparators, options) => {
    let result = true
    const remainingComparators = comparators.slice()
    let testComparator = remainingComparators.pop()
    while (result && remainingComparators.length) {
      result = remainingComparators.every(otherComparator => {
        return testComparator.intersects(otherComparator, options)
      })
      testComparator = remainingComparators.pop()
    }
    return result
  }

  // comprised of xranges, tildes, stars, and gtlt's at this point.
  // already replaced the hyphen ranges
  // turn into a set of JUST comparators.
  const parseComparator = (comp, options) => {
    debug('comp', comp, options)
    comp = replaceCarets(comp, options)
    debug('caret', comp)
    comp = replaceTildes(comp, options)
    debug('tildes', comp)
    comp = replaceXRanges(comp, options)
    debug('xrange', comp)
    comp = replaceStars(comp, options)
    debug('stars', comp)
    return comp
  }
  const isX = id => !id || id.toLowerCase() === 'x' || id === '*'

  // ~, ~> --> * (any, kinda silly)
  // ~2, ~2.x, ~2.x.x, ~>2, ~>2.x ~>2.x.x --> >=2.0.0 <3.0.0-0
  // ~2.0, ~2.0.x, ~>2.0, ~>2.0.x --> >=2.0.0 <2.1.0-0
  // ~1.2, ~1.2.x, ~>1.2, ~>1.2.x --> >=1.2.0 <1.3.0-0
  // ~1.2.3, ~>1.2.3 --> >=1.2.3 <1.3.0-0
  // ~1.2.0, ~>1.2.0 --> >=1.2.0 <1.3.0-0
  // ~0.0.1 --> >=0.0.1 <0.1.0-0
  const replaceTildes = (comp, options) => {
    return comp
      .trim()
      .split(/\s+/)
      .map(c => replaceTilde(c, options))
      .join(' ')
  }
  const replaceTilde = (comp, options) => {
    const r = options.loose ? re[t.TILDELOOSE] : re[t.TILDE]
    return comp.replace(r, (_, M, m, p, pr) => {
      debug('tilde', comp, _, M, m, p, pr)
      let ret
      if (isX(M)) {
        ret = ''
      } else if (isX(m)) {
        ret = `>=${M}.0.0 <${+M + 1}.0.0-0`
      } else if (isX(p)) {
        // ~1.2 == >=1.2.0 <1.3.0-0
        ret = `>=${M}.${m}.0 <${M}.${+m + 1}.0-0`
      } else if (pr) {
        debug('replaceTilde pr', pr)
        ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`
      } else {
        // ~1.2.3 == >=1.2.3 <1.3.0-0
        ret = `>=${M}.${m}.${p} <${M}.${+m + 1}.0-0`
      }
      debug('tilde return', ret)
      return ret
    })
  }

  // ^ --> * (any, kinda silly)
  // ^2, ^2.x, ^2.x.x --> >=2.0.0 <3.0.0-0
  // ^2.0, ^2.0.x --> >=2.0.0 <3.0.0-0
  // ^1.2, ^1.2.x --> >=1.2.0 <2.0.0-0
  // ^1.2.3 --> >=1.2.3 <2.0.0-0
  // ^1.2.0 --> >=1.2.0 <2.0.0-0
  // ^0.0.1 --> >=0.0.1 <0.0.2-0
  // ^0.1.0 --> >=0.1.0 <0.2.0-0
  const replaceCarets = (comp, options) => {
    return comp
      .trim()
      .split(/\s+/)
      .map(c => replaceCaret(c, options))
      .join(' ')
  }
  const replaceCaret = (comp, options) => {
    debug('caret', comp, options)
    const r = options.loose ? re[t.CARETLOOSE] : re[t.CARET]
    const z = options.includePrerelease ? '-0' : ''
    return comp.replace(r, (_, M, m, p, pr) => {
      debug('caret', comp, _, M, m, p, pr)
      let ret
      if (isX(M)) {
        ret = ''
      } else if (isX(m)) {
        ret = `>=${M}.0.0${z} <${+M + 1}.0.0-0`
      } else if (isX(p)) {
        if (M === '0') {
          ret = `>=${M}.${m}.0${z} <${M}.${+m + 1}.0-0`
        } else {
          ret = `>=${M}.${m}.0${z} <${+M + 1}.0.0-0`
        }
      } else if (pr) {
        debug('replaceCaret pr', pr)
        if (M === '0') {
          if (m === '0') {
            ret = `>=${M}.${m}.${p}-${pr} <${M}.${m}.${+p + 1}-0`
          } else {
            ret = `>=${M}.${m}.${p}-${pr} <${M}.${+m + 1}.0-0`
          }
        } else {
          ret = `>=${M}.${m}.${p}-${pr} <${+M + 1}.0.0-0`
        }
      } else {
        debug('no pr')
        if (M === '0') {
          if (m === '0') {
            ret = `>=${M}.${m}.${p}${z} <${M}.${m}.${+p + 1}-0`
          } else {
            ret = `>=${M}.${m}.${p}${z} <${M}.${+m + 1}.0-0`
          }
        } else {
          ret = `>=${M}.${m}.${p} <${+M + 1}.0.0-0`
        }
      }
      debug('caret return', ret)
      return ret
    })
  }
  const replaceXRanges = (comp, options) => {
    debug('replaceXRanges', comp, options)
    return comp
      .split(/\s+/)
      .map(c => replaceXRange(c, options))
      .join(' ')
  }
  const replaceXRange = (comp, options) => {
    comp = comp.trim()
    const r = options.loose ? re[t.XRANGELOOSE] : re[t.XRANGE]
    return comp.replace(r, (ret, gtlt, M, m, p, pr) => {
      debug('xRange', comp, ret, gtlt, M, m, p, pr)
      const xM = isX(M)
      const xm = xM || isX(m)
      const xp = xm || isX(p)
      const anyX = xp
      if (gtlt === '=' && anyX) {
        gtlt = ''
      }

      // if we're including prereleases in the match, then we need
      // to fix this to -0, the lowest possible prerelease value
      pr = options.includePrerelease ? '-0' : ''
      if (xM) {
        if (gtlt === '>' || gtlt === '<') {
          // nothing is allowed
          ret = '<0.0.0-0'
        } else {
          // nothing is forbidden
          ret = '*'
        }
      } else if (gtlt && anyX) {
        // we know patch is an x, because we have any x at all.
        // replace X with 0
        if (xm) {
          m = 0
        }
        p = 0
        if (gtlt === '>') {
          // >1 => >=2.0.0
          // >1.2 => >=1.3.0
          gtlt = '>='
          if (xm) {
            M = +M + 1
            m = 0
            p = 0
          } else {
            m = +m + 1
            p = 0
          }
        } else if (gtlt === '<=') {
          // <=0.7.x is actually <0.8.0, since any 0.7.x should
          // pass.  Similarly, <=7.x is actually <8.0.0, etc.
          gtlt = '<'
          if (xm) {
            M = +M + 1
          } else {
            m = +m + 1
          }
        }
        if (gtlt === '<') {
          pr = '-0'
        }
        ret = `${gtlt + M}.${m}.${p}${pr}`
      } else if (xm) {
        ret = `>=${M}.0.0${pr} <${+M + 1}.0.0-0`
      } else if (xp) {
        ret = `>=${M}.${m}.0${pr} <${M}.${+m + 1}.0-0`
      }
      debug('xRange return', ret)
      return ret
    })
  }

  // Because * is AND-ed with everything else in the comparator,
  // and '' means "any version", just remove the *s entirely.
  const replaceStars = (comp, options) => {
    debug('replaceStars', comp, options)
    // Looseness is ignored here.  star is always as loose as it gets!
    return comp.trim().replace(re[t.STAR], '')
  }
  const replaceGTE0 = (comp, options) => {
    debug('replaceGTE0', comp, options)
    return comp
      .trim()
      .replace(re[options.includePrerelease ? t.GTE0PRE : t.GTE0], '')
  }

  // This function is passed to string.replace(re[t.HYPHENRANGE])
  // M, m, patch, prerelease, build
  // 1.2 - 3.4.5 => >=1.2.0 <=3.4.5
  // 1.2.3 - 3.4 => >=1.2.0 <3.5.0-0 Any 3.4.x will do
  // 1.2 - 3.4 => >=1.2.0 <3.5.0-0
  // TODO build?
  const hyphenReplace =
    incPr => ($0, from, fM, fm, fp, fpr, fb, to, tM, tm, tp, tpr) => {
      if (isX(fM)) {
        from = ''
      } else if (isX(fm)) {
        from = `>=${fM}.0.0${incPr ? '-0' : ''}`
      } else if (isX(fp)) {
        from = `>=${fM}.${fm}.0${incPr ? '-0' : ''}`
      } else if (fpr) {
        from = `>=${from}`
      } else {
        from = `>=${from}${incPr ? '-0' : ''}`
      }
      if (isX(tM)) {
        to = ''
      } else if (isX(tm)) {
        to = `<${+tM + 1}.0.0-0`
      } else if (isX(tp)) {
        to = `<${tM}.${+tm + 1}.0-0`
      } else if (tpr) {
        to = `<=${tM}.${tm}.${tp}-${tpr}`
      } else if (incPr) {
        to = `<${tM}.${tm}.${+tp + 1}-0`
      } else {
        to = `<=${to}`
      }
      return `${from} ${to}`.trim()
    }
  const testSet = (set, version, options) => {
    for (let i = 0; i < set.length; i++) {
      if (!set[i].test(version)) {
        return false
      }
    }
    if (version.prerelease.length && !options.includePrerelease) {
      // Find the set of versions that are allowed to have prereleases
      // For example, ^1.2.3-pr.1 desugars to >=1.2.3-pr.1 <2.0.0
      // That should allow `1.2.3-pr.2` to pass.
      // However, `1.2.4-alpha.notready` should NOT be allowed,
      // even though it's within the range set by the comparators.
      for (let i = 0; i < set.length; i++) {
        debug(set[i].semver)
        if (set[i].semver === Comparator.ANY) {
          continue
        }
        if (set[i].semver.prerelease.length > 0) {
          const allowed = set[i].semver
          if (
            allowed.major === version.major &&
            allowed.minor === version.minor &&
            allowed.patch === version.patch
          ) {
            return true
          }
        }
      }

      // Version has a -pre, but it's not one of the ones we like.
      return false
    }
    return true
  }
  return range
}

let comparator
let hasRequiredComparator
function requireComparator() {
  if (hasRequiredComparator) {
    return comparator
  }
  hasRequiredComparator = 1
  const ANY = Symbol('SemVer ANY')
  // hoisted class for cyclic dependency
  class Comparator {
    static get ANY() {
      return ANY
    }
    constructor(comp, options) {
      options = parseOptions(options)
      if (comp instanceof Comparator) {
        if (comp.loose === !!options.loose) {
          return comp
        } else {
          comp = comp.value
        }
      }
      comp = comp.trim().split(/\s+/).join(' ')
      debug('comparator', comp, options)
      this.options = options
      this.loose = !!options.loose
      this.parse(comp)
      if (this.semver === ANY) {
        this.value = ''
      } else {
        this.value = this.operator + this.semver.version
      }
      debug('comp', this)
    }
    parse(comp) {
      const r = this.options.loose ? re[t.COMPARATORLOOSE] : re[t.COMPARATOR]
      const m = comp.match(r)
      if (!m) {
        throw new TypeError(`Invalid comparator: ${comp}`)
      }
      this.operator = m[1] !== undefined ? m[1] : ''
      if (this.operator === '=') {
        this.operator = ''
      }

      // if it literally is just '>' or '' then allow anything.
      if (!m[2]) {
        this.semver = ANY
      } else {
        this.semver = new SemVer(m[2], this.options.loose)
      }
    }
    toString() {
      return this.value
    }
    test(version) {
      debug('Comparator.test', version, this.options.loose)
      if (this.semver === ANY || version === ANY) {
        return true
      }
      if (typeof version === 'string') {
        try {
          version = new SemVer(version, this.options)
        } catch (er) {
          return false
        }
      }
      return cmp(version, this.operator, this.semver, this.options)
    }
    intersects(comp, options) {
      if (!(comp instanceof Comparator)) {
        throw new TypeError('a Comparator is required')
      }
      if (this.operator === '') {
        if (this.value === '') {
          return true
        }
        return new Range(comp.value, options).test(this.value)
      } else if (comp.operator === '') {
        if (comp.value === '') {
          return true
        }
        return new Range(this.value, options).test(comp.semver)
      }
      options = parseOptions(options)

      // Special cases where nothing can possibly be lower
      if (
        options.includePrerelease &&
        (this.value === '<0.0.0-0' || comp.value === '<0.0.0-0')
      ) {
        return false
      }
      if (
        !options.includePrerelease &&
        (this.value.startsWith('<0.0.0') || comp.value.startsWith('<0.0.0'))
      ) {
        return false
      }

      // Same direction increasing (> or >=)
      if (this.operator.startsWith('>') && comp.operator.startsWith('>')) {
        return true
      }
      // Same direction decreasing (< or <=)
      if (this.operator.startsWith('<') && comp.operator.startsWith('<')) {
        return true
      }
      // same SemVer and both sides are inclusive (<= or >=)
      if (
        this.semver.version === comp.semver.version &&
        this.operator.includes('=') &&
        comp.operator.includes('=')
      ) {
        return true
      }
      // opposite directions less than
      if (
        cmp(this.semver, '<', comp.semver, options) &&
        this.operator.startsWith('>') &&
        comp.operator.startsWith('<')
      ) {
        return true
      }
      // opposite directions greater than
      if (
        cmp(this.semver, '>', comp.semver, options) &&
        this.operator.startsWith('<') &&
        comp.operator.startsWith('>')
      ) {
        return true
      }
      return false
    }
  }
  comparator = Comparator
  const parseOptions = requireParseOptions()
  const { safeRe: re, t } = requireRe()
  const cmp = requireCmp()
  const debug = requireDebug()
  const SemVer = requireSemver$1()
  const Range = requireRange()
  return comparator
}

let satisfies_1
let hasRequiredSatisfies
function requireSatisfies() {
  if (hasRequiredSatisfies) {
    return satisfies_1
  }
  hasRequiredSatisfies = 1
  const Range = requireRange()
  const satisfies = (version, range, options) => {
    try {
      range = new Range(range, options)
    } catch (er) {
      return false
    }
    return range.test(version)
  }
  satisfies_1 = satisfies
  return satisfies_1
}

let toComparators_1
let hasRequiredToComparators
function requireToComparators() {
  if (hasRequiredToComparators) {
    return toComparators_1
  }
  hasRequiredToComparators = 1
  const Range = requireRange()

  // Mostly just for testing and legacy API reasons
  const toComparators = (range, options) =>
    new Range(range, options).set.map(comp =>
      comp
        .map(c => c.value)
        .join(' ')
        .trim()
        .split(' ')
    )
  toComparators_1 = toComparators
  return toComparators_1
}

let maxSatisfying_1
let hasRequiredMaxSatisfying
function requireMaxSatisfying() {
  if (hasRequiredMaxSatisfying) {
    return maxSatisfying_1
  }
  hasRequiredMaxSatisfying = 1
  const SemVer = requireSemver$1()
  const Range = requireRange()
  const maxSatisfying = (versions, range, options) => {
    let max = null
    let maxSV = null
    let rangeObj = null
    try {
      rangeObj = new Range(range, options)
    } catch (er) {
      return null
    }
    versions.forEach(v => {
      if (rangeObj.test(v)) {
        // satisfies(v, range, options)
        if (!max || maxSV.compare(v) === -1) {
          // compare(max, v, true)
          max = v
          maxSV = new SemVer(max, options)
        }
      }
    })
    return max
  }
  maxSatisfying_1 = maxSatisfying
  return maxSatisfying_1
}

let minSatisfying_1
let hasRequiredMinSatisfying
function requireMinSatisfying() {
  if (hasRequiredMinSatisfying) {
    return minSatisfying_1
  }
  hasRequiredMinSatisfying = 1
  const SemVer = requireSemver$1()
  const Range = requireRange()
  const minSatisfying = (versions, range, options) => {
    let min = null
    let minSV = null
    let rangeObj = null
    try {
      rangeObj = new Range(range, options)
    } catch (er) {
      return null
    }
    versions.forEach(v => {
      if (rangeObj.test(v)) {
        // satisfies(v, range, options)
        if (!min || minSV.compare(v) === 1) {
          // compare(min, v, true)
          min = v
          minSV = new SemVer(min, options)
        }
      }
    })
    return min
  }
  minSatisfying_1 = minSatisfying
  return minSatisfying_1
}

let minVersion_1
let hasRequiredMinVersion
function requireMinVersion() {
  if (hasRequiredMinVersion) {
    return minVersion_1
  }
  hasRequiredMinVersion = 1
  const SemVer = requireSemver$1()
  const Range = requireRange()
  const gt = requireGt()
  const minVersion = (range, loose) => {
    range = new Range(range, loose)
    let minver = new SemVer('0.0.0')
    if (range.test(minver)) {
      return minver
    }
    minver = new SemVer('0.0.0-0')
    if (range.test(minver)) {
      return minver
    }
    minver = null
    for (let i = 0; i < range.set.length; ++i) {
      const comparators = range.set[i]
      let setMin = null
      comparators.forEach(comparator => {
        // Clone to avoid manipulating the comparator's semver object.
        const compver = new SemVer(comparator.semver.version)
        switch (comparator.operator) {
          case '>':
            if (compver.prerelease.length === 0) {
              compver.patch++
            } else {
              compver.prerelease.push(0)
            }
            compver.raw = compver.format()
          /* fallthrough */
          case '':
          case '>=':
            if (!setMin || gt(compver, setMin)) {
              setMin = compver
            }
            break
          case '<':
          case '<=':
            /* Ignore maximum versions */
            break
          /* istanbul ignore next */
          default:
            throw new Error(`Unexpected operation: ${comparator.operator}`)
        }
      })
      if (setMin && (!minver || gt(minver, setMin))) {
        minver = setMin
      }
    }
    if (minver && range.test(minver)) {
      return minver
    }
    return null
  }
  minVersion_1 = minVersion
  return minVersion_1
}

let valid
let hasRequiredValid
function requireValid() {
  if (hasRequiredValid) {
    return valid
  }
  hasRequiredValid = 1
  const Range = requireRange()
  const validRange = (range, options) => {
    try {
      // Return '*' instead of '' so that truthiness works.
      // This will throw if it's invalid anyway
      return new Range(range, options).range || '*'
    } catch (er) {
      return null
    }
  }
  valid = validRange
  return valid
}

let outside_1
let hasRequiredOutside
function requireOutside() {
  if (hasRequiredOutside) {
    return outside_1
  }
  hasRequiredOutside = 1
  const SemVer = requireSemver$1()
  const Comparator = requireComparator()
  const { ANY } = Comparator
  const Range = requireRange()
  const satisfies = requireSatisfies()
  const gt = requireGt()
  const lt = requireLt()
  const lte = requireLte()
  const gte = requireGte()
  const outside = (version, range, hilo, options) => {
    version = new SemVer(version, options)
    range = new Range(range, options)
    let gtfn, ltefn, ltfn, comp, ecomp
    switch (hilo) {
      case '>':
        gtfn = gt
        ltefn = lte
        ltfn = lt
        comp = '>'
        ecomp = '>='
        break
      case '<':
        gtfn = lt
        ltefn = gte
        ltfn = gt
        comp = '<'
        ecomp = '<='
        break
      default:
        throw new TypeError('Must provide a hilo val of "<" or ">"')
    }

    // If it satisfies the range it is not outside
    if (satisfies(version, range, options)) {
      return false
    }

    // From now on, variable terms are as if we're in "gtr" mode.
    // but note that everything is flipped for the "ltr" function.

    for (let i = 0; i < range.set.length; ++i) {
      const comparators = range.set[i]
      let high = null
      let low = null
      comparators.forEach(comparator => {
        if (comparator.semver === ANY) {
          comparator = new Comparator('>=0.0.0')
        }
        high = high || comparator
        low = low || comparator
        if (gtfn(comparator.semver, high.semver, options)) {
          high = comparator
        } else if (ltfn(comparator.semver, low.semver, options)) {
          low = comparator
        }
      })

      // If the edge version comparator has a operator then our version
      // isn't outside it
      if (high.operator === comp || high.operator === ecomp) {
        return false
      }

      // If the lowest version comparator has an operator and our version
      // is less than it then it isn't higher than the range
      if (
        (!low.operator || low.operator === comp) &&
        ltefn(version, low.semver)
      ) {
        return false
      } else if (low.operator === ecomp && ltfn(version, low.semver)) {
        return false
      }
    }
    return true
  }
  outside_1 = outside
  return outside_1
}

let gtr_1
let hasRequiredGtr
function requireGtr() {
  if (hasRequiredGtr) {
    return gtr_1
  }
  hasRequiredGtr = 1

  // Determine if version is greater than all the versions possible in the range.
  const outside = requireOutside()
  const gtr = (version, range, options) => outside(version, range, '>', options)
  gtr_1 = gtr
  return gtr_1
}

let ltr_1
let hasRequiredLtr
function requireLtr() {
  if (hasRequiredLtr) {
    return ltr_1
  }
  hasRequiredLtr = 1
  const outside = requireOutside()
  // Determine if version is less than all the versions possible in the range
  const ltr = (version, range, options) => outside(version, range, '<', options)
  ltr_1 = ltr
  return ltr_1
}

let intersects_1
let hasRequiredIntersects
function requireIntersects() {
  if (hasRequiredIntersects) {
    return intersects_1
  }
  hasRequiredIntersects = 1
  const Range = requireRange()
  const intersects = (r1, r2, options) => {
    r1 = new Range(r1, options)
    r2 = new Range(r2, options)
    return r1.intersects(r2, options)
  }
  intersects_1 = intersects
  return intersects_1
}

let simplify
let hasRequiredSimplify
function requireSimplify() {
  if (hasRequiredSimplify) {
    return simplify
  }
  hasRequiredSimplify = 1

  // given a set of versions and a range, create a "simplified" range
  // that includes the same versions that the original range does
  // If the original range is shorter than the simplified one, return that.
  const satisfies = requireSatisfies()
  const compare = requireCompare()
  simplify = (versions, range, options) => {
    const set = []
    let first = null
    let prev = null
    const v = versions.sort((a, b) => compare(a, b, options))
    for (const version of v) {
      const included = satisfies(version, range, options)
      if (included) {
        prev = version
        if (!first) {
          first = version
        }
      } else {
        if (prev) {
          set.push([first, prev])
        }
        prev = null
        first = null
      }
    }
    if (first) {
      set.push([first, null])
    }
    const ranges = []
    for (const [min, max] of set) {
      if (min === max) {
        ranges.push(min)
      } else if (!max && min === v[0]) {
        ranges.push('*')
      } else if (!max) {
        ranges.push(`>=${min}`)
      } else if (min === v[0]) {
        ranges.push(`<=${max}`)
      } else {
        ranges.push(`${min} - ${max}`)
      }
    }
    const simplified = ranges.join(' || ')
    const original = typeof range.raw === 'string' ? range.raw : String(range)
    return simplified.length < original.length ? simplified : range
  }
  return simplify
}

let subset_1
let hasRequiredSubset
function requireSubset() {
  if (hasRequiredSubset) {
    return subset_1
  }
  hasRequiredSubset = 1
  const Range = requireRange()
  const Comparator = requireComparator()
  const { ANY } = Comparator
  const satisfies = requireSatisfies()
  const compare = requireCompare()

  // Complex range `r1 || r2 || ...` is a subset of `R1 || R2 || ...` iff:
  // - Every simple range `r1, r2, ...` is a null set, OR
  // - Every simple range `r1, r2, ...` which is not a null set is a subset of
  //   some `R1, R2, ...`
  //
  // Simple range `c1 c2 ...` is a subset of simple range `C1 C2 ...` iff:
  // - If c is only the ANY comparator
  //   - If C is only the ANY comparator, return true
  //   - Else if in prerelease mode, return false
  //   - else replace c with `[>=0.0.0]`
  // - If C is only the ANY comparator
  //   - if in prerelease mode, return true
  //   - else replace C with `[>=0.0.0]`
  // - Let EQ be the set of = comparators in c
  // - If EQ is more than one, return true (null set)
  // - Let GT be the highest > or >= comparator in c
  // - Let LT be the lowest < or <= comparator in c
  // - If GT and LT, and GT.semver > LT.semver, return true (null set)
  // - If any C is a = range, and GT or LT are set, return false
  // - If EQ
  //   - If GT, and EQ does not satisfy GT, return true (null set)
  //   - If LT, and EQ does not satisfy LT, return true (null set)
  //   - If EQ satisfies every C, return true
  //   - Else return false
  // - If GT
  //   - If GT.semver is lower than any > or >= comp in C, return false
  //   - If GT is >=, and GT.semver does not satisfy every C, return false
  //   - If GT.semver has a prerelease, and not in prerelease mode
  //     - If no C has a prerelease and the GT.semver tuple, return false
  // - If LT
  //   - If LT.semver is greater than any < or <= comp in C, return false
  //   - If LT is <=, and LT.semver does not satisfy every C, return false
  //   - If GT.semver has a prerelease, and not in prerelease mode
  //     - If no C has a prerelease and the LT.semver tuple, return false
  // - Else return true

  const subset = (sub, dom, options = {}) => {
    if (sub === dom) {
      return true
    }
    sub = new Range(sub, options)
    dom = new Range(dom, options)
    let sawNonNull = false
    OUTER: for (const simpleSub of sub.set) {
      for (const simpleDom of dom.set) {
        const isSub = simpleSubset(simpleSub, simpleDom, options)
        sawNonNull = sawNonNull || isSub !== null
        if (isSub) {
          continue OUTER
        }
      }
      // the null set is a subset of everything, but null simple ranges in
      // a complex range should be ignored.  so if we saw a non-null range,
      // then we know this isn't a subset, but if EVERY simple range was null,
      // then it is a subset.
      if (sawNonNull) {
        return false
      }
    }
    return true
  }
  const minimumVersionWithPreRelease = [new Comparator('>=0.0.0-0')]
  const minimumVersion = [new Comparator('>=0.0.0')]
  const simpleSubset = (sub, dom, options) => {
    if (sub === dom) {
      return true
    }
    if (sub.length === 1 && sub[0].semver === ANY) {
      if (dom.length === 1 && dom[0].semver === ANY) {
        return true
      } else if (options.includePrerelease) {
        sub = minimumVersionWithPreRelease
      } else {
        sub = minimumVersion
      }
    }
    if (dom.length === 1 && dom[0].semver === ANY) {
      if (options.includePrerelease) {
        return true
      } else {
        dom = minimumVersion
      }
    }
    const eqSet = new Set()
    let gt, lt
    for (const c of sub) {
      if (c.operator === '>' || c.operator === '>=') {
        gt = higherGT(gt, c, options)
      } else if (c.operator === '<' || c.operator === '<=') {
        lt = lowerLT(lt, c, options)
      } else {
        eqSet.add(c.semver)
      }
    }
    if (eqSet.size > 1) {
      return null
    }
    let gtltComp
    if (gt && lt) {
      gtltComp = compare(gt.semver, lt.semver, options)
      if (gtltComp > 0) {
        return null
      } else if (
        gtltComp === 0 &&
        (gt.operator !== '>=' || lt.operator !== '<=')
      ) {
        return null
      }
    }

    // will iterate one or zero times
    for (const eq of eqSet) {
      if (gt && !satisfies(eq, String(gt), options)) {
        return null
      }
      if (lt && !satisfies(eq, String(lt), options)) {
        return null
      }
      for (const c of dom) {
        if (!satisfies(eq, String(c), options)) {
          return false
        }
      }
      return true
    }
    let higher, lower
    let hasDomLT, hasDomGT
    // if the subset has a prerelease, we need a comparator in the superset
    // with the same tuple and a prerelease, or it's not a subset
    let needDomLTPre =
      lt && !options.includePrerelease && lt.semver.prerelease.length
        ? lt.semver
        : false
    let needDomGTPre =
      gt && !options.includePrerelease && gt.semver.prerelease.length
        ? gt.semver
        : false
    // exception: <1.2.3-0 is the same as <1.2.3
    if (
      needDomLTPre &&
      needDomLTPre.prerelease.length === 1 &&
      lt.operator === '<' &&
      needDomLTPre.prerelease[0] === 0
    ) {
      needDomLTPre = false
    }
    for (const c of dom) {
      hasDomGT = hasDomGT || c.operator === '>' || c.operator === '>='
      hasDomLT = hasDomLT || c.operator === '<' || c.operator === '<='
      if (gt) {
        if (needDomGTPre) {
          if (
            c.semver.prerelease &&
            c.semver.prerelease.length &&
            c.semver.major === needDomGTPre.major &&
            c.semver.minor === needDomGTPre.minor &&
            c.semver.patch === needDomGTPre.patch
          ) {
            needDomGTPre = false
          }
        }
        if (c.operator === '>' || c.operator === '>=') {
          higher = higherGT(gt, c, options)
          if (higher === c && higher !== gt) {
            return false
          }
        } else if (
          gt.operator === '>=' &&
          !satisfies(gt.semver, String(c), options)
        ) {
          return false
        }
      }
      if (lt) {
        if (needDomLTPre) {
          if (
            c.semver.prerelease &&
            c.semver.prerelease.length &&
            c.semver.major === needDomLTPre.major &&
            c.semver.minor === needDomLTPre.minor &&
            c.semver.patch === needDomLTPre.patch
          ) {
            needDomLTPre = false
          }
        }
        if (c.operator === '<' || c.operator === '<=') {
          lower = lowerLT(lt, c, options)
          if (lower === c && lower !== lt) {
            return false
          }
        } else if (
          lt.operator === '<=' &&
          !satisfies(lt.semver, String(c), options)
        ) {
          return false
        }
      }
      if (!c.operator && (lt || gt) && gtltComp !== 0) {
        return false
      }
    }

    // if there was a < or >, and nothing in the dom, then must be false
    // UNLESS it was limited by another range in the other direction.
    // Eg, >1.0.0 <1.0.1 is still a subset of <2.0.0
    if (gt && hasDomLT && !lt && gtltComp !== 0) {
      return false
    }
    if (lt && hasDomGT && !gt && gtltComp !== 0) {
      return false
    }

    // we needed a prerelease range in a specific tuple, but didn't get one
    // then this isn't a subset.  eg >=1.2.3-pre is not a subset of >=1.0.0,
    // because it includes prereleases in the 1.2.3 tuple
    if (needDomGTPre || needDomLTPre) {
      return false
    }
    return true
  }

  // >=1.2.3 is lower than >1.2.3
  const higherGT = (a, b, options) => {
    if (!a) {
      return b
    }
    const comp = compare(a.semver, b.semver, options)
    return comp > 0
      ? a
      : comp < 0
        ? b
        : b.operator === '>' && a.operator === '>='
          ? b
          : a
  }

  // <=1.2.3 is higher than <1.2.3
  const lowerLT = (a, b, options) => {
    if (!a) {
      return b
    }
    const comp = compare(a.semver, b.semver, options)
    return comp < 0
      ? a
      : comp > 0
        ? b
        : b.operator === '<' && a.operator === '<='
          ? b
          : a
  }
  subset_1 = subset
  return subset_1
}

let semver
let hasRequiredSemver
function requireSemver() {
  if (hasRequiredSemver) {
    return semver
  }
  hasRequiredSemver = 1

  // just pre-load all the stuff that index.js lazily exports
  const internalRe = requireRe()
  const constants = requireConstants$3()
  const SemVer = requireSemver$1()
  const identifiers = requireIdentifiers()
  const parse = requireParse()
  const valid = requireValid$1()
  const clean = requireClean()
  const inc = requireInc()
  const diff = requireDiff()
  const major = requireMajor()
  const minor = requireMinor()
  const patch = requirePatch()
  const prerelease = requirePrerelease()
  const compare = requireCompare()
  const rcompare = requireRcompare()
  const compareLoose = requireCompareLoose()
  const compareBuild = requireCompareBuild()
  const sort = requireSort()
  const rsort = requireRsort()
  const gt = requireGt()
  const lt = requireLt()
  const eq = requireEq()
  const neq = requireNeq()
  const gte = requireGte()
  const lte = requireLte()
  const cmp = requireCmp()
  const coerce = requireCoerce()
  const Comparator = requireComparator()
  const Range = requireRange()
  const satisfies = requireSatisfies()
  const toComparators = requireToComparators()
  const maxSatisfying = requireMaxSatisfying()
  const minSatisfying = requireMinSatisfying()
  const minVersion = requireMinVersion()
  const validRange = requireValid()
  const outside = requireOutside()
  const gtr = requireGtr()
  const ltr = requireLtr()
  const intersects = requireIntersects()
  const simplifyRange = requireSimplify()
  const subset = requireSubset()
  semver = {
    parse,
    valid,
    clean,
    inc,
    diff,
    major,
    minor,
    patch,
    prerelease,
    compare,
    rcompare,
    compareLoose,
    compareBuild,
    sort,
    rsort,
    gt,
    lt,
    eq,
    neq,
    gte,
    lte,
    cmp,
    coerce,
    Comparator,
    Range,
    satisfies,
    toComparators,
    maxSatisfying,
    minSatisfying,
    minVersion,
    validRange,
    outside,
    gtr,
    ltr,
    intersects,
    simplifyRange,
    subset,
    SemVer,
    re: internalRe.re,
    src: internalRe.src,
    tokens: internalRe.t,
    SEMVER_SPEC_VERSION: constants.SEMVER_SPEC_VERSION,
    RELEASE_TYPES: constants.RELEASE_TYPES,
    compareIdentifiers: identifiers.compareIdentifiers,
    rcompareIdentifiers: identifiers.rcompareIdentifiers
  }
  return semver
}

let node$1
let hasRequiredNode$1
function requireNode$1() {
  if (hasRequiredNode$1) {
    return node$1
  }
  hasRequiredNode$1 = 1
  const semver = requireSemver()
  const satisfies = range => {
    return semver.satisfies(process.version, range, {
      includePrerelease: true
    })
  }
  node$1 = {
    satisfies
  }
  return node$1
}

const errors$1 = { exports: {} }

let hasRequiredErrors$1
function requireErrors$1() {
  if (hasRequiredErrors$1) {
    return errors$1.exports
  }
  hasRequiredErrors$1 = 1
  ;(function (module) {
    const { inspect } = require$$0$b

    // adapted from node's internal/errors
    // https://github.com/nodejs/node/blob/c8a04049/lib/internal/errors.js

    // close copy of node's internal SystemError class.
    class SystemError {
      constructor(code, prefix, context) {
        // XXX context.code is undefined in all constructors used in cp/polyfill
        // that may be a bug copied from node, maybe the constructor should use
        // `code` not `errno`?  nodejs/node#41104
        let message =
          `${prefix}: ${context.syscall} returned ` +
          `${context.code} (${context.message})`
        if (context.path !== undefined) {
          message += ` ${context.path}`
        }
        if (context.dest !== undefined) {
          message += ` => ${context.dest}`
        }
        this.code = code
        Object.defineProperties(this, {
          name: {
            value: 'SystemError',
            enumerable: false,
            writable: true,
            configurable: true
          },
          message: {
            value: message,
            enumerable: false,
            writable: true,
            configurable: true
          },
          info: {
            value: context,
            enumerable: true,
            configurable: true,
            writable: false
          },
          errno: {
            get() {
              return context.errno
            },
            set(value) {
              context.errno = value
            },
            enumerable: true,
            configurable: true
          },
          syscall: {
            get() {
              return context.syscall
            },
            set(value) {
              context.syscall = value
            },
            enumerable: true,
            configurable: true
          }
        })
        if (context.path !== undefined) {
          Object.defineProperty(this, 'path', {
            get() {
              return context.path
            },
            set(value) {
              context.path = value
            },
            enumerable: true,
            configurable: true
          })
        }
        if (context.dest !== undefined) {
          Object.defineProperty(this, 'dest', {
            get() {
              return context.dest
            },
            set(value) {
              context.dest = value
            },
            enumerable: true,
            configurable: true
          })
        }
      }
      toString() {
        return `${this.name} [${this.code}]: ${this.message}`
      }
      [Symbol.for('nodejs.util.inspect.custom')](_recurseTimes, ctx) {
        return inspect(this, {
          ...ctx,
          getters: true,
          customInspect: false
        })
      }
    }
    function E(code, message) {
      module.exports[code] = class NodeError extends SystemError {
        constructor(ctx) {
          super(code, message, ctx)
        }
      }
    }
    E(
      'ERR_FS_CP_DIR_TO_NON_DIR',
      'Cannot overwrite directory with non-directory'
    )
    E('ERR_FS_CP_EEXIST', 'Target already exists')
    E('ERR_FS_CP_EINVAL', 'Invalid src or dest')
    E('ERR_FS_CP_FIFO_PIPE', 'Cannot copy a FIFO pipe')
    E(
      'ERR_FS_CP_NON_DIR_TO_DIR',
      'Cannot overwrite non-directory with directory'
    )
    E('ERR_FS_CP_SOCKET', 'Cannot copy a socket file')
    E(
      'ERR_FS_CP_SYMLINK_TO_SUBDIRECTORY',
      'Cannot overwrite symlink in subdirectory of self'
    )
    E('ERR_FS_CP_UNKNOWN', 'Cannot copy an unknown file type')
    E('ERR_FS_EISDIR', 'Path is a directory')
    module.exports.ERR_INVALID_ARG_TYPE = class ERR_INVALID_ARG_TYPE extends (
      Error
    ) {
      constructor(name, expected, actual) {
        super()
        this.code = 'ERR_INVALID_ARG_TYPE'
        this.message = `The ${name} argument must be ${expected}. Received ${typeof actual}`
      }
    }
  })(errors$1)
  return errors$1.exports
}

let polyfill
let hasRequiredPolyfill
function requirePolyfill() {
  if (hasRequiredPolyfill) {
    return polyfill
  }
  hasRequiredPolyfill = 1
  const {
    ERR_FS_CP_DIR_TO_NON_DIR,
    ERR_FS_CP_EEXIST,
    ERR_FS_CP_EINVAL,
    ERR_FS_CP_FIFO_PIPE,
    ERR_FS_CP_NON_DIR_TO_DIR,
    ERR_FS_CP_SOCKET,
    ERR_FS_CP_SYMLINK_TO_SUBDIRECTORY,
    ERR_FS_CP_UNKNOWN,
    ERR_FS_EISDIR,
    ERR_INVALID_ARG_TYPE
  } = requireErrors$1()
  const {
    constants: {
      errno: { EEXIST, EISDIR, EINVAL, ENOTDIR }
    }
  } = require$$1$3
  const {
    chmod,
    copyFile,
    lstat,
    mkdir,
    readdir,
    readlink,
    stat,
    symlink,
    unlink,
    utimes
  } = require$$0$c
  const { dirname, isAbsolute, join, parse, resolve, sep, toNamespacedPath } =
    require$$0$a
  const { fileURLToPath } = require$$0$7
  const defaultOptions = {
    dereference: false,
    errorOnExist: false,
    filter: undefined,
    force: true,
    preserveTimestamps: false,
    recursive: false
  }
  async function cp(src, dest, opts) {
    if (opts != null && typeof opts !== 'object') {
      throw new ERR_INVALID_ARG_TYPE('options', ['Object'], opts)
    }
    return cpFn(
      toNamespacedPath(getValidatedPath(src)),
      toNamespacedPath(getValidatedPath(dest)),
      {
        ...defaultOptions,
        ...opts
      }
    )
  }
  function getValidatedPath(fileURLOrPath) {
    const path =
      fileURLOrPath != null && fileURLOrPath.href && fileURLOrPath.origin
        ? fileURLToPath(fileURLOrPath)
        : fileURLOrPath
    return path
  }
  async function cpFn(src, dest, opts) {
    // Warn about using preserveTimestamps on 32-bit node
    // istanbul ignore next
    if (opts.preserveTimestamps && process.arch === 'ia32') {
      const warning =
        'Using the preserveTimestamps option in 32-bit ' +
        'node is not recommended'
      process.emitWarning(warning, 'TimestampPrecisionWarning')
    }
    const stats = await checkPaths(src, dest, opts)
    const { srcStat, destStat } = stats
    await checkParentPaths(src, srcStat, dest)
    if (opts.filter) {
      return handleFilter(checkParentDir, destStat, src, dest, opts)
    }
    return checkParentDir(destStat, src, dest, opts)
  }
  async function checkPaths(src, dest, opts) {
    const { 0: srcStat, 1: destStat } = await getStats(src, dest, opts)
    if (destStat) {
      if (areIdentical(srcStat, destStat)) {
        throw new ERR_FS_CP_EINVAL({
          message: 'src and dest cannot be the same',
          path: dest,
          syscall: 'cp',
          errno: EINVAL
        })
      }
      if (srcStat.isDirectory() && !destStat.isDirectory()) {
        throw new ERR_FS_CP_DIR_TO_NON_DIR({
          message:
            `cannot overwrite directory ${src} ` + `with non-directory ${dest}`,
          path: dest,
          syscall: 'cp',
          errno: EISDIR
        })
      }
      if (!srcStat.isDirectory() && destStat.isDirectory()) {
        throw new ERR_FS_CP_NON_DIR_TO_DIR({
          message:
            `cannot overwrite non-directory ${src} ` + `with directory ${dest}`,
          path: dest,
          syscall: 'cp',
          errno: ENOTDIR
        })
      }
    }
    if (srcStat.isDirectory() && isSrcSubdir(src, dest)) {
      throw new ERR_FS_CP_EINVAL({
        message: `cannot copy ${src} to a subdirectory of self ${dest}`,
        path: dest,
        syscall: 'cp',
        errno: EINVAL
      })
    }
    return {
      srcStat,
      destStat
    }
  }
  function areIdentical(srcStat, destStat) {
    return (
      destStat.ino &&
      destStat.dev &&
      destStat.ino === srcStat.ino &&
      destStat.dev === srcStat.dev
    )
  }
  function getStats(src, dest, opts) {
    const statFunc = opts.dereference
      ? file =>
          stat(file, {
            bigint: true
          })
      : file =>
          lstat(file, {
            bigint: true
          })
    return Promise.all([
      statFunc(src),
      statFunc(dest).catch(err => {
        // istanbul ignore next: unsure how to cover.
        if (err.code === 'ENOENT') {
          return null
        }
        // istanbul ignore next: unsure how to cover.
        throw err
      })
    ])
  }
  async function checkParentDir(destStat, src, dest, opts) {
    const destParent = dirname(dest)
    const dirExists = await pathExists(destParent)
    if (dirExists) {
      return getStatsForCopy(destStat, src, dest, opts)
    }
    await mkdir(destParent, {
      recursive: true
    })
    return getStatsForCopy(destStat, src, dest, opts)
  }
  function pathExists(dest) {
    return stat(dest).then(
      () => true,
      // istanbul ignore next: not sure when this would occur
      err => (err.code === 'ENOENT' ? false : Promise.reject(err))
    )
  }

  // Recursively check if dest parent is a subdirectory of src.
  // It works for all file types including symlinks since it
  // checks the src and dest inodes. It starts from the deepest
  // parent and stops once it reaches the src parent or the root path.
  async function checkParentPaths(src, srcStat, dest) {
    const srcParent = resolve(dirname(src))
    const destParent = resolve(dirname(dest))
    if (destParent === srcParent || destParent === parse(destParent).root) {
      return
    }
    let destStat
    try {
      destStat = await stat(destParent, {
        bigint: true
      })
    } catch (err) {
      // istanbul ignore else: not sure when this would occur
      if (err.code === 'ENOENT') {
        return
      }
      // istanbul ignore next: not sure when this would occur
      throw err
    }
    if (areIdentical(srcStat, destStat)) {
      throw new ERR_FS_CP_EINVAL({
        message: `cannot copy ${src} to a subdirectory of self ${dest}`,
        path: dest,
        syscall: 'cp',
        errno: EINVAL
      })
    }
    return checkParentPaths(src, srcStat, destParent)
  }
  const normalizePathToArray = path => resolve(path).split(sep).filter(Boolean)

  // Return true if dest is a subdir of src, otherwise false.
  // It only checks the path strings.
  function isSrcSubdir(src, dest) {
    const srcArr = normalizePathToArray(src)
    const destArr = normalizePathToArray(dest)
    return srcArr.every((cur, i) => destArr[i] === cur)
  }
  async function handleFilter(onInclude, destStat, src, dest, opts, cb) {
    const include = await opts.filter(src, dest)
    if (include) {
      return onInclude(destStat, src, dest, opts, cb)
    }
  }
  function startCopy(destStat, src, dest, opts) {
    if (opts.filter) {
      return handleFilter(getStatsForCopy, destStat, src, dest, opts)
    }
    return getStatsForCopy(destStat, src, dest, opts)
  }
  async function getStatsForCopy(destStat, src, dest, opts) {
    const statFn = opts.dereference ? stat : lstat
    const srcStat = await statFn(src)
    // istanbul ignore else: can't portably test FIFO
    if (srcStat.isDirectory() && opts.recursive) {
      return onDir(srcStat, destStat, src, dest, opts)
    } else if (srcStat.isDirectory()) {
      throw new ERR_FS_EISDIR({
        message: `${src} is a directory (not copied)`,
        path: src,
        syscall: 'cp',
        errno: EINVAL
      })
    } else if (
      srcStat.isFile() ||
      srcStat.isCharacterDevice() ||
      srcStat.isBlockDevice()
    ) {
      return onFile(srcStat, destStat, src, dest, opts)
    } else if (srcStat.isSymbolicLink()) {
      return onLink(destStat, src, dest)
    } else if (srcStat.isSocket()) {
      throw new ERR_FS_CP_SOCKET({
        message: `cannot copy a socket file: ${dest}`,
        path: dest,
        syscall: 'cp',
        errno: EINVAL
      })
    } else if (srcStat.isFIFO()) {
      throw new ERR_FS_CP_FIFO_PIPE({
        message: `cannot copy a FIFO pipe: ${dest}`,
        path: dest,
        syscall: 'cp',
        errno: EINVAL
      })
    }
    // istanbul ignore next: should be unreachable
    throw new ERR_FS_CP_UNKNOWN({
      message: `cannot copy an unknown file type: ${dest}`,
      path: dest,
      syscall: 'cp',
      errno: EINVAL
    })
  }
  function onFile(srcStat, destStat, src, dest, opts) {
    if (!destStat) {
      return _copyFile(srcStat, src, dest, opts)
    }
    return mayCopyFile(srcStat, src, dest, opts)
  }
  async function mayCopyFile(srcStat, src, dest, opts) {
    if (opts.force) {
      await unlink(dest)
      return _copyFile(srcStat, src, dest, opts)
    } else if (opts.errorOnExist) {
      throw new ERR_FS_CP_EEXIST({
        message: `${dest} already exists`,
        path: dest,
        syscall: 'cp',
        errno: EEXIST
      })
    }
  }
  async function _copyFile(srcStat, src, dest, opts) {
    await copyFile(src, dest)
    if (opts.preserveTimestamps) {
      return handleTimestampsAndMode(srcStat.mode, src, dest)
    }
    return setDestMode(dest, srcStat.mode)
  }
  async function handleTimestampsAndMode(srcMode, src, dest) {
    // Make sure the file is writable before setting the timestamp
    // otherwise open fails with EPERM when invoked with 'r+'
    // (through utimes call)
    if (fileIsNotWritable(srcMode)) {
      await makeFileWritable(dest, srcMode)
      return setDestTimestampsAndMode(srcMode, src, dest)
    }
    return setDestTimestampsAndMode(srcMode, src, dest)
  }
  function fileIsNotWritable(srcMode) {
    return (srcMode & 0o200) === 0
  }
  function makeFileWritable(dest, srcMode) {
    return setDestMode(dest, srcMode | 0o200)
  }
  async function setDestTimestampsAndMode(srcMode, src, dest) {
    await setDestTimestamps(src, dest)
    return setDestMode(dest, srcMode)
  }
  function setDestMode(dest, srcMode) {
    return chmod(dest, srcMode)
  }
  async function setDestTimestamps(src, dest) {
    // The initial srcStat.atime cannot be trusted
    // because it is modified by the read(2) system call
    // (See https://nodejs.org/api/fs.html#fs_stat_time_values)
    const updatedSrcStat = await stat(src)
    return utimes(dest, updatedSrcStat.atime, updatedSrcStat.mtime)
  }
  function onDir(srcStat, destStat, src, dest, opts) {
    if (!destStat) {
      return mkDirAndCopy(srcStat.mode, src, dest, opts)
    }
    return copyDir(src, dest, opts)
  }
  async function mkDirAndCopy(srcMode, src, dest, opts) {
    await mkdir(dest)
    await copyDir(src, dest, opts)
    return setDestMode(dest, srcMode)
  }
  async function copyDir(src, dest, opts) {
    const dir = await readdir(src)
    for (let i = 0; i < dir.length; i++) {
      const item = dir[i]
      const srcItem = join(src, item)
      const destItem = join(dest, item)
      const { destStat } = await checkPaths(srcItem, destItem, opts)
      await startCopy(destStat, srcItem, destItem, opts)
    }
  }
  async function onLink(destStat, src, dest) {
    let resolvedSrc = await readlink(src)
    if (!isAbsolute(resolvedSrc)) {
      resolvedSrc = resolve(dirname(src), resolvedSrc)
    }
    if (!destStat) {
      return symlink(resolvedSrc, dest)
    }
    let resolvedDest
    try {
      resolvedDest = await readlink(dest)
    } catch (err) {
      // Dest exists and is a regular file or directory,
      // Windows may throw UNKNOWN error. If dest already exists,
      // fs throws error anyway, so no need to guard against it here.
      // istanbul ignore next: can only test on windows
      if (err.code === 'EINVAL' || err.code === 'UNKNOWN') {
        return symlink(resolvedSrc, dest)
      }
      // istanbul ignore next: should not be possible
      throw err
    }
    if (!isAbsolute(resolvedDest)) {
      resolvedDest = resolve(dirname(dest), resolvedDest)
    }
    if (isSrcSubdir(resolvedSrc, resolvedDest)) {
      throw new ERR_FS_CP_EINVAL({
        message:
          `cannot copy ${resolvedSrc} to a subdirectory of self ` +
          `${resolvedDest}`,
        path: dest,
        syscall: 'cp',
        errno: EINVAL
      })
    }
    // Do not copy if src is a subdir of dest since unlinking
    // dest in this case would result in removing src contents
    // and therefore a broken symlink would be created.
    const srcStat = await stat(src)
    if (srcStat.isDirectory() && isSrcSubdir(resolvedDest, resolvedSrc)) {
      throw new ERR_FS_CP_SYMLINK_TO_SUBDIRECTORY({
        message: `cannot overwrite ${resolvedDest} with ${resolvedSrc}`,
        path: dest,
        syscall: 'cp',
        errno: EINVAL
      })
    }
    return copyLink(resolvedSrc, dest)
  }
  async function copyLink(resolvedSrc, dest) {
    await unlink(dest)
    return symlink(resolvedSrc, dest)
  }
  polyfill = cp
  return polyfill
}

let cp_1
let hasRequiredCp
function requireCp() {
  if (hasRequiredCp) {
    return cp_1
  }
  hasRequiredCp = 1
  const fs = require$$0$c
  const getOptions = requireGetOptions()
  const node = requireNode$1()
  const polyfill = requirePolyfill()

  // node 16.7.0 added fs.cp
  const useNative = node.satisfies('>=16.7.0')
  const cp = async (src, dest, opts) => {
    const options = getOptions(opts, {
      copy: [
        'dereference',
        'errorOnExist',
        'filter',
        'force',
        'preserveTimestamps',
        'recursive'
      ]
    })

    // the polyfill is tested separately from this module, no need to hack
    // process.version to try to trigger it just for coverage
    // istanbul ignore next
    return useNative ? fs.cp(src, dest, options) : polyfill(src, dest, options)
  }
  cp_1 = cp
  return cp_1
}

let withTempDir_1
let hasRequiredWithTempDir
function requireWithTempDir() {
  if (hasRequiredWithTempDir) {
    return withTempDir_1
  }
  hasRequiredWithTempDir = 1
  const { join, sep } = require$$0$a
  const getOptions = requireGetOptions()
  const { mkdir, mkdtemp, rm } = require$$0$c

  // create a temp directory, ensure its permissions match its parent, then call
  // the supplied function passing it the path to the directory. clean up after
  // the function finishes, whether it throws or not
  const withTempDir = async (root, fn, opts) => {
    const options = getOptions(opts, {
      copy: ['tmpPrefix']
    })
    // create the directory
    await mkdir(root, {
      recursive: true
    })
    const target = await mkdtemp(join(`${root}${sep}`, options.tmpPrefix || ''))
    let err
    let result
    try {
      result = await fn(target)
    } catch (_err) {
      err = _err
    }
    try {
      await rm(target, {
        force: true,
        recursive: true
      })
    } catch {
      // ignore errors
    }
    if (err) {
      throw err
    }
    return result
  }
  withTempDir_1 = withTempDir
  return withTempDir_1
}

let readdirScoped_1
let hasRequiredReaddirScoped
function requireReaddirScoped() {
  if (hasRequiredReaddirScoped) {
    return readdirScoped_1
  }
  hasRequiredReaddirScoped = 1
  const { readdir } = require$$0$c
  const { join } = require$$0$a
  const readdirScoped = async dir => {
    const results = []
    for (const item of await readdir(dir)) {
      if (item.startsWith('@')) {
        for (const scopedItem of await readdir(join(dir, item))) {
          results.push(join(item, scopedItem))
        }
      } else {
        results.push(item)
      }
    }
    return results
  }
  readdirScoped_1 = readdirScoped
  return readdirScoped_1
}

let moveFile_1
let hasRequiredMoveFile
function requireMoveFile() {
  if (hasRequiredMoveFile) {
    return moveFile_1
  }
  hasRequiredMoveFile = 1
  const { dirname, join, resolve, relative, isAbsolute } = require$$0$a
  const fs = require$$0$c
  const pathExists = async path => {
    try {
      await fs.access(path)
      return true
    } catch (er) {
      return er.code !== 'ENOENT'
    }
  }
  const moveFile = async (
    source,
    destination,
    options = {},
    root = true,
    symlinks = []
  ) => {
    if (!source || !destination) {
      throw new TypeError('`source` and `destination` file required')
    }
    options = {
      overwrite: true,
      ...options
    }
    if (!options.overwrite && (await pathExists(destination))) {
      throw new Error(`The destination file exists: ${destination}`)
    }
    await fs.mkdir(dirname(destination), {
      recursive: true
    })
    try {
      await fs.rename(source, destination)
    } catch (error) {
      if (error.code === 'EXDEV' || error.code === 'EPERM') {
        const sourceStat = await fs.lstat(source)
        if (sourceStat.isDirectory()) {
          const files = await fs.readdir(source)
          await Promise.all(
            files.map(file =>
              moveFile(
                join(source, file),
                join(destination, file),
                options,
                false,
                symlinks
              )
            )
          )
        } else if (sourceStat.isSymbolicLink()) {
          symlinks.push({
            source,
            destination
          })
        } else {
          await fs.copyFile(source, destination)
        }
      } else {
        throw error
      }
    }
    if (root) {
      await Promise.all(
        symlinks.map(
          async ({ source: symSource, destination: symDestination }) => {
            let target = await fs.readlink(symSource)
            // junction symlinks in windows will be absolute paths, so we need to
            // make sure they point to the symlink destination
            if (isAbsolute(target)) {
              target = resolve(symDestination, relative(symSource, target))
            }
            // try to determine what the actual file is so we can create the correct
            // type of symlink in windows
            let targetStat = 'file'
            try {
              targetStat = await fs.stat(resolve(dirname(symSource), target))
              if (targetStat.isDirectory()) {
                targetStat = 'junction'
              }
            } catch {
              // targetStat remains 'file'
            }
            await fs.symlink(target, symDestination, targetStat)
          }
        )
      )
      await fs.rm(source, {
        recursive: true,
        force: true
      })
    }
  }
  moveFile_1 = moveFile
  return moveFile_1
}

let lib$3
let hasRequiredLib$5
function requireLib$5() {
  if (hasRequiredLib$5) {
    return lib$3
  }
  hasRequiredLib$5 = 1
  const cp = requireCp()
  const withTempDir = requireWithTempDir()
  const readdirScoped = requireReaddirScoped()
  const moveFile = requireMoveFile()
  lib$3 = {
    cp,
    withTempDir,
    readdirScoped,
    moveFile
  }
  return lib$3
}

let hasRequiredEntryIndex
function requireEntryIndex() {
  if (hasRequiredEntryIndex) {
    return entryIndex
  }
  hasRequiredEntryIndex = 1
  const crypto = require$$0$9
  const { appendFile, mkdir, readFile, readdir, rm, writeFile } = require$$0$c
  const { Minipass } = requireCommonjs$5()
  const path = require$$0$a
  const ssri = requireLib$8()
  const uniqueFilename = requireLib$6()
  const contentPath = requirePath()
  const hashToSegments = requireHashToSegments()
  const indexV = require$$8['cache-version'].index
  const { moveFile } = requireLib$5()
  const lsStreamConcurrency = 5
  entryIndex.NotFoundError = class NotFoundError extends Error {
    constructor(cache, key) {
      super(`No cache entry for ${key} found in ${cache}`)
      this.code = 'ENOENT'
      this.cache = cache
      this.key = key
    }
  }
  entryIndex.compact = compact
  async function compact(cache, key, matchFn, opts = {}) {
    const bucket = bucketPath(cache, key)
    const entries = await bucketEntries(bucket)
    const newEntries = []
    // we loop backwards because the bottom-most result is the newest
    // since we add new entries with appendFile
    for (let i = entries.length - 1; i >= 0; --i) {
      const entry = entries[i]
      // a null integrity could mean either a delete was appended
      // or the user has simply stored an index that does not map
      // to any content. we determine if the user wants to keep the
      // null integrity based on the validateEntry function passed in options.
      // if the integrity is null and no validateEntry is provided, we break
      // as we consider the null integrity to be a deletion of everything
      // that came before it.
      if (entry.integrity === null && !opts.validateEntry) {
        break
      }

      // if this entry is valid, and it is either the first entry or
      // the newEntries array doesn't already include an entry that
      // matches this one based on the provided matchFn, then we add
      // it to the beginning of our list
      if (
        (!opts.validateEntry || opts.validateEntry(entry) === true) &&
        (newEntries.length === 0 ||
          !newEntries.find(oldEntry => matchFn(oldEntry, entry)))
      ) {
        newEntries.unshift(entry)
      }
    }
    const newIndex =
      '\n' +
      newEntries
        .map(entry => {
          const stringified = JSON.stringify(entry)
          const hash = hashEntry(stringified)
          return `${hash}\t${stringified}`
        })
        .join('\n')
    const setup = async () => {
      const target = uniqueFilename(path.join(cache, 'tmp'), opts.tmpPrefix)
      await mkdir(path.dirname(target), {
        recursive: true
      })
      return {
        target,
        moved: false
      }
    }
    const teardown = async tmp => {
      if (!tmp.moved) {
        return rm(tmp.target, {
          recursive: true,
          force: true
        })
      }
    }
    const write = async tmp => {
      await writeFile(tmp.target, newIndex, {
        flag: 'wx'
      })
      await mkdir(path.dirname(bucket), {
        recursive: true
      })
      // we use @npmcli/move-file directly here because we
      // want to overwrite the existing file
      await moveFile(tmp.target, bucket)
      tmp.moved = true
    }

    // write the file atomically
    const tmp = await setup()
    try {
      await write(tmp)
    } finally {
      await teardown(tmp)
    }

    // we reverse the list we generated such that the newest
    // entries come first in order to make looping through them easier
    // the true passed to formatEntry tells it to keep null
    // integrity values, if they made it this far it's because
    // validateEntry returned true, and as such we should return it
    return newEntries.reverse().map(entry => formatEntry(cache, entry, true))
  }
  entryIndex.insert = insert
  async function insert(cache, key, integrity, opts = {}) {
    const { metadata, size, time } = opts
    const bucket = bucketPath(cache, key)
    const entry = {
      key,
      integrity: integrity && ssri.stringify(integrity),
      time: time || Date.now(),
      size,
      metadata
    }
    try {
      await mkdir(path.dirname(bucket), {
        recursive: true
      })
      const stringified = JSON.stringify(entry)
      // NOTE - Cleverness ahoy!
      //
      // This works because it's tremendously unlikely for an entry to corrupt
      // another while still preserving the string length of the JSON in
      // question. So, we just slap the length in there and verify it on read.
      //
      // Thanks to @isaacs for the whiteboarding session that ended up with
      // this.
      await appendFile(bucket, `\n${hashEntry(stringified)}\t${stringified}`)
    } catch (err) {
      if (err.code === 'ENOENT') {
        return undefined
      }
      throw err
    }
    return formatEntry(cache, entry)
  }
  entryIndex.find = find
  async function find(cache, key) {
    const bucket = bucketPath(cache, key)
    try {
      const entries = await bucketEntries(bucket)
      return entries.reduce((latest, next) => {
        if (next && next.key === key) {
          return formatEntry(cache, next)
        } else {
          return latest
        }
      }, null)
    } catch (err) {
      if (err.code === 'ENOENT') {
        return null
      } else {
        throw err
      }
    }
  }
  entryIndex.delete = del
  function del(cache, key, opts = {}) {
    if (!opts.removeFully) {
      return insert(cache, key, null, opts)
    }
    const bucket = bucketPath(cache, key)
    return rm(bucket, {
      recursive: true,
      force: true
    })
  }
  entryIndex.lsStream = lsStream
  function lsStream(cache) {
    const indexDir = bucketDir(cache)
    const stream = new Minipass({
      objectMode: true
    })

    // Set all this up to run on the stream and then just return the stream
    Promise.resolve()
      .then(async () => {
        const { default: pMap } = await Promise.resolve().then(function () {
          return index
        })
        const buckets = await readdirOrEmpty(indexDir)
        await pMap(
          buckets,
          async bucket => {
            const bucketPath = path.join(indexDir, bucket)
            const subbuckets = await readdirOrEmpty(bucketPath)
            await pMap(
              subbuckets,
              async subbucket => {
                const subbucketPath = path.join(bucketPath, subbucket)

                // "/cachename/<bucket 0xFF>/<bucket 0xFF>./*"
                const subbucketEntries = await readdirOrEmpty(subbucketPath)
                await pMap(
                  subbucketEntries,
                  async entry => {
                    const entryPath = path.join(subbucketPath, entry)
                    try {
                      const entries = await bucketEntries(entryPath)
                      // using a Map here prevents duplicate keys from showing up
                      // twice, I guess?
                      const reduced = entries.reduce((acc, entry) => {
                        acc.set(entry.key, entry)
                        return acc
                      }, new Map())
                      // reduced is a map of key => entry
                      for (const entry of reduced.values()) {
                        const formatted = formatEntry(cache, entry)
                        if (formatted) {
                          stream.write(formatted)
                        }
                      }
                    } catch (err) {
                      if (err.code === 'ENOENT') {
                        return undefined
                      }
                      throw err
                    }
                  },
                  {
                    concurrency: lsStreamConcurrency
                  }
                )
              },
              {
                concurrency: lsStreamConcurrency
              }
            )
          },
          {
            concurrency: lsStreamConcurrency
          }
        )
        stream.end()
        return stream
      })
      .catch(err => stream.emit('error', err))
    return stream
  }
  entryIndex.ls = ls
  async function ls(cache) {
    const entries = await lsStream(cache).collect()
    return entries.reduce((acc, xs) => {
      acc[xs.key] = xs
      return acc
    }, {})
  }
  entryIndex.bucketEntries = bucketEntries
  async function bucketEntries(bucket, filter) {
    const data = await readFile(bucket, 'utf8')
    return _bucketEntries(data)
  }
  function _bucketEntries(data) {
    const entries = []
    data.split('\n').forEach(entry => {
      if (!entry) {
        return
      }
      const pieces = entry.split('\t')
      if (!pieces[1] || hashEntry(pieces[1]) !== pieces[0]) {
        // Hash is no good! Corruption or malice? Doesn't matter!
        // EJECT EJECT
        return
      }
      let obj
      try {
        obj = JSON.parse(pieces[1])
      } catch (_) {
        // eslint-ignore-next-line no-empty-block
      }
      // coverage disabled here, no need to test with an entry that parses to something falsey
      // istanbul ignore else
      if (obj) {
        entries.push(obj)
      }
    })
    return entries
  }
  entryIndex.bucketDir = bucketDir
  function bucketDir(cache) {
    return path.join(cache, `index-v${indexV}`)
  }
  entryIndex.bucketPath = bucketPath
  function bucketPath(cache, key) {
    const hashed = hashKey(key)
    return path.join.apply(
      path,
      [bucketDir(cache)].concat(hashToSegments(hashed))
    )
  }
  entryIndex.hashKey = hashKey
  function hashKey(key) {
    return hash(key, 'sha256')
  }
  entryIndex.hashEntry = hashEntry
  function hashEntry(str) {
    return hash(str, 'sha1')
  }
  function hash(str, digest) {
    return crypto.createHash(digest).update(str).digest('hex')
  }
  function formatEntry(cache, entry, keepAll) {
    // Treat null digests as deletions. They'll shadow any previous entries.
    if (!entry.integrity && !keepAll) {
      return null
    }
    return {
      key: entry.key,
      integrity: entry.integrity,
      path: entry.integrity ? contentPath(cache, entry.integrity) : undefined,
      size: entry.size,
      time: entry.time,
      metadata: entry.metadata
    }
  }
  function readdirOrEmpty(dir) {
    return readdir(dir).catch(err => {
      if (err.code === 'ENOENT' || err.code === 'ENOTDIR') {
        return []
      }
      throw err
    })
  }
  return entryIndex
}

const memoization = { exports: {} }

const commonjs$3 = {}

let hasRequiredCommonjs$3
function requireCommonjs$3() {
  if (hasRequiredCommonjs$3) {
    return commonjs$3
  }
  hasRequiredCommonjs$3 = 1
  /**
   * @module LRUCache
   */
  Object.defineProperty(commonjs$3, '__esModule', {
    value: true
  })
  commonjs$3.LRUCache = void 0
  const perf =
    typeof performance === 'object' &&
    performance &&
    typeof performance.now === 'function'
      ? performance
      : Date
  const warned = new Set()
  /* c8 ignore start */
  const PROCESS = typeof process === 'object' && !!process ? process : {}
  /* c8 ignore start */
  const emitWarning = (msg, type, code, fn) => {
    typeof PROCESS.emitWarning === 'function'
      ? PROCESS.emitWarning(msg, type, code, fn)
      : console.error(`[${code}] ${type}: ${msg}`)
  }
  let AC = globalThis.AbortController
  let AS = globalThis.AbortSignal
  /* c8 ignore start */
  if (typeof AC === 'undefined') {
    //@ts-ignore
    AS = class AbortSignal {
      onabort
      _onabort = []
      reason
      aborted = false
      addEventListener(_, fn) {
        this._onabort.push(fn)
      }
    }
    //@ts-ignore
    AC = class AbortController {
      constructor() {
        warnACPolyfill()
      }
      signal = new AS()
      abort(reason) {
        if (this.signal.aborted) {
          return
        }
        //@ts-ignore
        this.signal.reason = reason
        //@ts-ignore
        this.signal.aborted = true
        //@ts-ignore
        for (const fn of this.signal._onabort) {
          fn(reason)
        }
        this.signal.onabort?.(reason)
      }
    }
    let printACPolyfillWarning =
      PROCESS.env?.LRU_CACHE_IGNORE_AC_WARNING !== '1'
    const warnACPolyfill = () => {
      if (!printACPolyfillWarning) {
        return
      }
      printACPolyfillWarning = false
      emitWarning(
        'AbortController is not defined. If using lru-cache in ' +
          'node 14, load an AbortController polyfill from the ' +
          '`node-abort-controller` package. A minimal polyfill is ' +
          'provided for use by LRUCache.fetch(), but it should not be ' +
          'relied upon in other contexts (eg, passing it to other APIs that ' +
          'use AbortController/AbortSignal might have undesirable effects). ' +
          'You may disable this with LRU_CACHE_IGNORE_AC_WARNING=1 in the env.',
        'NO_ABORT_CONTROLLER',
        'ENOTSUP',
        warnACPolyfill
      )
    }
  }
  /* c8 ignore stop */
  const shouldWarn = code => !warned.has(code)
  const isPosInt = n => n && n === Math.floor(n) && n > 0 && isFinite(n)
  /* c8 ignore start */
  // This is a little bit ridiculous, tbh.
  // The maximum array length is 2^32-1 or thereabouts on most JS impls.
  // And well before that point, you're caching the entire world, I mean,
  // that's ~32GB of just integers for the next/prev links, plus whatever
  // else to hold that many keys and values.  Just filling the memory with
  // zeroes at init time is brutal when you get that big.
  // But why not be complete?
  // Maybe in the future, these limits will have expanded.
  const getUintArray = max =>
    !isPosInt(max)
      ? null
      : max <= Math.pow(2, 8)
        ? Uint8Array
        : max <= Math.pow(2, 16)
          ? Uint16Array
          : max <= Math.pow(2, 32)
            ? Uint32Array
            : max <= Number.MAX_SAFE_INTEGER
              ? ZeroArray
              : null
  /* c8 ignore stop */
  class ZeroArray extends Array {
    constructor(size) {
      super(size)
      this.fill(0)
    }
  }
  class Stack {
    heap
    length
    // private constructor
    static #constructing = false
    static create(max) {
      const HeapCls = getUintArray(max)
      if (!HeapCls) {
        return []
      }
      Stack.#constructing = true
      const s = new Stack(max, HeapCls)
      Stack.#constructing = false
      return s
    }
    constructor(max, HeapCls) {
      /* c8 ignore start */
      if (!Stack.#constructing) {
        throw new TypeError('instantiate Stack using Stack.create(n)')
      }
      /* c8 ignore stop */
      this.heap = new HeapCls(max)
      this.length = 0
    }
    push(n) {
      this.heap[this.length++] = n
    }
    pop() {
      return this.heap[--this.length]
    }
  }
  /**
   * Default export, the thing you're using this module to get.
   *
   * The `K` and `V` types define the key and value types, respectively. The
   * optional `FC` type defines the type of the `context` object passed to
   * `cache.fetch()` and `cache.memo()`.
   *
   * Keys and values **must not** be `null` or `undefined`.
   *
   * All properties from the options object (with the exception of `max`,
   * `maxSize`, `fetchMethod`, `memoMethod`, `dispose` and `disposeAfter`) are
   * added as normal public members. (The listed options are read-only getters.)
   *
   * Changing any of these will alter the defaults for subsequent method calls.
   */
  class LRUCache {
    // options that cannot be changed without disaster
    #max
    #maxSize
    #dispose
    #disposeAfter
    #fetchMethod
    #memoMethod
    /**
     * {@link LRUCache.OptionsBase.ttl}
     */
    ttl
    /**
     * {@link LRUCache.OptionsBase.ttlResolution}
     */
    ttlResolution
    /**
     * {@link LRUCache.OptionsBase.ttlAutopurge}
     */
    ttlAutopurge
    /**
     * {@link LRUCache.OptionsBase.updateAgeOnGet}
     */
    updateAgeOnGet
    /**
     * {@link LRUCache.OptionsBase.updateAgeOnHas}
     */
    updateAgeOnHas
    /**
     * {@link LRUCache.OptionsBase.allowStale}
     */
    allowStale
    /**
     * {@link LRUCache.OptionsBase.noDisposeOnSet}
     */
    noDisposeOnSet
    /**
     * {@link LRUCache.OptionsBase.noUpdateTTL}
     */
    noUpdateTTL
    /**
     * {@link LRUCache.OptionsBase.maxEntrySize}
     */
    maxEntrySize
    /**
     * {@link LRUCache.OptionsBase.sizeCalculation}
     */
    sizeCalculation
    /**
     * {@link LRUCache.OptionsBase.noDeleteOnFetchRejection}
     */
    noDeleteOnFetchRejection
    /**
     * {@link LRUCache.OptionsBase.noDeleteOnStaleGet}
     */
    noDeleteOnStaleGet
    /**
     * {@link LRUCache.OptionsBase.allowStaleOnFetchAbort}
     */
    allowStaleOnFetchAbort
    /**
     * {@link LRUCache.OptionsBase.allowStaleOnFetchRejection}
     */
    allowStaleOnFetchRejection
    /**
     * {@link LRUCache.OptionsBase.ignoreFetchAbort}
     */
    ignoreFetchAbort
    // computed properties
    #size
    #calculatedSize
    #keyMap
    #keyList
    #valList
    #next
    #prev
    #head
    #tail
    #free
    #disposed
    #sizes
    #starts
    #ttls
    #hasDispose
    #hasFetchMethod
    #hasDisposeAfter
    /**
     * Do not call this method unless you need to inspect the
     * inner workings of the cache.  If anything returned by this
     * object is modified in any way, strange breakage may occur.
     *
     * These fields are private for a reason!
     *
     * @internal
     */
    static unsafeExposeInternals(c) {
      return {
        // properties
        starts: c.#starts,
        ttls: c.#ttls,
        sizes: c.#sizes,
        keyMap: c.#keyMap,
        keyList: c.#keyList,
        valList: c.#valList,
        next: c.#next,
        prev: c.#prev,
        get head() {
          return c.#head
        },
        get tail() {
          return c.#tail
        },
        free: c.#free,
        // methods
        isBackgroundFetch: p => c.#isBackgroundFetch(p),
        backgroundFetch: (k, index, options, context) =>
          c.#backgroundFetch(k, index, options, context),
        moveToTail: index => c.#moveToTail(index),
        indexes: options => c.#indexes(options),
        rindexes: options => c.#rindexes(options),
        isStale: index => c.#isStale(index)
      }
    }
    // Protected read-only members
    /**
     * {@link LRUCache.OptionsBase.max} (read-only)
     */
    get max() {
      return this.#max
    }
    /**
     * {@link LRUCache.OptionsBase.maxSize} (read-only)
     */
    get maxSize() {
      return this.#maxSize
    }
    /**
     * The total computed size of items in the cache (read-only)
     */
    get calculatedSize() {
      return this.#calculatedSize
    }
    /**
     * The number of items stored in the cache (read-only)
     */
    get size() {
      return this.#size
    }
    /**
     * {@link LRUCache.OptionsBase.fetchMethod} (read-only)
     */
    get fetchMethod() {
      return this.#fetchMethod
    }
    get memoMethod() {
      return this.#memoMethod
    }
    /**
     * {@link LRUCache.OptionsBase.dispose} (read-only)
     */
    get dispose() {
      return this.#dispose
    }
    /**
     * {@link LRUCache.OptionsBase.disposeAfter} (read-only)
     */
    get disposeAfter() {
      return this.#disposeAfter
    }
    constructor(options) {
      const {
        max = 0,
        ttl,
        ttlResolution = 1,
        ttlAutopurge,
        updateAgeOnGet,
        updateAgeOnHas,
        allowStale,
        dispose,
        disposeAfter,
        noDisposeOnSet,
        noUpdateTTL,
        maxSize = 0,
        maxEntrySize = 0,
        sizeCalculation,
        fetchMethod,
        memoMethod,
        noDeleteOnFetchRejection,
        noDeleteOnStaleGet,
        allowStaleOnFetchRejection,
        allowStaleOnFetchAbort,
        ignoreFetchAbort
      } = options
      if (max !== 0 && !isPosInt(max)) {
        throw new TypeError('max option must be a nonnegative integer')
      }
      const UintArray = max ? getUintArray(max) : Array
      if (!UintArray) {
        throw new Error('invalid max value: ' + max)
      }
      this.#max = max
      this.#maxSize = maxSize
      this.maxEntrySize = maxEntrySize || this.#maxSize
      this.sizeCalculation = sizeCalculation
      if (this.sizeCalculation) {
        if (!this.#maxSize && !this.maxEntrySize) {
          throw new TypeError(
            'cannot set sizeCalculation without setting maxSize or maxEntrySize'
          )
        }
        if (typeof this.sizeCalculation !== 'function') {
          throw new TypeError('sizeCalculation set to non-function')
        }
      }
      if (memoMethod !== undefined && typeof memoMethod !== 'function') {
        throw new TypeError('memoMethod must be a function if defined')
      }
      this.#memoMethod = memoMethod
      if (fetchMethod !== undefined && typeof fetchMethod !== 'function') {
        throw new TypeError('fetchMethod must be a function if specified')
      }
      this.#fetchMethod = fetchMethod
      this.#hasFetchMethod = !!fetchMethod
      this.#keyMap = new Map()
      this.#keyList = new Array(max).fill(undefined)
      this.#valList = new Array(max).fill(undefined)
      this.#next = new UintArray(max)
      this.#prev = new UintArray(max)
      this.#head = 0
      this.#tail = 0
      this.#free = Stack.create(max)
      this.#size = 0
      this.#calculatedSize = 0
      if (typeof dispose === 'function') {
        this.#dispose = dispose
      }
      if (typeof disposeAfter === 'function') {
        this.#disposeAfter = disposeAfter
        this.#disposed = []
      } else {
        this.#disposeAfter = undefined
        this.#disposed = undefined
      }
      this.#hasDispose = !!this.#dispose
      this.#hasDisposeAfter = !!this.#disposeAfter
      this.noDisposeOnSet = !!noDisposeOnSet
      this.noUpdateTTL = !!noUpdateTTL
      this.noDeleteOnFetchRejection = !!noDeleteOnFetchRejection
      this.allowStaleOnFetchRejection = !!allowStaleOnFetchRejection
      this.allowStaleOnFetchAbort = !!allowStaleOnFetchAbort
      this.ignoreFetchAbort = !!ignoreFetchAbort
      // NB: maxEntrySize is set to maxSize if it's set
      if (this.maxEntrySize !== 0) {
        if (this.#maxSize !== 0) {
          if (!isPosInt(this.#maxSize)) {
            throw new TypeError(
              'maxSize must be a positive integer if specified'
            )
          }
        }
        if (!isPosInt(this.maxEntrySize)) {
          throw new TypeError(
            'maxEntrySize must be a positive integer if specified'
          )
        }
        this.#initializeSizeTracking()
      }
      this.allowStale = !!allowStale
      this.noDeleteOnStaleGet = !!noDeleteOnStaleGet
      this.updateAgeOnGet = !!updateAgeOnGet
      this.updateAgeOnHas = !!updateAgeOnHas
      this.ttlResolution =
        isPosInt(ttlResolution) || ttlResolution === 0 ? ttlResolution : 1
      this.ttlAutopurge = !!ttlAutopurge
      this.ttl = ttl || 0
      if (this.ttl) {
        if (!isPosInt(this.ttl)) {
          throw new TypeError('ttl must be a positive integer if specified')
        }
        this.#initializeTTLTracking()
      }
      // do not allow completely unbounded caches
      if (this.#max === 0 && this.ttl === 0 && this.#maxSize === 0) {
        throw new TypeError('At least one of max, maxSize, or ttl is required')
      }
      if (!this.ttlAutopurge && !this.#max && !this.#maxSize) {
        const code = 'LRU_CACHE_UNBOUNDED'
        if (shouldWarn(code)) {
          warned.add(code)
          const msg =
            'TTL caching without ttlAutopurge, max, or maxSize can ' +
            'result in unbounded memory consumption.'
          emitWarning(msg, 'UnboundedCacheWarning', code, LRUCache)
        }
      }
    }
    /**
     * Return the number of ms left in the item's TTL. If item is not in cache,
     * returns `0`. Returns `Infinity` if item is in cache without a defined TTL.
     */
    getRemainingTTL(key) {
      return this.#keyMap.has(key) ? Infinity : 0
    }
    #initializeTTLTracking() {
      const ttls = new ZeroArray(this.#max)
      const starts = new ZeroArray(this.#max)
      this.#ttls = ttls
      this.#starts = starts
      this.#setItemTTL = (index, ttl, start = perf.now()) => {
        starts[index] = ttl !== 0 ? start : 0
        ttls[index] = ttl
        if (ttl !== 0 && this.ttlAutopurge) {
          const t = setTimeout(() => {
            if (this.#isStale(index)) {
              this.#delete(this.#keyList[index], 'expire')
            }
          }, ttl + 1)
          // unref() not supported on all platforms
          /* c8 ignore start */
          if (t.unref) {
            t.unref()
          }
          /* c8 ignore stop */
        }
      }
      this.#updateItemAge = index => {
        starts[index] = ttls[index] !== 0 ? perf.now() : 0
      }
      this.#statusTTL = (status, index) => {
        if (ttls[index]) {
          const ttl = ttls[index]
          const start = starts[index]
          /* c8 ignore next */
          if (!ttl || !start) {
            return
          }
          status.ttl = ttl
          status.start = start
          status.now = cachedNow || getNow()
          const age = status.now - start
          status.remainingTTL = ttl - age
        }
      }
      // debounce calls to perf.now() to 1s so we're not hitting
      // that costly call repeatedly.
      let cachedNow = 0
      const getNow = () => {
        const n = perf.now()
        if (this.ttlResolution > 0) {
          cachedNow = n
          const t = setTimeout(() => (cachedNow = 0), this.ttlResolution)
          // not available on all platforms
          /* c8 ignore start */
          if (t.unref) {
            t.unref()
          }
          /* c8 ignore stop */
        }
        return n
      }
      this.getRemainingTTL = key => {
        const index = this.#keyMap.get(key)
        if (index === undefined) {
          return 0
        }
        const ttl = ttls[index]
        const start = starts[index]
        if (!ttl || !start) {
          return Infinity
        }
        const age = (cachedNow || getNow()) - start
        return ttl - age
      }
      this.#isStale = index => {
        const s = starts[index]
        const t = ttls[index]
        return !!t && !!s && (cachedNow || getNow()) - s > t
      }
    }
    // conditionally set private methods related to TTL
    #updateItemAge = () => {}
    #statusTTL = () => {}
    #setItemTTL = () => {}
    /* c8 ignore stop */
    #isStale = () => false
    #initializeSizeTracking() {
      const sizes = new ZeroArray(this.#max)
      this.#calculatedSize = 0
      this.#sizes = sizes
      this.#removeItemSize = index => {
        this.#calculatedSize -= sizes[index]
        sizes[index] = 0
      }
      this.#requireSize = (k, v, size, sizeCalculation) => {
        // provisionally accept background fetches.
        // actual value size will be checked when they return.
        if (this.#isBackgroundFetch(v)) {
          return 0
        }
        if (!isPosInt(size)) {
          if (sizeCalculation) {
            if (typeof sizeCalculation !== 'function') {
              throw new TypeError('sizeCalculation must be a function')
            }
            size = sizeCalculation(v, k)
            if (!isPosInt(size)) {
              throw new TypeError(
                'sizeCalculation return invalid (expect positive integer)'
              )
            }
          } else {
            throw new TypeError(
              'invalid size value (must be positive integer). ' +
                'When maxSize or maxEntrySize is used, sizeCalculation ' +
                'or size must be set.'
            )
          }
        }
        return size
      }
      this.#addItemSize = (index, size, status) => {
        sizes[index] = size
        if (this.#maxSize) {
          const maxSize = this.#maxSize - sizes[index]
          while (this.#calculatedSize > maxSize) {
            this.#evict(true)
          }
        }
        this.#calculatedSize += sizes[index]
        if (status) {
          status.entrySize = size
          status.totalCalculatedSize = this.#calculatedSize
        }
      }
    }
    #removeItemSize = _i => {}
    #addItemSize = (_i, _s, _st) => {}
    #requireSize = (_k, _v, size, sizeCalculation) => {
      if (size || sizeCalculation) {
        throw new TypeError(
          'cannot set size without setting maxSize or maxEntrySize on cache'
        )
      }
      return 0
    };
    *#indexes({ allowStale = this.allowStale } = {}) {
      if (this.#size) {
        for (let i = this.#tail; true; ) {
          if (!this.#isValidIndex(i)) {
            break
          }
          if (allowStale || !this.#isStale(i)) {
            yield i
          }
          if (i === this.#head) {
            break
          } else {
            i = this.#prev[i]
          }
        }
      }
    }
    *#rindexes({ allowStale = this.allowStale } = {}) {
      if (this.#size) {
        for (let i = this.#head; true; ) {
          if (!this.#isValidIndex(i)) {
            break
          }
          if (allowStale || !this.#isStale(i)) {
            yield i
          }
          if (i === this.#tail) {
            break
          } else {
            i = this.#next[i]
          }
        }
      }
    }
    #isValidIndex(index) {
      return (
        index !== undefined && this.#keyMap.get(this.#keyList[index]) === index
      )
    }
    /**
     * Return a generator yielding `[key, value]` pairs,
     * in order from most recently used to least recently used.
     */
    *entries() {
      for (const i of this.#indexes()) {
        if (
          this.#valList[i] !== undefined &&
          this.#keyList[i] !== undefined &&
          !this.#isBackgroundFetch(this.#valList[i])
        ) {
          yield [this.#keyList[i], this.#valList[i]]
        }
      }
    }
    /**
     * Inverse order version of {@link LRUCache.entries}
     *
     * Return a generator yielding `[key, value]` pairs,
     * in order from least recently used to most recently used.
     */
    *rentries() {
      for (const i of this.#rindexes()) {
        if (
          this.#valList[i] !== undefined &&
          this.#keyList[i] !== undefined &&
          !this.#isBackgroundFetch(this.#valList[i])
        ) {
          yield [this.#keyList[i], this.#valList[i]]
        }
      }
    }
    /**
     * Return a generator yielding the keys in the cache,
     * in order from most recently used to least recently used.
     */
    *keys() {
      for (const i of this.#indexes()) {
        const k = this.#keyList[i]
        if (k !== undefined && !this.#isBackgroundFetch(this.#valList[i])) {
          yield k
        }
      }
    }
    /**
     * Inverse order version of {@link LRUCache.keys}
     *
     * Return a generator yielding the keys in the cache,
     * in order from least recently used to most recently used.
     */
    *rkeys() {
      for (const i of this.#rindexes()) {
        const k = this.#keyList[i]
        if (k !== undefined && !this.#isBackgroundFetch(this.#valList[i])) {
          yield k
        }
      }
    }
    /**
     * Return a generator yielding the values in the cache,
     * in order from most recently used to least recently used.
     */
    *values() {
      for (const i of this.#indexes()) {
        const v = this.#valList[i]
        if (v !== undefined && !this.#isBackgroundFetch(this.#valList[i])) {
          yield this.#valList[i]
        }
      }
    }
    /**
     * Inverse order version of {@link LRUCache.values}
     *
     * Return a generator yielding the values in the cache,
     * in order from least recently used to most recently used.
     */
    *rvalues() {
      for (const i of this.#rindexes()) {
        const v = this.#valList[i]
        if (v !== undefined && !this.#isBackgroundFetch(this.#valList[i])) {
          yield this.#valList[i]
        }
      }
    }
    /**
     * Iterating over the cache itself yields the same results as
     * {@link LRUCache.entries}
     */
    [Symbol.iterator]() {
      return this.entries()
    }
    /**
     * A String value that is used in the creation of the default string
     * description of an object. Called by the built-in method
     * `Object.prototype.toString`.
     */
    [Symbol.toStringTag] = 'LRUCache'
    /**
     * Find a value for which the supplied fn method returns a truthy value,
     * similar to `Array.find()`. fn is called as `fn(value, key, cache)`.
     */
    find(fn, getOptions = {}) {
      for (const i of this.#indexes()) {
        const v = this.#valList[i]
        const value = this.#isBackgroundFetch(v) ? v.__staleWhileFetching : v
        if (value === undefined) {
          continue
        }
        if (fn(value, this.#keyList[i], this)) {
          return this.get(this.#keyList[i], getOptions)
        }
      }
    }
    /**
     * Call the supplied function on each item in the cache, in order from most
     * recently used to least recently used.
     *
     * `fn` is called as `fn(value, key, cache)`.
     *
     * If `thisp` is provided, function will be called in the `this`-context of
     * the provided object, or the cache if no `thisp` object is provided.
     *
     * Does not update age or recenty of use, or iterate over stale values.
     */
    forEach(fn, thisp = this) {
      for (const i of this.#indexes()) {
        const v = this.#valList[i]
        const value = this.#isBackgroundFetch(v) ? v.__staleWhileFetching : v
        if (value === undefined) {
          continue
        }
        fn.call(thisp, value, this.#keyList[i], this)
      }
    }
    /**
     * The same as {@link LRUCache.forEach} but items are iterated over in
     * reverse order.  (ie, less recently used items are iterated over first.)
     */
    rforEach(fn, thisp = this) {
      for (const i of this.#rindexes()) {
        const v = this.#valList[i]
        const value = this.#isBackgroundFetch(v) ? v.__staleWhileFetching : v
        if (value === undefined) {
          continue
        }
        fn.call(thisp, value, this.#keyList[i], this)
      }
    }
    /**
     * Delete any stale entries. Returns true if anything was removed,
     * false otherwise.
     */
    purgeStale() {
      let deleted = false
      for (const i of this.#rindexes({
        allowStale: true
      })) {
        if (this.#isStale(i)) {
          this.#delete(this.#keyList[i], 'expire')
          deleted = true
        }
      }
      return deleted
    }
    /**
     * Get the extended info about a given entry, to get its value, size, and
     * TTL info simultaneously. Returns `undefined` if the key is not present.
     *
     * Unlike {@link LRUCache#dump}, which is designed to be portable and survive
     * serialization, the `start` value is always the current timestamp, and the
     * `ttl` is a calculated remaining time to live (negative if expired).
     *
     * Always returns stale values, if their info is found in the cache, so be
     * sure to check for expirations (ie, a negative {@link LRUCache.Entry#ttl})
     * if relevant.
     */
    info(key) {
      const i = this.#keyMap.get(key)
      if (i === undefined) {
        return undefined
      }
      const v = this.#valList[i]
      const value = this.#isBackgroundFetch(v) ? v.__staleWhileFetching : v
      if (value === undefined) {
        return undefined
      }
      const entry = {
        value
      }
      if (this.#ttls && this.#starts) {
        const ttl = this.#ttls[i]
        const start = this.#starts[i]
        if (ttl && start) {
          const remain = ttl - (perf.now() - start)
          entry.ttl = remain
          entry.start = Date.now()
        }
      }
      if (this.#sizes) {
        entry.size = this.#sizes[i]
      }
      return entry
    }
    /**
     * Return an array of [key, {@link LRUCache.Entry}] tuples which can be
     * passed to {@link LRLUCache#load}.
     *
     * The `start` fields are calculated relative to a portable `Date.now()`
     * timestamp, even if `performance.now()` is available.
     *
     * Stale entries are always included in the `dump`, even if
     * {@link LRUCache.OptionsBase.allowStale} is false.
     *
     * Note: this returns an actual array, not a generator, so it can be more
     * easily passed around.
     */
    dump() {
      const arr = []
      for (const i of this.#indexes({
        allowStale: true
      })) {
        const key = this.#keyList[i]
        const v = this.#valList[i]
        const value = this.#isBackgroundFetch(v) ? v.__staleWhileFetching : v
        if (value === undefined || key === undefined) {
          continue
        }
        const entry = {
          value
        }
        if (this.#ttls && this.#starts) {
          entry.ttl = this.#ttls[i]
          // always dump the start relative to a portable timestamp
          // it's ok for this to be a bit slow, it's a rare operation.
          const age = perf.now() - this.#starts[i]
          entry.start = Math.floor(Date.now() - age)
        }
        if (this.#sizes) {
          entry.size = this.#sizes[i]
        }
        arr.unshift([key, entry])
      }
      return arr
    }
    /**
     * Reset the cache and load in the items in entries in the order listed.
     *
     * The shape of the resulting cache may be different if the same options are
     * not used in both caches.
     *
     * The `start` fields are assumed to be calculated relative to a portable
     * `Date.now()` timestamp, even if `performance.now()` is available.
     */
    load(arr) {
      this.clear()
      for (const [key, entry] of arr) {
        if (entry.start) {
          // entry.start is a portable timestamp, but we may be using
          // node's performance.now(), so calculate the offset, so that
          // we get the intended remaining TTL, no matter how long it's
          // been on ice.
          //
          // it's ok for this to be a bit slow, it's a rare operation.
          const age = Date.now() - entry.start
          entry.start = perf.now() - age
        }
        this.set(key, entry.value, entry)
      }
    }
    /**
     * Add a value to the cache.
     *
     * Note: if `undefined` is specified as a value, this is an alias for
     * {@link LRUCache#delete}
     *
     * Fields on the {@link LRUCache.SetOptions} options param will override
     * their corresponding values in the constructor options for the scope
     * of this single `set()` operation.
     *
     * If `start` is provided, then that will set the effective start
     * time for the TTL calculation. Note that this must be a previous
     * value of `performance.now()` if supported, or a previous value of
     * `Date.now()` if not.
     *
     * Options object may also include `size`, which will prevent
     * calling the `sizeCalculation` function and just use the specified
     * number if it is a positive integer, and `noDisposeOnSet` which
     * will prevent calling a `dispose` function in the case of
     * overwrites.
     *
     * If the `size` (or return value of `sizeCalculation`) for a given
     * entry is greater than `maxEntrySize`, then the item will not be
     * added to the cache.
     *
     * Will update the recency of the entry.
     *
     * If the value is `undefined`, then this is an alias for
     * `cache.delete(key)`. `undefined` is never stored in the cache.
     */
    set(k, v, setOptions = {}) {
      if (v === undefined) {
        this.delete(k)
        return this
      }
      const {
        ttl = this.ttl,
        start,
        noDisposeOnSet = this.noDisposeOnSet,
        sizeCalculation = this.sizeCalculation,
        status
      } = setOptions
      let { noUpdateTTL = this.noUpdateTTL } = setOptions
      const size = this.#requireSize(
        k,
        v,
        setOptions.size || 0,
        sizeCalculation
      )
      // if the item doesn't fit, don't do anything
      // NB: maxEntrySize set to maxSize by default
      if (this.maxEntrySize && size > this.maxEntrySize) {
        if (status) {
          status.set = 'miss'
          status.maxEntrySizeExceeded = true
        }
        // have to delete, in case something is there already.
        this.#delete(k, 'set')
        return this
      }
      let index = this.#size === 0 ? undefined : this.#keyMap.get(k)
      if (index === undefined) {
        // addition
        index =
          this.#size === 0
            ? this.#tail
            : this.#free.length !== 0
              ? this.#free.pop()
              : this.#size === this.#max
                ? this.#evict(false)
                : this.#size
        this.#keyList[index] = k
        this.#valList[index] = v
        this.#keyMap.set(k, index)
        this.#next[this.#tail] = index
        this.#prev[index] = this.#tail
        this.#tail = index
        this.#size++
        this.#addItemSize(index, size, status)
        if (status) {
          status.set = 'add'
        }
        noUpdateTTL = false
      } else {
        // update
        this.#moveToTail(index)
        const oldVal = this.#valList[index]
        if (v !== oldVal) {
          if (this.#hasFetchMethod && this.#isBackgroundFetch(oldVal)) {
            oldVal.__abortController.abort(new Error('replaced'))
            const { __staleWhileFetching: s } = oldVal
            if (s !== undefined && !noDisposeOnSet) {
              if (this.#hasDispose) {
                this.#dispose?.(s, k, 'set')
              }
              if (this.#hasDisposeAfter) {
                this.#disposed?.push([s, k, 'set'])
              }
            }
          } else if (!noDisposeOnSet) {
            if (this.#hasDispose) {
              this.#dispose?.(oldVal, k, 'set')
            }
            if (this.#hasDisposeAfter) {
              this.#disposed?.push([oldVal, k, 'set'])
            }
          }
          this.#removeItemSize(index)
          this.#addItemSize(index, size, status)
          this.#valList[index] = v
          if (status) {
            status.set = 'replace'
            const oldValue =
              oldVal && this.#isBackgroundFetch(oldVal)
                ? oldVal.__staleWhileFetching
                : oldVal
            if (oldValue !== undefined) {
              status.oldValue = oldValue
            }
          }
        } else if (status) {
          status.set = 'update'
        }
      }
      if (ttl !== 0 && !this.#ttls) {
        this.#initializeTTLTracking()
      }
      if (this.#ttls) {
        if (!noUpdateTTL) {
          this.#setItemTTL(index, ttl, start)
        }
        if (status) {
          this.#statusTTL(status, index)
        }
      }
      if (!noDisposeOnSet && this.#hasDisposeAfter && this.#disposed) {
        const dt = this.#disposed
        let task
        while ((task = dt?.shift())) {
          this.#disposeAfter?.(...task)
        }
      }
      return this
    }
    /**
     * Evict the least recently used item, returning its value or
     * `undefined` if cache is empty.
     */
    pop() {
      try {
        while (this.#size) {
          const val = this.#valList[this.#head]
          this.#evict(true)
          if (this.#isBackgroundFetch(val)) {
            if (val.__staleWhileFetching) {
              return val.__staleWhileFetching
            }
          } else if (val !== undefined) {
            return val
          }
        }
      } finally {
        if (this.#hasDisposeAfter && this.#disposed) {
          const dt = this.#disposed
          let task
          while ((task = dt?.shift())) {
            this.#disposeAfter?.(...task)
          }
        }
      }
    }
    #evict(free) {
      const head = this.#head
      const k = this.#keyList[head]
      const v = this.#valList[head]
      if (this.#hasFetchMethod && this.#isBackgroundFetch(v)) {
        v.__abortController.abort(new Error('evicted'))
      } else if (this.#hasDispose || this.#hasDisposeAfter) {
        if (this.#hasDispose) {
          this.#dispose?.(v, k, 'evict')
        }
        if (this.#hasDisposeAfter) {
          this.#disposed?.push([v, k, 'evict'])
        }
      }
      this.#removeItemSize(head)
      // if we aren't about to use the index, then null these out
      if (free) {
        this.#keyList[head] = undefined
        this.#valList[head] = undefined
        this.#free.push(head)
      }
      if (this.#size === 1) {
        this.#head = this.#tail = 0
        this.#free.length = 0
      } else {
        this.#head = this.#next[head]
      }
      this.#keyMap.delete(k)
      this.#size--
      return head
    }
    /**
     * Check if a key is in the cache, without updating the recency of use.
     * Will return false if the item is stale, even though it is technically
     * in the cache.
     *
     * Check if a key is in the cache, without updating the recency of
     * use. Age is updated if {@link LRUCache.OptionsBase.updateAgeOnHas} is set
     * to `true` in either the options or the constructor.
     *
     * Will return `false` if the item is stale, even though it is technically in
     * the cache. The difference can be determined (if it matters) by using a
     * `status` argument, and inspecting the `has` field.
     *
     * Will not update item age unless
     * {@link LRUCache.OptionsBase.updateAgeOnHas} is set.
     */
    has(k, hasOptions = {}) {
      const { updateAgeOnHas = this.updateAgeOnHas, status } = hasOptions
      const index = this.#keyMap.get(k)
      if (index !== undefined) {
        const v = this.#valList[index]
        if (
          this.#isBackgroundFetch(v) &&
          v.__staleWhileFetching === undefined
        ) {
          return false
        }
        if (!this.#isStale(index)) {
          if (updateAgeOnHas) {
            this.#updateItemAge(index)
          }
          if (status) {
            status.has = 'hit'
            this.#statusTTL(status, index)
          }
          return true
        } else if (status) {
          status.has = 'stale'
          this.#statusTTL(status, index)
        }
      } else if (status) {
        status.has = 'miss'
      }
      return false
    }
    /**
     * Like {@link LRUCache#get} but doesn't update recency or delete stale
     * items.
     *
     * Returns `undefined` if the item is stale, unless
     * {@link LRUCache.OptionsBase.allowStale} is set.
     */
    peek(k, peekOptions = {}) {
      const { allowStale = this.allowStale } = peekOptions
      const index = this.#keyMap.get(k)
      if (index === undefined || (!allowStale && this.#isStale(index))) {
        return
      }
      const v = this.#valList[index]
      // either stale and allowed, or forcing a refresh of non-stale value
      return this.#isBackgroundFetch(v) ? v.__staleWhileFetching : v
    }
    #backgroundFetch(k, index, options, context) {
      const v = index === undefined ? undefined : this.#valList[index]
      if (this.#isBackgroundFetch(v)) {
        return v
      }
      const ac = new AC()
      const { signal } = options
      // when/if our AC signals, then stop listening to theirs.
      signal?.addEventListener('abort', () => ac.abort(signal.reason), {
        signal: ac.signal
      })
      const fetchOpts = {
        signal: ac.signal,
        options,
        context
      }
      const cb = (v, updateCache = false) => {
        const { aborted } = ac.signal
        const ignoreAbort = options.ignoreFetchAbort && v !== undefined
        if (options.status) {
          if (aborted && !updateCache) {
            options.status.fetchAborted = true
            options.status.fetchError = ac.signal.reason
            if (ignoreAbort) {
              options.status.fetchAbortIgnored = true
            }
          } else {
            options.status.fetchResolved = true
          }
        }
        if (aborted && !ignoreAbort && !updateCache) {
          return fetchFail(ac.signal.reason)
        }
        // either we didn't abort, and are still here, or we did, and ignored
        const bf = p
        if (this.#valList[index] === p) {
          if (v === undefined) {
            if (bf.__staleWhileFetching) {
              this.#valList[index] = bf.__staleWhileFetching
            } else {
              this.#delete(k, 'fetch')
            }
          } else {
            if (options.status) {
              options.status.fetchUpdated = true
            }
            this.set(k, v, fetchOpts.options)
          }
        }
        return v
      }
      const eb = er => {
        if (options.status) {
          options.status.fetchRejected = true
          options.status.fetchError = er
        }
        return fetchFail(er)
      }
      const fetchFail = er => {
        const { aborted } = ac.signal
        const allowStaleAborted = aborted && options.allowStaleOnFetchAbort
        const allowStale =
          allowStaleAborted || options.allowStaleOnFetchRejection
        const noDelete = allowStale || options.noDeleteOnFetchRejection
        const bf = p
        if (this.#valList[index] === p) {
          // if we allow stale on fetch rejections, then we need to ensure that
          // the stale value is not removed from the cache when the fetch fails.
          const del = !noDelete || bf.__staleWhileFetching === undefined
          if (del) {
            this.#delete(k, 'fetch')
          } else if (!allowStaleAborted) {
            // still replace the *promise* with the stale value,
            // since we are done with the promise at this point.
            // leave it untouched if we're still waiting for an
            // aborted background fetch that hasn't yet returned.
            this.#valList[index] = bf.__staleWhileFetching
          }
        }
        if (allowStale) {
          if (options.status && bf.__staleWhileFetching !== undefined) {
            options.status.returnedStale = true
          }
          return bf.__staleWhileFetching
        } else if (bf.__returned === bf) {
          throw er
        }
      }
      const pcall = (res, rej) => {
        const fmp = this.#fetchMethod?.(k, v, fetchOpts)
        if (fmp && fmp instanceof Promise) {
          fmp.then(v => res(v === undefined ? undefined : v), rej)
        }
        // ignored, we go until we finish, regardless.
        // defer check until we are actually aborting,
        // so fetchMethod can override.
        ac.signal.addEventListener('abort', () => {
          if (!options.ignoreFetchAbort || options.allowStaleOnFetchAbort) {
            res(undefined)
            // when it eventually resolves, update the cache.
            if (options.allowStaleOnFetchAbort) {
              res = v => cb(v, true)
            }
          }
        })
      }
      if (options.status) {
        options.status.fetchDispatched = true
      }
      const p = new Promise(pcall).then(cb, eb)
      const bf = Object.assign(p, {
        __abortController: ac,
        __staleWhileFetching: v,
        __returned: undefined
      })
      if (index === undefined) {
        // internal, don't expose status.
        this.set(k, bf, {
          ...fetchOpts.options,
          status: undefined
        })
        index = this.#keyMap.get(k)
      } else {
        this.#valList[index] = bf
      }
      return bf
    }
    #isBackgroundFetch(p) {
      if (!this.#hasFetchMethod) {
        return false
      }
      const b = p
      return (
        !!b &&
        b instanceof Promise &&
        b.hasOwnProperty('__staleWhileFetching') &&
        b.__abortController instanceof AC
      )
    }
    async fetch(k, fetchOptions = {}) {
      const {
        // get options
        allowStale = this.allowStale,
        updateAgeOnGet = this.updateAgeOnGet,
        noDeleteOnStaleGet = this.noDeleteOnStaleGet,
        // set options
        ttl = this.ttl,
        noDisposeOnSet = this.noDisposeOnSet,
        size = 0,
        sizeCalculation = this.sizeCalculation,
        noUpdateTTL = this.noUpdateTTL,
        // fetch exclusive options
        noDeleteOnFetchRejection = this.noDeleteOnFetchRejection,
        allowStaleOnFetchRejection = this.allowStaleOnFetchRejection,
        ignoreFetchAbort = this.ignoreFetchAbort,
        allowStaleOnFetchAbort = this.allowStaleOnFetchAbort,
        context,
        forceRefresh = false,
        status,
        signal
      } = fetchOptions
      if (!this.#hasFetchMethod) {
        if (status) {
          status.fetch = 'get'
        }
        return this.get(k, {
          allowStale,
          updateAgeOnGet,
          noDeleteOnStaleGet,
          status
        })
      }
      const options = {
        allowStale,
        updateAgeOnGet,
        noDeleteOnStaleGet,
        ttl,
        noDisposeOnSet,
        size,
        sizeCalculation,
        noUpdateTTL,
        noDeleteOnFetchRejection,
        allowStaleOnFetchRejection,
        allowStaleOnFetchAbort,
        ignoreFetchAbort,
        status,
        signal
      }
      let index = this.#keyMap.get(k)
      if (index === undefined) {
        if (status) {
          status.fetch = 'miss'
        }
        const p = this.#backgroundFetch(k, index, options, context)
        return (p.__returned = p)
      } else {
        // in cache, maybe already fetching
        const v = this.#valList[index]
        if (this.#isBackgroundFetch(v)) {
          const stale = allowStale && v.__staleWhileFetching !== undefined
          if (status) {
            status.fetch = 'inflight'
            if (stale) {
              status.returnedStale = true
            }
          }
          return stale ? v.__staleWhileFetching : (v.__returned = v)
        }
        // if we force a refresh, that means do NOT serve the cached value,
        // unless we are already in the process of refreshing the cache.
        const isStale = this.#isStale(index)
        if (!forceRefresh && !isStale) {
          if (status) {
            status.fetch = 'hit'
          }
          this.#moveToTail(index)
          if (updateAgeOnGet) {
            this.#updateItemAge(index)
          }
          if (status) {
            this.#statusTTL(status, index)
          }
          return v
        }
        // ok, it is stale or a forced refresh, and not already fetching.
        // refresh the cache.
        const p = this.#backgroundFetch(k, index, options, context)
        const hasStale = p.__staleWhileFetching !== undefined
        const staleVal = hasStale && allowStale
        if (status) {
          status.fetch = isStale ? 'stale' : 'refresh'
          if (staleVal && isStale) {
            status.returnedStale = true
          }
        }
        return staleVal ? p.__staleWhileFetching : (p.__returned = p)
      }
    }
    async forceFetch(k, fetchOptions = {}) {
      const v = await this.fetch(k, fetchOptions)
      if (v === undefined) {
        throw new Error('fetch() returned undefined')
      }
      return v
    }
    memo(k, memoOptions = {}) {
      const memoMethod = this.#memoMethod
      if (!memoMethod) {
        throw new Error('no memoMethod provided to constructor')
      }
      const { context, forceRefresh, ...options } = memoOptions
      const v = this.get(k, options)
      if (!forceRefresh && v !== undefined) {
        return v
      }
      const vv = memoMethod(k, v, {
        options,
        context
      })
      this.set(k, vv, options)
      return vv
    }
    /**
     * Return a value from the cache. Will update the recency of the cache
     * entry found.
     *
     * If the key is not found, get() will return `undefined`.
     */
    get(k, getOptions = {}) {
      const {
        allowStale = this.allowStale,
        updateAgeOnGet = this.updateAgeOnGet,
        noDeleteOnStaleGet = this.noDeleteOnStaleGet,
        status
      } = getOptions
      const index = this.#keyMap.get(k)
      if (index !== undefined) {
        const value = this.#valList[index]
        const fetching = this.#isBackgroundFetch(value)
        if (status) {
          this.#statusTTL(status, index)
        }
        if (this.#isStale(index)) {
          if (status) {
            status.get = 'stale'
          }
          // delete only if not an in-flight background fetch
          if (!fetching) {
            if (!noDeleteOnStaleGet) {
              this.#delete(k, 'expire')
            }
            if (status && allowStale) {
              status.returnedStale = true
            }
            return allowStale ? value : undefined
          } else {
            if (
              status &&
              allowStale &&
              value.__staleWhileFetching !== undefined
            ) {
              status.returnedStale = true
            }
            return allowStale ? value.__staleWhileFetching : undefined
          }
        } else {
          if (status) {
            status.get = 'hit'
          }
          // if we're currently fetching it, we don't actually have it yet
          // it's not stale, which means this isn't a staleWhileRefetching.
          // If it's not stale, and fetching, AND has a __staleWhileFetching
          // value, then that means the user fetched with {forceRefresh:true},
          // so it's safe to return that value.
          if (fetching) {
            return value.__staleWhileFetching
          }
          this.#moveToTail(index)
          if (updateAgeOnGet) {
            this.#updateItemAge(index)
          }
          return value
        }
      } else if (status) {
        status.get = 'miss'
      }
    }
    #connect(p, n) {
      this.#prev[n] = p
      this.#next[p] = n
    }
    #moveToTail(index) {
      // if tail already, nothing to do
      // if head, move head to next[index]
      // else
      //   move next[prev[index]] to next[index] (head has no prev)
      //   move prev[next[index]] to prev[index]
      // prev[index] = tail
      // next[tail] = index
      // tail = index
      if (index !== this.#tail) {
        if (index === this.#head) {
          this.#head = this.#next[index]
        } else {
          this.#connect(this.#prev[index], this.#next[index])
        }
        this.#connect(this.#tail, index)
        this.#tail = index
      }
    }
    /**
     * Deletes a key out of the cache.
     *
     * Returns true if the key was deleted, false otherwise.
     */
    delete(k) {
      return this.#delete(k, 'delete')
    }
    #delete(k, reason) {
      let deleted = false
      if (this.#size !== 0) {
        const index = this.#keyMap.get(k)
        if (index !== undefined) {
          deleted = true
          if (this.#size === 1) {
            this.#clear(reason)
          } else {
            this.#removeItemSize(index)
            const v = this.#valList[index]
            if (this.#isBackgroundFetch(v)) {
              v.__abortController.abort(new Error('deleted'))
            } else if (this.#hasDispose || this.#hasDisposeAfter) {
              if (this.#hasDispose) {
                this.#dispose?.(v, k, reason)
              }
              if (this.#hasDisposeAfter) {
                this.#disposed?.push([v, k, reason])
              }
            }
            this.#keyMap.delete(k)
            this.#keyList[index] = undefined
            this.#valList[index] = undefined
            if (index === this.#tail) {
              this.#tail = this.#prev[index]
            } else if (index === this.#head) {
              this.#head = this.#next[index]
            } else {
              const pi = this.#prev[index]
              this.#next[pi] = this.#next[index]
              const ni = this.#next[index]
              this.#prev[ni] = this.#prev[index]
            }
            this.#size--
            this.#free.push(index)
          }
        }
      }
      if (this.#hasDisposeAfter && this.#disposed?.length) {
        const dt = this.#disposed
        let task
        while ((task = dt?.shift())) {
          this.#disposeAfter?.(...task)
        }
      }
      return deleted
    }
    /**
     * Clear the cache entirely, throwing away all values.
     */
    clear() {
      return this.#clear('delete')
    }
    #clear(reason) {
      for (const index of this.#rindexes({
        allowStale: true
      })) {
        const v = this.#valList[index]
        if (this.#isBackgroundFetch(v)) {
          v.__abortController.abort(new Error('deleted'))
        } else {
          const k = this.#keyList[index]
          if (this.#hasDispose) {
            this.#dispose?.(v, k, reason)
          }
          if (this.#hasDisposeAfter) {
            this.#disposed?.push([v, k, reason])
          }
        }
      }
      this.#keyMap.clear()
      this.#valList.fill(undefined)
      this.#keyList.fill(undefined)
      if (this.#ttls && this.#starts) {
        this.#ttls.fill(0)
        this.#starts.fill(0)
      }
      if (this.#sizes) {
        this.#sizes.fill(0)
      }
      this.#head = 0
      this.#tail = 0
      this.#free.length = 0
      this.#calculatedSize = 0
      this.#size = 0
      if (this.#hasDisposeAfter && this.#disposed) {
        const dt = this.#disposed
        let task
        while ((task = dt?.shift())) {
          this.#disposeAfter?.(...task)
        }
      }
    }
  }
  commonjs$3.LRUCache = LRUCache
  return commonjs$3
}

let hasRequiredMemoization
function requireMemoization() {
  if (hasRequiredMemoization) {
    return memoization.exports
  }
  hasRequiredMemoization = 1
  ;(function (module) {
    const { LRUCache } = /*@__PURE__*/ requireCommonjs$3()
    const MEMOIZED = new LRUCache({
      max: 500,
      maxSize: 50 * 1024 * 1024,
      // 50MB
      ttl: 3 * 60 * 1000,
      // 3 minutes
      sizeCalculation: (entry, key) =>
        key.startsWith('key:') ? entry.data.length : entry.length
    })
    module.exports.clearMemoized = clearMemoized
    function clearMemoized() {
      const old = {}
      MEMOIZED.forEach((v, k) => {
        old[k] = v
      })
      MEMOIZED.clear()
      return old
    }
    module.exports.put = put
    function put(cache, entry, data, opts) {
      pickMem(opts).set(`key:${cache}:${entry.key}`, {
        entry,
        data
      })
      putDigest(cache, entry.integrity, data, opts)
    }
    module.exports.put.byDigest = putDigest
    function putDigest(cache, integrity, data, opts) {
      pickMem(opts).set(`digest:${cache}:${integrity}`, data)
    }
    module.exports.get = get
    function get(cache, key, opts) {
      return pickMem(opts).get(`key:${cache}:${key}`)
    }
    module.exports.get.byDigest = getDigest
    function getDigest(cache, integrity, opts) {
      return pickMem(opts).get(`digest:${cache}:${integrity}`)
    }
    class ObjProxy {
      constructor(obj) {
        this.obj = obj
      }
      get(key) {
        return this.obj[key]
      }
      set(key, val) {
        this.obj[key] = val
      }
    }
    function pickMem(opts) {
      if (!opts || !opts.memoize) {
        return MEMOIZED
      } else if (opts.memoize.get && opts.memoize.set) {
        return opts.memoize
      } else if (typeof opts.memoize === 'object') {
        return new ObjProxy(opts.memoize)
      } else {
        return MEMOIZED
      }
    }
  })(memoization)
  return memoization.exports
}

const read = { exports: {} }

const lib$2 = {}

let hasRequiredLib$4
function requireLib$4() {
  if (hasRequiredLib$4) {
    return lib$2
  }
  hasRequiredLib$4 = 1
  const { Minipass } = requireCommonjs$5()
  const EE = require$$0$5.EventEmitter
  const fs = require$$2$4
  const writev = fs.writev
  const _autoClose = Symbol('_autoClose')
  const _close = Symbol('_close')
  const _ended = Symbol('_ended')
  const _fd = Symbol('_fd')
  const _finished = Symbol('_finished')
  const _flags = Symbol('_flags')
  const _flush = Symbol('_flush')
  const _handleChunk = Symbol('_handleChunk')
  const _makeBuf = Symbol('_makeBuf')
  const _mode = Symbol('_mode')
  const _needDrain = Symbol('_needDrain')
  const _onerror = Symbol('_onerror')
  const _onopen = Symbol('_onopen')
  const _onread = Symbol('_onread')
  const _onwrite = Symbol('_onwrite')
  const _open = Symbol('_open')
  const _path = Symbol('_path')
  const _pos = Symbol('_pos')
  const _queue = Symbol('_queue')
  const _read = Symbol('_read')
  const _readSize = Symbol('_readSize')
  const _reading = Symbol('_reading')
  const _remain = Symbol('_remain')
  const _size = Symbol('_size')
  const _write = Symbol('_write')
  const _writing = Symbol('_writing')
  const _defaultFlag = Symbol('_defaultFlag')
  const _errored = Symbol('_errored')
  class ReadStream extends Minipass {
    constructor(path, opt) {
      opt = opt || {}
      super(opt)
      this.readable = true
      this.writable = false
      if (typeof path !== 'string') {
        throw new TypeError('path must be a string')
      }
      this[_errored] = false
      this[_fd] = typeof opt.fd === 'number' ? opt.fd : null
      this[_path] = path
      this[_readSize] = opt.readSize || 16 * 1024 * 1024
      this[_reading] = false
      this[_size] = typeof opt.size === 'number' ? opt.size : Infinity
      this[_remain] = this[_size]
      this[_autoClose] =
        typeof opt.autoClose === 'boolean' ? opt.autoClose : true
      if (typeof this[_fd] === 'number') {
        this[_read]()
      } else {
        this[_open]()
      }
    }
    get fd() {
      return this[_fd]
    }
    get path() {
      return this[_path]
    }
    write() {
      throw new TypeError('this is a readable stream')
    }
    end() {
      throw new TypeError('this is a readable stream')
    }
    [_open]() {
      fs.open(this[_path], 'r', (er, fd) => this[_onopen](er, fd))
    }
    [_onopen](er, fd) {
      if (er) {
        this[_onerror](er)
      } else {
        this[_fd] = fd
        this.emit('open', fd)
        this[_read]()
      }
    }
    [_makeBuf]() {
      return Buffer.allocUnsafe(Math.min(this[_readSize], this[_remain]))
    }
    [_read]() {
      if (!this[_reading]) {
        this[_reading] = true
        const buf = this[_makeBuf]()
        /* istanbul ignore if */
        if (buf.length === 0) {
          return process.nextTick(() => this[_onread](null, 0, buf))
        }
        fs.read(this[_fd], buf, 0, buf.length, null, (er, br, b) =>
          this[_onread](er, br, b)
        )
      }
    }
    [_onread](er, br, buf) {
      this[_reading] = false
      if (er) {
        this[_onerror](er)
      } else if (this[_handleChunk](br, buf)) {
        this[_read]()
      }
    }
    [_close]() {
      if (this[_autoClose] && typeof this[_fd] === 'number') {
        const fd = this[_fd]
        this[_fd] = null
        fs.close(fd, er => (er ? this.emit('error', er) : this.emit('close')))
      }
    }
    [_onerror](er) {
      this[_reading] = true
      this[_close]()
      this.emit('error', er)
    }
    [_handleChunk](br, buf) {
      let ret = false
      // no effect if infinite
      this[_remain] -= br
      if (br > 0) {
        ret = super.write(br < buf.length ? buf.slice(0, br) : buf)
      }
      if (br === 0 || this[_remain] <= 0) {
        ret = false
        this[_close]()
        super.end()
      }
      return ret
    }
    emit(ev, data) {
      switch (ev) {
        case 'prefinish':
        case 'finish':
          break
        case 'drain':
          if (typeof this[_fd] === 'number') {
            this[_read]()
          }
          break
        case 'error':
          if (this[_errored]) {
            return
          }
          this[_errored] = true
          return super.emit(ev, data)
        default:
          return super.emit(ev, data)
      }
    }
  }
  class ReadStreamSync extends ReadStream {
    [_open]() {
      let threw = true
      try {
        this[_onopen](null, fs.openSync(this[_path], 'r'))
        threw = false
      } finally {
        if (threw) {
          this[_close]()
        }
      }
    }
    [_read]() {
      let threw = true
      try {
        if (!this[_reading]) {
          this[_reading] = true
          do {
            const buf = this[_makeBuf]()
            /* istanbul ignore next */
            const br =
              buf.length === 0
                ? 0
                : fs.readSync(this[_fd], buf, 0, buf.length, null)
            if (!this[_handleChunk](br, buf)) {
              break
            }
          } while (true)
          this[_reading] = false
        }
        threw = false
      } finally {
        if (threw) {
          this[_close]()
        }
      }
    }
    [_close]() {
      if (this[_autoClose] && typeof this[_fd] === 'number') {
        const fd = this[_fd]
        this[_fd] = null
        fs.closeSync(fd)
        this.emit('close')
      }
    }
  }
  class WriteStream extends EE {
    constructor(path, opt) {
      opt = opt || {}
      super(opt)
      this.readable = false
      this.writable = true
      this[_errored] = false
      this[_writing] = false
      this[_ended] = false
      this[_needDrain] = false
      this[_queue] = []
      this[_path] = path
      this[_fd] = typeof opt.fd === 'number' ? opt.fd : null
      this[_mode] = opt.mode === undefined ? 0o666 : opt.mode
      this[_pos] = typeof opt.start === 'number' ? opt.start : null
      this[_autoClose] =
        typeof opt.autoClose === 'boolean' ? opt.autoClose : true

      // truncating makes no sense when writing into the middle
      const defaultFlag = this[_pos] !== null ? 'r+' : 'w'
      this[_defaultFlag] = opt.flags === undefined
      this[_flags] = this[_defaultFlag] ? defaultFlag : opt.flags
      if (this[_fd] === null) {
        this[_open]()
      }
    }
    emit(ev, data) {
      if (ev === 'error') {
        if (this[_errored]) {
          return
        }
        this[_errored] = true
      }
      return super.emit(ev, data)
    }
    get fd() {
      return this[_fd]
    }
    get path() {
      return this[_path]
    }
    [_onerror](er) {
      this[_close]()
      this[_writing] = true
      this.emit('error', er)
    }
    [_open]() {
      fs.open(this[_path], this[_flags], this[_mode], (er, fd) =>
        this[_onopen](er, fd)
      )
    }
    [_onopen](er, fd) {
      if (
        this[_defaultFlag] &&
        this[_flags] === 'r+' &&
        er &&
        er.code === 'ENOENT'
      ) {
        this[_flags] = 'w'
        this[_open]()
      } else if (er) {
        this[_onerror](er)
      } else {
        this[_fd] = fd
        this.emit('open', fd)
        if (!this[_writing]) {
          this[_flush]()
        }
      }
    }
    end(buf, enc) {
      if (buf) {
        this.write(buf, enc)
      }
      this[_ended] = true

      // synthetic after-write logic, where drain/finish live
      if (
        !this[_writing] &&
        !this[_queue].length &&
        typeof this[_fd] === 'number'
      ) {
        this[_onwrite](null, 0)
      }
      return this
    }
    write(buf, enc) {
      if (typeof buf === 'string') {
        buf = Buffer.from(buf, enc)
      }
      if (this[_ended]) {
        this.emit('error', new Error('write() after end()'))
        return false
      }
      if (this[_fd] === null || this[_writing] || this[_queue].length) {
        this[_queue].push(buf)
        this[_needDrain] = true
        return false
      }
      this[_writing] = true
      this[_write](buf)
      return true
    }
    [_write](buf) {
      fs.write(this[_fd], buf, 0, buf.length, this[_pos], (er, bw) =>
        this[_onwrite](er, bw)
      )
    }
    [_onwrite](er, bw) {
      if (er) {
        this[_onerror](er)
      } else {
        if (this[_pos] !== null) {
          this[_pos] += bw
        }
        if (this[_queue].length) {
          this[_flush]()
        } else {
          this[_writing] = false
          if (this[_ended] && !this[_finished]) {
            this[_finished] = true
            this[_close]()
            this.emit('finish')
          } else if (this[_needDrain]) {
            this[_needDrain] = false
            this.emit('drain')
          }
        }
      }
    }
    [_flush]() {
      if (this[_queue].length === 0) {
        if (this[_ended]) {
          this[_onwrite](null, 0)
        }
      } else if (this[_queue].length === 1) {
        this[_write](this[_queue].pop())
      } else {
        const iovec = this[_queue]
        this[_queue] = []
        writev(this[_fd], iovec, this[_pos], (er, bw) => this[_onwrite](er, bw))
      }
    }
    [_close]() {
      if (this[_autoClose] && typeof this[_fd] === 'number') {
        const fd = this[_fd]
        this[_fd] = null
        fs.close(fd, er => (er ? this.emit('error', er) : this.emit('close')))
      }
    }
  }
  class WriteStreamSync extends WriteStream {
    [_open]() {
      let fd
      // only wrap in a try{} block if we know we'll retry, to avoid
      // the rethrow obscuring the error's source frame in most cases.
      if (this[_defaultFlag] && this[_flags] === 'r+') {
        try {
          fd = fs.openSync(this[_path], this[_flags], this[_mode])
        } catch (er) {
          if (er.code === 'ENOENT') {
            this[_flags] = 'w'
            return this[_open]()
          } else {
            throw er
          }
        }
      } else {
        fd = fs.openSync(this[_path], this[_flags], this[_mode])
      }
      this[_onopen](null, fd)
    }
    [_close]() {
      if (this[_autoClose] && typeof this[_fd] === 'number') {
        const fd = this[_fd]
        this[_fd] = null
        fs.closeSync(fd)
        this.emit('close')
      }
    }
    [_write](buf) {
      // throw the original, but try to close if it fails
      let threw = true
      try {
        this[_onwrite](
          null,
          fs.writeSync(this[_fd], buf, 0, buf.length, this[_pos])
        )
        threw = false
      } finally {
        if (threw) {
          try {
            this[_close]()
          } catch {
            // ok error
          }
        }
      }
    }
  }
  lib$2.ReadStream = ReadStream
  lib$2.ReadStreamSync = ReadStreamSync
  lib$2.WriteStream = WriteStream
  lib$2.WriteStreamSync = WriteStreamSync
  return lib$2
}

let hasRequiredRead
function requireRead() {
  if (hasRequiredRead) {
    return read.exports
  }
  hasRequiredRead = 1
  const fs = require$$0$c
  const fsm = requireLib$4()
  const ssri = requireLib$8()
  const contentPath = requirePath()
  const Pipeline = requireMinipassPipeline()
  read.exports = read$1
  const MAX_SINGLE_READ_SIZE = 64 * 1024 * 1024
  async function read$1(cache, integrity, opts = {}) {
    const { size } = opts
    const { stat, cpath, sri } = await withContentSri(
      cache,
      integrity,
      async (cpath, sri) => {
        // get size
        const stat = size
          ? {
              size
            }
          : await fs.stat(cpath)
        return {
          stat,
          cpath,
          sri
        }
      }
    )
    if (stat.size > MAX_SINGLE_READ_SIZE) {
      return readPipeline(cpath, stat.size, sri, new Pipeline()).concat()
    }
    const data = await fs.readFile(cpath, {
      encoding: null
    })
    if (stat.size !== data.length) {
      throw sizeError(stat.size, data.length)
    }
    if (!ssri.checkData(data, sri)) {
      throw integrityError(sri, cpath)
    }
    return data
  }
  const readPipeline = (cpath, size, sri, stream) => {
    stream.push(
      new fsm.ReadStream(cpath, {
        size,
        readSize: MAX_SINGLE_READ_SIZE
      }),
      ssri.integrityStream({
        integrity: sri,
        size
      })
    )
    return stream
  }
  read.exports.stream = readStream
  read.exports.readStream = readStream
  function readStream(cache, integrity, opts = {}) {
    const { size } = opts
    const stream = new Pipeline()
    // Set all this up to run on the stream and then just return the stream
    Promise.resolve()
      .then(async () => {
        const { stat, cpath, sri } = await withContentSri(
          cache,
          integrity,
          async (cpath, sri) => {
            // get size
            const stat = size
              ? {
                  size
                }
              : await fs.stat(cpath)
            return {
              stat,
              cpath,
              sri
            }
          }
        )
        return readPipeline(cpath, stat.size, sri, stream)
      })
      .catch(err => stream.emit('error', err))
    return stream
  }
  read.exports.copy = copy
  function copy(cache, integrity, dest) {
    return withContentSri(cache, integrity, cpath => {
      return fs.copyFile(cpath, dest)
    })
  }
  read.exports.hasContent = hasContent
  async function hasContent(cache, integrity) {
    if (!integrity) {
      return false
    }
    try {
      return await withContentSri(cache, integrity, async (cpath, sri) => {
        const stat = await fs.stat(cpath)
        return {
          size: stat.size,
          sri,
          stat
        }
      })
    } catch (err) {
      if (err.code === 'ENOENT') {
        return false
      }
      if (err.code === 'EPERM') {
        /* istanbul ignore else */
        if (process.platform !== 'win32') {
          throw err
        } else {
          return false
        }
      }
    }
  }
  async function withContentSri(cache, integrity, fn) {
    const sri = ssri.parse(integrity)
    // If `integrity` has multiple entries, pick the first digest
    // with available local data.
    const algo = sri.pickAlgorithm()
    const digests = sri[algo]
    if (digests.length <= 1) {
      const cpath = contentPath(cache, digests[0])
      return fn(cpath, digests[0])
    } else {
      // Can't use race here because a generic error can happen before
      // a ENOENT error, and can happen before a valid result
      const results = await Promise.all(
        digests.map(async meta => {
          try {
            return await withContentSri(cache, meta, fn)
          } catch (err) {
            if (err.code === 'ENOENT') {
              return Object.assign(
                new Error('No matching content found for ' + sri.toString()),
                {
                  code: 'ENOENT'
                }
              )
            }
            return err
          }
        })
      )
      // Return the first non error if it is found
      const result = results.find(r => !(r instanceof Error))
      if (result) {
        return result
      }

      // Throw the No matching content found error
      const enoentError = results.find(r => r.code === 'ENOENT')
      if (enoentError) {
        throw enoentError
      }

      // Throw generic error
      throw results.find(r => r instanceof Error)
    }
  }
  function sizeError(expected, found) {
    /* eslint-disable-next-line max-len */
    const err = new Error(
      `Bad data size: expected inserted data to be ${expected} bytes, but got ${found} instead`
    )
    err.expected = expected
    err.found = found
    err.code = 'EBADSIZE'
    return err
  }
  function integrityError(sri, path) {
    const err = new Error(`Integrity verification failed for ${sri} (${path})`)
    err.code = 'EINTEGRITY'
    err.sri = sri
    err.path = path
    return err
  }
  return read.exports
}

let hasRequiredGet
function requireGet() {
  if (hasRequiredGet) {
    return get.exports
  }
  hasRequiredGet = 1
  ;(function (module) {
    const Collect = requireMinipassCollect()
    const { Minipass } = requireCommonjs$5()
    const Pipeline = requireMinipassPipeline()
    const index = requireEntryIndex()
    const memo = requireMemoization()
    const read = requireRead()
    async function getData(cache, key, opts = {}) {
      const { integrity, memoize, size } = opts
      const memoized = memo.get(cache, key, opts)
      if (memoized && memoize !== false) {
        return {
          metadata: memoized.entry.metadata,
          data: memoized.data,
          integrity: memoized.entry.integrity,
          size: memoized.entry.size
        }
      }
      const entry = await index.find(cache, key, opts)
      if (!entry) {
        throw new index.NotFoundError(cache, key)
      }
      const data = await read(cache, entry.integrity, {
        integrity,
        size
      })
      if (memoize) {
        memo.put(cache, entry, data, opts)
      }
      return {
        data,
        metadata: entry.metadata,
        size: entry.size,
        integrity: entry.integrity
      }
    }
    module.exports = getData
    async function getDataByDigest(cache, key, opts = {}) {
      const { integrity, memoize, size } = opts
      const memoized = memo.get.byDigest(cache, key, opts)
      if (memoized && memoize !== false) {
        return memoized
      }
      const res = await read(cache, key, {
        integrity,
        size
      })
      if (memoize) {
        memo.put.byDigest(cache, key, res, opts)
      }
      return res
    }
    module.exports.byDigest = getDataByDigest
    const getMemoizedStream = memoized => {
      const stream = new Minipass()
      stream.on('newListener', function (ev, cb) {
        ev === 'metadata' && cb(memoized.entry.metadata)
        ev === 'integrity' && cb(memoized.entry.integrity)
        ev === 'size' && cb(memoized.entry.size)
      })
      stream.end(memoized.data)
      return stream
    }
    function getStream(cache, key, opts = {}) {
      const { memoize, size } = opts
      const memoized = memo.get(cache, key, opts)
      if (memoized && memoize !== false) {
        return getMemoizedStream(memoized)
      }
      const stream = new Pipeline()
      // Set all this up to run on the stream and then just return the stream
      Promise.resolve()
        .then(async () => {
          const entry = await index.find(cache, key)
          if (!entry) {
            throw new index.NotFoundError(cache, key)
          }
          stream.emit('metadata', entry.metadata)
          stream.emit('integrity', entry.integrity)
          stream.emit('size', entry.size)
          stream.on('newListener', function (ev, cb) {
            ev === 'metadata' && cb(entry.metadata)
            ev === 'integrity' && cb(entry.integrity)
            ev === 'size' && cb(entry.size)
          })
          const src = read.readStream(cache, entry.integrity, {
            ...opts,
            size: typeof size !== 'number' ? entry.size : size
          })
          if (memoize) {
            const memoStream = new Collect.PassThrough()
            memoStream.on('collect', data => memo.put(cache, entry, data, opts))
            stream.unshift(memoStream)
          }
          stream.unshift(src)
          return stream
        })
        .catch(err => stream.emit('error', err))
      return stream
    }
    module.exports.stream = getStream
    function getStreamDigest(cache, integrity, opts = {}) {
      const { memoize } = opts
      const memoized = memo.get.byDigest(cache, integrity, opts)
      if (memoized && memoize !== false) {
        const stream = new Minipass()
        stream.end(memoized)
        return stream
      } else {
        const stream = read.readStream(cache, integrity, opts)
        if (!memoize) {
          return stream
        }
        const memoStream = new Collect.PassThrough()
        memoStream.on('collect', data =>
          memo.put.byDigest(cache, integrity, data, opts)
        )
        return new Pipeline(stream, memoStream)
      }
    }
    module.exports.stream.byDigest = getStreamDigest
    function info(cache, key, opts = {}) {
      const { memoize } = opts
      const memoized = memo.get(cache, key, opts)
      if (memoized && memoize !== false) {
        return Promise.resolve(memoized.entry)
      } else {
        return index.find(cache, key)
      }
    }
    module.exports.info = info
    async function copy(cache, key, dest, opts = {}) {
      const entry = await index.find(cache, key, opts)
      if (!entry) {
        throw new index.NotFoundError(cache, key)
      }
      await read.copy(cache, entry.integrity, dest, opts)
      return {
        metadata: entry.metadata,
        size: entry.size,
        integrity: entry.integrity
      }
    }
    module.exports.copy = copy
    async function copyByDigest(cache, key, dest, opts = {}) {
      await read.copy(cache, key, dest, opts)
      return key
    }
    module.exports.copy.byDigest = copyByDigest
    module.exports.hasContent = read.hasContent
  })(get)
  return get.exports
}

const put = { exports: {} }

const write = { exports: {} }

let hasRequiredWrite
function requireWrite() {
  if (hasRequiredWrite) {
    return write.exports
  }
  hasRequiredWrite = 1
  const events = require$$0$5
  const contentPath = requirePath()
  const fs = require$$0$c
  const { moveFile } = requireLib$5()
  const { Minipass } = requireCommonjs$5()
  const Pipeline = requireMinipassPipeline()
  const Flush = requireMinipassFlush()
  const path = require$$0$a
  const ssri = requireLib$8()
  const uniqueFilename = requireLib$6()
  const fsm = requireLib$4()
  write.exports = write$1

  // Cache of move operations in process so we don't duplicate
  const moveOperations = new Map()
  async function write$1(cache, data, opts = {}) {
    const { algorithms, size, integrity } = opts
    if (typeof size === 'number' && data.length !== size) {
      throw sizeError(size, data.length)
    }
    const sri = ssri.fromData(
      data,
      algorithms
        ? {
            algorithms
          }
        : {}
    )
    if (integrity && !ssri.checkData(data, integrity, opts)) {
      throw checksumError(integrity, sri)
    }
    for (const algo in sri) {
      const tmp = await makeTmp(cache, opts)
      const hash = sri[algo].toString()
      try {
        await fs.writeFile(tmp.target, data, {
          flag: 'wx'
        })
        await moveToDestination(tmp, cache, hash, opts)
      } finally {
        if (!tmp.moved) {
          await fs.rm(tmp.target, {
            recursive: true,
            force: true
          })
        }
      }
    }
    return {
      integrity: sri,
      size: data.length
    }
  }
  write.exports.stream = writeStream

  // writes proxied to the 'inputStream' that is passed to the Promise
  // 'end' is deferred until content is handled.
  class CacacheWriteStream extends Flush {
    constructor(cache, opts) {
      super()
      this.opts = opts
      this.cache = cache
      this.inputStream = new Minipass()
      this.inputStream.on('error', er => this.emit('error', er))
      this.inputStream.on('drain', () => this.emit('drain'))
      this.handleContentP = null
    }
    write(chunk, encoding, cb) {
      if (!this.handleContentP) {
        this.handleContentP = handleContent(
          this.inputStream,
          this.cache,
          this.opts
        )
        this.handleContentP.catch(error => this.emit('error', error))
      }
      return this.inputStream.write(chunk, encoding, cb)
    }
    flush(cb) {
      this.inputStream.end(() => {
        if (!this.handleContentP) {
          const e = new Error('Cache input stream was empty')
          e.code = 'ENODATA'
          // empty streams are probably emitting end right away.
          // defer this one tick by rejecting a promise on it.
          return Promise.reject(e).catch(cb)
        }
        // eslint-disable-next-line promise/catch-or-return
        this.handleContentP.then(
          res => {
            res.integrity && this.emit('integrity', res.integrity)
            // eslint-disable-next-line promise/always-return
            res.size !== null && this.emit('size', res.size)
            cb()
          },
          er => cb(er)
        )
      })
    }
  }
  function writeStream(cache, opts = {}) {
    return new CacacheWriteStream(cache, opts)
  }
  async function handleContent(inputStream, cache, opts) {
    const tmp = await makeTmp(cache, opts)
    try {
      const res = await pipeToTmp(inputStream, cache, tmp.target, opts)
      await moveToDestination(tmp, cache, res.integrity, opts)
      return res
    } finally {
      if (!tmp.moved) {
        await fs.rm(tmp.target, {
          recursive: true,
          force: true
        })
      }
    }
  }
  async function pipeToTmp(inputStream, cache, tmpTarget, opts) {
    const outStream = new fsm.WriteStream(tmpTarget, {
      flags: 'wx'
    })
    if (opts.integrityEmitter) {
      // we need to create these all simultaneously since they can fire in any order
      const [integrity, size] = await Promise.all([
        events.once(opts.integrityEmitter, 'integrity').then(res => res[0]),
        events.once(opts.integrityEmitter, 'size').then(res => res[0]),
        new Pipeline(inputStream, outStream).promise()
      ])
      return {
        integrity,
        size
      }
    }
    let integrity
    let size
    const hashStream = ssri.integrityStream({
      integrity: opts.integrity,
      algorithms: opts.algorithms,
      size: opts.size
    })
    hashStream.on('integrity', i => {
      integrity = i
    })
    hashStream.on('size', s => {
      size = s
    })
    const pipeline = new Pipeline(inputStream, hashStream, outStream)
    await pipeline.promise()
    return {
      integrity,
      size
    }
  }
  async function makeTmp(cache, opts) {
    const tmpTarget = uniqueFilename(path.join(cache, 'tmp'), opts.tmpPrefix)
    await fs.mkdir(path.dirname(tmpTarget), {
      recursive: true
    })
    return {
      target: tmpTarget,
      moved: false
    }
  }
  async function moveToDestination(tmp, cache, sri) {
    const destination = contentPath(cache, sri)
    const destDir = path.dirname(destination)
    if (moveOperations.has(destination)) {
      return moveOperations.get(destination)
    }
    moveOperations.set(
      destination,
      fs
        .mkdir(destDir, {
          recursive: true
        })
        .then(async () => {
          await moveFile(tmp.target, destination, {
            overwrite: false
          })
          tmp.moved = true
          return tmp.moved
        })
        .catch(err => {
          if (!err.message.startsWith('The destination file exists')) {
            throw Object.assign(err, {
              code: 'EEXIST'
            })
          }
        })
        .finally(() => {
          moveOperations.delete(destination)
        })
    )
    return moveOperations.get(destination)
  }
  function sizeError(expected, found) {
    /* eslint-disable-next-line max-len */
    const err = new Error(
      `Bad data size: expected inserted data to be ${expected} bytes, but got ${found} instead`
    )
    err.expected = expected
    err.found = found
    err.code = 'EBADSIZE'
    return err
  }
  function checksumError(expected, found) {
    const err = new Error(`Integrity check failed:
  Wanted: ${expected}
   Found: ${found}`)
    err.code = 'EINTEGRITY'
    err.expected = expected
    err.found = found
    return err
  }
  return write.exports
}

let hasRequiredPut
function requirePut() {
  if (hasRequiredPut) {
    return put.exports
  }
  hasRequiredPut = 1
  const index = requireEntryIndex()
  const memo = requireMemoization()
  const write = requireWrite()
  const Flush = requireMinipassFlush()
  const { PassThrough } = requireMinipassCollect()
  const Pipeline = requireMinipassPipeline()
  const putOpts = opts => ({
    algorithms: ['sha512'],
    ...opts
  })
  put.exports = putData
  async function putData(cache, key, data, opts = {}) {
    const { memoize } = opts
    opts = putOpts(opts)
    const res = await write(cache, data, opts)
    const entry = await index.insert(cache, key, res.integrity, {
      ...opts,
      size: res.size
    })
    if (memoize) {
      memo.put(cache, entry, data, opts)
    }
    return res.integrity
  }
  put.exports.stream = putStream
  function putStream(cache, key, opts = {}) {
    const { memoize } = opts
    opts = putOpts(opts)
    let integrity
    let size
    let error
    let memoData
    const pipeline = new Pipeline()
    // first item in the pipeline is the memoizer, because we need
    // that to end first and get the collected data.
    if (memoize) {
      const memoizer = new PassThrough().on('collect', data => {
        memoData = data
      })
      pipeline.push(memoizer)
    }

    // contentStream is a write-only, not a passthrough
    // no data comes out of it.
    const contentStream = write
      .stream(cache, opts)
      .on('integrity', int => {
        integrity = int
      })
      .on('size', s => {
        size = s
      })
      .on('error', err => {
        error = err
      })
    pipeline.push(contentStream)

    // last but not least, we write the index and emit hash and size,
    // and memoize if we're doing that
    pipeline.push(
      new Flush({
        async flush() {
          if (!error) {
            const entry = await index.insert(cache, key, integrity, {
              ...opts,
              size
            })
            if (memoize && memoData) {
              memo.put(cache, entry, memoData, opts)
            }
            pipeline.emit('integrity', integrity)
            pipeline.emit('size', size)
          }
        }
      })
    )
    return pipeline
  }
  return put.exports
}

const rm = { exports: {} }

const commonjs$2 = {}

const commonjs$1 = {}

let balancedMatch
let hasRequiredBalancedMatch
function requireBalancedMatch() {
  if (hasRequiredBalancedMatch) {
    return balancedMatch
  }
  hasRequiredBalancedMatch = 1
  balancedMatch = balanced
  function balanced(a, b, str) {
    if (a instanceof RegExp) {
      a = maybeMatch(a, str)
    }
    if (b instanceof RegExp) {
      b = maybeMatch(b, str)
    }
    const r = range(a, b, str)
    return (
      r && {
        start: r[0],
        end: r[1],
        pre: str.slice(0, r[0]),
        body: str.slice(r[0] + a.length, r[1]),
        post: str.slice(r[1] + b.length)
      }
    )
  }
  function maybeMatch(reg, str) {
    const m = str.match(reg)
    return m ? m[0] : null
  }
  balanced.range = range
  function range(a, b, str) {
    let begs, beg, left, right, result
    let ai = str.indexOf(a)
    let bi = str.indexOf(b, ai + 1)
    let i = ai
    if (ai >= 0 && bi > 0) {
      if (a === b) {
        return [ai, bi]
      }
      begs = []
      left = str.length
      while (i >= 0 && !result) {
        if (i == ai) {
          begs.push(i)
          ai = str.indexOf(a, i + 1)
        } else if (begs.length == 1) {
          result = [begs.pop(), bi]
        } else {
          beg = begs.pop()
          if (beg < left) {
            left = beg
            right = bi
          }
          bi = str.indexOf(b, i + 1)
        }
        i = ai < bi && ai >= 0 ? ai : bi
      }
      if (begs.length) {
        result = [left, right]
      }
    }
    return result
  }
  return balancedMatch
}

let braceExpansion
let hasRequiredBraceExpansion
function requireBraceExpansion() {
  if (hasRequiredBraceExpansion) {
    return braceExpansion
  }
  hasRequiredBraceExpansion = 1
  const balanced = requireBalancedMatch()
  braceExpansion = expandTop
  const escSlash = '\0SLASH' + Math.random() + '\0'
  const escOpen = '\0OPEN' + Math.random() + '\0'
  const escClose = '\0CLOSE' + Math.random() + '\0'
  const escComma = '\0COMMA' + Math.random() + '\0'
  const escPeriod = '\0PERIOD' + Math.random() + '\0'
  function numeric(str) {
    return parseInt(str, 10) == str ? parseInt(str, 10) : str.charCodeAt(0)
  }
  function escapeBraces(str) {
    return str
      .split('\\\\')
      .join(escSlash)
      .split('\\{')
      .join(escOpen)
      .split('\\}')
      .join(escClose)
      .split('\\,')
      .join(escComma)
      .split('\\.')
      .join(escPeriod)
  }
  function unescapeBraces(str) {
    return str
      .split(escSlash)
      .join('\\')
      .split(escOpen)
      .join('{')
      .split(escClose)
      .join('}')
      .split(escComma)
      .join(',')
      .split(escPeriod)
      .join('.')
  }

  // Basically just str.split(","), but handling cases
  // where we have nested braced sections, which should be
  // treated as individual members, like {a,{b,c},d}
  function parseCommaParts(str) {
    if (!str) {
      return ['']
    }
    const parts = []
    const m = balanced('{', '}', str)
    if (!m) {
      return str.split(',')
    }
    const pre = m.pre
    const body = m.body
    const post = m.post
    const p = pre.split(',')
    p[p.length - 1] += '{' + body + '}'
    const postParts = parseCommaParts(post)
    if (post.length) {
      p[p.length - 1] += postParts.shift()
      p.push.apply(p, postParts)
    }
    parts.push.apply(parts, p)
    return parts
  }
  function expandTop(str) {
    if (!str) {
      return []
    }

    // I don't know why Bash 4.3 does this, but it does.
    // Anything starting with {} will have the first two bytes preserved
    // but *only* at the top level, so {},a}b will not expand to anything,
    // but a{},b}c will be expanded to [a}c,abc].
    // One could argue that this is a bug in Bash, but since the goal of
    // this module is to match Bash's rules, we escape a leading {}
    if (str.substr(0, 2) === '{}') {
      str = '\\{\\}' + str.substr(2)
    }
    return expand(escapeBraces(str), true).map(unescapeBraces)
  }
  function embrace(str) {
    return '{' + str + '}'
  }
  function isPadded(el) {
    return /^-?0\d/.test(el)
  }
  function lte(i, y) {
    return i <= y
  }
  function gte(i, y) {
    return i >= y
  }
  function expand(str, isTop) {
    const expansions = []
    const m = balanced('{', '}', str)
    if (!m) {
      return [str]
    }

    // no need to expand pre, since it is guaranteed to be free of brace-sets
    const pre = m.pre
    const post = m.post.length ? expand(m.post, false) : ['']
    if (m.pre.endsWith('\u0024' /*'$'*/)) {
      for (let k = 0; k < post.length; k++) {
        const expansion = pre + '{' + m.body + '}' + post[k]
        expansions.push(expansion)
      }
    } else {
      const isNumericSequence = /^-?\d+\.\.-?\d+(?:\.\.-?\d+)?$/.test(m.body)
      const isAlphaSequence = /^[a-zA-Z]\.\.[a-zA-Z](?:\.\.-?\d+)?$/.test(
        m.body
      )
      const isSequence = isNumericSequence || isAlphaSequence
      const isOptions = m.body.indexOf(',') >= 0
      if (!isSequence && !isOptions) {
        // {a},b}
        if (m.post.match(/,.*\}/)) {
          str = m.pre + '{' + m.body + escClose + m.post
          return expand(str)
        }
        return [str]
      }
      let n
      if (isSequence) {
        n = m.body.split(/\.\./)
      } else {
        n = parseCommaParts(m.body)
        if (n.length === 1) {
          // x{{a,b}}y ==> x{a}y x{b}y
          n = expand(n[0], false).map(embrace)
          if (n.length === 1) {
            return post.map(function (p) {
              return m.pre + n[0] + p
            })
          }
        }
      }

      // at this point, n is the parts, and we know it's not a comma set
      // with a single entry.
      let N
      if (isSequence) {
        const x = numeric(n[0])
        const y = numeric(n[1])
        const width = Math.max(n[0].length, n[1].length)
        let incr = n.length == 3 ? Math.abs(numeric(n[2])) : 1
        let test = lte
        const reverse = y < x
        if (reverse) {
          incr *= -1
          test = gte
        }
        const pad = n.some(isPadded)
        N = []
        for (let i = x; test(i, y); i += incr) {
          let c
          if (isAlphaSequence) {
            c = String.fromCharCode(i)
            if (c === '\\') {
              c = ''
            }
          } else {
            c = String(i)
            if (pad) {
              const need = width - c.length
              if (need > 0) {
                const z = new Array(need + 1).join('0')
                if (i < 0) {
                  c = '-' + z + c.slice(1)
                } else {
                  c = z + c
                }
              }
            }
          }
          N.push(c)
        }
      } else {
        N = []
        for (let j = 0; j < n.length; j++) {
          N.push.apply(N, expand(n[j], false))
        }
      }
      for (let j = 0; j < N.length; j++) {
        for (let k = 0; k < post.length; k++) {
          const expansion = pre + N[j] + post[k]
          if (!isTop || isSequence || expansion) {
            expansions.push(expansion)
          }
        }
      }
    }
    return expansions
  }
  return braceExpansion
}

const assertValidPattern = {}

let hasRequiredAssertValidPattern
function requireAssertValidPattern() {
  if (hasRequiredAssertValidPattern) {
    return assertValidPattern
  }
  hasRequiredAssertValidPattern = 1
  Object.defineProperty(assertValidPattern, '__esModule', {
    value: true
  })
  assertValidPattern.assertValidPattern = void 0
  const MAX_PATTERN_LENGTH = 1024 * 64
  const assertValidPattern$1 = pattern => {
    if (typeof pattern !== 'string') {
      throw new TypeError('invalid pattern')
    }
    if (pattern.length > MAX_PATTERN_LENGTH) {
      throw new TypeError('pattern is too long')
    }
  }
  assertValidPattern.assertValidPattern = assertValidPattern$1
  return assertValidPattern
}

const ast = {}

const braceExpressions = {}

let hasRequiredBraceExpressions
function requireBraceExpressions() {
  if (hasRequiredBraceExpressions) {
    return braceExpressions
  }
  hasRequiredBraceExpressions = 1
  // translate the various posix character classes into unicode properties
  // this works across all unicode locales
  Object.defineProperty(braceExpressions, '__esModule', {
    value: true
  })
  braceExpressions.parseClass = void 0
  // { <posix class>: [<translation>, /u flag required, negated]
  const posixClasses = {
    '[:alnum:]': ['\\p{L}\\p{Nl}\\p{Nd}', true],
    '[:alpha:]': ['\\p{L}\\p{Nl}', true],
    '[:ascii:]': ['\\x' + '00-\\x' + '7f', false],
    '[:blank:]': ['\\p{Zs}\\t', true],
    '[:cntrl:]': ['\\p{Cc}', true],
    '[:digit:]': ['\\p{Nd}', true],
    '[:graph:]': ['\\p{Z}\\p{C}', true, true],
    '[:lower:]': ['\\p{Ll}', true],
    '[:print:]': ['\\p{C}', true],
    '[:punct:]': ['\\p{P}', true],
    '[:space:]': ['\\p{Z}\\t\\r\\n\\v\\f', true],
    '[:upper:]': ['\\p{Lu}', true],
    '[:word:]': ['\\p{L}\\p{Nl}\\p{Nd}\\p{Pc}', true],
    '[:xdigit:]': ['A-Fa-f0-9', false]
  }
  // only need to escape a few things inside of brace expressions
  // escapes: [ \ ] -
  const braceEscape = s => s.replace(/[[\]\\-]/g, '\\$&')
  // escape all regexp magic characters
  const regexpEscape = s => s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&')
  // everything has already been escaped, we just have to join
  const rangesToString = ranges => ranges.join('')
  // takes a glob string at a posix brace expression, and returns
  // an equivalent regular expression source, and boolean indicating
  // whether the /u flag needs to be applied, and the number of chars
  // consumed to parse the character class.
  // This also removes out of order ranges, and returns ($.) if the
  // entire class just no good.
  const parseClass = (glob, position) => {
    const pos = position
    /* c8 ignore start */
    if (glob.charAt(pos) !== '[') {
      throw new Error('not in a brace expression')
    }
    /* c8 ignore stop */
    const ranges = []
    const negs = []
    let i = pos + 1
    let sawStart = false
    let uflag = false
    let escaping = false
    let negate = false
    let endPos = pos
    let rangeStart = ''
    WHILE: while (i < glob.length) {
      const c = glob.charAt(i)
      if ((c === '!' || c === '^') && i === pos + 1) {
        negate = true
        i++
        continue
      }
      if (c === ']' && sawStart && !escaping) {
        endPos = i + 1
        break
      }
      sawStart = true
      if (c === '\\') {
        if (!escaping) {
          escaping = true
          i++
          continue
        }
        // escaped \ char, fall through and treat like normal char
      }
      if (c === '[' && !escaping) {
        // either a posix class, a collation equivalent, or just a [
        for (const [cls, [unip, u, neg]] of Object.entries(posixClasses)) {
          if (glob.startsWith(cls, i)) {
            // invalid, [a-[] is fine, but not [a-[:alpha]]
            if (rangeStart) {
              return ['$.', false, glob.length - pos, true]
            }
            i += cls.length
            if (neg) {
              negs.push(unip)
            } else {
              ranges.push(unip)
            }
            uflag = uflag || u
            continue WHILE
          }
        }
      }
      // now it's just a normal character, effectively
      escaping = false
      if (rangeStart) {
        // throw this range away if it's not valid, but others
        // can still match.
        if (c > rangeStart) {
          ranges.push(braceEscape(rangeStart) + '-' + braceEscape(c))
        } else if (c === rangeStart) {
          ranges.push(braceEscape(c))
        }
        rangeStart = ''
        i++
        continue
      }
      // now might be the start of a range.
      // can be either c-d or c-] or c<more...>] or c] at this point
      if (glob.startsWith('-]', i + 1)) {
        ranges.push(braceEscape(c + '-'))
        i += 2
        continue
      }
      if (glob.startsWith('-', i + 1)) {
        rangeStart = c
        i += 2
        continue
      }
      // not the start of a range, just a single character
      ranges.push(braceEscape(c))
      i++
    }
    if (endPos < i) {
      // didn't see the end of the class, not a valid class,
      // but might still be valid as a literal match.
      return ['', false, 0, false]
    }
    // if we got no ranges and no negates, then we have a range that
    // cannot possibly match anything, and that poisons the whole glob
    if (!ranges.length && !negs.length) {
      return ['$.', false, glob.length - pos, true]
    }
    // if we got one positive range, and it's a single character, then that's
    // not actually a magic pattern, it's just that one literal character.
    // we should not treat that as "magic", we should just return the literal
    // character. [_] is a perfectly valid way to escape glob magic chars.
    if (
      negs.length === 0 &&
      ranges.length === 1 &&
      /^\\?.$/.test(ranges[0]) &&
      !negate
    ) {
      const r = ranges[0].length === 2 ? ranges[0].slice(-1) : ranges[0]
      return [regexpEscape(r), false, endPos - pos, false]
    }
    const sranges = '[' + (negate ? '^' : '') + rangesToString(ranges) + ']'
    const snegs = '[' + (negate ? '' : '^') + rangesToString(negs) + ']'
    const comb =
      ranges.length && negs.length
        ? '(' + sranges + '|' + snegs + ')'
        : ranges.length
          ? sranges
          : snegs
    return [comb, uflag, endPos - pos, true]
  }
  braceExpressions.parseClass = parseClass
  return braceExpressions
}

const _unescape = {}

let hasRequired_unescape
function require_unescape() {
  if (hasRequired_unescape) {
    return _unescape
  }
  hasRequired_unescape = 1
  Object.defineProperty(_unescape, '__esModule', {
    value: true
  })
  _unescape.unescape = void 0
  /**
   * Un-escape a string that has been escaped with {@link escape}.
   *
   * If the {@link windowsPathsNoEscape} option is used, then square-brace
   * escapes are removed, but not backslash escapes.  For example, it will turn
   * the string `'[*]'` into `*`, but it will not turn `'\\*'` into `'*'`,
   * becuase `\` is a path separator in `windowsPathsNoEscape` mode.
   *
   * When `windowsPathsNoEscape` is not set, then both brace escapes and
   * backslash escapes are removed.
   *
   * Slashes (and backslashes in `windowsPathsNoEscape` mode) cannot be escaped
   * or unescaped.
   */
  const unescape = (s, { windowsPathsNoEscape = false } = {}) => {
    return windowsPathsNoEscape
      ? s.replace(/\[([^/\\])\]/g, '$1')
      : s.replace(/((?!\\).|^)\[([^/\\])\]/g, '$1$2').replace(/\\([^/])/g, '$1')
  }
  _unescape.unescape = unescape
  return _unescape
}

let hasRequiredAst
function requireAst() {
  if (hasRequiredAst) {
    return ast
  }
  hasRequiredAst = 1
  // parse a single path portion
  Object.defineProperty(ast, '__esModule', {
    value: true
  })
  ast.AST = void 0
  const brace_expressions_js_1 = requireBraceExpressions()
  const unescape_js_1 = require_unescape()
  const types = new Set(['!', '?', '+', '*', '@'])
  const isExtglobType = c => types.has(c)
  // Patterns that get prepended to bind to the start of either the
  // entire string, or just a single path portion, to prevent dots
  // and/or traversal patterns, when needed.
  // Exts don't need the ^ or / bit, because the root binds that already.
  const startNoTraversal = '(?!(?:^|/)\\.\\.?(?:$|/))'
  const startNoDot = '(?!\\.)'
  // characters that indicate a start of pattern needs the "no dots" bit,
  // because a dot *might* be matched. ( is not in the list, because in
  // the case of a child extglob, it will handle the prevention itself.
  const addPatternStart = new Set(['[', '.'])
  // cases where traversal is A-OK, no dot prevention needed
  const justDots = new Set(['..', '.'])
  const reSpecials = new Set('().*{}+?[]^$\\!')
  const regExpEscape = s => s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&')
  // any single thing other than /
  const qmark = '[^/]'
  // * => any number of characters
  const star = qmark + '*?'
  // use + when we need to ensure that *something* matches, because the * is
  // the only thing in the path portion.
  const starNoEmpty = qmark + '+?'
  // remove the \ chars that we added if we end up doing a nonmagic compare
  // const deslash = (s: string) => s.replace(/\\(.)/g, '$1')
  class AST {
    type
    #root
    #hasMagic
    #uflag = false
    #parts = []
    #parent
    #parentIndex
    #negs
    #filledNegs = false
    #options
    #toString
    // set to true if it's an extglob with no children
    // (which really means one child of '')
    #emptyExt = false
    constructor(type, parent, options = {}) {
      this.type = type
      // extglobs are inherently magical
      if (type) {
        this.#hasMagic = true
      }
      this.#parent = parent
      this.#root = this.#parent ? this.#parent.#root : this
      this.#options = this.#root === this ? options : this.#root.#options
      this.#negs = this.#root === this ? [] : this.#root.#negs
      if (type === '!' && !this.#root.#filledNegs) {
        this.#negs.push(this)
      }
      this.#parentIndex = this.#parent ? this.#parent.#parts.length : 0
    }
    get hasMagic() {
      /* c8 ignore start */
      if (this.#hasMagic !== undefined) {
        return this.#hasMagic
      }
      /* c8 ignore stop */
      for (const p of this.#parts) {
        if (typeof p === 'string') {
          continue
        }
        if (p.type || p.hasMagic) {
          return (this.#hasMagic = true)
        }
      }
      // note: will be undefined until we generate the regexp src and find out
      return this.#hasMagic
    }
    // reconstructs the pattern
    toString() {
      if (this.#toString !== undefined) {
        return this.#toString
      }
      if (!this.type) {
        return (this.#toString = this.#parts.map(p => String(p)).join(''))
      } else {
        return (this.#toString =
          this.type + '(' + this.#parts.map(p => String(p)).join('|') + ')')
      }
    }
    #fillNegs() {
      /* c8 ignore start */
      if (this !== this.#root) {
        throw new Error('should only call on root')
      }
      if (this.#filledNegs) {
        return this
      }
      /* c8 ignore stop */
      // call toString() once to fill this out
      this.toString()
      this.#filledNegs = true
      let n
      while ((n = this.#negs.pop())) {
        if (n.type !== '!') {
          continue
        }
        // walk up the tree, appending everthing that comes AFTER parentIndex
        let p = n
        let pp = p.#parent
        while (pp) {
          for (
            let i = p.#parentIndex + 1;
            !pp.type && i < pp.#parts.length;
            i++
          ) {
            for (const part of n.#parts) {
              /* c8 ignore start */
              if (typeof part === 'string') {
                throw new Error('string part in extglob AST??')
              }
              /* c8 ignore stop */
              part.copyIn(pp.#parts[i])
            }
          }
          p = pp
          pp = p.#parent
        }
      }
      return this
    }
    push(...parts) {
      for (const p of parts) {
        if (p === '') {
          continue
        }
        /* c8 ignore start */
        if (
          typeof p !== 'string' &&
          !(p instanceof AST && p.#parent === this)
        ) {
          throw new Error('invalid part: ' + p)
        }
        /* c8 ignore stop */
        this.#parts.push(p)
      }
    }
    toJSON() {
      const ret =
        this.type === null
          ? this.#parts
              .slice()
              .map(p => (typeof p === 'string' ? p : p.toJSON()))
          : [this.type, ...this.#parts.map(p => p.toJSON())]
      if (this.isStart() && !this.type) {
        ret.unshift([])
      }
      if (
        this.isEnd() &&
        (this === this.#root ||
          (this.#root.#filledNegs && this.#parent?.type === '!'))
      ) {
        ret.push({})
      }
      return ret
    }
    isStart() {
      if (this.#root === this) {
        return true
      }
      // if (this.type) return !!this.#parent?.isStart()
      if (!this.#parent?.isStart()) {
        return false
      }
      if (this.#parentIndex === 0) {
        return true
      }
      // if everything AHEAD of this is a negation, then it's still the "start"
      const p = this.#parent
      for (let i = 0; i < this.#parentIndex; i++) {
        const pp = p.#parts[i]
        if (!(pp instanceof AST && pp.type === '!')) {
          return false
        }
      }
      return true
    }
    isEnd() {
      if (this.#root === this) {
        return true
      }
      if (this.#parent?.type === '!') {
        return true
      }
      if (!this.#parent?.isEnd()) {
        return false
      }
      if (!this.type) {
        return this.#parent?.isEnd()
      }
      // if not root, it'll always have a parent
      /* c8 ignore start */
      const pl = this.#parent ? this.#parent.#parts.length : 0
      /* c8 ignore stop */
      return this.#parentIndex === pl - 1
    }
    copyIn(part) {
      if (typeof part === 'string') {
        this.push(part)
      } else {
        this.push(part.clone(this))
      }
    }
    clone(parent) {
      const c = new AST(this.type, parent)
      for (const p of this.#parts) {
        c.copyIn(p)
      }
      return c
    }
    static #parseAST(str, ast, pos, opt) {
      let escaping = false
      let inBrace = false
      let braceStart = -1
      let braceNeg = false
      if (ast.type === null) {
        // outside of a extglob, append until we find a start
        let i = pos
        let acc = ''
        while (i < str.length) {
          const c = str.charAt(i++)
          // still accumulate escapes at this point, but we do ignore
          // starts that are escaped
          if (escaping || c === '\\') {
            escaping = !escaping
            acc += c
            continue
          }
          if (inBrace) {
            if (i === braceStart + 1) {
              if (c === '^' || c === '!') {
                braceNeg = true
              }
            } else if (c === ']' && !(i === braceStart + 2 && braceNeg)) {
              inBrace = false
            }
            acc += c
            continue
          } else if (c === '[') {
            inBrace = true
            braceStart = i
            braceNeg = false
            acc += c
            continue
          }
          if (!opt.noext && isExtglobType(c) && str.charAt(i) === '(') {
            ast.push(acc)
            acc = ''
            const ext = new AST(c, ast)
            i = AST.#parseAST(str, ext, i, opt)
            ast.push(ext)
            continue
          }
          acc += c
        }
        ast.push(acc)
        return i
      }
      // some kind of extglob, pos is at the (
      // find the next | or )
      let i = pos + 1
      let part = new AST(null, ast)
      const parts = []
      let acc = ''
      while (i < str.length) {
        const c = str.charAt(i++)
        // still accumulate escapes at this point, but we do ignore
        // starts that are escaped
        if (escaping || c === '\\') {
          escaping = !escaping
          acc += c
          continue
        }
        if (inBrace) {
          if (i === braceStart + 1) {
            if (c === '^' || c === '!') {
              braceNeg = true
            }
          } else if (c === ']' && !(i === braceStart + 2 && braceNeg)) {
            inBrace = false
          }
          acc += c
          continue
        } else if (c === '[') {
          inBrace = true
          braceStart = i
          braceNeg = false
          acc += c
          continue
        }
        if (isExtglobType(c) && str.charAt(i) === '(') {
          part.push(acc)
          acc = ''
          const ext = new AST(c, part)
          part.push(ext)
          i = AST.#parseAST(str, ext, i, opt)
          continue
        }
        if (c === '|') {
          part.push(acc)
          acc = ''
          parts.push(part)
          part = new AST(null, ast)
          continue
        }
        if (c === ')') {
          if (acc === '' && ast.#parts.length === 0) {
            ast.#emptyExt = true
          }
          part.push(acc)
          acc = ''
          ast.push(...parts, part)
          return i
        }
        acc += c
      }
      // unfinished extglob
      // if we got here, it was a malformed extglob! not an extglob, but
      // maybe something else in there.
      ast.type = null
      ast.#hasMagic = undefined
      ast.#parts = [str.substring(pos - 1)]
      return i
    }
    static fromGlob(pattern, options = {}) {
      const ast = new AST(null, undefined, options)
      AST.#parseAST(pattern, ast, 0, options)
      return ast
    }
    // returns the regular expression if there's magic, or the unescaped
    // string if not.
    toMMPattern() {
      // should only be called on root
      /* c8 ignore start */
      if (this !== this.#root) {
        return this.#root.toMMPattern()
      }
      /* c8 ignore stop */
      const glob = this.toString()
      const [re, body, hasMagic, uflag] = this.toRegExpSource()
      // if we're in nocase mode, and not nocaseMagicOnly, then we do
      // still need a regular expression if we have to case-insensitively
      // match capital/lowercase characters.
      const anyMagic =
        hasMagic ||
        this.#hasMagic ||
        (this.#options.nocase &&
          !this.#options.nocaseMagicOnly &&
          glob.toUpperCase() !== glob.toLowerCase())
      if (!anyMagic) {
        return body
      }
      const flags = (this.#options.nocase ? 'i' : '') + (uflag ? 'u' : '')
      return Object.assign(new RegExp(`^${re}$`, flags), {
        _src: re,
        _glob: glob
      })
    }
    get options() {
      return this.#options
    }
    // returns the string match, the regexp source, whether there's magic
    // in the regexp (so a regular expression is required) and whether or
    // not the uflag is needed for the regular expression (for posix classes)
    // TODO: instead of injecting the start/end at this point, just return
    // the BODY of the regexp, along with the start/end portions suitable
    // for binding the start/end in either a joined full-path makeRe context
    // (where we bind to (^|/), or a standalone matchPart context (where
    // we bind to ^, and not /).  Otherwise slashes get duped!
    //
    // In part-matching mode, the start is:
    // - if not isStart: nothing
    // - if traversal possible, but not allowed: ^(?!\.\.?$)
    // - if dots allowed or not possible: ^
    // - if dots possible and not allowed: ^(?!\.)
    // end is:
    // - if not isEnd(): nothing
    // - else: $
    //
    // In full-path matching mode, we put the slash at the START of the
    // pattern, so start is:
    // - if first pattern: same as part-matching mode
    // - if not isStart(): nothing
    // - if traversal possible, but not allowed: /(?!\.\.?(?:$|/))
    // - if dots allowed or not possible: /
    // - if dots possible and not allowed: /(?!\.)
    // end is:
    // - if last pattern, same as part-matching mode
    // - else nothing
    //
    // Always put the (?:$|/) on negated tails, though, because that has to be
    // there to bind the end of the negated pattern portion, and it's easier to
    // just stick it in now rather than try to inject it later in the middle of
    // the pattern.
    //
    // We can just always return the same end, and leave it up to the caller
    // to know whether it's going to be used joined or in parts.
    // And, if the start is adjusted slightly, can do the same there:
    // - if not isStart: nothing
    // - if traversal possible, but not allowed: (?:/|^)(?!\.\.?$)
    // - if dots allowed or not possible: (?:/|^)
    // - if dots possible and not allowed: (?:/|^)(?!\.)
    //
    // But it's better to have a simpler binding without a conditional, for
    // performance, so probably better to return both start options.
    //
    // Then the caller just ignores the end if it's not the first pattern,
    // and the start always gets applied.
    //
    // But that's always going to be $ if it's the ending pattern, or nothing,
    // so the caller can just attach $ at the end of the pattern when building.
    //
    // So the todo is:
    // - better detect what kind of start is needed
    // - return both flavors of starting pattern
    // - attach $ at the end of the pattern when creating the actual RegExp
    //
    // Ah, but wait, no, that all only applies to the root when the first pattern
    // is not an extglob. If the first pattern IS an extglob, then we need all
    // that dot prevention biz to live in the extglob portions, because eg
    // +(*|.x*) can match .xy but not .yx.
    //
    // So, return the two flavors if it's #root and the first child is not an
    // AST, otherwise leave it to the child AST to handle it, and there,
    // use the (?:^|/) style of start binding.
    //
    // Even simplified further:
    // - Since the start for a join is eg /(?!\.) and the start for a part
    // is ^(?!\.), we can just prepend (?!\.) to the pattern (either root
    // or start or whatever) and prepend ^ or / at the Regexp construction.
    toRegExpSource(allowDot) {
      const dot = allowDot ?? !!this.#options.dot
      if (this.#root === this) {
        this.#fillNegs()
      }
      if (!this.type) {
        const noEmpty = this.isStart() && this.isEnd()
        const src = this.#parts
          .map(p => {
            const [re, _, hasMagic, uflag] =
              typeof p === 'string'
                ? AST.#parseGlob(p, this.#hasMagic, noEmpty)
                : p.toRegExpSource(allowDot)
            this.#hasMagic = this.#hasMagic || hasMagic
            this.#uflag = this.#uflag || uflag
            return re
          })
          .join('')
        let start = ''
        if (this.isStart()) {
          if (typeof this.#parts[0] === 'string') {
            // this is the string that will match the start of the pattern,
            // so we need to protect against dots and such.
            // '.' and '..' cannot match unless the pattern is that exactly,
            // even if it starts with . or dot:true is set.
            const dotTravAllowed =
              this.#parts.length === 1 && justDots.has(this.#parts[0])
            if (!dotTravAllowed) {
              const aps = addPatternStart
              // check if we have a possibility of matching . or ..,
              // and prevent that.
              const needNoTrav =
                // dots are allowed, and the pattern starts with [ or .
                (dot && aps.has(src.charAt(0))) ||
                // the pattern starts with \., and then [ or .
                (src.startsWith('\\.') && aps.has(src.charAt(2))) ||
                // the pattern starts with \.\., and then [ or .
                (src.startsWith('\\.\\.') && aps.has(src.charAt(4)))
              // no need to prevent dots if it can't match a dot, or if a
              // sub-pattern will be preventing it anyway.
              const needNoDot = !dot && !allowDot && aps.has(src.charAt(0))
              start = needNoTrav
                ? startNoTraversal
                : needNoDot
                  ? startNoDot
                  : ''
            }
          }
        }
        // append the "end of path portion" pattern to negation tails
        let end = ''
        if (
          this.isEnd() &&
          this.#root.#filledNegs &&
          this.#parent?.type === '!'
        ) {
          end = '(?:$|\\/)'
        }
        const final = start + src + end
        return [
          final,
          (0, unescape_js_1.unescape)(src),
          (this.#hasMagic = !!this.#hasMagic),
          this.#uflag
        ]
      }
      // We need to calculate the body *twice* if it's a repeat pattern
      // at the start, once in nodot mode, then again in dot mode, so a
      // pattern like *(?) can match 'x.y'
      const repeated = this.type === '*' || this.type === '+'
      // some kind of extglob
      const start = this.type === '!' ? '(?:(?!(?:' : '(?:'
      let body = this.#partsToRegExp(dot)
      if (this.isStart() && this.isEnd() && !body && this.type !== '!') {
        // invalid extglob, has to at least be *something* present, if it's
        // the entire path portion.
        const s = this.toString()
        this.#parts = [s]
        this.type = null
        this.#hasMagic = undefined
        return [s, (0, unescape_js_1.unescape)(this.toString()), false, false]
      }
      // XXX abstract out this map method
      let bodyDotAllowed =
        !repeated || allowDot || dot || false ? '' : this.#partsToRegExp(true)
      if (bodyDotAllowed === body) {
        bodyDotAllowed = ''
      }
      if (bodyDotAllowed) {
        body = `(?:${body})(?:${bodyDotAllowed})*?`
      }
      // an empty !() is exactly equivalent to a starNoEmpty
      let final = ''
      if (this.type === '!' && this.#emptyExt) {
        final = (this.isStart() && !dot ? startNoDot : '') + starNoEmpty
      } else {
        const close =
          this.type === '!'
            ? // !() must match something,but !(x) can match ''
              '))' +
              (this.isStart() && !dot && !allowDot ? startNoDot : '') +
              star +
              ')'
            : this.type === '@'
              ? ')'
              : this.type === '?'
                ? ')?'
                : this.type === '+' && bodyDotAllowed
                  ? ')'
                  : this.type === '*' && bodyDotAllowed
                    ? `)?`
                    : `)${this.type}`
        final = start + body + close
      }
      return [
        final,
        (0, unescape_js_1.unescape)(body),
        (this.#hasMagic = !!this.#hasMagic),
        this.#uflag
      ]
    }
    #partsToRegExp(dot) {
      return this.#parts
        .map(p => {
          // extglob ASTs should only contain parent ASTs
          /* c8 ignore start */
          if (typeof p === 'string') {
            throw new Error('string type in extglob ast??')
          }
          /* c8 ignore stop */
          // can ignore hasMagic, because extglobs are already always magic
          const [re, _, _hasMagic, uflag] = p.toRegExpSource(dot)
          this.#uflag = this.#uflag || uflag
          return re
        })
        .filter(p => !(this.isStart() && this.isEnd()) || !!p)
        .join('|')
    }
    static #parseGlob(glob, hasMagic, noEmpty = false) {
      let escaping = false
      let re = ''
      let uflag = false
      for (let i = 0; i < glob.length; i++) {
        const c = glob.charAt(i)
        if (escaping) {
          escaping = false
          re += (reSpecials.has(c) ? '\\' : '') + c
          continue
        }
        if (c === '\\') {
          if (i === glob.length - 1) {
            re += '\\\\'
          } else {
            escaping = true
          }
          continue
        }
        if (c === '[') {
          const [src, needUflag, consumed, magic] = (0,
          brace_expressions_js_1.parseClass)(glob, i)
          if (consumed) {
            re += src
            uflag = uflag || needUflag
            i += consumed - 1
            hasMagic = hasMagic || magic
            continue
          }
        }
        if (c === '*') {
          if (noEmpty && glob === '*') {
            re += starNoEmpty
          } else {
            re += star
          }
          hasMagic = true
          continue
        }
        if (c === '?') {
          re += qmark
          hasMagic = true
          continue
        }
        re += regExpEscape(c)
      }
      return [re, (0, unescape_js_1.unescape)(glob), !!hasMagic, uflag]
    }
  }
  ast.AST = AST
  return ast
}

const _escape = {}

let hasRequired_escape
function require_escape() {
  if (hasRequired_escape) {
    return _escape
  }
  hasRequired_escape = 1
  Object.defineProperty(_escape, '__esModule', {
    value: true
  })
  _escape.escape = void 0
  /**
   * Escape all magic characters in a glob pattern.
   *
   * If the {@link windowsPathsNoEscape | GlobOptions.windowsPathsNoEscape}
   * option is used, then characters are escaped by wrapping in `[]`, because
   * a magic character wrapped in a character class can only be satisfied by
   * that exact character.  In this mode, `\` is _not_ escaped, because it is
   * not interpreted as a magic character, but instead as a path separator.
   */
  const escape = (s, { windowsPathsNoEscape = false } = {}) => {
    // don't need to escape +@! because we escape the parens
    // that make those magic, and escaping ! as [!] isn't valid,
    // because [!]] is a valid glob class meaning not ']'.
    return windowsPathsNoEscape
      ? s.replace(/[?*()[\]]/g, '[$&]')
      : s.replace(/[?*()[\]\\]/g, '\\$&')
  }
  _escape.escape = escape
  return _escape
}

let hasRequiredCommonjs$2
function requireCommonjs$2() {
  if (hasRequiredCommonjs$2) {
    return commonjs$1
  }
  hasRequiredCommonjs$2 = 1
  ;(function (exports) {
    const __importDefault =
      (this && this.__importDefault) ||
      function (mod) {
        return mod && mod.__esModule
          ? mod
          : {
              default: mod
            }
      }
    Object.defineProperty(exports, '__esModule', {
      value: true
    })
    exports.unescape =
      exports.escape =
      exports.AST =
      exports.Minimatch =
      exports.match =
      exports.makeRe =
      exports.braceExpand =
      exports.defaults =
      exports.filter =
      exports.GLOBSTAR =
      exports.sep =
      exports.minimatch =
        void 0
    const brace_expansion_1 = __importDefault(requireBraceExpansion())
    const assert_valid_pattern_js_1 = requireAssertValidPattern()
    const ast_js_1 = requireAst()
    const escape_js_1 = require_escape()
    const unescape_js_1 = require_unescape()
    const minimatch = (p, pattern, options = {}) => {
      ;(0, assert_valid_pattern_js_1.assertValidPattern)(pattern)
      // shortcut: comments match nothing.
      if (!options.nocomment && pattern.charAt(0) === '#') {
        return false
      }
      return new Minimatch(pattern, options).match(p)
    }
    exports.minimatch = minimatch
    // Optimized checking for the most common glob patterns.
    const starDotExtRE = /^\*+([^+@!?*[(]*)$/
    const starDotExtTest = ext => f => !f.startsWith('.') && f.endsWith(ext)
    const starDotExtTestDot = ext => f => f.endsWith(ext)
    const starDotExtTestNocase = ext => {
      ext = ext.toLowerCase()
      return f => !f.startsWith('.') && f.toLowerCase().endsWith(ext)
    }
    const starDotExtTestNocaseDot = ext => {
      ext = ext.toLowerCase()
      return f => f.toLowerCase().endsWith(ext)
    }
    const starDotStarRE = /^\*+\.\*+$/
    const starDotStarTest = f => !f.startsWith('.') && f.includes('.')
    const starDotStarTestDot = f => f !== '.' && f !== '..' && f.includes('.')
    const dotStarRE = /^\.\*+$/
    const dotStarTest = f => f !== '.' && f !== '..' && f.startsWith('.')
    const starRE = /^\*+$/
    const starTest = f => f.length !== 0 && !f.startsWith('.')
    const starTestDot = f => f.length !== 0 && f !== '.' && f !== '..'
    const qmarksRE = /^\?+([^+@!?*[(]*)?$/
    const qmarksTestNocase = ([$0, ext = '']) => {
      const noext = qmarksTestNoExt([$0])
      if (!ext) {
        return noext
      }
      ext = ext.toLowerCase()
      return f => noext(f) && f.toLowerCase().endsWith(ext)
    }
    const qmarksTestNocaseDot = ([$0, ext = '']) => {
      const noext = qmarksTestNoExtDot([$0])
      if (!ext) {
        return noext
      }
      ext = ext.toLowerCase()
      return f => noext(f) && f.toLowerCase().endsWith(ext)
    }
    const qmarksTestDot = ([$0, ext = '']) => {
      const noext = qmarksTestNoExtDot([$0])
      return !ext ? noext : f => noext(f) && f.endsWith(ext)
    }
    const qmarksTest = ([$0, ext = '']) => {
      const noext = qmarksTestNoExt([$0])
      return !ext ? noext : f => noext(f) && f.endsWith(ext)
    }
    const qmarksTestNoExt = ([$0]) => {
      const len = $0.length
      return f => f.length === len && !f.startsWith('.')
    }
    const qmarksTestNoExtDot = ([$0]) => {
      const len = $0.length
      return f => f.length === len && f !== '.' && f !== '..'
    }
    /* c8 ignore start */
    const defaultPlatform =
      typeof process === 'object' && process
        ? (typeof process.env === 'object' &&
            process.env &&
            process.env.__MINIMATCH_TESTING_PLATFORM__) ||
          process.platform
        : 'posix'
    const path = {
      win32: {
        sep: '\\'
      },
      posix: {
        sep: '/'
      }
    }
    /* c8 ignore stop */
    exports.sep = defaultPlatform === 'win32' ? path.win32.sep : path.posix.sep
    exports.minimatch.sep = exports.sep
    exports.GLOBSTAR = Symbol('globstar **')
    exports.minimatch.GLOBSTAR = exports.GLOBSTAR
    // any single thing other than /
    // don't need to escape / when using new RegExp()
    const qmark = '[^/]'
    // * => any number of characters
    const star = qmark + '*?'
    // ** when dots are allowed.  Anything goes, except .. and .
    // not (^ or / followed by one or two dots followed by $ or /),
    // followed by anything, any number of times.
    const twoStarDot = '(?:(?!(?:\\/|^)(?:\\.{1,2})($|\\/)).)*?'
    // not a ^ or / followed by a dot,
    // followed by anything, any number of times.
    const twoStarNoDot = '(?:(?!(?:\\/|^)\\.).)*?'
    const filter =
      (pattern, options = {}) =>
      p =>
        (0, exports.minimatch)(p, pattern, options)
    exports.filter = filter
    exports.minimatch.filter = exports.filter
    const ext = (a, b = {}) => Object.assign({}, a, b)
    const defaults = def => {
      if (!def || typeof def !== 'object' || !Object.keys(def).length) {
        return exports.minimatch
      }
      const orig = exports.minimatch
      const m = (p, pattern, options = {}) =>
        orig(p, pattern, ext(def, options))
      return Object.assign(m, {
        Minimatch: class Minimatch extends orig.Minimatch {
          constructor(pattern, options = {}) {
            super(pattern, ext(def, options))
          }
          static defaults(options) {
            return orig.defaults(ext(def, options)).Minimatch
          }
        },
        AST: class AST extends orig.AST {
          /* c8 ignore start */
          constructor(type, parent, options = {}) {
            super(type, parent, ext(def, options))
          }
          /* c8 ignore stop */
          static fromGlob(pattern, options = {}) {
            return orig.AST.fromGlob(pattern, ext(def, options))
          }
        },
        unescape: (s, options = {}) => orig.unescape(s, ext(def, options)),
        escape: (s, options = {}) => orig.escape(s, ext(def, options)),
        filter: (pattern, options = {}) =>
          orig.filter(pattern, ext(def, options)),
        defaults: options => orig.defaults(ext(def, options)),
        makeRe: (pattern, options = {}) =>
          orig.makeRe(pattern, ext(def, options)),
        braceExpand: (pattern, options = {}) =>
          orig.braceExpand(pattern, ext(def, options)),
        match: (list, pattern, options = {}) =>
          orig.match(list, pattern, ext(def, options)),
        sep: orig.sep,
        GLOBSTAR: exports.GLOBSTAR
      })
    }
    exports.defaults = defaults
    exports.minimatch.defaults = exports.defaults
    // Brace expansion:
    // a{b,c}d -> abd acd
    // a{b,}c -> abc ac
    // a{0..3}d -> a0d a1d a2d a3d
    // a{b,c{d,e}f}g -> abg acdfg acefg
    // a{b,c}d{e,f}g -> abdeg acdeg abdeg abdfg
    //
    // Invalid sets are not expanded.
    // a{2..}b -> a{2..}b
    // a{b}c -> a{b}c
    const braceExpand = (pattern, options = {}) => {
      ;(0, assert_valid_pattern_js_1.assertValidPattern)(pattern)
      // Thanks to Yeting Li <https://github.com/yetingli> for
      // improving this regexp to avoid a ReDOS vulnerability.
      if (options.nobrace || !/\{(?:(?!\{).)*\}/.test(pattern)) {
        // shortcut. no need to expand.
        return [pattern]
      }
      return (0, brace_expansion_1.default)(pattern)
    }
    exports.braceExpand = braceExpand
    exports.minimatch.braceExpand = exports.braceExpand
    // parse a component of the expanded set.
    // At this point, no pattern may contain "/" in it
    // so we're going to return a 2d array, where each entry is the full
    // pattern, split on '/', and then turned into a regular expression.
    // A regexp is made at the end which joins each array with an
    // escaped /, and another full one which joins each regexp with |.
    //
    // Following the lead of Bash 4.1, note that "**" only has special meaning
    // when it is the *only* thing in a path portion.  Otherwise, any series
    // of * is equivalent to a single *.  Globstar behavior is enabled by
    // default, and can be disabled by setting options.noglobstar.
    const makeRe = (pattern, options = {}) =>
      new Minimatch(pattern, options).makeRe()
    exports.makeRe = makeRe
    exports.minimatch.makeRe = exports.makeRe
    const match = (list, pattern, options = {}) => {
      const mm = new Minimatch(pattern, options)
      list = list.filter(f => mm.match(f))
      if (mm.options.nonull && !list.length) {
        list.push(pattern)
      }
      return list
    }
    exports.match = match
    exports.minimatch.match = exports.match
    // replace stuff like \* with *
    const globMagic = /[?*]|[+@!]\(.*?\)|\[|\]/
    const regExpEscape = s => s.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, '\\$&')
    class Minimatch {
      options
      set;
      pattern
      windowsPathsNoEscape
      nonegate
      negate
      comment
      empty
      preserveMultipleSlashes
      partial
      globSet
      globParts
      nocase
      isWindows
      platform
      windowsNoMagicRoot
      regexp
      constructor(pattern, options = {}) {
        ;(0, assert_valid_pattern_js_1.assertValidPattern)(pattern)
        options = options || {}
        this.options = options
        this.pattern = pattern
        this.platform = options.platform || defaultPlatform
        this.isWindows = this.platform === 'win32'
        this.windowsPathsNoEscape =
          !!options.windowsPathsNoEscape || options.allowWindowsEscape === false
        if (this.windowsPathsNoEscape) {
          this.pattern = this.pattern.replace(/\\/g, '/')
        }
        this.preserveMultipleSlashes = !!options.preserveMultipleSlashes
        this.regexp = null
        this.negate = false
        this.nonegate = !!options.nonegate
        this.comment = false
        this.empty = false
        this.partial = !!options.partial
        this.nocase = !!this.options.nocase
        this.windowsNoMagicRoot =
          options.windowsNoMagicRoot !== undefined
            ? options.windowsNoMagicRoot
            : !!(this.isWindows && this.nocase)
        this.globSet = []
        this.globParts = []
        this.set = []
        // make the set of regexps etc.
        this.make()
      }
      hasMagic() {
        if (this.options.magicalBraces && this.set.length > 1) {
          return true
        }
        for (const pattern of this.set) {
          for (const part of pattern) {
            if (typeof part !== 'string') {
              return true
            }
          }
        }
        return false
      }
      debug(..._) {}
      make() {
        const pattern = this.pattern
        const options = this.options
        // empty patterns and comments match nothing.
        if (!options.nocomment && pattern.charAt(0) === '#') {
          this.comment = true
          return
        }
        if (!pattern) {
          this.empty = true
          return
        }
        // step 1: figure out negation, etc.
        this.parseNegate()
        // step 2: expand braces
        this.globSet = [...new Set(this.braceExpand())]
        if (options.debug) {
          this.debug = (...args) => console.error(...args)
        }
        this.debug(this.pattern, this.globSet)
        // step 3: now we have a set, so turn each one into a series of
        // path-portion matching patterns.
        // These will be regexps, except in the case of "**", which is
        // set to the GLOBSTAR object for globstar behavior,
        // and will not contain any / characters
        //
        // First, we preprocess to make the glob pattern sets a bit simpler
        // and deduped.  There are some perf-killing patterns that can cause
        // problems with a glob walk, but we can simplify them down a bit.
        const rawGlobParts = this.globSet.map(s => this.slashSplit(s))
        this.globParts = this.preprocess(rawGlobParts)
        this.debug(this.pattern, this.globParts)
        // glob --> regexps
        let set = this.globParts.map((s, _, __) => {
          if (this.isWindows && this.windowsNoMagicRoot) {
            // check if it's a drive or unc path.
            const isUNC =
              s[0] === '' &&
              s[1] === '' &&
              (s[2] === '?' || !globMagic.test(s[2])) &&
              !globMagic.test(s[3])
            const isDrive = /^[a-z]:/i.test(s[0])
            if (isUNC) {
              return [...s.slice(0, 4), ...s.slice(4).map(ss => this.parse(ss))]
            } else if (isDrive) {
              return [s[0], ...s.slice(1).map(ss => this.parse(ss))]
            }
          }
          return s.map(ss => this.parse(ss))
        })
        this.debug(this.pattern, set)
        // filter out everything that didn't compile properly.
        this.set = set.filter(s => s.indexOf(false) === -1)
        // do not treat the ? in UNC paths as magic
        if (this.isWindows) {
          for (let i = 0; i < this.set.length; i++) {
            const p = this.set[i]
            if (
              p[0] === '' &&
              p[1] === '' &&
              this.globParts[i][2] === '?' &&
              typeof p[3] === 'string' &&
              /^[a-z]:$/i.test(p[3])
            ) {
              p[2] = '?'
            }
          }
        }
        this.debug(this.pattern, this.set)
      }
      // various transforms to equivalent pattern sets that are
      // faster to process in a filesystem walk.  The goal is to
      // eliminate what we can, and push all ** patterns as far
      // to the right as possible, even if it increases the number
      // of patterns that we have to process.
      preprocess(globParts) {
        // if we're not in globstar mode, then turn all ** into *
        if (this.options.noglobstar) {
          for (let i = 0; i < globParts.length; i++) {
            for (let j = 0; j < globParts[i].length; j++) {
              if (globParts[i][j] === '**') {
                globParts[i][j] = '*'
              }
            }
          }
        }
        const { optimizationLevel = 1 } = this.options
        if (optimizationLevel >= 2) {
          // aggressive optimization for the purpose of fs walking
          globParts = this.firstPhasePreProcess(globParts)
          globParts = this.secondPhasePreProcess(globParts)
        } else if (optimizationLevel >= 1) {
          // just basic optimizations to remove some .. parts
          globParts = this.levelOneOptimize(globParts)
        } else {
          // just collapse multiple ** portions into one
          globParts = this.adjascentGlobstarOptimize(globParts)
        }
        return globParts
      }
      // just get rid of adjascent ** portions
      adjascentGlobstarOptimize(globParts) {
        return globParts.map(parts => {
          let gs = -1
          while (-1 !== (gs = parts.indexOf('**', gs + 1))) {
            let i = gs
            while (parts[i + 1] === '**') {
              i++
            }
            if (i !== gs) {
              parts.splice(gs, i - gs)
            }
          }
          return parts
        })
      }
      // get rid of adjascent ** and resolve .. portions
      levelOneOptimize(globParts) {
        return globParts.map(parts => {
          parts = parts.reduce((set, part) => {
            const prev = set[set.length - 1]
            if (part === '**' && prev === '**') {
              return set
            }
            if (part === '..') {
              if (prev && prev !== '..' && prev !== '.' && prev !== '**') {
                set.pop()
                return set
              }
            }
            set.push(part)
            return set
          }, [])
          return parts.length === 0 ? [''] : parts
        })
      }
      levelTwoFileOptimize(parts) {
        if (!Array.isArray(parts)) {
          parts = this.slashSplit(parts)
        }
        let didSomething = false
        do {
          didSomething = false
          // <pre>/<e>/<rest> -> <pre>/<rest>
          if (!this.preserveMultipleSlashes) {
            for (let i = 1; i < parts.length - 1; i++) {
              const p = parts[i]
              // don't squeeze out UNC patterns
              if (i === 1 && p === '' && parts[0] === '') {
                continue
              }
              if (p === '.' || p === '') {
                didSomething = true
                parts.splice(i, 1)
                i--
              }
            }
            if (
              parts[0] === '.' &&
              parts.length === 2 &&
              (parts[1] === '.' || parts[1] === '')
            ) {
              didSomething = true
              parts.pop()
            }
          }
          // <pre>/<p>/../<rest> -> <pre>/<rest>
          let dd = 0
          while (-1 !== (dd = parts.indexOf('..', dd + 1))) {
            const p = parts[dd - 1]
            if (p && p !== '.' && p !== '..' && p !== '**') {
              didSomething = true
              parts.splice(dd - 1, 2)
              dd -= 2
            }
          }
        } while (didSomething)
        return parts.length === 0 ? [''] : parts
      }
      // First phase: single-pattern processing
      // <pre> is 1 or more portions
      // <rest> is 1 or more portions
      // <p> is any portion other than ., .., '', or **
      // <e> is . or ''
      //
      // **/.. is *brutal* for filesystem walking performance, because
      // it effectively resets the recursive walk each time it occurs,
      // and ** cannot be reduced out by a .. pattern part like a regexp
      // or most strings (other than .., ., and '') can be.
      //
      // <pre>/**/../<p>/<p>/<rest> -> {<pre>/../<p>/<p>/<rest>,<pre>/**/<p>/<p>/<rest>}
      // <pre>/<e>/<rest> -> <pre>/<rest>
      // <pre>/<p>/../<rest> -> <pre>/<rest>
      // **/**/<rest> -> **/<rest>
      //
      // **/*/<rest> -> */**/<rest> <== not valid because ** doesn't follow
      // this WOULD be allowed if ** did follow symlinks, or * didn't
      firstPhasePreProcess(globParts) {
        let didSomething = false
        do {
          didSomething = false
          // <pre>/**/../<p>/<p>/<rest> -> {<pre>/../<p>/<p>/<rest>,<pre>/**/<p>/<p>/<rest>}
          for (let parts of globParts) {
            let gs = -1
            while (-1 !== (gs = parts.indexOf('**', gs + 1))) {
              let gss = gs
              while (parts[gss + 1] === '**') {
                // <pre>/**/**/<rest> -> <pre>/**/<rest>
                gss++
              }
              // eg, if gs is 2 and gss is 4, that means we have 3 **
              // parts, and can remove 2 of them.
              if (gss > gs) {
                parts.splice(gs + 1, gss - gs)
              }
              let next = parts[gs + 1]
              const p = parts[gs + 2]
              const p2 = parts[gs + 3]
              if (next !== '..') {
                continue
              }
              if (
                !p ||
                p === '.' ||
                p === '..' ||
                !p2 ||
                p2 === '.' ||
                p2 === '..'
              ) {
                continue
              }
              didSomething = true
              // edit parts in place, and push the new one
              parts.splice(gs, 1)
              const other = parts.slice(0)
              other[gs] = '**'
              globParts.push(other)
              gs--
            }
            // <pre>/<e>/<rest> -> <pre>/<rest>
            if (!this.preserveMultipleSlashes) {
              for (let i = 1; i < parts.length - 1; i++) {
                const p = parts[i]
                // don't squeeze out UNC patterns
                if (i === 1 && p === '' && parts[0] === '') {
                  continue
                }
                if (p === '.' || p === '') {
                  didSomething = true
                  parts.splice(i, 1)
                  i--
                }
              }
              if (
                parts[0] === '.' &&
                parts.length === 2 &&
                (parts[1] === '.' || parts[1] === '')
              ) {
                didSomething = true
                parts.pop()
              }
            }
            // <pre>/<p>/../<rest> -> <pre>/<rest>
            let dd = 0
            while (-1 !== (dd = parts.indexOf('..', dd + 1))) {
              const p = parts[dd - 1]
              if (p && p !== '.' && p !== '..' && p !== '**') {
                didSomething = true
                const needDot = dd === 1 && parts[dd + 1] === '**'
                const splin = needDot ? ['.'] : []
                parts.splice(dd - 1, 2, ...splin)
                if (parts.length === 0) {
                  parts.push('')
                }
                dd -= 2
              }
            }
          }
        } while (didSomething)
        return globParts
      }
      // second phase: multi-pattern dedupes
      // {<pre>/*/<rest>,<pre>/<p>/<rest>} -> <pre>/*/<rest>
      // {<pre>/<rest>,<pre>/<rest>} -> <pre>/<rest>
      // {<pre>/**/<rest>,<pre>/<rest>} -> <pre>/**/<rest>
      //
      // {<pre>/**/<rest>,<pre>/**/<p>/<rest>} -> <pre>/**/<rest>
      // ^-- not valid because ** doens't follow symlinks
      secondPhasePreProcess(globParts) {
        for (let i = 0; i < globParts.length - 1; i++) {
          for (let j = i + 1; j < globParts.length; j++) {
            const matched = this.partsMatch(
              globParts[i],
              globParts[j],
              !this.preserveMultipleSlashes
            )
            if (matched) {
              globParts[i] = []
              globParts[j] = matched
              break
            }
          }
        }
        return globParts.filter(gs => gs.length)
      }
      partsMatch(a, b, emptyGSMatch = false) {
        let ai = 0
        let bi = 0
        let result = []
        let which = ''
        while (ai < a.length && bi < b.length) {
          if (a[ai] === b[bi]) {
            result.push(which === 'b' ? b[bi] : a[ai])
            ai++
            bi++
          } else if (emptyGSMatch && a[ai] === '**' && b[bi] === a[ai + 1]) {
            result.push(a[ai])
            ai++
          } else if (emptyGSMatch && b[bi] === '**' && a[ai] === b[bi + 1]) {
            result.push(b[bi])
            bi++
          } else if (
            a[ai] === '*' &&
            b[bi] &&
            (this.options.dot || !b[bi].startsWith('.')) &&
            b[bi] !== '**'
          ) {
            if (which === 'b') {
              return false
            }
            which = 'a'
            result.push(a[ai])
            ai++
            bi++
          } else if (
            b[bi] === '*' &&
            a[ai] &&
            (this.options.dot || !a[ai].startsWith('.')) &&
            a[ai] !== '**'
          ) {
            if (which === 'a') {
              return false
            }
            which = 'b'
            result.push(b[bi])
            ai++
            bi++
          } else {
            return false
          }
        }
        // if we fall out of the loop, it means they two are identical
        // as long as their lengths match
        return a.length === b.length && result
      }
      parseNegate() {
        if (this.nonegate) {
          return
        }
        const pattern = this.pattern
        let negate = false
        let negateOffset = 0
        for (let i = 0; i < pattern.length && pattern.charAt(i) === '!'; i++) {
          negate = !negate
          negateOffset++
        }
        if (negateOffset) {
          this.pattern = pattern.slice(negateOffset)
        }
        this.negate = negate
      }
      // set partial to true to test if, for example,
      // "/a/b" matches the start of "/*/b/*/d"
      // Partial means, if you run out of file before you run
      // out of pattern, then that's fine, as long as all
      // the parts match.
      matchOne(file, pattern, partial = false) {
        const options = this.options
        // UNC paths like //?/X:/... can match X:/... and vice versa
        // Drive letters in absolute drive or unc paths are always compared
        // case-insensitively.
        if (this.isWindows) {
          const fileDrive =
            typeof file[0] === 'string' && /^[a-z]:$/i.test(file[0])
          const fileUNC =
            !fileDrive &&
            file[0] === '' &&
            file[1] === '' &&
            file[2] === '?' &&
            /^[a-z]:$/i.test(file[3])
          const patternDrive =
            typeof pattern[0] === 'string' && /^[a-z]:$/i.test(pattern[0])
          const patternUNC =
            !patternDrive &&
            pattern[0] === '' &&
            pattern[1] === '' &&
            pattern[2] === '?' &&
            typeof pattern[3] === 'string' &&
            /^[a-z]:$/i.test(pattern[3])
          const fdi = fileUNC ? 3 : fileDrive ? 0 : undefined
          const pdi = patternUNC ? 3 : patternDrive ? 0 : undefined
          if (typeof fdi === 'number' && typeof pdi === 'number') {
            const [fd, pd] = [file[fdi], pattern[pdi]]
            if (fd.toLowerCase() === pd.toLowerCase()) {
              pattern[pdi] = fd
              if (pdi > fdi) {
                pattern = pattern.slice(pdi)
              } else if (fdi > pdi) {
                file = file.slice(fdi)
              }
            }
          }
        }
        // resolve and reduce . and .. portions in the file as well.
        // dont' need to do the second phase, because it's only one string[]
        const { optimizationLevel = 1 } = this.options
        if (optimizationLevel >= 2) {
          file = this.levelTwoFileOptimize(file)
        }
        this.debug('matchOne', this, {
          file,
          pattern
        })
        this.debug('matchOne', file.length, pattern.length)
        let fi = 0,
          pi = 0,
          fl = file.length,
          pl = pattern.length
        for (; fi < fl && pi < pl; fi++, pi++) {
          this.debug('matchOne loop')
          const p = pattern[pi]
          const f = file[fi]
          this.debug(pattern, p, f)
          // should be impossible.
          // some invalid regexp stuff in the set.
          /* c8 ignore start */
          if (p === false) {
            return false
          }
          /* c8 ignore stop */
          if (p === exports.GLOBSTAR) {
            this.debug('GLOBSTAR', [pattern, p, f])
            // "**"
            // a/**/b/**/c would match the following:
            // a/b/x/y/z/c
            // a/x/y/z/b/c
            // a/b/x/b/x/c
            // a/b/c
            // To do this, take the rest of the pattern after
            // the **, and see if it would match the file remainder.
            // If so, return success.
            // If not, the ** "swallows" a segment, and try again.
            // This is recursively awful.
            //
            // a/**/b/**/c matching a/b/x/y/z/c
            // - a matches a
            // - doublestar
            //   - matchOne(b/x/y/z/c, b/**/c)
            //     - b matches b
            //     - doublestar
            //       - matchOne(x/y/z/c, c) -> no
            //       - matchOne(y/z/c, c) -> no
            //       - matchOne(z/c, c) -> no
            //       - matchOne(c, c) yes, hit
            let fr = fi
            const pr = pi + 1
            if (pr === pl) {
              this.debug('** at the end')
              // a ** at the end will just swallow the rest.
              // We have found a match.
              // however, it will not swallow /.x, unless
              // options.dot is set.
              // . and .. are *never* matched by **, for explosively
              // exponential reasons.
              for (; fi < fl; fi++) {
                if (
                  file[fi] === '.' ||
                  file[fi] === '..' ||
                  (!options.dot && file[fi].charAt(0) === '.')
                ) {
                  return false
                }
              }
              return true
            }
            // ok, let's see if we can swallow whatever we can.
            while (fr < fl) {
              const swallowee = file[fr]
              this.debug('\nglobstar while', file, fr, pattern, pr, swallowee)
              // XXX remove this slice.  Just pass the start index.
              if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {
                this.debug('globstar found match!', fr, fl, swallowee)
                // found a match.
                return true
              } else {
                // can't swallow "." or ".." ever.
                // can only swallow ".foo" when explicitly asked.
                if (
                  swallowee === '.' ||
                  swallowee === '..' ||
                  (!options.dot && swallowee.charAt(0) === '.')
                ) {
                  this.debug('dot detected!', file, fr, pattern, pr)
                  break
                }
                // ** swallows a segment, and continue.
                this.debug('globstar swallow a segment, and continue')
                fr++
              }
            }
            // no match was found.
            // However, in partial mode, we can't say this is necessarily over.
            /* c8 ignore start */
            if (partial) {
              // ran out of file
              this.debug('\n>>> no match, partial?', file, fr, pattern, pr)
              if (fr === fl) {
                return true
              }
            }
            /* c8 ignore stop */
            return false
          }
          // something other than **
          // non-magic patterns just have to match exactly
          // patterns with magic have been turned into regexps.
          let hit
          if (typeof p === 'string') {
            hit = f === p
            this.debug('string match', p, f, hit)
          } else {
            hit = p.test(f)
            this.debug('pattern match', p, f, hit)
          }
          if (!hit) {
            return false
          }
        }
        // Note: ending in / means that we'll get a final ""
        // at the end of the pattern.  This can only match a
        // corresponding "" at the end of the file.
        // If the file ends in /, then it can only match a
        // a pattern that ends in /, unless the pattern just
        // doesn't have any more for it. But, a/b/ should *not*
        // match "a/b/*", even though "" matches against the
        // [^/]*? pattern, except in partial mode, where it might
        // simply not be reached yet.
        // However, a/b/ should still satisfy a/*
        // now either we fell off the end of the pattern, or we're done.
        if (fi === fl && pi === pl) {
          // ran out of pattern and filename at the same time.
          // an exact hit!
          return true
        } else if (fi === fl) {
          // ran out of file, but still had pattern left.
          // this is ok if we're doing the match as part of
          // a glob fs traversal.
          return partial
        } else if (pi === pl) {
          // ran out of pattern, still have file left.
          // this is only acceptable if we're on the very last
          // empty segment of a file with a trailing slash.
          // a/* should match a/b/
          return fi === fl - 1 && file[fi] === ''
          /* c8 ignore start */
        } else {
          // should be unreachable.
          throw new Error('wtf?')
        }
        /* c8 ignore stop */
      }
      braceExpand() {
        return (0, exports.braceExpand)(this.pattern, this.options)
      }
      parse(pattern) {
        ;(0, assert_valid_pattern_js_1.assertValidPattern)(pattern)
        const options = this.options
        // shortcuts
        if (pattern === '**') {
          return exports.GLOBSTAR
        }
        if (pattern === '') {
          return ''
        }
        // far and away, the most common glob pattern parts are
        // *, *.*, and *.<ext>  Add a fast check method for those.
        let m
        let fastTest = null
        if ((m = pattern.match(starRE))) {
          fastTest = options.dot ? starTestDot : starTest
        } else if ((m = pattern.match(starDotExtRE))) {
          fastTest = (
            options.nocase
              ? options.dot
                ? starDotExtTestNocaseDot
                : starDotExtTestNocase
              : options.dot
                ? starDotExtTestDot
                : starDotExtTest
          )(m[1])
        } else if ((m = pattern.match(qmarksRE))) {
          fastTest = (
            options.nocase
              ? options.dot
                ? qmarksTestNocaseDot
                : qmarksTestNocase
              : options.dot
                ? qmarksTestDot
                : qmarksTest
          )(m)
        } else if ((m = pattern.match(starDotStarRE))) {
          fastTest = options.dot ? starDotStarTestDot : starDotStarTest
        } else if ((m = pattern.match(dotStarRE))) {
          fastTest = dotStarTest
        }
        const re = ast_js_1.AST.fromGlob(pattern, this.options).toMMPattern()
        if (fastTest && typeof re === 'object') {
          // Avoids overriding in frozen environments
          Reflect.defineProperty(re, 'test', {
            value: fastTest
          })
        }
        return re
      }
      makeRe() {
        if (this.regexp || this.regexp === false) {
          return this.regexp
        }
        // at this point, this.set is a 2d array of partial
        // pattern strings, or "**".
        //
        // It's better to use .match().  This function shouldn't
        // be used, really, but it's pretty convenient sometimes,
        // when you just want to work with a regex.
        const set = this.set
        if (!set.length) {
          this.regexp = false
          return this.regexp
        }
        const options = this.options
        const twoStar = options.noglobstar
          ? star
          : options.dot
            ? twoStarDot
            : twoStarNoDot
        const flags = new Set(options.nocase ? ['i'] : [])
        // regexpify non-globstar patterns
        // if ** is only item, then we just do one twoStar
        // if ** is first, and there are more, prepend (\/|twoStar\/)? to next
        // if ** is last, append (\/twoStar|) to previous
        // if ** is in the middle, append (\/|\/twoStar\/) to previous
        // then filter out GLOBSTAR symbols
        let re = set
          .map(pattern => {
            const pp = pattern.map(p => {
              if (p instanceof RegExp) {
                for (const f of p.flags.split('')) {
                  flags.add(f)
                }
              }
              return typeof p === 'string'
                ? regExpEscape(p)
                : p === exports.GLOBSTAR
                  ? exports.GLOBSTAR
                  : p._src
            })
            pp.forEach((p, i) => {
              const next = pp[i + 1]
              const prev = pp[i - 1]
              if (p !== exports.GLOBSTAR || prev === exports.GLOBSTAR) {
                return
              }
              if (prev === undefined) {
                if (next !== undefined && next !== exports.GLOBSTAR) {
                  pp[i + 1] = '(?:\\/|' + twoStar + '\\/)?' + next
                } else {
                  pp[i] = twoStar
                }
              } else if (next === undefined) {
                pp[i - 1] = prev + '(?:\\/|' + twoStar + ')?'
              } else if (next !== exports.GLOBSTAR) {
                pp[i - 1] = prev + '(?:\\/|\\/' + twoStar + '\\/)' + next
                pp[i + 1] = exports.GLOBSTAR
              }
            })
            return pp.filter(p => p !== exports.GLOBSTAR).join('/')
          })
          .join('|')
        // need to wrap in parens if we had more than one thing with |,
        // otherwise only the first will be anchored to ^ and the last to $
        const [open, close] = set.length > 1 ? ['(?:', ')'] : ['', '']
        // must match entire pattern
        // ending in a * or ** will make it less strict.
        re = '^' + open + re + close + '$'
        // can match anything, as long as it's not this.
        if (this.negate) {
          re = '^(?!' + re + ').+$'
        }
        try {
          this.regexp = new RegExp(re, [...flags].join(''))
          /* c8 ignore start */
        } catch (ex) {
          // should be impossible
          this.regexp = false
        }
        /* c8 ignore stop */
        return this.regexp
      }
      slashSplit(p) {
        // if p starts with // on windows, we preserve that
        // so that UNC paths aren't broken.  Otherwise, any number of
        // / characters are coalesced into one, unless
        // preserveMultipleSlashes is set to true.
        if (this.preserveMultipleSlashes) {
          return p.split('/')
        } else if (this.isWindows && /^\/\/[^/]+/.test(p)) {
          // add an extra '' for the one we lose
          return ['', ...p.split(/\/+/)]
        } else {
          return p.split(/\/+/)
        }
      }
      match(f, partial = this.partial) {
        this.debug('match', f, this.pattern)
        // short-circuit in the case of busted things.
        // comments, etc.
        if (this.comment) {
          return false
        }
        if (this.empty) {
          return f === ''
        }
        if (f === '/' && partial) {
          return true
        }
        const options = this.options
        // windows: need to use /, not \
        if (this.isWindows) {
          f = f.split('\\').join('/')
        }
        // treat the test path as a set of pathparts.
        const ff = this.slashSplit(f)
        this.debug(this.pattern, 'split', ff)
        // just ONE of the pattern sets in this.set needs to match
        // in order for it to be valid.  If negating, then just one
        // match means that we have failed.
        // Either way, return on the first hit.
        const set = this.set
        this.debug(this.pattern, 'set', set)
        // Find the basename of the path by looking for the last non-empty segment
        let filename = ff[ff.length - 1]
        if (!filename) {
          for (let i = ff.length - 2; !filename && i >= 0; i--) {
            filename = ff[i]
          }
        }
        for (let i = 0; i < set.length; i++) {
          const pattern = set[i]
          let file = ff
          if (options.matchBase && pattern.length === 1) {
            file = [filename]
          }
          const hit = this.matchOne(file, pattern, partial)
          if (hit) {
            if (options.flipNegate) {
              return true
            }
            return !this.negate
          }
        }
        // didn't get any hits.  this is success if it's a negative
        // pattern, failure otherwise.
        if (options.flipNegate) {
          return false
        }
        return this.negate
      }
      static defaults(def) {
        return exports.minimatch.defaults(def).Minimatch
      }
    }
    exports.Minimatch = Minimatch
    /* c8 ignore start */
    const ast_js_2 = requireAst()
    Object.defineProperty(exports, 'AST', {
      enumerable: true,
      get: function () {
        return ast_js_2.AST
      }
    })
    const escape_js_2 = require_escape()
    Object.defineProperty(exports, 'escape', {
      enumerable: true,
      get: function () {
        return escape_js_2.escape
      }
    })
    const unescape_js_2 = require_unescape()
    Object.defineProperty(exports, 'unescape', {
      enumerable: true,
      get: function () {
        return unescape_js_2.unescape
      }
    })
    /* c8 ignore stop */
    exports.minimatch.AST = ast_js_1.AST
    exports.minimatch.Minimatch = Minimatch
    exports.minimatch.escape = escape_js_1.escape
    exports.minimatch.unescape = unescape_js_1.unescape
  })(commonjs$1)
  return commonjs$1
}

const glob = {}

const commonjs = {}

let hasRequiredCommonjs$1
function requireCommonjs$1() {
  if (hasRequiredCommonjs$1) {
    return commonjs
  }
  hasRequiredCommonjs$1 = 1
  const __createBinding =
    (this && this.__createBinding) ||
    (Object.create
      ? function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          let desc = Object.getOwnPropertyDescriptor(m, k)
          if (
            !desc ||
            ('get' in desc ? !m.__esModule : desc.writable || desc.configurable)
          ) {
            desc = {
              enumerable: true,
              get: function () {
                return m[k]
              }
            }
          }
          Object.defineProperty(o, k2, desc)
        }
      : function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          o[k2] = m[k]
        })
  const __setModuleDefault =
    (this && this.__setModuleDefault) ||
    (Object.create
      ? function (o, v) {
          Object.defineProperty(o, 'default', {
            enumerable: true,
            value: v
          })
        }
      : function (o, v) {
          o['default'] = v
        })
  const __importStar =
    (this && this.__importStar) ||
    function (mod) {
      if (mod && mod.__esModule) {
        return mod
      }
      const result = {}
      if (mod != null) {
        for (var k in mod)
          if (k !== 'default' && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k)
      }
      __setModuleDefault(result, mod)
      return result
    }
  Object.defineProperty(commonjs, '__esModule', {
    value: true
  })
  commonjs.PathScurry =
    commonjs.Path =
    commonjs.PathScurryDarwin =
    commonjs.PathScurryPosix =
    commonjs.PathScurryWin32 =
    commonjs.PathScurryBase =
    commonjs.PathPosix =
    commonjs.PathWin32 =
    commonjs.PathBase =
    commonjs.ChildrenCache =
    commonjs.ResolveCache =
      void 0
  const lru_cache_1 = /*@__PURE__*/ requireCommonjs$3()
  const node_path_1 = require$$1$4
  const node_url_1 = require$$2$5
  const fs_1 = require$$2$4
  const actualFS = __importStar(require$$4$2)
  const realpathSync = fs_1.realpathSync.native
  // TODO: test perf of fs/promises realpath vs realpathCB,
  // since the promises one uses realpath.native
  const promises_1 = require$$5$1
  const minipass_1 = requireCommonjs$5()
  const defaultFS = {
    lstatSync: fs_1.lstatSync,
    readdir: fs_1.readdir,
    readdirSync: fs_1.readdirSync,
    readlinkSync: fs_1.readlinkSync,
    realpathSync,
    promises: {
      lstat: promises_1.lstat,
      readdir: promises_1.readdir,
      readlink: promises_1.readlink,
      realpath: promises_1.realpath
    }
  }
  // if they just gave us require('fs') then use our default
  const fsFromOption = fsOption =>
    !fsOption || fsOption === defaultFS || fsOption === actualFS
      ? defaultFS
      : {
          ...defaultFS,
          ...fsOption,
          promises: {
            ...defaultFS.promises,
            ...fsOption.promises
          }
        }
  // turn something like //?/c:/ into c:\
  const uncDriveRegexp = /^\\\\\?\\([a-z]:)\\?$/i
  const uncToDrive = rootPath =>
    rootPath.replace(/\//g, '\\').replace(uncDriveRegexp, '$1\\')
  // windows paths are separated by either / or \
  const eitherSep = /[\\/]/
  const UNKNOWN = 0 // may not even exist, for all we know
  const IFIFO = 0b0001
  const IFCHR = 0b0010
  const IFDIR = 0b0100
  const IFBLK = 0b0110
  const IFREG = 0b1000
  const IFLNK = 0b1010
  const IFSOCK = 0b1100
  const IFMT = 0b1111
  // mask to unset low 4 bits
  const IFMT_UNKNOWN = -16
  // set after successfully calling readdir() and getting entries.
  const READDIR_CALLED = 0b0000_0001_0000
  // set after a successful lstat()
  const LSTAT_CALLED = 0b0000_0010_0000
  // set if an entry (or one of its parents) is definitely not a dir
  const ENOTDIR = 0b0000_0100_0000
  // set if an entry (or one of its parents) does not exist
  // (can also be set on lstat errors like EACCES or ENAMETOOLONG)
  const ENOENT = 0b0000_1000_0000
  // cannot have child entries -- also verify &IFMT is either IFDIR or IFLNK
  // set if we fail to readlink
  const ENOREADLINK = 0b0001_0000_0000
  // set if we know realpath() will fail
  const ENOREALPATH = 0b0010_0000_0000
  const ENOCHILD = ENOTDIR | ENOENT | ENOREALPATH
  const TYPEMASK = 0b0011_1111_1111
  const entToType = s =>
    s.isFile()
      ? IFREG
      : s.isDirectory()
        ? IFDIR
        : s.isSymbolicLink()
          ? IFLNK
          : s.isCharacterDevice()
            ? IFCHR
            : s.isBlockDevice()
              ? IFBLK
              : s.isSocket()
                ? IFSOCK
                : s.isFIFO()
                  ? IFIFO
                  : UNKNOWN
  // normalize unicode path names
  const normalizeCache = new Map()
  const normalize = s => {
    const c = normalizeCache.get(s)
    if (c) {
      return c
    }
    const n = s.normalize('NFKD')
    normalizeCache.set(s, n)
    return n
  }
  const normalizeNocaseCache = new Map()
  const normalizeNocase = s => {
    const c = normalizeNocaseCache.get(s)
    if (c) {
      return c
    }
    const n = normalize(s.toLowerCase())
    normalizeNocaseCache.set(s, n)
    return n
  }
  /**
   * An LRUCache for storing resolved path strings or Path objects.
   * @internal
   */
  class ResolveCache extends lru_cache_1.LRUCache {
    constructor() {
      super({
        max: 256
      })
    }
  }
  commonjs.ResolveCache = ResolveCache
  // In order to prevent blowing out the js heap by allocating hundreds of
  // thousands of Path entries when walking extremely large trees, the "children"
  // in this tree are represented by storing an array of Path entries in an
  // LRUCache, indexed by the parent.  At any time, Path.children() may return an
  // empty array, indicating that it doesn't know about any of its children, and
  // thus has to rebuild that cache.  This is fine, it just means that we don't
  // benefit as much from having the cached entries, but huge directory walks
  // don't blow out the stack, and smaller ones are still as fast as possible.
  //
  //It does impose some complexity when building up the readdir data, because we
  //need to pass a reference to the children array that we started with.
  /**
   * an LRUCache for storing child entries.
   * @internal
   */
  class ChildrenCache extends lru_cache_1.LRUCache {
    constructor(maxSize = 16 * 1024) {
      super({
        maxSize,
        // parent + children
        sizeCalculation: a => a.length + 1
      })
    }
  }
  commonjs.ChildrenCache = ChildrenCache
  const setAsCwd = Symbol('PathScurry setAsCwd')
  /**
   * Path objects are sort of like a super-powered
   * {@link https://nodejs.org/docs/latest/api/fs.html#class-fsdirent fs.Dirent}
   *
   * Each one represents a single filesystem entry on disk, which may or may not
   * exist. It includes methods for reading various types of information via
   * lstat, readlink, and readdir, and caches all information to the greatest
   * degree possible.
   *
   * Note that fs operations that would normally throw will instead return an
   * "empty" value. This is in order to prevent excessive overhead from error
   * stack traces.
   */
  class PathBase {
    /**
     * the basename of this path
     *
     * **Important**: *always* test the path name against any test string
     * usingthe {@link isNamed} method, and not by directly comparing this
     * string. Otherwise, unicode path strings that the system sees as identical
     * will not be properly treated as the same path, leading to incorrect
     * behavior and possible security issues.
     */
    name
    /**
     * the Path entry corresponding to the path root.
     *
     * @internal
     */
    root
    /**
     * All roots found within the current PathScurry family
     *
     * @internal
     */
    roots
    /**
     * a reference to the parent path, or undefined in the case of root entries
     *
     * @internal
     */
    parent
    /**
     * boolean indicating whether paths are compared case-insensitively
     * @internal
     */
    nocase
    /**
     * boolean indicating that this path is the current working directory
     * of the PathScurry collection that contains it.
     */
    isCWD = false
    // potential default fs override
    #fs
    // Stats fields
    #dev
    get dev() {
      return this.#dev
    }
    #mode
    get mode() {
      return this.#mode
    }
    #nlink
    get nlink() {
      return this.#nlink
    }
    #uid
    get uid() {
      return this.#uid
    }
    #gid
    get gid() {
      return this.#gid
    }
    #rdev
    get rdev() {
      return this.#rdev
    }
    #blksize
    get blksize() {
      return this.#blksize
    }
    #ino
    get ino() {
      return this.#ino
    }
    #size
    get size() {
      return this.#size
    }
    #blocks
    get blocks() {
      return this.#blocks
    }
    #atimeMs
    get atimeMs() {
      return this.#atimeMs
    }
    #mtimeMs
    get mtimeMs() {
      return this.#mtimeMs
    }
    #ctimeMs
    get ctimeMs() {
      return this.#ctimeMs
    }
    #birthtimeMs
    get birthtimeMs() {
      return this.#birthtimeMs
    }
    #atime
    get atime() {
      return this.#atime
    }
    #mtime
    get mtime() {
      return this.#mtime
    }
    #ctime
    get ctime() {
      return this.#ctime
    }
    #birthtime
    get birthtime() {
      return this.#birthtime
    }
    #matchName
    #depth
    #fullpath
    #fullpathPosix
    #relative
    #relativePosix
    #type
    #children
    #linkTarget
    #realpath
    /**
     * This property is for compatibility with the Dirent class as of
     * Node v20, where Dirent['parentPath'] refers to the path of the
     * directory that was passed to readdir. For root entries, it's the path
     * to the entry itself.
     */
    get parentPath() {
      return (this.parent || this).fullpath()
    }
    /**
     * Deprecated alias for Dirent['parentPath'] Somewhat counterintuitively,
     * this property refers to the *parent* path, not the path object itself.
     */
    get path() {
      return this.parentPath
    }
    /**
     * Do not create new Path objects directly.  They should always be accessed
     * via the PathScurry class or other methods on the Path class.
     *
     * @internal
     */
    constructor(name, type = UNKNOWN, root, roots, nocase, children, opts) {
      this.name = name
      this.#matchName = nocase ? normalizeNocase(name) : normalize(name)
      this.#type = type & TYPEMASK
      this.nocase = nocase
      this.roots = roots
      this.root = root || this
      this.#children = children
      this.#fullpath = opts.fullpath
      this.#relative = opts.relative
      this.#relativePosix = opts.relativePosix
      this.parent = opts.parent
      if (this.parent) {
        this.#fs = this.parent.#fs
      } else {
        this.#fs = fsFromOption(opts.fs)
      }
    }
    /**
     * Returns the depth of the Path object from its root.
     *
     * For example, a path at `/foo/bar` would have a depth of 2.
     */
    depth() {
      if (this.#depth !== undefined) {
        return this.#depth
      }
      if (!this.parent) {
        return (this.#depth = 0)
      }
      return (this.#depth = this.parent.depth() + 1)
    }
    /**
     * @internal
     */
    childrenCache() {
      return this.#children
    }
    /**
     * Get the Path object referenced by the string path, resolved from this Path
     */
    resolve(path) {
      if (!path) {
        return this
      }
      const rootPath = this.getRootString(path)
      const dir = path.substring(rootPath.length)
      const dirParts = dir.split(this.splitSep)
      const result = rootPath
        ? this.getRoot(rootPath).#resolveParts(dirParts)
        : this.#resolveParts(dirParts)
      return result
    }
    #resolveParts(dirParts) {
      let p = this
      for (const part of dirParts) {
        p = p.child(part)
      }
      return p
    }
    /**
     * Returns the cached children Path objects, if still available.  If they
     * have fallen out of the cache, then returns an empty array, and resets the
     * READDIR_CALLED bit, so that future calls to readdir() will require an fs
     * lookup.
     *
     * @internal
     */
    children() {
      const cached = this.#children.get(this)
      if (cached) {
        return cached
      }
      const children = Object.assign([], {
        provisional: 0
      })
      this.#children.set(this, children)
      this.#type &= -17
      return children
    }
    /**
     * Resolves a path portion and returns or creates the child Path.
     *
     * Returns `this` if pathPart is `''` or `'.'`, or `parent` if pathPart is
     * `'..'`.
     *
     * This should not be called directly.  If `pathPart` contains any path
     * separators, it will lead to unsafe undefined behavior.
     *
     * Use `Path.resolve()` instead.
     *
     * @internal
     */
    child(pathPart, opts) {
      if (pathPart === '' || pathPart === '.') {
        return this
      }
      if (pathPart === '..') {
        return this.parent || this
      }
      // find the child
      const children = this.children()
      const name = this.nocase ? normalizeNocase(pathPart) : normalize(pathPart)
      for (const p of children) {
        if (p.#matchName === name) {
          return p
        }
      }
      // didn't find it, create provisional child, since it might not
      // actually exist.  If we know the parent isn't a dir, then
      // in fact it CAN'T exist.
      const s = this.parent ? this.sep : ''
      const fullpath = this.#fullpath
        ? this.#fullpath + s + pathPart
        : undefined
      const pchild = this.newChild(pathPart, UNKNOWN, {
        ...opts,
        parent: this,
        fullpath
      })
      if (!this.canReaddir()) {
        pchild.#type |= ENOENT
      }
      // don't have to update provisional, because if we have real children,
      // then provisional is set to children.length, otherwise a lower number
      children.push(pchild)
      return pchild
    }
    /**
     * The relative path from the cwd. If it does not share an ancestor with
     * the cwd, then this ends up being equivalent to the fullpath()
     */
    relative() {
      if (this.isCWD) {
        return ''
      }
      if (this.#relative !== undefined) {
        return this.#relative
      }
      const name = this.name
      const p = this.parent
      if (!p) {
        return (this.#relative = this.name)
      }
      const pv = p.relative()
      return pv + (!pv || !p.parent ? '' : this.sep) + name
    }
    /**
     * The relative path from the cwd, using / as the path separator.
     * If it does not share an ancestor with
     * the cwd, then this ends up being equivalent to the fullpathPosix()
     * On posix systems, this is identical to relative().
     */
    relativePosix() {
      if (this.sep === '/') {
        return this.relative()
      }
      if (this.isCWD) {
        return ''
      }
      if (this.#relativePosix !== undefined) {
        return this.#relativePosix
      }
      const name = this.name
      const p = this.parent
      if (!p) {
        return (this.#relativePosix = this.fullpathPosix())
      }
      const pv = p.relativePosix()
      return pv + (!pv || !p.parent ? '' : '/') + name
    }
    /**
     * The fully resolved path string for this Path entry
     */
    fullpath() {
      if (this.#fullpath !== undefined) {
        return this.#fullpath
      }
      const name = this.name
      const p = this.parent
      if (!p) {
        return (this.#fullpath = this.name)
      }
      const pv = p.fullpath()
      const fp = pv + (!p.parent ? '' : this.sep) + name
      return (this.#fullpath = fp)
    }
    /**
     * On platforms other than windows, this is identical to fullpath.
     *
     * On windows, this is overridden to return the forward-slash form of the
     * full UNC path.
     */
    fullpathPosix() {
      if (this.#fullpathPosix !== undefined) {
        return this.#fullpathPosix
      }
      if (this.sep === '/') {
        return (this.#fullpathPosix = this.fullpath())
      }
      if (!this.parent) {
        const p = this.fullpath().replace(/\\/g, '/')
        if (/^[a-z]:\//i.test(p)) {
          return (this.#fullpathPosix = `//?/${p}`)
        } else {
          return (this.#fullpathPosix = p)
        }
      }
      const p = this.parent
      const pfpp = p.fullpathPosix()
      const fpp = pfpp + (!pfpp || !p.parent ? '' : '/') + this.name
      return (this.#fullpathPosix = fpp)
    }
    /**
     * Is the Path of an unknown type?
     *
     * Note that we might know *something* about it if there has been a previous
     * filesystem operation, for example that it does not exist, or is not a
     * link, or whether it has child entries.
     */
    isUnknown() {
      return (this.#type & IFMT) === UNKNOWN
    }
    isType(type) {
      return this[`is${type}`]()
    }
    getType() {
      return this.isUnknown()
        ? 'Unknown'
        : this.isDirectory()
          ? 'Directory'
          : this.isFile()
            ? 'File'
            : this.isSymbolicLink()
              ? 'SymbolicLink'
              : this.isFIFO()
                ? 'FIFO'
                : this.isCharacterDevice()
                  ? 'CharacterDevice'
                  : this.isBlockDevice()
                    ? 'BlockDevice'
                    : /* c8 ignore start */ this.isSocket()
                      ? 'Socket'
                      : 'Unknown'
      /* c8 ignore stop */
    }
    /**
     * Is the Path a regular file?
     */
    isFile() {
      return (this.#type & IFMT) === IFREG
    }
    /**
     * Is the Path a directory?
     */
    isDirectory() {
      return (this.#type & IFMT) === IFDIR
    }
    /**
     * Is the path a character device?
     */
    isCharacterDevice() {
      return (this.#type & IFMT) === IFCHR
    }
    /**
     * Is the path a block device?
     */
    isBlockDevice() {
      return (this.#type & IFMT) === IFBLK
    }
    /**
     * Is the path a FIFO pipe?
     */
    isFIFO() {
      return (this.#type & IFMT) === IFIFO
    }
    /**
     * Is the path a socket?
     */
    isSocket() {
      return (this.#type & IFMT) === IFSOCK
    }
    /**
     * Is the path a symbolic link?
     */
    isSymbolicLink() {
      return (this.#type & IFLNK) === IFLNK
    }
    /**
     * Return the entry if it has been subject of a successful lstat, or
     * undefined otherwise.
     *
     * Does not read the filesystem, so an undefined result *could* simply
     * mean that we haven't called lstat on it.
     */
    lstatCached() {
      return this.#type & LSTAT_CALLED ? this : undefined
    }
    /**
     * Return the cached link target if the entry has been the subject of a
     * successful readlink, or undefined otherwise.
     *
     * Does not read the filesystem, so an undefined result *could* just mean we
     * don't have any cached data. Only use it if you are very sure that a
     * readlink() has been called at some point.
     */
    readlinkCached() {
      return this.#linkTarget
    }
    /**
     * Returns the cached realpath target if the entry has been the subject
     * of a successful realpath, or undefined otherwise.
     *
     * Does not read the filesystem, so an undefined result *could* just mean we
     * don't have any cached data. Only use it if you are very sure that a
     * realpath() has been called at some point.
     */
    realpathCached() {
      return this.#realpath
    }
    /**
     * Returns the cached child Path entries array if the entry has been the
     * subject of a successful readdir(), or [] otherwise.
     *
     * Does not read the filesystem, so an empty array *could* just mean we
     * don't have any cached data. Only use it if you are very sure that a
     * readdir() has been called recently enough to still be valid.
     */
    readdirCached() {
      const children = this.children()
      return children.slice(0, children.provisional)
    }
    /**
     * Return true if it's worth trying to readlink.  Ie, we don't (yet) have
     * any indication that readlink will definitely fail.
     *
     * Returns false if the path is known to not be a symlink, if a previous
     * readlink failed, or if the entry does not exist.
     */
    canReadlink() {
      if (this.#linkTarget) {
        return true
      }
      if (!this.parent) {
        return false
      }
      // cases where it cannot possibly succeed
      const ifmt = this.#type & IFMT
      return !(
        (ifmt !== UNKNOWN && ifmt !== IFLNK) ||
        this.#type & ENOREADLINK ||
        this.#type & ENOENT
      )
    }
    /**
     * Return true if readdir has previously been successfully called on this
     * path, indicating that cachedReaddir() is likely valid.
     */
    calledReaddir() {
      return !!(this.#type & READDIR_CALLED)
    }
    /**
     * Returns true if the path is known to not exist. That is, a previous lstat
     * or readdir failed to verify its existence when that would have been
     * expected, or a parent entry was marked either enoent or enotdir.
     */
    isENOENT() {
      return !!(this.#type & ENOENT)
    }
    /**
     * Return true if the path is a match for the given path name.  This handles
     * case sensitivity and unicode normalization.
     *
     * Note: even on case-sensitive systems, it is **not** safe to test the
     * equality of the `.name` property to determine whether a given pathname
     * matches, due to unicode normalization mismatches.
     *
     * Always use this method instead of testing the `path.name` property
     * directly.
     */
    isNamed(n) {
      return !this.nocase
        ? this.#matchName === normalize(n)
        : this.#matchName === normalizeNocase(n)
    }
    /**
     * Return the Path object corresponding to the target of a symbolic link.
     *
     * If the Path is not a symbolic link, or if the readlink call fails for any
     * reason, `undefined` is returned.
     *
     * Result is cached, and thus may be outdated if the filesystem is mutated.
     */
    async readlink() {
      const target = this.#linkTarget
      if (target) {
        return target
      }
      if (!this.canReadlink()) {
        return undefined
      }
      /* c8 ignore start */
      // already covered by the canReadlink test, here for ts grumples
      if (!this.parent) {
        return undefined
      }
      /* c8 ignore stop */
      try {
        const read = await this.#fs.promises.readlink(this.fullpath())
        const linkTarget = (await this.parent.realpath())?.resolve(read)
        if (linkTarget) {
          return (this.#linkTarget = linkTarget)
        }
      } catch (er) {
        this.#readlinkFail(er.code)
        return undefined
      }
    }
    /**
     * Synchronous {@link PathBase.readlink}
     */
    readlinkSync() {
      const target = this.#linkTarget
      if (target) {
        return target
      }
      if (!this.canReadlink()) {
        return undefined
      }
      /* c8 ignore start */
      // already covered by the canReadlink test, here for ts grumples
      if (!this.parent) {
        return undefined
      }
      /* c8 ignore stop */
      try {
        const read = this.#fs.readlinkSync(this.fullpath())
        const linkTarget = this.parent.realpathSync()?.resolve(read)
        if (linkTarget) {
          return (this.#linkTarget = linkTarget)
        }
      } catch (er) {
        this.#readlinkFail(er.code)
        return undefined
      }
    }
    #readdirSuccess(children) {
      // succeeded, mark readdir called bit
      this.#type |= READDIR_CALLED
      // mark all remaining provisional children as ENOENT
      for (let p = children.provisional; p < children.length; p++) {
        const c = children[p]
        if (c) {
          c.#markENOENT()
        }
      }
    }
    #markENOENT() {
      // mark as UNKNOWN and ENOENT
      if (this.#type & ENOENT) {
        return
      }
      this.#type = (this.#type | ENOENT) & IFMT_UNKNOWN
      this.#markChildrenENOENT()
    }
    #markChildrenENOENT() {
      // all children are provisional and do not exist
      const children = this.children()
      children.provisional = 0
      for (const p of children) {
        p.#markENOENT()
      }
    }
    #markENOREALPATH() {
      this.#type |= ENOREALPATH
      this.#markENOTDIR()
    }
    // save the information when we know the entry is not a dir
    #markENOTDIR() {
      // entry is not a directory, so any children can't exist.
      // this *should* be impossible, since any children created
      // after it's been marked ENOTDIR should be marked ENOENT,
      // so it won't even get to this point.
      /* c8 ignore start */
      if (this.#type & ENOTDIR) {
        return
      }
      /* c8 ignore stop */
      let t = this.#type
      // this could happen if we stat a dir, then delete it,
      // then try to read it or one of its children.
      if ((t & IFMT) === IFDIR) {
        t &= IFMT_UNKNOWN
      }
      this.#type = t | ENOTDIR
      this.#markChildrenENOENT()
    }
    #readdirFail(code = '') {
      // markENOTDIR and markENOENT also set provisional=0
      if (code === 'ENOTDIR' || code === 'EPERM') {
        this.#markENOTDIR()
      } else if (code === 'ENOENT') {
        this.#markENOENT()
      } else {
        this.children().provisional = 0
      }
    }
    #lstatFail(code = '') {
      // Windows just raises ENOENT in this case, disable for win CI
      /* c8 ignore start */
      if (code === 'ENOTDIR') {
        // already know it has a parent by this point
        const p = this.parent
        p.#markENOTDIR()
      } else if (code === 'ENOENT') {
        /* c8 ignore stop */
        this.#markENOENT()
      }
    }
    #readlinkFail(code = '') {
      let ter = this.#type
      ter |= ENOREADLINK
      if (code === 'ENOENT') {
        ter |= ENOENT
      }
      // windows gets a weird error when you try to readlink a file
      if (code === 'EINVAL' || code === 'UNKNOWN') {
        // exists, but not a symlink, we don't know WHAT it is, so remove
        // all IFMT bits.
        ter &= IFMT_UNKNOWN
      }
      this.#type = ter
      // windows just gets ENOENT in this case.  We do cover the case,
      // just disabled because it's impossible on Windows CI
      /* c8 ignore start */
      if (code === 'ENOTDIR' && this.parent) {
        this.parent.#markENOTDIR()
      }
      /* c8 ignore stop */
    }
    #readdirAddChild(e, c) {
      return (
        this.#readdirMaybePromoteChild(e, c) || this.#readdirAddNewChild(e, c)
      )
    }
    #readdirAddNewChild(e, c) {
      // alloc new entry at head, so it's never provisional
      const type = entToType(e)
      const child = this.newChild(e.name, type, {
        parent: this
      })
      const ifmt = child.#type & IFMT
      if (ifmt !== IFDIR && ifmt !== IFLNK && ifmt !== UNKNOWN) {
        child.#type |= ENOTDIR
      }
      c.unshift(child)
      c.provisional++
      return child
    }
    #readdirMaybePromoteChild(e, c) {
      for (let p = c.provisional; p < c.length; p++) {
        const pchild = c[p]
        const name = this.nocase ? normalizeNocase(e.name) : normalize(e.name)
        if (name !== pchild.#matchName) {
          continue
        }
        return this.#readdirPromoteChild(e, pchild, p, c)
      }
    }
    #readdirPromoteChild(e, p, index, c) {
      const v = p.name
      // retain any other flags, but set ifmt from dirent
      p.#type = (p.#type & IFMT_UNKNOWN) | entToType(e)
      // case sensitivity fixing when we learn the true name.
      if (v !== e.name) {
        p.name = e.name
      }
      // just advance provisional index (potentially off the list),
      // otherwise we have to splice/pop it out and re-insert at head
      if (index !== c.provisional) {
        if (index === c.length - 1) {
          c.pop()
        } else {
          c.splice(index, 1)
        }
        c.unshift(p)
      }
      c.provisional++
      return p
    }
    /**
     * Call lstat() on this Path, and update all known information that can be
     * determined.
     *
     * Note that unlike `fs.lstat()`, the returned value does not contain some
     * information, such as `mode`, `dev`, `nlink`, and `ino`.  If that
     * information is required, you will need to call `fs.lstat` yourself.
     *
     * If the Path refers to a nonexistent file, or if the lstat call fails for
     * any reason, `undefined` is returned.  Otherwise the updated Path object is
     * returned.
     *
     * Results are cached, and thus may be out of date if the filesystem is
     * mutated.
     */
    async lstat() {
      if ((this.#type & ENOENT) === 0) {
        try {
          this.#applyStat(await this.#fs.promises.lstat(this.fullpath()))
          return this
        } catch (er) {
          this.#lstatFail(er.code)
        }
      }
    }
    /**
     * synchronous {@link PathBase.lstat}
     */
    lstatSync() {
      if ((this.#type & ENOENT) === 0) {
        try {
          this.#applyStat(this.#fs.lstatSync(this.fullpath()))
          return this
        } catch (er) {
          this.#lstatFail(er.code)
        }
      }
    }
    #applyStat(st) {
      const {
        atime,
        atimeMs,
        birthtime,
        birthtimeMs,
        blksize,
        blocks,
        ctime,
        ctimeMs,
        dev,
        gid,
        ino,
        mode,
        mtime,
        mtimeMs,
        nlink,
        rdev,
        size,
        uid
      } = st
      this.#atime = atime
      this.#atimeMs = atimeMs
      this.#birthtime = birthtime
      this.#birthtimeMs = birthtimeMs
      this.#blksize = blksize
      this.#blocks = blocks
      this.#ctime = ctime
      this.#ctimeMs = ctimeMs
      this.#dev = dev
      this.#gid = gid
      this.#ino = ino
      this.#mode = mode
      this.#mtime = mtime
      this.#mtimeMs = mtimeMs
      this.#nlink = nlink
      this.#rdev = rdev
      this.#size = size
      this.#uid = uid
      const ifmt = entToType(st)
      // retain any other flags, but set the ifmt
      this.#type = (this.#type & IFMT_UNKNOWN) | ifmt | LSTAT_CALLED
      if (ifmt !== UNKNOWN && ifmt !== IFDIR && ifmt !== IFLNK) {
        this.#type |= ENOTDIR
      }
    }
    #onReaddirCB = []
    #readdirCBInFlight = false
    #callOnReaddirCB(children) {
      this.#readdirCBInFlight = false
      const cbs = this.#onReaddirCB.slice()
      this.#onReaddirCB.length = 0
      cbs.forEach(cb => cb(null, children))
    }
    /**
     * Standard node-style callback interface to get list of directory entries.
     *
     * If the Path cannot or does not contain any children, then an empty array
     * is returned.
     *
     * Results are cached, and thus may be out of date if the filesystem is
     * mutated.
     *
     * @param cb The callback called with (er, entries).  Note that the `er`
     * param is somewhat extraneous, as all readdir() errors are handled and
     * simply result in an empty set of entries being returned.
     * @param allowZalgo Boolean indicating that immediately known results should
     * *not* be deferred with `queueMicrotask`. Defaults to `false`. Release
     * zalgo at your peril, the dark pony lord is devious and unforgiving.
     */
    readdirCB(cb, allowZalgo = false) {
      if (!this.canReaddir()) {
        if (allowZalgo) {
          cb(null, [])
        } else {
          queueMicrotask(() => cb(null, []))
        }
        return
      }
      const children = this.children()
      if (this.calledReaddir()) {
        const c = children.slice(0, children.provisional)
        if (allowZalgo) {
          cb(null, c)
        } else {
          queueMicrotask(() => cb(null, c))
        }
        return
      }
      // don't have to worry about zalgo at this point.
      this.#onReaddirCB.push(cb)
      if (this.#readdirCBInFlight) {
        return
      }
      this.#readdirCBInFlight = true
      // else read the directory, fill up children
      // de-provisionalize any provisional children.
      const fullpath = this.fullpath()
      this.#fs.readdir(
        fullpath,
        {
          withFileTypes: true
        },
        (er, entries) => {
          if (er) {
            this.#readdirFail(er.code)
            children.provisional = 0
          } else {
            // if we didn't get an error, we always get entries.
            //@ts-ignore
            for (const e of entries) {
              this.#readdirAddChild(e, children)
            }
            this.#readdirSuccess(children)
          }
          this.#callOnReaddirCB(children.slice(0, children.provisional))
          return
        }
      )
    }
    #asyncReaddirInFlight
    /**
     * Return an array of known child entries.
     *
     * If the Path cannot or does not contain any children, then an empty array
     * is returned.
     *
     * Results are cached, and thus may be out of date if the filesystem is
     * mutated.
     */
    async readdir() {
      if (!this.canReaddir()) {
        return []
      }
      const children = this.children()
      if (this.calledReaddir()) {
        return children.slice(0, children.provisional)
      }
      // else read the directory, fill up children
      // de-provisionalize any provisional children.
      const fullpath = this.fullpath()
      if (this.#asyncReaddirInFlight) {
        await this.#asyncReaddirInFlight
      } else {
        /* c8 ignore start */
        let resolve = () => {}
        /* c8 ignore stop */
        this.#asyncReaddirInFlight = new Promise(res => (resolve = res))
        try {
          for (const e of await this.#fs.promises.readdir(fullpath, {
            withFileTypes: true
          })) {
            this.#readdirAddChild(e, children)
          }
          this.#readdirSuccess(children)
        } catch (er) {
          this.#readdirFail(er.code)
          children.provisional = 0
        }
        this.#asyncReaddirInFlight = undefined
        resolve()
      }
      return children.slice(0, children.provisional)
    }
    /**
     * synchronous {@link PathBase.readdir}
     */
    readdirSync() {
      if (!this.canReaddir()) {
        return []
      }
      const children = this.children()
      if (this.calledReaddir()) {
        return children.slice(0, children.provisional)
      }
      // else read the directory, fill up children
      // de-provisionalize any provisional children.
      const fullpath = this.fullpath()
      try {
        for (const e of this.#fs.readdirSync(fullpath, {
          withFileTypes: true
        })) {
          this.#readdirAddChild(e, children)
        }
        this.#readdirSuccess(children)
      } catch (er) {
        this.#readdirFail(er.code)
        children.provisional = 0
      }
      return children.slice(0, children.provisional)
    }
    canReaddir() {
      if (this.#type & ENOCHILD) {
        return false
      }
      const ifmt = IFMT & this.#type
      // we always set ENOTDIR when setting IFMT, so should be impossible
      /* c8 ignore start */
      if (!(ifmt === UNKNOWN || ifmt === IFDIR || ifmt === IFLNK)) {
        return false
      }
      /* c8 ignore stop */
      return true
    }
    shouldWalk(dirs, walkFilter) {
      return (
        (this.#type & IFDIR) === IFDIR &&
        !(this.#type & ENOCHILD) &&
        !dirs.has(this) &&
        (!walkFilter || walkFilter(this))
      )
    }
    /**
     * Return the Path object corresponding to path as resolved
     * by realpath(3).
     *
     * If the realpath call fails for any reason, `undefined` is returned.
     *
     * Result is cached, and thus may be outdated if the filesystem is mutated.
     * On success, returns a Path object.
     */
    async realpath() {
      if (this.#realpath) {
        return this.#realpath
      }
      if ((ENOREALPATH | ENOREADLINK | ENOENT) & this.#type) {
        return undefined
      }
      try {
        const rp = await this.#fs.promises.realpath(this.fullpath())
        return (this.#realpath = this.resolve(rp))
      } catch (_) {
        this.#markENOREALPATH()
      }
    }
    /**
     * Synchronous {@link realpath}
     */
    realpathSync() {
      if (this.#realpath) {
        return this.#realpath
      }
      if ((ENOREALPATH | ENOREADLINK | ENOENT) & this.#type) {
        return undefined
      }
      try {
        const rp = this.#fs.realpathSync(this.fullpath())
        return (this.#realpath = this.resolve(rp))
      } catch (_) {
        this.#markENOREALPATH()
      }
    }
    /**
     * Internal method to mark this Path object as the scurry cwd,
     * called by {@link PathScurry#chdir}
     *
     * @internal
     */
    [setAsCwd](oldCwd) {
      if (oldCwd === this) {
        return
      }
      oldCwd.isCWD = false
      this.isCWD = true
      const changed = new Set([])
      let rp = []
      let p = this
      while (p && p.parent) {
        changed.add(p)
        p.#relative = rp.join(this.sep)
        p.#relativePosix = rp.join('/')
        p = p.parent
        rp.push('..')
      }
      // now un-memoize parents of old cwd
      p = oldCwd
      while (p && p.parent && !changed.has(p)) {
        p.#relative = undefined
        p.#relativePosix = undefined
        p = p.parent
      }
    }
  }
  commonjs.PathBase = PathBase
  /**
   * Path class used on win32 systems
   *
   * Uses `'\\'` as the path separator for returned paths, either `'\\'` or `'/'`
   * as the path separator for parsing paths.
   */
  class PathWin32 extends PathBase {
    /**
     * Separator for generating path strings.
     */
    sep = '\\'
    /**
     * Separator for parsing path strings.
     */
    splitSep = eitherSep
    /**
     * Do not create new Path objects directly.  They should always be accessed
     * via the PathScurry class or other methods on the Path class.
     *
     * @internal
     */
    constructor(name, type = UNKNOWN, root, roots, nocase, children, opts) {
      super(name, type, root, roots, nocase, children, opts)
    }
    /**
     * @internal
     */
    newChild(name, type = UNKNOWN, opts = {}) {
      return new PathWin32(
        name,
        type,
        this.root,
        this.roots,
        this.nocase,
        this.childrenCache(),
        opts
      )
    }
    /**
     * @internal
     */
    getRootString(path) {
      return node_path_1.win32.parse(path).root
    }
    /**
     * @internal
     */
    getRoot(rootPath) {
      rootPath = uncToDrive(rootPath.toUpperCase())
      if (rootPath === this.root.name) {
        return this.root
      }
      // ok, not that one, check if it matches another we know about
      for (const [compare, root] of Object.entries(this.roots)) {
        if (this.sameRoot(rootPath, compare)) {
          return (this.roots[rootPath] = root)
        }
      }
      // otherwise, have to create a new one.
      return (this.roots[rootPath] = new PathScurryWin32(rootPath, this).root)
    }
    /**
     * @internal
     */
    sameRoot(rootPath, compare = this.root.name) {
      // windows can (rarely) have case-sensitive filesystem, but
      // UNC and drive letters are always case-insensitive, and canonically
      // represented uppercase.
      rootPath = rootPath
        .toUpperCase()
        .replace(/\//g, '\\')
        .replace(uncDriveRegexp, '$1\\')
      return rootPath === compare
    }
  }
  commonjs.PathWin32 = PathWin32
  /**
   * Path class used on all posix systems.
   *
   * Uses `'/'` as the path separator.
   */
  class PathPosix extends PathBase {
    /**
     * separator for parsing path strings
     */
    splitSep = '/'
    /**
     * separator for generating path strings
     */
    sep = '/'
    /**
     * Do not create new Path objects directly.  They should always be accessed
     * via the PathScurry class or other methods on the Path class.
     *
     * @internal
     */
    constructor(name, type = UNKNOWN, root, roots, nocase, children, opts) {
      super(name, type, root, roots, nocase, children, opts)
    }
    /**
     * @internal
     */
    getRootString(path) {
      return path.startsWith('/') ? '/' : ''
    }
    /**
     * @internal
     */
    getRoot(_rootPath) {
      return this.root
    }
    /**
     * @internal
     */
    newChild(name, type = UNKNOWN, opts = {}) {
      return new PathPosix(
        name,
        type,
        this.root,
        this.roots,
        this.nocase,
        this.childrenCache(),
        opts
      )
    }
  }
  commonjs.PathPosix = PathPosix
  /**
   * The base class for all PathScurry classes, providing the interface for path
   * resolution and filesystem operations.
   *
   * Typically, you should *not* instantiate this class directly, but rather one
   * of the platform-specific classes, or the exported {@link PathScurry} which
   * defaults to the current platform.
   */
  class PathScurryBase {
    /**
     * The root Path entry for the current working directory of this Scurry
     */
    root
    /**
     * The string path for the root of this Scurry's current working directory
     */
    rootPath
    /**
     * A collection of all roots encountered, referenced by rootPath
     */
    roots
    /**
     * The Path entry corresponding to this PathScurry's current working directory.
     */
    cwd
    #resolveCache
    #resolvePosixCache
    #children
    /**
     * Perform path comparisons case-insensitively.
     *
     * Defaults true on Darwin and Windows systems, false elsewhere.
     */
    nocase
    #fs
    /**
     * This class should not be instantiated directly.
     *
     * Use PathScurryWin32, PathScurryDarwin, PathScurryPosix, or PathScurry
     *
     * @internal
     */
    constructor(
      cwd = process.cwd(),
      pathImpl,
      sep,
      { nocase, childrenCacheSize = 16 * 1024, fs = defaultFS } = {}
    ) {
      this.#fs = fsFromOption(fs)
      if (cwd instanceof URL || cwd.startsWith('file://')) {
        cwd = (0, node_url_1.fileURLToPath)(cwd)
      }
      // resolve and split root, and then add to the store.
      // this is the only time we call path.resolve()
      const cwdPath = pathImpl.resolve(cwd)
      this.roots = Object.create(null)
      this.rootPath = this.parseRootPath(cwdPath)
      this.#resolveCache = new ResolveCache()
      this.#resolvePosixCache = new ResolveCache()
      this.#children = new ChildrenCache(childrenCacheSize)
      const split = cwdPath.substring(this.rootPath.length).split(sep)
      // resolve('/') leaves '', splits to [''], we don't want that.
      if (split.length === 1 && !split[0]) {
        split.pop()
      }
      /* c8 ignore start */
      if (nocase === undefined) {
        throw new TypeError(
          'must provide nocase setting to PathScurryBase ctor'
        )
      }
      /* c8 ignore stop */
      this.nocase = nocase
      this.root = this.newRoot(this.#fs)
      this.roots[this.rootPath] = this.root
      let prev = this.root
      let len = split.length - 1
      const joinSep = pathImpl.sep
      let abs = this.rootPath
      let sawFirst = false
      for (const part of split) {
        const l = len--
        prev = prev.child(part, {
          relative: new Array(l).fill('..').join(joinSep),
          relativePosix: new Array(l).fill('..').join('/'),
          fullpath: (abs += (sawFirst ? '' : joinSep) + part)
        })
        sawFirst = true
      }
      this.cwd = prev
    }
    /**
     * Get the depth of a provided path, string, or the cwd
     */
    depth(path = this.cwd) {
      if (typeof path === 'string') {
        path = this.cwd.resolve(path)
      }
      return path.depth()
    }
    /**
     * Return the cache of child entries.  Exposed so subclasses can create
     * child Path objects in a platform-specific way.
     *
     * @internal
     */
    childrenCache() {
      return this.#children
    }
    /**
     * Resolve one or more path strings to a resolved string
     *
     * Same interface as require('path').resolve.
     *
     * Much faster than path.resolve() when called multiple times for the same
     * path, because the resolved Path objects are cached.  Much slower
     * otherwise.
     */
    resolve(...paths) {
      // first figure out the minimum number of paths we have to test
      // we always start at cwd, but any absolutes will bump the start
      let r = ''
      for (let i = paths.length - 1; i >= 0; i--) {
        const p = paths[i]
        if (!p || p === '.') {
          continue
        }
        r = r ? `${p}/${r}` : p
        if (this.isAbsolute(p)) {
          break
        }
      }
      const cached = this.#resolveCache.get(r)
      if (cached !== undefined) {
        return cached
      }
      const result = this.cwd.resolve(r).fullpath()
      this.#resolveCache.set(r, result)
      return result
    }
    /**
     * Resolve one or more path strings to a resolved string, returning
     * the posix path.  Identical to .resolve() on posix systems, but on
     * windows will return a forward-slash separated UNC path.
     *
     * Same interface as require('path').resolve.
     *
     * Much faster than path.resolve() when called multiple times for the same
     * path, because the resolved Path objects are cached.  Much slower
     * otherwise.
     */
    resolvePosix(...paths) {
      // first figure out the minimum number of paths we have to test
      // we always start at cwd, but any absolutes will bump the start
      let r = ''
      for (let i = paths.length - 1; i >= 0; i--) {
        const p = paths[i]
        if (!p || p === '.') {
          continue
        }
        r = r ? `${p}/${r}` : p
        if (this.isAbsolute(p)) {
          break
        }
      }
      const cached = this.#resolvePosixCache.get(r)
      if (cached !== undefined) {
        return cached
      }
      const result = this.cwd.resolve(r).fullpathPosix()
      this.#resolvePosixCache.set(r, result)
      return result
    }
    /**
     * find the relative path from the cwd to the supplied path string or entry
     */
    relative(entry = this.cwd) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      }
      return entry.relative()
    }
    /**
     * find the relative path from the cwd to the supplied path string or
     * entry, using / as the path delimiter, even on Windows.
     */
    relativePosix(entry = this.cwd) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      }
      return entry.relativePosix()
    }
    /**
     * Return the basename for the provided string or Path object
     */
    basename(entry = this.cwd) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      }
      return entry.name
    }
    /**
     * Return the dirname for the provided string or Path object
     */
    dirname(entry = this.cwd) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      }
      return (entry.parent || entry).fullpath()
    }
    async readdir(
      entry = this.cwd,
      opts = {
        withFileTypes: true
      }
    ) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        opts = entry
        entry = this.cwd
      }
      const { withFileTypes } = opts
      if (!entry.canReaddir()) {
        return []
      } else {
        const p = await entry.readdir()
        return withFileTypes ? p : p.map(e => e.name)
      }
    }
    readdirSync(
      entry = this.cwd,
      opts = {
        withFileTypes: true
      }
    ) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        opts = entry
        entry = this.cwd
      }
      const { withFileTypes = true } = opts
      if (!entry.canReaddir()) {
        return []
      } else if (withFileTypes) {
        return entry.readdirSync()
      } else {
        return entry.readdirSync().map(e => e.name)
      }
    }
    /**
     * Call lstat() on the string or Path object, and update all known
     * information that can be determined.
     *
     * Note that unlike `fs.lstat()`, the returned value does not contain some
     * information, such as `mode`, `dev`, `nlink`, and `ino`.  If that
     * information is required, you will need to call `fs.lstat` yourself.
     *
     * If the Path refers to a nonexistent file, or if the lstat call fails for
     * any reason, `undefined` is returned.  Otherwise the updated Path object is
     * returned.
     *
     * Results are cached, and thus may be out of date if the filesystem is
     * mutated.
     */
    async lstat(entry = this.cwd) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      }
      return entry.lstat()
    }
    /**
     * synchronous {@link PathScurryBase.lstat}
     */
    lstatSync(entry = this.cwd) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      }
      return entry.lstatSync()
    }
    async readlink(
      entry = this.cwd,
      { withFileTypes } = {
        withFileTypes: false
      }
    ) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        withFileTypes = entry.withFileTypes
        entry = this.cwd
      }
      const e = await entry.readlink()
      return withFileTypes ? e : e?.fullpath()
    }
    readlinkSync(
      entry = this.cwd,
      { withFileTypes } = {
        withFileTypes: false
      }
    ) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        withFileTypes = entry.withFileTypes
        entry = this.cwd
      }
      const e = entry.readlinkSync()
      return withFileTypes ? e : e?.fullpath()
    }
    async realpath(
      entry = this.cwd,
      { withFileTypes } = {
        withFileTypes: false
      }
    ) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        withFileTypes = entry.withFileTypes
        entry = this.cwd
      }
      const e = await entry.realpath()
      return withFileTypes ? e : e?.fullpath()
    }
    realpathSync(
      entry = this.cwd,
      { withFileTypes } = {
        withFileTypes: false
      }
    ) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        withFileTypes = entry.withFileTypes
        entry = this.cwd
      }
      const e = entry.realpathSync()
      return withFileTypes ? e : e?.fullpath()
    }
    async walk(entry = this.cwd, opts = {}) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        opts = entry
        entry = this.cwd
      }
      const { withFileTypes = true, follow = false, filter, walkFilter } = opts
      const results = []
      if (!filter || filter(entry)) {
        results.push(withFileTypes ? entry : entry.fullpath())
      }
      const dirs = new Set()
      const walk = (dir, cb) => {
        dirs.add(dir)
        dir.readdirCB((er, entries) => {
          /* c8 ignore start */
          if (er) {
            return cb(er)
          }
          /* c8 ignore stop */
          let len = entries.length
          if (!len) {
            return cb()
          }
          const next = () => {
            if (--len === 0) {
              cb()
            }
          }
          for (const e of entries) {
            if (!filter || filter(e)) {
              results.push(withFileTypes ? e : e.fullpath())
            }
            if (follow && e.isSymbolicLink()) {
              e.realpath()
                .then(r => (r?.isUnknown() ? r.lstat() : r))
                .then(r =>
                  r?.shouldWalk(dirs, walkFilter) ? walk(r, next) : next()
                )
            } else {
              if (e.shouldWalk(dirs, walkFilter)) {
                walk(e, next)
              } else {
                next()
              }
            }
          }
        }, true) // zalgooooooo
      }
      const start = entry
      return new Promise((res, rej) => {
        walk(start, er => {
          /* c8 ignore start */
          if (er) {
            return rej(er)
          }
          /* c8 ignore stop */
          res(results)
        })
      })
    }
    walkSync(entry = this.cwd, opts = {}) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        opts = entry
        entry = this.cwd
      }
      const { withFileTypes = true, follow = false, filter, walkFilter } = opts
      const results = []
      if (!filter || filter(entry)) {
        results.push(withFileTypes ? entry : entry.fullpath())
      }
      const dirs = new Set([entry])
      for (const dir of dirs) {
        const entries = dir.readdirSync()
        for (const e of entries) {
          if (!filter || filter(e)) {
            results.push(withFileTypes ? e : e.fullpath())
          }
          let r = e
          if (e.isSymbolicLink()) {
            if (!(follow && (r = e.realpathSync()))) {
              continue
            }
            if (r.isUnknown()) {
              r.lstatSync()
            }
          }
          if (r.shouldWalk(dirs, walkFilter)) {
            dirs.add(r)
          }
        }
      }
      return results
    }
    /**
     * Support for `for await`
     *
     * Alias for {@link PathScurryBase.iterate}
     *
     * Note: As of Node 19, this is very slow, compared to other methods of
     * walking.  Consider using {@link PathScurryBase.stream} if memory overhead
     * and backpressure are concerns, or {@link PathScurryBase.walk} if not.
     */
    [Symbol.asyncIterator]() {
      return this.iterate()
    }
    iterate(entry = this.cwd, options = {}) {
      // iterating async over the stream is significantly more performant,
      // especially in the warm-cache scenario, because it buffers up directory
      // entries in the background instead of waiting for a yield for each one.
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        options = entry
        entry = this.cwd
      }
      return this.stream(entry, options)[Symbol.asyncIterator]()
    }
    /**
     * Iterating over a PathScurry performs a synchronous walk.
     *
     * Alias for {@link PathScurryBase.iterateSync}
     */
    [Symbol.iterator]() {
      return this.iterateSync()
    }
    *iterateSync(entry = this.cwd, opts = {}) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        opts = entry
        entry = this.cwd
      }
      const { withFileTypes = true, follow = false, filter, walkFilter } = opts
      if (!filter || filter(entry)) {
        yield withFileTypes ? entry : entry.fullpath()
      }
      const dirs = new Set([entry])
      for (const dir of dirs) {
        const entries = dir.readdirSync()
        for (const e of entries) {
          if (!filter || filter(e)) {
            yield withFileTypes ? e : e.fullpath()
          }
          let r = e
          if (e.isSymbolicLink()) {
            if (!(follow && (r = e.realpathSync()))) {
              continue
            }
            if (r.isUnknown()) {
              r.lstatSync()
            }
          }
          if (r.shouldWalk(dirs, walkFilter)) {
            dirs.add(r)
          }
        }
      }
    }
    stream(entry = this.cwd, opts = {}) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        opts = entry
        entry = this.cwd
      }
      const { withFileTypes = true, follow = false, filter, walkFilter } = opts
      const results = new minipass_1.Minipass({
        objectMode: true
      })
      if (!filter || filter(entry)) {
        results.write(withFileTypes ? entry : entry.fullpath())
      }
      const dirs = new Set()
      const queue = [entry]
      let processing = 0
      const process = () => {
        let paused = false
        while (!paused) {
          const dir = queue.shift()
          if (!dir) {
            if (processing === 0) {
              results.end()
            }
            return
          }
          processing++
          dirs.add(dir)
          const onReaddir = (er, entries, didRealpaths = false) => {
            /* c8 ignore start */
            if (er) {
              return results.emit('error', er)
            }
            /* c8 ignore stop */
            if (follow && !didRealpaths) {
              const promises = []
              for (const e of entries) {
                if (e.isSymbolicLink()) {
                  promises.push(
                    e.realpath().then(r => (r?.isUnknown() ? r.lstat() : r))
                  )
                }
              }
              if (promises.length) {
                Promise.all(promises).then(() => onReaddir(null, entries, true))
                return
              }
            }
            for (const e of entries) {
              if (e && (!filter || filter(e))) {
                if (!results.write(withFileTypes ? e : e.fullpath())) {
                  paused = true
                }
              }
            }
            processing--
            for (const e of entries) {
              const r = e.realpathCached() || e
              if (r.shouldWalk(dirs, walkFilter)) {
                queue.push(r)
              }
            }
            if (paused && !results.flowing) {
              results.once('drain', process)
            } else if (!sync) {
              process()
            }
          }
          // zalgo containment
          let sync = true
          dir.readdirCB(onReaddir, true)
          sync = false
        }
      }
      process()
      return results
    }
    streamSync(entry = this.cwd, opts = {}) {
      if (typeof entry === 'string') {
        entry = this.cwd.resolve(entry)
      } else if (!(entry instanceof PathBase)) {
        opts = entry
        entry = this.cwd
      }
      const { withFileTypes = true, follow = false, filter, walkFilter } = opts
      const results = new minipass_1.Minipass({
        objectMode: true
      })
      const dirs = new Set()
      if (!filter || filter(entry)) {
        results.write(withFileTypes ? entry : entry.fullpath())
      }
      const queue = [entry]
      let processing = 0
      const process = () => {
        let paused = false
        while (!paused) {
          const dir = queue.shift()
          if (!dir) {
            if (processing === 0) {
              results.end()
            }
            return
          }
          processing++
          dirs.add(dir)
          const entries = dir.readdirSync()
          for (const e of entries) {
            if (!filter || filter(e)) {
              if (!results.write(withFileTypes ? e : e.fullpath())) {
                paused = true
              }
            }
          }
          processing--
          for (const e of entries) {
            let r = e
            if (e.isSymbolicLink()) {
              if (!(follow && (r = e.realpathSync()))) {
                continue
              }
              if (r.isUnknown()) {
                r.lstatSync()
              }
            }
            if (r.shouldWalk(dirs, walkFilter)) {
              queue.push(r)
            }
          }
        }
        if (paused && !results.flowing) {
          results.once('drain', process)
        }
      }
      process()
      return results
    }
    chdir(path = this.cwd) {
      const oldCwd = this.cwd
      this.cwd = typeof path === 'string' ? this.cwd.resolve(path) : path
      this.cwd[setAsCwd](oldCwd)
    }
  }
  commonjs.PathScurryBase = PathScurryBase
  /**
   * Windows implementation of {@link PathScurryBase}
   *
   * Defaults to case insensitve, uses `'\\'` to generate path strings.  Uses
   * {@link PathWin32} for Path objects.
   */
  class PathScurryWin32 extends PathScurryBase {
    /**
     * separator for generating path strings
     */
    sep = '\\'
    constructor(cwd = process.cwd(), opts = {}) {
      const { nocase = true } = opts
      super(cwd, node_path_1.win32, '\\', {
        ...opts,
        nocase
      })
      this.nocase = nocase
      for (let p = this.cwd; p; p = p.parent) {
        p.nocase = this.nocase
      }
    }
    /**
     * @internal
     */
    parseRootPath(dir) {
      // if the path starts with a single separator, it's not a UNC, and we'll
      // just get separator as the root, and driveFromUNC will return \
      // In that case, mount \ on the root from the cwd.
      return node_path_1.win32.parse(dir).root.toUpperCase()
    }
    /**
     * @internal
     */
    newRoot(fs) {
      return new PathWin32(
        this.rootPath,
        IFDIR,
        undefined,
        this.roots,
        this.nocase,
        this.childrenCache(),
        {
          fs
        }
      )
    }
    /**
     * Return true if the provided path string is an absolute path
     */
    isAbsolute(p) {
      return (
        p.startsWith('/') || p.startsWith('\\') || /^[a-z]:(\/|\\)/i.test(p)
      )
    }
  }
  commonjs.PathScurryWin32 = PathScurryWin32
  /**
   * {@link PathScurryBase} implementation for all posix systems other than Darwin.
   *
   * Defaults to case-sensitive matching, uses `'/'` to generate path strings.
   *
   * Uses {@link PathPosix} for Path objects.
   */
  class PathScurryPosix extends PathScurryBase {
    /**
     * separator for generating path strings
     */
    sep = '/'
    constructor(cwd = process.cwd(), opts = {}) {
      const { nocase = false } = opts
      super(cwd, node_path_1.posix, '/', {
        ...opts,
        nocase
      })
      this.nocase = nocase
    }
    /**
     * @internal
     */
    parseRootPath(_dir) {
      return '/'
    }
    /**
     * @internal
     */
    newRoot(fs) {
      return new PathPosix(
        this.rootPath,
        IFDIR,
        undefined,
        this.roots,
        this.nocase,
        this.childrenCache(),
        {
          fs
        }
      )
    }
    /**
     * Return true if the provided path string is an absolute path
     */
    isAbsolute(p) {
      return p.startsWith('/')
    }
  }
  commonjs.PathScurryPosix = PathScurryPosix
  /**
   * {@link PathScurryBase} implementation for Darwin (macOS) systems.
   *
   * Defaults to case-insensitive matching, uses `'/'` for generating path
   * strings.
   *
   * Uses {@link PathPosix} for Path objects.
   */
  class PathScurryDarwin extends PathScurryPosix {
    constructor(cwd = process.cwd(), opts = {}) {
      const { nocase = true } = opts
      super(cwd, {
        ...opts,
        nocase
      })
    }
  }
  commonjs.PathScurryDarwin = PathScurryDarwin
  /**
   * Default {@link PathBase} implementation for the current platform.
   *
   * {@link PathWin32} on Windows systems, {@link PathPosix} on all others.
   */
  commonjs.Path = process.platform === 'win32' ? PathWin32 : PathPosix
  /**
   * Default {@link PathScurryBase} implementation for the current platform.
   *
   * {@link PathScurryWin32} on Windows systems, {@link PathScurryDarwin} on
   * Darwin (macOS) systems, {@link PathScurryPosix} on all others.
   */
  commonjs.PathScurry =
    process.platform === 'win32'
      ? PathScurryWin32
      : process.platform === 'darwin'
        ? PathScurryDarwin
        : PathScurryPosix
  return commonjs
}

const pattern = {}

let hasRequiredPattern
function requirePattern() {
  if (hasRequiredPattern) {
    return pattern
  }
  hasRequiredPattern = 1
  // this is just a very light wrapper around 2 arrays with an offset index
  Object.defineProperty(pattern, '__esModule', {
    value: true
  })
  pattern.Pattern = void 0
  const minimatch_1 = requireCommonjs$2()
  const isPatternList = pl => pl.length >= 1
  const isGlobList = gl => gl.length >= 1
  /**
   * An immutable-ish view on an array of glob parts and their parsed
   * results
   */
  class Pattern {
    #patternList
    #globList
    #index
    length
    #platform
    #rest
    #globString
    #isDrive
    #isUNC
    #isAbsolute
    #followGlobstar = true
    constructor(patternList, globList, index, platform) {
      if (!isPatternList(patternList)) {
        throw new TypeError('empty pattern list')
      }
      if (!isGlobList(globList)) {
        throw new TypeError('empty glob list')
      }
      if (globList.length !== patternList.length) {
        throw new TypeError('mismatched pattern list and glob list lengths')
      }
      this.length = patternList.length
      if (index < 0 || index >= this.length) {
        throw new TypeError('index out of range')
      }
      this.#patternList = patternList
      this.#globList = globList
      this.#index = index
      this.#platform = platform
      // normalize root entries of absolute patterns on initial creation.
      if (this.#index === 0) {
        // c: => ['c:/']
        // C:/ => ['C:/']
        // C:/x => ['C:/', 'x']
        // //host/share => ['//host/share/']
        // //host/share/ => ['//host/share/']
        // //host/share/x => ['//host/share/', 'x']
        // /etc => ['/', 'etc']
        // / => ['/']
        if (this.isUNC()) {
          // '' / '' / 'host' / 'share'
          const [p0, p1, p2, p3, ...prest] = this.#patternList
          const [g0, g1, g2, g3, ...grest] = this.#globList
          if (prest[0] === '') {
            // ends in /
            prest.shift()
            grest.shift()
          }
          const p = [p0, p1, p2, p3, ''].join('/')
          const g = [g0, g1, g2, g3, ''].join('/')
          this.#patternList = [p, ...prest]
          this.#globList = [g, ...grest]
          this.length = this.#patternList.length
        } else if (this.isDrive() || this.isAbsolute()) {
          const [p1, ...prest] = this.#patternList
          const [g1, ...grest] = this.#globList
          if (prest[0] === '') {
            // ends in /
            prest.shift()
            grest.shift()
          }
          const p = p1 + '/'
          const g = g1 + '/'
          this.#patternList = [p, ...prest]
          this.#globList = [g, ...grest]
          this.length = this.#patternList.length
        }
      }
    }
    /**
     * The first entry in the parsed list of patterns
     */
    pattern() {
      return this.#patternList[this.#index]
    }
    /**
     * true of if pattern() returns a string
     */
    isString() {
      return typeof this.#patternList[this.#index] === 'string'
    }
    /**
     * true of if pattern() returns GLOBSTAR
     */
    isGlobstar() {
      return this.#patternList[this.#index] === minimatch_1.GLOBSTAR
    }
    /**
     * true if pattern() returns a regexp
     */
    isRegExp() {
      return this.#patternList[this.#index] instanceof RegExp
    }
    /**
     * The /-joined set of glob parts that make up this pattern
     */
    globString() {
      return (this.#globString =
        this.#globString ||
        (this.#index === 0
          ? this.isAbsolute()
            ? this.#globList[0] + this.#globList.slice(1).join('/')
            : this.#globList.join('/')
          : this.#globList.slice(this.#index).join('/')))
    }
    /**
     * true if there are more pattern parts after this one
     */
    hasMore() {
      return this.length > this.#index + 1
    }
    /**
     * The rest of the pattern after this part, or null if this is the end
     */
    rest() {
      if (this.#rest !== undefined) {
        return this.#rest
      }
      if (!this.hasMore()) {
        return (this.#rest = null)
      }
      this.#rest = new Pattern(
        this.#patternList,
        this.#globList,
        this.#index + 1,
        this.#platform
      )
      this.#rest.#isAbsolute = this.#isAbsolute
      this.#rest.#isUNC = this.#isUNC
      this.#rest.#isDrive = this.#isDrive
      return this.#rest
    }
    /**
     * true if the pattern represents a //unc/path/ on windows
     */
    isUNC() {
      const pl = this.#patternList
      return this.#isUNC !== undefined
        ? this.#isUNC
        : (this.#isUNC =
            this.#platform === 'win32' &&
            this.#index === 0 &&
            pl[0] === '' &&
            pl[1] === '' &&
            typeof pl[2] === 'string' &&
            !!pl[2] &&
            typeof pl[3] === 'string' &&
            !!pl[3])
    }
    // pattern like C:/...
    // split = ['C:', ...]
    // XXX: would be nice to handle patterns like `c:*` to test the cwd
    // in c: for *, but I don't know of a way to even figure out what that
    // cwd is without actually chdir'ing into it?
    /**
     * True if the pattern starts with a drive letter on Windows
     */
    isDrive() {
      const pl = this.#patternList
      return this.#isDrive !== undefined
        ? this.#isDrive
        : (this.#isDrive =
            this.#platform === 'win32' &&
            this.#index === 0 &&
            this.length > 1 &&
            typeof pl[0] === 'string' &&
            /^[a-z]:$/i.test(pl[0]))
    }
    // pattern = '/' or '/...' or '/x/...'
    // split = ['', ''] or ['', ...] or ['', 'x', ...]
    // Drive and UNC both considered absolute on windows
    /**
     * True if the pattern is rooted on an absolute path
     */
    isAbsolute() {
      const pl = this.#patternList
      return this.#isAbsolute !== undefined
        ? this.#isAbsolute
        : (this.#isAbsolute =
            (pl[0] === '' && pl.length > 1) || this.isDrive() || this.isUNC())
    }
    /**
     * consume the root of the pattern, and return it
     */
    root() {
      const p = this.#patternList[0]
      return typeof p === 'string' && this.isAbsolute() && this.#index === 0
        ? p
        : ''
    }
    /**
     * Check to see if the current globstar pattern is allowed to follow
     * a symbolic link.
     */
    checkFollowGlobstar() {
      return !(this.#index === 0 || !this.isGlobstar() || !this.#followGlobstar)
    }
    /**
     * Mark that the current globstar pattern is following a symbolic link
     */
    markFollowGlobstar() {
      if (this.#index === 0 || !this.isGlobstar() || !this.#followGlobstar) {
        return false
      }
      this.#followGlobstar = false
      return true
    }
  }
  pattern.Pattern = Pattern
  return pattern
}

const walker = {}

const ignore = {}

let hasRequiredIgnore
function requireIgnore() {
  if (hasRequiredIgnore) {
    return ignore
  }
  hasRequiredIgnore = 1
  // give it a pattern, and it'll be able to tell you if
  // a given path should be ignored.
  // Ignoring a path ignores its children if the pattern ends in /**
  // Ignores are always parsed in dot:true mode
  Object.defineProperty(ignore, '__esModule', {
    value: true
  })
  ignore.Ignore = void 0
  const minimatch_1 = requireCommonjs$2()
  const pattern_js_1 = requirePattern()
  const defaultPlatform =
    typeof process === 'object' &&
    process &&
    typeof process.platform === 'string'
      ? process.platform
      : 'linux'
  /**
   * Class used to process ignored patterns
   */
  class Ignore {
    relative
    relativeChildren
    absolute
    absoluteChildren
    platform
    mmopts
    constructor(
      ignored,
      { nobrace, nocase, noext, noglobstar, platform = defaultPlatform }
    ) {
      this.relative = []
      this.absolute = []
      this.relativeChildren = []
      this.absoluteChildren = []
      this.platform = platform
      this.mmopts = {
        dot: true,
        nobrace,
        nocase,
        noext,
        noglobstar,
        optimizationLevel: 2,
        platform,
        nocomment: true,
        nonegate: true
      }
      for (const ign of ignored) {
        this.add(ign)
      }
    }
    add(ign) {
      // this is a little weird, but it gives us a clean set of optimized
      // minimatch matchers, without getting tripped up if one of them
      // ends in /** inside a brace section, and it's only inefficient at
      // the start of the walk, not along it.
      // It'd be nice if the Pattern class just had a .test() method, but
      // handling globstars is a bit of a pita, and that code already lives
      // in minimatch anyway.
      // Another way would be if maybe Minimatch could take its set/globParts
      // as an option, and then we could at least just use Pattern to test
      // for absolute-ness.
      // Yet another way, Minimatch could take an array of glob strings, and
      // a cwd option, and do the right thing.
      const mm = new minimatch_1.Minimatch(ign, this.mmopts)
      for (let i = 0; i < mm.set.length; i++) {
        const parsed = mm.set[i]
        const globParts = mm.globParts[i]
        /* c8 ignore start */
        if (!parsed || !globParts) {
          throw new Error('invalid pattern object')
        }
        // strip off leading ./ portions
        // https://github.com/isaacs/node-glob/issues/570
        while (parsed[0] === '.' && globParts[0] === '.') {
          parsed.shift()
          globParts.shift()
        }
        /* c8 ignore stop */
        const p = new pattern_js_1.Pattern(parsed, globParts, 0, this.platform)
        const m = new minimatch_1.Minimatch(p.globString(), this.mmopts)
        const children = globParts[globParts.length - 1] === '**'
        const absolute = p.isAbsolute()
        if (absolute) {
          this.absolute.push(m)
        } else {
          this.relative.push(m)
        }
        if (children) {
          if (absolute) {
            this.absoluteChildren.push(m)
          } else {
            this.relativeChildren.push(m)
          }
        }
      }
    }
    ignored(p) {
      const fullpath = p.fullpath()
      const fullpaths = `${fullpath}/`
      const relative = p.relative() || '.'
      const relatives = `${relative}/`
      for (const m of this.relative) {
        if (m.match(relative) || m.match(relatives)) {
          return true
        }
      }
      for (const m of this.absolute) {
        if (m.match(fullpath) || m.match(fullpaths)) {
          return true
        }
      }
      return false
    }
    childrenIgnored(p) {
      const fullpath = p.fullpath() + '/'
      const relative = (p.relative() || '.') + '/'
      for (const m of this.relativeChildren) {
        if (m.match(relative)) {
          return true
        }
      }
      for (const m of this.absoluteChildren) {
        if (m.match(fullpath)) {
          return true
        }
      }
      return false
    }
  }
  ignore.Ignore = Ignore
  return ignore
}

const processor = {}

let hasRequiredProcessor
function requireProcessor() {
  if (hasRequiredProcessor) {
    return processor
  }
  hasRequiredProcessor = 1
  // synchronous utility for filtering entries and calculating subwalks
  Object.defineProperty(processor, '__esModule', {
    value: true
  })
  processor.Processor =
    processor.SubWalks =
    processor.MatchRecord =
    processor.HasWalkedCache =
      void 0
  const minimatch_1 = requireCommonjs$2()
  /**
   * A cache of which patterns have been processed for a given Path
   */
  class HasWalkedCache {
    store
    constructor(store = new Map()) {
      this.store = store
    }
    copy() {
      return new HasWalkedCache(new Map(this.store))
    }
    hasWalked(target, pattern) {
      return this.store.get(target.fullpath())?.has(pattern.globString())
    }
    storeWalked(target, pattern) {
      const fullpath = target.fullpath()
      const cached = this.store.get(fullpath)
      if (cached) {
        cached.add(pattern.globString())
      } else {
        this.store.set(fullpath, new Set([pattern.globString()]))
      }
    }
  }
  processor.HasWalkedCache = HasWalkedCache
  /**
   * A record of which paths have been matched in a given walk step,
   * and whether they only are considered a match if they are a directory,
   * and whether their absolute or relative path should be returned.
   */
  class MatchRecord {
    store = new Map()
    add(target, absolute, ifDir) {
      const n = (absolute ? 2 : 0) | (ifDir ? 1 : 0)
      const current = this.store.get(target)
      this.store.set(target, current === undefined ? n : n & current)
    }
    // match, absolute, ifdir
    entries() {
      return [...this.store.entries()].map(([path, n]) => [
        path,
        !!(n & 2),
        !!(n & 1)
      ])
    }
  }
  processor.MatchRecord = MatchRecord
  /**
   * A collection of patterns that must be processed in a subsequent step
   * for a given path.
   */
  class SubWalks {
    store = new Map()
    add(target, pattern) {
      if (!target.canReaddir()) {
        return
      }
      const subs = this.store.get(target)
      if (subs) {
        if (!subs.find(p => p.globString() === pattern.globString())) {
          subs.push(pattern)
        }
      } else {
        this.store.set(target, [pattern])
      }
    }
    get(target) {
      const subs = this.store.get(target)
      /* c8 ignore start */
      if (!subs) {
        throw new Error('attempting to walk unknown path')
      }
      /* c8 ignore stop */
      return subs
    }
    entries() {
      return this.keys().map(k => [k, this.store.get(k)])
    }
    keys() {
      return [...this.store.keys()].filter(t => t.canReaddir())
    }
  }
  processor.SubWalks = SubWalks
  /**
   * The class that processes patterns for a given path.
   *
   * Handles child entry filtering, and determining whether a path's
   * directory contents must be read.
   */
  class Processor {
    hasWalkedCache
    matches = new MatchRecord()
    subwalks = new SubWalks()
    patterns
    follow
    dot
    opts
    constructor(opts, hasWalkedCache) {
      this.opts = opts
      this.follow = !!opts.follow
      this.dot = !!opts.dot
      this.hasWalkedCache = hasWalkedCache
        ? hasWalkedCache.copy()
        : new HasWalkedCache()
    }
    processPatterns(target, patterns) {
      this.patterns = patterns
      const processingSet = patterns.map(p => [target, p])
      // map of paths to the magic-starting subwalks they need to walk
      // first item in patterns is the filter
      for (let [t, pattern] of processingSet) {
        this.hasWalkedCache.storeWalked(t, pattern)
        const root = pattern.root()
        const absolute = pattern.isAbsolute() && this.opts.absolute !== false
        // start absolute patterns at root
        if (root) {
          t = t.resolve(
            root === '/' && this.opts.root !== undefined ? this.opts.root : root
          )
          const rest = pattern.rest()
          if (!rest) {
            this.matches.add(t, true, false)
            continue
          } else {
            pattern = rest
          }
        }
        if (t.isENOENT()) {
          continue
        }
        let p
        let rest
        let changed = false
        while (
          typeof (p = pattern.pattern()) === 'string' &&
          (rest = pattern.rest())
        ) {
          const c = t.resolve(p)
          t = c
          pattern = rest
          changed = true
        }
        p = pattern.pattern()
        rest = pattern.rest()
        if (changed) {
          if (this.hasWalkedCache.hasWalked(t, pattern)) {
            continue
          }
          this.hasWalkedCache.storeWalked(t, pattern)
        }
        // now we have either a final string for a known entry,
        // more strings for an unknown entry,
        // or a pattern starting with magic, mounted on t.
        if (typeof p === 'string') {
          // must not be final entry, otherwise we would have
          // concatenated it earlier.
          const ifDir = p === '..' || p === '' || p === '.'
          this.matches.add(t.resolve(p), absolute, ifDir)
          continue
        } else if (p === minimatch_1.GLOBSTAR) {
          // if no rest, match and subwalk pattern
          // if rest, process rest and subwalk pattern
          // if it's a symlink, but we didn't get here by way of a
          // globstar match (meaning it's the first time THIS globstar
          // has traversed a symlink), then we follow it. Otherwise, stop.
          if (
            !t.isSymbolicLink() ||
            this.follow ||
            pattern.checkFollowGlobstar()
          ) {
            this.subwalks.add(t, pattern)
          }
          const rp = rest?.pattern()
          const rrest = rest?.rest()
          if (!rest || ((rp === '' || rp === '.') && !rrest)) {
            // only HAS to be a dir if it ends in **/ or **/.
            // but ending in ** will match files as well.
            this.matches.add(t, absolute, rp === '' || rp === '.')
          } else {
            if (rp === '..') {
              // this would mean you're matching **/.. at the fs root,
              // and no thanks, I'm not gonna test that specific case.
              /* c8 ignore start */
              const tp = t.parent || t
              /* c8 ignore stop */
              if (!rrest) {
                this.matches.add(tp, absolute, true)
              } else if (!this.hasWalkedCache.hasWalked(tp, rrest)) {
                this.subwalks.add(tp, rrest)
              }
            }
          }
        } else if (p instanceof RegExp) {
          this.subwalks.add(t, pattern)
        }
      }
      return this
    }
    subwalkTargets() {
      return this.subwalks.keys()
    }
    child() {
      return new Processor(this.opts, this.hasWalkedCache)
    }
    // return a new Processor containing the subwalks for each
    // child entry, and a set of matches, and
    // a hasWalkedCache that's a copy of this one
    // then we're going to call
    filterEntries(parent, entries) {
      const patterns = this.subwalks.get(parent)
      // put matches and entry walks into the results processor
      const results = this.child()
      for (const e of entries) {
        for (const pattern of patterns) {
          const absolute = pattern.isAbsolute()
          const p = pattern.pattern()
          const rest = pattern.rest()
          if (p === minimatch_1.GLOBSTAR) {
            results.testGlobstar(e, pattern, rest, absolute)
          } else if (p instanceof RegExp) {
            results.testRegExp(e, p, rest, absolute)
          } else {
            results.testString(e, p, rest, absolute)
          }
        }
      }
      return results
    }
    testGlobstar(e, pattern, rest, absolute) {
      if (this.dot || !e.name.startsWith('.')) {
        if (!pattern.hasMore()) {
          this.matches.add(e, absolute, false)
        }
        if (e.canReaddir()) {
          // if we're in follow mode or it's not a symlink, just keep
          // testing the same pattern. If there's more after the globstar,
          // then this symlink consumes the globstar. If not, then we can
          // follow at most ONE symlink along the way, so we mark it, which
          // also checks to ensure that it wasn't already marked.
          if (this.follow || !e.isSymbolicLink()) {
            this.subwalks.add(e, pattern)
          } else if (e.isSymbolicLink()) {
            if (rest && pattern.checkFollowGlobstar()) {
              this.subwalks.add(e, rest)
            } else if (pattern.markFollowGlobstar()) {
              this.subwalks.add(e, pattern)
            }
          }
        }
      }
      // if the NEXT thing matches this entry, then also add
      // the rest.
      if (rest) {
        const rp = rest.pattern()
        if (
          typeof rp === 'string' &&
          // dots and empty were handled already
          rp !== '..' &&
          rp !== '' &&
          rp !== '.'
        ) {
          this.testString(e, rp, rest.rest(), absolute)
        } else if (rp === '..') {
          /* c8 ignore start */
          const ep = e.parent || e
          /* c8 ignore stop */
          this.subwalks.add(ep, rest)
        } else if (rp instanceof RegExp) {
          this.testRegExp(e, rp, rest.rest(), absolute)
        }
      }
    }
    testRegExp(e, p, rest, absolute) {
      if (!p.test(e.name)) {
        return
      }
      if (!rest) {
        this.matches.add(e, absolute, false)
      } else {
        this.subwalks.add(e, rest)
      }
    }
    testString(e, p, rest, absolute) {
      // should never happen?
      if (!e.isNamed(p)) {
        return
      }
      if (!rest) {
        this.matches.add(e, absolute, false)
      } else {
        this.subwalks.add(e, rest)
      }
    }
  }
  processor.Processor = Processor
  return processor
}

let hasRequiredWalker
function requireWalker() {
  if (hasRequiredWalker) {
    return walker
  }
  hasRequiredWalker = 1
  Object.defineProperty(walker, '__esModule', {
    value: true
  })
  walker.GlobStream = walker.GlobWalker = walker.GlobUtil = void 0
  /**
   * Single-use utility classes to provide functionality to the {@link Glob}
   * methods.
   *
   * @module
   */
  const minipass_1 = requireCommonjs$5()
  const ignore_js_1 = requireIgnore()
  const processor_js_1 = requireProcessor()
  const makeIgnore = (ignore, opts) =>
    typeof ignore === 'string'
      ? new ignore_js_1.Ignore([ignore], opts)
      : Array.isArray(ignore)
        ? new ignore_js_1.Ignore(ignore, opts)
        : ignore
  /**
   * basic walking utilities that all the glob walker types use
   */
  class GlobUtil {
    path
    patterns
    opts
    seen = new Set()
    paused = false
    aborted = false
    #onResume = []
    #ignore
    #sep
    signal
    maxDepth
    includeChildMatches
    constructor(patterns, path, opts) {
      this.patterns = patterns
      this.path = path
      this.opts = opts
      this.#sep = !opts.posix && opts.platform === 'win32' ? '\\' : '/'
      this.includeChildMatches = opts.includeChildMatches !== false
      if (opts.ignore || !this.includeChildMatches) {
        this.#ignore = makeIgnore(opts.ignore ?? [], opts)
        if (
          !this.includeChildMatches &&
          typeof this.#ignore.add !== 'function'
        ) {
          const m = 'cannot ignore child matches, ignore lacks add() method.'
          throw new Error(m)
        }
      }
      // ignore, always set with maxDepth, but it's optional on the
      // GlobOptions type
      /* c8 ignore start */
      this.maxDepth = opts.maxDepth || Infinity
      /* c8 ignore stop */
      if (opts.signal) {
        this.signal = opts.signal
        this.signal.addEventListener('abort', () => {
          this.#onResume.length = 0
        })
      }
    }
    #ignored(path) {
      return this.seen.has(path) || !!this.#ignore?.ignored?.(path)
    }
    #childrenIgnored(path) {
      return !!this.#ignore?.childrenIgnored?.(path)
    }
    // backpressure mechanism
    pause() {
      this.paused = true
    }
    resume() {
      /* c8 ignore start */
      if (this.signal?.aborted) {
        return
      }
      /* c8 ignore stop */
      this.paused = false
      let fn = undefined
      while (!this.paused && (fn = this.#onResume.shift())) {
        fn()
      }
    }
    onResume(fn) {
      if (this.signal?.aborted) {
        return
      }
      /* c8 ignore start */
      if (!this.paused) {
        fn()
      } else {
        /* c8 ignore stop */
        this.#onResume.push(fn)
      }
    }
    // do the requisite realpath/stat checking, and return the path
    // to add or undefined to filter it out.
    async matchCheck(e, ifDir) {
      if (ifDir && this.opts.nodir) {
        return undefined
      }
      let rpc
      if (this.opts.realpath) {
        rpc = e.realpathCached() || (await e.realpath())
        if (!rpc) {
          return undefined
        }
        e = rpc
      }
      const needStat = e.isUnknown() || this.opts.stat
      const s = needStat ? await e.lstat() : e
      if (this.opts.follow && this.opts.nodir && s?.isSymbolicLink()) {
        const target = await s.realpath()
        /* c8 ignore start */
        if (target && (target.isUnknown() || this.opts.stat)) {
          await target.lstat()
        }
        /* c8 ignore stop */
      }
      return this.matchCheckTest(s, ifDir)
    }
    matchCheckTest(e, ifDir) {
      return e &&
        (this.maxDepth === Infinity || e.depth() <= this.maxDepth) &&
        (!ifDir || e.canReaddir()) &&
        (!this.opts.nodir || !e.isDirectory()) &&
        (!this.opts.nodir ||
          !this.opts.follow ||
          !e.isSymbolicLink() ||
          !e.realpathCached()?.isDirectory()) &&
        !this.#ignored(e)
        ? e
        : undefined
    }
    matchCheckSync(e, ifDir) {
      if (ifDir && this.opts.nodir) {
        return undefined
      }
      let rpc
      if (this.opts.realpath) {
        rpc = e.realpathCached() || e.realpathSync()
        if (!rpc) {
          return undefined
        }
        e = rpc
      }
      const needStat = e.isUnknown() || this.opts.stat
      const s = needStat ? e.lstatSync() : e
      if (this.opts.follow && this.opts.nodir && s?.isSymbolicLink()) {
        const target = s.realpathSync()
        if (target && (target?.isUnknown() || this.opts.stat)) {
          target.lstatSync()
        }
      }
      return this.matchCheckTest(s, ifDir)
    }
    matchFinish(e, absolute) {
      if (this.#ignored(e)) {
        return
      }
      // we know we have an ignore if this is false, but TS doesn't
      if (!this.includeChildMatches && this.#ignore?.add) {
        const ign = `${e.relativePosix()}/**`
        this.#ignore.add(ign)
      }
      const abs =
        this.opts.absolute === undefined ? absolute : this.opts.absolute
      this.seen.add(e)
      const mark = this.opts.mark && e.isDirectory() ? this.#sep : ''
      // ok, we have what we need!
      if (this.opts.withFileTypes) {
        this.matchEmit(e)
      } else if (abs) {
        const abs = this.opts.posix ? e.fullpathPosix() : e.fullpath()
        this.matchEmit(abs + mark)
      } else {
        const rel = this.opts.posix ? e.relativePosix() : e.relative()
        const pre =
          this.opts.dotRelative && !rel.startsWith('..' + this.#sep)
            ? '.' + this.#sep
            : ''
        this.matchEmit(!rel ? '.' + mark : pre + rel + mark)
      }
    }
    async match(e, absolute, ifDir) {
      const p = await this.matchCheck(e, ifDir)
      if (p) {
        this.matchFinish(p, absolute)
      }
    }
    matchSync(e, absolute, ifDir) {
      const p = this.matchCheckSync(e, ifDir)
      if (p) {
        this.matchFinish(p, absolute)
      }
    }
    walkCB(target, patterns, cb) {
      /* c8 ignore start */
      if (this.signal?.aborted) {
        cb()
      }
      /* c8 ignore stop */
      this.walkCB2(
        target,
        patterns,
        new processor_js_1.Processor(this.opts),
        cb
      )
    }
    walkCB2(target, patterns, processor, cb) {
      if (this.#childrenIgnored(target)) {
        return cb()
      }
      if (this.signal?.aborted) {
        cb()
      }
      if (this.paused) {
        this.onResume(() => this.walkCB2(target, patterns, processor, cb))
        return
      }
      processor.processPatterns(target, patterns)
      // done processing.  all of the above is sync, can be abstracted out.
      // subwalks is a map of paths to the entry filters they need
      // matches is a map of paths to [absolute, ifDir] tuples.
      let tasks = 1
      const next = () => {
        if (--tasks === 0) {
          cb()
        }
      }
      for (const [m, absolute, ifDir] of processor.matches.entries()) {
        if (this.#ignored(m)) {
          continue
        }
        tasks++
        this.match(m, absolute, ifDir).then(() => next())
      }
      for (const t of processor.subwalkTargets()) {
        if (this.maxDepth !== Infinity && t.depth() >= this.maxDepth) {
          continue
        }
        tasks++
        const childrenCached = t.readdirCached()
        if (t.calledReaddir()) {
          this.walkCB3(t, childrenCached, processor, next)
        } else {
          t.readdirCB(
            (_, entries) => this.walkCB3(t, entries, processor, next),
            true
          )
        }
      }
      next()
    }
    walkCB3(target, entries, processor, cb) {
      processor = processor.filterEntries(target, entries)
      let tasks = 1
      const next = () => {
        if (--tasks === 0) {
          cb()
        }
      }
      for (const [m, absolute, ifDir] of processor.matches.entries()) {
        if (this.#ignored(m)) {
          continue
        }
        tasks++
        this.match(m, absolute, ifDir).then(() => next())
      }
      for (const [target, patterns] of processor.subwalks.entries()) {
        tasks++
        this.walkCB2(target, patterns, processor.child(), next)
      }
      next()
    }
    walkCBSync(target, patterns, cb) {
      /* c8 ignore start */
      if (this.signal?.aborted) {
        cb()
      }
      /* c8 ignore stop */
      this.walkCB2Sync(
        target,
        patterns,
        new processor_js_1.Processor(this.opts),
        cb
      )
    }
    walkCB2Sync(target, patterns, processor, cb) {
      if (this.#childrenIgnored(target)) {
        return cb()
      }
      if (this.signal?.aborted) {
        cb()
      }
      if (this.paused) {
        this.onResume(() => this.walkCB2Sync(target, patterns, processor, cb))
        return
      }
      processor.processPatterns(target, patterns)
      // done processing.  all of the above is sync, can be abstracted out.
      // subwalks is a map of paths to the entry filters they need
      // matches is a map of paths to [absolute, ifDir] tuples.
      let tasks = 1
      const next = () => {
        if (--tasks === 0) {
          cb()
        }
      }
      for (const [m, absolute, ifDir] of processor.matches.entries()) {
        if (this.#ignored(m)) {
          continue
        }
        this.matchSync(m, absolute, ifDir)
      }
      for (const t of processor.subwalkTargets()) {
        if (this.maxDepth !== Infinity && t.depth() >= this.maxDepth) {
          continue
        }
        tasks++
        const children = t.readdirSync()
        this.walkCB3Sync(t, children, processor, next)
      }
      next()
    }
    walkCB3Sync(target, entries, processor, cb) {
      processor = processor.filterEntries(target, entries)
      let tasks = 1
      const next = () => {
        if (--tasks === 0) {
          cb()
        }
      }
      for (const [m, absolute, ifDir] of processor.matches.entries()) {
        if (this.#ignored(m)) {
          continue
        }
        this.matchSync(m, absolute, ifDir)
      }
      for (const [target, patterns] of processor.subwalks.entries()) {
        tasks++
        this.walkCB2Sync(target, patterns, processor.child(), next)
      }
      next()
    }
  }
  walker.GlobUtil = GlobUtil
  class GlobWalker extends GlobUtil {
    matches = new Set()

    matchEmit(e) {
      this.matches.add(e)
    }
    async walk() {
      if (this.signal?.aborted) {
        throw this.signal.reason
      }
      if (this.path.isUnknown()) {
        await this.path.lstat()
      }
      await new Promise((res, rej) => {
        this.walkCB(this.path, this.patterns, () => {
          if (this.signal?.aborted) {
            rej(this.signal.reason)
          } else {
            res(this.matches)
          }
        })
      })
      return this.matches
    }
    walkSync() {
      if (this.signal?.aborted) {
        throw this.signal.reason
      }
      if (this.path.isUnknown()) {
        this.path.lstatSync()
      }
      // nothing for the callback to do, because this never pauses
      this.walkCBSync(this.path, this.patterns, () => {
        if (this.signal?.aborted) {
          throw this.signal.reason
        }
      })
      return this.matches
    }
  }
  walker.GlobWalker = GlobWalker
  class GlobStream extends GlobUtil {
    results
    constructor(patterns, path, opts) {
      super(patterns, path, opts)
      this.results = new minipass_1.Minipass({
        signal: this.signal,
        objectMode: true
      })
      this.results.on('drain', () => this.resume())
      this.results.on('resume', () => this.resume())
    }
    matchEmit(e) {
      this.results.write(e)
      if (!this.results.flowing) {
        this.pause()
      }
    }
    stream() {
      const target = this.path
      if (target.isUnknown()) {
        target.lstat().then(() => {
          this.walkCB(target, this.patterns, () => this.results.end())
        })
      } else {
        this.walkCB(target, this.patterns, () => this.results.end())
      }
      return this.results
    }
    streamSync() {
      if (this.path.isUnknown()) {
        this.path.lstatSync()
      }
      this.walkCBSync(this.path, this.patterns, () => this.results.end())
      return this.results
    }
  }
  walker.GlobStream = GlobStream
  return walker
}

let hasRequiredGlob$1
function requireGlob$1() {
  if (hasRequiredGlob$1) {
    return glob
  }
  hasRequiredGlob$1 = 1
  Object.defineProperty(glob, '__esModule', {
    value: true
  })
  glob.Glob = void 0
  const minimatch_1 = requireCommonjs$2()
  const node_url_1 = require$$2$5
  const path_scurry_1 = requireCommonjs$1()
  const pattern_js_1 = requirePattern()
  const walker_js_1 = requireWalker()
  // if no process global, just call it linux.
  // so we default to case-sensitive, / separators
  const defaultPlatform =
    typeof process === 'object' &&
    process &&
    typeof process.platform === 'string'
      ? process.platform
      : 'linux'
  /**
   * An object that can perform glob pattern traversals.
   */
  class Glob {
    absolute
    cwd
    root
    dot
    dotRelative
    follow
    ignore
    magicalBraces
    mark
    matchBase
    maxDepth
    nobrace
    nocase
    nodir
    noext
    noglobstar
    pattern
    platform
    realpath
    scurry
    stat
    signal
    windowsPathsNoEscape
    withFileTypes
    includeChildMatches
    /**
     * The options provided to the constructor.
     */
    opts
    /**
     * An array of parsed immutable {@link Pattern} objects.
     */
    patterns
    /**
     * All options are stored as properties on the `Glob` object.
     *
     * See {@link GlobOptions} for full options descriptions.
     *
     * Note that a previous `Glob` object can be passed as the
     * `GlobOptions` to another `Glob` instantiation to re-use settings
     * and caches with a new pattern.
     *
     * Traversal functions can be called multiple times to run the walk
     * again.
     */
    constructor(pattern, opts) {
      /* c8 ignore start */
      if (!opts) {
        throw new TypeError('glob options required')
      }
      /* c8 ignore stop */
      this.withFileTypes = !!opts.withFileTypes
      this.signal = opts.signal
      this.follow = !!opts.follow
      this.dot = !!opts.dot
      this.dotRelative = !!opts.dotRelative
      this.nodir = !!opts.nodir
      this.mark = !!opts.mark
      if (!opts.cwd) {
        this.cwd = ''
      } else if (opts.cwd instanceof URL || opts.cwd.startsWith('file://')) {
        opts.cwd = (0, node_url_1.fileURLToPath)(opts.cwd)
      }
      this.cwd = opts.cwd || ''
      this.root = opts.root
      this.magicalBraces = !!opts.magicalBraces
      this.nobrace = !!opts.nobrace
      this.noext = !!opts.noext
      this.realpath = !!opts.realpath
      this.absolute = opts.absolute
      this.includeChildMatches = opts.includeChildMatches !== false
      this.noglobstar = !!opts.noglobstar
      this.matchBase = !!opts.matchBase
      this.maxDepth =
        typeof opts.maxDepth === 'number' ? opts.maxDepth : Infinity
      this.stat = !!opts.stat
      this.ignore = opts.ignore
      if (this.withFileTypes && this.absolute !== undefined) {
        throw new Error('cannot set absolute and withFileTypes:true')
      }
      if (typeof pattern === 'string') {
        pattern = [pattern]
      }
      this.windowsPathsNoEscape =
        !!opts.windowsPathsNoEscape || opts.allowWindowsEscape === false
      if (this.windowsPathsNoEscape) {
        pattern = pattern.map(p => p.replace(/\\/g, '/'))
      }
      if (this.matchBase) {
        if (opts.noglobstar) {
          throw new TypeError('base matching requires globstar')
        }
        pattern = pattern.map(p => (p.includes('/') ? p : `./**/${p}`))
      }
      this.pattern = pattern
      this.platform = opts.platform || defaultPlatform
      this.opts = {
        ...opts,
        platform: this.platform
      }
      if (opts.scurry) {
        this.scurry = opts.scurry
        if (opts.nocase !== undefined && opts.nocase !== opts.scurry.nocase) {
          throw new Error('nocase option contradicts provided scurry option')
        }
      } else {
        const Scurry =
          opts.platform === 'win32'
            ? path_scurry_1.PathScurryWin32
            : opts.platform === 'darwin'
              ? path_scurry_1.PathScurryDarwin
              : opts.platform
                ? path_scurry_1.PathScurryPosix
                : path_scurry_1.PathScurry
        this.scurry = new Scurry(this.cwd, {
          nocase: opts.nocase,
          fs: opts.fs
        })
      }
      this.nocase = this.scurry.nocase
      // If you do nocase:true on a case-sensitive file system, then
      // we need to use regexps instead of strings for non-magic
      // path portions, because statting `aBc` won't return results
      // for the file `AbC` for example.
      const nocaseMagicOnly =
        this.platform === 'darwin' || this.platform === 'win32'
      const mmo = {
        // default nocase based on platform
        ...opts,
        dot: this.dot,
        matchBase: this.matchBase,
        nobrace: this.nobrace,
        nocase: this.nocase,
        nocaseMagicOnly,
        nocomment: true,
        noext: this.noext,
        nonegate: true,
        optimizationLevel: 2,
        platform: this.platform,
        windowsPathsNoEscape: this.windowsPathsNoEscape,
        debug: !!this.opts.debug
      }
      const mms = this.pattern.map(p => new minimatch_1.Minimatch(p, mmo))
      const [matchSet, globParts] = mms.reduce(
        (set, m) => {
          set[0].push(...m.set)
          set[1].push(...m.globParts)
          return set
        },
        [[], []]
      )
      this.patterns = matchSet.map((set, i) => {
        const g = globParts[i]
        /* c8 ignore start */
        if (!g) {
          throw new Error('invalid pattern object')
        }
        /* c8 ignore stop */
        return new pattern_js_1.Pattern(set, g, 0, this.platform)
      })
    }
    async walk() {
      // Walkers always return array of Path objects, so we just have to
      // coerce them into the right shape.  It will have already called
      // realpath() if the option was set to do so, so we know that's cached.
      // start out knowing the cwd, at least
      return [
        ...(await new walker_js_1.GlobWalker(this.patterns, this.scurry.cwd, {
          ...this.opts,
          maxDepth:
            this.maxDepth !== Infinity
              ? this.maxDepth + this.scurry.cwd.depth()
              : Infinity,
          platform: this.platform,
          nocase: this.nocase,
          includeChildMatches: this.includeChildMatches
        }).walk())
      ]
    }
    walkSync() {
      return [
        ...new walker_js_1.GlobWalker(this.patterns, this.scurry.cwd, {
          ...this.opts,
          maxDepth:
            this.maxDepth !== Infinity
              ? this.maxDepth + this.scurry.cwd.depth()
              : Infinity,
          platform: this.platform,
          nocase: this.nocase,
          includeChildMatches: this.includeChildMatches
        }).walkSync()
      ]
    }
    stream() {
      return new walker_js_1.GlobStream(this.patterns, this.scurry.cwd, {
        ...this.opts,
        maxDepth:
          this.maxDepth !== Infinity
            ? this.maxDepth + this.scurry.cwd.depth()
            : Infinity,
        platform: this.platform,
        nocase: this.nocase,
        includeChildMatches: this.includeChildMatches
      }).stream()
    }
    streamSync() {
      return new walker_js_1.GlobStream(this.patterns, this.scurry.cwd, {
        ...this.opts,
        maxDepth:
          this.maxDepth !== Infinity
            ? this.maxDepth + this.scurry.cwd.depth()
            : Infinity,
        platform: this.platform,
        nocase: this.nocase,
        includeChildMatches: this.includeChildMatches
      }).streamSync()
    }
    /**
     * Default sync iteration function. Returns a Generator that
     * iterates over the results.
     */
    iterateSync() {
      return this.streamSync()[Symbol.iterator]()
    }
    [Symbol.iterator]() {
      return this.iterateSync()
    }
    /**
     * Default async iteration function. Returns an AsyncGenerator that
     * iterates over the results.
     */
    iterate() {
      return this.stream()[Symbol.asyncIterator]()
    }
    [Symbol.asyncIterator]() {
      return this.iterate()
    }
  }
  glob.Glob = Glob
  return glob
}

const hasMagic = {}

let hasRequiredHasMagic
function requireHasMagic() {
  if (hasRequiredHasMagic) {
    return hasMagic
  }
  hasRequiredHasMagic = 1
  Object.defineProperty(hasMagic, '__esModule', {
    value: true
  })
  hasMagic.hasMagic = void 0
  const minimatch_1 = requireCommonjs$2()
  /**
   * Return true if the patterns provided contain any magic glob characters,
   * given the options provided.
   *
   * Brace expansion is not considered "magic" unless the `magicalBraces` option
   * is set, as brace expansion just turns one string into an array of strings.
   * So a pattern like `'x{a,b}y'` would return `false`, because `'xay'` and
   * `'xby'` both do not contain any magic glob characters, and it's treated the
   * same as if you had called it on `['xay', 'xby']`. When `magicalBraces:true`
   * is in the options, brace expansion _is_ treated as a pattern having magic.
   */
  const hasMagic$1 = (pattern, options = {}) => {
    if (!Array.isArray(pattern)) {
      pattern = [pattern]
    }
    for (const p of pattern) {
      if (new minimatch_1.Minimatch(p, options).hasMagic()) {
        return true
      }
    }
    return false
  }
  hasMagic.hasMagic = hasMagic$1
  return hasMagic
}

let hasRequiredCommonjs
function requireCommonjs() {
  if (hasRequiredCommonjs) {
    return commonjs$2
  }
  hasRequiredCommonjs = 1
  ;(function (exports) {
    Object.defineProperty(exports, '__esModule', {
      value: true
    })
    exports.glob =
      exports.sync =
      exports.iterate =
      exports.iterateSync =
      exports.stream =
      exports.streamSync =
      exports.Ignore =
      exports.hasMagic =
      exports.Glob =
      exports.unescape =
      exports.escape =
        void 0
    exports.globStreamSync = globStreamSync
    exports.globStream = globStream
    exports.globSync = globSync
    exports.globIterateSync = globIterateSync
    exports.globIterate = globIterate
    const minimatch_1 = requireCommonjs$2()
    const glob_js_1 = requireGlob$1()
    const has_magic_js_1 = requireHasMagic()
    const minimatch_2 = requireCommonjs$2()
    Object.defineProperty(exports, 'escape', {
      enumerable: true,
      get: function () {
        return minimatch_2.escape
      }
    })
    Object.defineProperty(exports, 'unescape', {
      enumerable: true,
      get: function () {
        return minimatch_2.unescape
      }
    })
    const glob_js_2 = requireGlob$1()
    Object.defineProperty(exports, 'Glob', {
      enumerable: true,
      get: function () {
        return glob_js_2.Glob
      }
    })
    const has_magic_js_2 = requireHasMagic()
    Object.defineProperty(exports, 'hasMagic', {
      enumerable: true,
      get: function () {
        return has_magic_js_2.hasMagic
      }
    })
    const ignore_js_1 = requireIgnore()
    Object.defineProperty(exports, 'Ignore', {
      enumerable: true,
      get: function () {
        return ignore_js_1.Ignore
      }
    })
    function globStreamSync(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).streamSync()
    }
    function globStream(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).stream()
    }
    function globSync(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).walkSync()
    }
    async function glob_(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).walk()
    }
    function globIterateSync(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).iterateSync()
    }
    function globIterate(pattern, options = {}) {
      return new glob_js_1.Glob(pattern, options).iterate()
    }
    // aliases: glob.sync.stream() glob.stream.sync() glob.sync() etc
    exports.streamSync = globStreamSync
    exports.stream = Object.assign(globStream, {
      sync: globStreamSync
    })
    exports.iterateSync = globIterateSync
    exports.iterate = Object.assign(globIterate, {
      sync: globIterateSync
    })
    exports.sync = Object.assign(globSync, {
      stream: globStreamSync,
      iterate: globIterateSync
    })
    exports.glob = Object.assign(glob_, {
      glob: glob_,
      globSync,
      sync: exports.sync,
      globStream,
      stream: exports.stream,
      globStreamSync,
      streamSync: exports.streamSync,
      globIterate,
      iterate: exports.iterate,
      globIterateSync,
      iterateSync: exports.iterateSync,
      Glob: glob_js_1.Glob,
      hasMagic: has_magic_js_1.hasMagic,
      escape: minimatch_1.escape,
      unescape: minimatch_1.unescape
    })
    exports.glob.glob = exports.glob
  })(commonjs$2)
  return commonjs$2
}

let glob_1
let hasRequiredGlob
function requireGlob() {
  if (hasRequiredGlob) {
    return glob_1
  }
  hasRequiredGlob = 1
  const { glob } = requireCommonjs()
  const path = require$$0$a
  const globify = pattern => pattern.split(path.win32.sep).join(path.posix.sep)
  glob_1 = (path, options) => glob(globify(path), options)
  return glob_1
}

let rm_1
let hasRequiredRm$1
function requireRm$1() {
  if (hasRequiredRm$1) {
    return rm_1
  }
  hasRequiredRm$1 = 1
  const fs = require$$0$c
  const contentPath = requirePath()
  const { hasContent } = requireRead()
  rm_1 = rm
  async function rm(cache, integrity) {
    const content = await hasContent(cache, integrity)
    // ~pretty~ sure we can't end up with a content lacking sri, but be safe
    if (content && content.sri) {
      await fs.rm(contentPath(cache, content.sri), {
        recursive: true,
        force: true
      })
      return true
    } else {
      return false
    }
  }
  return rm_1
}

let hasRequiredRm
function requireRm() {
  if (hasRequiredRm) {
    return rm.exports
  }
  hasRequiredRm = 1
  const { rm: rm$1 } = require$$0$c
  const glob = requireGlob()
  const index = requireEntryIndex()
  const memo = requireMemoization()
  const path = require$$0$a
  const rmContent = requireRm$1()
  rm.exports = entry
  rm.exports.entry = entry
  function entry(cache, key, opts) {
    memo.clearMemoized()
    return index.delete(cache, key, opts)
  }
  rm.exports.content = content
  function content(cache, integrity) {
    memo.clearMemoized()
    return rmContent(cache, integrity)
  }
  rm.exports.all = all
  async function all(cache) {
    memo.clearMemoized()
    const paths = await glob(path.join(cache, '*(content-*|index-*)'), {
      silent: true,
      nosort: true
    })
    return Promise.all(
      paths.map(p =>
        rm$1(p, {
          recursive: true,
          force: true
        })
      )
    )
  }
  return rm.exports
}

const verify = { exports: {} }

let hasRequiredVerify
function requireVerify() {
  if (hasRequiredVerify) {
    return verify.exports
  }
  hasRequiredVerify = 1
  const { mkdir, readFile, rm, stat, truncate, writeFile } = require$$0$c
  const contentPath = requirePath()
  const fsm = requireLib$4()
  const glob = requireGlob()
  const index$1 = requireEntryIndex()
  const path = require$$0$a
  const ssri = requireLib$8()
  const hasOwnProperty = (obj, key) =>
    Object.prototype.hasOwnProperty.call(obj, key)
  const verifyOpts = opts => ({
    concurrency: 20,
    log: {
      silly() {}
    },
    ...opts
  })
  verify.exports = verify$1
  async function verify$1(cache, opts) {
    opts = verifyOpts(opts)
    opts.log.silly('verify', 'verifying cache at', cache)
    const steps = [
      markStartTime,
      fixPerms,
      garbageCollect,
      rebuildIndex,
      cleanTmp,
      writeVerifile,
      markEndTime
    ]
    const stats = {}
    for (const step of steps) {
      const label = step.name
      const start = new Date()
      const s = await step(cache, opts)
      if (s) {
        Object.keys(s).forEach(k => {
          stats[k] = s[k]
        })
      }
      const end = new Date()
      if (!stats.runTime) {
        stats.runTime = {}
      }
      stats.runTime[label] = end - start
    }
    stats.runTime.total = stats.endTime - stats.startTime
    opts.log.silly(
      'verify',
      'verification finished for',
      cache,
      'in',
      `${stats.runTime.total}ms`
    )
    return stats
  }
  async function markStartTime() {
    return {
      startTime: new Date()
    }
  }
  async function markEndTime() {
    return {
      endTime: new Date()
    }
  }
  async function fixPerms(cache, opts) {
    opts.log.silly('verify', 'fixing cache permissions')
    await mkdir(cache, {
      recursive: true
    })
    return null
  }

  // Implements a naive mark-and-sweep tracing garbage collector.
  //
  // The algorithm is basically as follows:
  // 1. Read (and filter) all index entries ("pointers")
  // 2. Mark each integrity value as "live"
  // 3. Read entire filesystem tree in `content-vX/` dir
  // 4. If content is live, verify its checksum and delete it if it fails
  // 5. If content is not marked as live, rm it.
  //
  async function garbageCollect(cache, opts) {
    opts.log.silly('verify', 'garbage collecting content')
    const { default: pMap } = await Promise.resolve().then(function () {
      return index
    })
    const indexStream = index$1.lsStream(cache)
    const liveContent = new Set()
    indexStream.on('data', entry => {
      if (opts.filter && !opts.filter(entry)) {
        return
      }

      // integrity is stringified, re-parse it so we can get each hash
      const integrity = ssri.parse(entry.integrity)
      for (const algo in integrity) {
        liveContent.add(integrity[algo].toString())
      }
    })
    await new Promise((resolve, reject) => {
      indexStream.on('end', resolve).on('error', reject)
    })
    const contentDir = contentPath.contentDir(cache)
    const files = await glob(path.join(contentDir, '**'), {
      follow: false,
      nodir: true,
      nosort: true
    })
    const stats = {
      verifiedContent: 0,
      reclaimedCount: 0,
      reclaimedSize: 0,
      badContentCount: 0,
      keptSize: 0
    }
    await pMap(
      files,
      async f => {
        const split = f.split(/[/\\]/)
        const digest = split.slice(split.length - 3).join('')
        const algo = split[split.length - 4]
        const integrity = ssri.fromHex(digest, algo)
        if (liveContent.has(integrity.toString())) {
          const info = await verifyContent(f, integrity)
          if (!info.valid) {
            stats.reclaimedCount++
            stats.badContentCount++
            stats.reclaimedSize += info.size
          } else {
            stats.verifiedContent++
            stats.keptSize += info.size
          }
        } else {
          // No entries refer to this content. We can delete.
          stats.reclaimedCount++
          const s = await stat(f)
          await rm(f, {
            recursive: true,
            force: true
          })
          stats.reclaimedSize += s.size
        }
        return stats
      },
      {
        concurrency: opts.concurrency
      }
    )
    return stats
  }
  async function verifyContent(filepath, sri) {
    const contentInfo = {}
    try {
      const { size } = await stat(filepath)
      contentInfo.size = size
      contentInfo.valid = true
      await ssri.checkStream(new fsm.ReadStream(filepath), sri)
    } catch (err) {
      if (err.code === 'ENOENT') {
        return {
          size: 0,
          valid: false
        }
      }
      if (err.code !== 'EINTEGRITY') {
        throw err
      }
      await rm(filepath, {
        recursive: true,
        force: true
      })
      contentInfo.valid = false
    }
    return contentInfo
  }
  async function rebuildIndex(cache, opts) {
    opts.log.silly('verify', 'rebuilding index')
    const { default: pMap } = await Promise.resolve().then(function () {
      return index
    })
    const entries = await index$1.ls(cache)
    const stats = {
      missingContent: 0,
      rejectedEntries: 0,
      totalEntries: 0
    }
    const buckets = {}
    for (const k in entries) {
      /* istanbul ignore else */
      if (hasOwnProperty(entries, k)) {
        const hashed = index$1.hashKey(k)
        const entry = entries[k]
        const excluded = opts.filter && !opts.filter(entry)
        excluded && stats.rejectedEntries++
        if (buckets[hashed] && !excluded) {
          buckets[hashed].push(entry)
        } else if (buckets[hashed] && excluded) {
        } else if (excluded) {
          buckets[hashed] = []
          buckets[hashed]._path = index$1.bucketPath(cache, k)
        } else {
          buckets[hashed] = [entry]
          buckets[hashed]._path = index$1.bucketPath(cache, k)
        }
      }
    }
    await pMap(
      Object.keys(buckets),
      key => {
        return rebuildBucket(cache, buckets[key], stats)
      },
      {
        concurrency: opts.concurrency
      }
    )
    return stats
  }
  async function rebuildBucket(cache, bucket, stats) {
    await truncate(bucket._path)
    // This needs to be serialized because cacache explicitly
    // lets very racy bucket conflicts clobber each other.
    for (const entry of bucket) {
      const content = contentPath(cache, entry.integrity)
      try {
        await stat(content)
        await index$1.insert(cache, entry.key, entry.integrity, {
          metadata: entry.metadata,
          size: entry.size,
          time: entry.time
        })
        stats.totalEntries++
      } catch (err) {
        if (err.code === 'ENOENT') {
          stats.rejectedEntries++
          stats.missingContent++
        } else {
          throw err
        }
      }
    }
  }
  function cleanTmp(cache, opts) {
    opts.log.silly('verify', 'cleaning tmp directory')
    return rm(path.join(cache, 'tmp'), {
      recursive: true,
      force: true
    })
  }
  async function writeVerifile(cache, opts) {
    const verifile = path.join(cache, '_lastverified')
    opts.log.silly('verify', 'writing verifile to ' + verifile)
    return writeFile(verifile, `${Date.now()}`)
  }
  verify.exports.lastRun = lastRun
  async function lastRun(cache) {
    const data = await readFile(path.join(cache, '_lastverified'), {
      encoding: 'utf8'
    })
    return new Date(+data)
  }
  return verify.exports
}

const tmp = {}

let hasRequiredTmp
function requireTmp() {
  if (hasRequiredTmp) {
    return tmp
  }
  hasRequiredTmp = 1
  const { withTempDir } = requireLib$5()
  const fs = require$$0$c
  const path = require$$0$a
  tmp.mkdir = mktmpdir
  async function mktmpdir(cache, opts = {}) {
    const { tmpPrefix } = opts
    const tmpDir = path.join(cache, 'tmp')
    await fs.mkdir(tmpDir, {
      recursive: true,
      owner: 'inherit'
    })
    // do not use path.join(), it drops the trailing / if tmpPrefix is unset
    const target = `${tmpDir}${path.sep}${tmpPrefix || ''}`
    return fs.mkdtemp(target, {
      owner: 'inherit'
    })
  }
  tmp.withTmp = withTmp
  function withTmp(cache, opts, cb) {
    if (!cb) {
      cb = opts
      opts = {}
    }
    return withTempDir(path.join(cache, 'tmp'), cb, opts)
  }
  return tmp
}

lib$6.exports
let hasRequiredLib$3
function requireLib$3() {
  if (hasRequiredLib$3) {
    return lib$6.exports
  }
  hasRequiredLib$3 = 1
  ;(function (module) {
    const get = requireGet()
    const put = requirePut()
    const rm = requireRm()
    const verify = requireVerify()
    const { clearMemoized } = requireMemoization()
    const tmp = requireTmp()
    const index = requireEntryIndex()
    module.exports.index = {}
    module.exports.index.compact = index.compact
    module.exports.index.insert = index.insert
    module.exports.ls = index.ls
    module.exports.ls.stream = index.lsStream
    module.exports.get = get
    module.exports.get.byDigest = get.byDigest
    module.exports.get.stream = get.stream
    module.exports.get.stream.byDigest = get.stream.byDigest
    module.exports.get.copy = get.copy
    module.exports.get.copy.byDigest = get.copy.byDigest
    module.exports.get.info = get.info
    module.exports.get.hasContent = get.hasContent
    module.exports.put = put
    module.exports.put.stream = put.stream
    module.exports.rm = rm.entry
    module.exports.rm.all = rm.all
    module.exports.rm.entry = module.exports.rm
    module.exports.rm.content = rm.content
    module.exports.clearMemoized = clearMemoized
    module.exports.tmp = {}
    module.exports.tmp.mkdir = tmp.mkdir
    module.exports.tmp.withTmp = tmp.withTmp
    module.exports.verify = verify
    module.exports.verify.lastRun = verify.lastRun
  })(lib$6)
  return lib$6.exports
}

let pipeline
let hasRequiredPipeline
function requirePipeline() {
  if (hasRequiredPipeline) {
    return pipeline
  }
  hasRequiredPipeline = 1
  const MinipassPipeline = requireMinipassPipeline()
  class CachingMinipassPipeline extends MinipassPipeline {
    #events = []
    #data = new Map()
    constructor(opts, ...streams) {
      // CRITICAL: do NOT pass the streams to the call to super(), this will start
      // the flow of data and potentially cause the events we need to catch to emit
      // before we've finished our own setup. instead we call super() with no args,
      // finish our setup, and then push the streams into ourselves to start the
      // data flow
      super()
      this.#events = opts.events

      /* istanbul ignore next - coverage disabled because this is pointless to test here */
      if (streams.length) {
        this.push(...streams)
      }
    }
    on(event, handler) {
      if (this.#events.includes(event) && this.#data.has(event)) {
        return handler(...this.#data.get(event))
      }
      return super.on(event, handler)
    }
    emit(event, ...data) {
      if (this.#events.includes(event)) {
        this.#data.set(event, data)
      }
      return super.emit(event, ...data)
    }
  }
  pipeline = CachingMinipassPipeline
  return pipeline
}

let key
let hasRequiredKey
function requireKey() {
  if (hasRequiredKey) {
    return key
  }
  hasRequiredKey = 1
  const { URL, format } = require$$0$7

  // options passed to url.format() when generating a key
  const formatOptions = {
    auth: false,
    fragment: false,
    search: true,
    unicode: false
  }

  // returns a string to be used as the cache key for the Request
  const cacheKey = request => {
    const parsed = new URL(request.url)
    return `make-fetch-happen:request-cache:${format(parsed, formatOptions)}`
  }
  key = cacheKey
  return key
}

let errCode
let hasRequiredErrCode
function requireErrCode() {
  if (hasRequiredErrCode) {
    return errCode
  }
  hasRequiredErrCode = 1
  function assign(obj, props) {
    for (const key in props) {
      Object.defineProperty(obj, key, {
        value: props[key],
        enumerable: true,
        configurable: true
      })
    }
    return obj
  }
  function createError(err, code, props) {
    if (!err || typeof err === 'string') {
      throw new TypeError('Please pass an Error to err-code')
    }
    if (!props) {
      props = {}
    }
    if (typeof code === 'object') {
      props = code
      code = undefined
    }
    if (code != null) {
      props.code = code
    }
    try {
      return assign(err, props)
    } catch (_) {
      props.message = err.message
      props.stack = err.stack
      const ErrClass = function () {}
      ErrClass.prototype = Object.create(Object.getPrototypeOf(err))
      return assign(new ErrClass(), props)
    }
  }
  errCode = createError
  return errCode
}

const retry$1 = {}

let retry_operation
let hasRequiredRetry_operation
function requireRetry_operation() {
  if (hasRequiredRetry_operation) {
    return retry_operation
  }
  hasRequiredRetry_operation = 1
  function RetryOperation(timeouts, options) {
    // Compatibility for the old (timeouts, retryForever) signature
    if (typeof options === 'boolean') {
      options = {
        forever: options
      }
    }
    this._originalTimeouts = JSON.parse(JSON.stringify(timeouts))
    this._timeouts = timeouts
    this._options = options || {}
    this._maxRetryTime = (options && options.maxRetryTime) || Infinity
    this._fn = null
    this._errors = []
    this._attempts = 1
    this._operationTimeout = null
    this._operationTimeoutCb = null
    this._timeout = null
    this._operationStart = null
    if (this._options.forever) {
      this._cachedTimeouts = this._timeouts.slice(0)
    }
  }
  retry_operation = RetryOperation
  RetryOperation.prototype.reset = function () {
    this._attempts = 1
    this._timeouts = this._originalTimeouts
  }
  RetryOperation.prototype.stop = function () {
    if (this._timeout) {
      clearTimeout(this._timeout)
    }
    this._timeouts = []
    this._cachedTimeouts = null
  }
  RetryOperation.prototype.retry = function (err) {
    if (this._timeout) {
      clearTimeout(this._timeout)
    }
    if (!err) {
      return false
    }
    const currentTime = new Date().getTime()
    if (err && currentTime - this._operationStart >= this._maxRetryTime) {
      this._errors.unshift(new Error('RetryOperation timeout occurred'))
      return false
    }
    this._errors.push(err)
    let timeout = this._timeouts.shift()
    if (timeout === undefined) {
      if (this._cachedTimeouts) {
        // retry forever, only keep last error
        this._errors.splice(this._errors.length - 1, this._errors.length)
        this._timeouts = this._cachedTimeouts.slice(0)
        timeout = this._timeouts.shift()
      } else {
        return false
      }
    }
    const self = this
    const timer = setTimeout(function () {
      self._attempts++
      if (self._operationTimeoutCb) {
        self._timeout = setTimeout(function () {
          self._operationTimeoutCb(self._attempts)
        }, self._operationTimeout)
        if (self._options.unref) {
          self._timeout.unref()
        }
      }
      self._fn(self._attempts)
    }, timeout)
    if (this._options.unref) {
      timer.unref()
    }
    return true
  }
  RetryOperation.prototype.attempt = function (fn, timeoutOps) {
    this._fn = fn
    if (timeoutOps) {
      if (timeoutOps.timeout) {
        this._operationTimeout = timeoutOps.timeout
      }
      if (timeoutOps.cb) {
        this._operationTimeoutCb = timeoutOps.cb
      }
    }
    const self = this
    if (this._operationTimeoutCb) {
      this._timeout = setTimeout(function () {
        self._operationTimeoutCb()
      }, self._operationTimeout)
    }
    this._operationStart = new Date().getTime()
    this._fn(this._attempts)
  }
  RetryOperation.prototype.try = function (fn) {
    console.log('Using RetryOperation.try() is deprecated')
    this.attempt(fn)
  }
  RetryOperation.prototype.start = function (fn) {
    console.log('Using RetryOperation.start() is deprecated')
    this.attempt(fn)
  }
  RetryOperation.prototype.start = RetryOperation.prototype.try
  RetryOperation.prototype.errors = function () {
    return this._errors
  }
  RetryOperation.prototype.attempts = function () {
    return this._attempts
  }
  RetryOperation.prototype.mainError = function () {
    if (this._errors.length === 0) {
      return null
    }
    const counts = {}
    let mainError = null
    let mainErrorCount = 0
    for (let i = 0; i < this._errors.length; i++) {
      const error = this._errors[i]
      const message = error.message
      const count = (counts[message] || 0) + 1
      counts[message] = count
      if (count >= mainErrorCount) {
        mainError = error
        mainErrorCount = count
      }
    }
    return mainError
  }
  return retry_operation
}

let hasRequiredRetry$1
function requireRetry$1() {
  if (hasRequiredRetry$1) {
    return retry$1
  }
  hasRequiredRetry$1 = 1
  ;(function (exports) {
    const RetryOperation = requireRetry_operation()
    exports.operation = function (options) {
      const timeouts = exports.timeouts(options)
      return new RetryOperation(timeouts, {
        forever: options && options.forever,
        unref: options && options.unref,
        maxRetryTime: options && options.maxRetryTime
      })
    }
    exports.timeouts = function (options) {
      if (options instanceof Array) {
        return [].concat(options)
      }
      const opts = {
        retries: 10,
        factor: 2,
        minTimeout: 1 * 1000,
        maxTimeout: Infinity,
        randomize: false
      }
      for (const key in options) {
        opts[key] = options[key]
      }
      if (opts.minTimeout > opts.maxTimeout) {
        throw new Error('minTimeout is greater than maxTimeout')
      }
      const timeouts = []
      for (let i = 0; i < opts.retries; i++) {
        timeouts.push(this.createTimeout(i, opts))
      }
      if (options && options.forever && !timeouts.length) {
        timeouts.push(this.createTimeout(i, opts))
      }

      // sort the array numerically ascending
      timeouts.sort(function (a, b) {
        return a - b
      })
      return timeouts
    }
    exports.createTimeout = function (attempt, opts) {
      const random = opts.randomize ? Math.random() + 1 : 1
      let timeout = Math.round(
        random * opts.minTimeout * Math.pow(opts.factor, attempt)
      )
      timeout = Math.min(timeout, opts.maxTimeout)
      return timeout
    }
    exports.wrap = function (obj, options, methods) {
      if (options instanceof Array) {
        methods = options
        options = null
      }
      if (!methods) {
        methods = []
        for (const key in obj) {
          if (typeof obj[key] === 'function') {
            methods.push(key)
          }
        }
      }
      for (let i = 0; i < methods.length; i++) {
        const method = methods[i]
        const original = obj[method]
        obj[method] = function retryWrapper(original) {
          const op = exports.operation(options)
          const args = Array.prototype.slice.call(arguments, 1)
          const callback = args.pop()
          args.push(function (err) {
            if (op.retry(err)) {
              return
            }
            if (err) {
              arguments[0] = op.mainError()
            }
            callback.apply(this, arguments)
          })
          op.attempt(function () {
            original.apply(obj, args)
          })
        }.bind(obj, original)
        obj[method].options = options
      }
    }
  })(retry$1)
  return retry$1
}

let retry
let hasRequiredRetry
function requireRetry() {
  if (hasRequiredRetry) {
    return retry
  }
  hasRequiredRetry = 1
  retry = requireRetry$1()
  return retry
}

let promiseRetry_1
let hasRequiredPromiseRetry
function requirePromiseRetry() {
  if (hasRequiredPromiseRetry) {
    return promiseRetry_1
  }
  hasRequiredPromiseRetry = 1
  const errcode = requireErrCode()
  const retry = requireRetry()
  const hasOwn = Object.prototype.hasOwnProperty
  function isRetryError(err) {
    return err && err.code === 'EPROMISERETRY' && hasOwn.call(err, 'retried')
  }
  function promiseRetry(fn, options) {
    let temp
    let operation
    if (typeof fn === 'object' && typeof options === 'function') {
      // Swap options and fn when using alternate signature (options, fn)
      temp = options
      options = fn
      fn = temp
    }
    operation = retry.operation(options)
    return new Promise(function (resolve, reject) {
      operation.attempt(function (number) {
        Promise.resolve()
          .then(function () {
            return fn(function (err) {
              if (isRetryError(err)) {
                err = err.retried
              }
              throw errcode(new Error('Retrying'), 'EPROMISERETRY', {
                retried: err
              })
            }, number)
          })
          .then(resolve, function (err) {
            if (isRetryError(err)) {
              err = err.retried
              if (operation.retry(err || new Error())) {
                return
              }
            }
            reject(err)
          })
      })
    })
  }
  promiseRetry_1 = promiseRetry
  return promiseRetry_1
}

let lib$1
let hasRequiredLib$2
function requireLib$2() {
  if (hasRequiredLib$2) {
    return lib$1
  }
  hasRequiredLib$2 = 1
  const META = Symbol('proc-log.meta')
  lib$1 = {
    META: META,
    output: {
      LEVELS: ['standard', 'error', 'buffer', 'flush'],
      KEYS: {
        standard: 'standard',
        error: 'error',
        buffer: 'buffer',
        flush: 'flush'
      },
      standard: function (...args) {
        return process.emit('output', 'standard', ...args)
      },
      error: function (...args) {
        return process.emit('output', 'error', ...args)
      },
      buffer: function (...args) {
        return process.emit('output', 'buffer', ...args)
      },
      flush: function (...args) {
        return process.emit('output', 'flush', ...args)
      }
    },
    log: {
      LEVELS: [
        'notice',
        'error',
        'warn',
        'info',
        'verbose',
        'http',
        'silly',
        'timing',
        'pause',
        'resume'
      ],
      KEYS: {
        notice: 'notice',
        error: 'error',
        warn: 'warn',
        info: 'info',
        verbose: 'verbose',
        http: 'http',
        silly: 'silly',
        timing: 'timing',
        pause: 'pause',
        resume: 'resume'
      },
      error: function (...args) {
        return process.emit('log', 'error', ...args)
      },
      notice: function (...args) {
        return process.emit('log', 'notice', ...args)
      },
      warn: function (...args) {
        return process.emit('log', 'warn', ...args)
      },
      info: function (...args) {
        return process.emit('log', 'info', ...args)
      },
      verbose: function (...args) {
        return process.emit('log', 'verbose', ...args)
      },
      http: function (...args) {
        return process.emit('log', 'http', ...args)
      },
      silly: function (...args) {
        return process.emit('log', 'silly', ...args)
      },
      timing: function (...args) {
        return process.emit('log', 'timing', ...args)
      },
      pause: function () {
        return process.emit('log', 'pause')
      },
      resume: function () {
        return process.emit('log', 'resume')
      }
    },
    time: {
      LEVELS: ['start', 'end'],
      KEYS: {
        start: 'start',
        end: 'end'
      },
      start: function (name, fn) {
        process.emit('time', 'start', name)
        function end() {
          return process.emit('time', 'end', name)
        }
        if (typeof fn === 'function') {
          const res = fn()
          if (res && res.finally) {
            return res.finally(end)
          }
          end()
          return res
        }
        return end
      },
      end: function (name) {
        return process.emit('time', 'end', name)
      }
    },
    input: {
      LEVELS: ['start', 'end', 'read'],
      KEYS: {
        start: 'start',
        end: 'end',
        read: 'read'
      },
      start: function (fn) {
        process.emit('input', 'start')
        function end() {
          return process.emit('input', 'end')
        }
        if (typeof fn === 'function') {
          const res = fn()
          if (res && res.finally) {
            return res.finally(end)
          }
          end()
          return res
        }
        return end
      },
      end: function () {
        return process.emit('input', 'end')
      },
      read: function (...args) {
        let resolve, reject
        const promise = new Promise((_resolve, _reject) => {
          resolve = _resolve
          reject = _reject
        })
        process.emit('input', 'read', resolve, reject, ...args)
        return promise
      }
    }
  }
  return lib$1
}

let dns_1
let hasRequiredDns
function requireDns() {
  if (hasRequiredDns) {
    return dns_1
  }
  hasRequiredDns = 1
  const { LRUCache } = /*@__PURE__*/ requireCommonjs$3()
  const dns = require$$0$8

  // this is a factory so that each request can have its own opts (i.e. ttl)
  // while still sharing the cache across all requests
  const cache = new LRUCache({
    max: 50
  })
  const getOptions = ({
    family = 0,
    hints = dns.ADDRCONFIG,
    all = false,
    verbatim = undefined,
    ttl = 5 * 60 * 1000,
    lookup = dns.lookup
  }) => ({
    // hints and lookup are returned since both are top level properties to (net|tls).connect
    hints,
    lookup: (hostname, ...args) => {
      const callback = args.pop() // callback is always last arg
      const lookupOptions = args[0] ?? {}
      const options = {
        family,
        hints,
        all,
        verbatim,
        ...(typeof lookupOptions === 'number'
          ? {
              family: lookupOptions
            }
          : lookupOptions)
      }
      const key = JSON.stringify({
        hostname,
        ...options
      })
      if (cache.has(key)) {
        const cached = cache.get(key)
        return process.nextTick(callback, null, ...cached)
      }
      lookup(hostname, options, (err, ...result) => {
        if (err) {
          return callback(err)
        }
        cache.set(key, result, {
          ttl
        })
        return callback(null, ...result)
      })
    }
  })
  dns_1 = {
    cache,
    getOptions
  }
  return dns_1
}

let options
let hasRequiredOptions
function requireOptions() {
  if (hasRequiredOptions) {
    return options
  }
  hasRequiredOptions = 1
  const dns = requireDns()
  const normalizeOptions = opts => {
    const family = parseInt(opts.family ?? '0', 10)
    const keepAlive = opts.keepAlive ?? true
    const normalized = {
      // nodejs http agent options. these are all the defaults
      // but kept here to increase the likelihood of cache hits
      // https://nodejs.org/api/http.html#new-agentoptions
      keepAliveMsecs: keepAlive ? 1000 : undefined,
      maxSockets: opts.maxSockets ?? 15,
      maxTotalSockets: Infinity,
      maxFreeSockets: keepAlive ? 256 : undefined,
      scheduling: 'fifo',
      // then spread the rest of the options
      ...opts,
      // we already set these to their defaults that we want
      family,
      keepAlive,
      // our custom timeout options
      timeouts: {
        // the standard timeout option is mapped to our idle timeout
        // and then deleted below
        idle: opts.timeout ?? 0,
        connection: 0,
        response: 0,
        transfer: 0,
        ...opts.timeouts
      },
      // get the dns options that go at the top level of socket connection
      ...dns.getOptions({
        family,
        ...opts.dns
      })
    }

    // remove timeout since we already used it to set our own idle timeout
    delete normalized.timeout
    return normalized
  }
  const createKey = obj => {
    let key = ''
    const sorted = Object.entries(obj).sort((a, b) => a[0] - b[0])
    for (let [k, v] of sorted) {
      if (v == null) {
        v = 'null'
      } else if (v instanceof URL) {
        v = v.toString()
      } else if (typeof v === 'object') {
        v = createKey(v)
      }
      key += `${k}:${v}:`
    }
    return key
  }
  const cacheOptions = ({ secureEndpoint, ...options }) =>
    createKey({
      secureEndpoint: !!secureEndpoint,
      // socket connect options
      family: options.family,
      hints: options.hints,
      localAddress: options.localAddress,
      // tls specific connect options
      strictSsl: secureEndpoint ? !!options.rejectUnauthorized : false,
      ca: secureEndpoint ? options.ca : null,
      cert: secureEndpoint ? options.cert : null,
      key: secureEndpoint ? options.key : null,
      // http agent options
      keepAlive: options.keepAlive,
      keepAliveMsecs: options.keepAliveMsecs,
      maxSockets: options.maxSockets,
      maxTotalSockets: options.maxTotalSockets,
      maxFreeSockets: options.maxFreeSockets,
      scheduling: options.scheduling,
      // timeout options
      timeouts: options.timeouts,
      // proxy
      proxy: options.proxy
    })
  options = {
    normalizeOptions,
    cacheOptions
  }
  return options
}

const dist$3 = {}

const src = { exports: {} }

const browser = { exports: {} }

/**
 * Helpers.
 */
let ms
let hasRequiredMs
function requireMs() {
  if (hasRequiredMs) {
    return ms
  }
  hasRequiredMs = 1
  const s = 1000
  const m = s * 60
  const h = m * 60
  const d = h * 24
  const w = d * 7
  const y = d * 365.25

  /**
   * Parse or format the given `val`.
   *
   * Options:
   *
   *  - `long` verbose formatting [false]
   *
   * @param {String|Number} val
   * @param {Object} [options]
   * @throws {Error} throw an error if val is not a non-empty string or a number
   * @return {String|Number}
   * @api public
   */

  ms = function (val, options) {
    options = options || {}
    const type = typeof val
    if (type === 'string' && val.length > 0) {
      return parse(val)
    } else if (type === 'number' && isFinite(val)) {
      return options.long ? fmtLong(val) : fmtShort(val)
    }
    throw new Error(
      'val is not a non-empty string or a valid number. val=' +
        JSON.stringify(val)
    )
  }

  /**
   * Parse the given `str` and return milliseconds.
   *
   * @param {String} str
   * @return {Number}
   * @api private
   */

  function parse(str) {
    str = String(str)
    if (str.length > 100) {
      return
    }
    const match =
      /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(
        str
      )
    if (!match) {
      return
    }
    const n = parseFloat(match[1])
    const type = (match[2] || 'ms').toLowerCase()
    switch (type) {
      case 'years':
      case 'year':
      case 'yrs':
      case 'yr':
      case 'y':
        return n * y
      case 'weeks':
      case 'week':
      case 'w':
        return n * w
      case 'days':
      case 'day':
      case 'd':
        return n * d
      case 'hours':
      case 'hour':
      case 'hrs':
      case 'hr':
      case 'h':
        return n * h
      case 'minutes':
      case 'minute':
      case 'mins':
      case 'min':
      case 'm':
        return n * m
      case 'seconds':
      case 'second':
      case 'secs':
      case 'sec':
      case 's':
        return n * s
      case 'milliseconds':
      case 'millisecond':
      case 'msecs':
      case 'msec':
      case 'ms':
        return n
      default:
        return undefined
    }
  }

  /**
   * Short format for `ms`.
   *
   * @param {Number} ms
   * @return {String}
   * @api private
   */

  function fmtShort(ms) {
    const msAbs = Math.abs(ms)
    if (msAbs >= d) {
      return Math.round(ms / d) + 'd'
    }
    if (msAbs >= h) {
      return Math.round(ms / h) + 'h'
    }
    if (msAbs >= m) {
      return Math.round(ms / m) + 'm'
    }
    if (msAbs >= s) {
      return Math.round(ms / s) + 's'
    }
    return ms + 'ms'
  }

  /**
   * Long format for `ms`.
   *
   * @param {Number} ms
   * @return {String}
   * @api private
   */

  function fmtLong(ms) {
    const msAbs = Math.abs(ms)
    if (msAbs >= d) {
      return plural(ms, msAbs, d, 'day')
    }
    if (msAbs >= h) {
      return plural(ms, msAbs, h, 'hour')
    }
    if (msAbs >= m) {
      return plural(ms, msAbs, m, 'minute')
    }
    if (msAbs >= s) {
      return plural(ms, msAbs, s, 'second')
    }
    return ms + ' ms'
  }

  /**
   * Pluralization helper.
   */

  function plural(ms, msAbs, n, name) {
    const isPlural = msAbs >= n * 1.5
    return Math.round(ms / n) + ' ' + name + (isPlural ? 's' : '')
  }
  return ms
}

let common$1
let hasRequiredCommon$1
function requireCommon$1() {
  if (hasRequiredCommon$1) {
    return common$1
  }
  hasRequiredCommon$1 = 1
  /**
   * This is the common logic for both the Node.js and web browser
   * implementations of `debug()`.
   */

  function setup(env) {
    createDebug.debug = createDebug
    createDebug.default = createDebug
    createDebug.coerce = coerce
    createDebug.disable = disable
    createDebug.enable = enable
    createDebug.enabled = enabled
    createDebug.humanize = requireMs()
    createDebug.destroy = destroy
    Object.keys(env).forEach(key => {
      createDebug[key] = env[key]
    })

    /**
     * The currently active debug mode names, and names to skip.
     */

    createDebug.names = []
    createDebug.skips = []

    /**
     * Map of special "%n" handling functions, for the debug "format" argument.
     *
     * Valid key names are a single, lower or upper-case letter, i.e. "n" and "N".
     */
    createDebug.formatters = {}

    /**
     * Selects a color for a debug namespace
     * @param {String} namespace The namespace string for the debug instance to be colored
     * @return {Number|String} An ANSI color code for the given namespace
     * @api private
     */
    function selectColor(namespace) {
      let hash = 0
      for (let i = 0; i < namespace.length; i++) {
        hash = (hash << 5) - hash + namespace.charCodeAt(i)
        hash |= 0 // Convert to 32bit integer
      }
      return createDebug.colors[Math.abs(hash) % createDebug.colors.length]
    }
    createDebug.selectColor = selectColor

    /**
     * Create a debugger with the given `namespace`.
     *
     * @param {String} namespace
     * @return {Function}
     * @api public
     */
    function createDebug(namespace) {
      let prevTime
      let enableOverride = null
      let namespacesCache
      let enabledCache
      function debug(...args) {
        // Disabled?
        if (!debug.enabled) {
          return
        }
        const self = debug

        // Set `diff` timestamp
        const curr = Number(new Date())
        const ms = curr - (prevTime || curr)
        self.diff = ms
        self.prev = prevTime
        self.curr = curr
        prevTime = curr
        args[0] = createDebug.coerce(args[0])
        if (typeof args[0] !== 'string') {
          // Anything else let's inspect with %O
          args.unshift('%O')
        }

        // Apply any `formatters` transformations
        let index = 0
        args[0] = args[0].replace(/%([a-zA-Z%])/g, (match, format) => {
          // If we encounter an escaped % then don't increase the array index
          if (match === '%%') {
            return '%'
          }
          index++
          const formatter = createDebug.formatters[format]
          if (typeof formatter === 'function') {
            const val = args[index]
            match = formatter.call(self, val)

            // Now we need to remove `args[index]` since it's inlined in the `format`
            args.splice(index, 1)
            index--
          }
          return match
        })

        // Apply env-specific formatting (colors, etc.)
        createDebug.formatArgs.call(self, args)
        const logFn = self.log || createDebug.log
        logFn.apply(self, args)
      }
      debug.namespace = namespace
      debug.useColors = createDebug.useColors()
      debug.color = createDebug.selectColor(namespace)
      debug.extend = extend
      debug.destroy = createDebug.destroy // XXX Temporary. Will be removed in the next major release.

      Object.defineProperty(debug, 'enabled', {
        enumerable: true,
        configurable: false,
        get: () => {
          if (enableOverride !== null) {
            return enableOverride
          }
          if (namespacesCache !== createDebug.namespaces) {
            namespacesCache = createDebug.namespaces
            enabledCache = createDebug.enabled(namespace)
          }
          return enabledCache
        },
        set: v => {
          enableOverride = v
        }
      })

      // Env-specific initialization logic for debug instances
      if (typeof createDebug.init === 'function') {
        createDebug.init(debug)
      }
      return debug
    }
    function extend(namespace, delimiter) {
      const newDebug = createDebug(
        this.namespace +
          (typeof delimiter === 'undefined' ? ':' : delimiter) +
          namespace
      )
      newDebug.log = this.log
      return newDebug
    }

    /**
     * Enables a debug mode by namespaces. This can include modes
     * separated by a colon and wildcards.
     *
     * @param {String} namespaces
     * @api public
     */
    function enable(namespaces) {
      createDebug.save(namespaces)
      createDebug.namespaces = namespaces
      createDebug.names = []
      createDebug.skips = []
      const split = (typeof namespaces === 'string' ? namespaces : '')
        .trim()
        .replace(/\s+/g, ',')
        .split(',')
        .filter(Boolean)
      for (const ns of split) {
        if (ns[0] === '-') {
          createDebug.skips.push(ns.slice(1))
        } else {
          createDebug.names.push(ns)
        }
      }
    }

    /**
     * Checks if the given string matches a namespace template, honoring
     * asterisks as wildcards.
     *
     * @param {String} search
     * @param {String} template
     * @return {Boolean}
     */
    function matchesTemplate(search, template) {
      let searchIndex = 0
      let templateIndex = 0
      let starIndex = -1
      let matchIndex = 0
      while (searchIndex < search.length) {
        if (
          templateIndex < template.length &&
          (template[templateIndex] === search[searchIndex] ||
            template[templateIndex] === '*')
        ) {
          // Match character or proceed with wildcard
          if (template[templateIndex] === '*') {
            starIndex = templateIndex
            matchIndex = searchIndex
            templateIndex++ // Skip the '*'
          } else {
            searchIndex++
            templateIndex++
          }
        } else if (starIndex !== -1) {
          // eslint-disable-line no-negated-condition
          // Backtrack to the last '*' and try to match more characters
          templateIndex = starIndex + 1
          matchIndex++
          searchIndex = matchIndex
        } else {
          return false // No match
        }
      }

      // Handle trailing '*' in template
      while (
        templateIndex < template.length &&
        template[templateIndex] === '*'
      ) {
        templateIndex++
      }
      return templateIndex === template.length
    }

    /**
     * Disable debug output.
     *
     * @return {String} namespaces
     * @api public
     */
    function disable() {
      const namespaces = [
        ...createDebug.names,
        ...createDebug.skips.map(namespace => '-' + namespace)
      ].join(',')
      createDebug.enable('')
      return namespaces
    }

    /**
     * Returns true if the given mode name is enabled, false otherwise.
     *
     * @param {String} name
     * @return {Boolean}
     * @api public
     */
    function enabled(name) {
      for (const skip of createDebug.skips) {
        if (matchesTemplate(name, skip)) {
          return false
        }
      }
      for (const ns of createDebug.names) {
        if (matchesTemplate(name, ns)) {
          return true
        }
      }
      return false
    }

    /**
     * Coerce `val`.
     *
     * @param {Mixed} val
     * @return {Mixed}
     * @api private
     */
    function coerce(val) {
      if (val instanceof Error) {
        return val.stack || val.message
      }
      return val
    }

    /**
     * XXX DO NOT USE. This is a temporary stub function.
     * XXX It WILL be removed in the next major release.
     */
    function destroy() {
      console.warn(
        'Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.'
      )
    }
    createDebug.enable(createDebug.load())
    return createDebug
  }
  common$1 = setup
  return common$1
}

/* eslint-env browser */
let hasRequiredBrowser
function requireBrowser() {
  if (hasRequiredBrowser) {
    return browser.exports
  }
  hasRequiredBrowser = 1
  ;(function (module, exports) {
    /**
     * This is the web browser implementation of `debug()`.
     */

    exports.formatArgs = formatArgs
    exports.save = save
    exports.load = load
    exports.useColors = useColors
    exports.storage = localstorage()
    exports.destroy = (() => {
      let warned = false
      return () => {
        if (!warned) {
          warned = true
          console.warn(
            'Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.'
          )
        }
      }
    })()

    /**
     * Colors.
     */

    exports.colors = [
      '#0000CC',
      '#0000FF',
      '#0033CC',
      '#0033FF',
      '#0066CC',
      '#0066FF',
      '#0099CC',
      '#0099FF',
      '#00CC00',
      '#00CC33',
      '#00CC66',
      '#00CC99',
      '#00CCCC',
      '#00CCFF',
      '#3300CC',
      '#3300FF',
      '#3333CC',
      '#3333FF',
      '#3366CC',
      '#3366FF',
      '#3399CC',
      '#3399FF',
      '#33CC00',
      '#33CC33',
      '#33CC66',
      '#33CC99',
      '#33CCCC',
      '#33CCFF',
      '#6600CC',
      '#6600FF',
      '#6633CC',
      '#6633FF',
      '#66CC00',
      '#66CC33',
      '#9900CC',
      '#9900FF',
      '#9933CC',
      '#9933FF',
      '#99CC00',
      '#99CC33',
      '#CC0000',
      '#CC0033',
      '#CC0066',
      '#CC0099',
      '#CC00CC',
      '#CC00FF',
      '#CC3300',
      '#CC3333',
      '#CC3366',
      '#CC3399',
      '#CC33CC',
      '#CC33FF',
      '#CC6600',
      '#CC6633',
      '#CC9900',
      '#CC9933',
      '#CCCC00',
      '#CCCC33',
      '#FF0000',
      '#FF0033',
      '#FF0066',
      '#FF0099',
      '#FF00CC',
      '#FF00FF',
      '#FF3300',
      '#FF3333',
      '#FF3366',
      '#FF3399',
      '#FF33CC',
      '#FF33FF',
      '#FF6600',
      '#FF6633',
      '#FF9900',
      '#FF9933',
      '#FFCC00',
      '#FFCC33'
    ]

    /**
     * Currently only WebKit-based Web Inspectors, Firefox >= v31,
     * and the Firebug extension (any Firefox version) are known
     * to support "%c" CSS customizations.
     *
     * TODO: add a `localStorage` variable to explicitly enable/disable colors
     */

    // eslint-disable-next-line complexity
    function useColors() {
      // NB: In an Electron preload script, document will be defined but not fully
      // initialized. Since we know we're in Chrome, we'll just detect this case
      // explicitly
      if (
        typeof window !== 'undefined' &&
        window.process &&
        (window.process.type === 'renderer' || window.process.__nwjs)
      ) {
        return true
      }

      // Internet Explorer and Edge do not support colors.
      if (
        typeof navigator !== 'undefined' &&
        navigator.userAgent &&
        navigator.userAgent.toLowerCase().match(/(edge|trident)\/(\d+)/)
      ) {
        return false
      }
      let m

      // Is webkit? http://stackoverflow.com/a/16459606/376773
      // document is undefined in react-native: https://github.com/facebook/react-native/pull/1632
      // eslint-disable-next-line no-return-assign
      return (
        (typeof document !== 'undefined' &&
          document.documentElement &&
          document.documentElement.style &&
          document.documentElement.style.WebkitAppearance) ||
        // Is firebug? http://stackoverflow.com/a/398120/376773
        (typeof window !== 'undefined' &&
          window.console &&
          (window.console.firebug ||
            (window.console.exception && window.console.table))) ||
        // Is firefox >= v31?
        // https://developer.mozilla.org/en-US/docs/Tools/Web_Console#Styling_messages
        (typeof navigator !== 'undefined' &&
          navigator.userAgent &&
          (m = navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/)) &&
          parseInt(m[1], 10) >= 31) ||
        // Double check webkit in userAgent just in case we are in a worker
        (typeof navigator !== 'undefined' &&
          navigator.userAgent &&
          navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/))
      )
    }

    /**
     * Colorize log arguments if enabled.
     *
     * @api public
     */

    function formatArgs(args) {
      args[0] =
        (this.useColors ? '%c' : '') +
        this.namespace +
        (this.useColors ? ' %c' : ' ') +
        args[0] +
        (this.useColors ? '%c ' : ' ') +
        '+' +
        module.exports.humanize(this.diff)
      if (!this.useColors) {
        return
      }
      const c = 'color: ' + this.color
      args.splice(1, 0, c, 'color: inherit')

      // The final "%c" is somewhat tricky, because there could be other
      // arguments passed either before or after the %c, so we need to
      // figure out the correct index to insert the CSS into
      let index = 0
      let lastC = 0
      args[0].replace(/%[a-zA-Z%]/g, match => {
        if (match === '%%') {
          return
        }
        index++
        if (match === '%c') {
          // We only are interested in the *last* %c
          // (the user may have provided their own)
          lastC = index
        }
      })
      args.splice(lastC, 0, c)
    }

    /**
     * Invokes `console.debug()` when available.
     * No-op when `console.debug` is not a "function".
     * If `console.debug` is not available, falls back
     * to `console.log`.
     *
     * @api public
     */
    exports.log = console.debug || console.log || (() => {})

    /**
     * Save `namespaces`.
     *
     * @param {String} namespaces
     * @api private
     */
    function save(namespaces) {
      try {
        if (namespaces) {
          exports.storage.setItem('debug', namespaces)
        } else {
          exports.storage.removeItem('debug')
        }
      } catch (error) {
        // Swallow
        // XXX (@Qix-) should we be logging these?
      }
    }

    /**
     * Load `namespaces`.
     *
     * @return {String} returns the previously persisted debug modes
     * @api private
     */
    function load() {
      let r
      try {
        r = exports.storage.getItem('debug') || exports.storage.getItem('DEBUG')
      } catch (error) {
        // Swallow
        // XXX (@Qix-) should we be logging these?
      }

      // If debug isn't set in LS, and we're in Electron, try to load $DEBUG
      if (!r && typeof process !== 'undefined' && 'env' in process) {
        r = process.env.DEBUG
      }
      return r
    }

    /**
     * Localstorage attempts to return the localstorage.
     *
     * This is necessary because safari throws
     * when a user disables cookies/localstorage
     * and you attempt to access it.
     *
     * @return {LocalStorage}
     * @api private
     */

    function localstorage() {
      try {
        // TVMLKit (Apple TV JS Runtime) does not have a window object, just localStorage in the global context
        // The Browser also has localStorage in the global context.
        return localStorage
      } catch (error) {
        // Swallow
        // XXX (@Qix-) should we be logging these?
      }
    }
    module.exports = requireCommon$1()(exports)
    const { formatters } = module.exports

    /**
     * Map %j to `JSON.stringify()`, since no Web Inspectors do that by default.
     */

    formatters.j = function (v) {
      try {
        return JSON.stringify(v)
      } catch (error) {
        return '[UnexpectedJSONParseError]: ' + error.message
      }
    }
  })(browser, browser.exports)
  return browser.exports
}

const node = { exports: {} }

let hasFlag
let hasRequiredHasFlag
function requireHasFlag() {
  if (hasRequiredHasFlag) {
    return hasFlag
  }
  hasRequiredHasFlag = 1
  hasFlag = (flag, argv = process.argv) => {
    const prefix = flag.startsWith('-') ? '' : flag.length === 1 ? '-' : '--'
    const position = argv.indexOf(prefix + flag)
    const terminatorPosition = argv.indexOf('--')
    return (
      position !== -1 &&
      (terminatorPosition === -1 || position < terminatorPosition)
    )
  }
  return hasFlag
}

let supportsColor_1
let hasRequiredSupportsColor
function requireSupportsColor() {
  if (hasRequiredSupportsColor) {
    return supportsColor_1
  }
  hasRequiredSupportsColor = 1
  const os = require$$1$3
  const tty = require$$1$5
  const hasFlag = requireHasFlag()
  const { env } = process
  let forceColor
  if (
    hasFlag('no-color') ||
    hasFlag('no-colors') ||
    hasFlag('color=false') ||
    hasFlag('color=never')
  ) {
    forceColor = 0
  } else if (
    hasFlag('color') ||
    hasFlag('colors') ||
    hasFlag('color=true') ||
    hasFlag('color=always')
  ) {
    forceColor = 1
  }
  if ('FORCE_COLOR' in env) {
    if (env.FORCE_COLOR === 'true') {
      forceColor = 1
    } else if (env.FORCE_COLOR === 'false') {
      forceColor = 0
    } else {
      forceColor =
        env.FORCE_COLOR.length === 0
          ? 1
          : Math.min(parseInt(env.FORCE_COLOR, 10), 3)
    }
  }
  function translateLevel(level) {
    if (level === 0) {
      return false
    }
    return {
      level,
      hasBasic: true,
      has256: level >= 2,
      has16m: level >= 3
    }
  }
  function supportsColor(haveStream, streamIsTTY) {
    if (forceColor === 0) {
      return 0
    }
    if (
      hasFlag('color=16m') ||
      hasFlag('color=full') ||
      hasFlag('color=truecolor')
    ) {
      return 3
    }
    if (hasFlag('color=256')) {
      return 2
    }
    if (haveStream && !streamIsTTY && forceColor === undefined) {
      return 0
    }
    const min = forceColor || 0
    if (env.TERM === 'dumb') {
      return min
    }
    if (process.platform === 'win32') {
      // Windows 10 build 10586 is the first Windows release that supports 256 colors.
      // Windows 10 build 14931 is the first release that supports 16m/TrueColor.
      const osRelease = os.release().split('.')
      if (Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
        return Number(osRelease[2]) >= 14931 ? 3 : 2
      }
      return 1
    }
    if ('CI' in env) {
      if (
        [
          'TRAVIS',
          'CIRCLECI',
          'APPVEYOR',
          'GITLAB_CI',
          'GITHUB_ACTIONS',
          'BUILDKITE'
        ].some(sign => sign in env) ||
        env.CI_NAME === 'codeship'
      ) {
        return 1
      }
      return min
    }
    if ('TEAMCITY_VERSION' in env) {
      return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env.TEAMCITY_VERSION) ? 1 : 0
    }
    if (env.COLORTERM === 'truecolor') {
      return 3
    }
    if ('TERM_PROGRAM' in env) {
      const version = parseInt(
        (env.TERM_PROGRAM_VERSION || '').split('.')[0],
        10
      )
      switch (env.TERM_PROGRAM) {
        case 'iTerm.app':
          return version >= 3 ? 3 : 2
        case 'Apple_Terminal':
          return 2
        // No default
      }
    }
    if (/-256(color)?$/i.test(env.TERM)) {
      return 2
    }
    if (
      /^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(
        env.TERM
      )
    ) {
      return 1
    }
    if ('COLORTERM' in env) {
      return 1
    }
    return min
  }
  function getSupportLevel(stream) {
    const level = supportsColor(stream, stream && stream.isTTY)
    return translateLevel(level)
  }
  supportsColor_1 = {
    supportsColor: getSupportLevel,
    stdout: translateLevel(supportsColor(true, tty.isatty(1))),
    stderr: translateLevel(supportsColor(true, tty.isatty(2)))
  }
  return supportsColor_1
}

/**
 * Module dependencies.
 */
let hasRequiredNode
function requireNode() {
  if (hasRequiredNode) {
    return node.exports
  }
  hasRequiredNode = 1
  ;(function (module, exports) {
    const tty = require$$1$5
    const util = require$$0$b

    /**
     * This is the Node.js implementation of `debug()`.
     */

    exports.init = init
    exports.log = log
    exports.formatArgs = formatArgs
    exports.save = save
    exports.load = load
    exports.useColors = useColors
    exports.destroy = util.deprecate(
      () => {},
      'Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.'
    )

    /**
     * Colors.
     */

    exports.colors = [6, 2, 3, 4, 5, 1]
    try {
      // Optional dependency (as in, doesn't need to be installed, NOT like optionalDependencies in package.json)
      // eslint-disable-next-line import/no-extraneous-dependencies
      const supportsColor = requireSupportsColor()
      if (supportsColor && (supportsColor.stderr || supportsColor).level >= 2) {
        exports.colors = [
          20, 21, 26, 27, 32, 33, 38, 39, 40, 41, 42, 43, 44, 45, 56, 57, 62,
          63, 68, 69, 74, 75, 76, 77, 78, 79, 80, 81, 92, 93, 98, 99, 112, 113,
          128, 129, 134, 135, 148, 149, 160, 161, 162, 163, 164, 165, 166, 167,
          168, 169, 170, 171, 172, 173, 178, 179, 184, 185, 196, 197, 198, 199,
          200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 214, 215, 220, 221
        ]
      }
    } catch (error) {
      // Swallow - we only care if `supports-color` is available; it doesn't have to be.
    }

    /**
     * Build up the default `inspectOpts` object from the environment variables.
     *
     *   $ DEBUG_COLORS=no DEBUG_DEPTH=10 DEBUG_SHOW_HIDDEN=enabled node script.js
     */

    exports.inspectOpts = Object.keys(process.env)
      .filter(key => {
        return /^debug_/i.test(key)
      })
      .reduce((obj, key) => {
        // Camel-case
        const prop = key
          .substring(6)
          .toLowerCase()
          .replace(/_([a-z])/g, (_, k) => {
            return k.toUpperCase()
          })

        // Coerce string value into JS value
        let val = process.env[key]
        if (/^(yes|on|true|enabled)$/i.test(val)) {
          val = true
        } else if (/^(no|off|false|disabled)$/i.test(val)) {
          val = false
        } else if (val === 'null') {
          val = null
        } else {
          val = Number(val)
        }
        obj[prop] = val
        return obj
      }, {})

    /**
     * Is stdout a TTY? Colored output is enabled when `true`.
     */

    function useColors() {
      return 'colors' in exports.inspectOpts
        ? Boolean(exports.inspectOpts.colors)
        : tty.isatty(process.stderr.fd)
    }

    /**
     * Adds ANSI color escape codes if enabled.
     *
     * @api public
     */

    function formatArgs(args) {
      const { namespace: name, useColors } = this
      if (useColors) {
        const c = this.color
        const colorCode = '\u001B[3' + (c < 8 ? c : '8;5;' + c)
        const prefix = `  ${colorCode};1m${name} \u001B[0m`
        args[0] = prefix + args[0].split('\n').join('\n' + prefix)
        args.push(
          colorCode + 'm+' + module.exports.humanize(this.diff) + '\u001B[0m'
        )
      } else {
        args[0] = getDate() + name + ' ' + args[0]
      }
    }
    function getDate() {
      if (exports.inspectOpts.hideDate) {
        return ''
      }
      return new Date().toISOString() + ' '
    }

    /**
     * Invokes `util.formatWithOptions()` with the specified arguments and writes to stderr.
     */

    function log(...args) {
      return process.stderr.write(
        util.formatWithOptions(exports.inspectOpts, ...args) + '\n'
      )
    }

    /**
     * Save `namespaces`.
     *
     * @param {String} namespaces
     * @api private
     */
    function save(namespaces) {
      if (namespaces) {
        process.env.DEBUG = namespaces
      } else {
        // If you set a process.env field to null or undefined, it gets cast to the
        // string 'null' or 'undefined'. Just delete instead.
        delete process.env.DEBUG
      }
    }

    /**
     * Load `namespaces`.
     *
     * @return {String} returns the previously persisted debug modes
     * @api private
     */

    function load() {
      return process.env.DEBUG
    }

    /**
     * Init logic for `debug` instances.
     *
     * Create a new `inspectOpts` object in case `useColors` is set
     * differently for a particular `debug` instance.
     */

    function init(debug) {
      debug.inspectOpts = {}
      const keys = Object.keys(exports.inspectOpts)
      for (let i = 0; i < keys.length; i++) {
        debug.inspectOpts[keys[i]] = exports.inspectOpts[keys[i]]
      }
    }
    module.exports = requireCommon$1()(exports)
    const { formatters } = module.exports

    /**
     * Map %o to `util.inspect()`, all on a single line.
     */

    formatters.o = function (v) {
      this.inspectOpts.colors = this.useColors
      return util
        .inspect(v, this.inspectOpts)
        .split('\n')
        .map(str => str.trim())
        .join(' ')
    }

    /**
     * Map %O to `util.inspect()`, allowing multiple lines if needed.
     */

    formatters.O = function (v) {
      this.inspectOpts.colors = this.useColors
      return util.inspect(v, this.inspectOpts)
    }
  })(node, node.exports)
  return node.exports
}

/**
 * Detect Electron renderer / nwjs process, which is node, but we should
 * treat as a browser.
 */
let hasRequiredSrc
function requireSrc() {
  if (hasRequiredSrc) {
    return src.exports
  }
  hasRequiredSrc = 1
  if (
    typeof process === 'undefined' ||
    process.type === 'renderer' ||
    process.browser === true ||
    process.__nwjs
  ) {
    src.exports = requireBrowser()
  } else {
    src.exports = requireNode()
  }
  return src.exports
}

const dist$2 = {}

const helpers$2 = {}

let hasRequiredHelpers$2
function requireHelpers$2() {
  if (hasRequiredHelpers$2) {
    return helpers$2
  }
  hasRequiredHelpers$2 = 1
  const __createBinding =
    (this && this.__createBinding) ||
    (Object.create
      ? function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          let desc = Object.getOwnPropertyDescriptor(m, k)
          if (
            !desc ||
            ('get' in desc ? !m.__esModule : desc.writable || desc.configurable)
          ) {
            desc = {
              enumerable: true,
              get: function () {
                return m[k]
              }
            }
          }
          Object.defineProperty(o, k2, desc)
        }
      : function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          o[k2] = m[k]
        })
  const __setModuleDefault =
    (this && this.__setModuleDefault) ||
    (Object.create
      ? function (o, v) {
          Object.defineProperty(o, 'default', {
            enumerable: true,
            value: v
          })
        }
      : function (o, v) {
          o['default'] = v
        })
  const __importStar =
    (this && this.__importStar) ||
    function (mod) {
      if (mod && mod.__esModule) {
        return mod
      }
      const result = {}
      if (mod != null) {
        for (var k in mod)
          if (k !== 'default' && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k)
      }
      __setModuleDefault(result, mod)
      return result
    }
  Object.defineProperty(helpers$2, '__esModule', {
    value: true
  })
  helpers$2.req = helpers$2.json = helpers$2.toBuffer = void 0
  const http = __importStar(require$$0$6)
  const https = __importStar(require$$2$3)
  async function toBuffer(stream) {
    let length = 0
    const chunks = []
    for await (const chunk of stream) {
      length += chunk.length
      chunks.push(chunk)
    }
    return Buffer.concat(chunks, length)
  }
  helpers$2.toBuffer = toBuffer
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  async function json(stream) {
    const buf = await toBuffer(stream)
    const str = buf.toString('utf8')
    try {
      return JSON.parse(str)
    } catch (_err) {
      const err = _err
      err.message += ` (input: ${str})`
      throw err
    }
  }
  helpers$2.json = json
  function req(url, opts = {}) {
    const href = typeof url === 'string' ? url : url.href
    const req = (href.startsWith('https:') ? https : http).request(url, opts)
    const promise = new Promise((resolve, reject) => {
      req.once('response', resolve).once('error', reject).end()
    })
    req.then = promise.then.bind(promise)
    return req
  }
  helpers$2.req = req
  return helpers$2
}

let hasRequiredDist$3
function requireDist$3() {
  if (hasRequiredDist$3) {
    return dist$2
  }
  hasRequiredDist$3 = 1
  ;(function (exports) {
    const __createBinding =
      (this && this.__createBinding) ||
      (Object.create
        ? function (o, m, k, k2) {
            if (k2 === undefined) {
              k2 = k
            }
            let desc = Object.getOwnPropertyDescriptor(m, k)
            if (
              !desc ||
              ('get' in desc
                ? !m.__esModule
                : desc.writable || desc.configurable)
            ) {
              desc = {
                enumerable: true,
                get: function () {
                  return m[k]
                }
              }
            }
            Object.defineProperty(o, k2, desc)
          }
        : function (o, m, k, k2) {
            if (k2 === undefined) {
              k2 = k
            }
            o[k2] = m[k]
          })
    const __setModuleDefault =
      (this && this.__setModuleDefault) ||
      (Object.create
        ? function (o, v) {
            Object.defineProperty(o, 'default', {
              enumerable: true,
              value: v
            })
          }
        : function (o, v) {
            o['default'] = v
          })
    const __importStar =
      (this && this.__importStar) ||
      function (mod) {
        if (mod && mod.__esModule) {
          return mod
        }
        const result = {}
        if (mod != null) {
          for (var k in mod)
            if (k !== 'default' && Object.prototype.hasOwnProperty.call(mod, k))
              __createBinding(result, mod, k)
        }
        __setModuleDefault(result, mod)
        return result
      }
    const __exportStar =
      (this && this.__exportStar) ||
      function (m, exports) {
        for (const p in m) {
          if (
            p !== 'default' &&
            !Object.prototype.hasOwnProperty.call(exports, p)
          )
            __createBinding(exports, m, p)
        }
      }
    Object.defineProperty(exports, '__esModule', {
      value: true
    })
    exports.Agent = void 0
    const net = __importStar(require$$0$d)
    const http = __importStar(require$$0$6)
    const https_1 = require$$2$3
    __exportStar(requireHelpers$2(), exports)
    const INTERNAL = Symbol('AgentBaseInternalState')
    class Agent extends http.Agent {
      constructor(opts) {
        super(opts)
        this[INTERNAL] = {}
      }
      /**
       * Determine whether this is an `http` or `https` request.
       */
      isSecureEndpoint(options) {
        if (options) {
          // First check the `secureEndpoint` property explicitly, since this
          // means that a parent `Agent` is "passing through" to this instance.
          // eslint-disable-next-line @typescript-eslint/no-explicit-any
          if (typeof options.secureEndpoint === 'boolean') {
            return options.secureEndpoint
          }
          // If no explicit `secure` endpoint, check if `protocol` property is
          // set. This will usually be the case since using a full string URL
          // or `URL` instance should be the most common usage.
          if (typeof options.protocol === 'string') {
            return options.protocol === 'https:'
          }
        }
        // Finally, if no `protocol` property was set, then fall back to
        // checking the stack trace of the current call stack, and try to
        // detect the "https" module.
        const { stack } = new Error()
        if (typeof stack !== 'string') {
          return false
        }
        return stack
          .split('\n')
          .some(
            l =>
              l.indexOf('(https.js:') !== -1 || l.indexOf('node:https:') !== -1
          )
      }
      // In order to support async signatures in `connect()` and Node's native
      // connection pooling in `http.Agent`, the array of sockets for each origin
      // has to be updated synchronously. This is so the length of the array is
      // accurate when `addRequest()` is next called. We achieve this by creating a
      // fake socket and adding it to `sockets[origin]` and incrementing
      // `totalSocketCount`.
      incrementSockets(name) {
        // If `maxSockets` and `maxTotalSockets` are both Infinity then there is no
        // need to create a fake socket because Node.js native connection pooling
        // will never be invoked.
        if (this.maxSockets === Infinity && this.maxTotalSockets === Infinity) {
          return null
        }
        // All instances of `sockets` are expected TypeScript errors. The
        // alternative is to add it as a private property of this class but that
        // will break TypeScript subclassing.
        if (!this.sockets[name]) {
          // @ts-expect-error `sockets` is readonly in `@types/node`
          this.sockets[name] = []
        }
        const fakeSocket = new net.Socket({
          writable: false
        })
        this.sockets[name].push(fakeSocket)
        // @ts-expect-error `totalSocketCount` isn't defined in `@types/node`
        this.totalSocketCount++
        return fakeSocket
      }
      decrementSockets(name, socket) {
        if (!this.sockets[name] || socket === null) {
          return
        }
        const sockets = this.sockets[name]
        const index = sockets.indexOf(socket)
        if (index !== -1) {
          sockets.splice(index, 1)
          // @ts-expect-error  `totalSocketCount` isn't defined in `@types/node`
          this.totalSocketCount--
          if (sockets.length === 0) {
            // @ts-expect-error `sockets` is readonly in `@types/node`
            delete this.sockets[name]
          }
        }
      }
      // In order to properly update the socket pool, we need to call `getName()` on
      // the core `https.Agent` if it is a secureEndpoint.
      getName(options) {
        const secureEndpoint =
          typeof options.secureEndpoint === 'boolean'
            ? options.secureEndpoint
            : this.isSecureEndpoint(options)
        if (secureEndpoint) {
          // @ts-expect-error `getName()` isn't defined in `@types/node`
          return https_1.Agent.prototype.getName.call(this, options)
        }
        // @ts-expect-error `getName()` isn't defined in `@types/node`
        return super.getName(options)
      }
      createSocket(req, options, cb) {
        const connectOpts = {
          ...options,
          secureEndpoint: this.isSecureEndpoint(options)
        }
        const name = this.getName(connectOpts)
        const fakeSocket = this.incrementSockets(name)
        Promise.resolve()
          .then(() => this.connect(req, connectOpts))
          .then(
            socket => {
              this.decrementSockets(name, fakeSocket)
              if (socket instanceof http.Agent) {
                try {
                  // @ts-expect-error `addRequest()` isn't defined in `@types/node`
                  return socket.addRequest(req, connectOpts)
                } catch (err) {
                  return cb(err)
                }
              }
              this[INTERNAL].currentSocket = socket
              // @ts-expect-error `createSocket()` isn't defined in `@types/node`
              super.createSocket(req, options, cb)
            },
            err => {
              this.decrementSockets(name, fakeSocket)
              cb(err)
            }
          )
      }
      createConnection() {
        const socket = this[INTERNAL].currentSocket
        this[INTERNAL].currentSocket = undefined
        if (!socket) {
          throw new Error('No socket was returned in the `connect()` function')
        }
        return socket
      }
      get defaultPort() {
        return (
          this[INTERNAL].defaultPort ?? (this.protocol === 'https:' ? 443 : 80)
        )
      }
      set defaultPort(v) {
        if (this[INTERNAL]) {
          this[INTERNAL].defaultPort = v
        }
      }
      get protocol() {
        return (
          this[INTERNAL].protocol ??
          (this.isSecureEndpoint() ? 'https:' : 'http:')
        )
      }
      set protocol(v) {
        if (this[INTERNAL]) {
          this[INTERNAL].protocol = v
        }
      }
    }
    exports.Agent = Agent
  })(dist$2)
  return dist$2
}

let hasRequiredDist$2
function requireDist$2() {
  if (hasRequiredDist$2) {
    return dist$3
  }
  hasRequiredDist$2 = 1
  const __createBinding =
    (this && this.__createBinding) ||
    (Object.create
      ? function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          let desc = Object.getOwnPropertyDescriptor(m, k)
          if (
            !desc ||
            ('get' in desc ? !m.__esModule : desc.writable || desc.configurable)
          ) {
            desc = {
              enumerable: true,
              get: function () {
                return m[k]
              }
            }
          }
          Object.defineProperty(o, k2, desc)
        }
      : function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          o[k2] = m[k]
        })
  const __setModuleDefault =
    (this && this.__setModuleDefault) ||
    (Object.create
      ? function (o, v) {
          Object.defineProperty(o, 'default', {
            enumerable: true,
            value: v
          })
        }
      : function (o, v) {
          o['default'] = v
        })
  const __importStar =
    (this && this.__importStar) ||
    function (mod) {
      if (mod && mod.__esModule) {
        return mod
      }
      const result = {}
      if (mod != null) {
        for (var k in mod)
          if (k !== 'default' && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k)
      }
      __setModuleDefault(result, mod)
      return result
    }
  const __importDefault =
    (this && this.__importDefault) ||
    function (mod) {
      return mod && mod.__esModule
        ? mod
        : {
            default: mod
          }
    }
  Object.defineProperty(dist$3, '__esModule', {
    value: true
  })
  dist$3.HttpProxyAgent = void 0
  const net = __importStar(require$$0$d)
  const tls = __importStar(require$$1$6)
  const debug_1 = __importDefault(requireSrc())
  const events_1 = require$$0$5
  const agent_base_1 = requireDist$3()
  const url_1 = require$$0$7
  const debug = (0, debug_1.default)('http-proxy-agent')
  /**
   * The `HttpProxyAgent` implements an HTTP Agent subclass that connects
   * to the specified "HTTP proxy server" in order to proxy HTTP requests.
   */
  class HttpProxyAgent extends agent_base_1.Agent {
    constructor(proxy, opts) {
      super(opts)
      this.proxy = typeof proxy === 'string' ? new url_1.URL(proxy) : proxy
      this.proxyHeaders = opts?.headers ?? {}
      debug('Creating new HttpProxyAgent instance: %o', this.proxy.href)
      // Trim off the brackets from IPv6 addresses
      const host = (this.proxy.hostname || this.proxy.host).replace(
        /^\[|\]$/g,
        ''
      )
      const port = this.proxy.port
        ? parseInt(this.proxy.port, 10)
        : this.proxy.protocol === 'https:'
          ? 443
          : 80
      this.connectOpts = {
        ...(opts ? omit(opts, 'headers') : null),
        host,
        port
      }
    }
    addRequest(req, opts) {
      req._header = null
      this.setRequestProps(req, opts)
      // @ts-expect-error `addRequest()` isn't defined in `@types/node`
      super.addRequest(req, opts)
    }
    setRequestProps(req, opts) {
      const { proxy } = this
      const protocol = opts.secureEndpoint ? 'https:' : 'http:'
      const hostname = req.getHeader('host') || 'localhost'
      const base = `${protocol}//${hostname}`
      const url = new url_1.URL(req.path, base)
      if (opts.port !== 80) {
        url.port = String(opts.port)
      }
      // Change the `http.ClientRequest` instance's "path" field
      // to the absolute path of the URL that will be requested.
      req.path = String(url)
      // Inject the `Proxy-Authorization` header if necessary.
      const headers =
        typeof this.proxyHeaders === 'function'
          ? this.proxyHeaders()
          : {
              ...this.proxyHeaders
            }
      if (proxy.username || proxy.password) {
        const auth = `${decodeURIComponent(proxy.username)}:${decodeURIComponent(proxy.password)}`
        headers['Proxy-Authorization'] =
          `Basic ${Buffer.from(auth).toString('base64')}`
      }
      if (!headers['Proxy-Connection']) {
        headers['Proxy-Connection'] = this.keepAlive ? 'Keep-Alive' : 'close'
      }
      for (const name of Object.keys(headers)) {
        const value = headers[name]
        if (value) {
          req.setHeader(name, value)
        }
      }
    }
    async connect(req, opts) {
      req._header = null
      if (!req.path.includes('://')) {
        this.setRequestProps(req, opts)
      }
      // At this point, the http ClientRequest's internal `_header` field
      // might have already been set. If this is the case then we'll need
      // to re-generate the string since we just changed the `req.path`.
      let first
      let endOfHeaders
      debug('Regenerating stored HTTP header string for request')
      req._implicitHeader()
      if (req.outputData && req.outputData.length > 0) {
        debug('Patching connection write() output buffer with updated header')
        first = req.outputData[0].data
        endOfHeaders = first.indexOf('\r\n\r\n') + 4
        req.outputData[0].data = req._header + first.substring(endOfHeaders)
        debug('Output buffer: %o', req.outputData[0].data)
      }
      // Create a socket connection to the proxy server.
      let socket
      if (this.proxy.protocol === 'https:') {
        debug('Creating `tls.Socket`: %o', this.connectOpts)
        socket = tls.connect(this.connectOpts)
      } else {
        debug('Creating `net.Socket`: %o', this.connectOpts)
        socket = net.connect(this.connectOpts)
      }
      // Wait for the socket's `connect` event, so that this `callback()`
      // function throws instead of the `http` request machinery. This is
      // important for i.e. `PacProxyAgent` which determines a failed proxy
      // connection via the `callback()` function throwing.
      await (0, events_1.once)(socket, 'connect')
      return socket
    }
  }
  HttpProxyAgent.protocols = ['http', 'https']
  dist$3.HttpProxyAgent = HttpProxyAgent
  function omit(obj, ...keys) {
    const ret = {}
    let key
    for (key in obj) {
      if (!keys.includes(key)) {
        ret[key] = obj[key]
      }
    }
    return ret
  }
  return dist$3
}

const dist$1 = {}

const parseProxyResponse = {}

let hasRequiredParseProxyResponse
function requireParseProxyResponse() {
  if (hasRequiredParseProxyResponse) {
    return parseProxyResponse
  }
  hasRequiredParseProxyResponse = 1
  const __importDefault =
    (this && this.__importDefault) ||
    function (mod) {
      return mod && mod.__esModule
        ? mod
        : {
            default: mod
          }
    }
  Object.defineProperty(parseProxyResponse, '__esModule', {
    value: true
  })
  parseProxyResponse.parseProxyResponse = void 0
  const debug_1 = __importDefault(requireSrc())
  const debug = (0, debug_1.default)('https-proxy-agent:parse-proxy-response')
  function parseProxyResponse$1(socket) {
    return new Promise((resolve, reject) => {
      // we need to buffer any HTTP traffic that happens with the proxy before we get
      // the CONNECT response, so that if the response is anything other than an "200"
      // response code, then we can re-play the "data" events on the socket once the
      // HTTP parser is hooked up...
      let buffersLength = 0
      const buffers = []
      function read() {
        const b = socket.read()
        if (b) {
          ondata(b)
        } else {
          socket.once('readable', read)
        }
      }
      function cleanup() {
        socket.removeListener('end', onend)
        socket.removeListener('error', onerror)
        socket.removeListener('readable', read)
      }
      function onend() {
        cleanup()
        debug('onend')
        reject(
          new Error('Proxy connection ended before receiving CONNECT response')
        )
      }
      function onerror(err) {
        cleanup()
        debug('onerror %o', err)
        reject(err)
      }
      function ondata(b) {
        buffers.push(b)
        buffersLength += b.length
        const buffered = Buffer.concat(buffers, buffersLength)
        const endOfHeaders = buffered.indexOf('\r\n\r\n')
        if (endOfHeaders === -1) {
          // keep buffering
          debug('have not received end of HTTP headers yet...')
          read()
          return
        }
        const headerParts = buffered
          .slice(0, endOfHeaders)
          .toString('ascii')
          .split('\r\n')
        const firstLine = headerParts.shift()
        if (!firstLine) {
          socket.destroy()
          return reject(
            new Error('No header received from proxy CONNECT response')
          )
        }
        const firstLineParts = firstLine.split(' ')
        const statusCode = +firstLineParts[1]
        const statusText = firstLineParts.slice(2).join(' ')
        const headers = {}
        for (const header of headerParts) {
          if (!header) {
            continue
          }
          const firstColon = header.indexOf(':')
          if (firstColon === -1) {
            socket.destroy()
            return reject(
              new Error(
                `Invalid header from proxy CONNECT response: "${header}"`
              )
            )
          }
          const key = header.slice(0, firstColon).toLowerCase()
          const value = header.slice(firstColon + 1).trimStart()
          const current = headers[key]
          if (typeof current === 'string') {
            headers[key] = [current, value]
          } else if (Array.isArray(current)) {
            current.push(value)
          } else {
            headers[key] = value
          }
        }
        debug('got proxy server response: %o %o', firstLine, headers)
        cleanup()
        resolve({
          connect: {
            statusCode,
            statusText,
            headers
          },
          buffered
        })
      }
      socket.on('error', onerror)
      socket.on('end', onend)
      read()
    })
  }
  parseProxyResponse.parseProxyResponse = parseProxyResponse$1
  return parseProxyResponse
}

let hasRequiredDist$1
function requireDist$1() {
  if (hasRequiredDist$1) {
    return dist$1
  }
  hasRequiredDist$1 = 1
  const __createBinding =
    (this && this.__createBinding) ||
    (Object.create
      ? function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          let desc = Object.getOwnPropertyDescriptor(m, k)
          if (
            !desc ||
            ('get' in desc ? !m.__esModule : desc.writable || desc.configurable)
          ) {
            desc = {
              enumerable: true,
              get: function () {
                return m[k]
              }
            }
          }
          Object.defineProperty(o, k2, desc)
        }
      : function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          o[k2] = m[k]
        })
  const __setModuleDefault =
    (this && this.__setModuleDefault) ||
    (Object.create
      ? function (o, v) {
          Object.defineProperty(o, 'default', {
            enumerable: true,
            value: v
          })
        }
      : function (o, v) {
          o['default'] = v
        })
  const __importStar =
    (this && this.__importStar) ||
    function (mod) {
      if (mod && mod.__esModule) {
        return mod
      }
      const result = {}
      if (mod != null) {
        for (var k in mod)
          if (k !== 'default' && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k)
      }
      __setModuleDefault(result, mod)
      return result
    }
  const __importDefault =
    (this && this.__importDefault) ||
    function (mod) {
      return mod && mod.__esModule
        ? mod
        : {
            default: mod
          }
    }
  Object.defineProperty(dist$1, '__esModule', {
    value: true
  })
  dist$1.HttpsProxyAgent = void 0
  const net = __importStar(require$$0$d)
  const tls = __importStar(require$$1$6)
  const assert_1 = __importDefault(require$$0$3)
  const debug_1 = __importDefault(requireSrc())
  const agent_base_1 = requireDist$3()
  const url_1 = require$$0$7
  const parse_proxy_response_1 = requireParseProxyResponse()
  const debug = (0, debug_1.default)('https-proxy-agent')
  const setServernameFromNonIpHost = options => {
    if (
      options.servername === undefined &&
      options.host &&
      !net.isIP(options.host)
    ) {
      return {
        ...options,
        servername: options.host
      }
    }
    return options
  }
  /**
   * The `HttpsProxyAgent` implements an HTTP Agent subclass that connects to
   * the specified "HTTP(s) proxy server" in order to proxy HTTPS requests.
   *
   * Outgoing HTTP requests are first tunneled through the proxy server using the
   * `CONNECT` HTTP request method to establish a connection to the proxy server,
   * and then the proxy server connects to the destination target and issues the
   * HTTP request from the proxy server.
   *
   * `https:` requests have their socket connection upgraded to TLS once
   * the connection to the proxy server has been established.
   */
  class HttpsProxyAgent extends agent_base_1.Agent {
    constructor(proxy, opts) {
      super(opts)
      this.options = {
        path: undefined
      }
      this.proxy = typeof proxy === 'string' ? new url_1.URL(proxy) : proxy
      this.proxyHeaders = opts?.headers ?? {}
      debug('Creating new HttpsProxyAgent instance: %o', this.proxy.href)
      // Trim off the brackets from IPv6 addresses
      const host = (this.proxy.hostname || this.proxy.host).replace(
        /^\[|\]$/g,
        ''
      )
      const port = this.proxy.port
        ? parseInt(this.proxy.port, 10)
        : this.proxy.protocol === 'https:'
          ? 443
          : 80
      this.connectOpts = {
        // Attempt to negotiate http/1.1 for proxy servers that support http/2
        ALPNProtocols: ['http/1.1'],
        ...(opts ? omit(opts, 'headers') : null),
        host,
        port
      }
    }
    /**
     * Called when the node-core HTTP client library is creating a
     * new HTTP request.
     */
    async connect(req, opts) {
      const { proxy } = this
      if (!opts.host) {
        throw new TypeError('No "host" provided')
      }
      // Create a socket connection to the proxy server.
      let socket
      if (proxy.protocol === 'https:') {
        debug('Creating `tls.Socket`: %o', this.connectOpts)
        socket = tls.connect(setServernameFromNonIpHost(this.connectOpts))
      } else {
        debug('Creating `net.Socket`: %o', this.connectOpts)
        socket = net.connect(this.connectOpts)
      }
      const headers =
        typeof this.proxyHeaders === 'function'
          ? this.proxyHeaders()
          : {
              ...this.proxyHeaders
            }
      const host = net.isIPv6(opts.host) ? `[${opts.host}]` : opts.host
      let payload = `CONNECT ${host}:${opts.port} HTTP/1.1\r\n`
      // Inject the `Proxy-Authorization` header if necessary.
      if (proxy.username || proxy.password) {
        const auth = `${decodeURIComponent(proxy.username)}:${decodeURIComponent(proxy.password)}`
        headers['Proxy-Authorization'] =
          `Basic ${Buffer.from(auth).toString('base64')}`
      }
      headers.Host = `${host}:${opts.port}`
      if (!headers['Proxy-Connection']) {
        headers['Proxy-Connection'] = this.keepAlive ? 'Keep-Alive' : 'close'
      }
      for (const name of Object.keys(headers)) {
        payload += `${name}: ${headers[name]}\r\n`
      }
      const proxyResponsePromise = (0,
      parse_proxy_response_1.parseProxyResponse)(socket)
      socket.write(`${payload}\r\n`)
      const { connect, buffered } = await proxyResponsePromise
      req.emit('proxyConnect', connect)
      this.emit('proxyConnect', connect, req)
      if (connect.statusCode === 200) {
        req.once('socket', resume)
        if (opts.secureEndpoint) {
          // The proxy is connecting to a TLS server, so upgrade
          // this socket connection to a TLS connection.
          debug('Upgrading socket connection to TLS')
          return tls.connect({
            ...omit(setServernameFromNonIpHost(opts), 'host', 'path', 'port'),
            socket
          })
        }
        return socket
      }
      // Some other status code that's not 200... need to re-play the HTTP
      // header "data" events onto the socket once the HTTP machinery is
      // attached so that the node core `http` can parse and handle the
      // error status code.
      // Close the original socket, and a new "fake" socket is returned
      // instead, so that the proxy doesn't get the HTTP request
      // written to it (which may contain `Authorization` headers or other
      // sensitive data).
      //
      // See: https://hackerone.com/reports/541502
      socket.destroy()
      const fakeSocket = new net.Socket({
        writable: false
      })
      fakeSocket.readable = true
      // Need to wait for the "socket" event to re-play the "data" events.
      req.once('socket', s => {
        debug('Replaying proxy buffer for failed request')
        ;(0, assert_1.default)(s.listenerCount('data') > 0)
        // Replay the "buffered" Buffer onto the fake `socket`, since at
        // this point the HTTP module machinery has been hooked up for
        // the user.
        s.push(buffered)
        s.push(null)
      })
      return fakeSocket
    }
  }
  HttpsProxyAgent.protocols = ['http', 'https']
  dist$1.HttpsProxyAgent = HttpsProxyAgent
  function resume(socket) {
    socket.resume()
  }
  function omit(obj, ...keys) {
    const ret = {}
    let key
    for (key in obj) {
      if (!keys.includes(key)) {
        ret[key] = obj[key]
      }
    }
    return ret
  }
  return dist$1
}

const dist = {}

const build = {}

const socksclient = {}

const smartbuffer = {}

const utils = {}

let hasRequiredUtils
function requireUtils() {
  if (hasRequiredUtils) {
    return utils
  }
  hasRequiredUtils = 1
  Object.defineProperty(utils, '__esModule', {
    value: true
  })
  const buffer_1 = require$$0$4
  /**
   * Error strings
   */
  const ERRORS = {
    INVALID_ENCODING:
      'Invalid encoding provided. Please specify a valid encoding the internal Node.js Buffer supports.',
    INVALID_SMARTBUFFER_SIZE:
      'Invalid size provided. Size must be a valid integer greater than zero.',
    INVALID_SMARTBUFFER_BUFFER:
      'Invalid Buffer provided in SmartBufferOptions.',
    INVALID_SMARTBUFFER_OBJECT:
      'Invalid SmartBufferOptions object supplied to SmartBuffer constructor or factory methods.',
    INVALID_OFFSET: 'An invalid offset value was provided.',
    INVALID_OFFSET_NON_NUMBER:
      'An invalid offset value was provided. A numeric value is required.',
    INVALID_LENGTH: 'An invalid length value was provided.',
    INVALID_LENGTH_NON_NUMBER:
      'An invalid length value was provived. A numeric value is required.',
    INVALID_TARGET_OFFSET:
      'Target offset is beyond the bounds of the internal SmartBuffer data.',
    INVALID_TARGET_LENGTH:
      'Specified length value moves cursor beyong the bounds of the internal SmartBuffer data.',
    INVALID_READ_BEYOND_BOUNDS:
      'Attempted to read beyond the bounds of the managed data.',
    INVALID_WRITE_BEYOND_BOUNDS:
      'Attempted to write beyond the bounds of the managed data.'
  }
  utils.ERRORS = ERRORS
  /**
   * Checks if a given encoding is a valid Buffer encoding. (Throws an exception if check fails)
   *
   * @param { String } encoding The encoding string to check.
   */
  function checkEncoding(encoding) {
    if (!buffer_1.Buffer.isEncoding(encoding)) {
      throw new Error(ERRORS.INVALID_ENCODING)
    }
  }
  utils.checkEncoding = checkEncoding
  /**
   * Checks if a given number is a finite integer. (Throws an exception if check fails)
   *
   * @param { Number } value The number value to check.
   */
  function isFiniteInteger(value) {
    return typeof value === 'number' && isFinite(value) && isInteger(value)
  }
  utils.isFiniteInteger = isFiniteInteger
  /**
   * Checks if an offset/length value is valid. (Throws an exception if check fails)
   *
   * @param value The value to check.
   * @param offset True if checking an offset, false if checking a length.
   */
  function checkOffsetOrLengthValue(value, offset) {
    if (typeof value === 'number') {
      // Check for non finite/non integers
      if (!isFiniteInteger(value) || value < 0) {
        throw new Error(offset ? ERRORS.INVALID_OFFSET : ERRORS.INVALID_LENGTH)
      }
    } else {
      throw new Error(
        offset
          ? ERRORS.INVALID_OFFSET_NON_NUMBER
          : ERRORS.INVALID_LENGTH_NON_NUMBER
      )
    }
  }
  /**
   * Checks if a length value is valid. (Throws an exception if check fails)
   *
   * @param { Number } length The value to check.
   */
  function checkLengthValue(length) {
    checkOffsetOrLengthValue(length, false)
  }
  utils.checkLengthValue = checkLengthValue
  /**
   * Checks if a offset value is valid. (Throws an exception if check fails)
   *
   * @param { Number } offset The value to check.
   */
  function checkOffsetValue(offset) {
    checkOffsetOrLengthValue(offset, true)
  }
  utils.checkOffsetValue = checkOffsetValue
  /**
   * Checks if a target offset value is out of bounds. (Throws an exception if check fails)
   *
   * @param { Number } offset The offset value to check.
   * @param { SmartBuffer } buff The SmartBuffer instance to check against.
   */
  function checkTargetOffset(offset, buff) {
    if (offset < 0 || offset > buff.length) {
      throw new Error(ERRORS.INVALID_TARGET_OFFSET)
    }
  }
  utils.checkTargetOffset = checkTargetOffset
  /**
   * Determines whether a given number is a integer.
   * @param value The number to check.
   */
  function isInteger(value) {
    return (
      typeof value === 'number' &&
      isFinite(value) &&
      Math.floor(value) === value
    )
  }
  /**
   * Throws if Node.js version is too low to support bigint
   */
  function bigIntAndBufferInt64Check(bufferMethod) {
    if (typeof BigInt === 'undefined') {
      throw new Error('Platform does not support JS BigInt type.')
    }
    if (typeof buffer_1.Buffer.prototype[bufferMethod] === 'undefined') {
      throw new Error(
        `Platform does not support Buffer.prototype.${bufferMethod}.`
      )
    }
  }
  utils.bigIntAndBufferInt64Check = bigIntAndBufferInt64Check
  return utils
}

let hasRequiredSmartbuffer
function requireSmartbuffer() {
  if (hasRequiredSmartbuffer) {
    return smartbuffer
  }
  hasRequiredSmartbuffer = 1
  Object.defineProperty(smartbuffer, '__esModule', {
    value: true
  })
  const utils_1 = requireUtils()
  // The default Buffer size if one is not provided.
  const DEFAULT_SMARTBUFFER_SIZE = 4096
  // The default string encoding to use for reading/writing strings.
  const DEFAULT_SMARTBUFFER_ENCODING = 'utf8'
  class SmartBuffer {
    /**
     * Creates a new SmartBuffer instance.
     *
     * @param options { SmartBufferOptions } The SmartBufferOptions to apply to this instance.
     */
    constructor(options) {
      this.length = 0
      this._encoding = DEFAULT_SMARTBUFFER_ENCODING
      this._writeOffset = 0
      this._readOffset = 0
      if (SmartBuffer.isSmartBufferOptions(options)) {
        // Checks for encoding
        if (options.encoding) {
          utils_1.checkEncoding(options.encoding)
          this._encoding = options.encoding
        }
        // Checks for initial size length
        if (options.size) {
          if (utils_1.isFiniteInteger(options.size) && options.size > 0) {
            this._buff = Buffer.allocUnsafe(options.size)
          } else {
            throw new Error(utils_1.ERRORS.INVALID_SMARTBUFFER_SIZE)
          }
          // Check for initial Buffer
        } else if (options.buff) {
          if (Buffer.isBuffer(options.buff)) {
            this._buff = options.buff
            this.length = options.buff.length
          } else {
            throw new Error(utils_1.ERRORS.INVALID_SMARTBUFFER_BUFFER)
          }
        } else {
          this._buff = Buffer.allocUnsafe(DEFAULT_SMARTBUFFER_SIZE)
        }
      } else {
        // If something was passed but it's not a SmartBufferOptions object
        if (typeof options !== 'undefined') {
          throw new Error(utils_1.ERRORS.INVALID_SMARTBUFFER_OBJECT)
        }
        // Otherwise default to sane options
        this._buff = Buffer.allocUnsafe(DEFAULT_SMARTBUFFER_SIZE)
      }
    }
    /**
     * Creates a new SmartBuffer instance with the provided internal Buffer size and optional encoding.
     *
     * @param size { Number } The size of the internal Buffer.
     * @param encoding { String } The BufferEncoding to use for strings.
     *
     * @return { SmartBuffer }
     */
    static fromSize(size, encoding) {
      return new this({
        size: size,
        encoding: encoding
      })
    }
    /**
     * Creates a new SmartBuffer instance with the provided Buffer and optional encoding.
     *
     * @param buffer { Buffer } The Buffer to use as the internal Buffer value.
     * @param encoding { String } The BufferEncoding to use for strings.
     *
     * @return { SmartBuffer }
     */
    static fromBuffer(buff, encoding) {
      return new this({
        buff: buff,
        encoding: encoding
      })
    }
    /**
     * Creates a new SmartBuffer instance with the provided SmartBufferOptions options.
     *
     * @param options { SmartBufferOptions } The options to use when creating the SmartBuffer instance.
     */
    static fromOptions(options) {
      return new this(options)
    }
    /**
     * Type checking function that determines if an object is a SmartBufferOptions object.
     */
    static isSmartBufferOptions(options) {
      const castOptions = options
      return (
        castOptions &&
        (castOptions.encoding !== undefined ||
          castOptions.size !== undefined ||
          castOptions.buff !== undefined)
      )
    }
    // Signed integers
    /**
     * Reads an Int8 value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readInt8(offset) {
      return this._readNumberValue(Buffer.prototype.readInt8, 1, offset)
    }
    /**
     * Reads an Int16BE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readInt16BE(offset) {
      return this._readNumberValue(Buffer.prototype.readInt16BE, 2, offset)
    }
    /**
     * Reads an Int16LE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readInt16LE(offset) {
      return this._readNumberValue(Buffer.prototype.readInt16LE, 2, offset)
    }
    /**
     * Reads an Int32BE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readInt32BE(offset) {
      return this._readNumberValue(Buffer.prototype.readInt32BE, 4, offset)
    }
    /**
     * Reads an Int32LE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readInt32LE(offset) {
      return this._readNumberValue(Buffer.prototype.readInt32LE, 4, offset)
    }
    /**
     * Reads a BigInt64BE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { BigInt }
     */
    readBigInt64BE(offset) {
      utils_1.bigIntAndBufferInt64Check('readBigInt64BE')
      return this._readNumberValue(Buffer.prototype.readBigInt64BE, 8, offset)
    }
    /**
     * Reads a BigInt64LE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { BigInt }
     */
    readBigInt64LE(offset) {
      utils_1.bigIntAndBufferInt64Check('readBigInt64LE')
      return this._readNumberValue(Buffer.prototype.readBigInt64LE, 8, offset)
    }
    /**
     * Writes an Int8 value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeInt8(value, offset) {
      this._writeNumberValue(Buffer.prototype.writeInt8, 1, value, offset)
      return this
    }
    /**
     * Inserts an Int8 value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertInt8(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeInt8,
        1,
        value,
        offset
      )
    }
    /**
     * Writes an Int16BE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeInt16BE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeInt16BE,
        2,
        value,
        offset
      )
    }
    /**
     * Inserts an Int16BE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertInt16BE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeInt16BE,
        2,
        value,
        offset
      )
    }
    /**
     * Writes an Int16LE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeInt16LE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeInt16LE,
        2,
        value,
        offset
      )
    }
    /**
     * Inserts an Int16LE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertInt16LE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeInt16LE,
        2,
        value,
        offset
      )
    }
    /**
     * Writes an Int32BE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeInt32BE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeInt32BE,
        4,
        value,
        offset
      )
    }
    /**
     * Inserts an Int32BE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertInt32BE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeInt32BE,
        4,
        value,
        offset
      )
    }
    /**
     * Writes an Int32LE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeInt32LE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeInt32LE,
        4,
        value,
        offset
      )
    }
    /**
     * Inserts an Int32LE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertInt32LE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeInt32LE,
        4,
        value,
        offset
      )
    }
    /**
     * Writes a BigInt64BE value to the current write position (or at optional offset).
     *
     * @param value { BigInt } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeBigInt64BE(value, offset) {
      utils_1.bigIntAndBufferInt64Check('writeBigInt64BE')
      return this._writeNumberValue(
        Buffer.prototype.writeBigInt64BE,
        8,
        value,
        offset
      )
    }
    /**
     * Inserts a BigInt64BE value at the given offset value.
     *
     * @param value { BigInt } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertBigInt64BE(value, offset) {
      utils_1.bigIntAndBufferInt64Check('writeBigInt64BE')
      return this._insertNumberValue(
        Buffer.prototype.writeBigInt64BE,
        8,
        value,
        offset
      )
    }
    /**
     * Writes a BigInt64LE value to the current write position (or at optional offset).
     *
     * @param value { BigInt } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeBigInt64LE(value, offset) {
      utils_1.bigIntAndBufferInt64Check('writeBigInt64LE')
      return this._writeNumberValue(
        Buffer.prototype.writeBigInt64LE,
        8,
        value,
        offset
      )
    }
    /**
     * Inserts a Int64LE value at the given offset value.
     *
     * @param value { BigInt } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertBigInt64LE(value, offset) {
      utils_1.bigIntAndBufferInt64Check('writeBigInt64LE')
      return this._insertNumberValue(
        Buffer.prototype.writeBigInt64LE,
        8,
        value,
        offset
      )
    }
    // Unsigned Integers
    /**
     * Reads an UInt8 value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readUInt8(offset) {
      return this._readNumberValue(Buffer.prototype.readUInt8, 1, offset)
    }
    /**
     * Reads an UInt16BE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readUInt16BE(offset) {
      return this._readNumberValue(Buffer.prototype.readUInt16BE, 2, offset)
    }
    /**
     * Reads an UInt16LE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readUInt16LE(offset) {
      return this._readNumberValue(Buffer.prototype.readUInt16LE, 2, offset)
    }
    /**
     * Reads an UInt32BE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readUInt32BE(offset) {
      return this._readNumberValue(Buffer.prototype.readUInt32BE, 4, offset)
    }
    /**
     * Reads an UInt32LE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readUInt32LE(offset) {
      return this._readNumberValue(Buffer.prototype.readUInt32LE, 4, offset)
    }
    /**
     * Reads a BigUInt64BE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { BigInt }
     */
    readBigUInt64BE(offset) {
      utils_1.bigIntAndBufferInt64Check('readBigUInt64BE')
      return this._readNumberValue(Buffer.prototype.readBigUInt64BE, 8, offset)
    }
    /**
     * Reads a BigUInt64LE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { BigInt }
     */
    readBigUInt64LE(offset) {
      utils_1.bigIntAndBufferInt64Check('readBigUInt64LE')
      return this._readNumberValue(Buffer.prototype.readBigUInt64LE, 8, offset)
    }
    /**
     * Writes an UInt8 value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeUInt8(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeUInt8,
        1,
        value,
        offset
      )
    }
    /**
     * Inserts an UInt8 value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertUInt8(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeUInt8,
        1,
        value,
        offset
      )
    }
    /**
     * Writes an UInt16BE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeUInt16BE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeUInt16BE,
        2,
        value,
        offset
      )
    }
    /**
     * Inserts an UInt16BE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertUInt16BE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeUInt16BE,
        2,
        value,
        offset
      )
    }
    /**
     * Writes an UInt16LE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeUInt16LE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeUInt16LE,
        2,
        value,
        offset
      )
    }
    /**
     * Inserts an UInt16LE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertUInt16LE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeUInt16LE,
        2,
        value,
        offset
      )
    }
    /**
     * Writes an UInt32BE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeUInt32BE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeUInt32BE,
        4,
        value,
        offset
      )
    }
    /**
     * Inserts an UInt32BE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertUInt32BE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeUInt32BE,
        4,
        value,
        offset
      )
    }
    /**
     * Writes an UInt32LE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeUInt32LE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeUInt32LE,
        4,
        value,
        offset
      )
    }
    /**
     * Inserts an UInt32LE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertUInt32LE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeUInt32LE,
        4,
        value,
        offset
      )
    }
    /**
     * Writes a BigUInt64BE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeBigUInt64BE(value, offset) {
      utils_1.bigIntAndBufferInt64Check('writeBigUInt64BE')
      return this._writeNumberValue(
        Buffer.prototype.writeBigUInt64BE,
        8,
        value,
        offset
      )
    }
    /**
     * Inserts a BigUInt64BE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertBigUInt64BE(value, offset) {
      utils_1.bigIntAndBufferInt64Check('writeBigUInt64BE')
      return this._insertNumberValue(
        Buffer.prototype.writeBigUInt64BE,
        8,
        value,
        offset
      )
    }
    /**
     * Writes a BigUInt64LE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeBigUInt64LE(value, offset) {
      utils_1.bigIntAndBufferInt64Check('writeBigUInt64LE')
      return this._writeNumberValue(
        Buffer.prototype.writeBigUInt64LE,
        8,
        value,
        offset
      )
    }
    /**
     * Inserts a BigUInt64LE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertBigUInt64LE(value, offset) {
      utils_1.bigIntAndBufferInt64Check('writeBigUInt64LE')
      return this._insertNumberValue(
        Buffer.prototype.writeBigUInt64LE,
        8,
        value,
        offset
      )
    }
    // Floating Point
    /**
     * Reads an FloatBE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readFloatBE(offset) {
      return this._readNumberValue(Buffer.prototype.readFloatBE, 4, offset)
    }
    /**
     * Reads an FloatLE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readFloatLE(offset) {
      return this._readNumberValue(Buffer.prototype.readFloatLE, 4, offset)
    }
    /**
     * Writes a FloatBE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeFloatBE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeFloatBE,
        4,
        value,
        offset
      )
    }
    /**
     * Inserts a FloatBE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertFloatBE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeFloatBE,
        4,
        value,
        offset
      )
    }
    /**
     * Writes a FloatLE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeFloatLE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeFloatLE,
        4,
        value,
        offset
      )
    }
    /**
     * Inserts a FloatLE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertFloatLE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeFloatLE,
        4,
        value,
        offset
      )
    }
    // Double Floating Point
    /**
     * Reads an DoublEBE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readDoubleBE(offset) {
      return this._readNumberValue(Buffer.prototype.readDoubleBE, 8, offset)
    }
    /**
     * Reads an DoubleLE value from the current read position or an optionally provided offset.
     *
     * @param offset { Number } The offset to read data from (optional)
     * @return { Number }
     */
    readDoubleLE(offset) {
      return this._readNumberValue(Buffer.prototype.readDoubleLE, 8, offset)
    }
    /**
     * Writes a DoubleBE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeDoubleBE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeDoubleBE,
        8,
        value,
        offset
      )
    }
    /**
     * Inserts a DoubleBE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertDoubleBE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeDoubleBE,
        8,
        value,
        offset
      )
    }
    /**
     * Writes a DoubleLE value to the current write position (or at optional offset).
     *
     * @param value { Number } The value to write.
     * @param offset { Number } The offset to write the value at.
     *
     * @return this
     */
    writeDoubleLE(value, offset) {
      return this._writeNumberValue(
        Buffer.prototype.writeDoubleLE,
        8,
        value,
        offset
      )
    }
    /**
     * Inserts a DoubleLE value at the given offset value.
     *
     * @param value { Number } The value to insert.
     * @param offset { Number } The offset to insert the value at.
     *
     * @return this
     */
    insertDoubleLE(value, offset) {
      return this._insertNumberValue(
        Buffer.prototype.writeDoubleLE,
        8,
        value,
        offset
      )
    }
    // Strings
    /**
     * Reads a String from the current read position.
     *
     * @param arg1 { Number | String } The number of bytes to read as a String, or the BufferEncoding to use for
     *             the string (Defaults to instance level encoding).
     * @param encoding { String } The BufferEncoding to use for the string (Defaults to instance level encoding).
     *
     * @return { String }
     */
    readString(arg1, encoding) {
      let lengthVal
      // Length provided
      if (typeof arg1 === 'number') {
        utils_1.checkLengthValue(arg1)
        lengthVal = Math.min(arg1, this.length - this._readOffset)
      } else {
        encoding = arg1
        lengthVal = this.length - this._readOffset
      }
      // Check encoding
      if (typeof encoding !== 'undefined') {
        utils_1.checkEncoding(encoding)
      }
      const value = this._buff
        .slice(this._readOffset, this._readOffset + lengthVal)
        .toString(encoding || this._encoding)
      this._readOffset += lengthVal
      return value
    }
    /**
     * Inserts a String
     *
     * @param value { String } The String value to insert.
     * @param offset { Number } The offset to insert the string at.
     * @param encoding { String } The BufferEncoding to use for writing strings (defaults to instance encoding).
     *
     * @return this
     */
    insertString(value, offset, encoding) {
      utils_1.checkOffsetValue(offset)
      return this._handleString(value, true, offset, encoding)
    }
    /**
     * Writes a String
     *
     * @param value { String } The String value to write.
     * @param arg2 { Number | String } The offset to write the string at, or the BufferEncoding to use.
     * @param encoding { String } The BufferEncoding to use for writing strings (defaults to instance encoding).
     *
     * @return this
     */
    writeString(value, arg2, encoding) {
      return this._handleString(value, false, arg2, encoding)
    }
    /**
     * Reads a null-terminated String from the current read position.
     *
     * @param encoding { String } The BufferEncoding to use for the string (Defaults to instance level encoding).
     *
     * @return { String }
     */
    readStringNT(encoding) {
      if (typeof encoding !== 'undefined') {
        utils_1.checkEncoding(encoding)
      }
      // Set null character position to the end SmartBuffer instance.
      let nullPos = this.length
      // Find next null character (if one is not found, default from above is used)
      for (let i = this._readOffset; i < this.length; i++) {
        if (this._buff[i] === 0x00) {
          nullPos = i
          break
        }
      }
      // Read string value
      const value = this._buff.slice(this._readOffset, nullPos)
      // Increment internal Buffer read offset
      this._readOffset = nullPos + 1
      return value.toString(encoding || this._encoding)
    }
    /**
     * Inserts a null-terminated String.
     *
     * @param value { String } The String value to write.
     * @param arg2 { Number | String } The offset to write the string to, or the BufferEncoding to use.
     * @param encoding { String } The BufferEncoding to use for writing strings (defaults to instance encoding).
     *
     * @return this
     */
    insertStringNT(value, offset, encoding) {
      utils_1.checkOffsetValue(offset)
      // Write Values
      this.insertString(value, offset, encoding)
      this.insertUInt8(0x00, offset + value.length)
      return this
    }
    /**
     * Writes a null-terminated String.
     *
     * @param value { String } The String value to write.
     * @param arg2 { Number | String } The offset to write the string to, or the BufferEncoding to use.
     * @param encoding { String } The BufferEncoding to use for writing strings (defaults to instance encoding).
     *
     * @return this
     */
    writeStringNT(value, arg2, encoding) {
      // Write Values
      this.writeString(value, arg2, encoding)
      this.writeUInt8(
        0x00,
        typeof arg2 === 'number' ? arg2 + value.length : this.writeOffset
      )
      return this
    }
    // Buffers
    /**
     * Reads a Buffer from the internal read position.
     *
     * @param length { Number } The length of data to read as a Buffer.
     *
     * @return { Buffer }
     */
    readBuffer(length) {
      if (typeof length !== 'undefined') {
        utils_1.checkLengthValue(length)
      }
      const lengthVal = typeof length === 'number' ? length : this.length
      const endPoint = Math.min(this.length, this._readOffset + lengthVal)
      // Read buffer value
      const value = this._buff.slice(this._readOffset, endPoint)
      // Increment internal Buffer read offset
      this._readOffset = endPoint
      return value
    }
    /**
     * Writes a Buffer to the current write position.
     *
     * @param value { Buffer } The Buffer to write.
     * @param offset { Number } The offset to write the Buffer to.
     *
     * @return this
     */
    insertBuffer(value, offset) {
      utils_1.checkOffsetValue(offset)
      return this._handleBuffer(value, true, offset)
    }
    /**
     * Writes a Buffer to the current write position.
     *
     * @param value { Buffer } The Buffer to write.
     * @param offset { Number } The offset to write the Buffer to.
     *
     * @return this
     */
    writeBuffer(value, offset) {
      return this._handleBuffer(value, false, offset)
    }
    /**
     * Reads a null-terminated Buffer from the current read poisiton.
     *
     * @return { Buffer }
     */
    readBufferNT() {
      // Set null character position to the end SmartBuffer instance.
      let nullPos = this.length
      // Find next null character (if one is not found, default from above is used)
      for (let i = this._readOffset; i < this.length; i++) {
        if (this._buff[i] === 0x00) {
          nullPos = i
          break
        }
      }
      // Read value
      const value = this._buff.slice(this._readOffset, nullPos)
      // Increment internal Buffer read offset
      this._readOffset = nullPos + 1
      return value
    }
    /**
     * Inserts a null-terminated Buffer.
     *
     * @param value { Buffer } The Buffer to write.
     * @param offset { Number } The offset to write the Buffer to.
     *
     * @return this
     */
    insertBufferNT(value, offset) {
      utils_1.checkOffsetValue(offset)
      // Write Values
      this.insertBuffer(value, offset)
      this.insertUInt8(0x00, offset + value.length)
      return this
    }
    /**
     * Writes a null-terminated Buffer.
     *
     * @param value { Buffer } The Buffer to write.
     * @param offset { Number } The offset to write the Buffer to.
     *
     * @return this
     */
    writeBufferNT(value, offset) {
      // Checks for valid numberic value;
      if (typeof offset !== 'undefined') {
        utils_1.checkOffsetValue(offset)
      }
      // Write Values
      this.writeBuffer(value, offset)
      this.writeUInt8(
        0x00,
        typeof offset === 'number' ? offset + value.length : this._writeOffset
      )
      return this
    }
    /**
     * Clears the SmartBuffer instance to its original empty state.
     */
    clear() {
      this._writeOffset = 0
      this._readOffset = 0
      this.length = 0
      return this
    }
    /**
     * Gets the remaining data left to be read from the SmartBuffer instance.
     *
     * @return { Number }
     */
    remaining() {
      return this.length - this._readOffset
    }
    /**
     * Gets the current read offset value of the SmartBuffer instance.
     *
     * @return { Number }
     */
    get readOffset() {
      return this._readOffset
    }
    /**
     * Sets the read offset value of the SmartBuffer instance.
     *
     * @param offset { Number } - The offset value to set.
     */
    set readOffset(offset) {
      utils_1.checkOffsetValue(offset)
      // Check for bounds.
      utils_1.checkTargetOffset(offset, this)
      this._readOffset = offset
    }
    /**
     * Gets the current write offset value of the SmartBuffer instance.
     *
     * @return { Number }
     */
    get writeOffset() {
      return this._writeOffset
    }
    /**
     * Sets the write offset value of the SmartBuffer instance.
     *
     * @param offset { Number } - The offset value to set.
     */
    set writeOffset(offset) {
      utils_1.checkOffsetValue(offset)
      // Check for bounds.
      utils_1.checkTargetOffset(offset, this)
      this._writeOffset = offset
    }
    /**
     * Gets the currently set string encoding of the SmartBuffer instance.
     *
     * @return { BufferEncoding } The string Buffer encoding currently set.
     */
    get encoding() {
      return this._encoding
    }
    /**
     * Sets the string encoding of the SmartBuffer instance.
     *
     * @param encoding { BufferEncoding } The string Buffer encoding to set.
     */
    set encoding(encoding) {
      utils_1.checkEncoding(encoding)
      this._encoding = encoding
    }
    /**
     * Gets the underlying internal Buffer. (This includes unmanaged data in the Buffer)
     *
     * @return { Buffer } The Buffer value.
     */
    get internalBuffer() {
      return this._buff
    }
    /**
     * Gets the value of the internal managed Buffer (Includes managed data only)
     *
     * @param { Buffer }
     */
    toBuffer() {
      return this._buff.slice(0, this.length)
    }
    /**
     * Gets the String value of the internal managed Buffer
     *
     * @param encoding { String } The BufferEncoding to display the Buffer as (defaults to instance level encoding).
     */
    toString(encoding) {
      const encodingVal =
        typeof encoding === 'string' ? encoding : this._encoding
      // Check for invalid encoding.
      utils_1.checkEncoding(encodingVal)
      return this._buff.toString(encodingVal, 0, this.length)
    }
    /**
     * Destroys the SmartBuffer instance.
     */
    destroy() {
      this.clear()
      return this
    }
    /**
     * Handles inserting and writing strings.
     *
     * @param value { String } The String value to insert.
     * @param isInsert { Boolean } True if inserting a string, false if writing.
     * @param arg2 { Number | String } The offset to insert the string at, or the BufferEncoding to use.
     * @param encoding { String } The BufferEncoding to use for writing strings (defaults to instance encoding).
     */
    _handleString(value, isInsert, arg3, encoding) {
      let offsetVal = this._writeOffset
      let encodingVal = this._encoding
      // Check for offset
      if (typeof arg3 === 'number') {
        offsetVal = arg3
        // Check for encoding
      } else if (typeof arg3 === 'string') {
        utils_1.checkEncoding(arg3)
        encodingVal = arg3
      }
      // Check for encoding (third param)
      if (typeof encoding === 'string') {
        utils_1.checkEncoding(encoding)
        encodingVal = encoding
      }
      // Calculate bytelength of string.
      const byteLength = Buffer.byteLength(value, encodingVal)
      // Ensure there is enough internal Buffer capacity.
      if (isInsert) {
        this.ensureInsertable(byteLength, offsetVal)
      } else {
        this._ensureWriteable(byteLength, offsetVal)
      }
      // Write value
      this._buff.write(value, offsetVal, byteLength, encodingVal)
      // Increment internal Buffer write offset;
      if (isInsert) {
        this._writeOffset += byteLength
      } else {
        // If an offset was given, check to see if we wrote beyond the current writeOffset.
        if (typeof arg3 === 'number') {
          this._writeOffset = Math.max(
            this._writeOffset,
            offsetVal + byteLength
          )
        } else {
          // If no offset was given, we wrote to the end of the SmartBuffer so increment writeOffset.
          this._writeOffset += byteLength
        }
      }
      return this
    }
    /**
     * Handles writing or insert of a Buffer.
     *
     * @param value { Buffer } The Buffer to write.
     * @param offset { Number } The offset to write the Buffer to.
     */
    _handleBuffer(value, isInsert, offset) {
      const offsetVal = typeof offset === 'number' ? offset : this._writeOffset
      // Ensure there is enough internal Buffer capacity.
      if (isInsert) {
        this.ensureInsertable(value.length, offsetVal)
      } else {
        this._ensureWriteable(value.length, offsetVal)
      }
      // Write buffer value
      value.copy(this._buff, offsetVal)
      // Increment internal Buffer write offset;
      if (isInsert) {
        this._writeOffset += value.length
      } else {
        // If an offset was given, check to see if we wrote beyond the current writeOffset.
        if (typeof offset === 'number') {
          this._writeOffset = Math.max(
            this._writeOffset,
            offsetVal + value.length
          )
        } else {
          // If no offset was given, we wrote to the end of the SmartBuffer so increment writeOffset.
          this._writeOffset += value.length
        }
      }
      return this
    }
    /**
     * Ensures that the internal Buffer is large enough to read data.
     *
     * @param length { Number } The length of the data that needs to be read.
     * @param offset { Number } The offset of the data that needs to be read.
     */
    ensureReadable(length, offset) {
      // Offset value defaults to managed read offset.
      let offsetVal = this._readOffset
      // If an offset was provided, use it.
      if (typeof offset !== 'undefined') {
        // Checks for valid numberic value;
        utils_1.checkOffsetValue(offset)
        // Overide with custom offset.
        offsetVal = offset
      }
      // Checks if offset is below zero, or the offset+length offset is beyond the total length of the managed data.
      if (offsetVal < 0 || offsetVal + length > this.length) {
        throw new Error(utils_1.ERRORS.INVALID_READ_BEYOND_BOUNDS)
      }
    }
    /**
     * Ensures that the internal Buffer is large enough to insert data.
     *
     * @param dataLength { Number } The length of the data that needs to be written.
     * @param offset { Number } The offset of the data to be written.
     */
    ensureInsertable(dataLength, offset) {
      // Checks for valid numberic value;
      utils_1.checkOffsetValue(offset)
      // Ensure there is enough internal Buffer capacity.
      this._ensureCapacity(this.length + dataLength)
      // If an offset was provided and its not the very end of the buffer, copy data into appropriate location in regards to the offset.
      if (offset < this.length) {
        this._buff.copy(
          this._buff,
          offset + dataLength,
          offset,
          this._buff.length
        )
      }
      // Adjust tracked smart buffer length
      if (offset + dataLength > this.length) {
        this.length = offset + dataLength
      } else {
        this.length += dataLength
      }
    }
    /**
     * Ensures that the internal Buffer is large enough to write data.
     *
     * @param dataLength { Number } The length of the data that needs to be written.
     * @param offset { Number } The offset of the data to be written (defaults to writeOffset).
     */
    _ensureWriteable(dataLength, offset) {
      const offsetVal = typeof offset === 'number' ? offset : this._writeOffset
      // Ensure enough capacity to write data.
      this._ensureCapacity(offsetVal + dataLength)
      // Adjust SmartBuffer length (if offset + length is larger than managed length, adjust length)
      if (offsetVal + dataLength > this.length) {
        this.length = offsetVal + dataLength
      }
    }
    /**
     * Ensures that the internal Buffer is large enough to write at least the given amount of data.
     *
     * @param minLength { Number } The minimum length of the data needs to be written.
     */
    _ensureCapacity(minLength) {
      const oldLength = this._buff.length
      if (minLength > oldLength) {
        let data = this._buff
        let newLength = (oldLength * 3) / 2 + 1
        if (newLength < minLength) {
          newLength = minLength
        }
        this._buff = Buffer.allocUnsafe(newLength)
        data.copy(this._buff, 0, 0, oldLength)
      }
    }
    /**
     * Reads a numeric number value using the provided function.
     *
     * @typeparam T { number | bigint } The type of the value to be read
     *
     * @param func { Function(offset: number) => number } The function to read data on the internal Buffer with.
     * @param byteSize { Number } The number of bytes read.
     * @param offset { Number } The offset to read from (optional). When this is not provided, the managed readOffset is used instead.
     *
     * @returns { T } the number value
     */
    _readNumberValue(func, byteSize, offset) {
      this.ensureReadable(byteSize, offset)
      // Call Buffer.readXXXX();
      const value = func.call(
        this._buff,
        typeof offset === 'number' ? offset : this._readOffset
      )
      // Adjust internal read offset if an optional read offset was not provided.
      if (typeof offset === 'undefined') {
        this._readOffset += byteSize
      }
      return value
    }
    /**
     * Inserts a numeric number value based on the given offset and value.
     *
     * @typeparam T { number | bigint } The type of the value to be written
     *
     * @param func { Function(offset: T, offset?) => number} The function to write data on the internal Buffer with.
     * @param byteSize { Number } The number of bytes written.
     * @param value { T } The number value to write.
     * @param offset { Number } the offset to write the number at (REQUIRED).
     *
     * @returns SmartBuffer this buffer
     */
    _insertNumberValue(func, byteSize, value, offset) {
      // Check for invalid offset values.
      utils_1.checkOffsetValue(offset)
      // Ensure there is enough internal Buffer capacity. (raw offset is passed)
      this.ensureInsertable(byteSize, offset)
      // Call buffer.writeXXXX();
      func.call(this._buff, value, offset)
      // Adjusts internally managed write offset.
      this._writeOffset += byteSize
      return this
    }
    /**
     * Writes a numeric number value based on the given offset and value.
     *
     * @typeparam T { number | bigint } The type of the value to be written
     *
     * @param func { Function(offset: T, offset?) => number} The function to write data on the internal Buffer with.
     * @param byteSize { Number } The number of bytes written.
     * @param value { T } The number value to write.
     * @param offset { Number } the offset to write the number at (REQUIRED).
     *
     * @returns SmartBuffer this buffer
     */
    _writeNumberValue(func, byteSize, value, offset) {
      // If an offset was provided, validate it.
      if (typeof offset === 'number') {
        // Check if we're writing beyond the bounds of the managed data.
        if (offset < 0) {
          throw new Error(utils_1.ERRORS.INVALID_WRITE_BEYOND_BOUNDS)
        }
        utils_1.checkOffsetValue(offset)
      }
      // Default to writeOffset if no offset value was given.
      const offsetVal = typeof offset === 'number' ? offset : this._writeOffset
      // Ensure there is enough internal Buffer capacity. (raw offset is passed)
      this._ensureWriteable(byteSize, offsetVal)
      func.call(this._buff, value, offsetVal)
      // If an offset was given, check to see if we wrote beyond the current writeOffset.
      if (typeof offset === 'number') {
        this._writeOffset = Math.max(this._writeOffset, offsetVal + byteSize)
      } else {
        // If no numeric offset was given, we wrote to the end of the SmartBuffer so increment writeOffset.
        this._writeOffset += byteSize
      }
      return this
    }
  }
  smartbuffer.SmartBuffer = SmartBuffer
  return smartbuffer
}

const constants$2 = {}

let hasRequiredConstants$2
function requireConstants$2() {
  if (hasRequiredConstants$2) {
    return constants$2
  }
  hasRequiredConstants$2 = 1
  Object.defineProperty(constants$2, '__esModule', {
    value: true
  })
  constants$2.SOCKS5_NO_ACCEPTABLE_AUTH =
    constants$2.SOCKS5_CUSTOM_AUTH_END =
    constants$2.SOCKS5_CUSTOM_AUTH_START =
    constants$2.SOCKS_INCOMING_PACKET_SIZES =
    constants$2.SocksClientState =
    constants$2.Socks5Response =
    constants$2.Socks5HostType =
    constants$2.Socks5Auth =
    constants$2.Socks4Response =
    constants$2.SocksCommand =
    constants$2.ERRORS =
    constants$2.DEFAULT_TIMEOUT =
      void 0
  const DEFAULT_TIMEOUT = 30000
  constants$2.DEFAULT_TIMEOUT = DEFAULT_TIMEOUT
  // prettier-ignore
  const ERRORS = {
    InvalidSocksCommand:
      'An invalid SOCKS command was provided. Valid options are connect, bind, and associate.',
    InvalidSocksCommandForOperation:
      'An invalid SOCKS command was provided. Only a subset of commands are supported for this operation.',
    InvalidSocksCommandChain:
      'An invalid SOCKS command was provided. Chaining currently only supports the connect command.',
    InvalidSocksClientOptionsDestination:
      'An invalid destination host was provided.',
    InvalidSocksClientOptionsExistingSocket:
      'An invalid existing socket was provided. This should be an instance of stream.Duplex.',
    InvalidSocksClientOptionsProxy:
      'Invalid SOCKS proxy details were provided.',
    InvalidSocksClientOptionsTimeout:
      'An invalid timeout value was provided. Please enter a value above 0 (in ms).',
    InvalidSocksClientOptionsProxiesLength:
      'At least two socks proxies must be provided for chaining.',
    InvalidSocksClientOptionsCustomAuthRange:
      'Custom auth must be a value between 0x80 and 0xFE.',
    InvalidSocksClientOptionsCustomAuthOptions:
      'When a custom_auth_method is provided, custom_auth_request_handler, custom_auth_response_size, and custom_auth_response_handler must also be provided and valid.',
    NegotiationError: 'Negotiation error',
    SocketClosed: 'Socket closed',
    ProxyConnectionTimedOut: 'Proxy connection timed out',
    InternalError: 'SocksClient internal error (this should not happen)',
    InvalidSocks4HandshakeResponse:
      'Received invalid Socks4 handshake response',
    Socks4ProxyRejectedConnection: 'Socks4 Proxy rejected connection',
    InvalidSocks4IncomingConnectionResponse:
      'Socks4 invalid incoming connection response',
    Socks4ProxyRejectedIncomingBoundConnection:
      'Socks4 Proxy rejected incoming bound connection',
    InvalidSocks5InitialHandshakeResponse:
      'Received invalid Socks5 initial handshake response',
    InvalidSocks5IntiailHandshakeSocksVersion:
      'Received invalid Socks5 initial handshake (invalid socks version)',
    InvalidSocks5InitialHandshakeNoAcceptedAuthType:
      'Received invalid Socks5 initial handshake (no accepted authentication type)',
    InvalidSocks5InitialHandshakeUnknownAuthType:
      'Received invalid Socks5 initial handshake (unknown authentication type)',
    Socks5AuthenticationFailed: 'Socks5 Authentication failed',
    InvalidSocks5FinalHandshake:
      'Received invalid Socks5 final handshake response',
    InvalidSocks5FinalHandshakeRejected: 'Socks5 proxy rejected connection',
    InvalidSocks5IncomingConnectionResponse:
      'Received invalid Socks5 incoming connection response',
    Socks5ProxyRejectedIncomingBoundConnection:
      'Socks5 Proxy rejected incoming bound connection'
  }
  constants$2.ERRORS = ERRORS
  const SOCKS_INCOMING_PACKET_SIZES = {
    Socks5InitialHandshakeResponse: 2,
    Socks5UserPassAuthenticationResponse: 2,
    // Command response + incoming connection (bind)
    Socks5ResponseHeader: 5,
    // We need at least 5 to read the hostname length, then we wait for the address+port information.
    Socks5ResponseIPv4: 10,
    // 4 header + 4 ip + 2 port
    Socks5ResponseIPv6: 22,
    // 4 header + 16 ip + 2 port
    Socks5ResponseHostname: hostNameLength => hostNameLength + 7,
    // 4 header + 1 host length + host + 2 port
    // Command response + incoming connection (bind)
    Socks4Response: 8 // 2 header + 2 port + 4 ip
  }
  constants$2.SOCKS_INCOMING_PACKET_SIZES = SOCKS_INCOMING_PACKET_SIZES
  let SocksCommand
  ;(function (SocksCommand) {
    SocksCommand[(SocksCommand['connect'] = 1)] = 'connect'
    SocksCommand[(SocksCommand['bind'] = 2)] = 'bind'
    SocksCommand[(SocksCommand['associate'] = 3)] = 'associate'
  })(SocksCommand || (constants$2.SocksCommand = SocksCommand = {}))
  let Socks4Response
  ;(function (Socks4Response) {
    Socks4Response[(Socks4Response['Granted'] = 90)] = 'Granted'
    Socks4Response[(Socks4Response['Failed'] = 91)] = 'Failed'
    Socks4Response[(Socks4Response['Rejected'] = 92)] = 'Rejected'
    Socks4Response[(Socks4Response['RejectedIdent'] = 93)] = 'RejectedIdent'
  })(Socks4Response || (constants$2.Socks4Response = Socks4Response = {}))
  let Socks5Auth
  ;(function (Socks5Auth) {
    Socks5Auth[(Socks5Auth['NoAuth'] = 0)] = 'NoAuth'
    Socks5Auth[(Socks5Auth['GSSApi'] = 1)] = 'GSSApi'
    Socks5Auth[(Socks5Auth['UserPass'] = 2)] = 'UserPass'
  })(Socks5Auth || (constants$2.Socks5Auth = Socks5Auth = {}))
  const SOCKS5_CUSTOM_AUTH_START = 0x80
  constants$2.SOCKS5_CUSTOM_AUTH_START = SOCKS5_CUSTOM_AUTH_START
  const SOCKS5_CUSTOM_AUTH_END = 0xfe
  constants$2.SOCKS5_CUSTOM_AUTH_END = SOCKS5_CUSTOM_AUTH_END
  const SOCKS5_NO_ACCEPTABLE_AUTH = 0xff
  constants$2.SOCKS5_NO_ACCEPTABLE_AUTH = SOCKS5_NO_ACCEPTABLE_AUTH
  let Socks5Response
  ;(function (Socks5Response) {
    Socks5Response[(Socks5Response['Granted'] = 0)] = 'Granted'
    Socks5Response[(Socks5Response['Failure'] = 1)] = 'Failure'
    Socks5Response[(Socks5Response['NotAllowed'] = 2)] = 'NotAllowed'
    Socks5Response[(Socks5Response['NetworkUnreachable'] = 3)] =
      'NetworkUnreachable'
    Socks5Response[(Socks5Response['HostUnreachable'] = 4)] = 'HostUnreachable'
    Socks5Response[(Socks5Response['ConnectionRefused'] = 5)] =
      'ConnectionRefused'
    Socks5Response[(Socks5Response['TTLExpired'] = 6)] = 'TTLExpired'
    Socks5Response[(Socks5Response['CommandNotSupported'] = 7)] =
      'CommandNotSupported'
    Socks5Response[(Socks5Response['AddressNotSupported'] = 8)] =
      'AddressNotSupported'
  })(Socks5Response || (constants$2.Socks5Response = Socks5Response = {}))
  let Socks5HostType
  ;(function (Socks5HostType) {
    Socks5HostType[(Socks5HostType['IPv4'] = 1)] = 'IPv4'
    Socks5HostType[(Socks5HostType['Hostname'] = 3)] = 'Hostname'
    Socks5HostType[(Socks5HostType['IPv6'] = 4)] = 'IPv6'
  })(Socks5HostType || (constants$2.Socks5HostType = Socks5HostType = {}))
  let SocksClientState
  ;(function (SocksClientState) {
    SocksClientState[(SocksClientState['Created'] = 0)] = 'Created'
    SocksClientState[(SocksClientState['Connecting'] = 1)] = 'Connecting'
    SocksClientState[(SocksClientState['Connected'] = 2)] = 'Connected'
    SocksClientState[(SocksClientState['SentInitialHandshake'] = 3)] =
      'SentInitialHandshake'
    SocksClientState[
      (SocksClientState['ReceivedInitialHandshakeResponse'] = 4)
    ] = 'ReceivedInitialHandshakeResponse'
    SocksClientState[(SocksClientState['SentAuthentication'] = 5)] =
      'SentAuthentication'
    SocksClientState[(SocksClientState['ReceivedAuthenticationResponse'] = 6)] =
      'ReceivedAuthenticationResponse'
    SocksClientState[(SocksClientState['SentFinalHandshake'] = 7)] =
      'SentFinalHandshake'
    SocksClientState[(SocksClientState['ReceivedFinalResponse'] = 8)] =
      'ReceivedFinalResponse'
    SocksClientState[(SocksClientState['BoundWaitingForConnection'] = 9)] =
      'BoundWaitingForConnection'
    SocksClientState[(SocksClientState['Established'] = 10)] = 'Established'
    SocksClientState[(SocksClientState['Disconnected'] = 11)] = 'Disconnected'
    SocksClientState[(SocksClientState['Error'] = 99)] = 'Error'
  })(SocksClientState || (constants$2.SocksClientState = SocksClientState = {}))
  return constants$2
}

const helpers$1 = {}

const util = {}

let hasRequiredUtil
function requireUtil() {
  if (hasRequiredUtil) {
    return util
  }
  hasRequiredUtil = 1
  Object.defineProperty(util, '__esModule', {
    value: true
  })
  util.shuffleArray = util.SocksClientError = void 0
  /**
   * Error wrapper for SocksClient
   */
  class SocksClientError extends Error {
    constructor(message, options) {
      super(message)
      this.options = options
    }
  }
  util.SocksClientError = SocksClientError
  /**
   * Shuffles a given array.
   * @param array The array to shuffle.
   */
  function shuffleArray(array) {
    for (let i = array.length - 1; i > 0; i--) {
      const j = Math.floor(Math.random() * (i + 1))
      ;[array[i], array[j]] = [array[j], array[i]]
    }
  }
  util.shuffleArray = shuffleArray
  return util
}

const ipAddress = {}

const ipv4 = {}

const common = {}

let hasRequiredCommon
function requireCommon() {
  if (hasRequiredCommon) {
    return common
  }
  hasRequiredCommon = 1
  Object.defineProperty(common, '__esModule', {
    value: true
  })
  common.isCorrect = common.isInSubnet = void 0
  function isInSubnet(address) {
    if (this.subnetMask < address.subnetMask) {
      return false
    }
    if (this.mask(address.subnetMask) === address.mask()) {
      return true
    }
    return false
  }
  common.isInSubnet = isInSubnet
  function isCorrect(defaultBits) {
    return function () {
      if (this.addressMinusSuffix !== this.correctForm()) {
        return false
      }
      if (this.subnetMask === defaultBits && !this.parsedSubnet) {
        return true
      }
      return this.parsedSubnet === String(this.subnetMask)
    }
  }
  common.isCorrect = isCorrect
  return common
}

const constants$1 = {}

let hasRequiredConstants$1
function requireConstants$1() {
  if (hasRequiredConstants$1) {
    return constants$1
  }
  hasRequiredConstants$1 = 1
  Object.defineProperty(constants$1, '__esModule', {
    value: true
  })
  constants$1.RE_SUBNET_STRING =
    constants$1.RE_ADDRESS =
    constants$1.GROUPS =
    constants$1.BITS =
      void 0
  constants$1.BITS = 32
  constants$1.GROUPS = 4
  constants$1.RE_ADDRESS =
    /^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/g
  constants$1.RE_SUBNET_STRING = /\/\d{1,2}$/
  return constants$1
}

const addressError = {}

let hasRequiredAddressError
function requireAddressError() {
  if (hasRequiredAddressError) {
    return addressError
  }
  hasRequiredAddressError = 1
  Object.defineProperty(addressError, '__esModule', {
    value: true
  })
  addressError.AddressError = void 0
  class AddressError extends Error {
    constructor(message, parseMessage) {
      super(message)
      this.name = 'AddressError'
      if (parseMessage !== null) {
        this.parseMessage = parseMessage
      }
    }
  }
  addressError.AddressError = AddressError
  return addressError
}

const jsbn = { exports: {} }

let hasRequiredJsbn
function requireJsbn() {
  if (hasRequiredJsbn) {
    return jsbn.exports
  }
  hasRequiredJsbn = 1
  ;(function (module, exports) {
    ;(function () {
      // Copyright (c) 2005  Tom Wu
      // All Rights Reserved.
      // See "LICENSE" for details.

      // Basic JavaScript BN library - subset useful for RSA encryption.

      // Bits per digit
      let dbits

      // JavaScript engine analysis
      const canary = 0xdeadbeefcafe
      const j_lm = (canary & 0xffffff) == 0xefcafe

      // (public) Constructor
      function BigInteger(a, b, c) {
        if (a != null) {
          if ('number' == typeof a) this.fromNumber(a, b, c)
          else if (b == null && 'string' != typeof a) this.fromString(a, 256)
          else this.fromString(a, b)
        }
      }

      // return new, unset BigInteger
      function nbi() {
        return new BigInteger(null)
      }

      // am: Compute w_j += (x*this_i), propagate carries,
      // c is initial carry, returns final carry.
      // c < 3*dvalue, x < 2*dvalue, this_i < dvalue
      // We need to select the fastest one that works in this environment.

      // am1: use a single mult and divide to get the high bits,
      // max digit bits should be 26 because
      // max internal value = 2*dvalue^2-2*dvalue (< 2^53)
      function am1(i, x, w, j, c, n) {
        while (--n >= 0) {
          const v = x * this[i++] + w[j] + c
          c = Math.floor(v / 0x4000000)
          w[j++] = v & 0x3ffffff
        }
        return c
      }
      // am2 avoids a big mult-and-extract completely.
      // Max digit bits should be <= 30 because we do bitwise ops
      // on values up to 2*hdvalue^2-hdvalue-1 (< 2^31)
      function am2(i, x, w, j, c, n) {
        const xl = x & 0x7fff,
          xh = x >> 15
        while (--n >= 0) {
          let l = this[i] & 0x7fff
          const h = this[i++] >> 15
          const m = xh * l + h * xl
          l = xl * l + ((m & 0x7fff) << 15) + w[j] + (c & 0x3fffffff)
          c = (l >>> 30) + (m >>> 15) + xh * h + (c >>> 30)
          w[j++] = l & 0x3fffffff
        }
        return c
      }
      // Alternately, set max digit bits to 28 since some
      // browsers slow down when dealing with 32-bit numbers.
      function am3(i, x, w, j, c, n) {
        const xl = x & 0x3fff,
          xh = x >> 14
        while (--n >= 0) {
          let l = this[i] & 0x3fff
          const h = this[i++] >> 14
          const m = xh * l + h * xl
          l = xl * l + ((m & 0x3fff) << 14) + w[j] + c
          c = (l >> 28) + (m >> 14) + xh * h
          w[j++] = l & 0xfffffff
        }
        return c
      }
      const inBrowser = typeof navigator !== 'undefined'
      if (
        inBrowser &&
        j_lm &&
        navigator.appName == 'Microsoft Internet Explorer'
      ) {
        BigInteger.prototype.am = am2
        dbits = 30
      } else if (inBrowser && j_lm && navigator.appName != 'Netscape') {
        BigInteger.prototype.am = am1
        dbits = 26
      } else {
        // Mozilla/Netscape seems to prefer am3
        BigInteger.prototype.am = am3
        dbits = 28
      }
      BigInteger.prototype.DB = dbits
      BigInteger.prototype.DM = (1 << dbits) - 1
      BigInteger.prototype.DV = 1 << dbits
      const BI_FP = 52
      BigInteger.prototype.FV = Math.pow(2, BI_FP)
      BigInteger.prototype.F1 = BI_FP - dbits
      BigInteger.prototype.F2 = 2 * dbits - BI_FP

      // Digit conversions
      const BI_RM = '0123456789abcdefghijklmnopqrstuvwxyz'
      const BI_RC = new Array()
      let rr, vv
      rr = '0'.charCodeAt(0)
      for (vv = 0; vv <= 9; ++vv) {
        BI_RC[rr++] = vv
      }
      rr = 'a'.charCodeAt(0)
      for (vv = 10; vv < 36; ++vv) {
        BI_RC[rr++] = vv
      }
      rr = 'A'.charCodeAt(0)
      for (vv = 10; vv < 36; ++vv) {
        BI_RC[rr++] = vv
      }
      function int2char(n) {
        return BI_RM.charAt(n)
      }
      function intAt(s, i) {
        const c = BI_RC[s.charCodeAt(i)]
        return c == null ? -1 : c
      }

      // (protected) copy this to r
      function bnpCopyTo(r) {
        for (let i = this.t - 1; i >= 0; --i) {
          r[i] = this[i]
        }
        r.t = this.t
        r.s = this.s
      }

      // (protected) set from integer value x, -DV <= x < DV
      function bnpFromInt(x) {
        this.t = 1
        this.s = x < 0 ? -1 : 0
        if (x > 0) {
          this[0] = x
        } else if (x < -1) {
          this[0] = x + this.DV
        } else {
          this.t = 0
        }
      }

      // return bigint initialized to value
      function nbv(i) {
        const r = nbi()
        r.fromInt(i)
        return r
      }

      // (protected) set from string and radix
      function bnpFromString(s, b) {
        let k
        if (b == 16) {
          k = 4
        } else if (b == 8) {
          k = 3
        } else if (b == 256) {
          k = 8
        } // byte array
        else if (b == 2) {
          k = 1
        } else if (b == 32) {
          k = 5
        } else if (b == 4) {
          k = 2
        } else {
          this.fromRadix(s, b)
          return
        }
        this.t = 0
        this.s = 0
        let i = s.length,
          mi = false,
          sh = 0
        while (--i >= 0) {
          const x = k == 8 ? s[i] & 0xff : intAt(s, i)
          if (x < 0) {
            if (s.charAt(i) == '-') {
              mi = true
            }
            continue
          }
          mi = false
          if (sh == 0) {
            this[this.t++] = x
          } else if (sh + k > this.DB) {
            this[this.t - 1] |= (x & ((1 << (this.DB - sh)) - 1)) << sh
            this[this.t++] = x >> (this.DB - sh)
          } else {
            this[this.t - 1] |= x << sh
          }
          sh += k
          if (sh >= this.DB) {
            sh -= this.DB
          }
        }
        if (k == 8 && (s[0] & 0x80) != 0) {
          this.s = -1
          if (sh > 0) {
            this[this.t - 1] |= ((1 << (this.DB - sh)) - 1) << sh
          }
        }
        this.clamp()
        if (mi) {
          BigInteger.ZERO.subTo(this, this)
        }
      }

      // (protected) clamp off excess high words
      function bnpClamp() {
        const c = this.s & this.DM
        while (this.t > 0 && this[this.t - 1] == c) {
          --this.t
        }
      }

      // (public) return string representation in given radix
      function bnToString(b) {
        if (this.s < 0) {
          return '-' + this.negate().toString(b)
        }
        let k
        if (b == 16) {
          k = 4
        } else if (b == 8) {
          k = 3
        } else if (b == 2) {
          k = 1
        } else if (b == 32) {
          k = 5
        } else if (b == 4) {
          k = 2
        } else {
          return this.toRadix(b)
        }
        let km = (1 << k) - 1,
          d,
          m = false,
          r = '',
          i = this.t
        let p = this.DB - ((i * this.DB) % k)
        if (i-- > 0) {
          if (p < this.DB && (d = this[i] >> p) > 0) {
            m = true
            r = int2char(d)
          }
          while (i >= 0) {
            if (p < k) {
              d = (this[i] & ((1 << p) - 1)) << (k - p)
              d |= this[--i] >> (p += this.DB - k)
            } else {
              d = (this[i] >> (p -= k)) & km
              if (p <= 0) {
                p += this.DB
                --i
              }
            }
            if (d > 0) {
              m = true
            }
            if (m) {
              r += int2char(d)
            }
          }
        }
        return m ? r : '0'
      }

      // (public) -this
      function bnNegate() {
        const r = nbi()
        BigInteger.ZERO.subTo(this, r)
        return r
      }

      // (public) |this|
      function bnAbs() {
        return this.s < 0 ? this.negate() : this
      }

      // (public) return + if this > a, - if this < a, 0 if equal
      function bnCompareTo(a) {
        let r = this.s - a.s
        if (r != 0) {
          return r
        }
        let i = this.t
        r = i - a.t
        if (r != 0) {
          return this.s < 0 ? -r : r
        }
        while (--i >= 0) {
          if ((r = this[i] - a[i]) != 0) return r
        }
        return 0
      }

      // returns bit length of the integer x
      function nbits(x) {
        let r = 1,
          t
        if ((t = x >>> 16) != 0) {
          x = t
          r += 16
        }
        if ((t = x >> 8) != 0) {
          x = t
          r += 8
        }
        if ((t = x >> 4) != 0) {
          x = t
          r += 4
        }
        if ((t = x >> 2) != 0) {
          x = t
          r += 2
        }
        if ((t = x >> 1) != 0) {
          x = t
          r += 1
        }
        return r
      }

      // (public) return the number of bits in "this"
      function bnBitLength() {
        if (this.t <= 0) {
          return 0
        }
        return (
          this.DB * (this.t - 1) + nbits(this[this.t - 1] ^ (this.s & this.DM))
        )
      }

      // (protected) r = this << n*DB
      function bnpDLShiftTo(n, r) {
        let i
        for (i = this.t - 1; i >= 0; --i) {
          r[i + n] = this[i]
        }
        for (i = n - 1; i >= 0; --i) {
          r[i] = 0
        }
        r.t = this.t + n
        r.s = this.s
      }

      // (protected) r = this >> n*DB
      function bnpDRShiftTo(n, r) {
        for (let i = n; i < this.t; ++i) {
          r[i - n] = this[i]
        }
        r.t = Math.max(this.t - n, 0)
        r.s = this.s
      }

      // (protected) r = this << n
      function bnpLShiftTo(n, r) {
        const bs = n % this.DB
        const cbs = this.DB - bs
        const bm = (1 << cbs) - 1
        let ds = Math.floor(n / this.DB),
          c = (this.s << bs) & this.DM,
          i
        for (i = this.t - 1; i >= 0; --i) {
          r[i + ds + 1] = (this[i] >> cbs) | c
          c = (this[i] & bm) << bs
        }
        for (i = ds - 1; i >= 0; --i) {
          r[i] = 0
        }
        r[ds] = c
        r.t = this.t + ds + 1
        r.s = this.s
        r.clamp()
      }

      // (protected) r = this >> n
      function bnpRShiftTo(n, r) {
        r.s = this.s
        const ds = Math.floor(n / this.DB)
        if (ds >= this.t) {
          r.t = 0
          return
        }
        const bs = n % this.DB
        const cbs = this.DB - bs
        const bm = (1 << bs) - 1
        r[0] = this[ds] >> bs
        for (let i = ds + 1; i < this.t; ++i) {
          r[i - ds - 1] |= (this[i] & bm) << cbs
          r[i - ds] = this[i] >> bs
        }
        if (bs > 0) {
          r[this.t - ds - 1] |= (this.s & bm) << cbs
        }
        r.t = this.t - ds
        r.clamp()
      }

      // (protected) r = this - a
      function bnpSubTo(a, r) {
        let i = 0,
          c = 0,
          m = Math.min(a.t, this.t)
        while (i < m) {
          c += this[i] - a[i]
          r[i++] = c & this.DM
          c >>= this.DB
        }
        if (a.t < this.t) {
          c -= a.s
          while (i < this.t) {
            c += this[i]
            r[i++] = c & this.DM
            c >>= this.DB
          }
          c += this.s
        } else {
          c += this.s
          while (i < a.t) {
            c -= a[i]
            r[i++] = c & this.DM
            c >>= this.DB
          }
          c -= a.s
        }
        r.s = c < 0 ? -1 : 0
        if (c < -1) {
          r[i++] = this.DV + c
        } else if (c > 0) {
          r[i++] = c
        }
        r.t = i
        r.clamp()
      }

      // (protected) r = this * a, r != this,a (HAC 14.12)
      // "this" should be the larger one if appropriate.
      function bnpMultiplyTo(a, r) {
        const x = this.abs(),
          y = a.abs()
        let i = x.t
        r.t = i + y.t
        while (--i >= 0) {
          r[i] = 0
        }
        for (i = 0; i < y.t; ++i) {
          r[i + x.t] = x.am(0, y[i], r, i, 0, x.t)
        }
        r.s = 0
        r.clamp()
        if (this.s != a.s) {
          BigInteger.ZERO.subTo(r, r)
        }
      }

      // (protected) r = this^2, r != this (HAC 14.16)
      function bnpSquareTo(r) {
        const x = this.abs()
        let i = (r.t = 2 * x.t)
        while (--i >= 0) {
          r[i] = 0
        }
        for (i = 0; i < x.t - 1; ++i) {
          const c = x.am(i, x[i], r, 2 * i, 0, 1)
          if (
            (r[i + x.t] += x.am(
              i + 1,
              2 * x[i],
              r,
              2 * i + 1,
              c,
              x.t - i - 1
            )) >= x.DV
          ) {
            r[i + x.t] -= x.DV
            r[i + x.t + 1] = 1
          }
        }
        if (r.t > 0) {
          r[r.t - 1] += x.am(i, x[i], r, 2 * i, 0, 1)
        }
        r.s = 0
        r.clamp()
      }

      // (protected) divide this by m, quotient and remainder to q, r (HAC 14.20)
      // r != q, this != m.  q or r may be null.
      function bnpDivRemTo(m, q, r) {
        const pm = m.abs()
        if (pm.t <= 0) {
          return
        }
        const pt = this.abs()
        if (pt.t < pm.t) {
          if (q != null) {
            q.fromInt(0)
          }
          if (r != null) {
            this.copyTo(r)
          }
          return
        }
        if (r == null) {
          r = nbi()
        }
        const y = nbi(),
          ts = this.s,
          ms = m.s
        const nsh = this.DB - nbits(pm[pm.t - 1]) // normalize modulus
        if (nsh > 0) {
          pm.lShiftTo(nsh, y)
          pt.lShiftTo(nsh, r)
        } else {
          pm.copyTo(y)
          pt.copyTo(r)
        }
        const ys = y.t
        const y0 = y[ys - 1]
        if (y0 == 0) {
          return
        }
        const yt = y0 * (1 << this.F1) + (ys > 1 ? y[ys - 2] >> this.F2 : 0)
        const d1 = this.FV / yt,
          d2 = (1 << this.F1) / yt,
          e = 1 << this.F2
        let i = r.t,
          j = i - ys,
          t = q == null ? nbi() : q
        y.dlShiftTo(j, t)
        if (r.compareTo(t) >= 0) {
          r[r.t++] = 1
          r.subTo(t, r)
        }
        BigInteger.ONE.dlShiftTo(ys, t)
        t.subTo(y, y) // "negative" y so we can replace sub with am later
        while (y.t < ys) {
          y[y.t++] = 0
        }
        while (--j >= 0) {
          // Estimate quotient digit
          let qd =
            r[--i] == y0 ? this.DM : Math.floor(r[i] * d1 + (r[i - 1] + e) * d2)
          if ((r[i] += y.am(0, qd, r, j, 0, ys)) < qd) {
            // Try it out
            y.dlShiftTo(j, t)
            r.subTo(t, r)
            while (r[i] < --qd) {
              r.subTo(t, r)
            }
          }
        }
        if (q != null) {
          r.drShiftTo(ys, q)
          if (ts != ms) {
            BigInteger.ZERO.subTo(q, q)
          }
        }
        r.t = ys
        r.clamp()
        if (nsh > 0) {
          r.rShiftTo(nsh, r)
        } // Denormalize remainder
        if (ts < 0) {
          BigInteger.ZERO.subTo(r, r)
        }
      }

      // (public) this mod a
      function bnMod(a) {
        const r = nbi()
        this.abs().divRemTo(a, null, r)
        if (this.s < 0 && r.compareTo(BigInteger.ZERO) > 0) {
          a.subTo(r, r)
        }
        return r
      }

      // Modular reduction using "classic" algorithm
      function Classic(m) {
        this.m = m
      }
      function cConvert(x) {
        if (x.s < 0 || x.compareTo(this.m) >= 0) {
          return x.mod(this.m)
        } else {
          return x
        }
      }
      function cRevert(x) {
        return x
      }
      function cReduce(x) {
        x.divRemTo(this.m, null, x)
      }
      function cMulTo(x, y, r) {
        x.multiplyTo(y, r)
        this.reduce(r)
      }
      function cSqrTo(x, r) {
        x.squareTo(r)
        this.reduce(r)
      }
      Classic.prototype.convert = cConvert
      Classic.prototype.revert = cRevert
      Classic.prototype.reduce = cReduce
      Classic.prototype.mulTo = cMulTo
      Classic.prototype.sqrTo = cSqrTo

      // (protected) return "-1/this % 2^DB"; useful for Mont. reduction
      // justification:
      //         xy == 1 (mod m)
      //         xy =  1+km
      //   xy(2-xy) = (1+km)(1-km)
      // x[y(2-xy)] = 1-k^2m^2
      // x[y(2-xy)] == 1 (mod m^2)
      // if y is 1/x mod m, then y(2-xy) is 1/x mod m^2
      // should reduce x and y(2-xy) by m^2 at each step to keep size bounded.
      // JS multiply "overflows" differently from C/C++, so care is needed here.
      function bnpInvDigit() {
        if (this.t < 1) {
          return 0
        }
        const x = this[0]
        if ((x & 1) == 0) {
          return 0
        }
        let y = x & 3 // y == 1/x mod 2^2
        y = (y * (2 - (x & 0xf) * y)) & 0xf // y == 1/x mod 2^4
        y = (y * (2 - (x & 0xff) * y)) & 0xff // y == 1/x mod 2^8
        y = (y * (2 - (((x & 0xffff) * y) & 0xffff))) & 0xffff // y == 1/x mod 2^16
        // last step - calculate inverse mod DV directly;
        // assumes 16 < DB <= 32 and assumes ability to handle 48-bit ints
        y = (y * (2 - ((x * y) % this.DV))) % this.DV // y == 1/x mod 2^dbits
        // we really want the negative inverse, and -DV < y < DV
        return y > 0 ? this.DV - y : -y
      }

      // Montgomery reduction
      function Montgomery(m) {
        this.m = m
        this.mp = m.invDigit()
        this.mpl = this.mp & 0x7fff
        this.mph = this.mp >> 15
        this.um = (1 << (m.DB - 15)) - 1
        this.mt2 = 2 * m.t
      }

      // xR mod m
      function montConvert(x) {
        const r = nbi()
        x.abs().dlShiftTo(this.m.t, r)
        r.divRemTo(this.m, null, r)
        if (x.s < 0 && r.compareTo(BigInteger.ZERO) > 0) {
          this.m.subTo(r, r)
        }
        return r
      }

      // x/R mod m
      function montRevert(x) {
        const r = nbi()
        x.copyTo(r)
        this.reduce(r)
        return r
      }

      // x = x/R mod m (HAC 14.32)
      function montReduce(x) {
        while (x.t <= this.mt2) {
          // pad x so am has enough room later
          x[x.t++] = 0
        }
        for (let i = 0; i < this.m.t; ++i) {
          // faster way of calculating u0 = x[i]*mp mod DV
          let j = x[i] & 0x7fff
          const u0 =
            (j * this.mpl +
              (((j * this.mph + (x[i] >> 15) * this.mpl) & this.um) << 15)) &
            x.DM
          // use am to combine the multiply-shift-add into one call
          j = i + this.m.t
          x[j] += this.m.am(0, u0, x, i, 0, this.m.t)
          // propagate carry
          while (x[j] >= x.DV) {
            x[j] -= x.DV
            x[++j]++
          }
        }
        x.clamp()
        x.drShiftTo(this.m.t, x)
        if (x.compareTo(this.m) >= 0) {
          x.subTo(this.m, x)
        }
      }

      // r = "x^2/R mod m"; x != r
      function montSqrTo(x, r) {
        x.squareTo(r)
        this.reduce(r)
      }

      // r = "xy/R mod m"; x,y != r
      function montMulTo(x, y, r) {
        x.multiplyTo(y, r)
        this.reduce(r)
      }
      Montgomery.prototype.convert = montConvert
      Montgomery.prototype.revert = montRevert
      Montgomery.prototype.reduce = montReduce
      Montgomery.prototype.mulTo = montMulTo
      Montgomery.prototype.sqrTo = montSqrTo

      // (protected) true iff this is even
      function bnpIsEven() {
        return (this.t > 0 ? this[0] & 1 : this.s) == 0
      }

      // (protected) this^e, e < 2^32, doing sqr and mul with "r" (HAC 14.79)
      function bnpExp(e, z) {
        if (e > 0xffffffff || e < 1) {
          return BigInteger.ONE
        }
        let r = nbi(),
          r2 = nbi(),
          g = z.convert(this),
          i = nbits(e) - 1
        g.copyTo(r)
        while (--i >= 0) {
          z.sqrTo(r, r2)
          if ((e & (1 << i)) > 0) {
            z.mulTo(r2, g, r)
          } else {
            const t = r
            r = r2
            r2 = t
          }
        }
        return z.revert(r)
      }

      // (public) this^e % m, 0 <= e < 2^32
      function bnModPowInt(e, m) {
        let z
        if (e < 256 || m.isEven()) {
          z = new Classic(m)
        } else {
          z = new Montgomery(m)
        }
        return this.exp(e, z)
      }

      // protected
      BigInteger.prototype.copyTo = bnpCopyTo
      BigInteger.prototype.fromInt = bnpFromInt
      BigInteger.prototype.fromString = bnpFromString
      BigInteger.prototype.clamp = bnpClamp
      BigInteger.prototype.dlShiftTo = bnpDLShiftTo
      BigInteger.prototype.drShiftTo = bnpDRShiftTo
      BigInteger.prototype.lShiftTo = bnpLShiftTo
      BigInteger.prototype.rShiftTo = bnpRShiftTo
      BigInteger.prototype.subTo = bnpSubTo
      BigInteger.prototype.multiplyTo = bnpMultiplyTo
      BigInteger.prototype.squareTo = bnpSquareTo
      BigInteger.prototype.divRemTo = bnpDivRemTo
      BigInteger.prototype.invDigit = bnpInvDigit
      BigInteger.prototype.isEven = bnpIsEven
      BigInteger.prototype.exp = bnpExp

      // public
      BigInteger.prototype.toString = bnToString
      BigInteger.prototype.negate = bnNegate
      BigInteger.prototype.abs = bnAbs
      BigInteger.prototype.compareTo = bnCompareTo
      BigInteger.prototype.bitLength = bnBitLength
      BigInteger.prototype.mod = bnMod
      BigInteger.prototype.modPowInt = bnModPowInt

      // "constants"
      BigInteger.ZERO = nbv(0)
      BigInteger.ONE = nbv(1)

      // Copyright (c) 2005-2009  Tom Wu
      // All Rights Reserved.
      // See "LICENSE" for details.

      // Extended JavaScript BN functions, required for RSA private ops.

      // Version 1.1: new BigInteger("0", 10) returns "proper" zero
      // Version 1.2: square() API, isProbablePrime fix

      // (public)
      function bnClone() {
        const r = nbi()
        this.copyTo(r)
        return r
      }

      // (public) return value as integer
      function bnIntValue() {
        if (this.s < 0) {
          if (this.t == 1) {
            return this[0] - this.DV
          } else if (this.t == 0) {
            return -1
          }
        } else if (this.t == 1) {
          return this[0]
        } else if (this.t == 0) {
          return 0
        }
        // assumes 16 < DB < 32
        return ((this[1] & ((1 << (32 - this.DB)) - 1)) << this.DB) | this[0]
      }

      // (public) return value as byte
      function bnByteValue() {
        return this.t == 0 ? this.s : (this[0] << 24) >> 24
      }

      // (public) return value as short (assumes DB>=16)
      function bnShortValue() {
        return this.t == 0 ? this.s : (this[0] << 16) >> 16
      }

      // (protected) return x s.t. r^x < DV
      function bnpChunkSize(r) {
        return Math.floor((Math.LN2 * this.DB) / Math.log(r))
      }

      // (public) 0 if this == 0, 1 if this > 0
      function bnSigNum() {
        if (this.s < 0) {
          return -1
        } else if (this.t <= 0 || (this.t == 1 && this[0] <= 0)) {
          return 0
        } else {
          return 1
        }
      }

      // (protected) convert to radix string
      function bnpToRadix(b) {
        if (b == null) {
          b = 10
        }
        if (this.signum() == 0 || b < 2 || b > 36) {
          return '0'
        }
        const cs = this.chunkSize(b)
        const a = Math.pow(b, cs)
        let d = nbv(a),
          y = nbi(),
          z = nbi(),
          r = ''
        this.divRemTo(d, y, z)
        while (y.signum() > 0) {
          r = (a + z.intValue()).toString(b).substr(1) + r
          y.divRemTo(d, y, z)
        }
        return z.intValue().toString(b) + r
      }

      // (protected) convert from radix string
      function bnpFromRadix(s, b) {
        this.fromInt(0)
        if (b == null) {
          b = 10
        }
        const cs = this.chunkSize(b)
        let d = Math.pow(b, cs),
          mi = false,
          j = 0,
          w = 0
        for (let i = 0; i < s.length; ++i) {
          const x = intAt(s, i)
          if (x < 0) {
            if (s.charAt(i) == '-' && this.signum() == 0) {
              mi = true
            }
            continue
          }
          w = b * w + x
          if (++j >= cs) {
            this.dMultiply(d)
            this.dAddOffset(w, 0)
            j = 0
            w = 0
          }
        }
        if (j > 0) {
          this.dMultiply(Math.pow(b, j))
          this.dAddOffset(w, 0)
        }
        if (mi) {
          BigInteger.ZERO.subTo(this, this)
        }
      }

      // (protected) alternate constructor
      function bnpFromNumber(a, b, c) {
        if ('number' == typeof b) {
          // new BigInteger(int,int,RNG)
          if (a < 2) {
            this.fromInt(1)
          } else {
            this.fromNumber(a, c)
            if (!this.testBit(a - 1)) {
              // force MSB set
              this.bitwiseTo(BigInteger.ONE.shiftLeft(a - 1), op_or, this)
            }
            if (this.isEven()) {
              this.dAddOffset(1, 0)
            } // force odd
            while (!this.isProbablePrime(b)) {
              this.dAddOffset(2, 0)
              if (this.bitLength() > a) {
                this.subTo(BigInteger.ONE.shiftLeft(a - 1), this)
              }
            }
          }
        } else {
          // new BigInteger(int,RNG)
          const x = new Array(),
            t = a & 7
          x.length = (a >> 3) + 1
          b.nextBytes(x)
          if (t > 0) {
            x[0] &= (1 << t) - 1
          } else {
            x[0] = 0
          }
          this.fromString(x, 256)
        }
      }

      // (public) convert to bigendian byte array
      function bnToByteArray() {
        let i = this.t,
          r = new Array()
        r[0] = this.s
        let p = this.DB - ((i * this.DB) % 8),
          d,
          k = 0
        if (i-- > 0) {
          if (p < this.DB && (d = this[i] >> p) != (this.s & this.DM) >> p) {
            r[k++] = d | (this.s << (this.DB - p))
          }
          while (i >= 0) {
            if (p < 8) {
              d = (this[i] & ((1 << p) - 1)) << (8 - p)
              d |= this[--i] >> (p += this.DB - 8)
            } else {
              d = (this[i] >> (p -= 8)) & 0xff
              if (p <= 0) {
                p += this.DB
                --i
              }
            }
            if ((d & 0x80) != 0) {
              d |= -256
            }
            if (k == 0 && (this.s & 0x80) != (d & 0x80)) {
              ++k
            }
            if (k > 0 || d != this.s) {
              r[k++] = d
            }
          }
        }
        return r
      }
      function bnEquals(a) {
        return this.compareTo(a) == 0
      }
      function bnMin(a) {
        return this.compareTo(a) < 0 ? this : a
      }
      function bnMax(a) {
        return this.compareTo(a) > 0 ? this : a
      }

      // (protected) r = this op a (bitwise)
      function bnpBitwiseTo(a, op, r) {
        let i,
          f,
          m = Math.min(a.t, this.t)
        for (i = 0; i < m; ++i) {
          r[i] = op(this[i], a[i])
        }
        if (a.t < this.t) {
          f = a.s & this.DM
          for (i = m; i < this.t; ++i) {
            r[i] = op(this[i], f)
          }
          r.t = this.t
        } else {
          f = this.s & this.DM
          for (i = m; i < a.t; ++i) {
            r[i] = op(f, a[i])
          }
          r.t = a.t
        }
        r.s = op(this.s, a.s)
        r.clamp()
      }

      // (public) this & a
      function op_and(x, y) {
        return x & y
      }
      function bnAnd(a) {
        const r = nbi()
        this.bitwiseTo(a, op_and, r)
        return r
      }

      // (public) this | a
      function op_or(x, y) {
        return x | y
      }
      function bnOr(a) {
        const r = nbi()
        this.bitwiseTo(a, op_or, r)
        return r
      }

      // (public) this ^ a
      function op_xor(x, y) {
        return x ^ y
      }
      function bnXor(a) {
        const r = nbi()
        this.bitwiseTo(a, op_xor, r)
        return r
      }

      // (public) this & ~a
      function op_andnot(x, y) {
        return x & ~y
      }
      function bnAndNot(a) {
        const r = nbi()
        this.bitwiseTo(a, op_andnot, r)
        return r
      }

      // (public) ~this
      function bnNot() {
        const r = nbi()
        for (let i = 0; i < this.t; ++i) {
          r[i] = this.DM & ~this[i]
        }
        r.t = this.t
        r.s = ~this.s
        return r
      }

      // (public) this << n
      function bnShiftLeft(n) {
        const r = nbi()
        if (n < 0) {
          this.rShiftTo(-n, r)
        } else {
          this.lShiftTo(n, r)
        }
        return r
      }

      // (public) this >> n
      function bnShiftRight(n) {
        const r = nbi()
        if (n < 0) {
          this.lShiftTo(-n, r)
        } else {
          this.rShiftTo(n, r)
        }
        return r
      }

      // return index of lowest 1-bit in x, x < 2^31
      function lbit(x) {
        if (x == 0) {
          return -1
        }
        let r = 0
        if ((x & 0xffff) == 0) {
          x >>= 16
          r += 16
        }
        if ((x & 0xff) == 0) {
          x >>= 8
          r += 8
        }
        if ((x & 0xf) == 0) {
          x >>= 4
          r += 4
        }
        if ((x & 3) == 0) {
          x >>= 2
          r += 2
        }
        if ((x & 1) == 0) {
          ++r
        }
        return r
      }

      // (public) returns index of lowest 1-bit (or -1 if none)
      function bnGetLowestSetBit() {
        for (let i = 0; i < this.t; ++i) {
          if (this[i] != 0) return i * this.DB + lbit(this[i])
        }
        if (this.s < 0) {
          return this.t * this.DB
        }
        return -1
      }

      // return number of 1 bits in x
      function cbit(x) {
        let r = 0
        while (x != 0) {
          x &= x - 1
          ++r
        }
        return r
      }

      // (public) return number of set bits
      function bnBitCount() {
        let r = 0,
          x = this.s & this.DM
        for (let i = 0; i < this.t; ++i) {
          r += cbit(this[i] ^ x)
        }
        return r
      }

      // (public) true iff nth bit is set
      function bnTestBit(n) {
        const j = Math.floor(n / this.DB)
        if (j >= this.t) {
          return this.s != 0
        }
        return (this[j] & (1 << (n % this.DB))) != 0
      }

      // (protected) this op (1<<n)
      function bnpChangeBit(n, op) {
        const r = BigInteger.ONE.shiftLeft(n)
        this.bitwiseTo(r, op, r)
        return r
      }

      // (public) this | (1<<n)
      function bnSetBit(n) {
        return this.changeBit(n, op_or)
      }

      // (public) this & ~(1<<n)
      function bnClearBit(n) {
        return this.changeBit(n, op_andnot)
      }

      // (public) this ^ (1<<n)
      function bnFlipBit(n) {
        return this.changeBit(n, op_xor)
      }

      // (protected) r = this + a
      function bnpAddTo(a, r) {
        let i = 0,
          c = 0,
          m = Math.min(a.t, this.t)
        while (i < m) {
          c += this[i] + a[i]
          r[i++] = c & this.DM
          c >>= this.DB
        }
        if (a.t < this.t) {
          c += a.s
          while (i < this.t) {
            c += this[i]
            r[i++] = c & this.DM
            c >>= this.DB
          }
          c += this.s
        } else {
          c += this.s
          while (i < a.t) {
            c += a[i]
            r[i++] = c & this.DM
            c >>= this.DB
          }
          c += a.s
        }
        r.s = c < 0 ? -1 : 0
        if (c > 0) {
          r[i++] = c
        } else if (c < -1) {
          r[i++] = this.DV + c
        }
        r.t = i
        r.clamp()
      }

      // (public) this + a
      function bnAdd(a) {
        const r = nbi()
        this.addTo(a, r)
        return r
      }

      // (public) this - a
      function bnSubtract(a) {
        const r = nbi()
        this.subTo(a, r)
        return r
      }

      // (public) this * a
      function bnMultiply(a) {
        const r = nbi()
        this.multiplyTo(a, r)
        return r
      }

      // (public) this^2
      function bnSquare() {
        const r = nbi()
        this.squareTo(r)
        return r
      }

      // (public) this / a
      function bnDivide(a) {
        const r = nbi()
        this.divRemTo(a, r, null)
        return r
      }

      // (public) this % a
      function bnRemainder(a) {
        const r = nbi()
        this.divRemTo(a, null, r)
        return r
      }

      // (public) [this/a,this%a]
      function bnDivideAndRemainder(a) {
        const q = nbi(),
          r = nbi()
        this.divRemTo(a, q, r)
        return new Array(q, r)
      }

      // (protected) this *= n, this >= 0, 1 < n < DV
      function bnpDMultiply(n) {
        this[this.t] = this.am(0, n - 1, this, 0, 0, this.t)
        ++this.t
        this.clamp()
      }

      // (protected) this += n << w words, this >= 0
      function bnpDAddOffset(n, w) {
        if (n == 0) {
          return
        }
        while (this.t <= w) {
          this[this.t++] = 0
        }
        this[w] += n
        while (this[w] >= this.DV) {
          this[w] -= this.DV
          if (++w >= this.t) {
            this[this.t++] = 0
          }
          ++this[w]
        }
      }

      // A "null" reducer
      function NullExp() {}
      function nNop(x) {
        return x
      }
      function nMulTo(x, y, r) {
        x.multiplyTo(y, r)
      }
      function nSqrTo(x, r) {
        x.squareTo(r)
      }
      NullExp.prototype.convert = nNop
      NullExp.prototype.revert = nNop
      NullExp.prototype.mulTo = nMulTo
      NullExp.prototype.sqrTo = nSqrTo

      // (public) this^e
      function bnPow(e) {
        return this.exp(e, new NullExp())
      }

      // (protected) r = lower n words of "this * a", a.t <= n
      // "this" should be the larger one if appropriate.
      function bnpMultiplyLowerTo(a, n, r) {
        let i = Math.min(this.t + a.t, n)
        r.s = 0 // assumes a,this >= 0
        r.t = i
        while (i > 0) {
          r[--i] = 0
        }
        let j
        for (j = r.t - this.t; i < j; ++i) {
          r[i + this.t] = this.am(0, a[i], r, i, 0, this.t)
        }
        for (j = Math.min(a.t, n); i < j; ++i) {
          this.am(0, a[i], r, i, 0, n - i)
        }
        r.clamp()
      }

      // (protected) r = "this * a" without lower n words, n > 0
      // "this" should be the larger one if appropriate.
      function bnpMultiplyUpperTo(a, n, r) {
        --n
        let i = (r.t = this.t + a.t - n)
        r.s = 0 // assumes a,this >= 0
        while (--i >= 0) {
          r[i] = 0
        }
        for (i = Math.max(n - this.t, 0); i < a.t; ++i) {
          r[this.t + i - n] = this.am(n - i, a[i], r, 0, 0, this.t + i - n)
        }
        r.clamp()
        r.drShiftTo(1, r)
      }

      // Barrett modular reduction
      function Barrett(m) {
        // setup Barrett
        this.r2 = nbi()
        this.q3 = nbi()
        BigInteger.ONE.dlShiftTo(2 * m.t, this.r2)
        this.mu = this.r2.divide(m)
        this.m = m
      }
      function barrettConvert(x) {
        if (x.s < 0 || x.t > 2 * this.m.t) {
          return x.mod(this.m)
        } else if (x.compareTo(this.m) < 0) {
          return x
        } else {
          const r = nbi()
          x.copyTo(r)
          this.reduce(r)
          return r
        }
      }
      function barrettRevert(x) {
        return x
      }

      // x = x mod m (HAC 14.42)
      function barrettReduce(x) {
        x.drShiftTo(this.m.t - 1, this.r2)
        if (x.t > this.m.t + 1) {
          x.t = this.m.t + 1
          x.clamp()
        }
        this.mu.multiplyUpperTo(this.r2, this.m.t + 1, this.q3)
        this.m.multiplyLowerTo(this.q3, this.m.t + 1, this.r2)
        while (x.compareTo(this.r2) < 0) {
          x.dAddOffset(1, this.m.t + 1)
        }
        x.subTo(this.r2, x)
        while (x.compareTo(this.m) >= 0) {
          x.subTo(this.m, x)
        }
      }

      // r = x^2 mod m; x != r
      function barrettSqrTo(x, r) {
        x.squareTo(r)
        this.reduce(r)
      }

      // r = x*y mod m; x,y != r
      function barrettMulTo(x, y, r) {
        x.multiplyTo(y, r)
        this.reduce(r)
      }
      Barrett.prototype.convert = barrettConvert
      Barrett.prototype.revert = barrettRevert
      Barrett.prototype.reduce = barrettReduce
      Barrett.prototype.mulTo = barrettMulTo
      Barrett.prototype.sqrTo = barrettSqrTo

      // (public) this^e % m (HAC 14.85)
      function bnModPow(e, m) {
        let i = e.bitLength(),
          k,
          r = nbv(1),
          z
        if (i <= 0) {
          return r
        } else if (i < 18) {
          k = 1
        } else if (i < 48) {
          k = 3
        } else if (i < 144) {
          k = 4
        } else if (i < 768) {
          k = 5
        } else {
          k = 6
        }
        if (i < 8) {
          z = new Classic(m)
        } else if (m.isEven()) {
          z = new Barrett(m)
        } else {
          z = new Montgomery(m)
        }

        // precomputation
        let g = new Array(),
          n = 3,
          k1 = k - 1,
          km = (1 << k) - 1
        g[1] = z.convert(this)
        if (k > 1) {
          const g2 = nbi()
          z.sqrTo(g[1], g2)
          while (n <= km) {
            g[n] = nbi()
            z.mulTo(g2, g[n - 2], g[n])
            n += 2
          }
        }
        let j = e.t - 1,
          w,
          is1 = true,
          r2 = nbi(),
          t
        i = nbits(e[j]) - 1
        while (j >= 0) {
          if (i >= k1) {
            w = (e[j] >> (i - k1)) & km
          } else {
            w = (e[j] & ((1 << (i + 1)) - 1)) << (k1 - i)
            if (j > 0) {
              w |= e[j - 1] >> (this.DB + i - k1)
            }
          }
          n = k
          while ((w & 1) == 0) {
            w >>= 1
            --n
          }
          if ((i -= n) < 0) {
            i += this.DB
            --j
          }
          if (is1) {
            // ret == 1, don't bother squaring or multiplying it
            g[w].copyTo(r)
            is1 = false
          } else {
            while (n > 1) {
              z.sqrTo(r, r2)
              z.sqrTo(r2, r)
              n -= 2
            }
            if (n > 0) {
              z.sqrTo(r, r2)
            } else {
              t = r
              r = r2
              r2 = t
            }
            z.mulTo(r2, g[w], r)
          }
          while (j >= 0 && (e[j] & (1 << i)) == 0) {
            z.sqrTo(r, r2)
            t = r
            r = r2
            r2 = t
            if (--i < 0) {
              i = this.DB - 1
              --j
            }
          }
        }
        return z.revert(r)
      }

      // (public) gcd(this,a) (HAC 14.54)
      function bnGCD(a) {
        let x = this.s < 0 ? this.negate() : this.clone()
        let y = a.s < 0 ? a.negate() : a.clone()
        if (x.compareTo(y) < 0) {
          const t = x
          x = y
          y = t
        }
        let i = x.getLowestSetBit(),
          g = y.getLowestSetBit()
        if (g < 0) {
          return x
        }
        if (i < g) {
          g = i
        }
        if (g > 0) {
          x.rShiftTo(g, x)
          y.rShiftTo(g, y)
        }
        while (x.signum() > 0) {
          if ((i = x.getLowestSetBit()) > 0) {
            x.rShiftTo(i, x)
          }
          if ((i = y.getLowestSetBit()) > 0) {
            y.rShiftTo(i, y)
          }
          if (x.compareTo(y) >= 0) {
            x.subTo(y, x)
            x.rShiftTo(1, x)
          } else {
            y.subTo(x, y)
            y.rShiftTo(1, y)
          }
        }
        if (g > 0) {
          y.lShiftTo(g, y)
        }
        return y
      }

      // (protected) this % n, n < 2^26
      function bnpModInt(n) {
        if (n <= 0) {
          return 0
        }
        let d = this.DV % n,
          r = this.s < 0 ? n - 1 : 0
        if (this.t > 0) {
          if (d == 0) r = this[0] % n
          else for (var i = this.t - 1; i >= 0; --i) r = (d * r + this[i]) % n
        }
        return r
      }

      // (public) 1/this % m (HAC 14.61)
      function bnModInverse(m) {
        const ac = m.isEven()
        if ((this.isEven() && ac) || m.signum() == 0) {
          return BigInteger.ZERO
        }
        const u = m.clone(),
          v = this.clone()
        const a = nbv(1),
          b = nbv(0),
          c = nbv(0),
          d = nbv(1)
        while (u.signum() != 0) {
          while (u.isEven()) {
            u.rShiftTo(1, u)
            if (ac) {
              if (!a.isEven() || !b.isEven()) {
                a.addTo(this, a)
                b.subTo(m, b)
              }
              a.rShiftTo(1, a)
            } else if (!b.isEven()) {
              b.subTo(m, b)
            }
            b.rShiftTo(1, b)
          }
          while (v.isEven()) {
            v.rShiftTo(1, v)
            if (ac) {
              if (!c.isEven() || !d.isEven()) {
                c.addTo(this, c)
                d.subTo(m, d)
              }
              c.rShiftTo(1, c)
            } else if (!d.isEven()) {
              d.subTo(m, d)
            }
            d.rShiftTo(1, d)
          }
          if (u.compareTo(v) >= 0) {
            u.subTo(v, u)
            if (ac) {
              a.subTo(c, a)
            }
            b.subTo(d, b)
          } else {
            v.subTo(u, v)
            if (ac) {
              c.subTo(a, c)
            }
            d.subTo(b, d)
          }
        }
        if (v.compareTo(BigInteger.ONE) != 0) {
          return BigInteger.ZERO
        }
        if (d.compareTo(m) >= 0) {
          return d.subtract(m)
        }
        if (d.signum() < 0) {
          d.addTo(m, d)
        } else {
          return d
        }
        if (d.signum() < 0) {
          return d.add(m)
        } else {
          return d
        }
      }
      const lowprimes = [
        2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67,
        71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113, 127, 131, 137, 139,
        149, 151, 157, 163, 167, 173, 179, 181, 191, 193, 197, 199, 211, 223,
        227, 229, 233, 239, 241, 251, 257, 263, 269, 271, 277, 281, 283, 293,
        307, 311, 313, 317, 331, 337, 347, 349, 353, 359, 367, 373, 379, 383,
        389, 397, 401, 409, 419, 421, 431, 433, 439, 443, 449, 457, 461, 463,
        467, 479, 487, 491, 499, 503, 509, 521, 523, 541, 547, 557, 563, 569,
        571, 577, 587, 593, 599, 601, 607, 613, 617, 619, 631, 641, 643, 647,
        653, 659, 661, 673, 677, 683, 691, 701, 709, 719, 727, 733, 739, 743,
        751, 757, 761, 769, 773, 787, 797, 809, 811, 821, 823, 827, 829, 839,
        853, 857, 859, 863, 877, 881, 883, 887, 907, 911, 919, 929, 937, 941,
        947, 953, 967, 971, 977, 983, 991, 997
      ]
      const lplim = (1 << 26) / lowprimes[lowprimes.length - 1]

      // (public) test primality with certainty >= 1-.5^t
      function bnIsProbablePrime(t) {
        let i,
          x = this.abs()
        if (x.t == 1 && x[0] <= lowprimes[lowprimes.length - 1]) {
          for (i = 0; i < lowprimes.length; ++i) {
            if (x[0] == lowprimes[i]) return true
          }
          return false
        }
        if (x.isEven()) {
          return false
        }
        i = 1
        while (i < lowprimes.length) {
          let m = lowprimes[i],
            j = i + 1
          while (j < lowprimes.length && m < lplim) {
            m *= lowprimes[j++]
          }
          m = x.modInt(m)
          while (i < j) {
            if (m % lowprimes[i++] == 0) return false
          }
        }
        return x.millerRabin(t)
      }

      // (protected) true if probably prime (HAC 4.24, Miller-Rabin)
      function bnpMillerRabin(t) {
        const n1 = this.subtract(BigInteger.ONE)
        const k = n1.getLowestSetBit()
        if (k <= 0) {
          return false
        }
        const r = n1.shiftRight(k)
        t = (t + 1) >> 1
        if (t > lowprimes.length) {
          t = lowprimes.length
        }
        const a = nbi()
        for (let i = 0; i < t; ++i) {
          //Pick bases at random, instead of starting at 2
          a.fromInt(lowprimes[Math.floor(Math.random() * lowprimes.length)])
          let y = a.modPow(r, this)
          if (y.compareTo(BigInteger.ONE) != 0 && y.compareTo(n1) != 0) {
            let j = 1
            while (j++ < k && y.compareTo(n1) != 0) {
              y = y.modPowInt(2, this)
              if (y.compareTo(BigInteger.ONE) == 0) {
                return false
              }
            }
            if (y.compareTo(n1) != 0) {
              return false
            }
          }
        }
        return true
      }

      // protected
      BigInteger.prototype.chunkSize = bnpChunkSize
      BigInteger.prototype.toRadix = bnpToRadix
      BigInteger.prototype.fromRadix = bnpFromRadix
      BigInteger.prototype.fromNumber = bnpFromNumber
      BigInteger.prototype.bitwiseTo = bnpBitwiseTo
      BigInteger.prototype.changeBit = bnpChangeBit
      BigInteger.prototype.addTo = bnpAddTo
      BigInteger.prototype.dMultiply = bnpDMultiply
      BigInteger.prototype.dAddOffset = bnpDAddOffset
      BigInteger.prototype.multiplyLowerTo = bnpMultiplyLowerTo
      BigInteger.prototype.multiplyUpperTo = bnpMultiplyUpperTo
      BigInteger.prototype.modInt = bnpModInt
      BigInteger.prototype.millerRabin = bnpMillerRabin

      // public
      BigInteger.prototype.clone = bnClone
      BigInteger.prototype.intValue = bnIntValue
      BigInteger.prototype.byteValue = bnByteValue
      BigInteger.prototype.shortValue = bnShortValue
      BigInteger.prototype.signum = bnSigNum
      BigInteger.prototype.toByteArray = bnToByteArray
      BigInteger.prototype.equals = bnEquals
      BigInteger.prototype.min = bnMin
      BigInteger.prototype.max = bnMax
      BigInteger.prototype.and = bnAnd
      BigInteger.prototype.or = bnOr
      BigInteger.prototype.xor = bnXor
      BigInteger.prototype.andNot = bnAndNot
      BigInteger.prototype.not = bnNot
      BigInteger.prototype.shiftLeft = bnShiftLeft
      BigInteger.prototype.shiftRight = bnShiftRight
      BigInteger.prototype.getLowestSetBit = bnGetLowestSetBit
      BigInteger.prototype.bitCount = bnBitCount
      BigInteger.prototype.testBit = bnTestBit
      BigInteger.prototype.setBit = bnSetBit
      BigInteger.prototype.clearBit = bnClearBit
      BigInteger.prototype.flipBit = bnFlipBit
      BigInteger.prototype.add = bnAdd
      BigInteger.prototype.subtract = bnSubtract
      BigInteger.prototype.multiply = bnMultiply
      BigInteger.prototype.divide = bnDivide
      BigInteger.prototype.remainder = bnRemainder
      BigInteger.prototype.divideAndRemainder = bnDivideAndRemainder
      BigInteger.prototype.modPow = bnModPow
      BigInteger.prototype.modInverse = bnModInverse
      BigInteger.prototype.pow = bnPow
      BigInteger.prototype.gcd = bnGCD
      BigInteger.prototype.isProbablePrime = bnIsProbablePrime

      // JSBN-specific extension
      BigInteger.prototype.square = bnSquare

      // Expose the Barrett function
      BigInteger.prototype.Barrett = Barrett

      // BigInteger interfaces not implemented in jsbn:

      // BigInteger(int signum, byte[] magnitude)
      // double doubleValue()
      // float floatValue()
      // int hashCode()
      // long longValue()
      // static BigInteger valueOf(long val)

      // Random number generator - requires a PRNG backend, e.g. prng4.js

      // For best results, put code like
      // <body onClick='rng_seed_time();' onKeyPress='rng_seed_time();'>
      // in your main HTML document.

      let rng_state
      let rng_pool
      let rng_pptr
      // Pool size must be a multiple of 4 and greater than 32.
      // An array of bytes the size of the pool will be passed to init()
      const rng_psize = 256

      // Mix in a 32-bit integer into the pool
      function rng_seed_int(x) {
        rng_pool[rng_pptr++] ^= x & 255
        rng_pool[rng_pptr++] ^= (x >> 8) & 255
        rng_pool[rng_pptr++] ^= (x >> 16) & 255
        rng_pool[rng_pptr++] ^= (x >> 24) & 255
        if (rng_pptr >= rng_psize) {
          rng_pptr -= rng_psize
        }
      }

      // Mix in the current time (w/milliseconds) into the pool
      function rng_seed_time() {
        rng_seed_int(new Date().getTime())
      }

      // Initialize the pool with junk if needed.
      if (rng_pool == null) {
        rng_pool = new Array()
        rng_pptr = 0
        let t
        if (typeof window !== 'undefined' && window.crypto) {
          if (window.crypto.getRandomValues) {
            // Use webcrypto if available
            const ua = new Uint8Array(32)
            window.crypto.getRandomValues(ua)
            for (t = 0; t < 32; ++t) {
              rng_pool[rng_pptr++] = ua[t]
            }
          } else if (
            navigator.appName == 'Netscape' &&
            navigator.appVersion < '5'
          ) {
            // Extract entropy (256 bits) from NS4 RNG if available
            const z = window.crypto.random(32)
            for (t = 0; t < z.length; ++t) {
              rng_pool[rng_pptr++] = z.charCodeAt(t) & 255
            }
          }
        }
        while (rng_pptr < rng_psize) {
          // extract some randomness from Math.random()
          t = Math.floor(65536 * Math.random())
          rng_pool[rng_pptr++] = t >>> 8
          rng_pool[rng_pptr++] = t & 255
        }
        rng_pptr = 0
        rng_seed_time()
        //rng_seed_int(window.screenX);
        //rng_seed_int(window.screenY);
      }
      function rng_get_byte() {
        if (rng_state == null) {
          rng_seed_time()
          rng_state = prng_newstate()
          rng_state.init(rng_pool)
          for (rng_pptr = 0; rng_pptr < rng_pool.length; ++rng_pptr) {
            rng_pool[rng_pptr] = 0
          }
          rng_pptr = 0
          //rng_pool = null;
        }
        // TODO: allow reseeding after first request
        return rng_state.next()
      }
      function rng_get_bytes(ba) {
        let i
        for (i = 0; i < ba.length; ++i) {
          ba[i] = rng_get_byte()
        }
      }
      function SecureRandom() {}
      SecureRandom.prototype.nextBytes = rng_get_bytes

      // prng4.js - uses Arcfour as a PRNG

      function Arcfour() {
        this.i = 0
        this.j = 0
        this.S = new Array()
      }

      // Initialize arcfour context from key, an array of ints, each from [0..255]
      function ARC4init(key) {
        let i, j, t
        for (i = 0; i < 256; ++i) {
          this.S[i] = i
        }
        j = 0
        for (i = 0; i < 256; ++i) {
          j = (j + this.S[i] + key[i % key.length]) & 255
          t = this.S[i]
          this.S[i] = this.S[j]
          this.S[j] = t
        }
        this.i = 0
        this.j = 0
      }
      function ARC4next() {
        let t
        this.i = (this.i + 1) & 255
        this.j = (this.j + this.S[this.i]) & 255
        t = this.S[this.i]
        this.S[this.i] = this.S[this.j]
        this.S[this.j] = t
        return this.S[(t + this.S[this.i]) & 255]
      }
      Arcfour.prototype.init = ARC4init
      Arcfour.prototype.next = ARC4next

      // Plug in your RNG constructor here
      function prng_newstate() {
        return new Arcfour()
      }
      {
        module.exports = {
          default: BigInteger,
          BigInteger: BigInteger,
          SecureRandom: SecureRandom
        }
      }
    }).call(this)
  })(jsbn)
  return jsbn.exports
}

const sprintf = {}

/* global window, exports, define */
let hasRequiredSprintf
function requireSprintf() {
  if (hasRequiredSprintf) {
    return sprintf
  }
  hasRequiredSprintf = 1
  ;(function (exports) {
    !(function () {
      const re = {
        not_type: /[^T]/,
        not_primitive: /[^v]/,
        number: /[diefg]/,
        numeric_arg: /[bcdiefguxX]/,
        json: /[j]/,
        text: /^[^\x25]+/,
        modulo: /^\x25{2}/,
        placeholder:
          /^\x25(?:([1-9]\d*)\$|\(([^)]+)\))?(\+)?(0|'[^$])?(-)?(\d+)?(?:\.(\d+))?([b-gijostTuvxX])/,
        key: /^([a-z_][a-z_\d]*)/i,
        key_access: /^\.([a-z_][a-z_\d]*)/i,
        index_access: /^\[(\d+)\]/,
        sign: /^[+-]/
      }
      function sprintf(key) {
        // `arguments` is not an array, but should be fine for this call
        return sprintf_format(sprintf_parse(key), arguments)
      }
      function vsprintf(fmt, argv) {
        return sprintf.apply(null, [fmt].concat(argv || []))
      }
      function sprintf_format(parse_tree, argv) {
        let cursor = 1,
          tree_length = parse_tree.length,
          arg,
          output = '',
          i,
          k,
          ph,
          pad,
          pad_character,
          pad_length,
          is_positive,
          sign
        for (i = 0; i < tree_length; i++) {
          if (typeof parse_tree[i] === 'string') {
            output += parse_tree[i]
          } else if (typeof parse_tree[i] === 'object') {
            ph = parse_tree[i] // convenience purposes only
            if (ph.keys) {
              // keyword argument
              arg = argv[cursor]
              for (k = 0; k < ph.keys.length; k++) {
                if (arg == undefined) {
                  throw new Error(
                    sprintf(
                      '[sprintf] Cannot access property "%s" of undefined value "%s"',
                      ph.keys[k],
                      ph.keys[k - 1]
                    )
                  )
                }
                arg = arg[ph.keys[k]]
              }
            } else if (ph.param_no) {
              // positional argument (explicit)
              arg = argv[ph.param_no]
            } else {
              // positional argument (implicit)
              arg = argv[cursor++]
            }
            if (
              re.not_type.test(ph.type) &&
              re.not_primitive.test(ph.type) &&
              arg instanceof Function
            ) {
              arg = arg()
            }
            if (
              re.numeric_arg.test(ph.type) &&
              typeof arg !== 'number' &&
              isNaN(arg)
            ) {
              throw new TypeError(
                sprintf('[sprintf] expecting number but found %T', arg)
              )
            }
            if (re.number.test(ph.type)) {
              is_positive = arg >= 0
            }
            switch (ph.type) {
              case 'b':
                arg = parseInt(arg, 10).toString(2)
                break
              case 'c':
                arg = String.fromCharCode(parseInt(arg, 10))
                break
              case 'd':
              case 'i':
                arg = parseInt(arg, 10)
                break
              case 'j':
                arg = JSON.stringify(
                  arg,
                  null,
                  ph.width ? parseInt(ph.width) : 0
                )
                break
              case 'e':
                arg = ph.precision
                  ? parseFloat(arg).toExponential(ph.precision)
                  : parseFloat(arg).toExponential()
                break
              case 'f':
                arg = ph.precision
                  ? parseFloat(arg).toFixed(ph.precision)
                  : parseFloat(arg)
                break
              case 'g':
                arg = ph.precision
                  ? String(Number(arg.toPrecision(ph.precision)))
                  : parseFloat(arg)
                break
              case 'o':
                arg = (parseInt(arg, 10) >>> 0).toString(8)
                break
              case 's':
                arg = String(arg)
                arg = ph.precision ? arg.substring(0, ph.precision) : arg
                break
              case 't':
                arg = String(!!arg)
                arg = ph.precision ? arg.substring(0, ph.precision) : arg
                break
              case 'T':
                arg = Object.prototype.toString
                  .call(arg)
                  .slice(8, -1)
                  .toLowerCase()
                arg = ph.precision ? arg.substring(0, ph.precision) : arg
                break
              case 'u':
                arg = parseInt(arg, 10) >>> 0
                break
              case 'v':
                arg = arg.valueOf()
                arg = ph.precision ? arg.substring(0, ph.precision) : arg
                break
              case 'x':
                arg = (parseInt(arg, 10) >>> 0).toString(16)
                break
              case 'X':
                arg = (parseInt(arg, 10) >>> 0).toString(16).toUpperCase()
                break
            }
            if (re.json.test(ph.type)) {
              output += arg
            } else {
              if (re.number.test(ph.type) && (!is_positive || ph.sign)) {
                sign = is_positive ? '+' : '-'
                arg = arg.toString().replace(re.sign, '')
              } else {
                sign = ''
              }
              pad_character = ph.pad_char
                ? ph.pad_char === '0'
                  ? '0'
                  : ph.pad_char.charAt(1)
                : ' '
              pad_length = ph.width - (sign + arg).length
              pad = ph.width
                ? pad_length > 0
                  ? pad_character.repeat(pad_length)
                  : ''
                : ''
              output += ph.align
                ? sign + arg + pad
                : pad_character === '0'
                  ? sign + pad + arg
                  : pad + sign + arg
            }
          }
        }
        return output
      }
      const sprintf_cache = Object.create(null)
      function sprintf_parse(fmt) {
        if (sprintf_cache[fmt]) {
          return sprintf_cache[fmt]
        }
        let _fmt = fmt,
          match,
          parse_tree = [],
          arg_names = 0
        while (_fmt) {
          if ((match = re.text.exec(_fmt)) !== null) {
            parse_tree.push(match[0])
          } else if ((match = re.modulo.exec(_fmt)) !== null) {
            parse_tree.push('%')
          } else if ((match = re.placeholder.exec(_fmt)) !== null) {
            if (match[2]) {
              arg_names |= 1
              let field_list = [],
                replacement_field = match[2],
                field_match = []
              if ((field_match = re.key.exec(replacement_field)) !== null) {
                field_list.push(field_match[1])
                while (
                  (replacement_field = replacement_field.substring(
                    field_match[0].length
                  )) !== ''
                ) {
                  if (
                    (field_match = re.key_access.exec(replacement_field)) !==
                    null
                  ) {
                    field_list.push(field_match[1])
                  } else if (
                    (field_match = re.index_access.exec(replacement_field)) !==
                    null
                  ) {
                    field_list.push(field_match[1])
                  } else {
                    throw new SyntaxError(
                      '[sprintf] failed to parse named argument key'
                    )
                  }
                }
              } else {
                throw new SyntaxError(
                  '[sprintf] failed to parse named argument key'
                )
              }
              match[2] = field_list
            } else {
              arg_names |= 2
            }
            if (arg_names === 3) {
              throw new Error(
                '[sprintf] mixing positional and named placeholders is not (yet) supported'
              )
            }
            parse_tree.push({
              placeholder: match[0],
              param_no: match[1],
              keys: match[2],
              sign: match[3],
              pad_char: match[4],
              align: match[5],
              width: match[6],
              precision: match[7],
              type: match[8]
            })
          } else {
            throw new SyntaxError('[sprintf] unexpected placeholder')
          }
          _fmt = _fmt.substring(match[0].length)
        }
        return (sprintf_cache[fmt] = parse_tree)
      }

      /**
       * export to either browser or node.js
       */
      /* eslint-disable quote-props */
      {
        exports['sprintf'] = sprintf
        exports['vsprintf'] = vsprintf
      }
      if (typeof window !== 'undefined') {
        window['sprintf'] = sprintf
        window['vsprintf'] = vsprintf
      }
      /* eslint-enable quote-props */
    })() // eslint-disable-line
  })(sprintf)
  return sprintf
}

let hasRequiredIpv4
function requireIpv4() {
  if (hasRequiredIpv4) {
    return ipv4
  }
  hasRequiredIpv4 = 1
  /* eslint-disable no-param-reassign */
  const __createBinding =
    (this && this.__createBinding) ||
    (Object.create
      ? function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          let desc = Object.getOwnPropertyDescriptor(m, k)
          if (
            !desc ||
            ('get' in desc ? !m.__esModule : desc.writable || desc.configurable)
          ) {
            desc = {
              enumerable: true,
              get: function () {
                return m[k]
              }
            }
          }
          Object.defineProperty(o, k2, desc)
        }
      : function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          o[k2] = m[k]
        })
  const __setModuleDefault =
    (this && this.__setModuleDefault) ||
    (Object.create
      ? function (o, v) {
          Object.defineProperty(o, 'default', {
            enumerable: true,
            value: v
          })
        }
      : function (o, v) {
          o['default'] = v
        })
  const __importStar =
    (this && this.__importStar) ||
    function (mod) {
      if (mod && mod.__esModule) {
        return mod
      }
      const result = {}
      if (mod != null) {
        for (var k in mod)
          if (k !== 'default' && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k)
      }
      __setModuleDefault(result, mod)
      return result
    }
  Object.defineProperty(ipv4, '__esModule', {
    value: true
  })
  ipv4.Address4 = void 0
  const common = __importStar(requireCommon())
  const constants = __importStar(requireConstants$1())
  const address_error_1 = requireAddressError()
  const jsbn_1 = requireJsbn()
  const sprintf_js_1 = requireSprintf()
  /**
   * Represents an IPv4 address
   * @class Address4
   * @param {string} address - An IPv4 address string
   */
  class Address4 {
    constructor(address) {
      this.groups = constants.GROUPS
      this.parsedAddress = []
      this.parsedSubnet = ''
      this.subnet = '/32'
      this.subnetMask = 32
      this.v4 = true
      /**
       * Returns true if the address is correct, false otherwise
       * @memberof Address4
       * @instance
       * @returns {Boolean}
       */
      this.isCorrect = common.isCorrect(constants.BITS)
      /**
       * Returns true if the given address is in the subnet of the current address
       * @memberof Address4
       * @instance
       * @returns {boolean}
       */
      this.isInSubnet = common.isInSubnet
      this.address = address
      const subnet = constants.RE_SUBNET_STRING.exec(address)
      if (subnet) {
        this.parsedSubnet = subnet[0].replace('/', '')
        this.subnetMask = parseInt(this.parsedSubnet, 10)
        this.subnet = `/${this.subnetMask}`
        if (this.subnetMask < 0 || this.subnetMask > constants.BITS) {
          throw new address_error_1.AddressError('Invalid subnet mask.')
        }
        address = address.replace(constants.RE_SUBNET_STRING, '')
      }
      this.addressMinusSuffix = address
      this.parsedAddress = this.parse(address)
    }
    static isValid(address) {
      try {
        // eslint-disable-next-line no-new
        new Address4(address)
        return true
      } catch (e) {
        return false
      }
    }
    /*
     * Parses a v4 address
     */
    parse(address) {
      const groups = address.split('.')
      if (!address.match(constants.RE_ADDRESS)) {
        throw new address_error_1.AddressError('Invalid IPv4 address.')
      }
      return groups
    }
    /**
     * Returns the correct form of an address
     * @memberof Address4
     * @instance
     * @returns {String}
     */
    correctForm() {
      return this.parsedAddress.map(part => parseInt(part, 10)).join('.')
    }
    /**
     * Converts a hex string to an IPv4 address object
     * @memberof Address4
     * @static
     * @param {string} hex - a hex string to convert
     * @returns {Address4}
     */
    static fromHex(hex) {
      const padded = hex.replace(/:/g, '').padStart(8, '0')
      const groups = []
      let i
      for (i = 0; i < 8; i += 2) {
        const h = padded.slice(i, i + 2)
        groups.push(parseInt(h, 16))
      }
      return new Address4(groups.join('.'))
    }
    /**
     * Converts an integer into a IPv4 address object
     * @memberof Address4
     * @static
     * @param {integer} integer - a number to convert
     * @returns {Address4}
     */
    static fromInteger(integer) {
      return Address4.fromHex(integer.toString(16))
    }
    /**
     * Return an address from in-addr.arpa form
     * @memberof Address4
     * @static
     * @param {string} arpaFormAddress - an 'in-addr.arpa' form ipv4 address
     * @returns {Adress4}
     * @example
     * var address = Address4.fromArpa(42.2.0.192.in-addr.arpa.)
     * address.correctForm(); // '192.0.2.42'
     */
    static fromArpa(arpaFormAddress) {
      // remove ending ".in-addr.arpa." or just "."
      const leader = arpaFormAddress.replace(/(\.in-addr\.arpa)?\.$/, '')
      const address = leader.split('.').reverse().join('.')
      return new Address4(address)
    }
    /**
     * Converts an IPv4 address object to a hex string
     * @memberof Address4
     * @instance
     * @returns {String}
     */
    toHex() {
      return this.parsedAddress
        .map(part => (0, sprintf_js_1.sprintf)('%02x', parseInt(part, 10)))
        .join(':')
    }
    /**
     * Converts an IPv4 address object to an array of bytes
     * @memberof Address4
     * @instance
     * @returns {Array}
     */
    toArray() {
      return this.parsedAddress.map(part => parseInt(part, 10))
    }
    /**
     * Converts an IPv4 address object to an IPv6 address group
     * @memberof Address4
     * @instance
     * @returns {String}
     */
    toGroup6() {
      const output = []
      let i
      for (i = 0; i < constants.GROUPS; i += 2) {
        const hex = (0, sprintf_js_1.sprintf)(
          '%02x%02x',
          parseInt(this.parsedAddress[i], 10),
          parseInt(this.parsedAddress[i + 1], 10)
        )
        output.push((0, sprintf_js_1.sprintf)('%x', parseInt(hex, 16)))
      }
      return output.join(':')
    }
    /**
     * Returns the address as a BigInteger
     * @memberof Address4
     * @instance
     * @returns {BigInteger}
     */
    bigInteger() {
      return new jsbn_1.BigInteger(
        this.parsedAddress
          .map(n => (0, sprintf_js_1.sprintf)('%02x', parseInt(n, 10)))
          .join(''),
        16
      )
    }
    /**
     * Helper function getting start address.
     * @memberof Address4
     * @instance
     * @returns {BigInteger}
     */
    _startAddress() {
      return new jsbn_1.BigInteger(
        this.mask() + '0'.repeat(constants.BITS - this.subnetMask),
        2
      )
    }
    /**
     * The first address in the range given by this address' subnet.
     * Often referred to as the Network Address.
     * @memberof Address4
     * @instance
     * @returns {Address4}
     */
    startAddress() {
      return Address4.fromBigInteger(this._startAddress())
    }
    /**
     * The first host address in the range given by this address's subnet ie
     * the first address after the Network Address
     * @memberof Address4
     * @instance
     * @returns {Address4}
     */
    startAddressExclusive() {
      const adjust = new jsbn_1.BigInteger('1')
      return Address4.fromBigInteger(this._startAddress().add(adjust))
    }
    /**
     * Helper function getting end address.
     * @memberof Address4
     * @instance
     * @returns {BigInteger}
     */
    _endAddress() {
      return new jsbn_1.BigInteger(
        this.mask() + '1'.repeat(constants.BITS - this.subnetMask),
        2
      )
    }
    /**
     * The last address in the range given by this address' subnet
     * Often referred to as the Broadcast
     * @memberof Address4
     * @instance
     * @returns {Address4}
     */
    endAddress() {
      return Address4.fromBigInteger(this._endAddress())
    }
    /**
     * The last host address in the range given by this address's subnet ie
     * the last address prior to the Broadcast Address
     * @memberof Address4
     * @instance
     * @returns {Address4}
     */
    endAddressExclusive() {
      const adjust = new jsbn_1.BigInteger('1')
      return Address4.fromBigInteger(this._endAddress().subtract(adjust))
    }
    /**
     * Converts a BigInteger to a v4 address object
     * @memberof Address4
     * @static
     * @param {BigInteger} bigInteger - a BigInteger to convert
     * @returns {Address4}
     */
    static fromBigInteger(bigInteger) {
      return Address4.fromInteger(parseInt(bigInteger.toString(), 10))
    }
    /**
     * Returns the first n bits of the address, defaulting to the
     * subnet mask
     * @memberof Address4
     * @instance
     * @returns {String}
     */
    mask(mask) {
      if (mask === undefined) {
        mask = this.subnetMask
      }
      return this.getBitsBase2(0, mask)
    }
    /**
     * Returns the bits in the given range as a base-2 string
     * @memberof Address4
     * @instance
     * @returns {string}
     */
    getBitsBase2(start, end) {
      return this.binaryZeroPad().slice(start, end)
    }
    /**
     * Return the reversed ip6.arpa form of the address
     * @memberof Address4
     * @param {Object} options
     * @param {boolean} options.omitSuffix - omit the "in-addr.arpa" suffix
     * @instance
     * @returns {String}
     */
    reverseForm(options) {
      if (!options) {
        options = {}
      }
      const reversed = this.correctForm().split('.').reverse().join('.')
      if (options.omitSuffix) {
        return reversed
      }
      return (0, sprintf_js_1.sprintf)('%s.in-addr.arpa.', reversed)
    }
    /**
     * Returns true if the given address is a multicast address
     * @memberof Address4
     * @instance
     * @returns {boolean}
     */
    isMulticast() {
      return this.isInSubnet(new Address4('224.0.0.0/4'))
    }
    /**
     * Returns a zero-padded base-2 string representation of the address
     * @memberof Address4
     * @instance
     * @returns {string}
     */
    binaryZeroPad() {
      return this.bigInteger().toString(2).padStart(constants.BITS, '0')
    }
    /**
     * Groups an IPv4 address for inclusion at the end of an IPv6 address
     * @returns {String}
     */
    groupForV6() {
      const segments = this.parsedAddress
      return this.address.replace(
        constants.RE_ADDRESS,
        (0, sprintf_js_1.sprintf)(
          '<span class="hover-group group-v4 group-6">%s</span>.<span class="hover-group group-v4 group-7">%s</span>',
          segments.slice(0, 2).join('.'),
          segments.slice(2, 4).join('.')
        )
      )
    }
  }
  ipv4.Address4 = Address4
  return ipv4
}

const ipv6 = {}

const constants = {}

let hasRequiredConstants
function requireConstants() {
  if (hasRequiredConstants) {
    return constants
  }
  hasRequiredConstants = 1
  Object.defineProperty(constants, '__esModule', {
    value: true
  })
  constants.RE_URL_WITH_PORT =
    constants.RE_URL =
    constants.RE_ZONE_STRING =
    constants.RE_SUBNET_STRING =
    constants.RE_BAD_ADDRESS =
    constants.RE_BAD_CHARACTERS =
    constants.TYPES =
    constants.SCOPES =
    constants.GROUPS =
    constants.BITS =
      void 0
  constants.BITS = 128
  constants.GROUPS = 8
  /**
   * Represents IPv6 address scopes
   * @memberof Address6
   * @static
   */
  constants.SCOPES = {
    0: 'Reserved',
    1: 'Interface local',
    2: 'Link local',
    4: 'Admin local',
    5: 'Site local',
    8: 'Organization local',
    14: 'Global',
    15: 'Reserved'
  }
  /**
   * Represents IPv6 address types
   * @memberof Address6
   * @static
   */
  constants.TYPES = {
    'ff01::1/128': 'Multicast (All nodes on this interface)',
    'ff01::2/128': 'Multicast (All routers on this interface)',
    'ff02::1/128': 'Multicast (All nodes on this link)',
    'ff02::2/128': 'Multicast (All routers on this link)',
    'ff05::2/128': 'Multicast (All routers in this site)',
    'ff02::5/128': 'Multicast (OSPFv3 AllSPF routers)',
    'ff02::6/128': 'Multicast (OSPFv3 AllDR routers)',
    'ff02::9/128': 'Multicast (RIP routers)',
    'ff02::a/128': 'Multicast (EIGRP routers)',
    'ff02::d/128': 'Multicast (PIM routers)',
    'ff02::16/128': 'Multicast (MLDv2 reports)',
    'ff01::fb/128': 'Multicast (mDNSv6)',
    'ff02::fb/128': 'Multicast (mDNSv6)',
    'ff05::fb/128': 'Multicast (mDNSv6)',
    'ff02::1:2/128':
      'Multicast (All DHCP servers and relay agents on this link)',
    'ff05::1:2/128':
      'Multicast (All DHCP servers and relay agents in this site)',
    'ff02::1:3/128': 'Multicast (All DHCP servers on this link)',
    'ff05::1:3/128': 'Multicast (All DHCP servers in this site)',
    '::/128': 'Unspecified',
    '::1/128': 'Loopback',
    'ff00::/8': 'Multicast',
    'fe80::/10': 'Link-local unicast'
  }
  /**
   * A regular expression that matches bad characters in an IPv6 address
   * @memberof Address6
   * @static
   */
  constants.RE_BAD_CHARACTERS = /([^0-9a-f:/%])/gi
  /**
   * A regular expression that matches an incorrect IPv6 address
   * @memberof Address6
   * @static
   */
  constants.RE_BAD_ADDRESS = /([0-9a-f]{5,}|:{3,}|[^:]:$|^:[^:]|\/$)/gi
  /**
   * A regular expression that matches an IPv6 subnet
   * @memberof Address6
   * @static
   */
  constants.RE_SUBNET_STRING = /\/\d{1,3}(?=%|$)/
  /**
   * A regular expression that matches an IPv6 zone
   * @memberof Address6
   * @static
   */
  constants.RE_ZONE_STRING = /%.*$/
  constants.RE_URL = new RegExp(/^\[{0,1}([0-9a-f:]+)\]{0,1}/)
  constants.RE_URL_WITH_PORT = new RegExp(/\[([0-9a-f:]+)\]:([0-9]{1,5})/)
  return constants
}

const helpers = {}

let hasRequiredHelpers$1
function requireHelpers$1() {
  if (hasRequiredHelpers$1) {
    return helpers
  }
  hasRequiredHelpers$1 = 1
  Object.defineProperty(helpers, '__esModule', {
    value: true
  })
  helpers.simpleGroup =
    helpers.spanLeadingZeroes =
    helpers.spanAll =
    helpers.spanAllZeroes =
      void 0
  const sprintf_js_1 = requireSprintf()
  /**
   * @returns {String} the string with all zeroes contained in a <span>
   */
  function spanAllZeroes(s) {
    return s.replace(/(0+)/g, '<span class="zero">$1</span>')
  }
  helpers.spanAllZeroes = spanAllZeroes
  /**
   * @returns {String} the string with each character contained in a <span>
   */
  function spanAll(s, offset = 0) {
    const letters = s.split('')
    return letters
      .map(
        (n, i) =>
          (0, sprintf_js_1.sprintf)(
            '<span class="digit value-%s position-%d">%s</span>',
            n,
            i + offset,
            spanAllZeroes(n)
          ) // XXX Use #base-2 .value-0 instead?
      )
      .join('')
  }
  helpers.spanAll = spanAll
  function spanLeadingZeroesSimple(group) {
    return group.replace(/^(0+)/, '<span class="zero">$1</span>')
  }
  /**
   * @returns {String} the string with leading zeroes contained in a <span>
   */
  function spanLeadingZeroes(address) {
    const groups = address.split(':')
    return groups.map(g => spanLeadingZeroesSimple(g)).join(':')
  }
  helpers.spanLeadingZeroes = spanLeadingZeroes
  /**
   * Groups an address
   * @returns {String} a grouped address
   */
  function simpleGroup(addressString, offset = 0) {
    const groups = addressString.split(':')
    return groups.map((g, i) => {
      if (/group-v4/.test(g)) {
        return g
      }
      return (0, sprintf_js_1.sprintf)(
        '<span class="hover-group group-%d">%s</span>',
        i + offset,
        spanLeadingZeroesSimple(g)
      )
    })
  }
  helpers.simpleGroup = simpleGroup
  return helpers
}

const regularExpressions = {}

let hasRequiredRegularExpressions
function requireRegularExpressions() {
  if (hasRequiredRegularExpressions) {
    return regularExpressions
  }
  hasRequiredRegularExpressions = 1
  const __createBinding =
    (this && this.__createBinding) ||
    (Object.create
      ? function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          let desc = Object.getOwnPropertyDescriptor(m, k)
          if (
            !desc ||
            ('get' in desc ? !m.__esModule : desc.writable || desc.configurable)
          ) {
            desc = {
              enumerable: true,
              get: function () {
                return m[k]
              }
            }
          }
          Object.defineProperty(o, k2, desc)
        }
      : function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          o[k2] = m[k]
        })
  const __setModuleDefault =
    (this && this.__setModuleDefault) ||
    (Object.create
      ? function (o, v) {
          Object.defineProperty(o, 'default', {
            enumerable: true,
            value: v
          })
        }
      : function (o, v) {
          o['default'] = v
        })
  const __importStar =
    (this && this.__importStar) ||
    function (mod) {
      if (mod && mod.__esModule) {
        return mod
      }
      const result = {}
      if (mod != null) {
        for (var k in mod)
          if (k !== 'default' && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k)
      }
      __setModuleDefault(result, mod)
      return result
    }
  Object.defineProperty(regularExpressions, '__esModule', {
    value: true
  })
  regularExpressions.possibleElisions =
    regularExpressions.simpleRegularExpression =
    regularExpressions.ADDRESS_BOUNDARY =
    regularExpressions.padGroup =
    regularExpressions.groupPossibilities =
      void 0
  const v6 = __importStar(requireConstants())
  const sprintf_js_1 = requireSprintf()
  function groupPossibilities(possibilities) {
    return (0, sprintf_js_1.sprintf)('(%s)', possibilities.join('|'))
  }
  regularExpressions.groupPossibilities = groupPossibilities
  function padGroup(group) {
    if (group.length < 4) {
      return (0, sprintf_js_1.sprintf)('0{0,%d}%s', 4 - group.length, group)
    }
    return group
  }
  regularExpressions.padGroup = padGroup
  regularExpressions.ADDRESS_BOUNDARY = '[^A-Fa-f0-9:]'
  function simpleRegularExpression(groups) {
    const zeroIndexes = []
    groups.forEach((group, i) => {
      const groupInteger = parseInt(group, 16)
      if (groupInteger === 0) {
        zeroIndexes.push(i)
      }
    })
    // You can technically elide a single 0, this creates the regular expressions
    // to match that eventuality
    const possibilities = zeroIndexes.map(zeroIndex =>
      groups
        .map((group, i) => {
          if (i === zeroIndex) {
            const elision = i === 0 || i === v6.GROUPS - 1 ? ':' : ''
            return groupPossibilities([padGroup(group), elision])
          }
          return padGroup(group)
        })
        .join(':')
    )
    // The simplest case
    possibilities.push(groups.map(padGroup).join(':'))
    return groupPossibilities(possibilities)
  }
  regularExpressions.simpleRegularExpression = simpleRegularExpression
  function possibleElisions(elidedGroups, moreLeft, moreRight) {
    const left = moreLeft ? '' : ':'
    const right = moreRight ? '' : ':'
    const possibilities = []
    // 1. elision of everything (::)
    if (!moreLeft && !moreRight) {
      possibilities.push('::')
    }
    // 2. complete elision of the middle
    if (moreLeft && moreRight) {
      possibilities.push('')
    }
    if ((moreRight && !moreLeft) || (!moreRight && moreLeft)) {
      // 3. complete elision of one side
      possibilities.push(':')
    }
    // 4. elision from the left side
    possibilities.push(
      (0, sprintf_js_1.sprintf)('%s(:0{1,4}){1,%d}', left, elidedGroups - 1)
    )
    // 5. elision from the right side
    possibilities.push(
      (0, sprintf_js_1.sprintf)('(0{1,4}:){1,%d}%s', elidedGroups - 1, right)
    )
    // 6. no elision
    possibilities.push(
      (0, sprintf_js_1.sprintf)('(0{1,4}:){%d}0{1,4}', elidedGroups - 1)
    )
    // 7. elision (including sloppy elision) from the middle
    for (let groups = 1; groups < elidedGroups - 1; groups++) {
      for (let position = 1; position < elidedGroups - groups; position++) {
        possibilities.push(
          (0, sprintf_js_1.sprintf)(
            '(0{1,4}:){%d}:(0{1,4}:){%d}0{1,4}',
            position,
            elidedGroups - position - groups - 1
          )
        )
      }
    }
    return groupPossibilities(possibilities)
  }
  regularExpressions.possibleElisions = possibleElisions
  return regularExpressions
}

let hasRequiredIpv6
function requireIpv6() {
  if (hasRequiredIpv6) {
    return ipv6
  }
  hasRequiredIpv6 = 1
  /* eslint-disable prefer-destructuring */
  /* eslint-disable no-param-reassign */
  const __createBinding =
    (this && this.__createBinding) ||
    (Object.create
      ? function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          let desc = Object.getOwnPropertyDescriptor(m, k)
          if (
            !desc ||
            ('get' in desc ? !m.__esModule : desc.writable || desc.configurable)
          ) {
            desc = {
              enumerable: true,
              get: function () {
                return m[k]
              }
            }
          }
          Object.defineProperty(o, k2, desc)
        }
      : function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          o[k2] = m[k]
        })
  const __setModuleDefault =
    (this && this.__setModuleDefault) ||
    (Object.create
      ? function (o, v) {
          Object.defineProperty(o, 'default', {
            enumerable: true,
            value: v
          })
        }
      : function (o, v) {
          o['default'] = v
        })
  const __importStar =
    (this && this.__importStar) ||
    function (mod) {
      if (mod && mod.__esModule) {
        return mod
      }
      const result = {}
      if (mod != null) {
        for (var k in mod)
          if (k !== 'default' && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k)
      }
      __setModuleDefault(result, mod)
      return result
    }
  Object.defineProperty(ipv6, '__esModule', {
    value: true
  })
  ipv6.Address6 = void 0
  const common = __importStar(requireCommon())
  const constants4 = __importStar(requireConstants$1())
  const constants6 = __importStar(requireConstants())
  const helpers = __importStar(requireHelpers$1())
  const ipv4_1 = requireIpv4()
  const regular_expressions_1 = requireRegularExpressions()
  const address_error_1 = requireAddressError()
  const jsbn_1 = requireJsbn()
  const sprintf_js_1 = requireSprintf()
  function assert(condition) {
    if (!condition) {
      throw new Error('Assertion failed.')
    }
  }
  function addCommas(number) {
    const r = /(\d+)(\d{3})/
    while (r.test(number)) {
      number = number.replace(r, '$1,$2')
    }
    return number
  }
  function spanLeadingZeroes4(n) {
    n = n.replace(/^(0{1,})([1-9]+)$/, '<span class="parse-error">$1</span>$2')
    n = n.replace(/^(0{1,})(0)$/, '<span class="parse-error">$1</span>$2')
    return n
  }
  /*
   * A helper function to compact an array
   */
  function compact(address, slice) {
    const s1 = []
    const s2 = []
    let i
    for (i = 0; i < address.length; i++) {
      if (i < slice[0]) {
        s1.push(address[i])
      } else if (i > slice[1]) {
        s2.push(address[i])
      }
    }
    return s1.concat(['compact']).concat(s2)
  }
  function paddedHex(octet) {
    return (0, sprintf_js_1.sprintf)('%04x', parseInt(octet, 16))
  }
  function unsignByte(b) {
    // eslint-disable-next-line no-bitwise
    return b & 0xff
  }
  /**
   * Represents an IPv6 address
   * @class Address6
   * @param {string} address - An IPv6 address string
   * @param {number} [groups=8] - How many octets to parse
   * @example
   * var address = new Address6('2001::/32');
   */
  class Address6 {
    constructor(address, optionalGroups) {
      this.addressMinusSuffix = ''
      this.parsedSubnet = ''
      this.subnet = '/128'
      this.subnetMask = 128
      this.v4 = false
      this.zone = ''
      // #region Attributes
      /**
       * Returns true if the given address is in the subnet of the current address
       * @memberof Address6
       * @instance
       * @returns {boolean}
       */
      this.isInSubnet = common.isInSubnet
      /**
       * Returns true if the address is correct, false otherwise
       * @memberof Address6
       * @instance
       * @returns {boolean}
       */
      this.isCorrect = common.isCorrect(constants6.BITS)
      if (optionalGroups === undefined) {
        this.groups = constants6.GROUPS
      } else {
        this.groups = optionalGroups
      }
      this.address = address
      const subnet = constants6.RE_SUBNET_STRING.exec(address)
      if (subnet) {
        this.parsedSubnet = subnet[0].replace('/', '')
        this.subnetMask = parseInt(this.parsedSubnet, 10)
        this.subnet = `/${this.subnetMask}`
        if (
          Number.isNaN(this.subnetMask) ||
          this.subnetMask < 0 ||
          this.subnetMask > constants6.BITS
        ) {
          throw new address_error_1.AddressError('Invalid subnet mask.')
        }
        address = address.replace(constants6.RE_SUBNET_STRING, '')
      } else if (/\//.test(address)) {
        throw new address_error_1.AddressError('Invalid subnet mask.')
      }
      const zone = constants6.RE_ZONE_STRING.exec(address)
      if (zone) {
        this.zone = zone[0]
        address = address.replace(constants6.RE_ZONE_STRING, '')
      }
      this.addressMinusSuffix = address
      this.parsedAddress = this.parse(this.addressMinusSuffix)
    }
    static isValid(address) {
      try {
        // eslint-disable-next-line no-new
        new Address6(address)
        return true
      } catch (e) {
        return false
      }
    }
    /**
     * Convert a BigInteger to a v6 address object
     * @memberof Address6
     * @static
     * @param {BigInteger} bigInteger - a BigInteger to convert
     * @returns {Address6}
     * @example
     * var bigInteger = new BigInteger('1000000000000');
     * var address = Address6.fromBigInteger(bigInteger);
     * address.correctForm(); // '::e8:d4a5:1000'
     */
    static fromBigInteger(bigInteger) {
      const hex = bigInteger.toString(16).padStart(32, '0')
      const groups = []
      let i
      for (i = 0; i < constants6.GROUPS; i++) {
        groups.push(hex.slice(i * 4, (i + 1) * 4))
      }
      return new Address6(groups.join(':'))
    }
    /**
     * Convert a URL (with optional port number) to an address object
     * @memberof Address6
     * @static
     * @param {string} url - a URL with optional port number
     * @example
     * var addressAndPort = Address6.fromURL('http://[ffff::]:8080/foo/');
     * addressAndPort.address.correctForm(); // 'ffff::'
     * addressAndPort.port; // 8080
     */
    static fromURL(url) {
      let host
      let port = null
      let result
      // If we have brackets parse them and find a port
      if (url.indexOf('[') !== -1 && url.indexOf(']:') !== -1) {
        result = constants6.RE_URL_WITH_PORT.exec(url)
        if (result === null) {
          return {
            error: 'failed to parse address with port',
            address: null,
            port: null
          }
        }
        host = result[1]
        port = result[2]
        // If there's a URL extract the address
      } else if (url.indexOf('/') !== -1) {
        // Remove the protocol prefix
        url = url.replace(/^[a-z0-9]+:\/\//, '')
        // Parse the address
        result = constants6.RE_URL.exec(url)
        if (result === null) {
          return {
            error: 'failed to parse address from URL',
            address: null,
            port: null
          }
        }
        host = result[1]
        // Otherwise just assign the URL to the host and let the library parse it
      } else {
        host = url
      }
      // If there's a port convert it to an integer
      if (port) {
        port = parseInt(port, 10)
        // squelch out of range ports
        if (port < 0 || port > 65536) {
          port = null
        }
      } else {
        // Standardize `undefined` to `null`
        port = null
      }
      return {
        address: new Address6(host),
        port
      }
    }
    /**
     * Create an IPv6-mapped address given an IPv4 address
     * @memberof Address6
     * @static
     * @param {string} address - An IPv4 address string
     * @returns {Address6}
     * @example
     * var address = Address6.fromAddress4('192.168.0.1');
     * address.correctForm(); // '::ffff:c0a8:1'
     * address.to4in6(); // '::ffff:192.168.0.1'
     */
    static fromAddress4(address) {
      const address4 = new ipv4_1.Address4(address)
      const mask6 = constants6.BITS - (constants4.BITS - address4.subnetMask)
      return new Address6(`::ffff:${address4.correctForm()}/${mask6}`)
    }
    /**
     * Return an address from ip6.arpa form
     * @memberof Address6
     * @static
     * @param {string} arpaFormAddress - an 'ip6.arpa' form address
     * @returns {Adress6}
     * @example
     * var address = Address6.fromArpa(e.f.f.f.3.c.2.6.f.f.f.e.6.6.8.e.1.0.6.7.9.4.e.c.0.0.0.0.1.0.0.2.ip6.arpa.)
     * address.correctForm(); // '2001:0:ce49:7601:e866:efff:62c3:fffe'
     */
    static fromArpa(arpaFormAddress) {
      // remove ending ".ip6.arpa." or just "."
      let address = arpaFormAddress.replace(/(\.ip6\.arpa)?\.$/, '')
      const semicolonAmount = 7
      // correct ip6.arpa form with ending removed will be 63 characters
      if (address.length !== 63) {
        throw new address_error_1.AddressError("Invalid 'ip6.arpa' form.")
      }
      const parts = address.split('.').reverse()
      for (let i = semicolonAmount; i > 0; i--) {
        const insertIndex = i * 4
        parts.splice(insertIndex, 0, ':')
      }
      address = parts.join('')
      return new Address6(address)
    }
    /**
     * Return the Microsoft UNC transcription of the address
     * @memberof Address6
     * @instance
     * @returns {String} the Microsoft UNC transcription of the address
     */
    microsoftTranscription() {
      return (0, sprintf_js_1.sprintf)(
        '%s.ipv6-literal.net',
        this.correctForm().replace(/:/g, '-')
      )
    }
    /**
     * Return the first n bits of the address, defaulting to the subnet mask
     * @memberof Address6
     * @instance
     * @param {number} [mask=subnet] - the number of bits to mask
     * @returns {String} the first n bits of the address as a string
     */
    mask(mask = this.subnetMask) {
      return this.getBitsBase2(0, mask)
    }
    /**
     * Return the number of possible subnets of a given size in the address
     * @memberof Address6
     * @instance
     * @param {number} [size=128] - the subnet size
     * @returns {String}
     */
    // TODO: probably useful to have a numeric version of this too
    possibleSubnets(subnetSize = 128) {
      const availableBits = constants6.BITS - this.subnetMask
      const subnetBits = Math.abs(subnetSize - constants6.BITS)
      const subnetPowers = availableBits - subnetBits
      if (subnetPowers < 0) {
        return '0'
      }
      return addCommas(
        new jsbn_1.BigInteger('2', 10).pow(subnetPowers).toString(10)
      )
    }
    /**
     * Helper function getting start address.
     * @memberof Address6
     * @instance
     * @returns {BigInteger}
     */
    _startAddress() {
      return new jsbn_1.BigInteger(
        this.mask() + '0'.repeat(constants6.BITS - this.subnetMask),
        2
      )
    }
    /**
     * The first address in the range given by this address' subnet
     * Often referred to as the Network Address.
     * @memberof Address6
     * @instance
     * @returns {Address6}
     */
    startAddress() {
      return Address6.fromBigInteger(this._startAddress())
    }
    /**
     * The first host address in the range given by this address's subnet ie
     * the first address after the Network Address
     * @memberof Address6
     * @instance
     * @returns {Address6}
     */
    startAddressExclusive() {
      const adjust = new jsbn_1.BigInteger('1')
      return Address6.fromBigInteger(this._startAddress().add(adjust))
    }
    /**
     * Helper function getting end address.
     * @memberof Address6
     * @instance
     * @returns {BigInteger}
     */
    _endAddress() {
      return new jsbn_1.BigInteger(
        this.mask() + '1'.repeat(constants6.BITS - this.subnetMask),
        2
      )
    }
    /**
     * The last address in the range given by this address' subnet
     * Often referred to as the Broadcast
     * @memberof Address6
     * @instance
     * @returns {Address6}
     */
    endAddress() {
      return Address6.fromBigInteger(this._endAddress())
    }
    /**
     * The last host address in the range given by this address's subnet ie
     * the last address prior to the Broadcast Address
     * @memberof Address6
     * @instance
     * @returns {Address6}
     */
    endAddressExclusive() {
      const adjust = new jsbn_1.BigInteger('1')
      return Address6.fromBigInteger(this._endAddress().subtract(adjust))
    }
    /**
     * Return the scope of the address
     * @memberof Address6
     * @instance
     * @returns {String}
     */
    getScope() {
      let scope = constants6.SCOPES[this.getBits(12, 16).intValue()]
      if (this.getType() === 'Global unicast' && scope !== 'Link local') {
        scope = 'Global'
      }
      return scope || 'Unknown'
    }
    /**
     * Return the type of the address
     * @memberof Address6
     * @instance
     * @returns {String}
     */
    getType() {
      for (const subnet of Object.keys(constants6.TYPES)) {
        if (this.isInSubnet(new Address6(subnet))) {
          return constants6.TYPES[subnet]
        }
      }
      return 'Global unicast'
    }
    /**
     * Return the bits in the given range as a BigInteger
     * @memberof Address6
     * @instance
     * @returns {BigInteger}
     */
    getBits(start, end) {
      return new jsbn_1.BigInteger(this.getBitsBase2(start, end), 2)
    }
    /**
     * Return the bits in the given range as a base-2 string
     * @memberof Address6
     * @instance
     * @returns {String}
     */
    getBitsBase2(start, end) {
      return this.binaryZeroPad().slice(start, end)
    }
    /**
     * Return the bits in the given range as a base-16 string
     * @memberof Address6
     * @instance
     * @returns {String}
     */
    getBitsBase16(start, end) {
      const length = end - start
      if (length % 4 !== 0) {
        throw new Error('Length of bits to retrieve must be divisible by four')
      }
      return this.getBits(start, end)
        .toString(16)
        .padStart(length / 4, '0')
    }
    /**
     * Return the bits that are set past the subnet mask length
     * @memberof Address6
     * @instance
     * @returns {String}
     */
    getBitsPastSubnet() {
      return this.getBitsBase2(this.subnetMask, constants6.BITS)
    }
    /**
     * Return the reversed ip6.arpa form of the address
     * @memberof Address6
     * @param {Object} options
     * @param {boolean} options.omitSuffix - omit the "ip6.arpa" suffix
     * @instance
     * @returns {String}
     */
    reverseForm(options) {
      if (!options) {
        options = {}
      }
      const characters = Math.floor(this.subnetMask / 4)
      const reversed = this.canonicalForm()
        .replace(/:/g, '')
        .split('')
        .slice(0, characters)
        .reverse()
        .join('.')
      if (characters > 0) {
        if (options.omitSuffix) {
          return reversed
        }
        return (0, sprintf_js_1.sprintf)('%s.ip6.arpa.', reversed)
      }
      if (options.omitSuffix) {
        return ''
      }
      return 'ip6.arpa.'
    }
    /**
     * Return the correct form of the address
     * @memberof Address6
     * @instance
     * @returns {String}
     */
    correctForm() {
      let i
      let groups = []
      let zeroCounter = 0
      const zeroes = []
      for (i = 0; i < this.parsedAddress.length; i++) {
        const value = parseInt(this.parsedAddress[i], 16)
        if (value === 0) {
          zeroCounter++
        }
        if (value !== 0 && zeroCounter > 0) {
          if (zeroCounter > 1) {
            zeroes.push([i - zeroCounter, i - 1])
          }
          zeroCounter = 0
        }
      }
      // Do we end with a string of zeroes?
      if (zeroCounter > 1) {
        zeroes.push([
          this.parsedAddress.length - zeroCounter,
          this.parsedAddress.length - 1
        ])
      }
      const zeroLengths = zeroes.map(n => n[1] - n[0] + 1)
      if (zeroes.length > 0) {
        const index = zeroLengths.indexOf(Math.max(...zeroLengths))
        groups = compact(this.parsedAddress, zeroes[index])
      } else {
        groups = this.parsedAddress
      }
      for (i = 0; i < groups.length; i++) {
        if (groups[i] !== 'compact') {
          groups[i] = parseInt(groups[i], 16).toString(16)
        }
      }
      let correct = groups.join(':')
      correct = correct.replace(/^compact$/, '::')
      correct = correct.replace(/^compact|compact$/, ':')
      correct = correct.replace(/compact/, '')
      return correct
    }
    /**
     * Return a zero-padded base-2 string representation of the address
     * @memberof Address6
     * @instance
     * @returns {String}
     * @example
     * var address = new Address6('2001:4860:4001:803::1011');
     * address.binaryZeroPad();
     * // '0010000000000001010010000110000001000000000000010000100000000011
     * //  0000000000000000000000000000000000000000000000000001000000010001'
     */
    binaryZeroPad() {
      return this.bigInteger().toString(2).padStart(constants6.BITS, '0')
    }
    // TODO: Improve the semantics of this helper function
    parse4in6(address) {
      const groups = address.split(':')
      const lastGroup = groups.slice(-1)[0]
      const address4 = lastGroup.match(constants4.RE_ADDRESS)
      if (address4) {
        this.parsedAddress4 = address4[0]
        this.address4 = new ipv4_1.Address4(this.parsedAddress4)
        for (let i = 0; i < this.address4.groups; i++) {
          if (/^0[0-9]+/.test(this.address4.parsedAddress[i])) {
            throw new address_error_1.AddressError(
              "IPv4 addresses can't have leading zeroes.",
              address.replace(
                constants4.RE_ADDRESS,
                this.address4.parsedAddress.map(spanLeadingZeroes4).join('.')
              )
            )
          }
        }
        this.v4 = true
        groups[groups.length - 1] = this.address4.toGroup6()
        address = groups.join(':')
      }
      return address
    }
    // TODO: Make private?
    parse(address) {
      address = this.parse4in6(address)
      const badCharacters = address.match(constants6.RE_BAD_CHARACTERS)
      if (badCharacters) {
        throw new address_error_1.AddressError(
          (0, sprintf_js_1.sprintf)(
            'Bad character%s detected in address: %s',
            badCharacters.length > 1 ? 's' : '',
            badCharacters.join('')
          ),
          address.replace(
            constants6.RE_BAD_CHARACTERS,
            '<span class="parse-error">$1</span>'
          )
        )
      }
      const badAddress = address.match(constants6.RE_BAD_ADDRESS)
      if (badAddress) {
        throw new address_error_1.AddressError(
          (0, sprintf_js_1.sprintf)(
            'Address failed regex: %s',
            badAddress.join('')
          ),
          address.replace(
            constants6.RE_BAD_ADDRESS,
            '<span class="parse-error">$1</span>'
          )
        )
      }
      let groups = []
      const halves = address.split('::')
      if (halves.length === 2) {
        let first = halves[0].split(':')
        let last = halves[1].split(':')
        if (first.length === 1 && first[0] === '') {
          first = []
        }
        if (last.length === 1 && last[0] === '') {
          last = []
        }
        const remaining = this.groups - (first.length + last.length)
        if (!remaining) {
          throw new address_error_1.AddressError('Error parsing groups')
        }
        this.elidedGroups = remaining
        this.elisionBegin = first.length
        this.elisionEnd = first.length + this.elidedGroups
        groups = groups.concat(first)
        for (let i = 0; i < remaining; i++) {
          groups.push('0')
        }
        groups = groups.concat(last)
      } else if (halves.length === 1) {
        groups = address.split(':')
        this.elidedGroups = 0
      } else {
        throw new address_error_1.AddressError('Too many :: groups found')
      }
      groups = groups.map(group =>
        (0, sprintf_js_1.sprintf)('%x', parseInt(group, 16))
      )
      if (groups.length !== this.groups) {
        throw new address_error_1.AddressError(
          'Incorrect number of groups found'
        )
      }
      return groups
    }
    /**
     * Return the canonical form of the address
     * @memberof Address6
     * @instance
     * @returns {String}
     */
    canonicalForm() {
      return this.parsedAddress.map(paddedHex).join(':')
    }
    /**
     * Return the decimal form of the address
     * @memberof Address6
     * @instance
     * @returns {String}
     */
    decimal() {
      return this.parsedAddress
        .map(n => (0, sprintf_js_1.sprintf)('%05d', parseInt(n, 16)))
        .join(':')
    }
    /**
     * Return the address as a BigInteger
     * @memberof Address6
     * @instance
     * @returns {BigInteger}
     */
    bigInteger() {
      return new jsbn_1.BigInteger(
        this.parsedAddress.map(paddedHex).join(''),
        16
      )
    }
    /**
     * Return the last two groups of this address as an IPv4 address string
     * @memberof Address6
     * @instance
     * @returns {Address4}
     * @example
     * var address = new Address6('2001:4860:4001::1825:bf11');
     * address.to4().correctForm(); // '24.37.191.17'
     */
    to4() {
      const binary = this.binaryZeroPad().split('')
      return ipv4_1.Address4.fromHex(
        new jsbn_1.BigInteger(binary.slice(96, 128).join(''), 2).toString(16)
      )
    }
    /**
     * Return the v4-in-v6 form of the address
     * @memberof Address6
     * @instance
     * @returns {String}
     */
    to4in6() {
      const address4 = this.to4()
      const address6 = new Address6(this.parsedAddress.slice(0, 6).join(':'), 6)
      const correct = address6.correctForm()
      let infix = ''
      if (!/:$/.test(correct)) {
        infix = ':'
      }
      return correct + infix + address4.address
    }
    /**
     * Return an object containing the Teredo properties of the address
     * @memberof Address6
     * @instance
     * @returns {Object}
     */
    inspectTeredo() {
      /*
      - Bits 0 to 31 are set to the Teredo prefix (normally 2001:0000::/32).
      - Bits 32 to 63 embed the primary IPv4 address of the Teredo server that
        is used.
      - Bits 64 to 79 can be used to define some flags. Currently only the
        higher order bit is used; it is set to 1 if the Teredo client is
        located behind a cone NAT, 0 otherwise. For Microsoft's Windows Vista
        and Windows Server 2008 implementations, more bits are used. In those
        implementations, the format for these 16 bits is "CRAAAAUG AAAAAAAA",
        where "C" remains the "Cone" flag. The "R" bit is reserved for future
        use. The "U" bit is for the Universal/Local flag (set to 0). The "G" bit
        is Individual/Group flag (set to 0). The A bits are set to a 12-bit
        randomly generated number chosen by the Teredo client to introduce
        additional protection for the Teredo node against IPv6-based scanning
        attacks.
      - Bits 80 to 95 contains the obfuscated UDP port number. This is the
        port number that is mapped by the NAT to the Teredo client with all
        bits inverted.
      - Bits 96 to 127 contains the obfuscated IPv4 address. This is the
        public IPv4 address of the NAT with all bits inverted.
      */
      const prefix = this.getBitsBase16(0, 32)
      const udpPort = this.getBits(80, 96)
        .xor(new jsbn_1.BigInteger('ffff', 16))
        .toString()
      const server4 = ipv4_1.Address4.fromHex(this.getBitsBase16(32, 64))
      const client4 = ipv4_1.Address4.fromHex(
        this.getBits(96, 128)
          .xor(new jsbn_1.BigInteger('ffffffff', 16))
          .toString(16)
      )
      const flags = this.getBits(64, 80)
      const flagsBase2 = this.getBitsBase2(64, 80)
      const coneNat = flags.testBit(15)
      const reserved = flags.testBit(14)
      const groupIndividual = flags.testBit(8)
      const universalLocal = flags.testBit(9)
      const nonce = new jsbn_1.BigInteger(
        flagsBase2.slice(2, 6) + flagsBase2.slice(8, 16),
        2
      ).toString(10)
      return {
        prefix: (0, sprintf_js_1.sprintf)(
          '%s:%s',
          prefix.slice(0, 4),
          prefix.slice(4, 8)
        ),
        server4: server4.address,
        client4: client4.address,
        flags: flagsBase2,
        coneNat,
        microsoft: {
          reserved,
          universalLocal,
          groupIndividual,
          nonce
        },
        udpPort
      }
    }
    /**
     * Return an object containing the 6to4 properties of the address
     * @memberof Address6
     * @instance
     * @returns {Object}
     */
    inspect6to4() {
      /*
      - Bits 0 to 15 are set to the 6to4 prefix (2002::/16).
      - Bits 16 to 48 embed the IPv4 address of the 6to4 gateway that is used.
      */
      const prefix = this.getBitsBase16(0, 16)
      const gateway = ipv4_1.Address4.fromHex(this.getBitsBase16(16, 48))
      return {
        prefix: (0, sprintf_js_1.sprintf)('%s', prefix.slice(0, 4)),
        gateway: gateway.address
      }
    }
    /**
     * Return a v6 6to4 address from a v6 v4inv6 address
     * @memberof Address6
     * @instance
     * @returns {Address6}
     */
    to6to4() {
      if (!this.is4()) {
        return null
      }
      const addr6to4 = [
        '2002',
        this.getBitsBase16(96, 112),
        this.getBitsBase16(112, 128),
        '',
        '/16'
      ].join(':')
      return new Address6(addr6to4)
    }
    /**
     * Return a byte array
     * @memberof Address6
     * @instance
     * @returns {Array}
     */
    toByteArray() {
      const byteArray = this.bigInteger().toByteArray()
      // work around issue where `toByteArray` returns a leading 0 element
      if (byteArray.length === 17 && byteArray[0] === 0) {
        return byteArray.slice(1)
      }
      return byteArray
    }
    /**
     * Return an unsigned byte array
     * @memberof Address6
     * @instance
     * @returns {Array}
     */
    toUnsignedByteArray() {
      return this.toByteArray().map(unsignByte)
    }
    /**
     * Convert a byte array to an Address6 object
     * @memberof Address6
     * @static
     * @returns {Address6}
     */
    static fromByteArray(bytes) {
      return this.fromUnsignedByteArray(bytes.map(unsignByte))
    }
    /**
     * Convert an unsigned byte array to an Address6 object
     * @memberof Address6
     * @static
     * @returns {Address6}
     */
    static fromUnsignedByteArray(bytes) {
      const BYTE_MAX = new jsbn_1.BigInteger('256', 10)
      let result = new jsbn_1.BigInteger('0', 10)
      let multiplier = new jsbn_1.BigInteger('1', 10)
      for (let i = bytes.length - 1; i >= 0; i--) {
        result = result.add(
          multiplier.multiply(new jsbn_1.BigInteger(bytes[i].toString(10), 10))
        )
        multiplier = multiplier.multiply(BYTE_MAX)
      }
      return Address6.fromBigInteger(result)
    }
    /**
     * Returns true if the address is in the canonical form, false otherwise
     * @memberof Address6
     * @instance
     * @returns {boolean}
     */
    isCanonical() {
      return this.addressMinusSuffix === this.canonicalForm()
    }
    /**
     * Returns true if the address is a link local address, false otherwise
     * @memberof Address6
     * @instance
     * @returns {boolean}
     */
    isLinkLocal() {
      // Zeroes are required, i.e. we can't check isInSubnet with 'fe80::/10'
      if (
        this.getBitsBase2(0, 64) ===
        '1111111010000000000000000000000000000000000000000000000000000000'
      ) {
        return true
      }
      return false
    }
    /**
     * Returns true if the address is a multicast address, false otherwise
     * @memberof Address6
     * @instance
     * @returns {boolean}
     */
    isMulticast() {
      return this.getType() === 'Multicast'
    }
    /**
     * Returns true if the address is a v4-in-v6 address, false otherwise
     * @memberof Address6
     * @instance
     * @returns {boolean}
     */
    is4() {
      return this.v4
    }
    /**
     * Returns true if the address is a Teredo address, false otherwise
     * @memberof Address6
     * @instance
     * @returns {boolean}
     */
    isTeredo() {
      return this.isInSubnet(new Address6('2001::/32'))
    }
    /**
     * Returns true if the address is a 6to4 address, false otherwise
     * @memberof Address6
     * @instance
     * @returns {boolean}
     */
    is6to4() {
      return this.isInSubnet(new Address6('2002::/16'))
    }
    /**
     * Returns true if the address is a loopback address, false otherwise
     * @memberof Address6
     * @instance
     * @returns {boolean}
     */
    isLoopback() {
      return this.getType() === 'Loopback'
    }
    // #endregion
    // #region HTML
    /**
     * @returns {String} the address in link form with a default port of 80
     */
    href(optionalPort) {
      if (optionalPort === undefined) {
        optionalPort = ''
      } else {
        optionalPort = (0, sprintf_js_1.sprintf)(':%s', optionalPort)
      }
      return (0, sprintf_js_1.sprintf)(
        'http://[%s]%s/',
        this.correctForm(),
        optionalPort
      )
    }
    /**
     * @returns {String} a link suitable for conveying the address via a URL hash
     */
    link(options) {
      if (!options) {
        options = {}
      }
      if (options.className === undefined) {
        options.className = ''
      }
      if (options.prefix === undefined) {
        options.prefix = '/#address='
      }
      if (options.v4 === undefined) {
        options.v4 = false
      }
      let formFunction = this.correctForm
      if (options.v4) {
        formFunction = this.to4in6
      }
      if (options.className) {
        return (0, sprintf_js_1.sprintf)(
          '<a href="%1$s%2$s" class="%3$s">%2$s</a>',
          options.prefix,
          formFunction.call(this),
          options.className
        )
      }
      return (0, sprintf_js_1.sprintf)(
        '<a href="%1$s%2$s">%2$s</a>',
        options.prefix,
        formFunction.call(this)
      )
    }
    /**
     * Groups an address
     * @returns {String}
     */
    group() {
      if (this.elidedGroups === 0) {
        // The simple case
        return helpers.simpleGroup(this.address).join(':')
      }
      assert(typeof this.elidedGroups === 'number')
      assert(typeof this.elisionBegin === 'number')
      // The elided case
      const output = []
      const [left, right] = this.address.split('::')
      if (left.length) {
        output.push(...helpers.simpleGroup(left))
      } else {
        output.push('')
      }
      const classes = ['hover-group']
      for (
        let i = this.elisionBegin;
        i < this.elisionBegin + this.elidedGroups;
        i++
      ) {
        classes.push((0, sprintf_js_1.sprintf)('group-%d', i))
      }
      output.push(
        (0, sprintf_js_1.sprintf)('<span class="%s"></span>', classes.join(' '))
      )
      if (right.length) {
        output.push(...helpers.simpleGroup(right, this.elisionEnd))
      } else {
        output.push('')
      }
      if (this.is4()) {
        assert(this.address4 instanceof ipv4_1.Address4)
        output.pop()
        output.push(this.address4.groupForV6())
      }
      return output.join(':')
    }
    // #endregion
    // #region Regular expressions
    /**
     * Generate a regular expression string that can be used to find or validate
     * all variations of this address
     * @memberof Address6
     * @instance
     * @param {boolean} substringSearch
     * @returns {string}
     */
    regularExpressionString(substringSearch = false) {
      let output = []
      // TODO: revisit why this is necessary
      const address6 = new Address6(this.correctForm())
      if (address6.elidedGroups === 0) {
        // The simple case
        output.push(
          (0, regular_expressions_1.simpleRegularExpression)(
            address6.parsedAddress
          )
        )
      } else if (address6.elidedGroups === constants6.GROUPS) {
        // A completely elided address
        output.push(
          (0, regular_expressions_1.possibleElisions)(constants6.GROUPS)
        )
      } else {
        // A partially elided address
        const halves = address6.address.split('::')
        if (halves[0].length) {
          output.push(
            (0, regular_expressions_1.simpleRegularExpression)(
              halves[0].split(':')
            )
          )
        }
        assert(typeof address6.elidedGroups === 'number')
        output.push(
          (0, regular_expressions_1.possibleElisions)(
            address6.elidedGroups,
            halves[0].length !== 0,
            halves[1].length !== 0
          )
        )
        if (halves[1].length) {
          output.push(
            (0, regular_expressions_1.simpleRegularExpression)(
              halves[1].split(':')
            )
          )
        }
        output = [output.join(':')]
      }
      if (!substringSearch) {
        output = [
          '(?=^|',
          regular_expressions_1.ADDRESS_BOUNDARY,
          '|[^\\w\\:])(',
          ...output,
          ')(?=[^\\w\\:]|',
          regular_expressions_1.ADDRESS_BOUNDARY,
          '|$)'
        ]
      }
      return output.join('')
    }
    /**
     * Generate a regular expression that can be used to find or validate all
     * variations of this address.
     * @memberof Address6
     * @instance
     * @param {boolean} substringSearch
     * @returns {RegExp}
     */
    regularExpression(substringSearch = false) {
      return new RegExp(this.regularExpressionString(substringSearch), 'i')
    }
  }
  ipv6.Address6 = Address6
  return ipv6
}

let hasRequiredIpAddress
function requireIpAddress() {
  if (hasRequiredIpAddress) {
    return ipAddress
  }
  hasRequiredIpAddress = 1
  ;(function (exports) {
    const __createBinding =
      (this && this.__createBinding) ||
      (Object.create
        ? function (o, m, k, k2) {
            if (k2 === undefined) {
              k2 = k
            }
            let desc = Object.getOwnPropertyDescriptor(m, k)
            if (
              !desc ||
              ('get' in desc
                ? !m.__esModule
                : desc.writable || desc.configurable)
            ) {
              desc = {
                enumerable: true,
                get: function () {
                  return m[k]
                }
              }
            }
            Object.defineProperty(o, k2, desc)
          }
        : function (o, m, k, k2) {
            if (k2 === undefined) {
              k2 = k
            }
            o[k2] = m[k]
          })
    const __setModuleDefault =
      (this && this.__setModuleDefault) ||
      (Object.create
        ? function (o, v) {
            Object.defineProperty(o, 'default', {
              enumerable: true,
              value: v
            })
          }
        : function (o, v) {
            o['default'] = v
          })
    const __importStar =
      (this && this.__importStar) ||
      function (mod) {
        if (mod && mod.__esModule) {
          return mod
        }
        const result = {}
        if (mod != null) {
          for (var k in mod)
            if (k !== 'default' && Object.prototype.hasOwnProperty.call(mod, k))
              __createBinding(result, mod, k)
        }
        __setModuleDefault(result, mod)
        return result
      }
    Object.defineProperty(exports, '__esModule', {
      value: true
    })
    exports.v6 =
      exports.AddressError =
      exports.Address6 =
      exports.Address4 =
        void 0
    const ipv4_1 = requireIpv4()
    Object.defineProperty(exports, 'Address4', {
      enumerable: true,
      get: function () {
        return ipv4_1.Address4
      }
    })
    const ipv6_1 = requireIpv6()
    Object.defineProperty(exports, 'Address6', {
      enumerable: true,
      get: function () {
        return ipv6_1.Address6
      }
    })
    const address_error_1 = requireAddressError()
    Object.defineProperty(exports, 'AddressError', {
      enumerable: true,
      get: function () {
        return address_error_1.AddressError
      }
    })
    const helpers = __importStar(requireHelpers$1())
    exports.v6 = {
      helpers
    }
  })(ipAddress)
  return ipAddress
}

let hasRequiredHelpers
function requireHelpers() {
  if (hasRequiredHelpers) {
    return helpers$1
  }
  hasRequiredHelpers = 1
  Object.defineProperty(helpers$1, '__esModule', {
    value: true
  })
  helpers$1.ipToBuffer =
    helpers$1.int32ToIpv4 =
    helpers$1.ipv4ToInt32 =
    helpers$1.validateSocksClientChainOptions =
    helpers$1.validateSocksClientOptions =
      void 0
  const util_1 = requireUtil()
  const constants_1 = requireConstants$2()
  const stream = require$$1$2
  const ip_address_1 = requireIpAddress()
  const net = require$$0$d
  /**
   * Validates the provided SocksClientOptions
   * @param options { SocksClientOptions }
   * @param acceptedCommands { string[] } A list of accepted SocksProxy commands.
   */
  function validateSocksClientOptions(
    options,
    acceptedCommands = ['connect', 'bind', 'associate']
  ) {
    // Check SOCKs command option.
    if (!constants_1.SocksCommand[options.command]) {
      throw new util_1.SocksClientError(
        constants_1.ERRORS.InvalidSocksCommand,
        options
      )
    }
    // Check SocksCommand for acceptable command.
    if (acceptedCommands.indexOf(options.command) === -1) {
      throw new util_1.SocksClientError(
        constants_1.ERRORS.InvalidSocksCommandForOperation,
        options
      )
    }
    // Check destination
    if (!isValidSocksRemoteHost(options.destination)) {
      throw new util_1.SocksClientError(
        constants_1.ERRORS.InvalidSocksClientOptionsDestination,
        options
      )
    }
    // Check SOCKS proxy to use
    if (!isValidSocksProxy(options.proxy)) {
      throw new util_1.SocksClientError(
        constants_1.ERRORS.InvalidSocksClientOptionsProxy,
        options
      )
    }
    // Validate custom auth (if set)
    validateCustomProxyAuth(options.proxy, options)
    // Check timeout
    if (options.timeout && !isValidTimeoutValue(options.timeout)) {
      throw new util_1.SocksClientError(
        constants_1.ERRORS.InvalidSocksClientOptionsTimeout,
        options
      )
    }
    // Check existing_socket (if provided)
    if (
      options.existing_socket &&
      !(options.existing_socket instanceof stream.Duplex)
    ) {
      throw new util_1.SocksClientError(
        constants_1.ERRORS.InvalidSocksClientOptionsExistingSocket,
        options
      )
    }
  }
  helpers$1.validateSocksClientOptions = validateSocksClientOptions
  /**
   * Validates the SocksClientChainOptions
   * @param options { SocksClientChainOptions }
   */
  function validateSocksClientChainOptions(options) {
    // Only connect is supported when chaining.
    if (options.command !== 'connect') {
      throw new util_1.SocksClientError(
        constants_1.ERRORS.InvalidSocksCommandChain,
        options
      )
    }
    // Check destination
    if (!isValidSocksRemoteHost(options.destination)) {
      throw new util_1.SocksClientError(
        constants_1.ERRORS.InvalidSocksClientOptionsDestination,
        options
      )
    }
    // Validate proxies (length)
    if (
      !(
        options.proxies &&
        Array.isArray(options.proxies) &&
        options.proxies.length >= 2
      )
    ) {
      throw new util_1.SocksClientError(
        constants_1.ERRORS.InvalidSocksClientOptionsProxiesLength,
        options
      )
    }
    // Validate proxies
    options.proxies.forEach(proxy => {
      if (!isValidSocksProxy(proxy)) {
        throw new util_1.SocksClientError(
          constants_1.ERRORS.InvalidSocksClientOptionsProxy,
          options
        )
      }
      // Validate custom auth (if set)
      validateCustomProxyAuth(proxy, options)
    })
    // Check timeout
    if (options.timeout && !isValidTimeoutValue(options.timeout)) {
      throw new util_1.SocksClientError(
        constants_1.ERRORS.InvalidSocksClientOptionsTimeout,
        options
      )
    }
  }
  helpers$1.validateSocksClientChainOptions = validateSocksClientChainOptions
  function validateCustomProxyAuth(proxy, options) {
    if (proxy.custom_auth_method !== undefined) {
      // Invalid auth method range
      if (
        proxy.custom_auth_method < constants_1.SOCKS5_CUSTOM_AUTH_START ||
        proxy.custom_auth_method > constants_1.SOCKS5_CUSTOM_AUTH_END
      ) {
        throw new util_1.SocksClientError(
          constants_1.ERRORS.InvalidSocksClientOptionsCustomAuthRange,
          options
        )
      }
      // Missing custom_auth_request_handler
      if (
        proxy.custom_auth_request_handler === undefined ||
        typeof proxy.custom_auth_request_handler !== 'function'
      ) {
        throw new util_1.SocksClientError(
          constants_1.ERRORS.InvalidSocksClientOptionsCustomAuthOptions,
          options
        )
      }
      // Missing custom_auth_response_size
      if (proxy.custom_auth_response_size === undefined) {
        throw new util_1.SocksClientError(
          constants_1.ERRORS.InvalidSocksClientOptionsCustomAuthOptions,
          options
        )
      }
      // Missing/invalid custom_auth_response_handler
      if (
        proxy.custom_auth_response_handler === undefined ||
        typeof proxy.custom_auth_response_handler !== 'function'
      ) {
        throw new util_1.SocksClientError(
          constants_1.ERRORS.InvalidSocksClientOptionsCustomAuthOptions,
          options
        )
      }
    }
  }
  /**
   * Validates a SocksRemoteHost
   * @param remoteHost { SocksRemoteHost }
   */
  function isValidSocksRemoteHost(remoteHost) {
    return (
      remoteHost &&
      typeof remoteHost.host === 'string' &&
      typeof remoteHost.port === 'number' &&
      remoteHost.port >= 0 &&
      remoteHost.port <= 65535
    )
  }
  /**
   * Validates a SocksProxy
   * @param proxy { SocksProxy }
   */
  function isValidSocksProxy(proxy) {
    return (
      proxy &&
      (typeof proxy.host === 'string' || typeof proxy.ipaddress === 'string') &&
      typeof proxy.port === 'number' &&
      proxy.port >= 0 &&
      proxy.port <= 65535 &&
      (proxy.type === 4 || proxy.type === 5)
    )
  }
  /**
   * Validates a timeout value.
   * @param value { Number }
   */
  function isValidTimeoutValue(value) {
    return typeof value === 'number' && value > 0
  }
  function ipv4ToInt32(ip) {
    const address = new ip_address_1.Address4(ip)
    // Convert the IPv4 address parts to an integer
    return address.toArray().reduce((acc, part) => (acc << 8) + part, 0)
  }
  helpers$1.ipv4ToInt32 = ipv4ToInt32
  function int32ToIpv4(int32) {
    // Extract each byte (octet) from the 32-bit integer
    const octet1 = (int32 >>> 24) & 0xff
    const octet2 = (int32 >>> 16) & 0xff
    const octet3 = (int32 >>> 8) & 0xff
    const octet4 = int32 & 0xff
    // Combine the octets into a string in IPv4 format
    return [octet1, octet2, octet3, octet4].join('.')
  }
  helpers$1.int32ToIpv4 = int32ToIpv4
  function ipToBuffer(ip) {
    if (net.isIPv4(ip)) {
      // Handle IPv4 addresses
      const address = new ip_address_1.Address4(ip)
      return Buffer.from(address.toArray())
    } else if (net.isIPv6(ip)) {
      // Handle IPv6 addresses
      const address = new ip_address_1.Address6(ip)
      return Buffer.from(
        address
          .canonicalForm()
          .split(':')
          .map(segment => segment.padStart(4, '0'))
          .join(''),
        'hex'
      )
    } else {
      throw new Error('Invalid IP address format')
    }
  }
  helpers$1.ipToBuffer = ipToBuffer
  return helpers$1
}

const receivebuffer = {}

let hasRequiredReceivebuffer
function requireReceivebuffer() {
  if (hasRequiredReceivebuffer) {
    return receivebuffer
  }
  hasRequiredReceivebuffer = 1
  Object.defineProperty(receivebuffer, '__esModule', {
    value: true
  })
  receivebuffer.ReceiveBuffer = void 0
  class ReceiveBuffer {
    constructor(size = 4096) {
      this.buffer = Buffer.allocUnsafe(size)
      this.offset = 0
      this.originalSize = size
    }
    get length() {
      return this.offset
    }
    append(data) {
      if (!Buffer.isBuffer(data)) {
        throw new Error(
          'Attempted to append a non-buffer instance to ReceiveBuffer.'
        )
      }
      if (this.offset + data.length >= this.buffer.length) {
        const tmp = this.buffer
        this.buffer = Buffer.allocUnsafe(
          Math.max(
            this.buffer.length + this.originalSize,
            this.buffer.length + data.length
          )
        )
        tmp.copy(this.buffer)
      }
      data.copy(this.buffer, this.offset)
      return (this.offset += data.length)
    }
    peek(length) {
      if (length > this.offset) {
        throw new Error(
          'Attempted to read beyond the bounds of the managed internal data.'
        )
      }
      return this.buffer.slice(0, length)
    }
    get(length) {
      if (length > this.offset) {
        throw new Error(
          'Attempted to read beyond the bounds of the managed internal data.'
        )
      }
      const value = Buffer.allocUnsafe(length)
      this.buffer.slice(0, length).copy(value)
      this.buffer.copyWithin(0, length, length + this.offset - length)
      this.offset -= length
      return value
    }
  }
  receivebuffer.ReceiveBuffer = ReceiveBuffer
  return receivebuffer
}

let hasRequiredSocksclient
function requireSocksclient() {
  if (hasRequiredSocksclient) {
    return socksclient
  }
  hasRequiredSocksclient = 1
  ;(function (exports) {
    const __awaiter =
      (this && this.__awaiter) ||
      function (thisArg, _arguments, P, generator) {
        function adopt(value) {
          return value instanceof P
            ? value
            : new P(function (resolve) {
                resolve(value)
              })
        }
        return new (P || (P = Promise))(function (resolve, reject) {
          function fulfilled(value) {
            try {
              step(generator.next(value))
            } catch (e) {
              reject(e)
            }
          }
          function rejected(value) {
            try {
              step(generator['throw'](value))
            } catch (e) {
              reject(e)
            }
          }
          function step(result) {
            result.done
              ? resolve(result.value)
              : adopt(result.value).then(fulfilled, rejected)
          }
          step((generator = generator.apply(thisArg, _arguments || [])).next())
        })
      }
    Object.defineProperty(exports, '__esModule', {
      value: true
    })
    exports.SocksClientError = exports.SocksClient = void 0
    const events_1 = require$$0$5
    const net = require$$0$d
    const smart_buffer_1 = requireSmartbuffer()
    const constants_1 = requireConstants$2()
    const helpers_1 = requireHelpers()
    const receivebuffer_1 = requireReceivebuffer()
    const util_1 = requireUtil()
    Object.defineProperty(exports, 'SocksClientError', {
      enumerable: true,
      get: function () {
        return util_1.SocksClientError
      }
    })
    const ip_address_1 = requireIpAddress()
    class SocksClient extends events_1.EventEmitter {
      constructor(options) {
        super()
        this.options = Object.assign({}, options)
        // Validate SocksClientOptions
        ;(0, helpers_1.validateSocksClientOptions)(options)
        // Default state
        this.setState(constants_1.SocksClientState.Created)
      }
      /**
       * Creates a new SOCKS connection.
       *
       * Note: Supports callbacks and promises. Only supports the connect command.
       * @param options { SocksClientOptions } Options.
       * @param callback { Function } An optional callback function.
       * @returns { Promise }
       */
      static createConnection(options, callback) {
        return new Promise((resolve, reject) => {
          // Validate SocksClientOptions
          try {
            ;(0, helpers_1.validateSocksClientOptions)(options, ['connect'])
          } catch (err) {
            if (typeof callback === 'function') {
              callback(err)
              // eslint-disable-next-line @typescript-eslint/no-explicit-any
              return resolve(err) // Resolves pending promise (prevents memory leaks).
            } else {
              return reject(err)
            }
          }
          const client = new SocksClient(options)
          client.connect(options.existing_socket)
          client.once('established', info => {
            client.removeAllListeners()
            if (typeof callback === 'function') {
              callback(null, info)
              resolve(info) // Resolves pending promise (prevents memory leaks).
            } else {
              resolve(info)
            }
          })
          // Error occurred, failed to establish connection.
          client.once('error', err => {
            client.removeAllListeners()
            if (typeof callback === 'function') {
              callback(err)
              // eslint-disable-next-line @typescript-eslint/no-explicit-any
              resolve(err) // Resolves pending promise (prevents memory leaks).
            } else {
              reject(err)
            }
          })
        })
      }
      /**
       * Creates a new SOCKS connection chain to a destination host through 2 or more SOCKS proxies.
       *
       * Note: Supports callbacks and promises. Only supports the connect method.
       * Note: Implemented via createConnection() factory function.
       * @param options { SocksClientChainOptions } Options
       * @param callback { Function } An optional callback function.
       * @returns { Promise }
       */
      static createConnectionChain(options, callback) {
        // eslint-disable-next-line no-async-promise-executor
        return new Promise((resolve, reject) =>
          __awaiter(this, void 0, void 0, function* () {
            // Validate SocksClientChainOptions
            try {
              ;(0, helpers_1.validateSocksClientChainOptions)(options)
            } catch (err) {
              if (typeof callback === 'function') {
                callback(err)
                // eslint-disable-next-line @typescript-eslint/no-explicit-any
                return resolve(err) // Resolves pending promise (prevents memory leaks).
              } else {
                return reject(err)
              }
            }
            // Shuffle proxies
            if (options.randomizeChain) {
              ;(0, util_1.shuffleArray)(options.proxies)
            }
            try {
              let sock
              for (let i = 0; i < options.proxies.length; i++) {
                const nextProxy = options.proxies[i]
                // If we've reached the last proxy in the chain, the destination is the actual destination, otherwise it's the next proxy.
                const nextDestination =
                  i === options.proxies.length - 1
                    ? options.destination
                    : {
                        host:
                          options.proxies[i + 1].host ||
                          options.proxies[i + 1].ipaddress,
                        port: options.proxies[i + 1].port
                      }
                // Creates the next connection in the chain.
                const result = yield SocksClient.createConnection({
                  command: 'connect',
                  proxy: nextProxy,
                  destination: nextDestination,
                  existing_socket: sock
                })
                // If sock is undefined, assign it here.
                sock = sock || result.socket
              }
              if (typeof callback === 'function') {
                callback(null, {
                  socket: sock
                })
                resolve({
                  socket: sock
                }) // Resolves pending promise (prevents memory leaks).
              } else {
                resolve({
                  socket: sock
                })
              }
            } catch (err) {
              if (typeof callback === 'function') {
                callback(err)
                // eslint-disable-next-line @typescript-eslint/no-explicit-any
                resolve(err) // Resolves pending promise (prevents memory leaks).
              } else {
                reject(err)
              }
            }
          })
        )
      }
      /**
       * Creates a SOCKS UDP Frame.
       * @param options
       */
      static createUDPFrame(options) {
        const buff = new smart_buffer_1.SmartBuffer()
        buff.writeUInt16BE(0)
        buff.writeUInt8(options.frameNumber || 0)
        // IPv4/IPv6/Hostname
        if (net.isIPv4(options.remoteHost.host)) {
          buff.writeUInt8(constants_1.Socks5HostType.IPv4)
          buff.writeUInt32BE(
            (0, helpers_1.ipv4ToInt32)(options.remoteHost.host)
          )
        } else if (net.isIPv6(options.remoteHost.host)) {
          buff.writeUInt8(constants_1.Socks5HostType.IPv6)
          buff.writeBuffer((0, helpers_1.ipToBuffer)(options.remoteHost.host))
        } else {
          buff.writeUInt8(constants_1.Socks5HostType.Hostname)
          buff.writeUInt8(Buffer.byteLength(options.remoteHost.host))
          buff.writeString(options.remoteHost.host)
        }
        // Port
        buff.writeUInt16BE(options.remoteHost.port)
        // Data
        buff.writeBuffer(options.data)
        return buff.toBuffer()
      }
      /**
       * Parses a SOCKS UDP frame.
       * @param data
       */
      static parseUDPFrame(data) {
        const buff = smart_buffer_1.SmartBuffer.fromBuffer(data)
        buff.readOffset = 2
        const frameNumber = buff.readUInt8()
        const hostType = buff.readUInt8()
        let remoteHost
        if (hostType === constants_1.Socks5HostType.IPv4) {
          remoteHost = (0, helpers_1.int32ToIpv4)(buff.readUInt32BE())
        } else if (hostType === constants_1.Socks5HostType.IPv6) {
          remoteHost = ip_address_1.Address6.fromByteArray(
            Array.from(buff.readBuffer(16))
          ).canonicalForm()
        } else {
          remoteHost = buff.readString(buff.readUInt8())
        }
        const remotePort = buff.readUInt16BE()
        return {
          frameNumber,
          remoteHost: {
            host: remoteHost,
            port: remotePort
          },
          data: buff.readBuffer()
        }
      }
      /**
       * Internal state setter. If the SocksClient is in an error state, it cannot be changed to a non error state.
       */
      setState(newState) {
        if (this.state !== constants_1.SocksClientState.Error) {
          this.state = newState
        }
      }
      /**
       * Starts the connection establishment to the proxy and destination.
       * @param existingSocket Connected socket to use instead of creating a new one (internal use).
       */
      connect(existingSocket) {
        this.onDataReceived = data => this.onDataReceivedHandler(data)
        this.onClose = () => this.onCloseHandler()
        this.onError = err => this.onErrorHandler(err)
        this.onConnect = () => this.onConnectHandler()
        // Start timeout timer (defaults to 30 seconds)
        const timer = setTimeout(
          () => this.onEstablishedTimeout(),
          this.options.timeout || constants_1.DEFAULT_TIMEOUT
        )
        // check whether unref is available as it differs from browser to NodeJS (#33)
        if (timer.unref && typeof timer.unref === 'function') {
          timer.unref()
        }
        // If an existing socket is provided, use it to negotiate SOCKS handshake. Otherwise create a new Socket.
        if (existingSocket) {
          this.socket = existingSocket
        } else {
          this.socket = new net.Socket()
        }
        // Attach Socket error handlers.
        this.socket.once('close', this.onClose)
        this.socket.once('error', this.onError)
        this.socket.once('connect', this.onConnect)
        this.socket.on('data', this.onDataReceived)
        this.setState(constants_1.SocksClientState.Connecting)
        this.receiveBuffer = new receivebuffer_1.ReceiveBuffer()
        if (existingSocket) {
          this.socket.emit('connect')
        } else {
          this.socket.connect(this.getSocketOptions())
          if (
            this.options.set_tcp_nodelay !== undefined &&
            this.options.set_tcp_nodelay !== null
          ) {
            this.socket.setNoDelay(!!this.options.set_tcp_nodelay)
          }
        }
        // Listen for established event so we can re-emit any excess data received during handshakes.
        this.prependOnceListener('established', info => {
          setImmediate(() => {
            if (this.receiveBuffer.length > 0) {
              const excessData = this.receiveBuffer.get(
                this.receiveBuffer.length
              )
              info.socket.emit('data', excessData)
            }
            info.socket.resume()
          })
        })
      }
      // Socket options (defaults host/port to options.proxy.host/options.proxy.port)
      getSocketOptions() {
        return Object.assign(Object.assign({}, this.options.socket_options), {
          host: this.options.proxy.host || this.options.proxy.ipaddress,
          port: this.options.proxy.port
        })
      }
      /**
       * Handles internal Socks timeout callback.
       * Note: If the Socks client is not BoundWaitingForConnection or Established, the connection will be closed.
       */
      onEstablishedTimeout() {
        if (
          this.state !== constants_1.SocksClientState.Established &&
          this.state !== constants_1.SocksClientState.BoundWaitingForConnection
        ) {
          this.closeSocket(constants_1.ERRORS.ProxyConnectionTimedOut)
        }
      }
      /**
       * Handles Socket connect event.
       */
      onConnectHandler() {
        this.setState(constants_1.SocksClientState.Connected)
        // Send initial handshake.
        if (this.options.proxy.type === 4) {
          this.sendSocks4InitialHandshake()
        } else {
          this.sendSocks5InitialHandshake()
        }
        this.setState(constants_1.SocksClientState.SentInitialHandshake)
      }
      /**
       * Handles Socket data event.
       * @param data
       */
      onDataReceivedHandler(data) {
        /*
          All received data is appended to a ReceiveBuffer.
          This makes sure that all the data we need is received before we attempt to process it.
        */
        this.receiveBuffer.append(data)
        // Process data that we have.
        this.processData()
      }
      /**
       * Handles processing of the data we have received.
       */
      processData() {
        // If we have enough data to process the next step in the SOCKS handshake, proceed.
        while (
          this.state !== constants_1.SocksClientState.Established &&
          this.state !== constants_1.SocksClientState.Error &&
          this.receiveBuffer.length >= this.nextRequiredPacketBufferSize
        ) {
          // Sent initial handshake, waiting for response.
          if (
            this.state === constants_1.SocksClientState.SentInitialHandshake
          ) {
            if (this.options.proxy.type === 4) {
              // Socks v4 only has one handshake response.
              this.handleSocks4FinalHandshakeResponse()
            } else {
              // Socks v5 has two handshakes, handle initial one here.
              this.handleInitialSocks5HandshakeResponse()
            }
            // Sent auth request for Socks v5, waiting for response.
          } else if (
            this.state === constants_1.SocksClientState.SentAuthentication
          ) {
            this.handleInitialSocks5AuthenticationHandshakeResponse()
            // Sent final Socks v5 handshake, waiting for final response.
          } else if (
            this.state === constants_1.SocksClientState.SentFinalHandshake
          ) {
            this.handleSocks5FinalHandshakeResponse()
            // Socks BIND established. Waiting for remote connection via proxy.
          } else if (
            this.state ===
            constants_1.SocksClientState.BoundWaitingForConnection
          ) {
            if (this.options.proxy.type === 4) {
              this.handleSocks4IncomingConnectionResponse()
            } else {
              this.handleSocks5IncomingConnectionResponse()
            }
          } else {
            this.closeSocket(constants_1.ERRORS.InternalError)
            break
          }
        }
      }
      /**
       * Handles Socket close event.
       * @param had_error
       */
      onCloseHandler() {
        this.closeSocket(constants_1.ERRORS.SocketClosed)
      }
      /**
       * Handles Socket error event.
       * @param err
       */
      onErrorHandler(err) {
        this.closeSocket(err.message)
      }
      /**
       * Removes internal event listeners on the underlying Socket.
       */
      removeInternalSocketHandlers() {
        // Pauses data flow of the socket (this is internally resumed after 'established' is emitted)
        this.socket.pause()
        this.socket.removeListener('data', this.onDataReceived)
        this.socket.removeListener('close', this.onClose)
        this.socket.removeListener('error', this.onError)
        this.socket.removeListener('connect', this.onConnect)
      }
      /**
       * Closes and destroys the underlying Socket. Emits an error event.
       * @param err { String } An error string to include in error event.
       */
      closeSocket(err) {
        // Make sure only one 'error' event is fired for the lifetime of this SocksClient instance.
        if (this.state !== constants_1.SocksClientState.Error) {
          // Set internal state to Error.
          this.setState(constants_1.SocksClientState.Error)
          // Destroy Socket
          this.socket.destroy()
          // Remove internal listeners
          this.removeInternalSocketHandlers()
          // Fire 'error' event.
          this.emit('error', new util_1.SocksClientError(err, this.options))
        }
      }
      /**
       * Sends initial Socks v4 handshake request.
       */
      sendSocks4InitialHandshake() {
        const userId = this.options.proxy.userId || ''
        const buff = new smart_buffer_1.SmartBuffer()
        buff.writeUInt8(0x04)
        buff.writeUInt8(constants_1.SocksCommand[this.options.command])
        buff.writeUInt16BE(this.options.destination.port)
        // Socks 4 (IPv4)
        if (net.isIPv4(this.options.destination.host)) {
          buff.writeBuffer(
            (0, helpers_1.ipToBuffer)(this.options.destination.host)
          )
          buff.writeStringNT(userId)
          // Socks 4a (hostname)
        } else {
          buff.writeUInt8(0x00)
          buff.writeUInt8(0x00)
          buff.writeUInt8(0x00)
          buff.writeUInt8(0x01)
          buff.writeStringNT(userId)
          buff.writeStringNT(this.options.destination.host)
        }
        this.nextRequiredPacketBufferSize =
          constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks4Response
        this.socket.write(buff.toBuffer())
      }
      /**
       * Handles Socks v4 handshake response.
       * @param data
       */
      handleSocks4FinalHandshakeResponse() {
        const data = this.receiveBuffer.get(8)
        if (data[1] !== constants_1.Socks4Response.Granted) {
          this.closeSocket(
            `${constants_1.ERRORS.Socks4ProxyRejectedConnection} - (${constants_1.Socks4Response[data[1]]})`
          )
        } else {
          // Bind response
          if (
            constants_1.SocksCommand[this.options.command] ===
            constants_1.SocksCommand.bind
          ) {
            const buff = smart_buffer_1.SmartBuffer.fromBuffer(data)
            buff.readOffset = 2
            const remoteHost = {
              port: buff.readUInt16BE(),
              host: (0, helpers_1.int32ToIpv4)(buff.readUInt32BE())
            }
            // If host is 0.0.0.0, set to proxy host.
            if (remoteHost.host === '0.0.0.0') {
              remoteHost.host = this.options.proxy.ipaddress
            }
            this.setState(
              constants_1.SocksClientState.BoundWaitingForConnection
            )
            this.emit('bound', {
              remoteHost,
              socket: this.socket
            })
            // Connect response
          } else {
            this.setState(constants_1.SocksClientState.Established)
            this.removeInternalSocketHandlers()
            this.emit('established', {
              socket: this.socket
            })
          }
        }
      }
      /**
       * Handles Socks v4 incoming connection request (BIND)
       * @param data
       */
      handleSocks4IncomingConnectionResponse() {
        const data = this.receiveBuffer.get(8)
        if (data[1] !== constants_1.Socks4Response.Granted) {
          this.closeSocket(
            `${constants_1.ERRORS.Socks4ProxyRejectedIncomingBoundConnection} - (${constants_1.Socks4Response[data[1]]})`
          )
        } else {
          const buff = smart_buffer_1.SmartBuffer.fromBuffer(data)
          buff.readOffset = 2
          const remoteHost = {
            port: buff.readUInt16BE(),
            host: (0, helpers_1.int32ToIpv4)(buff.readUInt32BE())
          }
          this.setState(constants_1.SocksClientState.Established)
          this.removeInternalSocketHandlers()
          this.emit('established', {
            remoteHost,
            socket: this.socket
          })
        }
      }
      /**
       * Sends initial Socks v5 handshake request.
       */
      sendSocks5InitialHandshake() {
        const buff = new smart_buffer_1.SmartBuffer()
        // By default we always support no auth.
        const supportedAuthMethods = [constants_1.Socks5Auth.NoAuth]
        // We should only tell the proxy we support user/pass auth if auth info is actually provided.
        // Note: As of Tor v0.3.5.7+, if user/pass auth is an option from the client, by default it will always take priority.
        if (this.options.proxy.userId || this.options.proxy.password) {
          supportedAuthMethods.push(constants_1.Socks5Auth.UserPass)
        }
        // Custom auth method?
        if (this.options.proxy.custom_auth_method !== undefined) {
          supportedAuthMethods.push(this.options.proxy.custom_auth_method)
        }
        // Build handshake packet
        buff.writeUInt8(0x05)
        buff.writeUInt8(supportedAuthMethods.length)
        for (const authMethod of supportedAuthMethods) {
          buff.writeUInt8(authMethod)
        }
        this.nextRequiredPacketBufferSize =
          constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5InitialHandshakeResponse
        this.socket.write(buff.toBuffer())
        this.setState(constants_1.SocksClientState.SentInitialHandshake)
      }
      /**
       * Handles initial Socks v5 handshake response.
       * @param data
       */
      handleInitialSocks5HandshakeResponse() {
        const data = this.receiveBuffer.get(2)
        if (data[0] !== 0x05) {
          this.closeSocket(
            constants_1.ERRORS.InvalidSocks5IntiailHandshakeSocksVersion
          )
        } else if (data[1] === constants_1.SOCKS5_NO_ACCEPTABLE_AUTH) {
          this.closeSocket(
            constants_1.ERRORS.InvalidSocks5InitialHandshakeNoAcceptedAuthType
          )
        } else {
          // If selected Socks v5 auth method is no auth, send final handshake request.
          if (data[1] === constants_1.Socks5Auth.NoAuth) {
            this.socks5ChosenAuthType = constants_1.Socks5Auth.NoAuth
            this.sendSocks5CommandRequest()
            // If selected Socks v5 auth method is user/password, send auth handshake.
          } else if (data[1] === constants_1.Socks5Auth.UserPass) {
            this.socks5ChosenAuthType = constants_1.Socks5Auth.UserPass
            this.sendSocks5UserPassAuthentication()
            // If selected Socks v5 auth method is the custom_auth_method, send custom handshake.
          } else if (data[1] === this.options.proxy.custom_auth_method) {
            this.socks5ChosenAuthType = this.options.proxy.custom_auth_method
            this.sendSocks5CustomAuthentication()
          } else {
            this.closeSocket(
              constants_1.ERRORS.InvalidSocks5InitialHandshakeUnknownAuthType
            )
          }
        }
      }
      /**
       * Sends Socks v5 user & password auth handshake.
       *
       * Note: No auth and user/pass are currently supported.
       */
      sendSocks5UserPassAuthentication() {
        const userId = this.options.proxy.userId || ''
        const password = this.options.proxy.password || ''
        const buff = new smart_buffer_1.SmartBuffer()
        buff.writeUInt8(0x01)
        buff.writeUInt8(Buffer.byteLength(userId))
        buff.writeString(userId)
        buff.writeUInt8(Buffer.byteLength(password))
        buff.writeString(password)
        this.nextRequiredPacketBufferSize =
          constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5UserPassAuthenticationResponse
        this.socket.write(buff.toBuffer())
        this.setState(constants_1.SocksClientState.SentAuthentication)
      }
      sendSocks5CustomAuthentication() {
        return __awaiter(this, void 0, void 0, function* () {
          this.nextRequiredPacketBufferSize =
            this.options.proxy.custom_auth_response_size
          this.socket.write(
            yield this.options.proxy.custom_auth_request_handler()
          )
          this.setState(constants_1.SocksClientState.SentAuthentication)
        })
      }
      handleSocks5CustomAuthHandshakeResponse(data) {
        return __awaiter(this, void 0, void 0, function* () {
          return yield this.options.proxy.custom_auth_response_handler(data)
        })
      }
      handleSocks5AuthenticationNoAuthHandshakeResponse(data) {
        return __awaiter(this, void 0, void 0, function* () {
          return data[1] === 0x00
        })
      }
      handleSocks5AuthenticationUserPassHandshakeResponse(data) {
        return __awaiter(this, void 0, void 0, function* () {
          return data[1] === 0x00
        })
      }
      /**
       * Handles Socks v5 auth handshake response.
       * @param data
       */
      handleInitialSocks5AuthenticationHandshakeResponse() {
        return __awaiter(this, void 0, void 0, function* () {
          this.setState(
            constants_1.SocksClientState.ReceivedAuthenticationResponse
          )
          let authResult = false
          if (this.socks5ChosenAuthType === constants_1.Socks5Auth.NoAuth) {
            authResult =
              yield this.handleSocks5AuthenticationNoAuthHandshakeResponse(
                this.receiveBuffer.get(2)
              )
          } else if (
            this.socks5ChosenAuthType === constants_1.Socks5Auth.UserPass
          ) {
            authResult =
              yield this.handleSocks5AuthenticationUserPassHandshakeResponse(
                this.receiveBuffer.get(2)
              )
          } else if (
            this.socks5ChosenAuthType === this.options.proxy.custom_auth_method
          ) {
            authResult = yield this.handleSocks5CustomAuthHandshakeResponse(
              this.receiveBuffer.get(
                this.options.proxy.custom_auth_response_size
              )
            )
          }
          if (!authResult) {
            this.closeSocket(constants_1.ERRORS.Socks5AuthenticationFailed)
          } else {
            this.sendSocks5CommandRequest()
          }
        })
      }
      /**
       * Sends Socks v5 final handshake request.
       */
      sendSocks5CommandRequest() {
        const buff = new smart_buffer_1.SmartBuffer()
        buff.writeUInt8(0x05)
        buff.writeUInt8(constants_1.SocksCommand[this.options.command])
        buff.writeUInt8(0x00)
        // ipv4, ipv6, domain?
        if (net.isIPv4(this.options.destination.host)) {
          buff.writeUInt8(constants_1.Socks5HostType.IPv4)
          buff.writeBuffer(
            (0, helpers_1.ipToBuffer)(this.options.destination.host)
          )
        } else if (net.isIPv6(this.options.destination.host)) {
          buff.writeUInt8(constants_1.Socks5HostType.IPv6)
          buff.writeBuffer(
            (0, helpers_1.ipToBuffer)(this.options.destination.host)
          )
        } else {
          buff.writeUInt8(constants_1.Socks5HostType.Hostname)
          buff.writeUInt8(this.options.destination.host.length)
          buff.writeString(this.options.destination.host)
        }
        buff.writeUInt16BE(this.options.destination.port)
        this.nextRequiredPacketBufferSize =
          constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHeader
        this.socket.write(buff.toBuffer())
        this.setState(constants_1.SocksClientState.SentFinalHandshake)
      }
      /**
       * Handles Socks v5 final handshake response.
       * @param data
       */
      handleSocks5FinalHandshakeResponse() {
        // Peek at available data (we need at least 5 bytes to get the hostname length)
        const header = this.receiveBuffer.peek(5)
        if (
          header[0] !== 0x05 ||
          header[1] !== constants_1.Socks5Response.Granted
        ) {
          this.closeSocket(
            `${constants_1.ERRORS.InvalidSocks5FinalHandshakeRejected} - ${constants_1.Socks5Response[header[1]]}`
          )
        } else {
          // Read address type
          const addressType = header[3]
          let remoteHost
          let buff
          // IPv4
          if (addressType === constants_1.Socks5HostType.IPv4) {
            // Check if data is available.
            const dataNeeded =
              constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv4
            if (this.receiveBuffer.length < dataNeeded) {
              this.nextRequiredPacketBufferSize = dataNeeded
              return
            }
            buff = smart_buffer_1.SmartBuffer.fromBuffer(
              this.receiveBuffer.get(dataNeeded).slice(4)
            )
            remoteHost = {
              host: (0, helpers_1.int32ToIpv4)(buff.readUInt32BE()),
              port: buff.readUInt16BE()
            }
            // If given host is 0.0.0.0, assume remote proxy ip instead.
            if (remoteHost.host === '0.0.0.0') {
              remoteHost.host = this.options.proxy.ipaddress
            }
            // Hostname
          } else if (addressType === constants_1.Socks5HostType.Hostname) {
            const hostLength = header[4]
            const dataNeeded =
              constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHostname(
                hostLength
              ) // header + host length + host + port
            // Check if data is available.
            if (this.receiveBuffer.length < dataNeeded) {
              this.nextRequiredPacketBufferSize = dataNeeded
              return
            }
            buff = smart_buffer_1.SmartBuffer.fromBuffer(
              this.receiveBuffer.get(dataNeeded).slice(5)
            )
            remoteHost = {
              host: buff.readString(hostLength),
              port: buff.readUInt16BE()
            }
            // IPv6
          } else if (addressType === constants_1.Socks5HostType.IPv6) {
            // Check if data is available.
            const dataNeeded =
              constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv6
            if (this.receiveBuffer.length < dataNeeded) {
              this.nextRequiredPacketBufferSize = dataNeeded
              return
            }
            buff = smart_buffer_1.SmartBuffer.fromBuffer(
              this.receiveBuffer.get(dataNeeded).slice(4)
            )
            remoteHost = {
              host: ip_address_1.Address6.fromByteArray(
                Array.from(buff.readBuffer(16))
              ).canonicalForm(),
              port: buff.readUInt16BE()
            }
          }
          // We have everything we need
          this.setState(constants_1.SocksClientState.ReceivedFinalResponse)
          // If using CONNECT, the client is now in the established state.
          if (
            constants_1.SocksCommand[this.options.command] ===
            constants_1.SocksCommand.connect
          ) {
            this.setState(constants_1.SocksClientState.Established)
            this.removeInternalSocketHandlers()
            this.emit('established', {
              remoteHost,
              socket: this.socket
            })
          } else if (
            constants_1.SocksCommand[this.options.command] ===
            constants_1.SocksCommand.bind
          ) {
            /* If using BIND, the Socks client is now in BoundWaitingForConnection state.
               This means that the remote proxy server is waiting for a remote connection to the bound port. */
            this.setState(
              constants_1.SocksClientState.BoundWaitingForConnection
            )
            this.nextRequiredPacketBufferSize =
              constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHeader
            this.emit('bound', {
              remoteHost,
              socket: this.socket
            })
            /*
              If using Associate, the Socks client is now Established. And the proxy server is now accepting UDP packets at the
              given bound port. This initial Socks TCP connection must remain open for the UDP relay to continue to work.
            */
          } else if (
            constants_1.SocksCommand[this.options.command] ===
            constants_1.SocksCommand.associate
          ) {
            this.setState(constants_1.SocksClientState.Established)
            this.removeInternalSocketHandlers()
            this.emit('established', {
              remoteHost,
              socket: this.socket
            })
          }
        }
      }
      /**
       * Handles Socks v5 incoming connection request (BIND).
       */
      handleSocks5IncomingConnectionResponse() {
        // Peek at available data (we need at least 5 bytes to get the hostname length)
        const header = this.receiveBuffer.peek(5)
        if (
          header[0] !== 0x05 ||
          header[1] !== constants_1.Socks5Response.Granted
        ) {
          this.closeSocket(
            `${constants_1.ERRORS.Socks5ProxyRejectedIncomingBoundConnection} - ${constants_1.Socks5Response[header[1]]}`
          )
        } else {
          // Read address type
          const addressType = header[3]
          let remoteHost
          let buff
          // IPv4
          if (addressType === constants_1.Socks5HostType.IPv4) {
            // Check if data is available.
            const dataNeeded =
              constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv4
            if (this.receiveBuffer.length < dataNeeded) {
              this.nextRequiredPacketBufferSize = dataNeeded
              return
            }
            buff = smart_buffer_1.SmartBuffer.fromBuffer(
              this.receiveBuffer.get(dataNeeded).slice(4)
            )
            remoteHost = {
              host: (0, helpers_1.int32ToIpv4)(buff.readUInt32BE()),
              port: buff.readUInt16BE()
            }
            // If given host is 0.0.0.0, assume remote proxy ip instead.
            if (remoteHost.host === '0.0.0.0') {
              remoteHost.host = this.options.proxy.ipaddress
            }
            // Hostname
          } else if (addressType === constants_1.Socks5HostType.Hostname) {
            const hostLength = header[4]
            const dataNeeded =
              constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseHostname(
                hostLength
              ) // header + host length + port
            // Check if data is available.
            if (this.receiveBuffer.length < dataNeeded) {
              this.nextRequiredPacketBufferSize = dataNeeded
              return
            }
            buff = smart_buffer_1.SmartBuffer.fromBuffer(
              this.receiveBuffer.get(dataNeeded).slice(5)
            )
            remoteHost = {
              host: buff.readString(hostLength),
              port: buff.readUInt16BE()
            }
            // IPv6
          } else if (addressType === constants_1.Socks5HostType.IPv6) {
            // Check if data is available.
            const dataNeeded =
              constants_1.SOCKS_INCOMING_PACKET_SIZES.Socks5ResponseIPv6
            if (this.receiveBuffer.length < dataNeeded) {
              this.nextRequiredPacketBufferSize = dataNeeded
              return
            }
            buff = smart_buffer_1.SmartBuffer.fromBuffer(
              this.receiveBuffer.get(dataNeeded).slice(4)
            )
            remoteHost = {
              host: ip_address_1.Address6.fromByteArray(
                Array.from(buff.readBuffer(16))
              ).canonicalForm(),
              port: buff.readUInt16BE()
            }
          }
          this.setState(constants_1.SocksClientState.Established)
          this.removeInternalSocketHandlers()
          this.emit('established', {
            remoteHost,
            socket: this.socket
          })
        }
      }
      get socksClientOptions() {
        return Object.assign({}, this.options)
      }
    }
    exports.SocksClient = SocksClient
  })(socksclient)
  return socksclient
}

let hasRequiredBuild
function requireBuild() {
  if (hasRequiredBuild) {
    return build
  }
  hasRequiredBuild = 1
  ;(function (exports) {
    const __createBinding =
      (this && this.__createBinding) ||
      (Object.create
        ? function (o, m, k, k2) {
            if (k2 === undefined) {
              k2 = k
            }
            let desc = Object.getOwnPropertyDescriptor(m, k)
            if (
              !desc ||
              ('get' in desc
                ? !m.__esModule
                : desc.writable || desc.configurable)
            ) {
              desc = {
                enumerable: true,
                get: function () {
                  return m[k]
                }
              }
            }
            Object.defineProperty(o, k2, desc)
          }
        : function (o, m, k, k2) {
            if (k2 === undefined) {
              k2 = k
            }
            o[k2] = m[k]
          })
    const __exportStar =
      (this && this.__exportStar) ||
      function (m, exports) {
        for (const p in m) {
          if (
            p !== 'default' &&
            !Object.prototype.hasOwnProperty.call(exports, p)
          )
            __createBinding(exports, m, p)
        }
      }
    Object.defineProperty(exports, '__esModule', {
      value: true
    })
    __exportStar(requireSocksclient(), exports)
  })(build)
  return build
}

let hasRequiredDist
function requireDist() {
  if (hasRequiredDist) {
    return dist
  }
  hasRequiredDist = 1
  const __createBinding =
    (this && this.__createBinding) ||
    (Object.create
      ? function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          let desc = Object.getOwnPropertyDescriptor(m, k)
          if (
            !desc ||
            ('get' in desc ? !m.__esModule : desc.writable || desc.configurable)
          ) {
            desc = {
              enumerable: true,
              get: function () {
                return m[k]
              }
            }
          }
          Object.defineProperty(o, k2, desc)
        }
      : function (o, m, k, k2) {
          if (k2 === undefined) {
            k2 = k
          }
          o[k2] = m[k]
        })
  const __setModuleDefault =
    (this && this.__setModuleDefault) ||
    (Object.create
      ? function (o, v) {
          Object.defineProperty(o, 'default', {
            enumerable: true,
            value: v
          })
        }
      : function (o, v) {
          o['default'] = v
        })
  const __importStar =
    (this && this.__importStar) ||
    function (mod) {
      if (mod && mod.__esModule) {
        return mod
      }
      const result = {}
      if (mod != null) {
        for (var k in mod)
          if (k !== 'default' && Object.prototype.hasOwnProperty.call(mod, k))
            __createBinding(result, mod, k)
      }
      __setModuleDefault(result, mod)
      return result
    }
  const __importDefault =
    (this && this.__importDefault) ||
    function (mod) {
      return mod && mod.__esModule
        ? mod
        : {
            default: mod
          }
    }
  Object.defineProperty(dist, '__esModule', {
    value: true
  })
  dist.SocksProxyAgent = void 0
  const socks_1 = requireBuild()
  const agent_base_1 = requireDist$3()
  const debug_1 = __importDefault(requireSrc())
  const dns = __importStar(require$$0$8)
  const net = __importStar(require$$0$d)
  const tls = __importStar(require$$1$6)
  const url_1 = require$$0$7
  const debug = (0, debug_1.default)('socks-proxy-agent')
  const setServernameFromNonIpHost = options => {
    if (
      options.servername === undefined &&
      options.host &&
      !net.isIP(options.host)
    ) {
      return {
        ...options,
        servername: options.host
      }
    }
    return options
  }
  function parseSocksURL(url) {
    let lookup = false
    let type = 5
    const host = url.hostname
    // From RFC 1928, Section 3: https://tools.ietf.org/html/rfc1928#section-3
    // "The SOCKS service is conventionally located on TCP port 1080"
    const port = parseInt(url.port, 10) || 1080
    // figure out if we want socks v4 or v5, based on the "protocol" used.
    // Defaults to 5.
    switch (url.protocol.replace(':', '')) {
      case 'socks4':
        lookup = true
        type = 4
        break
      // pass through
      case 'socks4a':
        type = 4
        break
      case 'socks5':
        lookup = true
        type = 5
        break
      // pass through
      case 'socks':
        // no version specified, default to 5h
        type = 5
        break
      case 'socks5h':
        type = 5
        break
      default:
        throw new TypeError(
          `A "socks" protocol must be specified! Got: ${String(url.protocol)}`
        )
    }
    const proxy = {
      host,
      port,
      type
    }
    if (url.username) {
      Object.defineProperty(proxy, 'userId', {
        value: decodeURIComponent(url.username),
        enumerable: false
      })
    }
    if (url.password != null) {
      Object.defineProperty(proxy, 'password', {
        value: decodeURIComponent(url.password),
        enumerable: false
      })
    }
    return {
      lookup,
      proxy
    }
  }
  class SocksProxyAgent extends agent_base_1.Agent {
    constructor(uri, opts) {
      super(opts)
      const url = typeof uri === 'string' ? new url_1.URL(uri) : uri
      const { proxy, lookup } = parseSocksURL(url)
      this.shouldLookup = lookup
      this.proxy = proxy
      this.timeout = opts?.timeout ?? null
      this.socketOptions = opts?.socketOptions ?? null
    }
    /**
     * Initiates a SOCKS connection to the specified SOCKS proxy server,
     * which in turn connects to the specified remote host and port.
     */
    async connect(req, opts) {
      const { shouldLookup, proxy, timeout } = this
      if (!opts.host) {
        throw new Error('No `host` defined!')
      }
      let { host } = opts
      const { port, lookup: lookupFn = dns.lookup } = opts
      if (shouldLookup) {
        // Client-side DNS resolution for "4" and "5" socks proxy versions.
        host = await new Promise((resolve, reject) => {
          // Use the request's custom lookup, if one was configured:
          lookupFn(host, {}, (err, res) => {
            if (err) {
              reject(err)
            } else {
              resolve(res)
            }
          })
        })
      }
      const socksOpts = {
        proxy,
        destination: {
          host,
          port: typeof port === 'number' ? port : parseInt(port, 10)
        },
        command: 'connect',
        timeout: timeout ?? undefined,
        // @ts-expect-error the type supplied by socks for socket_options is wider
        // than necessary since socks will always override the host and port
        socket_options: this.socketOptions ?? undefined
      }
      const cleanup = tlsSocket => {
        req.destroy()
        socket.destroy()
        if (tlsSocket) {
          tlsSocket.destroy()
        }
      }
      debug('Creating socks proxy connection: %o', socksOpts)
      const { socket } = await socks_1.SocksClient.createConnection(socksOpts)
      debug('Successfully created socks proxy connection')
      if (timeout !== null) {
        socket.setTimeout(timeout)
        socket.on('timeout', () => cleanup())
      }
      if (opts.secureEndpoint) {
        // The proxy is connecting to a TLS server, so upgrade
        // this socket connection to a TLS connection.
        debug('Upgrading socket connection to TLS')
        const tlsSocket = tls.connect({
          ...omit(setServernameFromNonIpHost(opts), 'host', 'path', 'port'),
          socket
        })
        tlsSocket.once('error', error => {
          debug('Socket TLS error', error.message)
          cleanup(tlsSocket)
        })
        return tlsSocket
      }
      return socket
    }
  }
  SocksProxyAgent.protocols = [
    'socks',
    'socks4',
    'socks4a',
    'socks5',
    'socks5h'
  ]
  dist.SocksProxyAgent = SocksProxyAgent
  function omit(obj, ...keys) {
    const ret = {}
    let key
    for (key in obj) {
      if (!keys.includes(key)) {
        ret[key] = obj[key]
      }
    }
    return ret
  }
  return dist
}

let errors
let hasRequiredErrors
function requireErrors() {
  if (hasRequiredErrors) {
    return errors
  }
  hasRequiredErrors = 1
  class InvalidProxyProtocolError extends Error {
    constructor(url) {
      super(
        `Invalid protocol \`${url.protocol}\` connecting to proxy \`${url.host}\``
      )
      this.code = 'EINVALIDPROXY'
      this.proxy = url
    }
  }
  class ConnectionTimeoutError extends Error {
    constructor(host) {
      super(`Timeout connecting to host \`${host}\``)
      this.code = 'ECONNECTIONTIMEOUT'
      this.host = host
    }
  }
  class IdleTimeoutError extends Error {
    constructor(host) {
      super(`Idle timeout reached for host \`${host}\``)
      this.code = 'EIDLETIMEOUT'
      this.host = host
    }
  }
  class ResponseTimeoutError extends Error {
    constructor(request, proxy) {
      let msg = 'Response timeout '
      if (proxy) {
        msg += `from proxy \`${proxy.host}\` `
      }
      msg += `connecting to host \`${request.host}\``
      super(msg)
      this.code = 'ERESPONSETIMEOUT'
      this.proxy = proxy
      this.request = request
    }
  }
  class TransferTimeoutError extends Error {
    constructor(request, proxy) {
      let msg = 'Transfer timeout '
      if (proxy) {
        msg += `from proxy \`${proxy.host}\` `
      }
      msg += `for \`${request.host}\``
      super(msg)
      this.code = 'ETRANSFERTIMEOUT'
      this.proxy = proxy
      this.request = request
    }
  }
  errors = {
    InvalidProxyProtocolError,
    ConnectionTimeoutError,
    IdleTimeoutError,
    ResponseTimeoutError,
    TransferTimeoutError
  }
  return errors
}

let proxy
let hasRequiredProxy
function requireProxy() {
  if (hasRequiredProxy) {
    return proxy
  }
  hasRequiredProxy = 1
  const { HttpProxyAgent } = requireDist$2()
  const { HttpsProxyAgent } = requireDist$1()
  const { SocksProxyAgent } = requireDist()
  const { LRUCache } = /*@__PURE__*/ requireCommonjs$3()
  const { InvalidProxyProtocolError } = requireErrors()
  const PROXY_CACHE = new LRUCache({
    max: 20
  })
  const SOCKS_PROTOCOLS = new Set(SocksProxyAgent.protocols)
  const PROXY_ENV_KEYS = new Set([
    'https_proxy',
    'http_proxy',
    'proxy',
    'no_proxy'
  ])
  const PROXY_ENV = Object.entries(process.env).reduce((acc, [key, value]) => {
    key = key.toLowerCase()
    if (PROXY_ENV_KEYS.has(key)) {
      acc[key] = value
    }
    return acc
  }, {})
  const getProxyAgent = url => {
    url = new URL(url)
    const protocol = url.protocol.slice(0, -1)
    if (SOCKS_PROTOCOLS.has(protocol)) {
      return SocksProxyAgent
    }
    if (protocol === 'https' || protocol === 'http') {
      return [HttpProxyAgent, HttpsProxyAgent]
    }
    throw new InvalidProxyProtocolError(url)
  }
  const isNoProxy = (url, noProxy) => {
    if (typeof noProxy === 'string') {
      noProxy = noProxy
        .split(',')
        .map(p => p.trim())
        .filter(Boolean)
    }
    if (!noProxy || !noProxy.length) {
      return false
    }
    const hostSegments = url.hostname.split('.').reverse()
    return noProxy.some(no => {
      const noSegments = no.split('.').filter(Boolean).reverse()
      if (!noSegments.length) {
        return false
      }
      for (let i = 0; i < noSegments.length; i++) {
        if (hostSegments[i] !== noSegments[i]) {
          return false
        }
      }
      return true
    })
  }
  const getProxy = (url, { proxy, noProxy }) => {
    url = new URL(url)
    if (!proxy) {
      proxy =
        url.protocol === 'https:'
          ? PROXY_ENV.https_proxy
          : PROXY_ENV.https_proxy || PROXY_ENV.http_proxy || PROXY_ENV.proxy
    }
    if (!noProxy) {
      noProxy = PROXY_ENV.no_proxy
    }
    if (!proxy || isNoProxy(url, noProxy)) {
      return null
    }
    return new URL(proxy)
  }
  proxy = {
    getProxyAgent,
    getProxy,
    proxyCache: PROXY_CACHE
  }
  return proxy
}

let agents
let hasRequiredAgents
function requireAgents() {
  if (hasRequiredAgents) {
    return agents
  }
  hasRequiredAgents = 1
  const net = require$$0$d
  const tls = require$$1$6
  const { once } = require$$0$5
  const timers = require$$3$1
  const { normalizeOptions, cacheOptions } = requireOptions()
  const { getProxy, getProxyAgent, proxyCache } = requireProxy()
  const Errors = requireErrors()
  const { Agent: AgentBase } = requireDist$3()
  agents = class Agent extends AgentBase {
    #options
    #timeouts
    #proxy
    #noProxy
    #ProxyAgent
    constructor(options = {}) {
      const { timeouts, proxy, noProxy, ...normalizedOptions } =
        normalizeOptions(options)
      super(normalizedOptions)
      this.#options = normalizedOptions
      this.#timeouts = timeouts
      if (proxy) {
        this.#proxy = new URL(proxy)
        this.#noProxy = noProxy
        this.#ProxyAgent = getProxyAgent(proxy)
      }
    }
    get proxy() {
      return this.#proxy
        ? {
            url: this.#proxy
          }
        : {}
    }
    #getProxy(options) {
      if (!this.#proxy) {
        return
      }
      const proxy = getProxy(
        `${options.protocol}//${options.host}:${options.port}`,
        {
          proxy: this.#proxy,
          noProxy: this.#noProxy
        }
      )
      if (!proxy) {
        return
      }
      const cacheKey = cacheOptions({
        ...options,
        ...this.#options,
        timeouts: this.#timeouts,
        proxy
      })
      if (proxyCache.has(cacheKey)) {
        return proxyCache.get(cacheKey)
      }
      let ProxyAgent = this.#ProxyAgent
      if (Array.isArray(ProxyAgent)) {
        ProxyAgent = this.isSecureEndpoint(options)
          ? ProxyAgent[1]
          : ProxyAgent[0]
      }
      const proxyAgent = new ProxyAgent(proxy, {
        ...this.#options,
        socketOptions: {
          family: this.#options.family
        }
      })
      proxyCache.set(cacheKey, proxyAgent)
      return proxyAgent
    }

    // takes an array of promises and races them against the connection timeout
    // which will throw the necessary error if it is hit. This will return the
    // result of the promise race.
    async #timeoutConnection(
      { promises, options, timeout },
      ac = new AbortController()
    ) {
      if (timeout) {
        const connectionTimeout = timers
          .setTimeout(timeout, null, {
            signal: ac.signal
          })
          .then(() => {
            throw new Errors.ConnectionTimeoutError(
              `${options.host}:${options.port}`
            )
          })
          .catch(err => {
            if (err.name === 'AbortError') {
              return
            }
            throw err
          })
        promises.push(connectionTimeout)
      }
      let result
      try {
        result = await Promise.race(promises)
        ac.abort()
      } catch (err) {
        ac.abort()
        throw err
      }
      return result
    }
    async connect(request, options) {
      // if the connection does not have its own lookup function
      // set, then use the one from our options
      options.lookup ??= this.#options.lookup
      let socket
      let timeout = this.#timeouts.connection
      const isSecureEndpoint = this.isSecureEndpoint(options)
      const proxy = this.#getProxy(options)
      if (proxy) {
        // some of the proxies will wait for the socket to fully connect before
        // returning so we have to await this while also racing it against the
        // connection timeout.
        const start = Date.now()
        socket = await this.#timeoutConnection({
          options,
          timeout,
          promises: [proxy.connect(request, options)]
        })
        // see how much time proxy.connect took and subtract it from
        // the timeout
        if (timeout) {
          timeout = timeout - (Date.now() - start)
        }
      } else {
        socket = (isSecureEndpoint ? tls : net).connect(options)
      }
      socket.setKeepAlive(this.keepAlive, this.keepAliveMsecs)
      socket.setNoDelay(this.keepAlive)
      const abortController = new AbortController()
      const { signal } = abortController
      const connectPromise = socket[
        isSecureEndpoint ? 'secureConnecting' : 'connecting'
      ]
        ? once(socket, isSecureEndpoint ? 'secureConnect' : 'connect', {
            signal
          })
        : Promise.resolve()
      await this.#timeoutConnection(
        {
          options,
          timeout,
          promises: [
            connectPromise,
            once(socket, 'error', {
              signal
            }).then(err => {
              throw err[0]
            })
          ]
        },
        abortController
      )
      if (this.#timeouts.idle) {
        socket.setTimeout(this.#timeouts.idle, () => {
          socket.destroy(
            new Errors.IdleTimeoutError(`${options.host}:${options.port}`)
          )
        })
      }
      return socket
    }
    addRequest(request, options) {
      const proxy = this.#getProxy(options)
      // it would be better to call proxy.addRequest here but this causes the
      // http-proxy-agent to call its super.addRequest which causes the request
      // to be added to the agent twice. since we only support 3 agents
      // currently (see the required agents in proxy.js) we have manually
      // checked that the only public methods we need to call are called in the
      // next block. this could change in the future and presumably we would get
      // failing tests until we have properly called the necessary methods on
      // each of our proxy agents
      if (proxy?.setRequestProps) {
        proxy.setRequestProps(request, options)
      }
      request.setHeader('connection', this.keepAlive ? 'keep-alive' : 'close')
      if (this.#timeouts.response) {
        let responseTimeout
        request.once('finish', () => {
          setTimeout(() => {
            request.destroy(
              new Errors.ResponseTimeoutError(request, this.#proxy)
            )
          }, this.#timeouts.response)
        })
        request.once('response', () => {
          clearTimeout(responseTimeout)
        })
      }
      if (this.#timeouts.transfer) {
        let transferTimeout
        request.once('response', res => {
          setTimeout(() => {
            res.destroy(new Errors.TransferTimeoutError(request, this.#proxy))
          }, this.#timeouts.transfer)
          res.once('close', () => {
            clearTimeout(transferTimeout)
          })
        })
      }
      return super.addRequest(request, options)
    }
  }
  return agents
}

let lib
let hasRequiredLib$1
function requireLib$1() {
  if (hasRequiredLib$1) {
    return lib
  }
  hasRequiredLib$1 = 1
  const { LRUCache } = /*@__PURE__*/ requireCommonjs$3()
  const { normalizeOptions, cacheOptions } = requireOptions()
  const { getProxy, proxyCache } = requireProxy()
  const dns = requireDns()
  const Agent = requireAgents()
  const agentCache = new LRUCache({
    max: 20
  })
  const getAgent = (url, { agent, proxy, noProxy, ...options } = {}) => {
    // false has meaning so this can't be a simple truthiness check
    if (agent != null) {
      return agent
    }
    url = new URL(url)
    const proxyForUrl = getProxy(url, {
      proxy,
      noProxy
    })
    const normalizedOptions = {
      ...normalizeOptions(options),
      proxy: proxyForUrl
    }
    const cacheKey = cacheOptions({
      ...normalizedOptions,
      secureEndpoint: url.protocol === 'https:'
    })
    if (agentCache.has(cacheKey)) {
      return agentCache.get(cacheKey)
    }
    const newAgent = new Agent(normalizedOptions)
    agentCache.set(cacheKey, newAgent)
    return newAgent
  }
  lib = {
    getAgent,
    Agent,
    // these are exported for backwards compatability
    HttpAgent: Agent,
    HttpsAgent: Agent,
    cache: {
      proxy: proxyCache,
      agent: agentCache,
      dns: dns.cache,
      clear: () => {
        proxyCache.clear()
        agentCache.clear()
        dns.cache.clear()
      }
    }
  }
  return lib
}

const name = 'make-fetch-happen'
const version = '14.0.3'
const require$$7 = {
  name: name,
  version: version
}

let remote
let hasRequiredRemote
function requireRemote() {
  if (hasRequiredRemote) {
    return remote
  }
  hasRequiredRemote = 1
  const { Minipass } = requireCommonjs$5()
  const fetch = requireLib$9()
  const promiseRetry = requirePromiseRetry()
  const ssri = requireLib$8()
  const { log } = requireLib$2()
  const CachingMinipassPipeline = requirePipeline()
  const { getAgent } = requireLib$1()
  const pkg = require$$7
  const USER_AGENT = `${pkg.name}/${pkg.version} (+https://npm.im/${pkg.name})`
  const RETRY_ERRORS = new Set([
    'ECONNRESET',
    // remote socket closed on us
    'ECONNREFUSED',
    // remote host refused to open connection
    'EADDRINUSE',
    // failed to bind to a local port (proxy?)
    'ETIMEDOUT',
    // someone in the transaction is WAY TOO SLOW
    // from @npmcli/agent
    'ECONNECTIONTIMEOUT',
    'EIDLETIMEOUT',
    'ERESPONSETIMEOUT',
    'ETRANSFERTIMEOUT'
    // Known codes we do NOT retry on:
    // ENOTFOUND (getaddrinfo failure. Either bad hostname, or offline)
    // EINVALIDPROXY // invalid protocol from @npmcli/agent
    // EINVALIDRESPONSE // invalid status code from @npmcli/agent
  ])
  const RETRY_TYPES = ['request-timeout']

  // make a request directly to the remote source,
  // retrying certain classes of errors as well as
  // following redirects (through the cache if necessary)
  // and verifying response integrity
  const remoteFetch = (request, options) => {
    // options.signal is intended for the fetch itself, not the agent.  Attaching it to the agent will re-use that signal across multiple requests, which prevents any connections beyond the first one.
    const agent = getAgent(request.url, {
      ...options,
      signal: undefined
    })
    if (!request.headers.has('connection')) {
      request.headers.set('connection', agent ? 'keep-alive' : 'close')
    }
    if (!request.headers.has('user-agent')) {
      request.headers.set('user-agent', USER_AGENT)
    }

    // keep our own options since we're overriding the agent
    // and the redirect mode
    const _opts = {
      ...options,
      agent,
      redirect: 'manual'
    }
    return promiseRetry(async (retryHandler, attemptNum) => {
      const req = new fetch.Request(request, _opts)
      try {
        let res = await fetch(req, _opts)
        if (_opts.integrity && res.status === 200) {
          // we got a 200 response and the user has specified an expected
          // integrity value, so wrap the response in an ssri stream to verify it
          const integrityStream = ssri.integrityStream({
            algorithms: _opts.algorithms,
            integrity: _opts.integrity,
            size: _opts.size
          })
          const pipeline = new CachingMinipassPipeline(
            {
              events: ['integrity', 'size']
            },
            res.body,
            integrityStream
          )
          // we also propagate the integrity and size events out to the pipeline so we can use
          // this new response body as an integrityEmitter for cacache
          integrityStream.on('integrity', i => pipeline.emit('integrity', i))
          integrityStream.on('size', s => pipeline.emit('size', s))
          res = new fetch.Response(pipeline, res)
          // set an explicit flag so we know if our response body will emit integrity and size
          res.body.hasIntegrityEmitter = true
        }
        res.headers.set('x-fetch-attempts', attemptNum)

        // do not retry POST requests, or requests with a streaming body
        // do retry requests with a 408, 420, 429 or 500+ status in the response
        const isStream = Minipass.isStream(req.body)
        const isRetriable =
          req.method !== 'POST' &&
          !isStream &&
          ([408, 420, 429].includes(res.status) || res.status >= 500)
        if (isRetriable) {
          if (typeof options.onRetry === 'function') {
            options.onRetry(res)
          }

          /* eslint-disable-next-line max-len */
          log.http(
            'fetch',
            `${req.method} ${req.url} attempt ${attemptNum} failed with ${res.status}`
          )
          return retryHandler(res)
        }
        return res
      } catch (err) {
        const code = err.code === 'EPROMISERETRY' ? err.retried.code : err.code

        // err.retried will be the thing that was thrown from above
        // if it's a response, we just got a bad status code and we
        // can re-throw to allow the retry
        const isRetryError =
          err.retried instanceof fetch.Response ||
          (RETRY_ERRORS.has(code) && RETRY_TYPES.includes(err.type))
        if (req.method === 'POST' || isRetryError) {
          throw err
        }
        if (typeof options.onRetry === 'function') {
          options.onRetry(err)
        }
        log.http(
          'fetch',
          `${req.method} ${req.url} attempt ${attemptNum} failed with ${err.code}`
        )
        return retryHandler(err)
      }
    }, options.retry).catch(err => {
      // don't reject for http errors, just return them
      if (err.status >= 400 && err.type !== 'system') {
        return err
      }
      throw err
    })
  }
  remote = remoteFetch
  return remote
}

let entry
let hasRequiredEntry
function requireEntry() {
  if (hasRequiredEntry) {
    return entry
  }
  hasRequiredEntry = 1
  const { Request, Response } = requireLib$9()
  const { Minipass } = requireCommonjs$5()
  const MinipassFlush = requireMinipassFlush()
  const cacache = requireLib$3()
  const url = require$$0$7
  const CachingMinipassPipeline = requirePipeline()
  const CachePolicy = requirePolicy()
  const cacheKey = requireKey()
  const remote = requireRemote()
  const hasOwnProperty = (obj, prop) =>
    Object.prototype.hasOwnProperty.call(obj, prop)

  // allow list for request headers that will be written to the cache index
  // note: we will also store any request headers
  // that are named in a response's vary header
  const KEEP_REQUEST_HEADERS = [
    'accept-charset',
    'accept-encoding',
    'accept-language',
    'accept',
    'cache-control'
  ]

  // allow list for response headers that will be written to the cache index
  // note: we must not store the real response's age header, or when we load
  // a cache policy based on the metadata it will think the cached response
  // is always stale
  const KEEP_RESPONSE_HEADERS = [
    'cache-control',
    'content-encoding',
    'content-language',
    'content-type',
    'date',
    'etag',
    'expires',
    'last-modified',
    'link',
    'location',
    'pragma',
    'vary'
  ]

  // return an object containing all metadata to be written to the index
  const getMetadata = (request, response, options) => {
    const metadata = {
      time: Date.now(),
      url: request.url,
      reqHeaders: {},
      resHeaders: {},
      // options on which we must match the request and vary the response
      options: {
        compress: options.compress != null ? options.compress : request.compress
      }
    }

    // only save the status if it's not a 200 or 304
    if (response.status !== 200 && response.status !== 304) {
      metadata.status = response.status
    }
    for (const name of KEEP_REQUEST_HEADERS) {
      if (request.headers.has(name)) {
        metadata.reqHeaders[name] = request.headers.get(name)
      }
    }

    // if the request's host header differs from the host in the url
    // we need to keep it, otherwise it's just noise and we ignore it
    const host = request.headers.get('host')
    const parsedUrl = new url.URL(request.url)
    if (host && parsedUrl.host !== host) {
      metadata.reqHeaders.host = host
    }

    // if the response has a vary header, make sure
    // we store the relevant request headers too
    if (response.headers.has('vary')) {
      const vary = response.headers.get('vary')
      // a vary of "*" means every header causes a different response.
      // in that scenario, we do not include any additional headers
      // as the freshness check will always fail anyway and we don't
      // want to bloat the cache indexes
      if (vary !== '*') {
        // copy any other request headers that will vary the response
        const varyHeaders = vary
          .trim()
          .toLowerCase()
          .split(/\s*,\s*/)
        for (const name of varyHeaders) {
          if (request.headers.has(name)) {
            metadata.reqHeaders[name] = request.headers.get(name)
          }
        }
      }
    }
    for (const name of KEEP_RESPONSE_HEADERS) {
      if (response.headers.has(name)) {
        metadata.resHeaders[name] = response.headers.get(name)
      }
    }
    for (const name of options.cacheAdditionalHeaders) {
      if (response.headers.has(name)) {
        metadata.resHeaders[name] = response.headers.get(name)
      }
    }
    return metadata
  }

  // symbols used to hide objects that may be lazily evaluated in a getter
  const _request = Symbol('request')
  const _response = Symbol('response')
  const _policy = Symbol('policy')
  class CacheEntry {
    constructor({ entry, request, response, options }) {
      if (entry) {
        this.key = entry.key
        this.entry = entry
        // previous versions of this module didn't write an explicit timestamp in
        // the metadata, so fall back to the entry's timestamp. we can't use the
        // entry timestamp to determine staleness because cacache will update it
        // when it verifies its data
        this.entry.metadata.time = this.entry.metadata.time || this.entry.time
      } else {
        this.key = cacheKey(request)
      }
      this.options = options

      // these properties are behind getters that lazily evaluate
      this[_request] = request
      this[_response] = response
      this[_policy] = null
    }

    // returns a CacheEntry instance that satisfies the given request
    // or undefined if no existing entry satisfies
    static async find(request, options) {
      try {
        // compacts the index and returns an array of unique entries
        const matches = await cacache.index.compact(
          options.cachePath,
          cacheKey(request),
          (A, B) => {
            const entryA = new CacheEntry({
              entry: A,
              options
            })
            const entryB = new CacheEntry({
              entry: B,
              options
            })
            return entryA.policy.satisfies(entryB.request)
          },
          {
            validateEntry: entry => {
              // clean out entries with a buggy content-encoding value
              if (
                entry.metadata &&
                entry.metadata.resHeaders &&
                entry.metadata.resHeaders['content-encoding'] === null
              ) {
                return false
              }

              // if an integrity is null, it needs to have a status specified
              if (entry.integrity === null) {
                return !!(entry.metadata && entry.metadata.status)
              }
              return true
            }
          }
        )
      } catch (err) {
        // if the compact request fails, ignore the error and return
        return
      }

      // a cache mode of 'reload' means to behave as though we have no cache
      // on the way to the network. return undefined to allow cacheFetch to
      // create a brand new request no matter what.
      if (options.cache === 'reload') {
        return
      }

      // find the specific entry that satisfies the request
      let match
      for (const entry of matches) {
        const _entry = new CacheEntry({
          entry,
          options
        })
        if (_entry.policy.satisfies(request)) {
          match = _entry
          break
        }
      }
      return match
    }

    // if the user made a PUT/POST/PATCH then we invalidate our
    // cache for the same url by deleting the index entirely
    static async invalidate(request, options) {
      const key = cacheKey(request)
      try {
        await cacache.rm.entry(options.cachePath, key, {
          removeFully: true
        })
      } catch (err) {
        // ignore errors
      }
    }
    get request() {
      if (!this[_request]) {
        this[_request] = new Request(this.entry.metadata.url, {
          method: 'GET',
          headers: this.entry.metadata.reqHeaders,
          ...this.entry.metadata.options
        })
      }
      return this[_request]
    }
    get response() {
      if (!this[_response]) {
        this[_response] = new Response(null, {
          url: this.entry.metadata.url,
          counter: this.options.counter,
          status: this.entry.metadata.status || 200,
          headers: {
            ...this.entry.metadata.resHeaders,
            'content-length': this.entry.size
          }
        })
      }
      return this[_response]
    }
    get policy() {
      if (!this[_policy]) {
        this[_policy] = new CachePolicy({
          entry: this.entry,
          request: this.request,
          response: this.response,
          options: this.options
        })
      }
      return this[_policy]
    }

    // wraps the response in a pipeline that stores the data
    // in the cache while the user consumes it
    async store(status) {
      // if we got a status other than 200, 301, or 308,
      // or the CachePolicy forbid storage, append the
      // cache status header and return it untouched
      if (
        this.request.method !== 'GET' ||
        ![200, 301, 308].includes(this.response.status) ||
        !this.policy.storable()
      ) {
        this.response.headers.set('x-local-cache-status', 'skip')
        return this.response
      }
      const size = this.response.headers.get('content-length')
      const cacheOpts = {
        algorithms: this.options.algorithms,
        metadata: getMetadata(this.request, this.response, this.options),
        size,
        integrity: this.options.integrity,
        integrityEmitter:
          this.response.body.hasIntegrityEmitter && this.response.body
      }
      let body = null
      // we only set a body if the status is a 200, redirects are
      // stored as metadata only
      if (this.response.status === 200) {
        let cacheWriteResolve, cacheWriteReject
        const cacheWritePromise = new Promise((resolve, reject) => {
          cacheWriteResolve = resolve
          cacheWriteReject = reject
        }).catch(err => {
          body.emit('error', err)
        })
        body = new CachingMinipassPipeline(
          {
            events: ['integrity', 'size']
          },
          new MinipassFlush({
            flush() {
              return cacheWritePromise
            }
          })
        )
        // this is always true since if we aren't reusing the one from the remote fetch, we
        // are using the one from cacache
        body.hasIntegrityEmitter = true
        const onResume = () => {
          const tee = new Minipass()
          const cacheStream = cacache.put.stream(
            this.options.cachePath,
            this.key,
            cacheOpts
          )
          // re-emit the integrity and size events on our new response body so they can be reused
          cacheStream.on('integrity', i => body.emit('integrity', i))
          cacheStream.on('size', s => body.emit('size', s))
          // stick a flag on here so downstream users will know if they can expect integrity events
          tee.pipe(cacheStream)
          // TODO if the cache write fails, log a warning but return the response anyway
          // eslint-disable-next-line promise/catch-or-return
          cacheStream.promise().then(cacheWriteResolve, cacheWriteReject)
          body.unshift(tee)
          body.unshift(this.response.body)
        }
        body.once('resume', onResume)
        body.once('end', () => body.removeListener('resume', onResume))
      } else {
        await cacache.index.insert(
          this.options.cachePath,
          this.key,
          null,
          cacheOpts
        )
      }

      // note: we do not set the x-local-cache-hash header because we do not know
      // the hash value until after the write to the cache completes, which doesn't
      // happen until after the response has been sent and it's too late to write
      // the header anyway
      this.response.headers.set(
        'x-local-cache',
        encodeURIComponent(this.options.cachePath)
      )
      this.response.headers.set(
        'x-local-cache-key',
        encodeURIComponent(this.key)
      )
      this.response.headers.set('x-local-cache-mode', 'stream')
      this.response.headers.set('x-local-cache-status', status)
      this.response.headers.set('x-local-cache-time', new Date().toISOString())
      const newResponse = new Response(body, {
        url: this.response.url,
        status: this.response.status,
        headers: this.response.headers,
        counter: this.options.counter
      })
      return newResponse
    }

    // use the cached data to create a response and return it
    async respond(method, options, status) {
      let response
      if (method === 'HEAD' || [301, 308].includes(this.response.status)) {
        // if the request is a HEAD, or the response is a redirect,
        // then the metadata in the entry already includes everything
        // we need to build a response
        response = this.response
      } else {
        // we're responding with a full cached response, so create a body
        // that reads from cacache and attach it to a new Response
        const body = new Minipass()
        const headers = {
          ...this.policy.responseHeaders()
        }
        const onResume = () => {
          const cacheStream = cacache.get.stream.byDigest(
            this.options.cachePath,
            this.entry.integrity,
            {
              memoize: this.options.memoize
            }
          )
          cacheStream.on('error', async err => {
            cacheStream.pause()
            if (err.code === 'EINTEGRITY') {
              await cacache.rm.content(
                this.options.cachePath,
                this.entry.integrity,
                {
                  memoize: this.options.memoize
                }
              )
            }
            if (err.code === 'ENOENT' || err.code === 'EINTEGRITY') {
              await CacheEntry.invalidate(this.request, this.options)
            }
            body.emit('error', err)
            cacheStream.resume()
          })
          // emit the integrity and size events based on our metadata so we're consistent
          body.emit('integrity', this.entry.integrity)
          body.emit('size', Number(headers['content-length']))
          cacheStream.pipe(body)
        }
        body.once('resume', onResume)
        body.once('end', () => body.removeListener('resume', onResume))
        response = new Response(body, {
          url: this.entry.metadata.url,
          counter: options.counter,
          status: 200,
          headers
        })
      }
      response.headers.set(
        'x-local-cache',
        encodeURIComponent(this.options.cachePath)
      )
      response.headers.set(
        'x-local-cache-hash',
        encodeURIComponent(this.entry.integrity)
      )
      response.headers.set('x-local-cache-key', encodeURIComponent(this.key))
      response.headers.set('x-local-cache-mode', 'stream')
      response.headers.set('x-local-cache-status', status)
      response.headers.set(
        'x-local-cache-time',
        new Date(this.entry.metadata.time).toUTCString()
      )
      return response
    }

    // use the provided request along with this cache entry to
    // revalidate the stored response. returns a response, either
    // from the cache or from the update
    async revalidate(request, options) {
      const revalidateRequest = new Request(request, {
        headers: this.policy.revalidationHeaders(request)
      })
      try {
        // NOTE: be sure to remove the headers property from the
        // user supplied options, since we have already defined
        // them on the new request object. if they're still in the
        // options then those will overwrite the ones from the policy
        const response = await remote(revalidateRequest, {
          ...options,
          headers: undefined
        })
      } catch (err) {
        // if the network fetch fails, return the stale
        // cached response unless it has a cache-control
        // of 'must-revalidate'
        if (!this.policy.mustRevalidate) {
          return this.respond(request.method, options, 'stale')
        }
        throw err
      }
      if (this.policy.revalidated(revalidateRequest, response)) {
        // we got a 304, write a new index to the cache and respond from cache
        const metadata = getMetadata(request, response, options)
        // 304 responses do not include headers that are specific to the response data
        // since they do not include a body, so we copy values for headers that were
        // in the old cache entry to the new one, if the new metadata does not already
        // include that header
        for (const name of KEEP_RESPONSE_HEADERS) {
          if (
            !hasOwnProperty(metadata.resHeaders, name) &&
            hasOwnProperty(this.entry.metadata.resHeaders, name)
          ) {
            metadata.resHeaders[name] = this.entry.metadata.resHeaders[name]
          }
        }
        for (const name of options.cacheAdditionalHeaders) {
          const inMeta = hasOwnProperty(metadata.resHeaders, name)
          const inEntry = hasOwnProperty(this.entry.metadata.resHeaders, name)
          const inPolicy = hasOwnProperty(this.policy.response.headers, name)

          // if the header is in the existing entry, but it is not in the metadata
          // then we need to write it to the metadata as this will refresh the on-disk cache
          if (!inMeta && inEntry) {
            metadata.resHeaders[name] = this.entry.metadata.resHeaders[name]
          }
          // if the header is in the metadata, but not in the policy, then we need to set
          // it in the policy so that it's included in the immediate response. future
          // responses will load a new cache entry, so we don't need to change that
          if (!inPolicy && inMeta) {
            this.policy.response.headers[name] = metadata.resHeaders[name]
          }
        }
        try {
          await cacache.index.insert(
            options.cachePath,
            this.key,
            this.entry.integrity,
            {
              size: this.entry.size,
              metadata
            }
          )
        } catch (err) {
          // if updating the cache index fails, we ignore it and
          // respond anyway
        }
        return this.respond(request.method, options, 'revalidated')
      }

      // if we got a modified response, create a new entry based on it
      const newEntry = new CacheEntry({
        request,
        response,
        options
      })

      // respond with the new entry while writing it to the cache
      return newEntry.store('updated')
    }
  }
  entry = CacheEntry
  return entry
}

let cache
let hasRequiredCache
function requireCache() {
  if (hasRequiredCache) {
    return cache
  }
  hasRequiredCache = 1
  const { NotCachedError } = requireErrors$2()
  const CacheEntry = requireEntry()
  const remote = requireRemote()

  // do whatever is necessary to get a Response and return it
  const cacheFetch = async (request, options) => {
    // try to find a cached entry that satisfies this request
    const entry = await CacheEntry.find(request, options)
    if (!entry) {
      // no cached result, if the cache mode is 'only-if-cached' that's a failure
      if (options.cache === 'only-if-cached') {
        throw new NotCachedError(request.url)
      }

      // otherwise, we make a request, store it and return it
      const response = await remote(request, options)
      const newEntry = new CacheEntry({
        request,
        response,
        options
      })
      return newEntry.store('miss')
    }

    // we have a cached response that satisfies this request, however if the cache
    // mode is 'no-cache' then we send the revalidation request no matter what
    if (options.cache === 'no-cache') {
      return entry.revalidate(request, options)
    }

    // if the cached entry is not stale, or if the cache mode is 'force-cache' or
    // 'only-if-cached' we can respond with the cached entry. set the status
    // based on the result of needsRevalidation and respond
    const _needsRevalidation = entry.policy.needsRevalidation(request)
    if (
      options.cache === 'force-cache' ||
      options.cache === 'only-if-cached' ||
      !_needsRevalidation
    ) {
      return entry.respond(
        request.method,
        options,
        _needsRevalidation ? 'stale' : 'hit'
      )
    }

    // if we got here, the cache entry is stale so revalidate it
    return entry.revalidate(request, options)
  }
  cacheFetch.invalidate = async (request, options) => {
    if (!options.cachePath) {
      return
    }
    return CacheEntry.invalidate(request, options)
  }
  cache = cacheFetch
  return cache
}

let fetch_1
let hasRequiredFetch
function requireFetch() {
  if (hasRequiredFetch) {
    return fetch_1
  }
  hasRequiredFetch = 1
  const { FetchError, Request, isRedirect } = requireLib$9()
  const url = require$$0$7
  const CachePolicy = requirePolicy()
  const cache = requireCache()
  const remote = requireRemote()

  // given a Request, a Response and user options
  // return true if the response is a redirect that
  // can be followed. we throw errors that will result
  // in the fetch being rejected if the redirect is
  // possible but invalid for some reason
  const canFollowRedirect = (request, response, options) => {
    if (!isRedirect(response.status)) {
      return false
    }
    if (options.redirect === 'manual') {
      return false
    }
    if (options.redirect === 'error') {
      throw new FetchError(
        `redirect mode is set to error: ${request.url}`,
        'no-redirect',
        {
          code: 'ENOREDIRECT'
        }
      )
    }
    if (!response.headers.has('location')) {
      throw new FetchError(
        `redirect location header missing for: ${request.url}`,
        'no-location',
        {
          code: 'EINVALIDREDIRECT'
        }
      )
    }
    if (request.counter >= request.follow) {
      throw new FetchError(
        `maximum redirect reached at: ${request.url}`,
        'max-redirect',
        {
          code: 'EMAXREDIRECT'
        }
      )
    }
    return true
  }

  // given a Request, a Response, and the user's options return an object
  // with a new Request and a new options object that will be used for
  // following the redirect
  const getRedirect = (request, response, options) => {
    const _opts = {
      ...options
    }
    const location = response.headers.get('location')
    const redirectUrl = new url.URL(
      location,
      /^https?:/.test(location) ? undefined : request.url
    )
    // Comment below is used under the following license:
    /**
     * @license
     * Copyright (c) 2010-2012 Mikeal Rogers
     * Licensed under the Apache License, Version 2.0 (the "License");
     * you may not use this file except in compliance with the License.
     * You may obtain a copy of the License at
     * http://www.apache.org/licenses/LICENSE-2.0
     * Unless required by applicable law or agreed to in writing,
     * software distributed under the License is distributed on an "AS
     * IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
     * express or implied. See the License for the specific language
     * governing permissions and limitations under the License.
     */

    // Remove authorization if changing hostnames (but not if just
    // changing ports or protocols).  This matches the behavior of request:
    // https://github.com/request/request/blob/b12a6245/lib/redirect.js#L134-L138
    if (new url.URL(request.url).hostname !== redirectUrl.hostname) {
      request.headers.delete('authorization')
      request.headers.delete('cookie')
    }

    // for POST request with 301/302 response, or any request with 303 response,
    // use GET when following redirect
    if (
      response.status === 303 ||
      (request.method === 'POST' && [301, 302].includes(response.status))
    ) {
      _opts.method = 'GET'
      _opts.body = null
      request.headers.delete('content-length')
    }
    _opts.headers = {}
    request.headers.forEach((value, key) => {
      _opts.headers[key] = value
    })
    _opts.counter = ++request.counter
    const redirectReq = new Request(url.format(redirectUrl), _opts)
    return {
      request: redirectReq,
      options: _opts
    }
  }
  const fetch = async (request, options) => {
    const response = CachePolicy.storable(request, options)
      ? await cache(request, options)
      : await remote(request, options)

    // if the request wasn't a GET or HEAD, and the response
    // status is between 200 and 399 inclusive, invalidate the
    // request url
    if (
      !['GET', 'HEAD'].includes(request.method) &&
      response.status >= 200 &&
      response.status <= 399
    ) {
      await cache.invalidate(request, options)
    }
    if (!canFollowRedirect(request, response, options)) {
      return response
    }
    const redirect = getRedirect(request, response, options)
    return fetch(redirect.request, redirect.options)
  }
  fetch_1 = fetch
  return fetch_1
}

let hasRequiredLib
function requireLib() {
  if (hasRequiredLib) {
    return lib$a.exports
  }
  hasRequiredLib = 1
  const { FetchError, Headers, Request, Response } = requireLib$9()
  const configureOptions = requireOptions$1()
  const fetch = requireFetch()
  const makeFetchHappen = (url, opts) => {
    const options = configureOptions(opts)
    const request = new Request(url, options)
    return fetch(request, options)
  }
  makeFetchHappen.defaults = (
    defaultUrl,
    defaultOptions = {},
    wrappedFetch = makeFetchHappen
  ) => {
    if (typeof defaultUrl === 'object') {
      defaultOptions = defaultUrl
      defaultUrl = null
    }
    const defaultedFetch = (url, options = {}) => {
      const finalUrl = url || defaultUrl
      const finalOptions = {
        ...defaultOptions,
        ...options,
        headers: {
          ...defaultOptions.headers,
          ...options.headers
        }
      }
      return wrappedFetch(finalUrl, finalOptions)
    }
    defaultedFetch.defaults = (defaultUrl1, defaultOptions1 = {}) =>
      makeFetchHappen.defaults(defaultUrl1, defaultOptions1, defaultedFetch)
    return defaultedFetch
  }
  lib$a.exports = makeFetchHappen
  lib$a.exports.FetchError = FetchError
  lib$a.exports.Headers = Headers
  lib$a.exports.Request = Request
  lib$a.exports.Response = Response
  return lib$a.exports
}

const libExports = requireLib()

async function pMap(
  iterable,
  mapper,
  { concurrency = Number.POSITIVE_INFINITY, stopOnError = true, signal } = {}
) {
  return new Promise((resolve_, reject_) => {
    if (
      iterable[Symbol.iterator] === undefined &&
      iterable[Symbol.asyncIterator] === undefined
    ) {
      throw new TypeError(
        `Expected \`input\` to be either an \`Iterable\` or \`AsyncIterable\`, got (${typeof iterable})`
      )
    }
    if (typeof mapper !== 'function') {
      throw new TypeError('Mapper function is required')
    }
    if (
      !(
        (Number.isSafeInteger(concurrency) && concurrency >= 1) ||
        concurrency === Number.POSITIVE_INFINITY
      )
    ) {
      throw new TypeError(
        `Expected \`concurrency\` to be an integer from 1 and up or \`Infinity\`, got \`${concurrency}\` (${typeof concurrency})`
      )
    }
    const result = []
    const errors = []
    const skippedIndexesMap = new Map()
    let isRejected = false
    let isResolved = false
    let isIterableDone = false
    let resolvingCount = 0
    let currentIndex = 0
    const iterator =
      iterable[Symbol.iterator] === undefined
        ? iterable[Symbol.asyncIterator]()
        : iterable[Symbol.iterator]()
    const signalListener = () => {
      reject(signal.reason)
    }
    const cleanup = () => {
      signal?.removeEventListener('abort', signalListener)
    }
    const resolve = value => {
      resolve_(value)
      cleanup()
    }
    const reject = reason => {
      isRejected = true
      isResolved = true
      reject_(reason)
      cleanup()
    }
    if (signal) {
      if (signal.aborted) {
        reject(signal.reason)
      }
      signal.addEventListener('abort', signalListener, {
        once: true
      })
    }
    const next = async () => {
      if (isResolved) {
        return
      }
      const nextItem = await iterator.next()
      const index = currentIndex
      currentIndex++

      // Note: `iterator.next()` can be called many times in parallel.
      // This can cause multiple calls to this `next()` function to
      // receive a `nextItem` with `done === true`.
      // The shutdown logic that rejects/resolves must be protected
      // so it runs only one time as the `skippedIndex` logic is
      // non-idempotent.
      if (nextItem.done) {
        isIterableDone = true
        if (resolvingCount === 0 && !isResolved) {
          if (!stopOnError && errors.length > 0) {
            reject(new AggregateError(errors)) // eslint-disable-line unicorn/error-message
            return
          }
          isResolved = true
          if (skippedIndexesMap.size === 0) {
            resolve(result)
            return
          }
          const pureResult = []

          // Support multiple `pMapSkip`'s.
          for (const [index, value] of result.entries()) {
            if (skippedIndexesMap.get(index) === pMapSkip) {
              continue
            }
            pureResult.push(value)
          }
          resolve(pureResult)
        }
        return
      }
      resolvingCount++

      // Intentionally detached
      ;(async () => {
        try {
          const element = await nextItem.value
          if (isResolved) {
            return
          }
          const value = await mapper(element, index)

          // Use Map to stage the index of the element.
          if (value === pMapSkip) {
            skippedIndexesMap.set(index, value)
          }
          result[index] = value
          resolvingCount--
          await next()
        } catch (error) {
          if (stopOnError) {
            reject(error)
          } else {
            errors.push(error)
            resolvingCount--

            // In that case we can't really continue regardless of `stopOnError` state
            // since an iterable is likely to continue throwing after it throws once.
            // If we continue calling `next()` indefinitely we will likely end up
            // in an infinite loop of failed iteration.
            try {
              await next()
            } catch (error) {
              reject(error)
            }
          }
        }
      })()
    }

    // Create the concurrent runners in a detached (non-awaited)
    // promise. We need this so we can await the `next()` calls
    // to stop creating runners before hitting the concurrency limit
    // if the iterable has already been marked as done.
    // NOTE: We *must* do this for async iterators otherwise we'll spin up
    // infinite `next()` calls by default and never start the event loop.
    ;(async () => {
      for (let index = 0; index < concurrency; index++) {
        try {
          // eslint-disable-next-line no-await-in-loop
          await next()
        } catch (error) {
          reject(error)
          break
        }
        if (isIterableDone || isRejected) {
          break
        }
      }
    })()
  })
}
const pMapSkip = Symbol('skip')

const index = /*#__PURE__*/ Object.freeze({
  __proto__: null,
  default: pMap,
  pMapSkip: pMapSkip
})

module.exports = libExports
